'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ampersandCollection = require('ampersand-collection');

var _ampersandCollection2 = _interopRequireDefault(_ampersandCollection);

var _featureModel = require('./feature-model');

var _featureModel2 = _interopRequireDefault(_featureModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Feature collection model.
 *
 * @description
 * This model contains a collection of features under a specific collection
 * group.
 */
// External dependencies.
var FeatureCollection = _ampersandCollection2.default.extend({
  /**
   * The unique identifier for the models in this collection.
   *
   * @type {string}
   */
  mainIndex: 'key',

  /**
   * The type of model this collection can contain.
   *
   * @type {Class}
   */
  model: _featureModel2.default
});

// Local Dependencies
exports.default = FeatureCollection;
//# sourceMappingURL=feature-collection.js.map
