'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bowser = require('bowser');

var _bowser2 = _interopRequireDefault(_bowser);

var _constants = require('../constants');

var _loggerProxy = require('../common/logs/logger-proxy');

var _loggerProxy2 = _interopRequireDefault(_loggerProxy);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MediaUtil = {}; /* globals window, MediaStream */


MediaUtil.createPeerConnection = function () {
  return new window.RTCPeerConnection(_bowser2.default.firefox ? _constants.RTC_CONFIGURATION_FIREFOX : _constants.RTC_CONFIGURATION);
};

MediaUtil.createMediaStream = function (tracks) {
  if (!tracks) {
    _loggerProxy2.default.logger.error('Tracks don\'t exist');
  }
  var filtredTracks = tracks.filter(function (element) {
    return !!element;
  });

  return new MediaStream(filtredTracks);
};

exports.default = MediaUtil;
//# sourceMappingURL=util.js.map
