/* globals window, MediaStream */
import bowser from 'bowser';

import {
  RTC_CONFIGURATION,
  RTC_CONFIGURATION_FIREFOX
} from '../constants';
import LoggerProxy from '../common/logs/logger-proxy';

const MediaUtil = {};

MediaUtil.createPeerConnection = () => new window.RTCPeerConnection(
  bowser.firefox ? RTC_CONFIGURATION_FIREFOX : RTC_CONFIGURATION
);

MediaUtil.createMediaStream = (tracks) => {
  if (!tracks) {
    LoggerProxy.logger.error('Tracks don\'t exist');
  }
  const filtredTracks = tracks.filter((element) => !!element);

  return new MediaStream(filtredTracks);
};

export default MediaUtil;
