import RoapStateMachine from '../roap/state';

/* eslint-disable */
const RoapCollection = {
  sessions: {},

  getSession(id) {
    if (!this.sessions[id]) {
      this.sessions[id] = {};
    }
    return this.sessions[id];
  },

  deleteSession(id) {
    if (this.getSession(id)) {
      delete this.sessions[id];
    }
  },

  getSessionSequence(id, seqId) {
    const session = this.getSession(id);
    if (!session[seqId]) {
      session[seqId] = {};
      session[seqId].state = RoapStateMachine.createState();
    }
    return session[seqId];
  },

  deleteSessionSequence(id, seqId) {
    if (this.getSessionSequence(id, seqId)) {
      delete this.sessions[id][seqId];
    }
  }

};

export default RoapCollection;
