import '@webex/plugin-authorization';
import '@webex/internal-plugin-device';
import '@webex/plugin-logger';
import '@webex/plugin-people';
import '@webex/plugin-rooms';

import WebexCore, {MemoryStoreAdapter} from '@webex/webex-core';
import merge from 'lodash/merge';

const Webex = WebexCore.extend({
  webex: true,
  version: PACKAGE_VERSION
});

Webex.version = PACKAGE_VERSION;

Webex.init = function init(attrs = {}) {
  const config = merge({}, {
    hydra: process.env.HYDRA_SERVICE_URL || 'https://api.ciscospark.com/v1',
    credentials: {
      clientType: 'confidential'
    },
    device: {
      ephemeral: true
    },
    storage: {
      boundedAdapter: MemoryStoreAdapter,
      unboundedAdapter: MemoryStoreAdapter
    }
  }, attrs.config);

  return new Webex(merge({}, {config}, attrs));
};

export default Webex;
