'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _defineProperty = require('babel-runtime/core-js/reflect/define-property');

var _defineProperty2 = _interopRequireDefault(_defineProperty);

var _apply = require('babel-runtime/core-js/reflect/apply');

var _apply2 = _interopRequireDefault(_apply);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _httpCore = require('@webex/http-core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Webex-specific http error class
 */
var WebexHttpError = function (_HttpError) {
  (0, _inherits3.default)(WebexHttpError, _HttpError);

  function WebexHttpError() {
    (0, _classCallCheck3.default)(this, WebexHttpError);
    return (0, _possibleConstructorReturn3.default)(this, (WebexHttpError.__proto__ || (0, _getPrototypeOf2.default)(WebexHttpError)).apply(this, arguments));
  }

  (0, _createClass3.default)(WebexHttpError, [{
    key: 'parse',

    /**
     * Very similar to {@link HttpError#parse()}, but additionally adds some
     * useful headers to the message string
     * @param {HttpResponse} res
     * @returns {string}
     */
    value: function parse(res) {
      var message = (0, _apply2.default)(_httpCore.HttpError.prototype.parse, this, [res]);

      (0, _defineProperty2.default)(this, 'options', {
        enumerable: false,
        value: res.options
      });

      if (this.options.url) {
        message += '\n' + this.options.method + ' ' + this.options.url;
      } else if (this.options.uri) {
        message += '\n' + this.options.method + ' ' + this.options.uri;
      } else {
        message += '\n' + this.options.method + ' ' + this.options.service.toUpperCase() + '/' + this.options.resource;
      }
      message += '\nWEBEX_TRACKING_ID: ' + this.options.headers.trackingid;
      if (this.options.headers && this.options.headers['x-trans-id']) {
        message += '\nX-Trans-Id: ' + this.options.headers['x-trans-id'];
      }
      if (this.headers['retry-after']) {
        (0, _defineProperty2.default)(this, 'retryAfter', {
          enumerable: true,
          value: this.headers['retry-after'],
          writeable: false
        });

        message += '\nRETRY-AFTER: ' + this.retryAfter;
      }
      message += '\n';

      return message;
    }
  }]);
  return WebexHttpError;
}(_httpCore.HttpError); /*!
                         * Copyright (c) 2015-2019 Cisco Systems, Inc. See LICENSE file.
                         */

exports.default = WebexHttpError;


_httpCore.HttpError.makeSubTypes(WebexHttpError);

/**
 * TooManyRequests
 */

var TooManyRequests = function (_HttpError$BadRequest) {
  (0, _inherits3.default)(TooManyRequests, _HttpError$BadRequest);

  function TooManyRequests() {
    (0, _classCallCheck3.default)(this, TooManyRequests);
    return (0, _possibleConstructorReturn3.default)(this, (TooManyRequests.__proto__ || (0, _getPrototypeOf2.default)(TooManyRequests)).apply(this, arguments));
  }

  return TooManyRequests;
}(_httpCore.HttpError.BadRequest);

_httpCore.HttpError[429] = TooManyRequests;
_httpCore.HttpError.TooManyRequests = TooManyRequests;
//# sourceMappingURL=webex-http-error.js.map
