/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/**!
	 * lib/index.js -- SCR Implementation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	 "use strict";
	
	var clone = __webpack_require__(5),
	    jose = __webpack_require__(18);
	
	function SCRObject(cfg) {
	  cfg.loc = cfg.loc || undefined;
	  cfg.tag = cfg.tag || undefined;
	
	  Object.defineProperty(this, "enc", {
	    get: function() {
	      return cfg.enc;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "key", {
	    get: function() {
	      return cfg.key;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "iv", {
	    get: function() {
	      return cfg.iv;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "aad", {
	    get: function() {
	      return cfg.aad;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "loc", {
	    get: function() {
	      return cfg.loc;
	    },
	    set: function(loc) {
	      cfg.loc = loc;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "tag", {
	    get: function() {
	      return cfg.tag;
	    },
	    enumerable: true
	  });
	
	  Object.defineProperty(this, "toJSON", {
	    value: function() {
	      var key = cfg.key.get("k", true);
	      var data = {};
	      data.enc = cfg.enc;
	      data.key = jose.util.base64url.encode(key);
	      data.iv = jose.util.base64url.encode(cfg.iv);
	      data.aad = cfg.aad;
	
	      if (cfg.loc) {
	        data.loc = cfg.loc;
	      }
	      if (cfg.tag) {
	        data.tag = jose.util.base64url.encode(cfg.tag);
	      }
	
	      return data;
	    }
	  });
	  Object.defineProperty(this, "toJWE", {
	    value: function(jwk) {
	      var self = this,
	          promise;
	      promise = jose.JWK.asKey(jwk);
	      promise = promise.then(function(jwk) {
	        var rcpt = {
	          header: {
	            alg: "dir"
	          },
	          key: jwk,
	          reference: false
	        };
	        var opts = {
	          compact: true,
	          contentAlg: cfg.enc
	        };
	
	        var data = self.toJSON();
	        data = JSON.stringify(data);
	        return jose.JWE.createEncrypt(opts, rcpt).
	               final(data, "utf8");
	      });
	
	      return promise;
	    }
	  });
	
	  Object.defineProperty(this, "encrypt", {
	    value: function(pdata) {
	      var props = {
	        iv: cfg.iv,
	        adata: new Buffer(cfg.aad, "utf8")
	      };
	
	      // condition the data before encrypting
	      pdata = jose.util.asBuffer(pdata);
	      return cfg.key.encrypt(cfg.enc, pdata, props).
	             then(function(result) {
	                var cdata = result.data;
	                cfg.tag = result.tag;
	
	                return cdata;
	             });
	    }
	  });
	  Object.defineProperty(this, "decrypt", {
	    value: function(cdata) {
	        var props = {
	          iv: cfg.iv,
	          adata: new Buffer(cfg.aad, "utf8"),
	          mac: cfg.tag
	        };
	
	        // condition data before decrypting
	        cdata = jose.util.asBuffer(cdata);
	        return cfg.key.decrypt(cfg.enc, cdata, props).
	               then(function(pdata) {
	                  return pdata;
	               });
	    }
	  });
	}
	
	var SCR = {
	  create: function() {
	    // TODO: make this more configurable
	    // TODO: abstract away forge??
	    var iv = jose.util.randomBytes(12);
	    var aad = new Date().toISOString();
	
	    var keystore = jose.JWK.createKeyStore();
	    var promise = keystore.generate("oct", 256);
	    promise = promise.then(function(key) {
	      return new SCRObject({
	        enc: "A256GCM",
	        key: key,
	        iv: iv,
	        aad: aad
	      });
	    });
	
	    return promise;
	  },
	  fromJWE: function(jwk, jwe) {
	    var promise;
	    promise = jose.JWK.asKey(jwk);
	    promise = promise.then(function(jwk) {
	      return jose.JWE.createDecrypt(jwk).decrypt(jwe);
	    });
	    promise = promise.then(function(result) {
	      result = result.plaintext.toString("utf8");
	      result = JSON.parse(result);
	      return SCR.fromJSON(result);
	    });
	
	    return promise;
	  },
	  fromJSON: function(json) {
	    // create a copy to mitigate tampering
	    var cfg = clone(json);
	
	    var promise;
	    if (json.key) {
	      promise = jose.JWK.asKey({
	        kty: "oct",
	        k: json.key
	      });
	    } else {
	      promise = Promise.resolve();
	    }
	    promise = promise.then(function(key) {
	      if (key) {
	        cfg.key = key;
	      }
	
	      if ("iv" in cfg) {
	        cfg.iv = Buffer.isBuffer(cfg.iv) ?
	                 cfg.iv :
	                 jose.util.base64url.decode(cfg.iv);
	      }
	      if ("tag" in cfg) {
	        cfg.tag = Buffer.isBuffer(cfg.tag) ?
	                  cfg.tag :
	                  jose.util.base64url.decode(cfg.tag);
	      }
	
	      return new SCRObject(cfg);
	    });
	
	    return promise;
	  }
	};
	
	module.exports = SCR;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer, global) {/*!
	 * The buffer module from node.js, for the browser.
	 *
	 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
	 * @license  MIT
	 */
	/* eslint-disable no-proto */
	
	'use strict'
	
	var base64 = __webpack_require__(2)
	var ieee754 = __webpack_require__(3)
	var isArray = __webpack_require__(4)
	
	exports.Buffer = Buffer
	exports.SlowBuffer = SlowBuffer
	exports.INSPECT_MAX_BYTES = 50
	
	/**
	 * If `Buffer.TYPED_ARRAY_SUPPORT`:
	 *   === true    Use Uint8Array implementation (fastest)
	 *   === false   Use Object implementation (most compatible, even IE6)
	 *
	 * Browsers that support typed arrays are IE 10+, Firefox 4+, Chrome 7+, Safari 5.1+,
	 * Opera 11.6+, iOS 4.2+.
	 *
	 * Due to various browser bugs, sometimes the Object implementation will be used even
	 * when the browser supports typed arrays.
	 *
	 * Note:
	 *
	 *   - Firefox 4-29 lacks support for adding new properties to `Uint8Array` instances,
	 *     See: https://bugzilla.mozilla.org/show_bug.cgi?id=695438.
	 *
	 *   - Chrome 9-10 is missing the `TypedArray.prototype.subarray` function.
	 *
	 *   - IE10 has a broken `TypedArray.prototype.subarray` function which returns arrays of
	 *     incorrect length in some situations.
	
	 * We detect these buggy browsers and set `Buffer.TYPED_ARRAY_SUPPORT` to `false` so they
	 * get the Object implementation, which is slower but behaves correctly.
	 */
	Buffer.TYPED_ARRAY_SUPPORT = global.TYPED_ARRAY_SUPPORT !== undefined
	  ? global.TYPED_ARRAY_SUPPORT
	  : typedArraySupport()
	
	/*
	 * Export kMaxLength after typed array support is determined.
	 */
	exports.kMaxLength = kMaxLength()
	
	function typedArraySupport () {
	  try {
	    var arr = new Uint8Array(1)
	    arr.__proto__ = {__proto__: Uint8Array.prototype, foo: function () { return 42 }}
	    return arr.foo() === 42 && // typed array instances can be augmented
	        typeof arr.subarray === 'function' && // chrome 9-10 lack `subarray`
	        arr.subarray(1, 1).byteLength === 0 // ie10 has broken `subarray`
	  } catch (e) {
	    return false
	  }
	}
	
	function kMaxLength () {
	  return Buffer.TYPED_ARRAY_SUPPORT
	    ? 0x7fffffff
	    : 0x3fffffff
	}
	
	function createBuffer (that, length) {
	  if (kMaxLength() < length) {
	    throw new RangeError('Invalid typed array length')
	  }
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    // Return an augmented `Uint8Array` instance, for best performance
	    that = new Uint8Array(length)
	    that.__proto__ = Buffer.prototype
	  } else {
	    // Fallback: Return an object instance of the Buffer class
	    if (that === null) {
	      that = new Buffer(length)
	    }
	    that.length = length
	  }
	
	  return that
	}
	
	/**
	 * The Buffer constructor returns instances of `Uint8Array` that have their
	 * prototype changed to `Buffer.prototype`. Furthermore, `Buffer` is a subclass of
	 * `Uint8Array`, so the returned instances will have all the node `Buffer` methods
	 * and the `Uint8Array` methods. Square bracket notation works as expected -- it
	 * returns a single octet.
	 *
	 * The `Uint8Array` prototype remains unmodified.
	 */
	
	function Buffer (arg, encodingOrOffset, length) {
	  if (!Buffer.TYPED_ARRAY_SUPPORT && !(this instanceof Buffer)) {
	    return new Buffer(arg, encodingOrOffset, length)
	  }
	
	  // Common case.
	  if (typeof arg === 'number') {
	    if (typeof encodingOrOffset === 'string') {
	      throw new Error(
	        'If encoding is specified then the first argument must be a string'
	      )
	    }
	    return allocUnsafe(this, arg)
	  }
	  return from(this, arg, encodingOrOffset, length)
	}
	
	Buffer.poolSize = 8192 // not used by this implementation
	
	// TODO: Legacy, not needed anymore. Remove in next major version.
	Buffer._augment = function (arr) {
	  arr.__proto__ = Buffer.prototype
	  return arr
	}
	
	function from (that, value, encodingOrOffset, length) {
	  if (typeof value === 'number') {
	    throw new TypeError('"value" argument must not be a number')
	  }
	
	  if (typeof ArrayBuffer !== 'undefined' && value instanceof ArrayBuffer) {
	    return fromArrayBuffer(that, value, encodingOrOffset, length)
	  }
	
	  if (typeof value === 'string') {
	    return fromString(that, value, encodingOrOffset)
	  }
	
	  return fromObject(that, value)
	}
	
	/**
	 * Functionally equivalent to Buffer(arg, encoding) but throws a TypeError
	 * if value is a number.
	 * Buffer.from(str[, encoding])
	 * Buffer.from(array)
	 * Buffer.from(buffer)
	 * Buffer.from(arrayBuffer[, byteOffset[, length]])
	 **/
	Buffer.from = function (value, encodingOrOffset, length) {
	  return from(null, value, encodingOrOffset, length)
	}
	
	if (Buffer.TYPED_ARRAY_SUPPORT) {
	  Buffer.prototype.__proto__ = Uint8Array.prototype
	  Buffer.__proto__ = Uint8Array
	  if (typeof Symbol !== 'undefined' && Symbol.species &&
	      Buffer[Symbol.species] === Buffer) {
	    // Fix subarray() in ES2016. See: https://github.com/feross/buffer/pull/97
	    Object.defineProperty(Buffer, Symbol.species, {
	      value: null,
	      configurable: true
	    })
	  }
	}
	
	function assertSize (size) {
	  if (typeof size !== 'number') {
	    throw new TypeError('"size" argument must be a number')
	  } else if (size < 0) {
	    throw new RangeError('"size" argument must not be negative')
	  }
	}
	
	function alloc (that, size, fill, encoding) {
	  assertSize(size)
	  if (size <= 0) {
	    return createBuffer(that, size)
	  }
	  if (fill !== undefined) {
	    // Only pay attention to encoding if it's a string. This
	    // prevents accidentally sending in a number that would
	    // be interpretted as a start offset.
	    return typeof encoding === 'string'
	      ? createBuffer(that, size).fill(fill, encoding)
	      : createBuffer(that, size).fill(fill)
	  }
	  return createBuffer(that, size)
	}
	
	/**
	 * Creates a new filled Buffer instance.
	 * alloc(size[, fill[, encoding]])
	 **/
	Buffer.alloc = function (size, fill, encoding) {
	  return alloc(null, size, fill, encoding)
	}
	
	function allocUnsafe (that, size) {
	  assertSize(size)
	  that = createBuffer(that, size < 0 ? 0 : checked(size) | 0)
	  if (!Buffer.TYPED_ARRAY_SUPPORT) {
	    for (var i = 0; i < size; ++i) {
	      that[i] = 0
	    }
	  }
	  return that
	}
	
	/**
	 * Equivalent to Buffer(num), by default creates a non-zero-filled Buffer instance.
	 * */
	Buffer.allocUnsafe = function (size) {
	  return allocUnsafe(null, size)
	}
	/**
	 * Equivalent to SlowBuffer(num), by default creates a non-zero-filled Buffer instance.
	 */
	Buffer.allocUnsafeSlow = function (size) {
	  return allocUnsafe(null, size)
	}
	
	function fromString (that, string, encoding) {
	  if (typeof encoding !== 'string' || encoding === '') {
	    encoding = 'utf8'
	  }
	
	  if (!Buffer.isEncoding(encoding)) {
	    throw new TypeError('"encoding" must be a valid string encoding')
	  }
	
	  var length = byteLength(string, encoding) | 0
	  that = createBuffer(that, length)
	
	  var actual = that.write(string, encoding)
	
	  if (actual !== length) {
	    // Writing a hex string, for example, that contains invalid characters will
	    // cause everything after the first invalid character to be ignored. (e.g.
	    // 'abxxcd' will be treated as 'ab')
	    that = that.slice(0, actual)
	  }
	
	  return that
	}
	
	function fromArrayLike (that, array) {
	  var length = array.length < 0 ? 0 : checked(array.length) | 0
	  that = createBuffer(that, length)
	  for (var i = 0; i < length; i += 1) {
	    that[i] = array[i] & 255
	  }
	  return that
	}
	
	function fromArrayBuffer (that, array, byteOffset, length) {
	  array.byteLength // this throws if `array` is not a valid ArrayBuffer
	
	  if (byteOffset < 0 || array.byteLength < byteOffset) {
	    throw new RangeError('\'offset\' is out of bounds')
	  }
	
	  if (array.byteLength < byteOffset + (length || 0)) {
	    throw new RangeError('\'length\' is out of bounds')
	  }
	
	  if (byteOffset === undefined && length === undefined) {
	    array = new Uint8Array(array)
	  } else if (length === undefined) {
	    array = new Uint8Array(array, byteOffset)
	  } else {
	    array = new Uint8Array(array, byteOffset, length)
	  }
	
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    // Return an augmented `Uint8Array` instance, for best performance
	    that = array
	    that.__proto__ = Buffer.prototype
	  } else {
	    // Fallback: Return an object instance of the Buffer class
	    that = fromArrayLike(that, array)
	  }
	  return that
	}
	
	function fromObject (that, obj) {
	  if (Buffer.isBuffer(obj)) {
	    var len = checked(obj.length) | 0
	    that = createBuffer(that, len)
	
	    if (that.length === 0) {
	      return that
	    }
	
	    obj.copy(that, 0, 0, len)
	    return that
	  }
	
	  if (obj) {
	    if ((typeof ArrayBuffer !== 'undefined' &&
	        obj.buffer instanceof ArrayBuffer) || 'length' in obj) {
	      if (typeof obj.length !== 'number' || isnan(obj.length)) {
	        return createBuffer(that, 0)
	      }
	      return fromArrayLike(that, obj)
	    }
	
	    if (obj.type === 'Buffer' && isArray(obj.data)) {
	      return fromArrayLike(that, obj.data)
	    }
	  }
	
	  throw new TypeError('First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.')
	}
	
	function checked (length) {
	  // Note: cannot use `length < kMaxLength()` here because that fails when
	  // length is NaN (which is otherwise coerced to zero.)
	  if (length >= kMaxLength()) {
	    throw new RangeError('Attempt to allocate Buffer larger than maximum ' +
	                         'size: 0x' + kMaxLength().toString(16) + ' bytes')
	  }
	  return length | 0
	}
	
	function SlowBuffer (length) {
	  if (+length != length) { // eslint-disable-line eqeqeq
	    length = 0
	  }
	  return Buffer.alloc(+length)
	}
	
	Buffer.isBuffer = function isBuffer (b) {
	  return !!(b != null && b._isBuffer)
	}
	
	Buffer.compare = function compare (a, b) {
	  if (!Buffer.isBuffer(a) || !Buffer.isBuffer(b)) {
	    throw new TypeError('Arguments must be Buffers')
	  }
	
	  if (a === b) return 0
	
	  var x = a.length
	  var y = b.length
	
	  for (var i = 0, len = Math.min(x, y); i < len; ++i) {
	    if (a[i] !== b[i]) {
	      x = a[i]
	      y = b[i]
	      break
	    }
	  }
	
	  if (x < y) return -1
	  if (y < x) return 1
	  return 0
	}
	
	Buffer.isEncoding = function isEncoding (encoding) {
	  switch (String(encoding).toLowerCase()) {
	    case 'hex':
	    case 'utf8':
	    case 'utf-8':
	    case 'ascii':
	    case 'latin1':
	    case 'binary':
	    case 'base64':
	    case 'ucs2':
	    case 'ucs-2':
	    case 'utf16le':
	    case 'utf-16le':
	      return true
	    default:
	      return false
	  }
	}
	
	Buffer.concat = function concat (list, length) {
	  if (!isArray(list)) {
	    throw new TypeError('"list" argument must be an Array of Buffers')
	  }
	
	  if (list.length === 0) {
	    return Buffer.alloc(0)
	  }
	
	  var i
	  if (length === undefined) {
	    length = 0
	    for (i = 0; i < list.length; ++i) {
	      length += list[i].length
	    }
	  }
	
	  var buffer = Buffer.allocUnsafe(length)
	  var pos = 0
	  for (i = 0; i < list.length; ++i) {
	    var buf = list[i]
	    if (!Buffer.isBuffer(buf)) {
	      throw new TypeError('"list" argument must be an Array of Buffers')
	    }
	    buf.copy(buffer, pos)
	    pos += buf.length
	  }
	  return buffer
	}
	
	function byteLength (string, encoding) {
	  if (Buffer.isBuffer(string)) {
	    return string.length
	  }
	  if (typeof ArrayBuffer !== 'undefined' && typeof ArrayBuffer.isView === 'function' &&
	      (ArrayBuffer.isView(string) || string instanceof ArrayBuffer)) {
	    return string.byteLength
	  }
	  if (typeof string !== 'string') {
	    string = '' + string
	  }
	
	  var len = string.length
	  if (len === 0) return 0
	
	  // Use a for loop to avoid recursion
	  var loweredCase = false
	  for (;;) {
	    switch (encoding) {
	      case 'ascii':
	      case 'latin1':
	      case 'binary':
	        return len
	      case 'utf8':
	      case 'utf-8':
	      case undefined:
	        return utf8ToBytes(string).length
	      case 'ucs2':
	      case 'ucs-2':
	      case 'utf16le':
	      case 'utf-16le':
	        return len * 2
	      case 'hex':
	        return len >>> 1
	      case 'base64':
	        return base64ToBytes(string).length
	      default:
	        if (loweredCase) return utf8ToBytes(string).length // assume utf8
	        encoding = ('' + encoding).toLowerCase()
	        loweredCase = true
	    }
	  }
	}
	Buffer.byteLength = byteLength
	
	function slowToString (encoding, start, end) {
	  var loweredCase = false
	
	  // No need to verify that "this.length <= MAX_UINT32" since it's a read-only
	  // property of a typed array.
	
	  // This behaves neither like String nor Uint8Array in that we set start/end
	  // to their upper/lower bounds if the value passed is out of range.
	  // undefined is handled specially as per ECMA-262 6th Edition,
	  // Section 13.3.3.7 Runtime Semantics: KeyedBindingInitialization.
	  if (start === undefined || start < 0) {
	    start = 0
	  }
	  // Return early if start > this.length. Done here to prevent potential uint32
	  // coercion fail below.
	  if (start > this.length) {
	    return ''
	  }
	
	  if (end === undefined || end > this.length) {
	    end = this.length
	  }
	
	  if (end <= 0) {
	    return ''
	  }
	
	  // Force coersion to uint32. This will also coerce falsey/NaN values to 0.
	  end >>>= 0
	  start >>>= 0
	
	  if (end <= start) {
	    return ''
	  }
	
	  if (!encoding) encoding = 'utf8'
	
	  while (true) {
	    switch (encoding) {
	      case 'hex':
	        return hexSlice(this, start, end)
	
	      case 'utf8':
	      case 'utf-8':
	        return utf8Slice(this, start, end)
	
	      case 'ascii':
	        return asciiSlice(this, start, end)
	
	      case 'latin1':
	      case 'binary':
	        return latin1Slice(this, start, end)
	
	      case 'base64':
	        return base64Slice(this, start, end)
	
	      case 'ucs2':
	      case 'ucs-2':
	      case 'utf16le':
	      case 'utf-16le':
	        return utf16leSlice(this, start, end)
	
	      default:
	        if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding)
	        encoding = (encoding + '').toLowerCase()
	        loweredCase = true
	    }
	  }
	}
	
	// The property is used by `Buffer.isBuffer` and `is-buffer` (in Safari 5-7) to detect
	// Buffer instances.
	Buffer.prototype._isBuffer = true
	
	function swap (b, n, m) {
	  var i = b[n]
	  b[n] = b[m]
	  b[m] = i
	}
	
	Buffer.prototype.swap16 = function swap16 () {
	  var len = this.length
	  if (len % 2 !== 0) {
	    throw new RangeError('Buffer size must be a multiple of 16-bits')
	  }
	  for (var i = 0; i < len; i += 2) {
	    swap(this, i, i + 1)
	  }
	  return this
	}
	
	Buffer.prototype.swap32 = function swap32 () {
	  var len = this.length
	  if (len % 4 !== 0) {
	    throw new RangeError('Buffer size must be a multiple of 32-bits')
	  }
	  for (var i = 0; i < len; i += 4) {
	    swap(this, i, i + 3)
	    swap(this, i + 1, i + 2)
	  }
	  return this
	}
	
	Buffer.prototype.swap64 = function swap64 () {
	  var len = this.length
	  if (len % 8 !== 0) {
	    throw new RangeError('Buffer size must be a multiple of 64-bits')
	  }
	  for (var i = 0; i < len; i += 8) {
	    swap(this, i, i + 7)
	    swap(this, i + 1, i + 6)
	    swap(this, i + 2, i + 5)
	    swap(this, i + 3, i + 4)
	  }
	  return this
	}
	
	Buffer.prototype.toString = function toString () {
	  var length = this.length | 0
	  if (length === 0) return ''
	  if (arguments.length === 0) return utf8Slice(this, 0, length)
	  return slowToString.apply(this, arguments)
	}
	
	Buffer.prototype.equals = function equals (b) {
	  if (!Buffer.isBuffer(b)) throw new TypeError('Argument must be a Buffer')
	  if (this === b) return true
	  return Buffer.compare(this, b) === 0
	}
	
	Buffer.prototype.inspect = function inspect () {
	  var str = ''
	  var max = exports.INSPECT_MAX_BYTES
	  if (this.length > 0) {
	    str = this.toString('hex', 0, max).match(/.{2}/g).join(' ')
	    if (this.length > max) str += ' ... '
	  }
	  return '<Buffer ' + str + '>'
	}
	
	Buffer.prototype.compare = function compare (target, start, end, thisStart, thisEnd) {
	  if (!Buffer.isBuffer(target)) {
	    throw new TypeError('Argument must be a Buffer')
	  }
	
	  if (start === undefined) {
	    start = 0
	  }
	  if (end === undefined) {
	    end = target ? target.length : 0
	  }
	  if (thisStart === undefined) {
	    thisStart = 0
	  }
	  if (thisEnd === undefined) {
	    thisEnd = this.length
	  }
	
	  if (start < 0 || end > target.length || thisStart < 0 || thisEnd > this.length) {
	    throw new RangeError('out of range index')
	  }
	
	  if (thisStart >= thisEnd && start >= end) {
	    return 0
	  }
	  if (thisStart >= thisEnd) {
	    return -1
	  }
	  if (start >= end) {
	    return 1
	  }
	
	  start >>>= 0
	  end >>>= 0
	  thisStart >>>= 0
	  thisEnd >>>= 0
	
	  if (this === target) return 0
	
	  var x = thisEnd - thisStart
	  var y = end - start
	  var len = Math.min(x, y)
	
	  var thisCopy = this.slice(thisStart, thisEnd)
	  var targetCopy = target.slice(start, end)
	
	  for (var i = 0; i < len; ++i) {
	    if (thisCopy[i] !== targetCopy[i]) {
	      x = thisCopy[i]
	      y = targetCopy[i]
	      break
	    }
	  }
	
	  if (x < y) return -1
	  if (y < x) return 1
	  return 0
	}
	
	// Finds either the first index of `val` in `buffer` at offset >= `byteOffset`,
	// OR the last index of `val` in `buffer` at offset <= `byteOffset`.
	//
	// Arguments:
	// - buffer - a Buffer to search
	// - val - a string, Buffer, or number
	// - byteOffset - an index into `buffer`; will be clamped to an int32
	// - encoding - an optional encoding, relevant is val is a string
	// - dir - true for indexOf, false for lastIndexOf
	function bidirectionalIndexOf (buffer, val, byteOffset, encoding, dir) {
	  // Empty buffer means no match
	  if (buffer.length === 0) return -1
	
	  // Normalize byteOffset
	  if (typeof byteOffset === 'string') {
	    encoding = byteOffset
	    byteOffset = 0
	  } else if (byteOffset > 0x7fffffff) {
	    byteOffset = 0x7fffffff
	  } else if (byteOffset < -0x80000000) {
	    byteOffset = -0x80000000
	  }
	  byteOffset = +byteOffset  // Coerce to Number.
	  if (isNaN(byteOffset)) {
	    // byteOffset: it it's undefined, null, NaN, "foo", etc, search whole buffer
	    byteOffset = dir ? 0 : (buffer.length - 1)
	  }
	
	  // Normalize byteOffset: negative offsets start from the end of the buffer
	  if (byteOffset < 0) byteOffset = buffer.length + byteOffset
	  if (byteOffset >= buffer.length) {
	    if (dir) return -1
	    else byteOffset = buffer.length - 1
	  } else if (byteOffset < 0) {
	    if (dir) byteOffset = 0
	    else return -1
	  }
	
	  // Normalize val
	  if (typeof val === 'string') {
	    val = Buffer.from(val, encoding)
	  }
	
	  // Finally, search either indexOf (if dir is true) or lastIndexOf
	  if (Buffer.isBuffer(val)) {
	    // Special case: looking for empty string/buffer always fails
	    if (val.length === 0) {
	      return -1
	    }
	    return arrayIndexOf(buffer, val, byteOffset, encoding, dir)
	  } else if (typeof val === 'number') {
	    val = val & 0xFF // Search for a byte value [0-255]
	    if (Buffer.TYPED_ARRAY_SUPPORT &&
	        typeof Uint8Array.prototype.indexOf === 'function') {
	      if (dir) {
	        return Uint8Array.prototype.indexOf.call(buffer, val, byteOffset)
	      } else {
	        return Uint8Array.prototype.lastIndexOf.call(buffer, val, byteOffset)
	      }
	    }
	    return arrayIndexOf(buffer, [ val ], byteOffset, encoding, dir)
	  }
	
	  throw new TypeError('val must be string, number or Buffer')
	}
	
	function arrayIndexOf (arr, val, byteOffset, encoding, dir) {
	  var indexSize = 1
	  var arrLength = arr.length
	  var valLength = val.length
	
	  if (encoding !== undefined) {
	    encoding = String(encoding).toLowerCase()
	    if (encoding === 'ucs2' || encoding === 'ucs-2' ||
	        encoding === 'utf16le' || encoding === 'utf-16le') {
	      if (arr.length < 2 || val.length < 2) {
	        return -1
	      }
	      indexSize = 2
	      arrLength /= 2
	      valLength /= 2
	      byteOffset /= 2
	    }
	  }
	
	  function read (buf, i) {
	    if (indexSize === 1) {
	      return buf[i]
	    } else {
	      return buf.readUInt16BE(i * indexSize)
	    }
	  }
	
	  var i
	  if (dir) {
	    var foundIndex = -1
	    for (i = byteOffset; i < arrLength; i++) {
	      if (read(arr, i) === read(val, foundIndex === -1 ? 0 : i - foundIndex)) {
	        if (foundIndex === -1) foundIndex = i
	        if (i - foundIndex + 1 === valLength) return foundIndex * indexSize
	      } else {
	        if (foundIndex !== -1) i -= i - foundIndex
	        foundIndex = -1
	      }
	    }
	  } else {
	    if (byteOffset + valLength > arrLength) byteOffset = arrLength - valLength
	    for (i = byteOffset; i >= 0; i--) {
	      var found = true
	      for (var j = 0; j < valLength; j++) {
	        if (read(arr, i + j) !== read(val, j)) {
	          found = false
	          break
	        }
	      }
	      if (found) return i
	    }
	  }
	
	  return -1
	}
	
	Buffer.prototype.includes = function includes (val, byteOffset, encoding) {
	  return this.indexOf(val, byteOffset, encoding) !== -1
	}
	
	Buffer.prototype.indexOf = function indexOf (val, byteOffset, encoding) {
	  return bidirectionalIndexOf(this, val, byteOffset, encoding, true)
	}
	
	Buffer.prototype.lastIndexOf = function lastIndexOf (val, byteOffset, encoding) {
	  return bidirectionalIndexOf(this, val, byteOffset, encoding, false)
	}
	
	function hexWrite (buf, string, offset, length) {
	  offset = Number(offset) || 0
	  var remaining = buf.length - offset
	  if (!length) {
	    length = remaining
	  } else {
	    length = Number(length)
	    if (length > remaining) {
	      length = remaining
	    }
	  }
	
	  // must be an even number of digits
	  var strLen = string.length
	  if (strLen % 2 !== 0) throw new TypeError('Invalid hex string')
	
	  if (length > strLen / 2) {
	    length = strLen / 2
	  }
	  for (var i = 0; i < length; ++i) {
	    var parsed = parseInt(string.substr(i * 2, 2), 16)
	    if (isNaN(parsed)) return i
	    buf[offset + i] = parsed
	  }
	  return i
	}
	
	function utf8Write (buf, string, offset, length) {
	  return blitBuffer(utf8ToBytes(string, buf.length - offset), buf, offset, length)
	}
	
	function asciiWrite (buf, string, offset, length) {
	  return blitBuffer(asciiToBytes(string), buf, offset, length)
	}
	
	function latin1Write (buf, string, offset, length) {
	  return asciiWrite(buf, string, offset, length)
	}
	
	function base64Write (buf, string, offset, length) {
	  return blitBuffer(base64ToBytes(string), buf, offset, length)
	}
	
	function ucs2Write (buf, string, offset, length) {
	  return blitBuffer(utf16leToBytes(string, buf.length - offset), buf, offset, length)
	}
	
	Buffer.prototype.write = function write (string, offset, length, encoding) {
	  // Buffer#write(string)
	  if (offset === undefined) {
	    encoding = 'utf8'
	    length = this.length
	    offset = 0
	  // Buffer#write(string, encoding)
	  } else if (length === undefined && typeof offset === 'string') {
	    encoding = offset
	    length = this.length
	    offset = 0
	  // Buffer#write(string, offset[, length][, encoding])
	  } else if (isFinite(offset)) {
	    offset = offset | 0
	    if (isFinite(length)) {
	      length = length | 0
	      if (encoding === undefined) encoding = 'utf8'
	    } else {
	      encoding = length
	      length = undefined
	    }
	  // legacy write(string, encoding, offset, length) - remove in v0.13
	  } else {
	    throw new Error(
	      'Buffer.write(string, encoding, offset[, length]) is no longer supported'
	    )
	  }
	
	  var remaining = this.length - offset
	  if (length === undefined || length > remaining) length = remaining
	
	  if ((string.length > 0 && (length < 0 || offset < 0)) || offset > this.length) {
	    throw new RangeError('Attempt to write outside buffer bounds')
	  }
	
	  if (!encoding) encoding = 'utf8'
	
	  var loweredCase = false
	  for (;;) {
	    switch (encoding) {
	      case 'hex':
	        return hexWrite(this, string, offset, length)
	
	      case 'utf8':
	      case 'utf-8':
	        return utf8Write(this, string, offset, length)
	
	      case 'ascii':
	        return asciiWrite(this, string, offset, length)
	
	      case 'latin1':
	      case 'binary':
	        return latin1Write(this, string, offset, length)
	
	      case 'base64':
	        // Warning: maxLength not taken into account in base64Write
	        return base64Write(this, string, offset, length)
	
	      case 'ucs2':
	      case 'ucs-2':
	      case 'utf16le':
	      case 'utf-16le':
	        return ucs2Write(this, string, offset, length)
	
	      default:
	        if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding)
	        encoding = ('' + encoding).toLowerCase()
	        loweredCase = true
	    }
	  }
	}
	
	Buffer.prototype.toJSON = function toJSON () {
	  return {
	    type: 'Buffer',
	    data: Array.prototype.slice.call(this._arr || this, 0)
	  }
	}
	
	function base64Slice (buf, start, end) {
	  if (start === 0 && end === buf.length) {
	    return base64.fromByteArray(buf)
	  } else {
	    return base64.fromByteArray(buf.slice(start, end))
	  }
	}
	
	function utf8Slice (buf, start, end) {
	  end = Math.min(buf.length, end)
	  var res = []
	
	  var i = start
	  while (i < end) {
	    var firstByte = buf[i]
	    var codePoint = null
	    var bytesPerSequence = (firstByte > 0xEF) ? 4
	      : (firstByte > 0xDF) ? 3
	      : (firstByte > 0xBF) ? 2
	      : 1
	
	    if (i + bytesPerSequence <= end) {
	      var secondByte, thirdByte, fourthByte, tempCodePoint
	
	      switch (bytesPerSequence) {
	        case 1:
	          if (firstByte < 0x80) {
	            codePoint = firstByte
	          }
	          break
	        case 2:
	          secondByte = buf[i + 1]
	          if ((secondByte & 0xC0) === 0x80) {
	            tempCodePoint = (firstByte & 0x1F) << 0x6 | (secondByte & 0x3F)
	            if (tempCodePoint > 0x7F) {
	              codePoint = tempCodePoint
	            }
	          }
	          break
	        case 3:
	          secondByte = buf[i + 1]
	          thirdByte = buf[i + 2]
	          if ((secondByte & 0xC0) === 0x80 && (thirdByte & 0xC0) === 0x80) {
	            tempCodePoint = (firstByte & 0xF) << 0xC | (secondByte & 0x3F) << 0x6 | (thirdByte & 0x3F)
	            if (tempCodePoint > 0x7FF && (tempCodePoint < 0xD800 || tempCodePoint > 0xDFFF)) {
	              codePoint = tempCodePoint
	            }
	          }
	          break
	        case 4:
	          secondByte = buf[i + 1]
	          thirdByte = buf[i + 2]
	          fourthByte = buf[i + 3]
	          if ((secondByte & 0xC0) === 0x80 && (thirdByte & 0xC0) === 0x80 && (fourthByte & 0xC0) === 0x80) {
	            tempCodePoint = (firstByte & 0xF) << 0x12 | (secondByte & 0x3F) << 0xC | (thirdByte & 0x3F) << 0x6 | (fourthByte & 0x3F)
	            if (tempCodePoint > 0xFFFF && tempCodePoint < 0x110000) {
	              codePoint = tempCodePoint
	            }
	          }
	      }
	    }
	
	    if (codePoint === null) {
	      // we did not generate a valid codePoint so insert a
	      // replacement char (U+FFFD) and advance only 1 byte
	      codePoint = 0xFFFD
	      bytesPerSequence = 1
	    } else if (codePoint > 0xFFFF) {
	      // encode to utf16 (surrogate pair dance)
	      codePoint -= 0x10000
	      res.push(codePoint >>> 10 & 0x3FF | 0xD800)
	      codePoint = 0xDC00 | codePoint & 0x3FF
	    }
	
	    res.push(codePoint)
	    i += bytesPerSequence
	  }
	
	  return decodeCodePointsArray(res)
	}
	
	// Based on http://stackoverflow.com/a/22747272/680742, the browser with
	// the lowest limit is Chrome, with 0x10000 args.
	// We go 1 magnitude less, for safety
	var MAX_ARGUMENTS_LENGTH = 0x1000
	
	function decodeCodePointsArray (codePoints) {
	  var len = codePoints.length
	  if (len <= MAX_ARGUMENTS_LENGTH) {
	    return String.fromCharCode.apply(String, codePoints) // avoid extra slice()
	  }
	
	  // Decode in chunks to avoid "call stack size exceeded".
	  var res = ''
	  var i = 0
	  while (i < len) {
	    res += String.fromCharCode.apply(
	      String,
	      codePoints.slice(i, i += MAX_ARGUMENTS_LENGTH)
	    )
	  }
	  return res
	}
	
	function asciiSlice (buf, start, end) {
	  var ret = ''
	  end = Math.min(buf.length, end)
	
	  for (var i = start; i < end; ++i) {
	    ret += String.fromCharCode(buf[i] & 0x7F)
	  }
	  return ret
	}
	
	function latin1Slice (buf, start, end) {
	  var ret = ''
	  end = Math.min(buf.length, end)
	
	  for (var i = start; i < end; ++i) {
	    ret += String.fromCharCode(buf[i])
	  }
	  return ret
	}
	
	function hexSlice (buf, start, end) {
	  var len = buf.length
	
	  if (!start || start < 0) start = 0
	  if (!end || end < 0 || end > len) end = len
	
	  var out = ''
	  for (var i = start; i < end; ++i) {
	    out += toHex(buf[i])
	  }
	  return out
	}
	
	function utf16leSlice (buf, start, end) {
	  var bytes = buf.slice(start, end)
	  var res = ''
	  for (var i = 0; i < bytes.length; i += 2) {
	    res += String.fromCharCode(bytes[i] + bytes[i + 1] * 256)
	  }
	  return res
	}
	
	Buffer.prototype.slice = function slice (start, end) {
	  var len = this.length
	  start = ~~start
	  end = end === undefined ? len : ~~end
	
	  if (start < 0) {
	    start += len
	    if (start < 0) start = 0
	  } else if (start > len) {
	    start = len
	  }
	
	  if (end < 0) {
	    end += len
	    if (end < 0) end = 0
	  } else if (end > len) {
	    end = len
	  }
	
	  if (end < start) end = start
	
	  var newBuf
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    newBuf = this.subarray(start, end)
	    newBuf.__proto__ = Buffer.prototype
	  } else {
	    var sliceLen = end - start
	    newBuf = new Buffer(sliceLen, undefined)
	    for (var i = 0; i < sliceLen; ++i) {
	      newBuf[i] = this[i + start]
	    }
	  }
	
	  return newBuf
	}
	
	/*
	 * Need to make sure that buffer isn't trying to write out of bounds.
	 */
	function checkOffset (offset, ext, length) {
	  if ((offset % 1) !== 0 || offset < 0) throw new RangeError('offset is not uint')
	  if (offset + ext > length) throw new RangeError('Trying to access beyond buffer length')
	}
	
	Buffer.prototype.readUIntLE = function readUIntLE (offset, byteLength, noAssert) {
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) checkOffset(offset, byteLength, this.length)
	
	  var val = this[offset]
	  var mul = 1
	  var i = 0
	  while (++i < byteLength && (mul *= 0x100)) {
	    val += this[offset + i] * mul
	  }
	
	  return val
	}
	
	Buffer.prototype.readUIntBE = function readUIntBE (offset, byteLength, noAssert) {
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) {
	    checkOffset(offset, byteLength, this.length)
	  }
	
	  var val = this[offset + --byteLength]
	  var mul = 1
	  while (byteLength > 0 && (mul *= 0x100)) {
	    val += this[offset + --byteLength] * mul
	  }
	
	  return val
	}
	
	Buffer.prototype.readUInt8 = function readUInt8 (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 1, this.length)
	  return this[offset]
	}
	
	Buffer.prototype.readUInt16LE = function readUInt16LE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 2, this.length)
	  return this[offset] | (this[offset + 1] << 8)
	}
	
	Buffer.prototype.readUInt16BE = function readUInt16BE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 2, this.length)
	  return (this[offset] << 8) | this[offset + 1]
	}
	
	Buffer.prototype.readUInt32LE = function readUInt32LE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	
	  return ((this[offset]) |
	      (this[offset + 1] << 8) |
	      (this[offset + 2] << 16)) +
	      (this[offset + 3] * 0x1000000)
	}
	
	Buffer.prototype.readUInt32BE = function readUInt32BE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	
	  return (this[offset] * 0x1000000) +
	    ((this[offset + 1] << 16) |
	    (this[offset + 2] << 8) |
	    this[offset + 3])
	}
	
	Buffer.prototype.readIntLE = function readIntLE (offset, byteLength, noAssert) {
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) checkOffset(offset, byteLength, this.length)
	
	  var val = this[offset]
	  var mul = 1
	  var i = 0
	  while (++i < byteLength && (mul *= 0x100)) {
	    val += this[offset + i] * mul
	  }
	  mul *= 0x80
	
	  if (val >= mul) val -= Math.pow(2, 8 * byteLength)
	
	  return val
	}
	
	Buffer.prototype.readIntBE = function readIntBE (offset, byteLength, noAssert) {
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) checkOffset(offset, byteLength, this.length)
	
	  var i = byteLength
	  var mul = 1
	  var val = this[offset + --i]
	  while (i > 0 && (mul *= 0x100)) {
	    val += this[offset + --i] * mul
	  }
	  mul *= 0x80
	
	  if (val >= mul) val -= Math.pow(2, 8 * byteLength)
	
	  return val
	}
	
	Buffer.prototype.readInt8 = function readInt8 (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 1, this.length)
	  if (!(this[offset] & 0x80)) return (this[offset])
	  return ((0xff - this[offset] + 1) * -1)
	}
	
	Buffer.prototype.readInt16LE = function readInt16LE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 2, this.length)
	  var val = this[offset] | (this[offset + 1] << 8)
	  return (val & 0x8000) ? val | 0xFFFF0000 : val
	}
	
	Buffer.prototype.readInt16BE = function readInt16BE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 2, this.length)
	  var val = this[offset + 1] | (this[offset] << 8)
	  return (val & 0x8000) ? val | 0xFFFF0000 : val
	}
	
	Buffer.prototype.readInt32LE = function readInt32LE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	
	  return (this[offset]) |
	    (this[offset + 1] << 8) |
	    (this[offset + 2] << 16) |
	    (this[offset + 3] << 24)
	}
	
	Buffer.prototype.readInt32BE = function readInt32BE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	
	  return (this[offset] << 24) |
	    (this[offset + 1] << 16) |
	    (this[offset + 2] << 8) |
	    (this[offset + 3])
	}
	
	Buffer.prototype.readFloatLE = function readFloatLE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	  return ieee754.read(this, offset, true, 23, 4)
	}
	
	Buffer.prototype.readFloatBE = function readFloatBE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 4, this.length)
	  return ieee754.read(this, offset, false, 23, 4)
	}
	
	Buffer.prototype.readDoubleLE = function readDoubleLE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 8, this.length)
	  return ieee754.read(this, offset, true, 52, 8)
	}
	
	Buffer.prototype.readDoubleBE = function readDoubleBE (offset, noAssert) {
	  if (!noAssert) checkOffset(offset, 8, this.length)
	  return ieee754.read(this, offset, false, 52, 8)
	}
	
	function checkInt (buf, value, offset, ext, max, min) {
	  if (!Buffer.isBuffer(buf)) throw new TypeError('"buffer" argument must be a Buffer instance')
	  if (value > max || value < min) throw new RangeError('"value" argument is out of bounds')
	  if (offset + ext > buf.length) throw new RangeError('Index out of range')
	}
	
	Buffer.prototype.writeUIntLE = function writeUIntLE (value, offset, byteLength, noAssert) {
	  value = +value
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) {
	    var maxBytes = Math.pow(2, 8 * byteLength) - 1
	    checkInt(this, value, offset, byteLength, maxBytes, 0)
	  }
	
	  var mul = 1
	  var i = 0
	  this[offset] = value & 0xFF
	  while (++i < byteLength && (mul *= 0x100)) {
	    this[offset + i] = (value / mul) & 0xFF
	  }
	
	  return offset + byteLength
	}
	
	Buffer.prototype.writeUIntBE = function writeUIntBE (value, offset, byteLength, noAssert) {
	  value = +value
	  offset = offset | 0
	  byteLength = byteLength | 0
	  if (!noAssert) {
	    var maxBytes = Math.pow(2, 8 * byteLength) - 1
	    checkInt(this, value, offset, byteLength, maxBytes, 0)
	  }
	
	  var i = byteLength - 1
	  var mul = 1
	  this[offset + i] = value & 0xFF
	  while (--i >= 0 && (mul *= 0x100)) {
	    this[offset + i] = (value / mul) & 0xFF
	  }
	
	  return offset + byteLength
	}
	
	Buffer.prototype.writeUInt8 = function writeUInt8 (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 1, 0xff, 0)
	  if (!Buffer.TYPED_ARRAY_SUPPORT) value = Math.floor(value)
	  this[offset] = (value & 0xff)
	  return offset + 1
	}
	
	function objectWriteUInt16 (buf, value, offset, littleEndian) {
	  if (value < 0) value = 0xffff + value + 1
	  for (var i = 0, j = Math.min(buf.length - offset, 2); i < j; ++i) {
	    buf[offset + i] = (value & (0xff << (8 * (littleEndian ? i : 1 - i)))) >>>
	      (littleEndian ? i : 1 - i) * 8
	  }
	}
	
	Buffer.prototype.writeUInt16LE = function writeUInt16LE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value & 0xff)
	    this[offset + 1] = (value >>> 8)
	  } else {
	    objectWriteUInt16(this, value, offset, true)
	  }
	  return offset + 2
	}
	
	Buffer.prototype.writeUInt16BE = function writeUInt16BE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value >>> 8)
	    this[offset + 1] = (value & 0xff)
	  } else {
	    objectWriteUInt16(this, value, offset, false)
	  }
	  return offset + 2
	}
	
	function objectWriteUInt32 (buf, value, offset, littleEndian) {
	  if (value < 0) value = 0xffffffff + value + 1
	  for (var i = 0, j = Math.min(buf.length - offset, 4); i < j; ++i) {
	    buf[offset + i] = (value >>> (littleEndian ? i : 3 - i) * 8) & 0xff
	  }
	}
	
	Buffer.prototype.writeUInt32LE = function writeUInt32LE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset + 3] = (value >>> 24)
	    this[offset + 2] = (value >>> 16)
	    this[offset + 1] = (value >>> 8)
	    this[offset] = (value & 0xff)
	  } else {
	    objectWriteUInt32(this, value, offset, true)
	  }
	  return offset + 4
	}
	
	Buffer.prototype.writeUInt32BE = function writeUInt32BE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value >>> 24)
	    this[offset + 1] = (value >>> 16)
	    this[offset + 2] = (value >>> 8)
	    this[offset + 3] = (value & 0xff)
	  } else {
	    objectWriteUInt32(this, value, offset, false)
	  }
	  return offset + 4
	}
	
	Buffer.prototype.writeIntLE = function writeIntLE (value, offset, byteLength, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) {
	    var limit = Math.pow(2, 8 * byteLength - 1)
	
	    checkInt(this, value, offset, byteLength, limit - 1, -limit)
	  }
	
	  var i = 0
	  var mul = 1
	  var sub = 0
	  this[offset] = value & 0xFF
	  while (++i < byteLength && (mul *= 0x100)) {
	    if (value < 0 && sub === 0 && this[offset + i - 1] !== 0) {
	      sub = 1
	    }
	    this[offset + i] = ((value / mul) >> 0) - sub & 0xFF
	  }
	
	  return offset + byteLength
	}
	
	Buffer.prototype.writeIntBE = function writeIntBE (value, offset, byteLength, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) {
	    var limit = Math.pow(2, 8 * byteLength - 1)
	
	    checkInt(this, value, offset, byteLength, limit - 1, -limit)
	  }
	
	  var i = byteLength - 1
	  var mul = 1
	  var sub = 0
	  this[offset + i] = value & 0xFF
	  while (--i >= 0 && (mul *= 0x100)) {
	    if (value < 0 && sub === 0 && this[offset + i + 1] !== 0) {
	      sub = 1
	    }
	    this[offset + i] = ((value / mul) >> 0) - sub & 0xFF
	  }
	
	  return offset + byteLength
	}
	
	Buffer.prototype.writeInt8 = function writeInt8 (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 1, 0x7f, -0x80)
	  if (!Buffer.TYPED_ARRAY_SUPPORT) value = Math.floor(value)
	  if (value < 0) value = 0xff + value + 1
	  this[offset] = (value & 0xff)
	  return offset + 1
	}
	
	Buffer.prototype.writeInt16LE = function writeInt16LE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value & 0xff)
	    this[offset + 1] = (value >>> 8)
	  } else {
	    objectWriteUInt16(this, value, offset, true)
	  }
	  return offset + 2
	}
	
	Buffer.prototype.writeInt16BE = function writeInt16BE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value >>> 8)
	    this[offset + 1] = (value & 0xff)
	  } else {
	    objectWriteUInt16(this, value, offset, false)
	  }
	  return offset + 2
	}
	
	Buffer.prototype.writeInt32LE = function writeInt32LE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000)
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value & 0xff)
	    this[offset + 1] = (value >>> 8)
	    this[offset + 2] = (value >>> 16)
	    this[offset + 3] = (value >>> 24)
	  } else {
	    objectWriteUInt32(this, value, offset, true)
	  }
	  return offset + 4
	}
	
	Buffer.prototype.writeInt32BE = function writeInt32BE (value, offset, noAssert) {
	  value = +value
	  offset = offset | 0
	  if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000)
	  if (value < 0) value = 0xffffffff + value + 1
	  if (Buffer.TYPED_ARRAY_SUPPORT) {
	    this[offset] = (value >>> 24)
	    this[offset + 1] = (value >>> 16)
	    this[offset + 2] = (value >>> 8)
	    this[offset + 3] = (value & 0xff)
	  } else {
	    objectWriteUInt32(this, value, offset, false)
	  }
	  return offset + 4
	}
	
	function checkIEEE754 (buf, value, offset, ext, max, min) {
	  if (offset + ext > buf.length) throw new RangeError('Index out of range')
	  if (offset < 0) throw new RangeError('Index out of range')
	}
	
	function writeFloat (buf, value, offset, littleEndian, noAssert) {
	  if (!noAssert) {
	    checkIEEE754(buf, value, offset, 4, 3.4028234663852886e+38, -3.4028234663852886e+38)
	  }
	  ieee754.write(buf, value, offset, littleEndian, 23, 4)
	  return offset + 4
	}
	
	Buffer.prototype.writeFloatLE = function writeFloatLE (value, offset, noAssert) {
	  return writeFloat(this, value, offset, true, noAssert)
	}
	
	Buffer.prototype.writeFloatBE = function writeFloatBE (value, offset, noAssert) {
	  return writeFloat(this, value, offset, false, noAssert)
	}
	
	function writeDouble (buf, value, offset, littleEndian, noAssert) {
	  if (!noAssert) {
	    checkIEEE754(buf, value, offset, 8, 1.7976931348623157E+308, -1.7976931348623157E+308)
	  }
	  ieee754.write(buf, value, offset, littleEndian, 52, 8)
	  return offset + 8
	}
	
	Buffer.prototype.writeDoubleLE = function writeDoubleLE (value, offset, noAssert) {
	  return writeDouble(this, value, offset, true, noAssert)
	}
	
	Buffer.prototype.writeDoubleBE = function writeDoubleBE (value, offset, noAssert) {
	  return writeDouble(this, value, offset, false, noAssert)
	}
	
	// copy(targetBuffer, targetStart=0, sourceStart=0, sourceEnd=buffer.length)
	Buffer.prototype.copy = function copy (target, targetStart, start, end) {
	  if (!start) start = 0
	  if (!end && end !== 0) end = this.length
	  if (targetStart >= target.length) targetStart = target.length
	  if (!targetStart) targetStart = 0
	  if (end > 0 && end < start) end = start
	
	  // Copy 0 bytes; we're done
	  if (end === start) return 0
	  if (target.length === 0 || this.length === 0) return 0
	
	  // Fatal error conditions
	  if (targetStart < 0) {
	    throw new RangeError('targetStart out of bounds')
	  }
	  if (start < 0 || start >= this.length) throw new RangeError('sourceStart out of bounds')
	  if (end < 0) throw new RangeError('sourceEnd out of bounds')
	
	  // Are we oob?
	  if (end > this.length) end = this.length
	  if (target.length - targetStart < end - start) {
	    end = target.length - targetStart + start
	  }
	
	  var len = end - start
	  var i
	
	  if (this === target && start < targetStart && targetStart < end) {
	    // descending copy from end
	    for (i = len - 1; i >= 0; --i) {
	      target[i + targetStart] = this[i + start]
	    }
	  } else if (len < 1000 || !Buffer.TYPED_ARRAY_SUPPORT) {
	    // ascending copy from start
	    for (i = 0; i < len; ++i) {
	      target[i + targetStart] = this[i + start]
	    }
	  } else {
	    Uint8Array.prototype.set.call(
	      target,
	      this.subarray(start, start + len),
	      targetStart
	    )
	  }
	
	  return len
	}
	
	// Usage:
	//    buffer.fill(number[, offset[, end]])
	//    buffer.fill(buffer[, offset[, end]])
	//    buffer.fill(string[, offset[, end]][, encoding])
	Buffer.prototype.fill = function fill (val, start, end, encoding) {
	  // Handle string cases:
	  if (typeof val === 'string') {
	    if (typeof start === 'string') {
	      encoding = start
	      start = 0
	      end = this.length
	    } else if (typeof end === 'string') {
	      encoding = end
	      end = this.length
	    }
	    if (val.length === 1) {
	      var code = val.charCodeAt(0)
	      if (code < 256) {
	        val = code
	      }
	    }
	    if (encoding !== undefined && typeof encoding !== 'string') {
	      throw new TypeError('encoding must be a string')
	    }
	    if (typeof encoding === 'string' && !Buffer.isEncoding(encoding)) {
	      throw new TypeError('Unknown encoding: ' + encoding)
	    }
	  } else if (typeof val === 'number') {
	    val = val & 255
	  }
	
	  // Invalid ranges are not set to a default, so can range check early.
	  if (start < 0 || this.length < start || this.length < end) {
	    throw new RangeError('Out of range index')
	  }
	
	  if (end <= start) {
	    return this
	  }
	
	  start = start >>> 0
	  end = end === undefined ? this.length : end >>> 0
	
	  if (!val) val = 0
	
	  var i
	  if (typeof val === 'number') {
	    for (i = start; i < end; ++i) {
	      this[i] = val
	    }
	  } else {
	    var bytes = Buffer.isBuffer(val)
	      ? val
	      : utf8ToBytes(new Buffer(val, encoding).toString())
	    var len = bytes.length
	    for (i = 0; i < end - start; ++i) {
	      this[i + start] = bytes[i % len]
	    }
	  }
	
	  return this
	}
	
	// HELPER FUNCTIONS
	// ================
	
	var INVALID_BASE64_RE = /[^+\/0-9A-Za-z-_]/g
	
	function base64clean (str) {
	  // Node strips out invalid characters like \n and \t from the string, base64-js does not
	  str = stringtrim(str).replace(INVALID_BASE64_RE, '')
	  // Node converts strings with length < 2 to ''
	  if (str.length < 2) return ''
	  // Node allows for non-padded base64 strings (missing trailing ===), base64-js does not
	  while (str.length % 4 !== 0) {
	    str = str + '='
	  }
	  return str
	}
	
	function stringtrim (str) {
	  if (str.trim) return str.trim()
	  return str.replace(/^\s+|\s+$/g, '')
	}
	
	function toHex (n) {
	  if (n < 16) return '0' + n.toString(16)
	  return n.toString(16)
	}
	
	function utf8ToBytes (string, units) {
	  units = units || Infinity
	  var codePoint
	  var length = string.length
	  var leadSurrogate = null
	  var bytes = []
	
	  for (var i = 0; i < length; ++i) {
	    codePoint = string.charCodeAt(i)
	
	    // is surrogate component
	    if (codePoint > 0xD7FF && codePoint < 0xE000) {
	      // last char was a lead
	      if (!leadSurrogate) {
	        // no lead yet
	        if (codePoint > 0xDBFF) {
	          // unexpected trail
	          if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD)
	          continue
	        } else if (i + 1 === length) {
	          // unpaired lead
	          if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD)
	          continue
	        }
	
	        // valid lead
	        leadSurrogate = codePoint
	
	        continue
	      }
	
	      // 2 leads in a row
	      if (codePoint < 0xDC00) {
	        if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD)
	        leadSurrogate = codePoint
	        continue
	      }
	
	      // valid surrogate pair
	      codePoint = (leadSurrogate - 0xD800 << 10 | codePoint - 0xDC00) + 0x10000
	    } else if (leadSurrogate) {
	      // valid bmp char, but last char was a lead
	      if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD)
	    }
	
	    leadSurrogate = null
	
	    // encode utf8
	    if (codePoint < 0x80) {
	      if ((units -= 1) < 0) break
	      bytes.push(codePoint)
	    } else if (codePoint < 0x800) {
	      if ((units -= 2) < 0) break
	      bytes.push(
	        codePoint >> 0x6 | 0xC0,
	        codePoint & 0x3F | 0x80
	      )
	    } else if (codePoint < 0x10000) {
	      if ((units -= 3) < 0) break
	      bytes.push(
	        codePoint >> 0xC | 0xE0,
	        codePoint >> 0x6 & 0x3F | 0x80,
	        codePoint & 0x3F | 0x80
	      )
	    } else if (codePoint < 0x110000) {
	      if ((units -= 4) < 0) break
	      bytes.push(
	        codePoint >> 0x12 | 0xF0,
	        codePoint >> 0xC & 0x3F | 0x80,
	        codePoint >> 0x6 & 0x3F | 0x80,
	        codePoint & 0x3F | 0x80
	      )
	    } else {
	      throw new Error('Invalid code point')
	    }
	  }
	
	  return bytes
	}
	
	function asciiToBytes (str) {
	  var byteArray = []
	  for (var i = 0; i < str.length; ++i) {
	    // Node's code seems to be doing this and not & 0x7F..
	    byteArray.push(str.charCodeAt(i) & 0xFF)
	  }
	  return byteArray
	}
	
	function utf16leToBytes (str, units) {
	  var c, hi, lo
	  var byteArray = []
	  for (var i = 0; i < str.length; ++i) {
	    if ((units -= 2) < 0) break
	
	    c = str.charCodeAt(i)
	    hi = c >> 8
	    lo = c % 256
	    byteArray.push(lo)
	    byteArray.push(hi)
	  }
	
	  return byteArray
	}
	
	function base64ToBytes (str) {
	  return base64.toByteArray(base64clean(str))
	}
	
	function blitBuffer (src, dst, offset, length) {
	  for (var i = 0; i < length; ++i) {
	    if ((i + offset >= dst.length) || (i >= src.length)) break
	    dst[i + offset] = src[i]
	  }
	  return i
	}
	
	function isnan (val) {
	  return val !== val // eslint-disable-line no-self-compare
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer, (function() { return this; }())))

/***/ },
/* 2 */
/***/ function(module, exports) {

	'use strict'
	
	exports.toByteArray = toByteArray
	exports.fromByteArray = fromByteArray
	
	var lookup = []
	var revLookup = []
	var Arr = typeof Uint8Array !== 'undefined' ? Uint8Array : Array
	
	function init () {
	  var code = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/'
	  for (var i = 0, len = code.length; i < len; ++i) {
	    lookup[i] = code[i]
	    revLookup[code.charCodeAt(i)] = i
	  }
	
	  revLookup['-'.charCodeAt(0)] = 62
	  revLookup['_'.charCodeAt(0)] = 63
	}
	
	init()
	
	function toByteArray (b64) {
	  var i, j, l, tmp, placeHolders, arr
	  var len = b64.length
	
	  if (len % 4 > 0) {
	    throw new Error('Invalid string. Length must be a multiple of 4')
	  }
	
	  // the number of equal signs (place holders)
	  // if there are two placeholders, than the two characters before it
	  // represent one byte
	  // if there is only one, then the three characters before it represent 2 bytes
	  // this is just a cheap hack to not do indexOf twice
	  placeHolders = b64[len - 2] === '=' ? 2 : b64[len - 1] === '=' ? 1 : 0
	
	  // base64 is 4/3 + up to two characters of the original data
	  arr = new Arr(len * 3 / 4 - placeHolders)
	
	  // if there are placeholders, only get up to the last complete 4 chars
	  l = placeHolders > 0 ? len - 4 : len
	
	  var L = 0
	
	  for (i = 0, j = 0; i < l; i += 4, j += 3) {
	    tmp = (revLookup[b64.charCodeAt(i)] << 18) | (revLookup[b64.charCodeAt(i + 1)] << 12) | (revLookup[b64.charCodeAt(i + 2)] << 6) | revLookup[b64.charCodeAt(i + 3)]
	    arr[L++] = (tmp >> 16) & 0xFF
	    arr[L++] = (tmp >> 8) & 0xFF
	    arr[L++] = tmp & 0xFF
	  }
	
	  if (placeHolders === 2) {
	    tmp = (revLookup[b64.charCodeAt(i)] << 2) | (revLookup[b64.charCodeAt(i + 1)] >> 4)
	    arr[L++] = tmp & 0xFF
	  } else if (placeHolders === 1) {
	    tmp = (revLookup[b64.charCodeAt(i)] << 10) | (revLookup[b64.charCodeAt(i + 1)] << 4) | (revLookup[b64.charCodeAt(i + 2)] >> 2)
	    arr[L++] = (tmp >> 8) & 0xFF
	    arr[L++] = tmp & 0xFF
	  }
	
	  return arr
	}
	
	function tripletToBase64 (num) {
	  return lookup[num >> 18 & 0x3F] + lookup[num >> 12 & 0x3F] + lookup[num >> 6 & 0x3F] + lookup[num & 0x3F]
	}
	
	function encodeChunk (uint8, start, end) {
	  var tmp
	  var output = []
	  for (var i = start; i < end; i += 3) {
	    tmp = (uint8[i] << 16) + (uint8[i + 1] << 8) + (uint8[i + 2])
	    output.push(tripletToBase64(tmp))
	  }
	  return output.join('')
	}
	
	function fromByteArray (uint8) {
	  var tmp
	  var len = uint8.length
	  var extraBytes = len % 3 // if we have 1 byte left, pad 2 bytes
	  var output = ''
	  var parts = []
	  var maxChunkLength = 16383 // must be multiple of 3
	
	  // go through the array every three bytes, we'll deal with trailing stuff later
	  for (var i = 0, len2 = len - extraBytes; i < len2; i += maxChunkLength) {
	    parts.push(encodeChunk(uint8, i, (i + maxChunkLength) > len2 ? len2 : (i + maxChunkLength)))
	  }
	
	  // pad the end with zeros, but make sure to not forget the extra bytes
	  if (extraBytes === 1) {
	    tmp = uint8[len - 1]
	    output += lookup[tmp >> 2]
	    output += lookup[(tmp << 4) & 0x3F]
	    output += '=='
	  } else if (extraBytes === 2) {
	    tmp = (uint8[len - 2] << 8) + (uint8[len - 1])
	    output += lookup[tmp >> 10]
	    output += lookup[(tmp >> 4) & 0x3F]
	    output += lookup[(tmp << 2) & 0x3F]
	    output += '='
	  }
	
	  parts.push(output)
	
	  return parts.join('')
	}


/***/ },
/* 3 */
/***/ function(module, exports) {

	exports.read = function (buffer, offset, isLE, mLen, nBytes) {
	  var e, m
	  var eLen = nBytes * 8 - mLen - 1
	  var eMax = (1 << eLen) - 1
	  var eBias = eMax >> 1
	  var nBits = -7
	  var i = isLE ? (nBytes - 1) : 0
	  var d = isLE ? -1 : 1
	  var s = buffer[offset + i]
	
	  i += d
	
	  e = s & ((1 << (-nBits)) - 1)
	  s >>= (-nBits)
	  nBits += eLen
	  for (; nBits > 0; e = e * 256 + buffer[offset + i], i += d, nBits -= 8) {}
	
	  m = e & ((1 << (-nBits)) - 1)
	  e >>= (-nBits)
	  nBits += mLen
	  for (; nBits > 0; m = m * 256 + buffer[offset + i], i += d, nBits -= 8) {}
	
	  if (e === 0) {
	    e = 1 - eBias
	  } else if (e === eMax) {
	    return m ? NaN : ((s ? -1 : 1) * Infinity)
	  } else {
	    m = m + Math.pow(2, mLen)
	    e = e - eBias
	  }
	  return (s ? -1 : 1) * m * Math.pow(2, e - mLen)
	}
	
	exports.write = function (buffer, value, offset, isLE, mLen, nBytes) {
	  var e, m, c
	  var eLen = nBytes * 8 - mLen - 1
	  var eMax = (1 << eLen) - 1
	  var eBias = eMax >> 1
	  var rt = (mLen === 23 ? Math.pow(2, -24) - Math.pow(2, -77) : 0)
	  var i = isLE ? 0 : (nBytes - 1)
	  var d = isLE ? 1 : -1
	  var s = value < 0 || (value === 0 && 1 / value < 0) ? 1 : 0
	
	  value = Math.abs(value)
	
	  if (isNaN(value) || value === Infinity) {
	    m = isNaN(value) ? 1 : 0
	    e = eMax
	  } else {
	    e = Math.floor(Math.log(value) / Math.LN2)
	    if (value * (c = Math.pow(2, -e)) < 1) {
	      e--
	      c *= 2
	    }
	    if (e + eBias >= 1) {
	      value += rt / c
	    } else {
	      value += rt * Math.pow(2, 1 - eBias)
	    }
	    if (value * c >= 2) {
	      e++
	      c /= 2
	    }
	
	    if (e + eBias >= eMax) {
	      m = 0
	      e = eMax
	    } else if (e + eBias >= 1) {
	      m = (value * c - 1) * Math.pow(2, mLen)
	      e = e + eBias
	    } else {
	      m = value * Math.pow(2, eBias - 1) * Math.pow(2, mLen)
	      e = 0
	    }
	  }
	
	  for (; mLen >= 8; buffer[offset + i] = m & 0xff, i += d, m /= 256, mLen -= 8) {}
	
	  e = (e << mLen) | m
	  eLen += mLen
	  for (; eLen > 0; buffer[offset + i] = e & 0xff, i += d, e /= 256, eLen -= 8) {}
	
	  buffer[offset + i - d] |= s * 128
	}


/***/ },
/* 4 */
/***/ function(module, exports) {

	var toString = {}.toString;
	
	module.exports = Array.isArray || function (arr) {
	  return toString.call(arr) == '[object Array]';
	};


/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * lodash 3.0.3 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	var baseClone = __webpack_require__(6),
	    bindCallback = __webpack_require__(16),
	    isIterateeCall = __webpack_require__(17);
	
	/**
	 * Creates a clone of `value`. If `isDeep` is `true` nested objects are cloned,
	 * otherwise they are assigned by reference. If `customizer` is provided it's
	 * invoked to produce the cloned values. If `customizer` returns `undefined`
	 * cloning is handled by the method instead. The `customizer` is bound to
	 * `thisArg` and invoked with up to three argument; (value [, index|key, object]).
	 *
	 * **Note:** This method is loosely based on the
	 * [structured clone algorithm](http://www.w3.org/TR/html5/infrastructure.html#internal-structured-cloning-algorithm).
	 * The enumerable properties of `arguments` objects and objects created by
	 * constructors other than `Object` are cloned to plain `Object` objects. An
	 * empty object is returned for uncloneable values such as functions, DOM nodes,
	 * Maps, Sets, and WeakMaps.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @param {Function} [customizer] The function to customize cloning values.
	 * @param {*} [thisArg] The `this` binding of `customizer`.
	 * @returns {*} Returns the cloned value.
	 * @example
	 *
	 * var users = [
	 *   { 'user': 'barney' },
	 *   { 'user': 'fred' }
	 * ];
	 *
	 * var shallow = _.clone(users);
	 * shallow[0] === users[0];
	 * // => true
	 *
	 * var deep = _.clone(users, true);
	 * deep[0] === users[0];
	 * // => false
	 *
	 * // using a customizer callback
	 * var el = _.clone(document.body, function(value) {
	 *   if (_.isElement(value)) {
	 *     return value.cloneNode(false);
	 *   }
	 * });
	 *
	 * el === document.body
	 * // => false
	 * el.nodeName
	 * // => BODY
	 * el.childNodes.length;
	 * // => 0
	 */
	function clone(value, isDeep, customizer, thisArg) {
	  if (isDeep && typeof isDeep != 'boolean' && isIterateeCall(value, isDeep, customizer)) {
	    isDeep = false;
	  }
	  else if (typeof isDeep == 'function') {
	    thisArg = customizer;
	    customizer = isDeep;
	    isDeep = false;
	  }
	  return typeof customizer == 'function'
	    ? baseClone(value, isDeep, bindCallback(customizer, thisArg, 3))
	    : baseClone(value, isDeep);
	}
	
	module.exports = clone;


/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash 3.3.0 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	var arrayCopy = __webpack_require__(7),
	    arrayEach = __webpack_require__(8),
	    baseAssign = __webpack_require__(9),
	    baseFor = __webpack_require__(15),
	    isArray = __webpack_require__(14),
	    keys = __webpack_require__(11);
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    arrayTag = '[object Array]',
	    boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    errorTag = '[object Error]',
	    funcTag = '[object Function]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    objectTag = '[object Object]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    weakMapTag = '[object WeakMap]';
	
	var arrayBufferTag = '[object ArrayBuffer]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';
	
	/** Used to match `RegExp` flags from their coerced string values. */
	var reFlags = /\w*$/;
	
	/** Used to identify `toStringTag` values supported by `_.clone`. */
	var cloneableTags = {};
	cloneableTags[argsTag] = cloneableTags[arrayTag] =
	cloneableTags[arrayBufferTag] = cloneableTags[boolTag] =
	cloneableTags[dateTag] = cloneableTags[float32Tag] =
	cloneableTags[float64Tag] = cloneableTags[int8Tag] =
	cloneableTags[int16Tag] = cloneableTags[int32Tag] =
	cloneableTags[numberTag] = cloneableTags[objectTag] =
	cloneableTags[regexpTag] = cloneableTags[stringTag] =
	cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
	cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
	cloneableTags[errorTag] = cloneableTags[funcTag] =
	cloneableTags[mapTag] = cloneableTags[setTag] =
	cloneableTags[weakMapTag] = false;
	
	/** Used for native method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objToString = objectProto.toString;
	
	/** Native method references. */
	var ArrayBuffer = global.ArrayBuffer,
	    Uint8Array = global.Uint8Array;
	
	/**
	 * The base implementation of `_.clone` without support for argument juggling
	 * and `this` binding `customizer` functions.
	 *
	 * @private
	 * @param {*} value The value to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @param {Function} [customizer] The function to customize cloning values.
	 * @param {string} [key] The key of `value`.
	 * @param {Object} [object] The object `value` belongs to.
	 * @param {Array} [stackA=[]] Tracks traversed source objects.
	 * @param {Array} [stackB=[]] Associates clones with source counterparts.
	 * @returns {*} Returns the cloned value.
	 */
	function baseClone(value, isDeep, customizer, key, object, stackA, stackB) {
	  var result;
	  if (customizer) {
	    result = object ? customizer(value, key, object) : customizer(value);
	  }
	  if (result !== undefined) {
	    return result;
	  }
	  if (!isObject(value)) {
	    return value;
	  }
	  var isArr = isArray(value);
	  if (isArr) {
	    result = initCloneArray(value);
	    if (!isDeep) {
	      return arrayCopy(value, result);
	    }
	  } else {
	    var tag = objToString.call(value),
	        isFunc = tag == funcTag;
	
	    if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
	      result = initCloneObject(isFunc ? {} : value);
	      if (!isDeep) {
	        return baseAssign(result, value);
	      }
	    } else {
	      return cloneableTags[tag]
	        ? initCloneByTag(value, tag, isDeep)
	        : (object ? value : {});
	    }
	  }
	  // Check for circular references and return its corresponding clone.
	  stackA || (stackA = []);
	  stackB || (stackB = []);
	
	  var length = stackA.length;
	  while (length--) {
	    if (stackA[length] == value) {
	      return stackB[length];
	    }
	  }
	  // Add the source value to the stack of traversed objects and associate it with its clone.
	  stackA.push(value);
	  stackB.push(result);
	
	  // Recursively populate clone (susceptible to call stack limits).
	  (isArr ? arrayEach : baseForOwn)(value, function(subValue, key) {
	    result[key] = baseClone(subValue, isDeep, customizer, key, value, stackA, stackB);
	  });
	  return result;
	}
	
	/**
	 * The base implementation of `_.forOwn` without support for callback
	 * shorthands and `this` binding.
	 *
	 * @private
	 * @param {Object} object The object to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Object} Returns `object`.
	 */
	function baseForOwn(object, iteratee) {
	  return baseFor(object, iteratee, keys);
	}
	
	/**
	 * Creates a clone of the given array buffer.
	 *
	 * @private
	 * @param {ArrayBuffer} buffer The array buffer to clone.
	 * @returns {ArrayBuffer} Returns the cloned array buffer.
	 */
	function bufferClone(buffer) {
	  var result = new ArrayBuffer(buffer.byteLength),
	      view = new Uint8Array(result);
	
	  view.set(new Uint8Array(buffer));
	  return result;
	}
	
	/**
	 * Initializes an array clone.
	 *
	 * @private
	 * @param {Array} array The array to clone.
	 * @returns {Array} Returns the initialized clone.
	 */
	function initCloneArray(array) {
	  var length = array.length,
	      result = new array.constructor(length);
	
	  // Add array properties assigned by `RegExp#exec`.
	  if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
	    result.index = array.index;
	    result.input = array.input;
	  }
	  return result;
	}
	
	/**
	 * Initializes an object clone.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneObject(object) {
	  var Ctor = object.constructor;
	  if (!(typeof Ctor == 'function' && Ctor instanceof Ctor)) {
	    Ctor = Object;
	  }
	  return new Ctor;
	}
	
	/**
	 * Initializes an object clone based on its `toStringTag`.
	 *
	 * **Note:** This function only supports cloning values with tags of
	 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @param {string} tag The `toStringTag` of the object to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneByTag(object, tag, isDeep) {
	  var Ctor = object.constructor;
	  switch (tag) {
	    case arrayBufferTag:
	      return bufferClone(object);
	
	    case boolTag:
	    case dateTag:
	      return new Ctor(+object);
	
	    case float32Tag: case float64Tag:
	    case int8Tag: case int16Tag: case int32Tag:
	    case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
	      var buffer = object.buffer;
	      return new Ctor(isDeep ? bufferClone(buffer) : buffer, object.byteOffset, object.length);
	
	    case numberTag:
	    case stringTag:
	      return new Ctor(object);
	
	    case regexpTag:
	      var result = new Ctor(object.source, reFlags.exec(object));
	      result.lastIndex = object.lastIndex;
	  }
	  return result;
	}
	
	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	module.exports = baseClone;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 7 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.0 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.7.0 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/**
	 * Copies the values of `source` to `array`.
	 *
	 * @private
	 * @param {Array} source The array to copy values from.
	 * @param {Array} [array=[]] The array to copy values to.
	 * @returns {Array} Returns `array`.
	 */
	function arrayCopy(source, array) {
	  var index = -1,
	      length = source.length;
	
	  array || (array = Array(length));
	  while (++index < length) {
	    array[index] = source[index];
	  }
	  return array;
	}
	
	module.exports = arrayCopy;


/***/ },
/* 8 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.0 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.7.0 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/**
	 * A specialized version of `_.forEach` for arrays without support for callback
	 * shorthands or `this` binding.
	 *
	 * @private
	 * @param {Array} array The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns `array`.
	 */
	function arrayEach(array, iteratee) {
	  var index = -1,
	      length = array.length;
	
	  while (++index < length) {
	    if (iteratee(array[index], index, array) === false) {
	      break;
	    }
	  }
	  return array;
	}
	
	module.exports = arrayEach;


/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * lodash 3.2.0 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	var baseCopy = __webpack_require__(10),
	    keys = __webpack_require__(11);
	
	/**
	 * The base implementation of `_.assign` without support for argument juggling,
	 * multiple sources, and `customizer` functions.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @returns {Object} Returns `object`.
	 */
	function baseAssign(object, source) {
	  return source == null
	    ? object
	    : baseCopy(source, keys(source), object);
	}
	
	module.exports = baseAssign;


/***/ },
/* 10 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.1 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/**
	 * Copies properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy properties from.
	 * @param {Array} props The property names to copy.
	 * @param {Object} [object={}] The object to copy properties to.
	 * @returns {Object} Returns `object`.
	 */
	function baseCopy(source, props, object) {
	  object || (object = {});
	
	  var index = -1,
	      length = props.length;
	
	  while (++index < length) {
	    var key = props[index];
	    object[key] = source[key];
	  }
	  return object;
	}
	
	module.exports = baseCopy;


/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * lodash 3.1.2 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	var getNative = __webpack_require__(12),
	    isArguments = __webpack_require__(13),
	    isArray = __webpack_require__(14);
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^\d+$/;
	
	/** Used for native method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/* Native method references for those with the same name as other `lodash` methods. */
	var nativeKeys = getNative(Object, 'keys');
	
	/**
	 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
	 * of an array-like value.
	 */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/**
	 * The base implementation of `_.property` without support for deep paths.
	 *
	 * @private
	 * @param {string} key The key of the property to get.
	 * @returns {Function} Returns the new function.
	 */
	function baseProperty(key) {
	  return function(object) {
	    return object == null ? undefined : object[key];
	  };
	}
	
	/**
	 * Gets the "length" property value of `object`.
	 *
	 * **Note:** This function is used to avoid a [JIT bug](https://bugs.webkit.org/show_bug.cgi?id=142792)
	 * that affects Safari on at least iOS 8.1-8.3 ARM64.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {*} Returns the "length" value.
	 */
	var getLength = baseProperty('length');
	
	/**
	 * Checks if `value` is array-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 */
	function isArrayLike(value) {
	  return value != null && isLength(getLength(value));
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  value = (typeof value == 'number' || reIsUint.test(value)) ? +value : -1;
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return value > -1 && value % 1 == 0 && value < length;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This function is based on [`ToLength`](http://ecma-international.org/ecma-262/6.0/#sec-tolength).
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 */
	function isLength(value) {
	  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * A fallback implementation of `Object.keys` which creates an array of the
	 * own enumerable property names of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function shimKeys(object) {
	  var props = keysIn(object),
	      propsLength = props.length,
	      length = propsLength && object.length;
	
	  var allowIndexes = !!length && isLength(length) &&
	    (isArray(object) || isArguments(object));
	
	  var index = -1,
	      result = [];
	
	  while (++index < propsLength) {
	    var key = props[index];
	    if ((allowIndexes && isIndex(key, length)) || hasOwnProperty.call(object, key)) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Creates an array of the own enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects. See the
	 * [ES spec](http://ecma-international.org/ecma-262/6.0/#sec-object.keys)
	 * for more details.
	 *
	 * @static
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keys(new Foo);
	 * // => ['a', 'b'] (iteration order is not guaranteed)
	 *
	 * _.keys('hi');
	 * // => ['0', '1']
	 */
	var keys = !nativeKeys ? shimKeys : function(object) {
	  var Ctor = object == null ? undefined : object.constructor;
	  if ((typeof Ctor == 'function' && Ctor.prototype === object) ||
	      (typeof object != 'function' && isArrayLike(object))) {
	    return shimKeys(object);
	  }
	  return isObject(object) ? nativeKeys(object) : [];
	};
	
	/**
	 * Creates an array of the own and inherited enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects.
	 *
	 * @static
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keysIn(new Foo);
	 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
	 */
	function keysIn(object) {
	  if (object == null) {
	    return [];
	  }
	  if (!isObject(object)) {
	    object = Object(object);
	  }
	  var length = object.length;
	  length = (length && isLength(length) &&
	    (isArray(object) || isArguments(object)) && length) || 0;
	
	  var Ctor = object.constructor,
	      index = -1,
	      isProto = typeof Ctor == 'function' && Ctor.prototype === object,
	      result = Array(length),
	      skipIndexes = length > 0;
	
	  while (++index < length) {
	    result[index] = (index + '');
	  }
	  for (var key in object) {
	    if (!(skipIndexes && isIndex(key, length)) &&
	        !(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	module.exports = keys;


/***/ },
/* 12 */
/***/ function(module, exports) {

	/**
	 * lodash 3.9.1 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/** `Object#toString` result references. */
	var funcTag = '[object Function]';
	
	/** Used to detect host constructors (Safari > 5). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/**
	 * Checks if `value` is object-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/** Used for native method references. */
	var objectProto = Object.prototype;
	
	/** Used to resolve the decompiled source of functions. */
	var fnToString = Function.prototype.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  fnToString.call(hasOwnProperty).replace(/[\\^$.*+?()[\]{}|]/g, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = object == null ? undefined : object[key];
	  return isNative(value) ? value : undefined;
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in older versions of Chrome and Safari which return 'function' for regexes
	  // and Safari 8 equivalents which return 'object' for typed array constructors.
	  return isObject(value) && objToString.call(value) == funcTag;
	}
	
	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is a native function.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function, else `false`.
	 * @example
	 *
	 * _.isNative(Array.prototype.push);
	 * // => true
	 *
	 * _.isNative(_);
	 * // => false
	 */
	function isNative(value) {
	  if (value == null) {
	    return false;
	  }
	  if (isFunction(value)) {
	    return reIsNative.test(fnToString.call(value));
	  }
	  return isObjectLike(value) && reIsHostCtor.test(value);
	}
	
	module.exports = getNative;


/***/ },
/* 13 */
/***/ function(module, exports) {

	/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]';
	
	/** Used for built-in method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Built-in value references. */
	var propertyIsEnumerable = objectProto.propertyIsEnumerable;
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	module.exports = isArguments;


/***/ },
/* 14 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.4 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/** `Object#toString` result references. */
	var arrayTag = '[object Array]',
	    funcTag = '[object Function]';
	
	/** Used to detect host constructors (Safari > 5). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/**
	 * Checks if `value` is object-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/** Used for native method references. */
	var objectProto = Object.prototype;
	
	/** Used to resolve the decompiled source of functions. */
	var fnToString = Function.prototype.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  fnToString.call(hasOwnProperty).replace(/[\\^$.*+?()[\]{}|]/g, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/* Native method references for those with the same name as other `lodash` methods. */
	var nativeIsArray = getNative(Array, 'isArray');
	
	/**
	 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
	 * of an array-like value.
	 */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = object == null ? undefined : object[key];
	  return isNative(value) ? value : undefined;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This function is based on [`ToLength`](http://ecma-international.org/ecma-262/6.0/#sec-tolength).
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 */
	function isLength(value) {
	  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(function() { return arguments; }());
	 * // => false
	 */
	var isArray = nativeIsArray || function(value) {
	  return isObjectLike(value) && isLength(value.length) && objToString.call(value) == arrayTag;
	};
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in older versions of Chrome and Safari which return 'function' for regexes
	  // and Safari 8 equivalents which return 'object' for typed array constructors.
	  return isObject(value) && objToString.call(value) == funcTag;
	}
	
	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is a native function.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function, else `false`.
	 * @example
	 *
	 * _.isNative(Array.prototype.push);
	 * // => true
	 *
	 * _.isNative(_);
	 * // => false
	 */
	function isNative(value) {
	  if (value == null) {
	    return false;
	  }
	  if (isFunction(value)) {
	    return reIsNative.test(fnToString.call(value));
	  }
	  return isObjectLike(value) && reIsHostCtor.test(value);
	}
	
	module.exports = isArray;


/***/ },
/* 15 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.3 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright 2012-2016 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2016 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/**
	 * The base implementation of `baseForIn` and `baseForOwn` which iterates
	 * over `object` properties returned by `keysFunc` invoking `iteratee` for
	 * each property. Iteratee functions may exit iteration early by explicitly
	 * returning `false`.
	 *
	 * @private
	 * @param {Object} object The object to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @returns {Object} Returns `object`.
	 */
	var baseFor = createBaseFor();
	
	/**
	 * Creates a base function for methods like `_.forIn`.
	 *
	 * @private
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {Function} Returns the new base function.
	 */
	function createBaseFor(fromRight) {
	  return function(object, iteratee, keysFunc) {
	    var index = -1,
	        iterable = Object(object),
	        props = keysFunc(object),
	        length = props.length;
	
	    while (length--) {
	      var key = props[fromRight ? length : ++index];
	      if (iteratee(iterable[key], key, iterable) === false) {
	        break;
	      }
	    }
	    return object;
	  };
	}
	
	module.exports = baseFor;


/***/ },
/* 16 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.1 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/**
	 * A specialized version of `baseCallback` which only supports `this` binding
	 * and specifying the number of arguments to provide to `func`.
	 *
	 * @private
	 * @param {Function} func The function to bind.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {number} [argCount] The number of arguments to provide to `func`.
	 * @returns {Function} Returns the callback.
	 */
	function bindCallback(func, thisArg, argCount) {
	  if (typeof func != 'function') {
	    return identity;
	  }
	  if (thisArg === undefined) {
	    return func;
	  }
	  switch (argCount) {
	    case 1: return function(value) {
	      return func.call(thisArg, value);
	    };
	    case 3: return function(value, index, collection) {
	      return func.call(thisArg, value, index, collection);
	    };
	    case 4: return function(accumulator, value, index, collection) {
	      return func.call(thisArg, accumulator, value, index, collection);
	    };
	    case 5: return function(value, other, key, object, source) {
	      return func.call(thisArg, value, other, key, object, source);
	    };
	  }
	  return function() {
	    return func.apply(thisArg, arguments);
	  };
	}
	
	/**
	 * This method returns the first argument provided to it.
	 *
	 * @static
	 * @memberOf _
	 * @category Utility
	 * @param {*} value Any value.
	 * @returns {*} Returns `value`.
	 * @example
	 *
	 * var object = { 'user': 'fred' };
	 *
	 * _.identity(object) === object;
	 * // => true
	 */
	function identity(value) {
	  return value;
	}
	
	module.exports = bindCallback;


/***/ },
/* 17 */
/***/ function(module, exports) {

	/**
	 * lodash 3.0.9 (Custom Build) <https://lodash.com/>
	 * Build: `lodash modern modularize exports="npm" -o ./`
	 * Copyright 2012-2015 The Dojo Foundation <http://dojofoundation.org/>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 * Available under MIT license <https://lodash.com/license>
	 */
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^\d+$/;
	
	/**
	 * Used as the [maximum length](https://people.mozilla.org/~jorendorff/es6-draft.html#sec-number.max_safe_integer)
	 * of an array-like value.
	 */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/**
	 * The base implementation of `_.property` without support for deep paths.
	 *
	 * @private
	 * @param {string} key The key of the property to get.
	 * @returns {Function} Returns the new function.
	 */
	function baseProperty(key) {
	  return function(object) {
	    return object == null ? undefined : object[key];
	  };
	}
	
	/**
	 * Gets the "length" property value of `object`.
	 *
	 * **Note:** This function is used to avoid a [JIT bug](https://bugs.webkit.org/show_bug.cgi?id=142792)
	 * that affects Safari on at least iOS 8.1-8.3 ARM64.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {*} Returns the "length" value.
	 */
	var getLength = baseProperty('length');
	
	/**
	 * Checks if `value` is array-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 */
	function isArrayLike(value) {
	  return value != null && isLength(getLength(value));
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  value = (typeof value == 'number' || reIsUint.test(value)) ? +value : -1;
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return value > -1 && value % 1 == 0 && value < length;
	}
	
	/**
	 * Checks if the provided arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call, else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index;
	  if (type == 'number'
	      ? (isArrayLike(object) && isIndex(index, object.length))
	      : (type == 'string' && index in object)) {
	    var other = object[index];
	    return value === value ? (value === other) : (other !== other);
	  }
	  return false;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This function is based on [`ToLength`](https://people.mozilla.org/~jorendorff/es6-draft.html#sec-tolength).
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 */
	function isLength(value) {
	  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	module.exports = isIterateeCall;


/***/ },
/* 18 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * index.js - Main Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	if (typeof Promise === "undefined") {
	  __webpack_require__(19).polyfill();
	}
	
	module.exports = {
	  JWA: __webpack_require__(24),
	  JWE: __webpack_require__(101),
	  JWK: __webpack_require__(105),
	  JWS: __webpack_require__(153),
	  util: __webpack_require__(70),
	  parse: __webpack_require__(158)
	};


/***/ },
/* 19 */
/***/ function(module, exports, __webpack_require__) {

	var require;var __WEBPACK_AMD_DEFINE_RESULT__;/* WEBPACK VAR INJECTION */(function(process, global, module) {/*!
	 * @overview es6-promise - a tiny implementation of Promises/A+.
	 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
	 * @license   Licensed under MIT license
	 *            See https://raw.githubusercontent.com/jakearchibald/es6-promise/master/LICENSE
	 * @version   3.2.1
	 */
	
	(function() {
	    "use strict";
	    function lib$es6$promise$utils$$objectOrFunction(x) {
	      return typeof x === 'function' || (typeof x === 'object' && x !== null);
	    }
	
	    function lib$es6$promise$utils$$isFunction(x) {
	      return typeof x === 'function';
	    }
	
	    function lib$es6$promise$utils$$isMaybeThenable(x) {
	      return typeof x === 'object' && x !== null;
	    }
	
	    var lib$es6$promise$utils$$_isArray;
	    if (!Array.isArray) {
	      lib$es6$promise$utils$$_isArray = function (x) {
	        return Object.prototype.toString.call(x) === '[object Array]';
	      };
	    } else {
	      lib$es6$promise$utils$$_isArray = Array.isArray;
	    }
	
	    var lib$es6$promise$utils$$isArray = lib$es6$promise$utils$$_isArray;
	    var lib$es6$promise$asap$$len = 0;
	    var lib$es6$promise$asap$$vertxNext;
	    var lib$es6$promise$asap$$customSchedulerFn;
	
	    var lib$es6$promise$asap$$asap = function asap(callback, arg) {
	      lib$es6$promise$asap$$queue[lib$es6$promise$asap$$len] = callback;
	      lib$es6$promise$asap$$queue[lib$es6$promise$asap$$len + 1] = arg;
	      lib$es6$promise$asap$$len += 2;
	      if (lib$es6$promise$asap$$len === 2) {
	        // If len is 2, that means that we need to schedule an async flush.
	        // If additional callbacks are queued before the queue is flushed, they
	        // will be processed by this flush that we are scheduling.
	        if (lib$es6$promise$asap$$customSchedulerFn) {
	          lib$es6$promise$asap$$customSchedulerFn(lib$es6$promise$asap$$flush);
	        } else {
	          lib$es6$promise$asap$$scheduleFlush();
	        }
	      }
	    }
	
	    function lib$es6$promise$asap$$setScheduler(scheduleFn) {
	      lib$es6$promise$asap$$customSchedulerFn = scheduleFn;
	    }
	
	    function lib$es6$promise$asap$$setAsap(asapFn) {
	      lib$es6$promise$asap$$asap = asapFn;
	    }
	
	    var lib$es6$promise$asap$$browserWindow = (typeof window !== 'undefined') ? window : undefined;
	    var lib$es6$promise$asap$$browserGlobal = lib$es6$promise$asap$$browserWindow || {};
	    var lib$es6$promise$asap$$BrowserMutationObserver = lib$es6$promise$asap$$browserGlobal.MutationObserver || lib$es6$promise$asap$$browserGlobal.WebKitMutationObserver;
	    var lib$es6$promise$asap$$isNode = typeof self === 'undefined' && typeof process !== 'undefined' && {}.toString.call(process) === '[object process]';
	
	    // test for web worker but not in IE10
	    var lib$es6$promise$asap$$isWorker = typeof Uint8ClampedArray !== 'undefined' &&
	      typeof importScripts !== 'undefined' &&
	      typeof MessageChannel !== 'undefined';
	
	    // node
	    function lib$es6$promise$asap$$useNextTick() {
	      // node version 0.10.x displays a deprecation warning when nextTick is used recursively
	      // see https://github.com/cujojs/when/issues/410 for details
	      return function() {
	        process.nextTick(lib$es6$promise$asap$$flush);
	      };
	    }
	
	    // vertx
	    function lib$es6$promise$asap$$useVertxTimer() {
	      return function() {
	        lib$es6$promise$asap$$vertxNext(lib$es6$promise$asap$$flush);
	      };
	    }
	
	    function lib$es6$promise$asap$$useMutationObserver() {
	      var iterations = 0;
	      var observer = new lib$es6$promise$asap$$BrowserMutationObserver(lib$es6$promise$asap$$flush);
	      var node = document.createTextNode('');
	      observer.observe(node, { characterData: true });
	
	      return function() {
	        node.data = (iterations = ++iterations % 2);
	      };
	    }
	
	    // web worker
	    function lib$es6$promise$asap$$useMessageChannel() {
	      var channel = new MessageChannel();
	      channel.port1.onmessage = lib$es6$promise$asap$$flush;
	      return function () {
	        channel.port2.postMessage(0);
	      };
	    }
	
	    function lib$es6$promise$asap$$useSetTimeout() {
	      return function() {
	        setTimeout(lib$es6$promise$asap$$flush, 1);
	      };
	    }
	
	    var lib$es6$promise$asap$$queue = new Array(1000);
	    function lib$es6$promise$asap$$flush() {
	      for (var i = 0; i < lib$es6$promise$asap$$len; i+=2) {
	        var callback = lib$es6$promise$asap$$queue[i];
	        var arg = lib$es6$promise$asap$$queue[i+1];
	
	        callback(arg);
	
	        lib$es6$promise$asap$$queue[i] = undefined;
	        lib$es6$promise$asap$$queue[i+1] = undefined;
	      }
	
	      lib$es6$promise$asap$$len = 0;
	    }
	
	    function lib$es6$promise$asap$$attemptVertx() {
	      try {
	        var r = require;
	        var vertx = __webpack_require__(22);
	        lib$es6$promise$asap$$vertxNext = vertx.runOnLoop || vertx.runOnContext;
	        return lib$es6$promise$asap$$useVertxTimer();
	      } catch(e) {
	        return lib$es6$promise$asap$$useSetTimeout();
	      }
	    }
	
	    var lib$es6$promise$asap$$scheduleFlush;
	    // Decide what async method to use to triggering processing of queued callbacks:
	    if (lib$es6$promise$asap$$isNode) {
	      lib$es6$promise$asap$$scheduleFlush = lib$es6$promise$asap$$useNextTick();
	    } else if (lib$es6$promise$asap$$BrowserMutationObserver) {
	      lib$es6$promise$asap$$scheduleFlush = lib$es6$promise$asap$$useMutationObserver();
	    } else if (lib$es6$promise$asap$$isWorker) {
	      lib$es6$promise$asap$$scheduleFlush = lib$es6$promise$asap$$useMessageChannel();
	    } else if (lib$es6$promise$asap$$browserWindow === undefined && "function" === 'function') {
	      lib$es6$promise$asap$$scheduleFlush = lib$es6$promise$asap$$attemptVertx();
	    } else {
	      lib$es6$promise$asap$$scheduleFlush = lib$es6$promise$asap$$useSetTimeout();
	    }
	    function lib$es6$promise$then$$then(onFulfillment, onRejection) {
	      var parent = this;
	
	      var child = new this.constructor(lib$es6$promise$$internal$$noop);
	
	      if (child[lib$es6$promise$$internal$$PROMISE_ID] === undefined) {
	        lib$es6$promise$$internal$$makePromise(child);
	      }
	
	      var state = parent._state;
	
	      if (state) {
	        var callback = arguments[state - 1];
	        lib$es6$promise$asap$$asap(function(){
	          lib$es6$promise$$internal$$invokeCallback(state, child, callback, parent._result);
	        });
	      } else {
	        lib$es6$promise$$internal$$subscribe(parent, child, onFulfillment, onRejection);
	      }
	
	      return child;
	    }
	    var lib$es6$promise$then$$default = lib$es6$promise$then$$then;
	    function lib$es6$promise$promise$resolve$$resolve(object) {
	      /*jshint validthis:true */
	      var Constructor = this;
	
	      if (object && typeof object === 'object' && object.constructor === Constructor) {
	        return object;
	      }
	
	      var promise = new Constructor(lib$es6$promise$$internal$$noop);
	      lib$es6$promise$$internal$$resolve(promise, object);
	      return promise;
	    }
	    var lib$es6$promise$promise$resolve$$default = lib$es6$promise$promise$resolve$$resolve;
	    var lib$es6$promise$$internal$$PROMISE_ID = Math.random().toString(36).substring(16);
	
	    function lib$es6$promise$$internal$$noop() {}
	
	    var lib$es6$promise$$internal$$PENDING   = void 0;
	    var lib$es6$promise$$internal$$FULFILLED = 1;
	    var lib$es6$promise$$internal$$REJECTED  = 2;
	
	    var lib$es6$promise$$internal$$GET_THEN_ERROR = new lib$es6$promise$$internal$$ErrorObject();
	
	    function lib$es6$promise$$internal$$selfFulfillment() {
	      return new TypeError("You cannot resolve a promise with itself");
	    }
	
	    function lib$es6$promise$$internal$$cannotReturnOwn() {
	      return new TypeError('A promises callback cannot return that same promise.');
	    }
	
	    function lib$es6$promise$$internal$$getThen(promise) {
	      try {
	        return promise.then;
	      } catch(error) {
	        lib$es6$promise$$internal$$GET_THEN_ERROR.error = error;
	        return lib$es6$promise$$internal$$GET_THEN_ERROR;
	      }
	    }
	
	    function lib$es6$promise$$internal$$tryThen(then, value, fulfillmentHandler, rejectionHandler) {
	      try {
	        then.call(value, fulfillmentHandler, rejectionHandler);
	      } catch(e) {
	        return e;
	      }
	    }
	
	    function lib$es6$promise$$internal$$handleForeignThenable(promise, thenable, then) {
	       lib$es6$promise$asap$$asap(function(promise) {
	        var sealed = false;
	        var error = lib$es6$promise$$internal$$tryThen(then, thenable, function(value) {
	          if (sealed) { return; }
	          sealed = true;
	          if (thenable !== value) {
	            lib$es6$promise$$internal$$resolve(promise, value);
	          } else {
	            lib$es6$promise$$internal$$fulfill(promise, value);
	          }
	        }, function(reason) {
	          if (sealed) { return; }
	          sealed = true;
	
	          lib$es6$promise$$internal$$reject(promise, reason);
	        }, 'Settle: ' + (promise._label || ' unknown promise'));
	
	        if (!sealed && error) {
	          sealed = true;
	          lib$es6$promise$$internal$$reject(promise, error);
	        }
	      }, promise);
	    }
	
	    function lib$es6$promise$$internal$$handleOwnThenable(promise, thenable) {
	      if (thenable._state === lib$es6$promise$$internal$$FULFILLED) {
	        lib$es6$promise$$internal$$fulfill(promise, thenable._result);
	      } else if (thenable._state === lib$es6$promise$$internal$$REJECTED) {
	        lib$es6$promise$$internal$$reject(promise, thenable._result);
	      } else {
	        lib$es6$promise$$internal$$subscribe(thenable, undefined, function(value) {
	          lib$es6$promise$$internal$$resolve(promise, value);
	        }, function(reason) {
	          lib$es6$promise$$internal$$reject(promise, reason);
	        });
	      }
	    }
	
	    function lib$es6$promise$$internal$$handleMaybeThenable(promise, maybeThenable, then) {
	      if (maybeThenable.constructor === promise.constructor &&
	          then === lib$es6$promise$then$$default &&
	          constructor.resolve === lib$es6$promise$promise$resolve$$default) {
	        lib$es6$promise$$internal$$handleOwnThenable(promise, maybeThenable);
	      } else {
	        if (then === lib$es6$promise$$internal$$GET_THEN_ERROR) {
	          lib$es6$promise$$internal$$reject(promise, lib$es6$promise$$internal$$GET_THEN_ERROR.error);
	        } else if (then === undefined) {
	          lib$es6$promise$$internal$$fulfill(promise, maybeThenable);
	        } else if (lib$es6$promise$utils$$isFunction(then)) {
	          lib$es6$promise$$internal$$handleForeignThenable(promise, maybeThenable, then);
	        } else {
	          lib$es6$promise$$internal$$fulfill(promise, maybeThenable);
	        }
	      }
	    }
	
	    function lib$es6$promise$$internal$$resolve(promise, value) {
	      if (promise === value) {
	        lib$es6$promise$$internal$$reject(promise, lib$es6$promise$$internal$$selfFulfillment());
	      } else if (lib$es6$promise$utils$$objectOrFunction(value)) {
	        lib$es6$promise$$internal$$handleMaybeThenable(promise, value, lib$es6$promise$$internal$$getThen(value));
	      } else {
	        lib$es6$promise$$internal$$fulfill(promise, value);
	      }
	    }
	
	    function lib$es6$promise$$internal$$publishRejection(promise) {
	      if (promise._onerror) {
	        promise._onerror(promise._result);
	      }
	
	      lib$es6$promise$$internal$$publish(promise);
	    }
	
	    function lib$es6$promise$$internal$$fulfill(promise, value) {
	      if (promise._state !== lib$es6$promise$$internal$$PENDING) { return; }
	
	      promise._result = value;
	      promise._state = lib$es6$promise$$internal$$FULFILLED;
	
	      if (promise._subscribers.length !== 0) {
	        lib$es6$promise$asap$$asap(lib$es6$promise$$internal$$publish, promise);
	      }
	    }
	
	    function lib$es6$promise$$internal$$reject(promise, reason) {
	      if (promise._state !== lib$es6$promise$$internal$$PENDING) { return; }
	      promise._state = lib$es6$promise$$internal$$REJECTED;
	      promise._result = reason;
	
	      lib$es6$promise$asap$$asap(lib$es6$promise$$internal$$publishRejection, promise);
	    }
	
	    function lib$es6$promise$$internal$$subscribe(parent, child, onFulfillment, onRejection) {
	      var subscribers = parent._subscribers;
	      var length = subscribers.length;
	
	      parent._onerror = null;
	
	      subscribers[length] = child;
	      subscribers[length + lib$es6$promise$$internal$$FULFILLED] = onFulfillment;
	      subscribers[length + lib$es6$promise$$internal$$REJECTED]  = onRejection;
	
	      if (length === 0 && parent._state) {
	        lib$es6$promise$asap$$asap(lib$es6$promise$$internal$$publish, parent);
	      }
	    }
	
	    function lib$es6$promise$$internal$$publish(promise) {
	      var subscribers = promise._subscribers;
	      var settled = promise._state;
	
	      if (subscribers.length === 0) { return; }
	
	      var child, callback, detail = promise._result;
	
	      for (var i = 0; i < subscribers.length; i += 3) {
	        child = subscribers[i];
	        callback = subscribers[i + settled];
	
	        if (child) {
	          lib$es6$promise$$internal$$invokeCallback(settled, child, callback, detail);
	        } else {
	          callback(detail);
	        }
	      }
	
	      promise._subscribers.length = 0;
	    }
	
	    function lib$es6$promise$$internal$$ErrorObject() {
	      this.error = null;
	    }
	
	    var lib$es6$promise$$internal$$TRY_CATCH_ERROR = new lib$es6$promise$$internal$$ErrorObject();
	
	    function lib$es6$promise$$internal$$tryCatch(callback, detail) {
	      try {
	        return callback(detail);
	      } catch(e) {
	        lib$es6$promise$$internal$$TRY_CATCH_ERROR.error = e;
	        return lib$es6$promise$$internal$$TRY_CATCH_ERROR;
	      }
	    }
	
	    function lib$es6$promise$$internal$$invokeCallback(settled, promise, callback, detail) {
	      var hasCallback = lib$es6$promise$utils$$isFunction(callback),
	          value, error, succeeded, failed;
	
	      if (hasCallback) {
	        value = lib$es6$promise$$internal$$tryCatch(callback, detail);
	
	        if (value === lib$es6$promise$$internal$$TRY_CATCH_ERROR) {
	          failed = true;
	          error = value.error;
	          value = null;
	        } else {
	          succeeded = true;
	        }
	
	        if (promise === value) {
	          lib$es6$promise$$internal$$reject(promise, lib$es6$promise$$internal$$cannotReturnOwn());
	          return;
	        }
	
	      } else {
	        value = detail;
	        succeeded = true;
	      }
	
	      if (promise._state !== lib$es6$promise$$internal$$PENDING) {
	        // noop
	      } else if (hasCallback && succeeded) {
	        lib$es6$promise$$internal$$resolve(promise, value);
	      } else if (failed) {
	        lib$es6$promise$$internal$$reject(promise, error);
	      } else if (settled === lib$es6$promise$$internal$$FULFILLED) {
	        lib$es6$promise$$internal$$fulfill(promise, value);
	      } else if (settled === lib$es6$promise$$internal$$REJECTED) {
	        lib$es6$promise$$internal$$reject(promise, value);
	      }
	    }
	
	    function lib$es6$promise$$internal$$initializePromise(promise, resolver) {
	      try {
	        resolver(function resolvePromise(value){
	          lib$es6$promise$$internal$$resolve(promise, value);
	        }, function rejectPromise(reason) {
	          lib$es6$promise$$internal$$reject(promise, reason);
	        });
	      } catch(e) {
	        lib$es6$promise$$internal$$reject(promise, e);
	      }
	    }
	
	    var lib$es6$promise$$internal$$id = 0;
	    function lib$es6$promise$$internal$$nextId() {
	      return lib$es6$promise$$internal$$id++;
	    }
	
	    function lib$es6$promise$$internal$$makePromise(promise) {
	      promise[lib$es6$promise$$internal$$PROMISE_ID] = lib$es6$promise$$internal$$id++;
	      promise._state = undefined;
	      promise._result = undefined;
	      promise._subscribers = [];
	    }
	
	    function lib$es6$promise$promise$all$$all(entries) {
	      return new lib$es6$promise$enumerator$$default(this, entries).promise;
	    }
	    var lib$es6$promise$promise$all$$default = lib$es6$promise$promise$all$$all;
	    function lib$es6$promise$promise$race$$race(entries) {
	      /*jshint validthis:true */
	      var Constructor = this;
	
	      if (!lib$es6$promise$utils$$isArray(entries)) {
	        return new Constructor(function(resolve, reject) {
	          reject(new TypeError('You must pass an array to race.'));
	        });
	      } else {
	        return new Constructor(function(resolve, reject) {
	          var length = entries.length;
	          for (var i = 0; i < length; i++) {
	            Constructor.resolve(entries[i]).then(resolve, reject);
	          }
	        });
	      }
	    }
	    var lib$es6$promise$promise$race$$default = lib$es6$promise$promise$race$$race;
	    function lib$es6$promise$promise$reject$$reject(reason) {
	      /*jshint validthis:true */
	      var Constructor = this;
	      var promise = new Constructor(lib$es6$promise$$internal$$noop);
	      lib$es6$promise$$internal$$reject(promise, reason);
	      return promise;
	    }
	    var lib$es6$promise$promise$reject$$default = lib$es6$promise$promise$reject$$reject;
	
	
	    function lib$es6$promise$promise$$needsResolver() {
	      throw new TypeError('You must pass a resolver function as the first argument to the promise constructor');
	    }
	
	    function lib$es6$promise$promise$$needsNew() {
	      throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.");
	    }
	
	    var lib$es6$promise$promise$$default = lib$es6$promise$promise$$Promise;
	    /**
	      Promise objects represent the eventual result of an asynchronous operation. The
	      primary way of interacting with a promise is through its `then` method, which
	      registers callbacks to receive either a promise's eventual value or the reason
	      why the promise cannot be fulfilled.
	
	      Terminology
	      -----------
	
	      - `promise` is an object or function with a `then` method whose behavior conforms to this specification.
	      - `thenable` is an object or function that defines a `then` method.
	      - `value` is any legal JavaScript value (including undefined, a thenable, or a promise).
	      - `exception` is a value that is thrown using the throw statement.
	      - `reason` is a value that indicates why a promise was rejected.
	      - `settled` the final resting state of a promise, fulfilled or rejected.
	
	      A promise can be in one of three states: pending, fulfilled, or rejected.
	
	      Promises that are fulfilled have a fulfillment value and are in the fulfilled
	      state.  Promises that are rejected have a rejection reason and are in the
	      rejected state.  A fulfillment value is never a thenable.
	
	      Promises can also be said to *resolve* a value.  If this value is also a
	      promise, then the original promise's settled state will match the value's
	      settled state.  So a promise that *resolves* a promise that rejects will
	      itself reject, and a promise that *resolves* a promise that fulfills will
	      itself fulfill.
	
	
	      Basic Usage:
	      ------------
	
	      ```js
	      var promise = new Promise(function(resolve, reject) {
	        // on success
	        resolve(value);
	
	        // on failure
	        reject(reason);
	      });
	
	      promise.then(function(value) {
	        // on fulfillment
	      }, function(reason) {
	        // on rejection
	      });
	      ```
	
	      Advanced Usage:
	      ---------------
	
	      Promises shine when abstracting away asynchronous interactions such as
	      `XMLHttpRequest`s.
	
	      ```js
	      function getJSON(url) {
	        return new Promise(function(resolve, reject){
	          var xhr = new XMLHttpRequest();
	
	          xhr.open('GET', url);
	          xhr.onreadystatechange = handler;
	          xhr.responseType = 'json';
	          xhr.setRequestHeader('Accept', 'application/json');
	          xhr.send();
	
	          function handler() {
	            if (this.readyState === this.DONE) {
	              if (this.status === 200) {
	                resolve(this.response);
	              } else {
	                reject(new Error('getJSON: `' + url + '` failed with status: [' + this.status + ']'));
	              }
	            }
	          };
	        });
	      }
	
	      getJSON('/posts.json').then(function(json) {
	        // on fulfillment
	      }, function(reason) {
	        // on rejection
	      });
	      ```
	
	      Unlike callbacks, promises are great composable primitives.
	
	      ```js
	      Promise.all([
	        getJSON('/posts'),
	        getJSON('/comments')
	      ]).then(function(values){
	        values[0] // => postsJSON
	        values[1] // => commentsJSON
	
	        return values;
	      });
	      ```
	
	      @class Promise
	      @param {function} resolver
	      Useful for tooling.
	      @constructor
	    */
	    function lib$es6$promise$promise$$Promise(resolver) {
	      this[lib$es6$promise$$internal$$PROMISE_ID] = lib$es6$promise$$internal$$nextId();
	      this._result = this._state = undefined;
	      this._subscribers = [];
	
	      if (lib$es6$promise$$internal$$noop !== resolver) {
	        typeof resolver !== 'function' && lib$es6$promise$promise$$needsResolver();
	        this instanceof lib$es6$promise$promise$$Promise ? lib$es6$promise$$internal$$initializePromise(this, resolver) : lib$es6$promise$promise$$needsNew();
	      }
	    }
	
	    lib$es6$promise$promise$$Promise.all = lib$es6$promise$promise$all$$default;
	    lib$es6$promise$promise$$Promise.race = lib$es6$promise$promise$race$$default;
	    lib$es6$promise$promise$$Promise.resolve = lib$es6$promise$promise$resolve$$default;
	    lib$es6$promise$promise$$Promise.reject = lib$es6$promise$promise$reject$$default;
	    lib$es6$promise$promise$$Promise._setScheduler = lib$es6$promise$asap$$setScheduler;
	    lib$es6$promise$promise$$Promise._setAsap = lib$es6$promise$asap$$setAsap;
	    lib$es6$promise$promise$$Promise._asap = lib$es6$promise$asap$$asap;
	
	    lib$es6$promise$promise$$Promise.prototype = {
	      constructor: lib$es6$promise$promise$$Promise,
	
	    /**
	      The primary way of interacting with a promise is through its `then` method,
	      which registers callbacks to receive either a promise's eventual value or the
	      reason why the promise cannot be fulfilled.
	
	      ```js
	      findUser().then(function(user){
	        // user is available
	      }, function(reason){
	        // user is unavailable, and you are given the reason why
	      });
	      ```
	
	      Chaining
	      --------
	
	      The return value of `then` is itself a promise.  This second, 'downstream'
	      promise is resolved with the return value of the first promise's fulfillment
	      or rejection handler, or rejected if the handler throws an exception.
	
	      ```js
	      findUser().then(function (user) {
	        return user.name;
	      }, function (reason) {
	        return 'default name';
	      }).then(function (userName) {
	        // If `findUser` fulfilled, `userName` will be the user's name, otherwise it
	        // will be `'default name'`
	      });
	
	      findUser().then(function (user) {
	        throw new Error('Found user, but still unhappy');
	      }, function (reason) {
	        throw new Error('`findUser` rejected and we're unhappy');
	      }).then(function (value) {
	        // never reached
	      }, function (reason) {
	        // if `findUser` fulfilled, `reason` will be 'Found user, but still unhappy'.
	        // If `findUser` rejected, `reason` will be '`findUser` rejected and we're unhappy'.
	      });
	      ```
	      If the downstream promise does not specify a rejection handler, rejection reasons will be propagated further downstream.
	
	      ```js
	      findUser().then(function (user) {
	        throw new PedagogicalException('Upstream error');
	      }).then(function (value) {
	        // never reached
	      }).then(function (value) {
	        // never reached
	      }, function (reason) {
	        // The `PedgagocialException` is propagated all the way down to here
	      });
	      ```
	
	      Assimilation
	      ------------
	
	      Sometimes the value you want to propagate to a downstream promise can only be
	      retrieved asynchronously. This can be achieved by returning a promise in the
	      fulfillment or rejection handler. The downstream promise will then be pending
	      until the returned promise is settled. This is called *assimilation*.
	
	      ```js
	      findUser().then(function (user) {
	        return findCommentsByAuthor(user);
	      }).then(function (comments) {
	        // The user's comments are now available
	      });
	      ```
	
	      If the assimliated promise rejects, then the downstream promise will also reject.
	
	      ```js
	      findUser().then(function (user) {
	        return findCommentsByAuthor(user);
	      }).then(function (comments) {
	        // If `findCommentsByAuthor` fulfills, we'll have the value here
	      }, function (reason) {
	        // If `findCommentsByAuthor` rejects, we'll have the reason here
	      });
	      ```
	
	      Simple Example
	      --------------
	
	      Synchronous Example
	
	      ```javascript
	      var result;
	
	      try {
	        result = findResult();
	        // success
	      } catch(reason) {
	        // failure
	      }
	      ```
	
	      Errback Example
	
	      ```js
	      findResult(function(result, err){
	        if (err) {
	          // failure
	        } else {
	          // success
	        }
	      });
	      ```
	
	      Promise Example;
	
	      ```javascript
	      findResult().then(function(result){
	        // success
	      }, function(reason){
	        // failure
	      });
	      ```
	
	      Advanced Example
	      --------------
	
	      Synchronous Example
	
	      ```javascript
	      var author, books;
	
	      try {
	        author = findAuthor();
	        books  = findBooksByAuthor(author);
	        // success
	      } catch(reason) {
	        // failure
	      }
	      ```
	
	      Errback Example
	
	      ```js
	
	      function foundBooks(books) {
	
	      }
	
	      function failure(reason) {
	
	      }
	
	      findAuthor(function(author, err){
	        if (err) {
	          failure(err);
	          // failure
	        } else {
	          try {
	            findBoooksByAuthor(author, function(books, err) {
	              if (err) {
	                failure(err);
	              } else {
	                try {
	                  foundBooks(books);
	                } catch(reason) {
	                  failure(reason);
	                }
	              }
	            });
	          } catch(error) {
	            failure(err);
	          }
	          // success
	        }
	      });
	      ```
	
	      Promise Example;
	
	      ```javascript
	      findAuthor().
	        then(findBooksByAuthor).
	        then(function(books){
	          // found books
	      }).catch(function(reason){
	        // something went wrong
	      });
	      ```
	
	      @method then
	      @param {Function} onFulfilled
	      @param {Function} onRejected
	      Useful for tooling.
	      @return {Promise}
	    */
	      then: lib$es6$promise$then$$default,
	
	    /**
	      `catch` is simply sugar for `then(undefined, onRejection)` which makes it the same
	      as the catch block of a try/catch statement.
	
	      ```js
	      function findAuthor(){
	        throw new Error('couldn't find that author');
	      }
	
	      // synchronous
	      try {
	        findAuthor();
	      } catch(reason) {
	        // something went wrong
	      }
	
	      // async with promises
	      findAuthor().catch(function(reason){
	        // something went wrong
	      });
	      ```
	
	      @method catch
	      @param {Function} onRejection
	      Useful for tooling.
	      @return {Promise}
	    */
	      'catch': function(onRejection) {
	        return this.then(null, onRejection);
	      }
	    };
	    var lib$es6$promise$enumerator$$default = lib$es6$promise$enumerator$$Enumerator;
	    function lib$es6$promise$enumerator$$Enumerator(Constructor, input) {
	      this._instanceConstructor = Constructor;
	      this.promise = new Constructor(lib$es6$promise$$internal$$noop);
	
	      if (!this.promise[lib$es6$promise$$internal$$PROMISE_ID]) {
	        lib$es6$promise$$internal$$makePromise(this.promise);
	      }
	
	      if (lib$es6$promise$utils$$isArray(input)) {
	        this._input     = input;
	        this.length     = input.length;
	        this._remaining = input.length;
	
	        this._result = new Array(this.length);
	
	        if (this.length === 0) {
	          lib$es6$promise$$internal$$fulfill(this.promise, this._result);
	        } else {
	          this.length = this.length || 0;
	          this._enumerate();
	          if (this._remaining === 0) {
	            lib$es6$promise$$internal$$fulfill(this.promise, this._result);
	          }
	        }
	      } else {
	        lib$es6$promise$$internal$$reject(this.promise, lib$es6$promise$enumerator$$validationError());
	      }
	    }
	
	    function lib$es6$promise$enumerator$$validationError() {
	      return new Error('Array Methods must be provided an Array');
	    }
	
	    lib$es6$promise$enumerator$$Enumerator.prototype._enumerate = function() {
	      var length  = this.length;
	      var input   = this._input;
	
	      for (var i = 0; this._state === lib$es6$promise$$internal$$PENDING && i < length; i++) {
	        this._eachEntry(input[i], i);
	      }
	    };
	
	    lib$es6$promise$enumerator$$Enumerator.prototype._eachEntry = function(entry, i) {
	      var c = this._instanceConstructor;
	      var resolve = c.resolve;
	
	      if (resolve === lib$es6$promise$promise$resolve$$default) {
	        var then = lib$es6$promise$$internal$$getThen(entry);
	
	        if (then === lib$es6$promise$then$$default &&
	            entry._state !== lib$es6$promise$$internal$$PENDING) {
	          this._settledAt(entry._state, i, entry._result);
	        } else if (typeof then !== 'function') {
	          this._remaining--;
	          this._result[i] = entry;
	        } else if (c === lib$es6$promise$promise$$default) {
	          var promise = new c(lib$es6$promise$$internal$$noop);
	          lib$es6$promise$$internal$$handleMaybeThenable(promise, entry, then);
	          this._willSettleAt(promise, i);
	        } else {
	          this._willSettleAt(new c(function(resolve) { resolve(entry); }), i);
	        }
	      } else {
	        this._willSettleAt(resolve(entry), i);
	      }
	    };
	
	    lib$es6$promise$enumerator$$Enumerator.prototype._settledAt = function(state, i, value) {
	      var promise = this.promise;
	
	      if (promise._state === lib$es6$promise$$internal$$PENDING) {
	        this._remaining--;
	
	        if (state === lib$es6$promise$$internal$$REJECTED) {
	          lib$es6$promise$$internal$$reject(promise, value);
	        } else {
	          this._result[i] = value;
	        }
	      }
	
	      if (this._remaining === 0) {
	        lib$es6$promise$$internal$$fulfill(promise, this._result);
	      }
	    };
	
	    lib$es6$promise$enumerator$$Enumerator.prototype._willSettleAt = function(promise, i) {
	      var enumerator = this;
	
	      lib$es6$promise$$internal$$subscribe(promise, undefined, function(value) {
	        enumerator._settledAt(lib$es6$promise$$internal$$FULFILLED, i, value);
	      }, function(reason) {
	        enumerator._settledAt(lib$es6$promise$$internal$$REJECTED, i, reason);
	      });
	    };
	    function lib$es6$promise$polyfill$$polyfill() {
	      var local;
	
	      if (typeof global !== 'undefined') {
	          local = global;
	      } else if (typeof self !== 'undefined') {
	          local = self;
	      } else {
	          try {
	              local = Function('return this')();
	          } catch (e) {
	              throw new Error('polyfill failed because global object is unavailable in this environment');
	          }
	      }
	
	      var P = local.Promise;
	
	      if (P && Object.prototype.toString.call(P.resolve()) === '[object Promise]' && !P.cast) {
	        return;
	      }
	
	      local.Promise = lib$es6$promise$promise$$default;
	    }
	    var lib$es6$promise$polyfill$$default = lib$es6$promise$polyfill$$polyfill;
	
	    var lib$es6$promise$umd$$ES6Promise = {
	      'Promise': lib$es6$promise$promise$$default,
	      'polyfill': lib$es6$promise$polyfill$$default
	    };
	
	    /* global define:true module:true window: true */
	    if ("function" === 'function' && __webpack_require__(23)['amd']) {
	      !(__WEBPACK_AMD_DEFINE_RESULT__ = function() { return lib$es6$promise$umd$$ES6Promise; }.call(exports, __webpack_require__, exports, module), __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	    } else if (typeof module !== 'undefined' && module['exports']) {
	      module['exports'] = lib$es6$promise$umd$$ES6Promise;
	    } else if (typeof this !== 'undefined') {
	      this['ES6Promise'] = lib$es6$promise$umd$$ES6Promise;
	    }
	
	    lib$es6$promise$polyfill$$default();
	}).call(this);
	
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20), (function() { return this; }()), __webpack_require__(21)(module)))

/***/ },
/* 20 */
/***/ function(module, exports) {

	// shim for using process in browser
	var process = module.exports = {};
	
	// cached from whatever global is present so that test runners that stub it
	// don't break things.  But we need to wrap it in a try catch in case it is
	// wrapped in strict mode code which doesn't define any globals.  It's inside a
	// function because try/catches deoptimize in certain engines.
	
	var cachedSetTimeout;
	var cachedClearTimeout;
	
	(function () {
	    try {
	        cachedSetTimeout = setTimeout;
	    } catch (e) {
	        cachedSetTimeout = function () {
	            throw new Error('setTimeout is not defined');
	        }
	    }
	    try {
	        cachedClearTimeout = clearTimeout;
	    } catch (e) {
	        cachedClearTimeout = function () {
	            throw new Error('clearTimeout is not defined');
	        }
	    }
	} ())
	function runTimeout(fun) {
	    if (cachedSetTimeout === setTimeout) {
	        //normal enviroments in sane situations
	        return setTimeout(fun, 0);
	    }
	    try {
	        // when when somebody has screwed with setTimeout but no I.E. maddness
	        return cachedSetTimeout(fun, 0);
	    } catch(e){
	        try {
	            // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
	            return cachedSetTimeout.call(null, fun, 0);
	        } catch(e){
	            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
	            return cachedSetTimeout.call(this, fun, 0);
	        }
	    }
	
	
	}
	function runClearTimeout(marker) {
	    if (cachedClearTimeout === clearTimeout) {
	        //normal enviroments in sane situations
	        return clearTimeout(marker);
	    }
	    try {
	        // when when somebody has screwed with setTimeout but no I.E. maddness
	        return cachedClearTimeout(marker);
	    } catch (e){
	        try {
	            // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
	            return cachedClearTimeout.call(null, marker);
	        } catch (e){
	            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
	            // Some versions of I.E. have different rules for clearTimeout vs setTimeout
	            return cachedClearTimeout.call(this, marker);
	        }
	    }
	
	
	
	}
	var queue = [];
	var draining = false;
	var currentQueue;
	var queueIndex = -1;
	
	function cleanUpNextTick() {
	    if (!draining || !currentQueue) {
	        return;
	    }
	    draining = false;
	    if (currentQueue.length) {
	        queue = currentQueue.concat(queue);
	    } else {
	        queueIndex = -1;
	    }
	    if (queue.length) {
	        drainQueue();
	    }
	}
	
	function drainQueue() {
	    if (draining) {
	        return;
	    }
	    var timeout = runTimeout(cleanUpNextTick);
	    draining = true;
	
	    var len = queue.length;
	    while(len) {
	        currentQueue = queue;
	        queue = [];
	        while (++queueIndex < len) {
	            if (currentQueue) {
	                currentQueue[queueIndex].run();
	            }
	        }
	        queueIndex = -1;
	        len = queue.length;
	    }
	    currentQueue = null;
	    draining = false;
	    runClearTimeout(timeout);
	}
	
	process.nextTick = function (fun) {
	    var args = new Array(arguments.length - 1);
	    if (arguments.length > 1) {
	        for (var i = 1; i < arguments.length; i++) {
	            args[i - 1] = arguments[i];
	        }
	    }
	    queue.push(new Item(fun, args));
	    if (queue.length === 1 && !draining) {
	        runTimeout(drainQueue);
	    }
	};
	
	// v8 likes predictible objects
	function Item(fun, array) {
	    this.fun = fun;
	    this.array = array;
	}
	Item.prototype.run = function () {
	    this.fun.apply(null, this.array);
	};
	process.title = 'browser';
	process.browser = true;
	process.env = {};
	process.argv = [];
	process.version = ''; // empty string to avoid regexp issues
	process.versions = {};
	
	function noop() {}
	
	process.on = noop;
	process.addListener = noop;
	process.once = noop;
	process.off = noop;
	process.removeListener = noop;
	process.removeAllListeners = noop;
	process.emit = noop;
	
	process.binding = function (name) {
	    throw new Error('process.binding is not supported');
	};
	
	process.cwd = function () { return '/' };
	process.chdir = function (dir) {
	    throw new Error('process.chdir is not supported');
	};
	process.umask = function() { return 0; };


/***/ },
/* 21 */
/***/ function(module, exports) {

	module.exports = function(module) {
		if(!module.webpackPolyfill) {
			module.deprecate = function() {};
			module.paths = [];
			// module.parent = undefined by default
			module.children = [];
			module.webpackPolyfill = 1;
		}
		return module;
	}


/***/ },
/* 22 */
/***/ function(module, exports) {

	/* (ignored) */

/***/ },
/* 23 */
/***/ function(module, exports) {

	module.exports = function() { throw new Error("define cannot be used indirect"); };


/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * algorithms/index.js - Cryptographic Algorithms Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	// setup implementations
	var implementations = [
	  __webpack_require__(25),
	  __webpack_require__(72),
	  __webpack_require__(80),
	  __webpack_require__(81),
	  __webpack_require__(82),
	  __webpack_require__(83),
	  __webpack_require__(96),
	  __webpack_require__(95),
	  __webpack_require__(28),
	  __webpack_require__(97),
	  __webpack_require__(98),
	  __webpack_require__(100),
	  __webpack_require__(69)
	];
	
	var ALGS_DIGEST = {};
	var ALGS_DERIVE = {};
	var ALGS_SIGN = {},
	    ALGS_VRFY = {};
	var ALGS_ENC = {},
	    ALGS_DEC = {};
	
	implementations.forEach(function(mod) {
	  Object.keys(mod).forEach(function(alg) {
	    var op = mod[alg];
	
	    if ("function" === typeof op.encrypt) {
	      ALGS_ENC[alg] = op.encrypt;
	    }
	    if ("function" === typeof op.decrypt) {
	      ALGS_DEC[alg] = op.decrypt;
	    }
	    if ("function" === typeof op.sign) {
	      ALGS_SIGN[alg] = op.sign;
	    }
	    if ("function" === typeof op.verify) {
	      ALGS_VRFY[alg] = op.verify;
	    }
	    if ("function" === typeof op.digest) {
	      ALGS_DIGEST[alg] = op.digest;
	    }
	    if ("function" === typeof op.derive) {
	      ALGS_DERIVE[alg] = op.derive;
	    }
	  });
	});
	
	// public API
	exports.digest = function(alg, data, props) {
	  var op = ALGS_DIGEST[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(data, props);
	};
	
	exports.derive = function(alg, key, props) {
	  var op = ALGS_DERIVE[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(key, props);
	};
	
	exports.sign = function(alg, key, pdata, props) {
	  var op = ALGS_SIGN[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(key, pdata, props || {});
	};
	
	exports.verify = function(alg, key, pdata, mac, props) {
	  var op = ALGS_VRFY[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(key, pdata, mac, props || {});
	};
	
	exports.encrypt = function(alg, key, pdata, props) {
	  var op = ALGS_ENC[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(key, pdata, props || {});
	};
	
	exports.decrypt = function(alg, key, cdata, props) {
	  var op = ALGS_DEC[alg];
	  if (!op) {
	    return Promise.reject(new Error("unsupported algorithm: " + alg));
	  }
	
	  return op(key, cdata, props || {});
	};


/***/ },
/* 25 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/aes-cbc-hmac-sha2.js - AES-CBC-HMAC-SHA2 Composited Encryption
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var helpers = __webpack_require__(26),
	    HMAC = __webpack_require__(28),
	    sha = __webpack_require__(69),
	    forge = __webpack_require__(30),
	    DataBuffer = __webpack_require__(65),
	    util = __webpack_require__(70);
	
	function checkIv(iv) {
	  if (16 !== iv.length) {
	    throw new Error("invalid iv");
	  }
	}
	
	function commonCbcEncryptFN(size) {
	  // ### 'fallback' implementation -- uses forge
	  var fallback = function(encKey, pdata, iv) {
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve();
	
	    promise = promise.then(function() {
	      var cipher = forge.cipher.createCipher("AES-CBC", new DataBuffer(encKey));
	      cipher.start({
	        iv: new DataBuffer(iv)
	      });
	
	      // TODO: chunk data
	      cipher.update(new DataBuffer(pdata));
	      if (!cipher.finish()) {
	        return Promise.reject(new Error("encryption failed"));
	      }
	
	      var cdata = cipher.output.native();
	      return cdata;
	    });
	
	    return promise;
	  };
	
	  // ### WebCryptoAPI implementation
	  // TODO: cache CryptoKey sooner
	  var webcrypto = function(encKey, pdata, iv) {
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve();
	
	    promise = promise.then(function() {
	      var alg = {
	        name: "AES-CBC"
	      };
	      return helpers.subtleCrypto.importKey("raw", encKey, alg, true, ["encrypt"]);
	    });
	    promise = promise.then(function(key) {
	      var alg = {
	        name: "AES-CBC",
	        iv: iv
	      };
	      return helpers.subtleCrypto.encrypt(alg, key, pdata);
	    });
	    promise = promise.then(function(cdata) {
	      cdata = new Buffer(cdata);
	      return cdata;
	    });
	
	    return promise;
	  };
	
	  // ### NodeJS implementation
	  var nodejs = function(encKey, pdata, iv) {
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve(pdata);
	
	    promise = promise.then(function(pdata) {
	      var name = "AES-" + size + "-CBC";
	      var cipher = helpers.nodeCrypto.createCipheriv(name, encKey, iv);
	      var cdata = Buffer.concat([
	        cipher.update(pdata),
	        cipher.final()
	      ]);
	      return cdata;
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	function commonCbcDecryptFN(size) {
	  // ### 'fallback' implementation -- uses forge
	  var fallback = function(encKey, cdata, iv) {
	    // validate inputs
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve();
	
	    promise = promise.then(function() {
	      var cipher = forge.cipher.createDecipher("AES-CBC", new DataBuffer(encKey));
	      cipher.start({
	        iv: new DataBuffer(iv)
	      });
	
	      // TODO: chunk data
	      cipher.update(new DataBuffer(cdata));
	      if (!cipher.finish()) {
	        return Promise.reject(new Error("encryption failed"));
	      }
	
	      var pdata = cipher.output.native();
	      return pdata;
	    });
	
	    return promise;
	  };
	
	  // ### WebCryptoAPI implementation
	  // TODO: cache CryptoKey sooner
	  var webcrypto = function(encKey, cdata, iv) {
	    // validate inputs
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve();
	
	    promise = promise.then(function() {
	      var alg = {
	        name: "AES-CBC"
	      };
	      return helpers.subtleCrypto.importKey("raw", encKey, alg, true, ["decrypt"]);
	    });
	    promise = promise.then(function(key) {
	      var alg = {
	        name: "AES-CBC",
	        iv: iv
	      };
	      return helpers.subtleCrypto.decrypt(alg, key, cdata);
	    });
	    promise = promise.then(function(pdata) {
	      pdata = new Buffer(pdata);
	      return pdata;
	    });
	
	    return promise;
	  };
	
	  // ### NodeJS implementation
	  var nodejs = function(encKey, cdata, iv) {
	    // validate inputs
	    try {
	      checkIv(iv);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var promise = Promise.resolve();
	
	    promise = promise.then(function() {
	      var name = "AES-" + size + "-CBC";
	      var cipher = helpers.nodeCrypto.createDecipheriv(name, encKey, iv);
	      var pdata = Buffer.concat([
	        cipher.update(cdata),
	        cipher.final()
	      ]);
	      return pdata;
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	function checkKey(key, size) {
	  if ((size << 1) !== (key.length << 3)) {
	    throw new Error("invalid encryption key size");
	  }
	}
	
	function cbcHmacEncryptFN(size) {
	  var commonEncrypt = commonCbcEncryptFN(size);
	  return function(key, pdata, props) {
	    // validate inputs
	    try {
	      checkKey(key, size);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var eKey = key.slice(size / 8),
	        iKey = key.slice(0, size / 8),
	        iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0);
	
	    // STEP 1 -- Encrypt
	    var promise = commonEncrypt(eKey, pdata, iv);
	
	    // STEP 2 -- MAC
	    promise = promise.then(function(cdata){
	      var mdata = Buffer.concat([
	        adata,
	        iv,
	        cdata,
	        helpers.int64ToBuffer(adata.length * 8)
	      ]);
	
	      var promise;
	      promise = HMAC["HS" + (size * 2)].sign(iKey, mdata, {
	        loose: true
	      });
	      promise = promise.then(function(result) {
	        // TODO: move slice to hmac.js
	        var tag = result.mac.slice(0, size / 8);
	        return {
	          data: cdata,
	          tag: tag
	        };
	      });
	      return promise;
	    });
	
	    return promise;
	  };
	}
	
	function cbcHmacDecryptFN(size) {
	  var commonDecrypt = commonCbcDecryptFN(size);
	
	  return function(key, cdata, props) {
	    // validate inputs
	    try {
	      checkKey(key, size);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var eKey = key.slice(size / 8),
	        iKey = key.slice(0, size / 8),
	        iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0),
	        tag = props.tag || props.mac || new Buffer(0);
	
	    var promise = Promise.resolve();
	
	    // STEP 1 -- MAC
	    promise = promise.then(function() {
	      var promise;
	      // construct MAC input
	      var mdata = Buffer.concat([
	        adata,
	        iv,
	        cdata,
	        helpers.int64ToBuffer(adata.length * 8)
	      ]);
	      promise = HMAC["HS" + (size * 2)].verify(iKey, mdata, tag, {
	        loose: true
	      });
	      promise = promise.then(function() {
	        return cdata;
	      }, function() {
	        // failure -- invalid tag error
	        throw new Error("mac check failed");
	      });
	      return promise;
	    });
	
	    // STEP 2 -- Decrypt
	    promise = promise.then(function(){
	      return commonDecrypt(eKey, cdata, iv);
	    });
	
	    return promise;
	  };
	}
	
	var EncryptionLabel = new Buffer("Encryption", "utf8");
	var IntegrityLabel = new Buffer("Integrity", "utf8");
	var DotLabel = new Buffer(".", "utf8");
	
	function generateCek(masterKey, alg, epu, epv) {
	  var masterSize = masterKey.length * 8;
	  var cekSize = masterSize / 2;
	  var promise = Promise.resolve();
	
	  promise = promise.then(function(){
	    var input = Buffer.concat([
	      helpers.int32ToBuffer(1),
	      masterKey,
	      helpers.int32ToBuffer(cekSize),
	      new Buffer(alg, "utf8"),
	      epu,
	      epv,
	      EncryptionLabel
	    ]);
	
	    return input;
	  });
	
	  promise = promise.then( function(input) {
	    return sha["SHA-" + masterSize].digest(input).then(function(digest) {
	      return digest.slice(0, cekSize / 8);
	    });
	  });
	  promise = Promise.resolve(promise);
	
	  return promise;
	}
	
	function generateCik(masterKey, alg, epu, epv) {
	  var masterSize = masterKey.length * 8;
	  var cikSize = masterSize;
	  var promise = Promise.resolve();
	
	  promise = promise.then(function(){
	    var input = Buffer.concat([
	      helpers.int32ToBuffer(1),
	      masterKey,
	      helpers.int32ToBuffer(cikSize),
	      new Buffer(alg, "utf8"),
	      epu,
	      epv,
	      IntegrityLabel
	    ]);
	
	    return input;
	  });
	
	  promise = promise.then( function(input) {
	    return sha["SHA-" + masterSize].digest(input).then(function(digest) {
	      return digest.slice(0, cikSize / 8);
	    });
	  });
	  promise = Promise.resolve(promise);
	
	  return promise;
	}
	
	function concatKdfCbcHmacEncryptFN(size, alg) {
	  var commonEncrypt = commonCbcEncryptFN(size);
	
	  return function(key, pdata, props) {
	    var epu = props.epu || helpers.int32ToBuffer(0),
	        epv = props.epv || helpers.int32ToBuffer(0),
	        iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0),
	        kdata = props.kdata || new Buffer(0);
	
	    // Pre Step 1 -- Generate Keys
	    var promises = [
	      generateCek(key, alg, epu, epv),
	      generateCik(key, alg, epu, epv)
	    ];
	
	    var cek,
	        cik;
	    var promise = Promise.all(promises).then(function(keys) {
	      cek = keys[0];
	      cik = keys[1];
	    });
	
	    // STEP 1 -- Encrypt
	    promise = promise.then(function(){
	      return commonEncrypt(cek, pdata, iv);
	    });
	
	    // STEP 2 -- Mac
	    promise = promise.then(function(cdata){
	      var mdata = Buffer.concat([
	        adata,
	        DotLabel,
	        new Buffer(kdata),
	        DotLabel,
	        new Buffer(util.base64url.encode(iv), "utf8"),
	        DotLabel,
	        new Buffer(util.base64url.encode(cdata), "utf8")
	      ]);
	      return Promise.all([
	        Promise.resolve(cdata),
	        HMAC["HS" + (size * 2)].sign(cik, mdata, { loose: false })
	      ]);
	    });
	    promise = promise.then(function(result){
	      return {
	        data: result[0],
	        tag: result[1].mac
	      };
	    });
	
	    return promise;
	  };
	}
	
	function concatKdfCbcHmacDecryptFN(size, alg) {
	  var commonDecrypt = commonCbcDecryptFN(size);
	
	  return function(key, cdata, props) {
	    var epu = props.epu || helpers.int32ToBuffer(0),
	        epv = props.epv || helpers.int32ToBuffer(0),
	        iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0),
	        kdata = props.kdata || new Buffer(0),
	        tag = props.tag || props.mac || new Buffer(0);
	
	    // Pre Step 1 -- Generate Keys
	    var promises = [
	      generateCek(key, alg, epu, epv),
	      generateCik(key, alg, epu, epv)
	    ];
	
	    var cek,
	        cik;
	    var promise = Promise.all(promises).then(function(keys){
	      cek = keys[0];
	      cik = keys[1];
	    });
	
	
	    // STEP 1 -- MAC
	    promise = promise.then(function() {
	      // construct MAC input
	      var mdata = Buffer.concat([
	        adata,
	        DotLabel,
	        new Buffer(kdata),
	        DotLabel,
	        new Buffer(util.base64url.encode(iv), "utf8"),
	        DotLabel,
	        new Buffer(util.base64url.encode(cdata), "utf8")
	      ]);
	
	      try {
	        return HMAC["HS" + (size * 2)].verify(cik, mdata, tag, {
	          loose: false
	        });
	      } catch (e) {
	        throw new Error("mac check failed");
	      }
	    });
	
	    // STEP 2 -- Decrypt
	    promise = promise.then(function(){
	      return commonDecrypt(cek, cdata, iv);
	    });
	
	    return promise;
	  };
	}
	
	// ### Public API
	// * [name].encrypt
	// * [name].decrypt
	var aesCbcHmacSha2 = {};
	[
	  "A128CBC-HS256",
	  "A192CBC-HS384",
	  "A256CBC-HS512"
	].forEach(function(alg) {
	  var size = parseInt(/A(\d+)CBC-HS(\d+)?/g.exec(alg)[1]);
	  aesCbcHmacSha2[alg] = {
	    encrypt: cbcHmacEncryptFN(size),
	    decrypt: cbcHmacDecryptFN(size)
	  };
	});
	
	[
	  "A128CBC+HS256",
	  "A192CBC+HS384",
	  "A256CBC+HS512"
	].forEach(function(alg) {
	  var size = parseInt(/A(\d+)CBC\+HS(\d+)?/g.exec(alg)[1]);
	  aesCbcHmacSha2[alg] = {
	    encrypt: concatKdfCbcHmacEncryptFN(size, alg),
	    decrypt: concatKdfCbcHmacDecryptFN(size, alg)
	  };
	});
	
	module.exports = aesCbcHmacSha2;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/helpers.js - Internal functions and fields used in Cryptographic
	 * Algorithms
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	if (typeof Promise === "undefined") {
	  __webpack_require__(19).polyfill();
	}
	
	// ###
	exports.int32ToBuffer = function(v, b) {
	  b = b || new Buffer(4);
	  b[0] = (v >>> 24) & 0xff;
	  b[1] = (v >>> 16) & 0xff;
	  b[2] = (v >>> 8) & 0xff;
	  b[3] = v & 0xff;
	  return b;
	};
	
	var MAX_INT32 = Math.pow(2, 32);
	exports.int64ToBuffer = function(v, b) {
	  b = b || new Buffer(8);
	  var hi = Math.floor(v / MAX_INT32),
	      lo = v % MAX_INT32;
	  hi = exports.int32ToBuffer(hi);
	  lo = exports.int32ToBuffer(lo);
	  b = Buffer.concat([hi, lo]);
	  return b;
	};
	
	// ### crypto and DOMException in browsers ###
	/* global crypto:false, DOMException:false */
	
	function getCryptoSubtle() {
	  if ("undefined" !== typeof crypto) {
	    if ("undefined" !== typeof crypto.subtle) {
	      return crypto.subtle;
	    }
	    if ("undefined" !== typeof crypto.webkitSubtle) {
	      return crypto.webkitSubtle;
	    }
	  }
	
	  return undefined;
	}
	function getCryptoNodeJS() {
	  var crypto;
	  try {
	    crypto = __webpack_require__(27);
	  } catch (err) {
	    return undefined;
	  }
	
	  if (!Object.keys(crypto).length) {
	    // treat empty the same as missing
	    return undefined;
	  }
	
	  return crypto;
	}
	
	var supported = {};
	Object.defineProperty(exports, "subtleCrypto", {
	  get: function() {
	    var result;
	
	    if ("subtleCrypto" in supported) {
	      result = supported.subtleCrypto;
	    } else {
	      result = supported.subtleCrypto = getCryptoSubtle();
	    }
	
	    return result;
	  },
	  enumerable: true
	});
	Object.defineProperty(exports, "nodeCrypto", {
	  get: function() {
	    var result;
	
	    if ("nodeCrypto" in supported) {
	      result = supported.nodeCrypto;
	    } else {
	      result = supported.nodeCrypto = getCryptoNodeJS();
	    }
	
	    return result;
	  },
	  enumerable: true
	});
	
	exports.setupFallback = function(nodejs, webcrypto, fallback) {
	  var impl;
	
	  if (nodejs && exports.nodeCrypto) {
	    impl = function main() {
	      var args = arguments,
	          promise;
	
	      function check(err) {
	        if (0 === err.message.indexOf("unsupported algorithm:")) {
	          impl = fallback;
	          return impl.apply(null, args);
	        }
	
	        return Promise.reject(err);
	      }
	
	      try {
	        promise = Promise.resolve(nodejs.apply(null, args));
	      } catch(err) {
	        promise = check(err);
	      }
	
	      return promise;
	    };
	  } else if (webcrypto && exports.subtleCrypto) {
	    impl = function main() {
	      var args = arguments,
	         promise;
	
	      function check(err) {
	        if (err.code === DOMException.NOT_SUPPORTED_ERR ||
	            // Firefox rejects some operations erroneously complaining about inputs
	            err.message === "Only ArrayBuffer and ArrayBufferView objects can be passed as CryptoOperationData" ||
	            // MS Edge rejects with not an Error
	            !(err instanceof Error)) {
	          // not actually supported -- always use fallback
	          impl = fallback;
	          return impl.apply(null, args);
	        }
	
	       return Promise.reject(err);
	      }
	
	      try {
	        promise = webcrypto.apply(null, args);
	        promise = promise.catch(check);
	      } catch(err) {
	        promise = check(err);
	      }
	
	      return promise;
	    };
	  } else {
	    impl = fallback;
	  }
	
	  return impl;
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 27 */
/***/ function(module, exports) {

	/* (ignored) */

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/hmac.js - HMAC-based "signatures"
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var CONSTANTS = __webpack_require__(29),
	    forge = __webpack_require__(30),
	    DataBuffer = __webpack_require__(65),
	    helpers = __webpack_require__(26);
	
	function hmacSignFN(name) {
	  var md = name.replace("HS", "SHA").toLowerCase(),
	      hash = name.replace("HS", "SHA-");
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(key, pdata, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var sig = forge.hmac.create();
	    sig.start(md, key.toString("binary"));
	    sig.update(pdata);
	    sig = sig.digest().native();
	
	    return Promise.resolve({
	      data: pdata,
	      mac: sig
	    });
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto = function(key, pdata, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var alg = {
	      name: "HMAC",
	      hash: {
	        name: hash
	      }
	    };
	    var promise;
	    promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["sign"]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.sign(alg, key, pdata);
	    });
	    promise = promise.then(function(result) {
	      var sig = new Buffer(result);
	      return {
	        data: pdata,
	        mac: sig
	      };
	    });
	
	    return promise;
	  };
	
	  // ### NodeJS implementation
	  var nodejs = function(key, pdata, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var hmac = helpers.nodeCrypto.createHmac(md, key);
	    hmac.update(pdata);
	
	    var sig = hmac.digest();
	    return {
	      data: pdata,
	      mac: sig
	    };
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	function hmacVerifyFN(name) {
	  var md = name.replace("HS", "SHA").toLowerCase(),
	      hash = name.replace("HS", "SHA-");
	
	  function compare(loose, expected, actual) {
	    var len = loose ? expected.length : CONSTANTS.HASHLENGTH[hash] / 8,
	        valid = true;
	    for (var idx = 0; len > idx; idx++) {
	      valid = valid && (expected[idx] === actual[idx]);
	    }
	    return valid;
	  }
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(key, pdata, mac, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var vrfy = forge.hmac.create();
	    vrfy.start(md, new DataBuffer(key));
	    vrfy.update(pdata);
	    vrfy = vrfy.digest().native();
	
	    if (compare(props.loose, mac, vrfy)) {
	      return Promise.resolve({
	        data: pdata,
	        mac: mac,
	        valid: true
	      });
	    } else {
	      return Promise.reject(new Error("verification failed"));
	    }
	  };
	
	  var webcrypto = function(key, pdata, mac, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var alg = {
	      name: "HMAC",
	      hash: {
	        name: hash
	      }
	    };
	    var promise;
	    if (props.loose) {
	      promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["sign"]);
	      promise = promise.then(function(key) {
	        return helpers.subtleCrypto.sign(alg, key, pdata);
	      });
	      promise = promise.then(function(result) {
	        var sig = new Buffer(result);
	        return compare(true, mac, sig);
	      });
	    } else {
	      promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["verify"]);
	      promise = promise.then(function(key) {
	        return helpers.subtleCrypto.verify(alg, key, mac, pdata);
	      });
	    }
	    promise = promise.then(function(result) {
	      if (!result) {
	        return Promise.reject(new Error("verifaction failed"));
	      }
	
	      return {
	        data: pdata,
	        mac: mac,
	        valid: true
	      };
	    });
	
	    return promise;
	  };
	
	  var nodejs = function(key, pdata, mac, props) {
	    props = props || {};
	    if (!props.loose && CONSTANTS.HASHLENGTH[hash] > (key.length << 3)) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    var hmac = helpers.nodeCrypto.createHmac(md, key);
	    hmac.update(pdata);
	
	    var sig = hmac.digest();
	    if (!compare(props.loose, mac, sig)) {
	      throw new Error("verification failed");
	    }
	    return {
	      data: pdata,
	      mac: sig,
	      valid: true
	    };
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	// ### Public API
	// * [name].sign
	// * [name].verify
	var hmac = {};
	[
	  "HS1",
	  "HS256",
	  "HS384",
	  "HS512"
	].forEach(function(alg) {
	  hmac[alg] = {
	    sign: hmacSignFN(alg),
	    verify: hmacVerifyFN(alg)
	  };
	});
	
	module.exports = hmac;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 29 */
/***/ function(module, exports) {

	/*!
	 * algorithms/constants.js - Constants used in Cryptographic Algorithms
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	 "use strict";
	
	module.exports = {
	  CHUNK_SIZE: 1024,
	  HASHLENGTH: {
	    "SHA-1": 160,
	    "SHA-256": 256,
	    "SHA-384": 384,
	    "SHA-512": 512
	  },
	  ENCLENGTH: {
	    "AES-128-CBC": 128,
	    "AES-192-CBC": 192,
	    "AES-256-CBC": 256,
	    "AES-128-KW": 128,
	    "AES-192-KW": 192,
	    "AES-256-KW": 256
	  },
	  KEYLENGTH: {
	    "A128CBC-HS256": 256,
	    "A192CBC-HS384": 384,
	    "A256CBC-HS512": 512,
	    "A128CBC+HS256": 256,
	    "A192CBC+HS384": 384,
	    "A256CBC+HS512": 512,
	    "A128GCM": 128,
	    "A192GCM": 192,
	    "A256GCM": 256,
	    "A128KW": 128,
	    "A192KW": 192,
	    "A256KW": 256,
	    "ECDH-ES+A128KW": 128,
	    "ECDH-ES+A192KW": 192,
	    "ECDH-ES+A256KW": 256
	  },
	  NONCELENGTH: {
	    "A128CBC-HS256": 128,
	    "A192CBC-HS384": 128,
	    "A256CBC-HS512": 128,
	    "A128CBC+HS256": 128,
	    "A192CBC+HS384": 128,
	    "A256CBC+HS512": 128,
	    "A128GCM": 96,
	    "A192GCM": 96,
	    "A256GCM": 96
	  }
	};


/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(setImmediate) {/*!
	 * deps/forge.js - Forge Package Customization
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = {
	  aes: __webpack_require__(32),
	  asn1: __webpack_require__(36),
	  cipher: __webpack_require__(33),
	  hmac: __webpack_require__(40),
	  jsbn: __webpack_require__(44),
	  md: __webpack_require__(41),
	  mgf: __webpack_require__(46),
	  pem: __webpack_require__(38),
	  pkcs1: __webpack_require__(48),
	  pkcs5: __webpack_require__(53),
	  pkcs7: __webpack_require__(55),
	  pki: __webpack_require__(57),
	  prime: __webpack_require__(60),
	  prng: __webpack_require__(50),
	  pss: __webpack_require__(58),
	  random: __webpack_require__(49),
	  util: __webpack_require__(34)
	};
	
	// load hash algorithms
	__webpack_require__(43);
	__webpack_require__(52);
	__webpack_require__(62);
	
	// load symmetric cipherModes
	__webpack_require__(35);
	
	// load AES cipher suites
	// TODO: move this to a separate file
	__webpack_require__(63);
	
	// Define AES "raw" cipher mode
	function modeRaw(options) {
	  options = options || {};
	  this.name = "";
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = new Array(this._blocks);
	  this._outBlock = new Array(this._blocks);
	}
	
	modeRaw.prototype.start = function() {};
	
	modeRaw.prototype.encrypt = function(input, output) {
	  var i;
	
	  // get next block
	  for(i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	  }
	
	  // encrypt block
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // write output
	  for(i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	};
	
	modeRaw.prototype.decrypt = function(input, output) {
	  var i;
	
	  // get next block
	  for(i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	  }
	
	  // decrypt block
	  this.cipher.decrypt(this._inBlock, this._outBlock);
	
	  // write output
	  for(i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	};
	
	(function() {
	  var name = "AES",
	      mode = modeRaw,
	      factory;
	  factory = function() { return new forge.aes.Algorithm(name, mode); };
	  forge.cipher.registerAlgorithm(name, factory);
	})();
	
	// Prevent nextTick from being used when possible
	if ("function" === typeof setImmediate) {
	  forge.util.setImmediate = forge.util.nextTick = function(callback) {
	    setImmediate(callback);
	  };
	}
	
	module.exports = forge;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(31).setImmediate))

/***/ },
/* 31 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(setImmediate, clearImmediate) {var nextTick = __webpack_require__(20).nextTick;
	var apply = Function.prototype.apply;
	var slice = Array.prototype.slice;
	var immediateIds = {};
	var nextImmediateId = 0;
	
	// DOM APIs, for completeness
	
	exports.setTimeout = function() {
	  return new Timeout(apply.call(setTimeout, window, arguments), clearTimeout);
	};
	exports.setInterval = function() {
	  return new Timeout(apply.call(setInterval, window, arguments), clearInterval);
	};
	exports.clearTimeout =
	exports.clearInterval = function(timeout) { timeout.close(); };
	
	function Timeout(id, clearFn) {
	  this._id = id;
	  this._clearFn = clearFn;
	}
	Timeout.prototype.unref = Timeout.prototype.ref = function() {};
	Timeout.prototype.close = function() {
	  this._clearFn.call(window, this._id);
	};
	
	// Does not start the time, just sets up the members needed.
	exports.enroll = function(item, msecs) {
	  clearTimeout(item._idleTimeoutId);
	  item._idleTimeout = msecs;
	};
	
	exports.unenroll = function(item) {
	  clearTimeout(item._idleTimeoutId);
	  item._idleTimeout = -1;
	};
	
	exports._unrefActive = exports.active = function(item) {
	  clearTimeout(item._idleTimeoutId);
	
	  var msecs = item._idleTimeout;
	  if (msecs >= 0) {
	    item._idleTimeoutId = setTimeout(function onTimeout() {
	      if (item._onTimeout)
	        item._onTimeout();
	    }, msecs);
	  }
	};
	
	// That's not how node.js implements it but the exposed api is the same.
	exports.setImmediate = typeof setImmediate === "function" ? setImmediate : function(fn) {
	  var id = nextImmediateId++;
	  var args = arguments.length < 2 ? false : slice.call(arguments, 1);
	
	  immediateIds[id] = true;
	
	  nextTick(function onNextTick() {
	    if (immediateIds[id]) {
	      // fn.call() is faster so we optimize for the common use-case
	      // @see http://jsperf.com/call-apply-segu
	      if (args) {
	        fn.apply(null, args);
	      } else {
	        fn.call(null);
	      }
	      // Prevent ids from leaking
	      exports.clearImmediate(id);
	    }
	  });
	
	  return id;
	};
	
	exports.clearImmediate = typeof clearImmediate === "function" ? clearImmediate : function(id) {
	  delete immediateIds[id];
	};
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(31).setImmediate, __webpack_require__(31).clearImmediate))

/***/ },
/* 32 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Advanced Encryption Standard (AES) implementation.
	 *
	 * This implementation is based on the public domain library 'jscrypto' which
	 * was written by:
	 *
	 * Emily Stark (estark@stanford.edu)
	 * Mike Hamburg (mhamburg@stanford.edu)
	 * Dan Boneh (dabo@cs.stanford.edu)
	 *
	 * Parts of this code are based on the OpenSSL implementation of AES:
	 * http://www.openssl.org
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	/* AES API */
	var forge = {
	  aes : module.exports || {},
	  cipher : __webpack_require__(33),
	  util : __webpack_require__(34)
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var cipher = forge.cipher.createCipher('AES-<mode>', key);
	 * cipher.start({iv: iv});
	 *
	 * Creates an AES cipher object to encrypt data using the given symmetric key.
	 * The output will be stored in the 'output' member of the returned cipher.
	 *
	 * The key and iv may be given as a string of bytes, an array of bytes,
	 * a byte buffer, or an array of 32-bit words.
	 *
	 * @param key the symmetric key to use.
	 * @param iv the initialization vector to use.
	 * @param output the buffer to write to, null to create one.
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.aes.startEncrypting = function(key, iv, output, mode) {
	  var cipher = _createCipher({
	    key: key,
	    output: output,
	    decrypt: false,
	    mode: mode
	  });
	  cipher.start(iv);
	  return cipher;
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var cipher = forge.cipher.createCipher('AES-<mode>', key);
	 *
	 * Creates an AES cipher object to encrypt data using the given symmetric key.
	 *
	 * The key may be given as a string of bytes, an array of bytes, a
	 * byte buffer, or an array of 32-bit words.
	 *
	 * @param key the symmetric key to use.
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.aes.createEncryptionCipher = function(key, mode) {
	  return _createCipher({
	    key: key,
	    output: null,
	    decrypt: false,
	    mode: mode
	  });
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var decipher = forge.cipher.createDecipher('AES-<mode>', key);
	 * decipher.start({iv: iv});
	 *
	 * Creates an AES cipher object to decrypt data using the given symmetric key.
	 * The output will be stored in the 'output' member of the returned cipher.
	 *
	 * The key and iv may be given as a string of bytes, an array of bytes,
	 * a byte buffer, or an array of 32-bit words.
	 *
	 * @param key the symmetric key to use.
	 * @param iv the initialization vector to use.
	 * @param output the buffer to write to, null to create one.
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.aes.startDecrypting = function(key, iv, output, mode) {
	  var cipher = _createCipher({
	    key: key,
	    output: output,
	    decrypt: true,
	    mode: mode
	  });
	  cipher.start(iv);
	  return cipher;
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var decipher = forge.cipher.createDecipher('AES-<mode>', key);
	 *
	 * Creates an AES cipher object to decrypt data using the given symmetric key.
	 *
	 * The key may be given as a string of bytes, an array of bytes, a
	 * byte buffer, or an array of 32-bit words.
	 *
	 * @param key the symmetric key to use.
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.aes.createDecryptionCipher = function(key, mode) {
	  return _createCipher({
	    key: key,
	    output: null,
	    decrypt: true,
	    mode: mode
	  });
	};
	
	/**
	 * Creates a new AES cipher algorithm object.
	 *
	 * @param name the name of the algorithm.
	 * @param mode the mode factory function.
	 *
	 * @return the AES algorithm object.
	 */
	forge.aes.Algorithm = function(name, mode) {
	  if(!init) {
	    initialize();
	  }
	  var self = this;
	  self.name = name;
	  self.mode = new mode({
	    blockSize: 16,
	    cipher: {
	      encrypt: function(inBlock, outBlock) {
	        return _updateBlock(self._w, inBlock, outBlock, false);
	      },
	      decrypt: function(inBlock, outBlock) {
	        return _updateBlock(self._w, inBlock, outBlock, true);
	      }
	    }
	  });
	  self._init = false;
	};
	
	/**
	 * Initializes this AES algorithm by expanding its key.
	 *
	 * @param options the options to use.
	 *          key the key to use with this algorithm.
	 *          decrypt true if the algorithm should be initialized for decryption,
	 *            false for encryption.
	 */
	forge.aes.Algorithm.prototype.initialize = function(options) {
	  if(this._init) {
	    return;
	  }
	
	  var key = options.key;
	  var tmp;
	
	  /* Note: The key may be a string of bytes, an array of bytes, a byte
	    buffer, or an array of 32-bit integers. If the key is in bytes, then
	    it must be 16, 24, or 32 bytes in length. If it is in 32-bit
	    integers, it must be 4, 6, or 8 integers long. */
	
	  if(typeof key === 'string' &&
	    (key.length === 16 || key.length === 24 || key.length === 32)) {
	    // convert key string into byte buffer
	    key = forge.util.createBuffer(key);
	  } else if(forge.util.isArray(key) &&
	    (key.length === 16 || key.length === 24 || key.length === 32)) {
	    // convert key integer array into byte buffer
	    tmp = key;
	    key = forge.util.createBuffer();
	    for(var i = 0; i < tmp.length; ++i) {
	      key.putByte(tmp[i]);
	    }
	  }
	
	  // convert key byte buffer into 32-bit integer array
	  if(!forge.util.isArray(key)) {
	    tmp = key;
	    key = [];
	
	    // key lengths of 16, 24, 32 bytes allowed
	    var len = tmp.length();
	    if(len === 16 || len === 24 || len === 32) {
	      len = len >>> 2;
	      for(var i = 0; i < len; ++i) {
	        key.push(tmp.getInt32());
	      }
	    }
	  }
	
	  // key must be an array of 32-bit integers by now
	  if(!forge.util.isArray(key) ||
	    !(key.length === 4 || key.length === 6 || key.length === 8)) {
	    throw new Error('Invalid key parameter.');
	  }
	
	  // encryption operation is always used for these modes
	  var mode = this.mode.name;
	  var encryptOp = (['CFB', 'OFB', 'CTR', 'GCM'].indexOf(mode) !== -1);
	
	  // do key expansion
	  this._w = _expandKey(key, options.decrypt && !encryptOp);
	  this._init = true;
	};
	
	/**
	 * Expands a key. Typically only used for testing.
	 *
	 * @param key the symmetric key to expand, as an array of 32-bit words.
	 * @param decrypt true to expand for decryption, false for encryption.
	 *
	 * @return the expanded key.
	 */
	forge.aes._expandKey = function(key, decrypt) {
	  if(!init) {
	    initialize();
	  }
	  return _expandKey(key, decrypt);
	};
	
	/**
	 * Updates a single block. Typically only used for testing.
	 *
	 * @param w the expanded key to use.
	 * @param input an array of block-size 32-bit words.
	 * @param output an array of block-size 32-bit words.
	 * @param decrypt true to decrypt, false to encrypt.
	 */
	forge.aes._updateBlock = _updateBlock;
	
	
	/** Register AES algorithms **/
	
	__webpack_require__(35);
	registerAlgorithm('AES-CBC', forge.cipher.modes.cbc);
	registerAlgorithm('AES-CFB', forge.cipher.modes.cfb);
	registerAlgorithm('AES-OFB', forge.cipher.modes.ofb);
	registerAlgorithm('AES-CTR', forge.cipher.modes.ctr);
	registerAlgorithm('AES-GCM', forge.cipher.modes.gcm);
	
	function registerAlgorithm(name, mode) {
	  var factory = function() {
	    return new forge.aes.Algorithm(name, mode);
	  };
	  forge.cipher.registerAlgorithm(name, factory);
	}
	
	
	/** AES implementation **/
	
	var init = false; // not yet initialized
	var Nb = 4;       // number of words comprising the state (AES = 4)
	var sbox;         // non-linear substitution table used in key expansion
	var isbox;        // inversion of sbox
	var rcon;         // round constant word array
	var mix;          // mix-columns table
	var imix;         // inverse mix-columns table
	
	/**
	 * Performs initialization, ie: precomputes tables to optimize for speed.
	 *
	 * One way to understand how AES works is to imagine that 'addition' and
	 * 'multiplication' are interfaces that require certain mathematical
	 * properties to hold true (ie: they are associative) but they might have
	 * different implementations and produce different kinds of results ...
	 * provided that their mathematical properties remain true. AES defines
	 * its own methods of addition and multiplication but keeps some important
	 * properties the same, ie: associativity and distributivity. The
	 * explanation below tries to shed some light on how AES defines addition
	 * and multiplication of bytes and 32-bit words in order to perform its
	 * encryption and decryption algorithms.
	 *
	 * The basics:
	 *
	 * The AES algorithm views bytes as binary representations of polynomials
	 * that have either 1 or 0 as the coefficients. It defines the addition
	 * or subtraction of two bytes as the XOR operation. It also defines the
	 * multiplication of two bytes as a finite field referred to as GF(2^8)
	 * (Note: 'GF' means "Galois Field" which is a field that contains a finite
	 * number of elements so GF(2^8) has 256 elements).
	 *
	 * This means that any two bytes can be represented as binary polynomials;
	 * when they multiplied together and modularly reduced by an irreducible
	 * polynomial of the 8th degree, the results are the field GF(2^8). The
	 * specific irreducible polynomial that AES uses in hexadecimal is 0x11b.
	 * This multiplication is associative with 0x01 as the identity:
	 *
	 * (b * 0x01 = GF(b, 0x01) = b).
	 *
	 * The operation GF(b, 0x02) can be performed at the byte level by left
	 * shifting b once and then XOR'ing it (to perform the modular reduction)
	 * with 0x11b if b is >= 128. Repeated application of the multiplication
	 * of 0x02 can be used to implement the multiplication of any two bytes.
	 *
	 * For instance, multiplying 0x57 and 0x13, denoted as GF(0x57, 0x13), can
	 * be performed by factoring 0x13 into 0x01, 0x02, and 0x10. Then these
	 * factors can each be multiplied by 0x57 and then added together. To do
	 * the multiplication, values for 0x57 multiplied by each of these 3 factors
	 * can be precomputed and stored in a table. To add them, the values from
	 * the table are XOR'd together.
	 *
	 * AES also defines addition and multiplication of words, that is 4-byte
	 * numbers represented as polynomials of 3 degrees where the coefficients
	 * are the values of the bytes.
	 *
	 * The word [a0, a1, a2, a3] is a polynomial a3x^3 + a2x^2 + a1x + a0.
	 *
	 * Addition is performed by XOR'ing like powers of x. Multiplication
	 * is performed in two steps, the first is an algebriac expansion as
	 * you would do normally (where addition is XOR). But the result is
	 * a polynomial larger than 3 degrees and thus it cannot fit in a word. So
	 * next the result is modularly reduced by an AES-specific polynomial of
	 * degree 4 which will always produce a polynomial of less than 4 degrees
	 * such that it will fit in a word. In AES, this polynomial is x^4 + 1.
	 *
	 * The modular product of two polynomials 'a' and 'b' is thus:
	 *
	 * d(x) = d3x^3 + d2x^2 + d1x + d0
	 * with
	 * d0 = GF(a0, b0) ^ GF(a3, b1) ^ GF(a2, b2) ^ GF(a1, b3)
	 * d1 = GF(a1, b0) ^ GF(a0, b1) ^ GF(a3, b2) ^ GF(a2, b3)
	 * d2 = GF(a2, b0) ^ GF(a1, b1) ^ GF(a0, b2) ^ GF(a3, b3)
	 * d3 = GF(a3, b0) ^ GF(a2, b1) ^ GF(a1, b2) ^ GF(a0, b3)
	 *
	 * As a matrix:
	 *
	 * [d0] = [a0 a3 a2 a1][b0]
	 * [d1]   [a1 a0 a3 a2][b1]
	 * [d2]   [a2 a1 a0 a3][b2]
	 * [d3]   [a3 a2 a1 a0][b3]
	 *
	 * Special polynomials defined by AES (0x02 == {02}):
	 * a(x)    = {03}x^3 + {01}x^2 + {01}x + {02}
	 * a^-1(x) = {0b}x^3 + {0d}x^2 + {09}x + {0e}.
	 *
	 * These polynomials are used in the MixColumns() and InverseMixColumns()
	 * operations, respectively, to cause each element in the state to affect
	 * the output (referred to as diffusing).
	 *
	 * RotWord() uses: a0 = a1 = a2 = {00} and a3 = {01}, which is the
	 * polynomial x3.
	 *
	 * The ShiftRows() method modifies the last 3 rows in the state (where
	 * the state is 4 words with 4 bytes per word) by shifting bytes cyclically.
	 * The 1st byte in the second row is moved to the end of the row. The 1st
	 * and 2nd bytes in the third row are moved to the end of the row. The 1st,
	 * 2nd, and 3rd bytes are moved in the fourth row.
	 *
	 * More details on how AES arithmetic works:
	 *
	 * In the polynomial representation of binary numbers, XOR performs addition
	 * and subtraction and multiplication in GF(2^8) denoted as GF(a, b)
	 * corresponds with the multiplication of polynomials modulo an irreducible
	 * polynomial of degree 8. In other words, for AES, GF(a, b) will multiply
	 * polynomial 'a' with polynomial 'b' and then do a modular reduction by
	 * an AES-specific irreducible polynomial of degree 8.
	 *
	 * A polynomial is irreducible if its only divisors are one and itself. For
	 * the AES algorithm, this irreducible polynomial is:
	 *
	 * m(x) = x^8 + x^4 + x^3 + x + 1,
	 *
	 * or {01}{1b} in hexadecimal notation, where each coefficient is a bit:
	 * 100011011 = 283 = 0x11b.
	 *
	 * For example, GF(0x57, 0x83) = 0xc1 because
	 *
	 * 0x57 = 87  = 01010111 = x^6 + x^4 + x^2 + x + 1
	 * 0x85 = 131 = 10000101 = x^7 + x + 1
	 *
	 * (x^6 + x^4 + x^2 + x + 1) * (x^7 + x + 1)
	 * =  x^13 + x^11 + x^9 + x^8 + x^7 +
	 *    x^7 + x^5 + x^3 + x^2 + x +
	 *    x^6 + x^4 + x^2 + x + 1
	 * =  x^13 + x^11 + x^9 + x^8 + x^6 + x^5 + x^4 + x^3 + 1 = y
	 *    y modulo (x^8 + x^4 + x^3 + x + 1)
	 * =  x^7 + x^6 + 1.
	 *
	 * The modular reduction by m(x) guarantees the result will be a binary
	 * polynomial of less than degree 8, so that it can fit in a byte.
	 *
	 * The operation to multiply a binary polynomial b with x (the polynomial
	 * x in binary representation is 00000010) is:
	 *
	 * b_7x^8 + b_6x^7 + b_5x^6 + b_4x^5 + b_3x^4 + b_2x^3 + b_1x^2 + b_0x^1
	 *
	 * To get GF(b, x) we must reduce that by m(x). If b_7 is 0 (that is the
	 * most significant bit is 0 in b) then the result is already reduced. If
	 * it is 1, then we can reduce it by subtracting m(x) via an XOR.
	 *
	 * It follows that multiplication by x (00000010 or 0x02) can be implemented
	 * by performing a left shift followed by a conditional bitwise XOR with
	 * 0x1b. This operation on bytes is denoted by xtime(). Multiplication by
	 * higher powers of x can be implemented by repeated application of xtime().
	 *
	 * By adding intermediate results, multiplication by any constant can be
	 * implemented. For instance:
	 *
	 * GF(0x57, 0x13) = 0xfe because:
	 *
	 * xtime(b) = (b & 128) ? (b << 1 ^ 0x11b) : (b << 1)
	 *
	 * Note: We XOR with 0x11b instead of 0x1b because in javascript our
	 * datatype for b can be larger than 1 byte, so a left shift will not
	 * automatically eliminate bits that overflow a byte ... by XOR'ing the
	 * overflow bit with 1 (the extra one from 0x11b) we zero it out.
	 *
	 * GF(0x57, 0x02) = xtime(0x57) = 0xae
	 * GF(0x57, 0x04) = xtime(0xae) = 0x47
	 * GF(0x57, 0x08) = xtime(0x47) = 0x8e
	 * GF(0x57, 0x10) = xtime(0x8e) = 0x07
	 *
	 * GF(0x57, 0x13) = GF(0x57, (0x01 ^ 0x02 ^ 0x10))
	 *
	 * And by the distributive property (since XOR is addition and GF() is
	 * multiplication):
	 *
	 * = GF(0x57, 0x01) ^ GF(0x57, 0x02) ^ GF(0x57, 0x10)
	 * = 0x57 ^ 0xae ^ 0x07
	 * = 0xfe.
	 */
	function initialize() {
	  init = true;
	
	  /* Populate the Rcon table. These are the values given by
	    [x^(i-1),{00},{00},{00}] where x^(i-1) are powers of x (and x = 0x02)
	    in the field of GF(2^8), where i starts at 1.
	
	    rcon[0] = [0x00, 0x00, 0x00, 0x00]
	    rcon[1] = [0x01, 0x00, 0x00, 0x00] 2^(1-1) = 2^0 = 1
	    rcon[2] = [0x02, 0x00, 0x00, 0x00] 2^(2-1) = 2^1 = 2
	    ...
	    rcon[9]  = [0x1B, 0x00, 0x00, 0x00] 2^(9-1)  = 2^8 = 0x1B
	    rcon[10] = [0x36, 0x00, 0x00, 0x00] 2^(10-1) = 2^9 = 0x36
	
	    We only store the first byte because it is the only one used.
	  */
	  rcon = [0x00, 0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80, 0x1B, 0x36];
	
	  // compute xtime table which maps i onto GF(i, 0x02)
	  var xtime = new Array(256);
	  for(var i = 0; i < 128; ++i) {
	    xtime[i] = i << 1;
	    xtime[i + 128] = (i + 128) << 1 ^ 0x11B;
	  }
	
	  // compute all other tables
	  sbox = new Array(256);
	  isbox = new Array(256);
	  mix = new Array(4);
	  imix = new Array(4);
	  for(var i = 0; i < 4; ++i) {
	    mix[i] = new Array(256);
	    imix[i] = new Array(256);
	  }
	  var e = 0, ei = 0, e2, e4, e8, sx, sx2, me, ime;
	  for(var i = 0; i < 256; ++i) {
	    /* We need to generate the SubBytes() sbox and isbox tables so that
	      we can perform byte substitutions. This requires us to traverse
	      all of the elements in GF, find their multiplicative inverses,
	      and apply to each the following affine transformation:
	
	      bi' = bi ^ b(i + 4) mod 8 ^ b(i + 5) mod 8 ^ b(i + 6) mod 8 ^
	            b(i + 7) mod 8 ^ ci
	      for 0 <= i < 8, where bi is the ith bit of the byte, and ci is the
	      ith bit of a byte c with the value {63} or {01100011}.
	
	      It is possible to traverse every possible value in a Galois field
	      using what is referred to as a 'generator'. There are many
	      generators (128 out of 256): 3,5,6,9,11,82 to name a few. To fully
	      traverse GF we iterate 255 times, multiplying by our generator
	      each time.
	
	      On each iteration we can determine the multiplicative inverse for
	      the current element.
	
	      Suppose there is an element in GF 'e'. For a given generator 'g',
	      e = g^x. The multiplicative inverse of e is g^(255 - x). It turns
	      out that if use the inverse of a generator as another generator
	      it will produce all of the corresponding multiplicative inverses
	      at the same time. For this reason, we choose 5 as our inverse
	      generator because it only requires 2 multiplies and 1 add and its
	      inverse, 82, requires relatively few operations as well.
	
	      In order to apply the affine transformation, the multiplicative
	      inverse 'ei' of 'e' can be repeatedly XOR'd (4 times) with a
	      bit-cycling of 'ei'. To do this 'ei' is first stored in 's' and
	      'x'. Then 's' is left shifted and the high bit of 's' is made the
	      low bit. The resulting value is stored in 's'. Then 'x' is XOR'd
	      with 's' and stored in 'x'. On each subsequent iteration the same
	      operation is performed. When 4 iterations are complete, 'x' is
	      XOR'd with 'c' (0x63) and the transformed value is stored in 'x'.
	      For example:
	
	      s = 01000001
	      x = 01000001
	
	      iteration 1: s = 10000010, x ^= s
	      iteration 2: s = 00000101, x ^= s
	      iteration 3: s = 00001010, x ^= s
	      iteration 4: s = 00010100, x ^= s
	      x ^= 0x63
	
	      This can be done with a loop where s = (s << 1) | (s >> 7). However,
	      it can also be done by using a single 16-bit (in this case 32-bit)
	      number 'sx'. Since XOR is an associative operation, we can set 'sx'
	      to 'ei' and then XOR it with 'sx' left-shifted 1,2,3, and 4 times.
	      The most significant bits will flow into the high 8 bit positions
	      and be correctly XOR'd with one another. All that remains will be
	      to cycle the high 8 bits by XOR'ing them all with the lower 8 bits
	      afterwards.
	
	      At the same time we're populating sbox and isbox we can precompute
	      the multiplication we'll need to do to do MixColumns() later.
	    */
	
	    // apply affine transformation
	    sx = ei ^ (ei << 1) ^ (ei << 2) ^ (ei << 3) ^ (ei << 4);
	    sx = (sx >> 8) ^ (sx & 255) ^ 0x63;
	
	    // update tables
	    sbox[e] = sx;
	    isbox[sx] = e;
	
	    /* Mixing columns is done using matrix multiplication. The columns
	      that are to be mixed are each a single word in the current state.
	      The state has Nb columns (4 columns). Therefore each column is a
	      4 byte word. So to mix the columns in a single column 'c' where
	      its rows are r0, r1, r2, and r3, we use the following matrix
	      multiplication:
	
	      [2 3 1 1]*[r0,c]=[r'0,c]
	      [1 2 3 1] [r1,c] [r'1,c]
	      [1 1 2 3] [r2,c] [r'2,c]
	      [3 1 1 2] [r3,c] [r'3,c]
	
	      r0, r1, r2, and r3 are each 1 byte of one of the words in the
	      state (a column). To do matrix multiplication for each mixed
	      column c' we multiply the corresponding row from the left matrix
	      with the corresponding column from the right matrix. In total, we
	      get 4 equations:
	
	      r0,c' = 2*r0,c + 3*r1,c + 1*r2,c + 1*r3,c
	      r1,c' = 1*r0,c + 2*r1,c + 3*r2,c + 1*r3,c
	      r2,c' = 1*r0,c + 1*r1,c + 2*r2,c + 3*r3,c
	      r3,c' = 3*r0,c + 1*r1,c + 1*r2,c + 2*r3,c
	
	      As usual, the multiplication is as previously defined and the
	      addition is XOR. In order to optimize mixing columns we can store
	      the multiplication results in tables. If you think of the whole
	      column as a word (it might help to visualize by mentally rotating
	      the equations above by counterclockwise 90 degrees) then you can
	      see that it would be useful to map the multiplications performed on
	      each byte (r0, r1, r2, r3) onto a word as well. For instance, we
	      could map 2*r0,1*r0,1*r0,3*r0 onto a word by storing 2*r0 in the
	      highest 8 bits and 3*r0 in the lowest 8 bits (with the other two
	      respectively in the middle). This means that a table can be
	      constructed that uses r0 as an index to the word. We can do the
	      same with r1, r2, and r3, creating a total of 4 tables.
	
	      To construct a full c', we can just look up each byte of c in
	      their respective tables and XOR the results together.
	
	      Also, to build each table we only have to calculate the word
	      for 2,1,1,3 for every byte ... which we can do on each iteration
	      of this loop since we will iterate over every byte. After we have
	      calculated 2,1,1,3 we can get the results for the other tables
	      by cycling the byte at the end to the beginning. For instance
	      we can take the result of table 2,1,1,3 and produce table 3,2,1,1
	      by moving the right most byte to the left most position just like
	      how you can imagine the 3 moved out of 2,1,1,3 and to the front
	      to produce 3,2,1,1.
	
	      There is another optimization in that the same multiples of
	      the current element we need in order to advance our generator
	      to the next iteration can be reused in performing the 2,1,1,3
	      calculation. We also calculate the inverse mix column tables,
	      with e,9,d,b being the inverse of 2,1,1,3.
	
	      When we're done, and we need to actually mix columns, the first
	      byte of each state word should be put through mix[0] (2,1,1,3),
	      the second through mix[1] (3,2,1,1) and so forth. Then they should
	      be XOR'd together to produce the fully mixed column.
	    */
	
	    // calculate mix and imix table values
	    sx2 = xtime[sx];
	    e2 = xtime[e];
	    e4 = xtime[e2];
	    e8 = xtime[e4];
	    me =
	      (sx2 << 24) ^  // 2
	      (sx << 16) ^   // 1
	      (sx << 8) ^    // 1
	      (sx ^ sx2);    // 3
	    ime =
	      (e2 ^ e4 ^ e8) << 24 ^  // E (14)
	      (e ^ e8) << 16 ^        // 9
	      (e ^ e4 ^ e8) << 8 ^    // D (13)
	      (e ^ e2 ^ e8);          // B (11)
	    // produce each of the mix tables by rotating the 2,1,1,3 value
	    for(var n = 0; n < 4; ++n) {
	      mix[n][e] = me;
	      imix[n][sx] = ime;
	      // cycle the right most byte to the left most position
	      // ie: 2,1,1,3 becomes 3,2,1,1
	      me = me << 24 | me >>> 8;
	      ime = ime << 24 | ime >>> 8;
	    }
	
	    // get next element and inverse
	    if(e === 0) {
	      // 1 is the inverse of 1
	      e = ei = 1;
	    } else {
	      // e = 2e + 2*2*2*(10e)) = multiply e by 82 (chosen generator)
	      // ei = ei + 2*2*ei = multiply ei by 5 (inverse generator)
	      e = e2 ^ xtime[xtime[xtime[e2 ^ e8]]];
	      ei ^= xtime[xtime[ei]];
	    }
	  }
	}
	
	/**
	 * Generates a key schedule using the AES key expansion algorithm.
	 *
	 * The AES algorithm takes the Cipher Key, K, and performs a Key Expansion
	 * routine to generate a key schedule. The Key Expansion generates a total
	 * of Nb*(Nr + 1) words: the algorithm requires an initial set of Nb words,
	 * and each of the Nr rounds requires Nb words of key data. The resulting
	 * key schedule consists of a linear array of 4-byte words, denoted [wi ],
	 * with i in the range 0 ≤ i < Nb(Nr + 1).
	 *
	 * KeyExpansion(byte key[4*Nk], word w[Nb*(Nr+1)], Nk)
	 * AES-128 (Nb=4, Nk=4, Nr=10)
	 * AES-192 (Nb=4, Nk=6, Nr=12)
	 * AES-256 (Nb=4, Nk=8, Nr=14)
	 * Note: Nr=Nk+6.
	 *
	 * Nb is the number of columns (32-bit words) comprising the State (or
	 * number of bytes in a block). For AES, Nb=4.
	 *
	 * @param key the key to schedule (as an array of 32-bit words).
	 * @param decrypt true to modify the key schedule to decrypt, false not to.
	 *
	 * @return the generated key schedule.
	 */
	function _expandKey(key, decrypt) {
	  // copy the key's words to initialize the key schedule
	  var w = key.slice(0);
	
	  /* RotWord() will rotate a word, moving the first byte to the last
	    byte's position (shifting the other bytes left).
	
	    We will be getting the value of Rcon at i / Nk. 'i' will iterate
	    from Nk to (Nb * Nr+1). Nk = 4 (4 byte key), Nb = 4 (4 words in
	    a block), Nr = Nk + 6 (10). Therefore 'i' will iterate from
	    4 to 44 (exclusive). Each time we iterate 4 times, i / Nk will
	    increase by 1. We use a counter iNk to keep track of this.
	   */
	
	  // go through the rounds expanding the key
	  var temp, iNk = 1;
	  var Nk = w.length;
	  var Nr1 = Nk + 6 + 1;
	  var end = Nb * Nr1;
	  for(var i = Nk; i < end; ++i) {
	    temp = w[i - 1];
	    if(i % Nk === 0) {
	      // temp = SubWord(RotWord(temp)) ^ Rcon[i / Nk]
	      temp =
	        sbox[temp >>> 16 & 255] << 24 ^
	        sbox[temp >>> 8 & 255] << 16 ^
	        sbox[temp & 255] << 8 ^
	        sbox[temp >>> 24] ^ (rcon[iNk] << 24);
	      iNk++;
	    } else if(Nk > 6 && (i % Nk === 4)) {
	      // temp = SubWord(temp)
	      temp =
	        sbox[temp >>> 24] << 24 ^
	        sbox[temp >>> 16 & 255] << 16 ^
	        sbox[temp >>> 8 & 255] << 8 ^
	        sbox[temp & 255];
	    }
	    w[i] = w[i - Nk] ^ temp;
	  }
	
	   /* When we are updating a cipher block we always use the code path for
	     encryption whether we are decrypting or not (to shorten code and
	     simplify the generation of look up tables). However, because there
	     are differences in the decryption algorithm, other than just swapping
	     in different look up tables, we must transform our key schedule to
	     account for these changes:
	
	     1. The decryption algorithm gets its key rounds in reverse order.
	     2. The decryption algorithm adds the round key before mixing columns
	       instead of afterwards.
	
	     We don't need to modify our key schedule to handle the first case,
	     we can just traverse the key schedule in reverse order when decrypting.
	
	     The second case requires a little work.
	
	     The tables we built for performing rounds will take an input and then
	     perform SubBytes() and MixColumns() or, for the decrypt version,
	     InvSubBytes() and InvMixColumns(). But the decrypt algorithm requires
	     us to AddRoundKey() before InvMixColumns(). This means we'll need to
	     apply some transformations to the round key to inverse-mix its columns
	     so they'll be correct for moving AddRoundKey() to after the state has
	     had its columns inverse-mixed.
	
	     To inverse-mix the columns of the state when we're decrypting we use a
	     lookup table that will apply InvSubBytes() and InvMixColumns() at the
	     same time. However, the round key's bytes are not inverse-substituted
	     in the decryption algorithm. To get around this problem, we can first
	     substitute the bytes in the round key so that when we apply the
	     transformation via the InvSubBytes()+InvMixColumns() table, it will
	     undo our substitution leaving us with the original value that we
	     want -- and then inverse-mix that value.
	
	     This change will correctly alter our key schedule so that we can XOR
	     each round key with our already transformed decryption state. This
	     allows us to use the same code path as the encryption algorithm.
	
	     We make one more change to the decryption key. Since the decryption
	     algorithm runs in reverse from the encryption algorithm, we reverse
	     the order of the round keys to avoid having to iterate over the key
	     schedule backwards when running the encryption algorithm later in
	     decryption mode. In addition to reversing the order of the round keys,
	     we also swap each round key's 2nd and 4th rows. See the comments
	     section where rounds are performed for more details about why this is
	     done. These changes are done inline with the other substitution
	     described above.
	  */
	  if(decrypt) {
	    var tmp;
	    var m0 = imix[0];
	    var m1 = imix[1];
	    var m2 = imix[2];
	    var m3 = imix[3];
	    var wnew = w.slice(0);
	    end = w.length;
	    for(var i = 0, wi = end - Nb; i < end; i += Nb, wi -= Nb) {
	      // do not sub the first or last round key (round keys are Nb
	      // words) as no column mixing is performed before they are added,
	      // but do change the key order
	      if(i === 0 || i === (end - Nb)) {
	        wnew[i] = w[wi];
	        wnew[i + 1] = w[wi + 3];
	        wnew[i + 2] = w[wi + 2];
	        wnew[i + 3] = w[wi + 1];
	      } else {
	        // substitute each round key byte because the inverse-mix
	        // table will inverse-substitute it (effectively cancel the
	        // substitution because round key bytes aren't sub'd in
	        // decryption mode) and swap indexes 3 and 1
	        for(var n = 0; n < Nb; ++n) {
	          tmp = w[wi + n];
	          wnew[i + (3&-n)] =
	            m0[sbox[tmp >>> 24]] ^
	            m1[sbox[tmp >>> 16 & 255]] ^
	            m2[sbox[tmp >>> 8 & 255]] ^
	            m3[sbox[tmp & 255]];
	        }
	      }
	    }
	    w = wnew;
	  }
	
	  return w;
	}
	
	/**
	 * Updates a single block (16 bytes) using AES. The update will either
	 * encrypt or decrypt the block.
	 *
	 * @param w the key schedule.
	 * @param input the input block (an array of 32-bit words).
	 * @param output the updated output block.
	 * @param decrypt true to decrypt the block, false to encrypt it.
	 */
	function _updateBlock(w, input, output, decrypt) {
	  /*
	  Cipher(byte in[4*Nb], byte out[4*Nb], word w[Nb*(Nr+1)])
	  begin
	    byte state[4,Nb]
	    state = in
	    AddRoundKey(state, w[0, Nb-1])
	    for round = 1 step 1 to Nr–1
	      SubBytes(state)
	      ShiftRows(state)
	      MixColumns(state)
	      AddRoundKey(state, w[round*Nb, (round+1)*Nb-1])
	    end for
	    SubBytes(state)
	    ShiftRows(state)
	    AddRoundKey(state, w[Nr*Nb, (Nr+1)*Nb-1])
	    out = state
	  end
	
	  InvCipher(byte in[4*Nb], byte out[4*Nb], word w[Nb*(Nr+1)])
	  begin
	    byte state[4,Nb]
	    state = in
	    AddRoundKey(state, w[Nr*Nb, (Nr+1)*Nb-1])
	    for round = Nr-1 step -1 downto 1
	      InvShiftRows(state)
	      InvSubBytes(state)
	      AddRoundKey(state, w[round*Nb, (round+1)*Nb-1])
	      InvMixColumns(state)
	    end for
	    InvShiftRows(state)
	    InvSubBytes(state)
	    AddRoundKey(state, w[0, Nb-1])
	    out = state
	  end
	  */
	
	  // Encrypt: AddRoundKey(state, w[0, Nb-1])
	  // Decrypt: AddRoundKey(state, w[Nr*Nb, (Nr+1)*Nb-1])
	  var Nr = w.length / 4 - 1;
	  var m0, m1, m2, m3, sub;
	  if(decrypt) {
	    m0 = imix[0];
	    m1 = imix[1];
	    m2 = imix[2];
	    m3 = imix[3];
	    sub = isbox;
	  } else {
	    m0 = mix[0];
	    m1 = mix[1];
	    m2 = mix[2];
	    m3 = mix[3];
	    sub = sbox;
	  }
	  var a, b, c, d, a2, b2, c2;
	  a = input[0] ^ w[0];
	  b = input[decrypt ? 3 : 1] ^ w[1];
	  c = input[2] ^ w[2];
	  d = input[decrypt ? 1 : 3] ^ w[3];
	  var i = 3;
	
	  /* In order to share code we follow the encryption algorithm when both
	    encrypting and decrypting. To account for the changes required in the
	    decryption algorithm, we use different lookup tables when decrypting
	    and use a modified key schedule to account for the difference in the
	    order of transformations applied when performing rounds. We also get
	    key rounds in reverse order (relative to encryption). */
	  for(var round = 1; round < Nr; ++round) {
	    /* As described above, we'll be using table lookups to perform the
	      column mixing. Each column is stored as a word in the state (the
	      array 'input' has one column as a word at each index). In order to
	      mix a column, we perform these transformations on each row in c,
	      which is 1 byte in each word. The new column for c0 is c'0:
	
	               m0      m1      m2      m3
	      r0,c'0 = 2*r0,c0 + 3*r1,c0 + 1*r2,c0 + 1*r3,c0
	      r1,c'0 = 1*r0,c0 + 2*r1,c0 + 3*r2,c0 + 1*r3,c0
	      r2,c'0 = 1*r0,c0 + 1*r1,c0 + 2*r2,c0 + 3*r3,c0
	      r3,c'0 = 3*r0,c0 + 1*r1,c0 + 1*r2,c0 + 2*r3,c0
	
	      So using mix tables where c0 is a word with r0 being its upper
	      8 bits and r3 being its lower 8 bits:
	
	      m0[c0 >> 24] will yield this word: [2*r0,1*r0,1*r0,3*r0]
	      ...
	      m3[c0 & 255] will yield this word: [1*r3,1*r3,3*r3,2*r3]
	
	      Therefore to mix the columns in each word in the state we
	      do the following (& 255 omitted for brevity):
	      c'0,r0 = m0[c0 >> 24] ^ m1[c1 >> 16] ^ m2[c2 >> 8] ^ m3[c3]
	      c'0,r1 = m0[c0 >> 24] ^ m1[c1 >> 16] ^ m2[c2 >> 8] ^ m3[c3]
	      c'0,r2 = m0[c0 >> 24] ^ m1[c1 >> 16] ^ m2[c2 >> 8] ^ m3[c3]
	      c'0,r3 = m0[c0 >> 24] ^ m1[c1 >> 16] ^ m2[c2 >> 8] ^ m3[c3]
	
	      However, before mixing, the algorithm requires us to perform
	      ShiftRows(). The ShiftRows() transformation cyclically shifts the
	      last 3 rows of the state over different offsets. The first row
	      (r = 0) is not shifted.
	
	      s'_r,c = s_r,(c + shift(r, Nb) mod Nb
	      for 0 < r < 4 and 0 <= c < Nb and
	      shift(1, 4) = 1
	      shift(2, 4) = 2
	      shift(3, 4) = 3.
	
	      This causes the first byte in r = 1 to be moved to the end of
	      the row, the first 2 bytes in r = 2 to be moved to the end of
	      the row, the first 3 bytes in r = 3 to be moved to the end of
	      the row:
	
	      r1: [c0 c1 c2 c3] => [c1 c2 c3 c0]
	      r2: [c0 c1 c2 c3]    [c2 c3 c0 c1]
	      r3: [c0 c1 c2 c3]    [c3 c0 c1 c2]
	
	      We can make these substitutions inline with our column mixing to
	      generate an updated set of equations to produce each word in the
	      state (note the columns have changed positions):
	
	      c0 c1 c2 c3 => c0 c1 c2 c3
	      c0 c1 c2 c3    c1 c2 c3 c0  (cycled 1 byte)
	      c0 c1 c2 c3    c2 c3 c0 c1  (cycled 2 bytes)
	      c0 c1 c2 c3    c3 c0 c1 c2  (cycled 3 bytes)
	
	      Therefore:
	
	      c'0 = 2*r0,c0 + 3*r1,c1 + 1*r2,c2 + 1*r3,c3
	      c'0 = 1*r0,c0 + 2*r1,c1 + 3*r2,c2 + 1*r3,c3
	      c'0 = 1*r0,c0 + 1*r1,c1 + 2*r2,c2 + 3*r3,c3
	      c'0 = 3*r0,c0 + 1*r1,c1 + 1*r2,c2 + 2*r3,c3
	
	      c'1 = 2*r0,c1 + 3*r1,c2 + 1*r2,c3 + 1*r3,c0
	      c'1 = 1*r0,c1 + 2*r1,c2 + 3*r2,c3 + 1*r3,c0
	      c'1 = 1*r0,c1 + 1*r1,c2 + 2*r2,c3 + 3*r3,c0
	      c'1 = 3*r0,c1 + 1*r1,c2 + 1*r2,c3 + 2*r3,c0
	
	      ... and so forth for c'2 and c'3. The important distinction is
	      that the columns are cycling, with c0 being used with the m0
	      map when calculating c0, but c1 being used with the m0 map when
	      calculating c1 ... and so forth.
	
	      When performing the inverse we transform the mirror image and
	      skip the bottom row, instead of the top one, and move upwards:
	
	      c3 c2 c1 c0 => c0 c3 c2 c1  (cycled 3 bytes) *same as encryption
	      c3 c2 c1 c0    c1 c0 c3 c2  (cycled 2 bytes)
	      c3 c2 c1 c0    c2 c1 c0 c3  (cycled 1 byte)  *same as encryption
	      c3 c2 c1 c0    c3 c2 c1 c0
	
	      If you compare the resulting matrices for ShiftRows()+MixColumns()
	      and for InvShiftRows()+InvMixColumns() the 2nd and 4th columns are
	      different (in encrypt mode vs. decrypt mode). So in order to use
	      the same code to handle both encryption and decryption, we will
	      need to do some mapping.
	
	      If in encryption mode we let a=c0, b=c1, c=c2, d=c3, and r<N> be
	      a row number in the state, then the resulting matrix in encryption
	      mode for applying the above transformations would be:
	
	      r1: a b c d
	      r2: b c d a
	      r3: c d a b
	      r4: d a b c
	
	      If we did the same in decryption mode we would get:
	
	      r1: a d c b
	      r2: b a d c
	      r3: c b a d
	      r4: d c b a
	
	      If instead we swap d and b (set b=c3 and d=c1), then we get:
	
	      r1: a b c d
	      r2: d a b c
	      r3: c d a b
	      r4: b c d a
	
	      Now the 1st and 3rd rows are the same as the encryption matrix. All
	      we need to do then to make the mapping exactly the same is to swap
	      the 2nd and 4th rows when in decryption mode. To do this without
	      having to do it on each iteration, we swapped the 2nd and 4th rows
	      in the decryption key schedule. We also have to do the swap above
	      when we first pull in the input and when we set the final output. */
	    a2 =
	      m0[a >>> 24] ^
	      m1[b >>> 16 & 255] ^
	      m2[c >>> 8 & 255] ^
	      m3[d & 255] ^ w[++i];
	    b2 =
	      m0[b >>> 24] ^
	      m1[c >>> 16 & 255] ^
	      m2[d >>> 8 & 255] ^
	      m3[a & 255] ^ w[++i];
	    c2 =
	      m0[c >>> 24] ^
	      m1[d >>> 16 & 255] ^
	      m2[a >>> 8 & 255] ^
	      m3[b & 255] ^ w[++i];
	    d =
	      m0[d >>> 24] ^
	      m1[a >>> 16 & 255] ^
	      m2[b >>> 8 & 255] ^
	      m3[c & 255] ^ w[++i];
	    a = a2;
	    b = b2;
	    c = c2;
	  }
	
	  /*
	    Encrypt:
	    SubBytes(state)
	    ShiftRows(state)
	    AddRoundKey(state, w[Nr*Nb, (Nr+1)*Nb-1])
	
	    Decrypt:
	    InvShiftRows(state)
	    InvSubBytes(state)
	    AddRoundKey(state, w[0, Nb-1])
	   */
	   // Note: rows are shifted inline
	  output[0] =
	    (sub[a >>> 24] << 24) ^
	    (sub[b >>> 16 & 255] << 16) ^
	    (sub[c >>> 8 & 255] << 8) ^
	    (sub[d & 255]) ^ w[++i];
	  output[decrypt ? 3 : 1] =
	    (sub[b >>> 24] << 24) ^
	    (sub[c >>> 16 & 255] << 16) ^
	    (sub[d >>> 8 & 255] << 8) ^
	    (sub[a & 255]) ^ w[++i];
	  output[2] =
	    (sub[c >>> 24] << 24) ^
	    (sub[d >>> 16 & 255] << 16) ^
	    (sub[a >>> 8 & 255] << 8) ^
	    (sub[b & 255]) ^ w[++i];
	  output[decrypt ? 1 : 3] =
	    (sub[d >>> 24] << 24) ^
	    (sub[a >>> 16 & 255] << 16) ^
	    (sub[b >>> 8 & 255] << 8) ^
	    (sub[c & 255]) ^ w[++i];
	}
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * forge.cipher.createCipher('AES-<mode>', key);
	 * forge.cipher.createDecipher('AES-<mode>', key);
	 *
	 * Creates a deprecated AES cipher object. This object's mode will default to
	 * CBC (cipher-block-chaining).
	 *
	 * The key and iv may be given as a string of bytes, an array of bytes, a
	 * byte buffer, or an array of 32-bit words.
	 *
	 * @param options the options to use.
	 *          key the symmetric key to use.
	 *          output the buffer to write to.
	 *          decrypt true for decryption, false for encryption.
	 *          mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	function _createCipher(options) {
	  options = options || {};
	  var mode = (options.mode || 'CBC').toUpperCase();
	  var algorithm = 'AES-' + mode;
	
	  var cipher;
	  if(options.decrypt) {
	    cipher = forge.cipher.createDecipher(algorithm, options.key);
	  } else {
	    cipher = forge.cipher.createCipher(algorithm, options.key);
	  }
	
	  // backwards compatible start API
	  var start = cipher.start;
	  cipher.start = function(iv, options) {
	    // backwards compatibility: support second arg as output buffer
	    var output = null;
	    if(options instanceof forge.util.ByteBuffer) {
	      output = options;
	      options = {};
	    }
	    options = options || {};
	    options.output = output;
	    options.iv = iv;
	    start.call(cipher, options);
	  };
	
	  return cipher;
	}
	
	})();


/***/ },
/* 33 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Cipher base API.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  cipher : module.exports || {},
	  util : __webpack_require__(34)
	}
	
	forge.cipher = forge.cipher || {};
	
	// registered algorithms
	forge.cipher.algorithms = forge.cipher.algorithms || {};
	
	/**
	 * Creates a cipher object that can be used to encrypt data using the given
	 * algorithm and key. The algorithm may be provided as a string value for a
	 * previously registered algorithm or it may be given as a cipher algorithm
	 * API object.
	 *
	 * @param algorithm the algorithm to use, either a string or an algorithm API
	 *          object.
	 * @param key the key to use, as a binary-encoded string of bytes or a
	 *          byte buffer.
	 *
	 * @return the cipher.
	 */
	forge.cipher.createCipher = function(algorithm, key) {
	  var api = algorithm;
	  if(typeof api === 'string') {
	    api = forge.cipher.getAlgorithm(api);
	    if(api) {
	      api = api();
	    }
	  }
	  if(!api) {
	    throw new Error('Unsupported algorithm: ' + algorithm);
	  }
	
	  // assume block cipher
	  return new forge.cipher.BlockCipher({
	    algorithm: api,
	    key: key,
	    decrypt: false
	  });
	};
	
	/**
	 * Creates a decipher object that can be used to decrypt data using the given
	 * algorithm and key. The algorithm may be provided as a string value for a
	 * previously registered algorithm or it may be given as a cipher algorithm
	 * API object.
	 *
	 * @param algorithm the algorithm to use, either a string or an algorithm API
	 *          object.
	 * @param key the key to use, as a binary-encoded string of bytes or a
	 *          byte buffer.
	 *
	 * @return the cipher.
	 */
	forge.cipher.createDecipher = function(algorithm, key) {
	  var api = algorithm;
	  if(typeof api === 'string') {
	    api = forge.cipher.getAlgorithm(api);
	    if(api) {
	      api = api();
	    }
	  }
	  if(!api) {
	    throw new Error('Unsupported algorithm: ' + algorithm);
	  }
	
	  // assume block cipher
	  return new forge.cipher.BlockCipher({
	    algorithm: api,
	    key: key,
	    decrypt: true
	  });
	};
	
	/**
	 * Registers an algorithm by name. If the name was already registered, the
	 * algorithm API object will be overwritten.
	 *
	 * @param name the name of the algorithm.
	 * @param algorithm the algorithm API object.
	 */
	forge.cipher.registerAlgorithm = function(name, algorithm) {
	  name = name.toUpperCase();
	  forge.cipher.algorithms[name] = algorithm;
	};
	
	/**
	 * Gets a registered algorithm by name.
	 *
	 * @param name the name of the algorithm.
	 *
	 * @return the algorithm, if found, null if not.
	 */
	forge.cipher.getAlgorithm = function(name) {
	  name = name.toUpperCase();
	  if(name in forge.cipher.algorithms) {
	    return forge.cipher.algorithms[name];
	  }
	  return null;
	};
	
	var BlockCipher = forge.cipher.BlockCipher = function(options) {
	  this.algorithm = options.algorithm;
	  this.mode = this.algorithm.mode;
	  this.blockSize = this.mode.blockSize;
	  this._finish = false;
	  this._input = null;
	  this.output = null;
	  this._op = options.decrypt ? this.mode.decrypt : this.mode.encrypt;
	  this._decrypt = options.decrypt;
	  this.algorithm.initialize(options);
	};
	
	/**
	 * Starts or restarts the encryption or decryption process, whichever
	 * was previously configured.
	 *
	 * For non-GCM mode, the IV may be a binary-encoded string of bytes, an array
	 * of bytes, a byte buffer, or an array of 32-bit integers. If the IV is in
	 * bytes, then it must be Nb (16) bytes in length. If the IV is given in as
	 * 32-bit integers, then it must be 4 integers long.
	 *
	 * For GCM-mode, the IV must be given as a binary-encoded string of bytes or
	 * a byte buffer. The number of bytes should be 12 (96 bits) as recommended
	 * by NIST SP-800-38D but another length may be given.
	 *
	 * @param options the options to use:
	 *          iv the initialization vector to use as a binary-encoded string of
	 *            bytes, null to reuse the last ciphered block from a previous
	 *            update() (this "residue" method is for legacy support only).
	 *          additionalData additional authentication data as a binary-encoded
	 *            string of bytes, for 'GCM' mode, (default: none).
	 *          tagLength desired length of authentication tag, in bits, for
	 *            'GCM' mode (0-128, default: 128).
	 *          tag the authentication tag to check if decrypting, as a
	 *             binary-encoded string of bytes.
	 *          output the output the buffer to write to, null to create one.
	 */
	BlockCipher.prototype.start = function(options) {
	  options = options || {};
	  var opts = {};
	  for(var key in options) {
	    opts[key] = options[key];
	  }
	  opts.decrypt = this._decrypt;
	  this._finish = false;
	  this._input = forge.util.createBuffer();
	  this.output = options.output || forge.util.createBuffer();
	  this.mode.start(opts);
	};
	
	/**
	 * Updates the next block according to the cipher mode.
	 *
	 * @param input the buffer to read from.
	 */
	BlockCipher.prototype.update = function(input) {
	  if(!this._finish) {
	    // not finishing, so fill the input buffer with more input
	    this._input.putBuffer(input);
	  }
	
	  // do cipher operation while input contains full blocks or if finishing
	  while(this._input.length() >= this.blockSize ||
	    (this._input.length() > 0 && this._finish)) {
	    this._op.call(this.mode, this._input, this.output);
	  }
	
	  // free consumed memory from input buffer
	  this._input.compact();
	};
	
	/**
	 * Finishes encrypting or decrypting.
	 *
	 * @param pad a padding function to use in CBC mode, null for default,
	 *          signature(blockSize, buffer, decrypt).
	 *
	 * @return true if successful, false on error.
	 */
	BlockCipher.prototype.finish = function(pad) {
	  // backwards-compatibility w/deprecated padding API
	  // Note: will overwrite padding functions even after another start() call
	  if(pad && this.mode.name === 'CBC') {
	    this.mode.pad = function(input) {
	      return pad(this.blockSize, input, false);
	    };
	    this.mode.unpad = function(output) {
	      return pad(this.blockSize, output, true);
	    };
	  }
	
	  // build options for padding and afterFinish functions
	  var options = {};
	  options.decrypt = this._decrypt;
	
	  // get # of bytes that won't fill a block
	  options.overflow = this._input.length() % this.blockSize;
	
	  if(!this._decrypt && this.mode.pad) {
	    if(!this.mode.pad(this._input, options)) {
	      return false;
	    }
	  }
	
	  // do final update
	  this._finish = true;
	  this.update();
	
	  if(this._decrypt && this.mode.unpad) {
	    if(!this.mode.unpad(this.output, options)) {
	      return false;
	    }
	  }
	
	  if(this.mode.afterFinish) {
	    if(!this.mode.afterFinish(this.output, options)) {
	      return false;
	    }
	  }
	
	  return true;
	};
	
	})();


/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process, setImmediate) {/**
	 * Utility functions for web applications.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	/* Utilities API */
	var util = module.exports || {};
	
	// define setImmediate and nextTick
	if(typeof process === 'undefined' || !process.nextTick) {
	  if(typeof setImmediate === 'function') {
	    util.setImmediate = setImmediate;
	    util.nextTick = function(callback) {
	      return setImmediate(callback);
	    };
	  } else {
	    util.setImmediate = function(callback) {
	      setTimeout(callback, 0);
	    };
	    util.nextTick = util.setImmediate;
	  }
	} else {
	  util.nextTick = process.nextTick;
	  if(typeof setImmediate === 'function') {
	    util.setImmediate = setImmediate;
	  } else {
	    util.setImmediate = util.nextTick;
	  }
	}
	
	// define isArray
	util.isArray = Array.isArray || function(x) {
	  return Object.prototype.toString.call(x) === '[object Array]';
	};
	
	// define isArrayBuffer
	util.isArrayBuffer = function(x) {
	  return typeof ArrayBuffer !== 'undefined' && x instanceof ArrayBuffer;
	};
	
	// define isArrayBufferView
	var _arrayBufferViews = [];
	if(typeof DataView !== 'undefined') {
	  _arrayBufferViews.push(DataView);
	}
	if(typeof Int8Array !== 'undefined') {
	  _arrayBufferViews.push(Int8Array);
	}
	if(typeof Uint8Array !== 'undefined') {
	  _arrayBufferViews.push(Uint8Array);
	}
	if(typeof Uint8ClampedArray !== 'undefined') {
	  _arrayBufferViews.push(Uint8ClampedArray);
	}
	if(typeof Int16Array !== 'undefined') {
	  _arrayBufferViews.push(Int16Array);
	}
	if(typeof Uint16Array !== 'undefined') {
	  _arrayBufferViews.push(Uint16Array);
	}
	if(typeof Int32Array !== 'undefined') {
	  _arrayBufferViews.push(Int32Array);
	}
	if(typeof Uint32Array !== 'undefined') {
	  _arrayBufferViews.push(Uint32Array);
	}
	if(typeof Float32Array !== 'undefined') {
	  _arrayBufferViews.push(Float32Array);
	}
	if(typeof Float64Array !== 'undefined') {
	  _arrayBufferViews.push(Float64Array);
	}
	util.isArrayBufferView = function(x) {
	  for(var i = 0; i < _arrayBufferViews.length; ++i) {
	    if(x instanceof _arrayBufferViews[i]) {
	      return true;
	    }
	  }
	  return false;
	};
	
	// TODO: set ByteBuffer to best available backing
	util.ByteBuffer = ByteStringBuffer;
	
	/** Buffer w/BinaryString backing */
	
	/**
	 * Constructor for a binary string backed byte buffer.
	 *
	 * @param [b] the bytes to wrap (either encoded as string, one byte per
	 *          character, or as an ArrayBuffer or Typed Array).
	 */
	function ByteStringBuffer(b) {
	  // TODO: update to match DataBuffer API
	
	  // the data in this buffer
	  this.data = '';
	  // the pointer for reading from this buffer
	  this.read = 0;
	
	  if(typeof b === 'string') {
	    this.data = b;
	  } else if(util.isArrayBuffer(b) || util.isArrayBufferView(b)) {
	    // convert native buffer to forge buffer
	    // FIXME: support native buffers internally instead
	    var arr = new Uint8Array(b);
	    try {
	      this.data = String.fromCharCode.apply(null, arr);
	    } catch(e) {
	      for(var i = 0; i < arr.length; ++i) {
	        this.putByte(arr[i]);
	      }
	    }
	  } else if(b instanceof ByteStringBuffer ||
	    (typeof b === 'object' && typeof b.data === 'string' &&
	    typeof b.read === 'number')) {
	    // copy existing buffer
	    this.data = b.data;
	    this.read = b.read;
	  }
	
	  // used for v8 optimization
	  this._constructedStringLength = 0;
	}
	util.ByteStringBuffer = ByteStringBuffer;
	
	/* Note: This is an optimization for V8-based browsers. When V8 concatenates
	  a string, the strings are only joined logically using a "cons string" or
	  "constructed/concatenated string". These containers keep references to one
	  another and can result in very large memory usage. For example, if a 2MB
	  string is constructed by concatenating 4 bytes together at a time, the
	  memory usage will be ~44MB; so ~22x increase. The strings are only joined
	  together when an operation requiring their joining takes place, such as
	  substr(). This function is called when adding data to this buffer to ensure
	  these types of strings are periodically joined to reduce the memory
	  footprint. */
	var _MAX_CONSTRUCTED_STRING_LENGTH = 4096;
	util.ByteStringBuffer.prototype._optimizeConstructedString = function(x) {
	  this._constructedStringLength += x;
	  if(this._constructedStringLength > _MAX_CONSTRUCTED_STRING_LENGTH) {
	    // this substr() should cause the constructed string to join
	    this.data.substr(0, 1);
	    this._constructedStringLength = 0;
	  }
	};
	
	/**
	 * Gets the number of bytes in this buffer.
	 *
	 * @return the number of bytes in this buffer.
	 */
	util.ByteStringBuffer.prototype.length = function() {
	  return this.data.length - this.read;
	};
	
	/**
	 * Gets whether or not this buffer is empty.
	 *
	 * @return true if this buffer is empty, false if not.
	 */
	util.ByteStringBuffer.prototype.isEmpty = function() {
	  return this.length() <= 0;
	};
	
	/**
	 * Puts a byte in this buffer.
	 *
	 * @param b the byte to put.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putByte = function(b) {
	  return this.putBytes(String.fromCharCode(b));
	};
	
	/**
	 * Puts a byte in this buffer N times.
	 *
	 * @param b the byte to put.
	 * @param n the number of bytes of value b to put.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.fillWithByte = function(b, n) {
	  b = String.fromCharCode(b);
	  var d = this.data;
	  while(n > 0) {
	    if(n & 1) {
	      d += b;
	    }
	    n >>>= 1;
	    if(n > 0) {
	      b += b;
	    }
	  }
	  this.data = d;
	  this._optimizeConstructedString(n);
	  return this;
	};
	
	/**
	 * Puts bytes in this buffer.
	 *
	 * @param bytes the bytes (as a UTF-8 encoded string) to put.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putBytes = function(bytes) {
	  this.data += bytes;
	  this._optimizeConstructedString(bytes.length);
	  return this;
	};
	
	/**
	 * Puts a UTF-16 encoded string into this buffer.
	 *
	 * @param str the string to put.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putString = function(str) {
	  return this.putBytes(util.encodeUtf8(str));
	};
	
	/**
	 * Puts a 16-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 16-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt16 = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i & 0xFF));
	};
	
	/**
	 * Puts a 24-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 24-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt24 = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i >> 16 & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i & 0xFF));
	};
	
	/**
	 * Puts a 32-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 32-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt32 = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i >> 24 & 0xFF) +
	    String.fromCharCode(i >> 16 & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i & 0xFF));
	};
	
	/**
	 * Puts a 16-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 16-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt16Le = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF));
	};
	
	/**
	 * Puts a 24-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 24-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt24Le = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i >> 16 & 0xFF));
	};
	
	/**
	 * Puts a 32-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 32-bit integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt32Le = function(i) {
	  return this.putBytes(
	    String.fromCharCode(i & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i >> 16 & 0xFF) +
	    String.fromCharCode(i >> 24 & 0xFF));
	};
	
	/**
	 * Puts an n-bit integer in this buffer in big-endian order.
	 *
	 * @param i the n-bit integer.
	 * @param n the number of bits in the integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putInt = function(i, n) {
	  var bytes = '';
	  do {
	    n -= 8;
	    bytes += String.fromCharCode((i >> n) & 0xFF);
	  } while(n > 0);
	  return this.putBytes(bytes);
	};
	
	/**
	 * Puts a signed n-bit integer in this buffer in big-endian order. Two's
	 * complement representation is used.
	 *
	 * @param i the n-bit integer.
	 * @param n the number of bits in the integer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putSignedInt = function(i, n) {
	  if(i < 0) {
	    i += 2 << (n - 1);
	  }
	  return this.putInt(i, n);
	};
	
	/**
	 * Puts the given buffer into this buffer.
	 *
	 * @param buffer the buffer to put into this one.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.putBuffer = function(buffer) {
	  return this.putBytes(buffer.getBytes());
	};
	
	/**
	 * Gets a byte from this buffer and advances the read pointer by 1.
	 *
	 * @return the byte.
	 */
	util.ByteStringBuffer.prototype.getByte = function() {
	  return this.data.charCodeAt(this.read++);
	};
	
	/**
	 * Gets a uint16 from this buffer in big-endian order and advances the read
	 * pointer by 2.
	 *
	 * @return the uint16.
	 */
	util.ByteStringBuffer.prototype.getInt16 = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) << 8 ^
	    this.data.charCodeAt(this.read + 1));
	  this.read += 2;
	  return rval;
	};
	
	/**
	 * Gets a uint24 from this buffer in big-endian order and advances the read
	 * pointer by 3.
	 *
	 * @return the uint24.
	 */
	util.ByteStringBuffer.prototype.getInt24 = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) << 16 ^
	    this.data.charCodeAt(this.read + 1) << 8 ^
	    this.data.charCodeAt(this.read + 2));
	  this.read += 3;
	  return rval;
	};
	
	/**
	 * Gets a uint32 from this buffer in big-endian order and advances the read
	 * pointer by 4.
	 *
	 * @return the word.
	 */
	util.ByteStringBuffer.prototype.getInt32 = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) << 24 ^
	    this.data.charCodeAt(this.read + 1) << 16 ^
	    this.data.charCodeAt(this.read + 2) << 8 ^
	    this.data.charCodeAt(this.read + 3));
	  this.read += 4;
	  return rval;
	};
	
	/**
	 * Gets a uint16 from this buffer in little-endian order and advances the read
	 * pointer by 2.
	 *
	 * @return the uint16.
	 */
	util.ByteStringBuffer.prototype.getInt16Le = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) ^
	    this.data.charCodeAt(this.read + 1) << 8);
	  this.read += 2;
	  return rval;
	};
	
	/**
	 * Gets a uint24 from this buffer in little-endian order and advances the read
	 * pointer by 3.
	 *
	 * @return the uint24.
	 */
	util.ByteStringBuffer.prototype.getInt24Le = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) ^
	    this.data.charCodeAt(this.read + 1) << 8 ^
	    this.data.charCodeAt(this.read + 2) << 16);
	  this.read += 3;
	  return rval;
	};
	
	/**
	 * Gets a uint32 from this buffer in little-endian order and advances the read
	 * pointer by 4.
	 *
	 * @return the word.
	 */
	util.ByteStringBuffer.prototype.getInt32Le = function() {
	  var rval = (
	    this.data.charCodeAt(this.read) ^
	    this.data.charCodeAt(this.read + 1) << 8 ^
	    this.data.charCodeAt(this.read + 2) << 16 ^
	    this.data.charCodeAt(this.read + 3) << 24);
	  this.read += 4;
	  return rval;
	};
	
	/**
	 * Gets an n-bit integer from this buffer in big-endian order and advances the
	 * read pointer by n/8.
	 *
	 * @param n the number of bits in the integer.
	 *
	 * @return the integer.
	 */
	util.ByteStringBuffer.prototype.getInt = function(n) {
	  var rval = 0;
	  do {
	    rval = (rval << 8) + this.data.charCodeAt(this.read++);
	    n -= 8;
	  } while(n > 0);
	  return rval;
	};
	
	/**
	 * Gets a signed n-bit integer from this buffer in big-endian order, using
	 * two's complement, and advances the read pointer by n/8.
	 *
	 * @param n the number of bits in the integer.
	 *
	 * @return the integer.
	 */
	util.ByteStringBuffer.prototype.getSignedInt = function(n) {
	  var x = this.getInt(n);
	  var max = 2 << (n - 2);
	  if(x >= max) {
	    x -= max << 1;
	  }
	  return x;
	};
	
	/**
	 * Reads bytes out into a UTF-8 string and clears them from the buffer.
	 *
	 * @param count the number of bytes to read, undefined or null for all.
	 *
	 * @return a UTF-8 string of bytes.
	 */
	util.ByteStringBuffer.prototype.getBytes = function(count) {
	  var rval;
	  if(count) {
	    // read count bytes
	    count = Math.min(this.length(), count);
	    rval = this.data.slice(this.read, this.read + count);
	    this.read += count;
	  } else if(count === 0) {
	    rval = '';
	  } else {
	    // read all bytes, optimize to only copy when needed
	    rval = (this.read === 0) ? this.data : this.data.slice(this.read);
	    this.clear();
	  }
	  return rval;
	};
	
	/**
	 * Gets a UTF-8 encoded string of the bytes from this buffer without modifying
	 * the read pointer.
	 *
	 * @param count the number of bytes to get, omit to get all.
	 *
	 * @return a string full of UTF-8 encoded characters.
	 */
	util.ByteStringBuffer.prototype.bytes = function(count) {
	  return (typeof(count) === 'undefined' ?
	    this.data.slice(this.read) :
	    this.data.slice(this.read, this.read + count));
	};
	
	/**
	 * Gets a byte at the given index without modifying the read pointer.
	 *
	 * @param i the byte index.
	 *
	 * @return the byte.
	 */
	util.ByteStringBuffer.prototype.at = function(i) {
	  return this.data.charCodeAt(this.read + i);
	};
	
	/**
	 * Puts a byte at the given index without modifying the read pointer.
	 *
	 * @param i the byte index.
	 * @param b the byte to put.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.setAt = function(i, b) {
	  this.data = this.data.substr(0, this.read + i) +
	    String.fromCharCode(b) +
	    this.data.substr(this.read + i + 1);
	  return this;
	};
	
	/**
	 * Gets the last byte without modifying the read pointer.
	 *
	 * @return the last byte.
	 */
	util.ByteStringBuffer.prototype.last = function() {
	  return this.data.charCodeAt(this.data.length - 1);
	};
	
	/**
	 * Creates a copy of this buffer.
	 *
	 * @return the copy.
	 */
	util.ByteStringBuffer.prototype.copy = function() {
	  var c = util.createBuffer(this.data);
	  c.read = this.read;
	  return c;
	};
	
	/**
	 * Compacts this buffer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.compact = function() {
	  if(this.read > 0) {
	    this.data = this.data.slice(this.read);
	    this.read = 0;
	  }
	  return this;
	};
	
	/**
	 * Clears this buffer.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.clear = function() {
	  this.data = '';
	  this.read = 0;
	  return this;
	};
	
	/**
	 * Shortens this buffer by triming bytes off of the end of this buffer.
	 *
	 * @param count the number of bytes to trim off.
	 *
	 * @return this buffer.
	 */
	util.ByteStringBuffer.prototype.truncate = function(count) {
	  var len = Math.max(0, this.length() - count);
	  this.data = this.data.substr(this.read, len);
	  this.read = 0;
	  return this;
	};
	
	/**
	 * Converts this buffer to a hexadecimal string.
	 *
	 * @return a hexadecimal string.
	 */
	util.ByteStringBuffer.prototype.toHex = function() {
	  var rval = '';
	  for(var i = this.read; i < this.data.length; ++i) {
	    var b = this.data.charCodeAt(i);
	    if(b < 16) {
	      rval += '0';
	    }
	    rval += b.toString(16);
	  }
	  return rval;
	};
	
	/**
	 * Converts this buffer to a UTF-16 string (standard JavaScript string).
	 *
	 * @return a UTF-16 string.
	 */
	util.ByteStringBuffer.prototype.toString = function() {
	  return util.decodeUtf8(this.bytes());
	};
	
	/** End Buffer w/BinaryString backing */
	
	
	/** Buffer w/UInt8Array backing */
	
	/**
	 * FIXME: Experimental. Do not use yet.
	 *
	 * Constructor for an ArrayBuffer-backed byte buffer.
	 *
	 * The buffer may be constructed from a string, an ArrayBuffer, DataView, or a
	 * TypedArray.
	 *
	 * If a string is given, its encoding should be provided as an option,
	 * otherwise it will default to 'binary'. A 'binary' string is encoded such
	 * that each character is one byte in length and size.
	 *
	 * If an ArrayBuffer, DataView, or TypedArray is given, it will be used
	 * *directly* without any copying. Note that, if a write to the buffer requires
	 * more space, the buffer will allocate a new backing ArrayBuffer to
	 * accommodate. The starting read and write offsets for the buffer may be
	 * given as options.
	 *
	 * @param [b] the initial bytes for this buffer.
	 * @param options the options to use:
	 *          [readOffset] the starting read offset to use (default: 0).
	 *          [writeOffset] the starting write offset to use (default: the
	 *            length of the first parameter).
	 *          [growSize] the minimum amount, in bytes, to grow the buffer by to
	 *            accommodate writes (default: 1024).
	 *          [encoding] the encoding ('binary', 'utf8', 'utf16', 'hex') for the
	 *            first parameter, if it is a string (default: 'binary').
	 */
	function DataBuffer(b, options) {
	  // default options
	  options = options || {};
	
	  // pointers for read from/write to buffer
	  this.read = options.readOffset || 0;
	  this.growSize = options.growSize || 1024;
	
	  var isArrayBuffer = util.isArrayBuffer(b);
	  var isArrayBufferView = util.isArrayBufferView(b);
	  if(isArrayBuffer || isArrayBufferView) {
	    // use ArrayBuffer directly
	    if(isArrayBuffer) {
	      this.data = new DataView(b);
	    } else {
	      // TODO: adjust read/write offset based on the type of view
	      // or specify that this must be done in the options ... that the
	      // offsets are byte-based
	      this.data = new DataView(b.buffer, b.byteOffset, b.byteLength);
	    }
	    this.write = ('writeOffset' in options ?
	      options.writeOffset : this.data.byteLength);
	    return;
	  }
	
	  // initialize to empty array buffer and add any given bytes using putBytes
	  this.data = new DataView(new ArrayBuffer(0));
	  this.write = 0;
	
	  if(b !== null && b !== undefined) {
	    this.putBytes(b);
	  }
	
	  if('writeOffset' in options) {
	    this.write = options.writeOffset;
	  }
	}
	util.DataBuffer = DataBuffer;
	
	/**
	 * Gets the number of bytes in this buffer.
	 *
	 * @return the number of bytes in this buffer.
	 */
	util.DataBuffer.prototype.length = function() {
	  return this.write - this.read;
	};
	
	/**
	 * Gets whether or not this buffer is empty.
	 *
	 * @return true if this buffer is empty, false if not.
	 */
	util.DataBuffer.prototype.isEmpty = function() {
	  return this.length() <= 0;
	};
	
	/**
	 * Ensures this buffer has enough empty space to accommodate the given number
	 * of bytes. An optional parameter may be given that indicates a minimum
	 * amount to grow the buffer if necessary. If the parameter is not given,
	 * the buffer will be grown by some previously-specified default amount
	 * or heuristic.
	 *
	 * @param amount the number of bytes to accommodate.
	 * @param [growSize] the minimum amount, in bytes, to grow the buffer by if
	 *          necessary.
	 */
	util.DataBuffer.prototype.accommodate = function(amount, growSize) {
	  if(this.length() >= amount) {
	    return this;
	  }
	  growSize = Math.max(growSize || this.growSize, amount);
	
	  // grow buffer
	  var src = new Uint8Array(
	    this.data.buffer, this.data.byteOffset, this.data.byteLength);
	  var dst = new Uint8Array(this.length() + growSize);
	  dst.set(src);
	  this.data = new DataView(dst.buffer);
	
	  return this;
	};
	
	/**
	 * Puts a byte in this buffer.
	 *
	 * @param b the byte to put.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putByte = function(b) {
	  this.accommodate(1);
	  this.data.setUint8(this.write++, b);
	  return this;
	};
	
	/**
	 * Puts a byte in this buffer N times.
	 *
	 * @param b the byte to put.
	 * @param n the number of bytes of value b to put.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.fillWithByte = function(b, n) {
	  this.accommodate(n);
	  for(var i = 0; i < n; ++i) {
	    this.data.setUint8(b);
	  }
	  return this;
	};
	
	/**
	 * Puts bytes in this buffer. The bytes may be given as a string, an
	 * ArrayBuffer, a DataView, or a TypedArray.
	 *
	 * @param bytes the bytes to put.
	 * @param [encoding] the encoding for the first parameter ('binary', 'utf8',
	 *          'utf16', 'hex'), if it is a string (default: 'binary').
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putBytes = function(bytes, encoding) {
	  if(util.isArrayBufferView(bytes)) {
	    var src = new Uint8Array(bytes.buffer, bytes.byteOffset, bytes.byteLength);
	    var len = src.byteLength - src.byteOffset;
	    this.accommodate(len);
	    var dst = new Uint8Array(this.data.buffer, this.write);
	    dst.set(src);
	    this.write += len;
	    return this;
	  }
	
	  if(util.isArrayBuffer(bytes)) {
	    var src = new Uint8Array(bytes);
	    this.accommodate(src.byteLength);
	    var dst = new Uint8Array(this.data.buffer);
	    dst.set(src, this.write);
	    this.write += src.byteLength;
	    return this;
	  }
	
	  // bytes is a util.DataBuffer or equivalent
	  if(bytes instanceof util.DataBuffer ||
	    (typeof bytes === 'object' &&
	    typeof bytes.read === 'number' && typeof bytes.write === 'number' &&
	    util.isArrayBufferView(bytes.data))) {
	    var src = new Uint8Array(bytes.data.byteLength, bytes.read, bytes.length());
	    this.accommodate(src.byteLength);
	    var dst = new Uint8Array(bytes.data.byteLength, this.write);
	    dst.set(src);
	    this.write += src.byteLength;
	    return this;
	  }
	
	  if(bytes instanceof util.ByteStringBuffer) {
	    // copy binary string and process as the same as a string parameter below
	    bytes = bytes.data;
	    encoding = 'binary';
	  }
	
	  // string conversion
	  encoding = encoding || 'binary';
	  if(typeof bytes === 'string') {
	    var view;
	
	    // decode from string
	    if(encoding === 'hex') {
	      this.accommodate(Math.ceil(bytes.length / 2));
	      view = new Uint8Array(this.data.buffer, this.write);
	      this.write += util.binary.hex.decode(bytes, view, this.write);
	      return this;
	    }
	    if(encoding === 'base64') {
	      this.accommodate(Math.ceil(bytes.length / 4) * 3);
	      view = new Uint8Array(this.data.buffer, this.write);
	      this.write += util.binary.base64.decode(bytes, view, this.write);
	      return this;
	    }
	
	    // encode text as UTF-8 bytes
	    if(encoding === 'utf8') {
	      // encode as UTF-8 then decode string as raw binary
	      bytes = util.encodeUtf8(bytes);
	      encoding = 'binary';
	    }
	
	    // decode string as raw binary
	    if(encoding === 'binary' || encoding === 'raw') {
	      // one byte per character
	      this.accommodate(bytes.length);
	      view = new Uint8Array(this.data.buffer, this.write);
	      this.write += util.binary.raw.decode(view);
	      return this;
	    }
	
	    // encode text as UTF-16 bytes
	    if(encoding === 'utf16') {
	      // two bytes per character
	      this.accommodate(bytes.length * 2);
	      view = new Uint16Array(this.data.buffer, this.write);
	      this.write += util.text.utf16.encode(view);
	      return this;
	    }
	
	    throw new Error('Invalid encoding: ' + encoding);
	  }
	
	  throw Error('Invalid parameter: ' + bytes);
	};
	
	/**
	 * Puts the given buffer into this buffer.
	 *
	 * @param buffer the buffer to put into this one.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putBuffer = function(buffer) {
	  this.putBytes(buffer);
	  buffer.clear();
	  return this;
	};
	
	/**
	 * Puts a string into this buffer.
	 *
	 * @param str the string to put.
	 * @param [encoding] the encoding for the string (default: 'utf16').
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putString = function(str) {
	  return this.putBytes(str, 'utf16');
	};
	
	/**
	 * Puts a 16-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 16-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt16 = function(i) {
	  this.accommodate(2);
	  this.data.setInt16(this.write, i);
	  this.write += 2;
	  return this;
	};
	
	/**
	 * Puts a 24-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 24-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt24 = function(i) {
	  this.accommodate(3);
	  this.data.setInt16(this.write, i >> 8 & 0xFFFF);
	  this.data.setInt8(this.write, i >> 16 & 0xFF);
	  this.write += 3;
	  return this;
	};
	
	/**
	 * Puts a 32-bit integer in this buffer in big-endian order.
	 *
	 * @param i the 32-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt32 = function(i) {
	  this.accommodate(4);
	  this.data.setInt32(this.write, i);
	  this.write += 4;
	  return this;
	};
	
	/**
	 * Puts a 16-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 16-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt16Le = function(i) {
	  this.accommodate(2);
	  this.data.setInt16(this.write, i, true);
	  this.write += 2;
	  return this;
	};
	
	/**
	 * Puts a 24-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 24-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt24Le = function(i) {
	  this.accommodate(3);
	  this.data.setInt8(this.write, i >> 16 & 0xFF);
	  this.data.setInt16(this.write, i >> 8 & 0xFFFF, true);
	  this.write += 3;
	  return this;
	};
	
	/**
	 * Puts a 32-bit integer in this buffer in little-endian order.
	 *
	 * @param i the 32-bit integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt32Le = function(i) {
	  this.accommodate(4);
	  this.data.setInt32(this.write, i, true);
	  this.write += 4;
	  return this;
	};
	
	/**
	 * Puts an n-bit integer in this buffer in big-endian order.
	 *
	 * @param i the n-bit integer.
	 * @param n the number of bits in the integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putInt = function(i, n) {
	  this.accommodate(n / 8);
	  do {
	    n -= 8;
	    this.data.setInt8(this.write++, (i >> n) & 0xFF);
	  } while(n > 0);
	  return this;
	};
	
	/**
	 * Puts a signed n-bit integer in this buffer in big-endian order. Two's
	 * complement representation is used.
	 *
	 * @param i the n-bit integer.
	 * @param n the number of bits in the integer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.putSignedInt = function(i, n) {
	  this.accommodate(n / 8);
	  if(i < 0) {
	    i += 2 << (n - 1);
	  }
	  return this.putInt(i, n);
	};
	
	/**
	 * Gets a byte from this buffer and advances the read pointer by 1.
	 *
	 * @return the byte.
	 */
	util.DataBuffer.prototype.getByte = function() {
	  return this.data.getInt8(this.read++);
	};
	
	/**
	 * Gets a uint16 from this buffer in big-endian order and advances the read
	 * pointer by 2.
	 *
	 * @return the uint16.
	 */
	util.DataBuffer.prototype.getInt16 = function() {
	  var rval = this.data.getInt16(this.read);
	  this.read += 2;
	  return rval;
	};
	
	/**
	 * Gets a uint24 from this buffer in big-endian order and advances the read
	 * pointer by 3.
	 *
	 * @return the uint24.
	 */
	util.DataBuffer.prototype.getInt24 = function() {
	  var rval = (
	    this.data.getInt16(this.read) << 8 ^
	    this.data.getInt8(this.read + 2));
	  this.read += 3;
	  return rval;
	};
	
	/**
	 * Gets a uint32 from this buffer in big-endian order and advances the read
	 * pointer by 4.
	 *
	 * @return the word.
	 */
	util.DataBuffer.prototype.getInt32 = function() {
	  var rval = this.data.getInt32(this.read);
	  this.read += 4;
	  return rval;
	};
	
	/**
	 * Gets a uint16 from this buffer in little-endian order and advances the read
	 * pointer by 2.
	 *
	 * @return the uint16.
	 */
	util.DataBuffer.prototype.getInt16Le = function() {
	  var rval = this.data.getInt16(this.read, true);
	  this.read += 2;
	  return rval;
	};
	
	/**
	 * Gets a uint24 from this buffer in little-endian order and advances the read
	 * pointer by 3.
	 *
	 * @return the uint24.
	 */
	util.DataBuffer.prototype.getInt24Le = function() {
	  var rval = (
	    this.data.getInt8(this.read) ^
	    this.data.getInt16(this.read + 1, true) << 8);
	  this.read += 3;
	  return rval;
	};
	
	/**
	 * Gets a uint32 from this buffer in little-endian order and advances the read
	 * pointer by 4.
	 *
	 * @return the word.
	 */
	util.DataBuffer.prototype.getInt32Le = function() {
	  var rval = this.data.getInt32(this.read, true);
	  this.read += 4;
	  return rval;
	};
	
	/**
	 * Gets an n-bit integer from this buffer in big-endian order and advances the
	 * read pointer by n/8.
	 *
	 * @param n the number of bits in the integer.
	 *
	 * @return the integer.
	 */
	util.DataBuffer.prototype.getInt = function(n) {
	  var rval = 0;
	  do {
	    rval = (rval << 8) + this.data.getInt8(this.read++);
	    n -= 8;
	  } while(n > 0);
	  return rval;
	};
	
	/**
	 * Gets a signed n-bit integer from this buffer in big-endian order, using
	 * two's complement, and advances the read pointer by n/8.
	 *
	 * @param n the number of bits in the integer.
	 *
	 * @return the integer.
	 */
	util.DataBuffer.prototype.getSignedInt = function(n) {
	  var x = this.getInt(n);
	  var max = 2 << (n - 2);
	  if(x >= max) {
	    x -= max << 1;
	  }
	  return x;
	};
	
	/**
	 * Reads bytes out into a UTF-8 string and clears them from the buffer.
	 *
	 * @param count the number of bytes to read, undefined or null for all.
	 *
	 * @return a UTF-8 string of bytes.
	 */
	util.DataBuffer.prototype.getBytes = function(count) {
	  // TODO: deprecate this method, it is poorly named and
	  // this.toString('binary') replaces it
	  // add a toTypedArray()/toArrayBuffer() function
	  var rval;
	  if(count) {
	    // read count bytes
	    count = Math.min(this.length(), count);
	    rval = this.data.slice(this.read, this.read + count);
	    this.read += count;
	  } else if(count === 0) {
	    rval = '';
	  } else {
	    // read all bytes, optimize to only copy when needed
	    rval = (this.read === 0) ? this.data : this.data.slice(this.read);
	    this.clear();
	  }
	  return rval;
	};
	
	/**
	 * Gets a UTF-8 encoded string of the bytes from this buffer without modifying
	 * the read pointer.
	 *
	 * @param count the number of bytes to get, omit to get all.
	 *
	 * @return a string full of UTF-8 encoded characters.
	 */
	util.DataBuffer.prototype.bytes = function(count) {
	  // TODO: deprecate this method, it is poorly named, add "getString()"
	  return (typeof(count) === 'undefined' ?
	    this.data.slice(this.read) :
	    this.data.slice(this.read, this.read + count));
	};
	
	/**
	 * Gets a byte at the given index without modifying the read pointer.
	 *
	 * @param i the byte index.
	 *
	 * @return the byte.
	 */
	util.DataBuffer.prototype.at = function(i) {
	  return this.data.getUint8(this.read + i);
	};
	
	/**
	 * Puts a byte at the given index without modifying the read pointer.
	 *
	 * @param i the byte index.
	 * @param b the byte to put.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.setAt = function(i, b) {
	  this.data.setUint8(i, b);
	  return this;
	};
	
	/**
	 * Gets the last byte without modifying the read pointer.
	 *
	 * @return the last byte.
	 */
	util.DataBuffer.prototype.last = function() {
	  return this.data.getUint8(this.write - 1);
	};
	
	/**
	 * Creates a copy of this buffer.
	 *
	 * @return the copy.
	 */
	util.DataBuffer.prototype.copy = function() {
	  return new util.DataBuffer(this);
	};
	
	/**
	 * Compacts this buffer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.compact = function() {
	  if(this.read > 0) {
	    var src = new Uint8Array(this.data.buffer, this.read);
	    var dst = new Uint8Array(src.byteLength);
	    dst.set(src);
	    this.data = new DataView(dst);
	    this.write -= this.read;
	    this.read = 0;
	  }
	  return this;
	};
	
	/**
	 * Clears this buffer.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.clear = function() {
	  this.data = new DataView(new ArrayBuffer(0));
	  this.read = this.write = 0;
	  return this;
	};
	
	/**
	 * Shortens this buffer by triming bytes off of the end of this buffer.
	 *
	 * @param count the number of bytes to trim off.
	 *
	 * @return this buffer.
	 */
	util.DataBuffer.prototype.truncate = function(count) {
	  this.write = Math.max(0, this.length() - count);
	  this.read = Math.min(this.read, this.write);
	  return this;
	};
	
	/**
	 * Converts this buffer to a hexadecimal string.
	 *
	 * @return a hexadecimal string.
	 */
	util.DataBuffer.prototype.toHex = function() {
	  var rval = '';
	  for(var i = this.read; i < this.data.byteLength; ++i) {
	    var b = this.data.getUint8(i);
	    if(b < 16) {
	      rval += '0';
	    }
	    rval += b.toString(16);
	  }
	  return rval;
	};
	
	/**
	 * Converts this buffer to a string, using the given encoding. If no
	 * encoding is given, 'utf8' (UTF-8) is used.
	 *
	 * @param [encoding] the encoding to use: 'binary', 'utf8', 'utf16', 'hex',
	 *          'base64' (default: 'utf8').
	 *
	 * @return a string representation of the bytes in this buffer.
	 */
	util.DataBuffer.prototype.toString = function(encoding) {
	  var view = new Uint8Array(this.data, this.read, this.length());
	  encoding = encoding || 'utf8';
	
	  // encode to string
	  if(encoding === 'binary' || encoding === 'raw') {
	    return util.binary.raw.encode(view);
	  }
	  if(encoding === 'hex') {
	    return util.binary.hex.encode(view);
	  }
	  if(encoding === 'base64') {
	    return util.binary.base64.encode(view);
	  }
	
	  // decode to text
	  if(encoding === 'utf8') {
	    return util.text.utf8.decode(view);
	  }
	  if(encoding === 'utf16') {
	    return util.text.utf16.decode(view);
	  }
	
	  throw new Error('Invalid encoding: ' + encoding);
	};
	
	/** End Buffer w/UInt8Array backing */
	
	
	/**
	 * Creates a buffer that stores bytes. A value may be given to put into the
	 * buffer that is either a string of bytes or a UTF-16 string that will
	 * be encoded using UTF-8 (to do the latter, specify 'utf8' as the encoding).
	 *
	 * @param [input] the bytes to wrap (as a string) or a UTF-16 string to encode
	 *          as UTF-8.
	 * @param [encoding] (default: 'raw', other: 'utf8').
	 */
	util.createBuffer = function(input, encoding) {
	  // TODO: deprecate, use new ByteBuffer() instead
	  encoding = encoding || 'raw';
	  if(input !== undefined && encoding === 'utf8') {
	    input = util.encodeUtf8(input);
	  }
	  return new util.ByteBuffer(input);
	};
	
	/**
	 * Fills a string with a particular value. If you want the string to be a byte
	 * string, pass in String.fromCharCode(theByte).
	 *
	 * @param c the character to fill the string with, use String.fromCharCode
	 *          to fill the string with a byte value.
	 * @param n the number of characters of value c to fill with.
	 *
	 * @return the filled string.
	 */
	util.fillString = function(c, n) {
	  var s = '';
	  while(n > 0) {
	    if(n & 1) {
	      s += c;
	    }
	    n >>>= 1;
	    if(n > 0) {
	      c += c;
	    }
	  }
	  return s;
	};
	
	/**
	 * Performs a per byte XOR between two byte strings and returns the result as a
	 * string of bytes.
	 *
	 * @param s1 first string of bytes.
	 * @param s2 second string of bytes.
	 * @param n the number of bytes to XOR.
	 *
	 * @return the XOR'd result.
	 */
	util.xorBytes = function(s1, s2, n) {
	  var s3 = '';
	  var b = '';
	  var t = '';
	  var i = 0;
	  var c = 0;
	  for(; n > 0; --n, ++i) {
	    b = s1.charCodeAt(i) ^ s2.charCodeAt(i);
	    if(c >= 10) {
	      s3 += t;
	      t = '';
	      c = 0;
	    }
	    t += String.fromCharCode(b);
	    ++c;
	  }
	  s3 += t;
	  return s3;
	};
	
	/**
	 * Converts a hex string into a 'binary' encoded string of bytes.
	 *
	 * @param hex the hexadecimal string to convert.
	 *
	 * @return the binary-encoded string of bytes.
	 */
	util.hexToBytes = function(hex) {
	  // TODO: deprecate: "Deprecated. Use util.binary.hex.decode instead."
	  var rval = '';
	  var i = 0;
	  if(hex.length & 1 == 1) {
	    // odd number of characters, convert first character alone
	    i = 1;
	    rval += String.fromCharCode(parseInt(hex[0], 16));
	  }
	  // convert 2 characters (1 byte) at a time
	  for(; i < hex.length; i += 2) {
	    rval += String.fromCharCode(parseInt(hex.substr(i, 2), 16));
	  }
	  return rval;
	};
	
	/**
	 * Converts a 'binary' encoded string of bytes to hex.
	 *
	 * @param bytes the byte string to convert.
	 *
	 * @return the string of hexadecimal characters.
	 */
	util.bytesToHex = function(bytes) {
	  // TODO: deprecate: "Deprecated. Use util.binary.hex.encode instead."
	  return util.createBuffer(bytes).toHex();
	};
	
	/**
	 * Converts an 32-bit integer to 4-big-endian byte string.
	 *
	 * @param i the integer.
	 *
	 * @return the byte string.
	 */
	util.int32ToBytes = function(i) {
	  return (
	    String.fromCharCode(i >> 24 & 0xFF) +
	    String.fromCharCode(i >> 16 & 0xFF) +
	    String.fromCharCode(i >> 8 & 0xFF) +
	    String.fromCharCode(i & 0xFF));
	};
	
	// base64 characters, reverse mapping
	var _base64 =
	  'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';
	var _base64Idx = [
	/*43 -43 = 0*/
	/*'+',  1,  2,  3,'/' */
	   62, -1, -1, -1, 63,
	
	/*'0','1','2','3','4','5','6','7','8','9' */
	   52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	
	/*15, 16, 17,'=', 19, 20, 21 */
	  -1, -1, -1, 64, -1, -1, -1,
	
	/*65 - 43 = 22*/
	/*'A','B','C','D','E','F','G','H','I','J','K','L','M', */
	   0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12,
	
	/*'N','O','P','Q','R','S','T','U','V','W','X','Y','Z' */
	   13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25,
	
	/*91 - 43 = 48 */
	/*48, 49, 50, 51, 52, 53 */
	  -1, -1, -1, -1, -1, -1,
	
	/*97 - 43 = 54*/
	/*'a','b','c','d','e','f','g','h','i','j','k','l','m' */
	   26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38,
	
	/*'n','o','p','q','r','s','t','u','v','w','x','y','z' */
	   39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51
	];
	
	/**
	 * Base64 encodes a 'binary' encoded string of bytes.
	 *
	 * @param input the binary encoded string of bytes to base64-encode.
	 * @param maxline the maximum number of encoded characters per line to use,
	 *          defaults to none.
	 *
	 * @return the base64-encoded output.
	 */
	util.encode64 = function(input, maxline) {
	  // TODO: deprecate: "Deprecated. Use util.binary.base64.encode instead."
	  var line = '';
	  var output = '';
	  var chr1, chr2, chr3;
	  var i = 0;
	  while(i < input.length) {
	    chr1 = input.charCodeAt(i++);
	    chr2 = input.charCodeAt(i++);
	    chr3 = input.charCodeAt(i++);
	
	    // encode 4 character group
	    line += _base64.charAt(chr1 >> 2);
	    line += _base64.charAt(((chr1 & 3) << 4) | (chr2 >> 4));
	    if(isNaN(chr2)) {
	      line += '==';
	    } else {
	      line += _base64.charAt(((chr2 & 15) << 2) | (chr3 >> 6));
	      line += isNaN(chr3) ? '=' : _base64.charAt(chr3 & 63);
	    }
	
	    if(maxline && line.length > maxline) {
	      output += line.substr(0, maxline) + '\r\n';
	      line = line.substr(maxline);
	    }
	  }
	  output += line;
	  return output;
	};
	
	/**
	 * Base64 decodes a string into a 'binary' encoded string of bytes.
	 *
	 * @param input the base64-encoded input.
	 *
	 * @return the binary encoded string.
	 */
	util.decode64 = function(input) {
	  // TODO: deprecate: "Deprecated. Use util.binary.base64.decode instead."
	
	  // remove all non-base64 characters
	  input = input.replace(/[^A-Za-z0-9\+\/\=]/g, '');
	
	  var output = '';
	  var enc1, enc2, enc3, enc4;
	  var i = 0;
	
	  while(i < input.length) {
	    enc1 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc2 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc3 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc4 = _base64Idx[input.charCodeAt(i++) - 43];
	
	    output += String.fromCharCode((enc1 << 2) | (enc2 >> 4));
	    if(enc3 !== 64) {
	      // decoded at least 2 bytes
	      output += String.fromCharCode(((enc2 & 15) << 4) | (enc3 >> 2));
	      if(enc4 !== 64) {
	        // decoded 3 bytes
	        output += String.fromCharCode(((enc3 & 3) << 6) | enc4);
	      }
	    }
	  }
	
	  return output;
	};
	
	/**
	 * UTF-8 encodes the given UTF-16 encoded string (a standard JavaScript
	 * string). Non-ASCII characters will be encoded as multiple bytes according
	 * to UTF-8.
	 *
	 * @param str the string to encode.
	 *
	 * @return the UTF-8 encoded string.
	 */
	util.encodeUtf8 = function(str) {
	  return unescape(encodeURIComponent(str));
	};
	
	/**
	 * Decodes a UTF-8 encoded string into a UTF-16 string.
	 *
	 * @param str the string to decode.
	 *
	 * @return the UTF-16 encoded string (standard JavaScript string).
	 */
	util.decodeUtf8 = function(str) {
	  return decodeURIComponent(escape(str));
	};
	
	// binary encoding/decoding tools
	// FIXME: Experimental. Do not use yet.
	util.binary = {
	  raw: {},
	  hex: {},
	  base64: {}
	};
	
	/**
	 * Encodes a Uint8Array as a binary-encoded string. This encoding uses
	 * a value between 0 and 255 for each character.
	 *
	 * @param bytes the Uint8Array to encode.
	 *
	 * @return the binary-encoded string.
	 */
	util.binary.raw.encode = function(bytes) {
	  return String.fromCharCode.apply(null, bytes);
	};
	
	/**
	 * Decodes a binary-encoded string to a Uint8Array. This encoding uses
	 * a value between 0 and 255 for each character.
	 *
	 * @param str the binary-encoded string to decode.
	 * @param [output] an optional Uint8Array to write the output to; if it
	 *          is too small, an exception will be thrown.
	 * @param [offset] the start offset for writing to the output (default: 0).
	 *
	 * @return the Uint8Array or the number of bytes written if output was given.
	 */
	util.binary.raw.decode = function(str, output, offset) {
	  var out = output;
	  if(!out) {
	    out = new Uint8Array(str.length);
	  }
	  offset = offset || 0;
	  var j = offset;
	  for(var i = 0; i < str.length; ++i) {
	    out[j++] = str.charCodeAt(i);
	  }
	  return output ? (j - offset) : out;
	};
	
	/**
	 * Encodes a 'binary' string, ArrayBuffer, DataView, TypedArray, or
	 * ByteBuffer as a string of hexadecimal characters.
	 *
	 * @param bytes the bytes to convert.
	 *
	 * @return the string of hexadecimal characters.
	 */
	util.binary.hex.encode = util.bytesToHex;
	
	/**
	 * Decodes a hex-encoded string to a Uint8Array.
	 *
	 * @param hex the hexadecimal string to convert.
	 * @param [output] an optional Uint8Array to write the output to; if it
	 *          is too small, an exception will be thrown.
	 * @param [offset] the start offset for writing to the output (default: 0).
	 *
	 * @return the Uint8Array or the number of bytes written if output was given.
	 */
	util.binary.hex.decode = function(hex, output, offset) {
	  var out = output;
	  if(!out) {
	    out = new Uint8Array(Math.ceil(hex.length / 2));
	  }
	  offset = offset || 0;
	  var i = 0, j = offset;
	  if(hex.length & 1) {
	    // odd number of characters, convert first character alone
	    i = 1;
	    out[j++] = parseInt(hex[0], 16);
	  }
	  // convert 2 characters (1 byte) at a time
	  for(; i < hex.length; i += 2) {
	    out[j++] = parseInt(hex.substr(i, 2), 16);
	  }
	  return output ? (j - offset) : out;
	};
	
	/**
	 * Base64-encodes a Uint8Array.
	 *
	 * @param input the Uint8Array to encode.
	 * @param maxline the maximum number of encoded characters per line to use,
	 *          defaults to none.
	 *
	 * @return the base64-encoded output string.
	 */
	util.binary.base64.encode = function(input, maxline) {
	  var line = '';
	  var output = '';
	  var chr1, chr2, chr3;
	  var i = 0;
	  while(i < input.byteLength) {
	    chr1 = input[i++];
	    chr2 = input[i++];
	    chr3 = input[i++];
	
	    // encode 4 character group
	    line += _base64.charAt(chr1 >> 2);
	    line += _base64.charAt(((chr1 & 3) << 4) | (chr2 >> 4));
	    if(isNaN(chr2)) {
	      line += '==';
	    } else {
	      line += _base64.charAt(((chr2 & 15) << 2) | (chr3 >> 6));
	      line += isNaN(chr3) ? '=' : _base64.charAt(chr3 & 63);
	    }
	
	    if(maxline && line.length > maxline) {
	      output += line.substr(0, maxline) + '\r\n';
	      line = line.substr(maxline);
	    }
	  }
	  output += line;
	  return output;
	};
	
	/**
	 * Decodes a base64-encoded string to a Uint8Array.
	 *
	 * @param input the base64-encoded input string.
	 * @param [output] an optional Uint8Array to write the output to; if it
	 *          is too small, an exception will be thrown.
	 * @param [offset] the start offset for writing to the output (default: 0).
	 *
	 * @return the Uint8Array or the number of bytes written if output was given.
	 */
	util.binary.base64.decode = function(input, output, offset) {
	  var out = output;
	  if(!out) {
	    out = new Uint8Array(Math.ceil(input.length / 4) * 3);
	  }
	
	  // remove all non-base64 characters
	  input = input.replace(/[^A-Za-z0-9\+\/\=]/g, '');
	
	  offset = offset || 0;
	  var enc1, enc2, enc3, enc4;
	  var i = 0, j = offset;
	
	  while(i < input.length) {
	    enc1 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc2 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc3 = _base64Idx[input.charCodeAt(i++) - 43];
	    enc4 = _base64Idx[input.charCodeAt(i++) - 43];
	
	    out[j++] = (enc1 << 2) | (enc2 >> 4);
	    if(enc3 !== 64) {
	      // decoded at least 2 bytes
	      out[j++] = ((enc2 & 15) << 4) | (enc3 >> 2);
	      if(enc4 !== 64) {
	        // decoded 3 bytes
	        out[j++] = ((enc3 & 3) << 6) | enc4;
	      }
	    }
	  }
	  
	  // make sure result is the exact decoded length
	  return output ?
	         (j - offset) :
	         out.subarray(0, j);
	};
	
	// text encoding/decoding tools
	// FIXME: Experimental. Do not use yet.
	util.text = {
	  utf8: {},
	  utf16: {}
	};
	
	/**
	 * Encodes the given string as UTF-8 in a Uint8Array.
	 *
	 * @param str the string to encode.
	 * @param [output] an optional Uint8Array to write the output to; if it
	 *          is too small, an exception will be thrown.
	 * @param [offset] the start offset for writing to the output (default: 0).
	 *
	 * @return the Uint8Array or the number of bytes written if output was given.
	 */
	util.text.utf8.encode = function(str, output, offset) {
	  str = util.encodeUtf8(str);
	  var out = output;
	  if(!out) {
	    out = new Uint8Array(str.length);
	  }
	  offset = offset || 0;
	  var j = offset;
	  for(var i = 0; i < str.length; ++i) {
	    out[j++] = str.charCodeAt(i);
	  }
	  return output ? (j - offset) : out;
	};
	
	/**
	 * Decodes the UTF-8 contents from a Uint8Array.
	 *
	 * @param bytes the Uint8Array to decode.
	 *
	 * @return the resulting string.
	 */
	util.text.utf8.decode = function(bytes) {
	  return util.decodeUtf8(String.fromCharCode.apply(null, bytes));
	};
	
	/**
	 * Encodes the given string as UTF-16 in a Uint8Array.
	 *
	 * @param str the string to encode.
	 * @param [output] an optional Uint8Array to write the output to; if it
	 *          is too small, an exception will be thrown.
	 * @param [offset] the start offset for writing to the output (default: 0).
	 *
	 * @return the Uint8Array or the number of bytes written if output was given.
	 */
	util.text.utf16.encode = function(str, output, offset) {
	  var out = output;
	  if(!out) {
	    out = new Uint8Array(str.length);
	  }
	  var view = new Uint16Array(out);
	  offset = offset || 0;
	  var j = offset;
	  var k = offset;
	  for(var i = 0; i < str.length; ++i) {
	    view[k++] = str.charCodeAt(i);
	    j += 2;
	  }
	  return output ? (j - offset) : out;
	};
	
	/**
	 * Decodes the UTF-16 contents from a Uint8Array.
	 *
	 * @param bytes the Uint8Array to decode.
	 *
	 * @return the resulting string.
	 */
	util.text.utf16.decode = function(bytes) {
	  return String.fromCharCode.apply(null, new Uint16Array(bytes));
	};
	
	/**
	 * Deflates the given data using a flash interface.
	 *
	 * @param api the flash interface.
	 * @param bytes the data.
	 * @param raw true to return only raw deflate data, false to include zlib
	 *          header and trailer.
	 *
	 * @return the deflated data as a string.
	 */
	util.deflate = function(api, bytes, raw) {
	  bytes = util.decode64(api.deflate(util.encode64(bytes)).rval);
	
	  // strip zlib header and trailer if necessary
	  if(raw) {
	    // zlib header is 2 bytes (CMF,FLG) where FLG indicates that
	    // there is a 4-byte DICT (alder-32) block before the data if
	    // its 5th bit is set
	    var start = 2;
	    var flg = bytes.charCodeAt(1);
	    if(flg & 0x20) {
	      start = 6;
	    }
	    // zlib trailer is 4 bytes of adler-32
	    bytes = bytes.substring(start, bytes.length - 4);
	  }
	
	  return bytes;
	};
	
	/**
	 * Inflates the given data using a flash interface.
	 *
	 * @param api the flash interface.
	 * @param bytes the data.
	 * @param raw true if the incoming data has no zlib header or trailer and is
	 *          raw DEFLATE data.
	 *
	 * @return the inflated data as a string, null on error.
	 */
	util.inflate = function(api, bytes, raw) {
	  // TODO: add zlib header and trailer if necessary/possible
	  var rval = api.inflate(util.encode64(bytes)).rval;
	  return (rval === null) ? null : util.decode64(rval);
	};
	
	/**
	 * Sets a storage object.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 * @param obj the storage object, null to remove.
	 */
	var _setStorageObject = function(api, id, obj) {
	  if(!api) {
	    throw new Error('WebStorage not available.');
	  }
	
	  var rval;
	  if(obj === null) {
	    rval = api.removeItem(id);
	  } else {
	    // json-encode and base64-encode object
	    obj = util.encode64(JSON.stringify(obj));
	    rval = api.setItem(id, obj);
	  }
	
	  // handle potential flash error
	  if(typeof(rval) !== 'undefined' && rval.rval !== true) {
	    var error = new Error(rval.error.message);
	    error.id = rval.error.id;
	    error.name = rval.error.name;
	    throw error;
	  }
	};
	
	/**
	 * Gets a storage object.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 *
	 * @return the storage object entry or null if none exists.
	 */
	var _getStorageObject = function(api, id) {
	  if(!api) {
	    throw new Error('WebStorage not available.');
	  }
	
	  // get the existing entry
	  var rval = api.getItem(id);
	
	  /* Note: We check api.init because we can't do (api == localStorage)
	    on IE because of "Class doesn't support Automation" exception. Only
	    the flash api has an init method so this works too, but we need a
	    better solution in the future. */
	
	  // flash returns item wrapped in an object, handle special case
	  if(api.init) {
	    if(rval.rval === null) {
	      if(rval.error) {
	        var error = new Error(rval.error.message);
	        error.id = rval.error.id;
	        error.name = rval.error.name;
	        throw error;
	      }
	      // no error, but also no item
	      rval = null;
	    } else {
	      rval = rval.rval;
	    }
	  }
	
	  // handle decoding
	  if(rval !== null) {
	    // base64-decode and json-decode data
	    rval = JSON.parse(util.decode64(rval));
	  }
	
	  return rval;
	};
	
	/**
	 * Stores an item in local storage.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 * @param data the data for the item (any javascript object/primitive).
	 */
	var _setItem = function(api, id, key, data) {
	  // get storage object
	  var obj = _getStorageObject(api, id);
	  if(obj === null) {
	    // create a new storage object
	    obj = {};
	  }
	  // update key
	  obj[key] = data;
	
	  // set storage object
	  _setStorageObject(api, id, obj);
	};
	
	/**
	 * Gets an item from local storage.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 *
	 * @return the item.
	 */
	var _getItem = function(api, id, key) {
	  // get storage object
	  var rval = _getStorageObject(api, id);
	  if(rval !== null) {
	    // return data at key
	    rval = (key in rval) ? rval[key] : null;
	  }
	
	  return rval;
	};
	
	/**
	 * Removes an item from local storage.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 */
	var _removeItem = function(api, id, key) {
	  // get storage object
	  var obj = _getStorageObject(api, id);
	  if(obj !== null && key in obj) {
	    // remove key
	    delete obj[key];
	
	    // see if entry has no keys remaining
	    var empty = true;
	    for(var prop in obj) {
	      empty = false;
	      break;
	    }
	    if(empty) {
	      // remove entry entirely if no keys are left
	      obj = null;
	    }
	
	    // set storage object
	    _setStorageObject(api, id, obj);
	  }
	};
	
	/**
	 * Clears the local disk storage identified by the given ID.
	 *
	 * @param api the storage interface.
	 * @param id the storage ID to use.
	 */
	var _clearItems = function(api, id) {
	  _setStorageObject(api, id, null);
	};
	
	/**
	 * Calls a storage function.
	 *
	 * @param func the function to call.
	 * @param args the arguments for the function.
	 * @param location the location argument.
	 *
	 * @return the return value from the function.
	 */
	var _callStorageFunction = function(func, args, location) {
	  var rval = null;
	
	  // default storage types
	  if(typeof(location) === 'undefined') {
	    location = ['web', 'flash'];
	  }
	
	  // apply storage types in order of preference
	  var type;
	  var done = false;
	  var exception = null;
	  for(var idx in location) {
	    type = location[idx];
	    try {
	      if(type === 'flash' || type === 'both') {
	        if(args[0] === null) {
	          throw new Error('Flash local storage not available.');
	        }
	        rval = func.apply(this, args);
	        done = (type === 'flash');
	      }
	      if(type === 'web' || type === 'both') {
	        args[0] = localStorage;
	        rval = func.apply(this, args);
	        done = true;
	      }
	    } catch(ex) {
	      exception = ex;
	    }
	    if(done) {
	      break;
	    }
	  }
	
	  if(!done) {
	    throw exception;
	  }
	
	  return rval;
	};
	
	/**
	 * Stores an item on local disk.
	 *
	 * The available types of local storage include 'flash', 'web', and 'both'.
	 *
	 * The type 'flash' refers to flash local storage (SharedObject). In order
	 * to use flash local storage, the 'api' parameter must be valid. The type
	 * 'web' refers to WebStorage, if supported by the browser. The type 'both'
	 * refers to storing using both 'flash' and 'web', not just one or the
	 * other.
	 *
	 * The location array should list the storage types to use in order of
	 * preference:
	 *
	 * ['flash']: flash only storage
	 * ['web']: web only storage
	 * ['both']: try to store in both
	 * ['flash','web']: store in flash first, but if not available, 'web'
	 * ['web','flash']: store in web first, but if not available, 'flash'
	 *
	 * The location array defaults to: ['web', 'flash']
	 *
	 * @param api the flash interface, null to use only WebStorage.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 * @param data the data for the item (any javascript object/primitive).
	 * @param location an array with the preferred types of storage to use.
	 */
	util.setItem = function(api, id, key, data, location) {
	  _callStorageFunction(_setItem, arguments, location);
	};
	
	/**
	 * Gets an item on local disk.
	 *
	 * Set setItem() for details on storage types.
	 *
	 * @param api the flash interface, null to use only WebStorage.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 * @param location an array with the preferred types of storage to use.
	 *
	 * @return the item.
	 */
	util.getItem = function(api, id, key, location) {
	  return _callStorageFunction(_getItem, arguments, location);
	};
	
	/**
	 * Removes an item on local disk.
	 *
	 * Set setItem() for details on storage types.
	 *
	 * @param api the flash interface.
	 * @param id the storage ID to use.
	 * @param key the key for the item.
	 * @param location an array with the preferred types of storage to use.
	 */
	util.removeItem = function(api, id, key, location) {
	  _callStorageFunction(_removeItem, arguments, location);
	};
	
	/**
	 * Clears the local disk storage identified by the given ID.
	 *
	 * Set setItem() for details on storage types.
	 *
	 * @param api the flash interface if flash is available.
	 * @param id the storage ID to use.
	 * @param location an array with the preferred types of storage to use.
	 */
	util.clearItems = function(api, id, location) {
	  _callStorageFunction(_clearItems, arguments, location);
	};
	
	/**
	 * Parses the scheme, host, and port from an http(s) url.
	 *
	 * @param str the url string.
	 *
	 * @return the parsed url object or null if the url is invalid.
	 */
	util.parseUrl = function(str) {
	  // FIXME: this regex looks a bit broken
	  var regex = /^(https?):\/\/([^:&^\/]*):?(\d*)(.*)$/g;
	  regex.lastIndex = 0;
	  var m = regex.exec(str);
	  var url = (m === null) ? null : {
	    full: str,
	    scheme: m[1],
	    host: m[2],
	    port: m[3],
	    path: m[4]
	  };
	  if(url) {
	    url.fullHost = url.host;
	    if(url.port) {
	      if(url.port !== 80 && url.scheme === 'http') {
	        url.fullHost += ':' + url.port;
	      } else if(url.port !== 443 && url.scheme === 'https') {
	        url.fullHost += ':' + url.port;
	      }
	    } else if(url.scheme === 'http') {
	      url.port = 80;
	    } else if(url.scheme === 'https') {
	      url.port = 443;
	    }
	    url.full = url.scheme + '://' + url.fullHost;
	  }
	  return url;
	};
	
	/* Storage for query variables */
	var _queryVariables = null;
	
	/**
	 * Returns the window location query variables. Query is parsed on the first
	 * call and the same object is returned on subsequent calls. The mapping
	 * is from keys to an array of values. Parameters without values will have
	 * an object key set but no value added to the value array. Values are
	 * unescaped.
	 *
	 * ...?k1=v1&k2=v2:
	 * {
	 *   "k1": ["v1"],
	 *   "k2": ["v2"]
	 * }
	 *
	 * ...?k1=v1&k1=v2:
	 * {
	 *   "k1": ["v1", "v2"]
	 * }
	 *
	 * ...?k1=v1&k2:
	 * {
	 *   "k1": ["v1"],
	 *   "k2": []
	 * }
	 *
	 * ...?k1=v1&k1:
	 * {
	 *   "k1": ["v1"]
	 * }
	 *
	 * ...?k1&k1:
	 * {
	 *   "k1": []
	 * }
	 *
	 * @param query the query string to parse (optional, default to cached
	 *          results from parsing window location search query).
	 *
	 * @return object mapping keys to variables.
	 */
	util.getQueryVariables = function(query) {
	  var parse = function(q) {
	    var rval = {};
	    var kvpairs = q.split('&');
	    for(var i = 0; i < kvpairs.length; i++) {
	      var pos = kvpairs[i].indexOf('=');
	      var key;
	      var val;
	      if(pos > 0) {
	        key = kvpairs[i].substring(0, pos);
	        val = kvpairs[i].substring(pos + 1);
	      } else {
	        key = kvpairs[i];
	        val = null;
	      }
	      if(!(key in rval)) {
	        rval[key] = [];
	      }
	      // disallow overriding object prototype keys
	      if(!(key in Object.prototype) && val !== null) {
	        rval[key].push(unescape(val));
	      }
	    }
	    return rval;
	  };
	
	   var rval;
	   if(typeof(query) === 'undefined') {
	     // set cached variables if needed
	     if(_queryVariables === null) {
	       if(typeof(window) === 'undefined') {
	          // no query variables available
	          _queryVariables = {};
	       } else {
	          // parse window search query
	          _queryVariables = parse(window.location.search.substring(1));
	       }
	     }
	     rval = _queryVariables;
	   } else {
	     // parse given query
	     rval = parse(query);
	   }
	   return rval;
	};
	
	/**
	 * Parses a fragment into a path and query. This method will take a URI
	 * fragment and break it up as if it were the main URI. For example:
	 *    /bar/baz?a=1&b=2
	 * results in:
	 *    {
	 *       path: ["bar", "baz"],
	 *       query: {"k1": ["v1"], "k2": ["v2"]}
	 *    }
	 *
	 * @return object with a path array and query object.
	 */
	util.parseFragment = function(fragment) {
	  // default to whole fragment
	  var fp = fragment;
	  var fq = '';
	  // split into path and query if possible at the first '?'
	  var pos = fragment.indexOf('?');
	  if(pos > 0) {
	    fp = fragment.substring(0, pos);
	    fq = fragment.substring(pos + 1);
	  }
	  // split path based on '/' and ignore first element if empty
	  var path = fp.split('/');
	  if(path.length > 0 && path[0] === '') {
	    path.shift();
	  }
	  // convert query into object
	  var query = (fq === '') ? {} : util.getQueryVariables(fq);
	
	  return {
	    pathString: fp,
	    queryString: fq,
	    path: path,
	    query: query
	  };
	};
	
	/**
	 * Makes a request out of a URI-like request string. This is intended to
	 * be used where a fragment id (after a URI '#') is parsed as a URI with
	 * path and query parts. The string should have a path beginning and
	 * delimited by '/' and optional query parameters following a '?'. The
	 * query should be a standard URL set of key value pairs delimited by
	 * '&'. For backwards compatibility the initial '/' on the path is not
	 * required. The request object has the following API, (fully described
	 * in the method code):
	 *    {
	 *       path: <the path string part>.
	 *       query: <the query string part>,
	 *       getPath(i): get part or all of the split path array,
	 *       getQuery(k, i): get part or all of a query key array,
	 *       getQueryLast(k, _default): get last element of a query key array.
	 *    }
	 *
	 * @return object with request parameters.
	 */
	util.makeRequest = function(reqString) {
	  var frag = util.parseFragment(reqString);
	  var req = {
	    // full path string
	    path: frag.pathString,
	    // full query string
	    query: frag.queryString,
	    /**
	     * Get path or element in path.
	     *
	     * @param i optional path index.
	     *
	     * @return path or part of path if i provided.
	     */
	    getPath: function(i) {
	      return (typeof(i) === 'undefined') ? frag.path : frag.path[i];
	    },
	    /**
	     * Get query, values for a key, or value for a key index.
	     *
	     * @param k optional query key.
	     * @param i optional query key index.
	     *
	     * @return query, values for a key, or value for a key index.
	     */
	    getQuery: function(k, i) {
	      var rval;
	      if(typeof(k) === 'undefined') {
	        rval = frag.query;
	      } else {
	        rval = frag.query[k];
	        if(rval && typeof(i) !== 'undefined') {
	           rval = rval[i];
	        }
	      }
	      return rval;
	    },
	    getQueryLast: function(k, _default) {
	      var rval;
	      var vals = req.getQuery(k);
	      if(vals) {
	        rval = vals[vals.length - 1];
	      } else {
	        rval = _default;
	      }
	      return rval;
	    }
	  };
	  return req;
	};
	
	/**
	 * Makes a URI out of a path, an object with query parameters, and a
	 * fragment. Uses jQuery.param() internally for query string creation.
	 * If the path is an array, it will be joined with '/'.
	 *
	 * @param path string path or array of strings.
	 * @param query object with query parameters. (optional)
	 * @param fragment fragment string. (optional)
	 *
	 * @return string object with request parameters.
	 */
	util.makeLink = function(path, query, fragment) {
	  // join path parts if needed
	  path = jQuery.isArray(path) ? path.join('/') : path;
	
	  var qstr = jQuery.param(query || {});
	  fragment = fragment || '';
	  return path +
	    ((qstr.length > 0) ? ('?' + qstr) : '') +
	    ((fragment.length > 0) ? ('#' + fragment) : '');
	};
	
	/**
	 * Follows a path of keys deep into an object hierarchy and set a value.
	 * If a key does not exist or it's value is not an object, create an
	 * object in it's place. This can be destructive to a object tree if
	 * leaf nodes are given as non-final path keys.
	 * Used to avoid exceptions from missing parts of the path.
	 *
	 * @param object the starting object.
	 * @param keys an array of string keys.
	 * @param value the value to set.
	 */
	util.setPath = function(object, keys, value) {
	  // need to start at an object
	  if(typeof(object) === 'object' && object !== null) {
	    var i = 0;
	    var len = keys.length;
	    while(i < len) {
	      var next = keys[i++];
	      if(i == len) {
	        // last
	        object[next] = value;
	      } else {
	        // more
	        var hasNext = (next in object);
	        if(!hasNext ||
	          (hasNext && typeof(object[next]) !== 'object') ||
	          (hasNext && object[next] === null)) {
	          object[next] = {};
	        }
	        object = object[next];
	      }
	    }
	  }
	};
	
	/**
	 * Follows a path of keys deep into an object hierarchy and return a value.
	 * If a key does not exist, create an object in it's place.
	 * Used to avoid exceptions from missing parts of the path.
	 *
	 * @param object the starting object.
	 * @param keys an array of string keys.
	 * @param _default value to return if path not found.
	 *
	 * @return the value at the path if found, else default if given, else
	 *         undefined.
	 */
	util.getPath = function(object, keys, _default) {
	  var i = 0;
	  var len = keys.length;
	  var hasNext = true;
	  while(hasNext && i < len &&
	    typeof(object) === 'object' && object !== null) {
	    var next = keys[i++];
	    hasNext = next in object;
	    if(hasNext) {
	      object = object[next];
	    }
	  }
	  return (hasNext ? object : _default);
	};
	
	/**
	 * Follow a path of keys deep into an object hierarchy and delete the
	 * last one. If a key does not exist, do nothing.
	 * Used to avoid exceptions from missing parts of the path.
	 *
	 * @param object the starting object.
	 * @param keys an array of string keys.
	 */
	util.deletePath = function(object, keys) {
	  // need to start at an object
	  if(typeof(object) === 'object' && object !== null) {
	    var i = 0;
	    var len = keys.length;
	    while(i < len) {
	      var next = keys[i++];
	      if(i == len) {
	        // last
	        delete object[next];
	      } else {
	        // more
	        if(!(next in object) ||
	          (typeof(object[next]) !== 'object') ||
	          (object[next] === null)) {
	           break;
	        }
	        object = object[next];
	      }
	    }
	  }
	};
	
	/**
	 * Check if an object is empty.
	 *
	 * Taken from:
	 * http://stackoverflow.com/questions/679915/how-do-i-test-for-an-empty-javascript-object-from-json/679937#679937
	 *
	 * @param object the object to check.
	 */
	util.isEmpty = function(obj) {
	  for(var prop in obj) {
	    if(obj.hasOwnProperty(prop)) {
	      return false;
	    }
	  }
	  return true;
	};
	
	/**
	 * Format with simple printf-style interpolation.
	 *
	 * %%: literal '%'
	 * %s,%o: convert next argument into a string.
	 *
	 * @param format the string to format.
	 * @param ... arguments to interpolate into the format string.
	 */
	util.format = function(format) {
	  var re = /%./g;
	  // current match
	  var match;
	  // current part
	  var part;
	  // current arg index
	  var argi = 0;
	  // collected parts to recombine later
	  var parts = [];
	  // last index found
	  var last = 0;
	  // loop while matches remain
	  while((match = re.exec(format))) {
	    part = format.substring(last, re.lastIndex - 2);
	    // don't add empty strings (ie, parts between %s%s)
	    if(part.length > 0) {
	      parts.push(part);
	    }
	    last = re.lastIndex;
	    // switch on % code
	    var code = match[0][1];
	    switch(code) {
	    case 's':
	    case 'o':
	      // check if enough arguments were given
	      if(argi < arguments.length) {
	        parts.push(arguments[argi++ + 1]);
	      } else {
	        parts.push('<?>');
	      }
	      break;
	    // FIXME: do proper formating for numbers, etc
	    //case 'f':
	    //case 'd':
	    case '%':
	      parts.push('%');
	      break;
	    default:
	      parts.push('<%' + code + '?>');
	    }
	  }
	  // add trailing part of format string
	  parts.push(format.substring(last));
	  return parts.join('');
	};
	
	/**
	 * Formats a number.
	 *
	 * http://snipplr.com/view/5945/javascript-numberformat--ported-from-php/
	 */
	util.formatNumber = function(number, decimals, dec_point, thousands_sep) {
	  // http://kevin.vanzonneveld.net
	  // +   original by: Jonas Raoni Soares Silva (http://www.jsfromhell.com)
	  // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	  // +     bugfix by: Michael White (http://crestidg.com)
	  // +     bugfix by: Benjamin Lupton
	  // +     bugfix by: Allan Jensen (http://www.winternet.no)
	  // +    revised by: Jonas Raoni Soares Silva (http://www.jsfromhell.com)
	  // *     example 1: number_format(1234.5678, 2, '.', '');
	  // *     returns 1: 1234.57
	
	  var n = number, c = isNaN(decimals = Math.abs(decimals)) ? 2 : decimals;
	  var d = dec_point === undefined ? ',' : dec_point;
	  var t = thousands_sep === undefined ?
	   '.' : thousands_sep, s = n < 0 ? '-' : '';
	  var i = parseInt((n = Math.abs(+n || 0).toFixed(c)), 10) + '';
	  var j = (i.length > 3) ? i.length % 3 : 0;
	  return s + (j ? i.substr(0, j) + t : '') +
	    i.substr(j).replace(/(\d{3})(?=\d)/g, '$1' + t) +
	    (c ? d + Math.abs(n - i).toFixed(c).slice(2) : '');
	};
	
	/**
	 * Formats a byte size.
	 *
	 * http://snipplr.com/view/5949/format-humanize-file-byte-size-presentation-in-javascript/
	 */
	util.formatSize = function(size) {
	  if(size >= 1073741824) {
	    size = util.formatNumber(size / 1073741824, 2, '.', '') + ' GiB';
	  } else if(size >= 1048576) {
	    size = util.formatNumber(size / 1048576, 2, '.', '') + ' MiB';
	  } else if(size >= 1024) {
	    size = util.formatNumber(size / 1024, 0) + ' KiB';
	  } else {
	    size = util.formatNumber(size, 0) + ' bytes';
	  }
	  return size;
	};
	
	/**
	 * Converts an IPv4 or IPv6 string representation into bytes (in network order).
	 *
	 * @param ip the IPv4 or IPv6 address to convert.
	 *
	 * @return the 4-byte IPv6 or 16-byte IPv6 address or null if the address can't
	 *         be parsed.
	 */
	util.bytesFromIP = function(ip) {
	  if(ip.indexOf('.') !== -1) {
	    return util.bytesFromIPv4(ip);
	  }
	  if(ip.indexOf(':') !== -1) {
	    return util.bytesFromIPv6(ip);
	  }
	  return null;
	};
	
	/**
	 * Converts an IPv4 string representation into bytes (in network order).
	 *
	 * @param ip the IPv4 address to convert.
	 *
	 * @return the 4-byte address or null if the address can't be parsed.
	 */
	util.bytesFromIPv4 = function(ip) {
	  ip = ip.split('.');
	  if(ip.length !== 4) {
	    return null;
	  }
	  var b = util.createBuffer();
	  for(var i = 0; i < ip.length; ++i) {
	    var num = parseInt(ip[i], 10);
	    if(isNaN(num)) {
	      return null;
	    }
	    b.putByte(num);
	  }
	  return b.getBytes();
	};
	
	/**
	 * Converts an IPv6 string representation into bytes (in network order).
	 *
	 * @param ip the IPv6 address to convert.
	 *
	 * @return the 16-byte address or null if the address can't be parsed.
	 */
	util.bytesFromIPv6 = function(ip) {
	  var blanks = 0;
	  ip = ip.split(':').filter(function(e) {
	    if(e.length === 0) ++blanks;
	    return true;
	  });
	  var zeros = (8 - ip.length + blanks) * 2;
	  var b = util.createBuffer();
	  for(var i = 0; i < 8; ++i) {
	    if(!ip[i] || ip[i].length === 0) {
	      b.fillWithByte(0, zeros);
	      zeros = 0;
	      continue;
	    }
	    var bytes = util.hexToBytes(ip[i]);
	    if(bytes.length < 2) {
	      b.putByte(0);
	    }
	    b.putBytes(bytes);
	  }
	  return b.getBytes();
	};
	
	/**
	 * Converts 4-bytes into an IPv4 string representation or 16-bytes into
	 * an IPv6 string representation. The bytes must be in network order.
	 *
	 * @param bytes the bytes to convert.
	 *
	 * @return the IPv4 or IPv6 string representation if 4 or 16 bytes,
	 *         respectively, are given, otherwise null.
	 */
	util.bytesToIP = function(bytes) {
	  if(bytes.length === 4) {
	    return util.bytesToIPv4(bytes);
	  }
	  if(bytes.length === 16) {
	    return util.bytesToIPv6(bytes);
	  }
	  return null;
	};
	
	/**
	 * Converts 4-bytes into an IPv4 string representation. The bytes must be
	 * in network order.
	 *
	 * @param bytes the bytes to convert.
	 *
	 * @return the IPv4 string representation or null for an invalid # of bytes.
	 */
	util.bytesToIPv4 = function(bytes) {
	  if(bytes.length !== 4) {
	    return null;
	  }
	  var ip = [];
	  for(var i = 0; i < bytes.length; ++i) {
	    ip.push(bytes.charCodeAt(i));
	  }
	  return ip.join('.');
	};
	
	/**
	 * Converts 16-bytes into an IPv16 string representation. The bytes must be
	 * in network order.
	 *
	 * @param bytes the bytes to convert.
	 *
	 * @return the IPv16 string representation or null for an invalid # of bytes.
	 */
	util.bytesToIPv6 = function(bytes) {
	  if(bytes.length !== 16) {
	    return null;
	  }
	  var ip = [];
	  var zeroGroups = [];
	  var zeroMaxGroup = 0;
	  for(var i = 0; i < bytes.length; i += 2) {
	    var hex = util.bytesToHex(bytes[i] + bytes[i + 1]);
	    // canonicalize zero representation
	    while(hex[0] === '0' && hex !== '0') {
	      hex = hex.substr(1);
	    }
	    if(hex === '0') {
	      var last = zeroGroups[zeroGroups.length - 1];
	      var idx = ip.length;
	      if(!last || idx !== last.end + 1) {
	        zeroGroups.push({start: idx, end: idx});
	      } else {
	        last.end = idx;
	        if((last.end - last.start) >
	          (zeroGroups[zeroMaxGroup].end - zeroGroups[zeroMaxGroup].start)) {
	          zeroMaxGroup = zeroGroups.length - 1;
	        }
	      }
	    }
	    ip.push(hex);
	  }
	  if(zeroGroups.length > 0) {
	    var group = zeroGroups[zeroMaxGroup];
	    // only shorten group of length > 0
	    if(group.end - group.start > 0) {
	      ip.splice(group.start, group.end - group.start + 1, '');
	      if(group.start === 0) {
	        ip.unshift('');
	      }
	      if(group.end === 7) {
	        ip.push('');
	      }
	    }
	  }
	  return ip.join(':');
	};
	
	/**
	 * Estimates the number of processes that can be run concurrently. If
	 * creating Web Workers, keep in mind that the main JavaScript process needs
	 * its own core.
	 *
	 * @param options the options to use:
	 *          update true to force an update (not use the cached value).
	 * @param callback(err, max) called once the operation completes.
	 */
	util.estimateCores = function(options, callback) {
	  if(typeof options === 'function') {
	    callback = options;
	    options = {};
	  }
	  options = options || {};
	  if('cores' in util && !options.update) {
	    return callback(null, util.cores);
	  }
	  if(typeof navigator !== 'undefined' &&
	    'hardwareConcurrency' in navigator &&
	    navigator.hardwareConcurrency > 0) {
	    util.cores = navigator.hardwareConcurrency;
	    return callback(null, util.cores);
	  }
	  if(typeof Worker === 'undefined') {
	    // workers not available
	    util.cores = 1;
	    return callback(null, util.cores);
	  }
	  if(typeof Blob === 'undefined') {
	    // can't estimate, default to 2
	    util.cores = 2;
	    return callback(null, util.cores);
	  }
	
	  // create worker concurrency estimation code as blob
	  var blobUrl = URL.createObjectURL(new Blob(['(',
	    function() {
	      self.addEventListener('message', function(e) {
	        // run worker for 4 ms
	        var st = Date.now();
	        var et = st + 4;
	        while(Date.now() < et);
	        self.postMessage({st: st, et: et});
	      });
	    }.toString(),
	  ')()'], {type: 'application/javascript'}));
	
	  // take 5 samples using 16 workers
	  sample([], 5, 16);
	
	  function sample(max, samples, numWorkers) {
	    if(samples === 0) {
	      // get overlap average
	      var avg = Math.floor(max.reduce(function(avg, x) {
	        return avg + x;
	      }, 0) / max.length);
	      util.cores = Math.max(1, avg);
	      URL.revokeObjectURL(blobUrl);
	      return callback(null, util.cores);
	    }
	    map(numWorkers, function(err, results) {
	      max.push(reduce(numWorkers, results));
	      sample(max, samples - 1, numWorkers);
	    });
	  }
	
	  function map(numWorkers, callback) {
	    var workers = [];
	    var results = [];
	    for(var i = 0; i < numWorkers; ++i) {
	      var worker = new Worker(blobUrl);
	      worker.addEventListener('message', function(e) {
	        results.push(e.data);
	        if(results.length === numWorkers) {
	          for(var i = 0; i < numWorkers; ++i) {
	            workers[i].terminate();
	          }
	          callback(null, results);
	        }
	      });
	      workers.push(worker);
	    }
	    for(var i = 0; i < numWorkers; ++i) {
	      workers[i].postMessage(i);
	    }
	  }
	
	  function reduce(numWorkers, results) {
	    // find overlapping time windows
	    var overlaps = [];
	    for(var n = 0; n < numWorkers; ++n) {
	      var r1 = results[n];
	      var overlap = overlaps[n] = [];
	      for(var i = 0; i < numWorkers; ++i) {
	        if(n === i) {
	          continue;
	        }
	        var r2 = results[i];
	        if((r1.st > r2.st && r1.st < r2.et) ||
	          (r2.st > r1.st && r2.st < r1.et)) {
	          overlap.push(i);
	        }
	      }
	    }
	    // get maximum overlaps ... don't include overlapping worker itself
	    // as the main JS process was also being scheduled during the work and
	    // would have to be subtracted from the estimate anyway
	    return overlaps.reduce(function(max, overlap) {
	      return Math.max(max, overlap.length);
	    }, 0);
	  }
	};
	
	})();
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20), __webpack_require__(31).setImmediate))

/***/ },
/* 35 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Supported cipher modes.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  cipher : __webpack_require__(33),
	  util : __webpack_require__(34)
	}
	
	// supported cipher modes
	var modes = forge.cipher.modes = module.exports || {};
	
	
	/** Electronic codebook (ECB) (Don't use this; it's not secure) **/
	
	modes.ecb = function(options) {
	  options = options || {};
	  this.name = 'ECB';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = new Array(this._blocks);
	  this._outBlock = new Array(this._blocks);
	};
	
	modes.ecb.prototype.start = function(options) {};
	
	modes.ecb.prototype.encrypt = function(input, output) {
	  // get next block
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	  }
	
	  // encrypt block
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // write output
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	};
	
	modes.ecb.prototype.decrypt = function(input, output) {
	  // get next block
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	  }
	
	  // decrypt block
	  this.cipher.decrypt(this._inBlock, this._outBlock);
	
	  // write output
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	};
	
	modes.ecb.prototype.pad = function(input, options) {
	  // add PKCS#7 padding to block (each pad byte is the
	  // value of the number of pad bytes)
	  var padding = (input.length() === this.blockSize ?
	    this.blockSize : (this.blockSize - input.length()));
	  input.fillWithByte(padding, padding);
	  return true;
	};
	
	modes.ecb.prototype.unpad = function(output, options) {
	  // check for error: input data not a multiple of blockSize
	  if(options.overflow > 0) {
	    return false;
	  }
	
	  // ensure padding byte count is valid
	  var len = output.length();
	  var count = output.at(len - 1);
	  if(count > (this.blockSize << 2)) {
	    return false;
	  }
	
	  // trim off padding bytes
	  output.truncate(count);
	  return true;
	};
	
	
	/** Cipher-block Chaining (CBC) **/
	
	modes.cbc = function(options) {
	  options = options || {};
	  this.name = 'CBC';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = new Array(this._blocks);
	  this._outBlock = new Array(this._blocks);
	};
	
	modes.cbc.prototype.start = function(options) {
	  // Note: legacy support for using IV residue (has security flaws)
	  // if IV is null, reuse block from previous processing
	  if(options.iv === null) {
	    // must have a previous block
	    if(!this._prev) {
	      throw new Error('Invalid IV parameter.');
	    }
	    this._iv = this._prev.slice(0);
	  } else if(!('iv' in options)) {
	    throw new Error('Invalid IV parameter.');
	  } else {
	    // save IV as "previous" block
	    this._iv = transformIV(options.iv);
	    this._prev = this._iv.slice(0);
	  }
	};
	
	modes.cbc.prototype.encrypt = function(input, output) {
	  // get next block
	  // CBC XOR's IV (or previous block) with plaintext
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = this._prev[i] ^ input.getInt32();
	  }
	
	  // encrypt block
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // write output, save previous block
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	  this._prev = this._outBlock;
	};
	
	modes.cbc.prototype.decrypt = function(input, output) {
	  // get next block
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	  }
	
	  // decrypt block
	  this.cipher.decrypt(this._inBlock, this._outBlock);
	
	  // write output, save previous ciphered block
	  // CBC XOR's IV (or previous block) with ciphertext
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._prev[i] ^ this._outBlock[i]);
	  }
	  this._prev = this._inBlock.slice(0);
	};
	
	modes.cbc.prototype.pad = function(input, options) {
	  // add PKCS#7 padding to block (each pad byte is the
	  // value of the number of pad bytes)
	  var padding = (input.length() === this.blockSize ?
	    this.blockSize : (this.blockSize - input.length()));
	  input.fillWithByte(padding, padding);
	  return true;
	};
	
	modes.cbc.prototype.unpad = function(output, options) {
	  // check for error: input data not a multiple of blockSize
	  if(options.overflow > 0) {
	    return false;
	  }
	
	  // ensure padding byte count is valid
	  var len = output.length();
	  var count = output.at(len - 1);
	  if(count > (this.blockSize << 2)) {
	    return false;
	  }
	
	  // trim off padding bytes
	  output.truncate(count);
	  return true;
	};
	
	
	/** Cipher feedback (CFB) **/
	
	modes.cfb = function(options) {
	  options = options || {};
	  this.name = 'CFB';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = null;
	  this._outBlock = new Array(this._blocks);
	};
	
	modes.cfb.prototype.start = function(options) {
	  if(!('iv' in options)) {
	    throw new Error('Invalid IV parameter.');
	  }
	  // use IV as first input
	  this._iv = transformIV(options.iv);
	  this._inBlock = this._iv.slice(0);
	};
	
	modes.cfb.prototype.encrypt = function(input, output) {
	  // encrypt block
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // XOR input with output, write input as output
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32() ^ this._outBlock[i];
	    output.putInt32(this._inBlock[i]);
	  }
	};
	
	modes.cfb.prototype.decrypt = function(input, output) {
	  // encrypt block (CFB always uses encryption mode)
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // XOR input with output
	  for(var i = 0; i < this._blocks; ++i) {
	    this._inBlock[i] = input.getInt32();
	    output.putInt32(this._inBlock[i] ^ this._outBlock[i]);
	  }
	};
	
	modes.cfb.prototype.afterFinish = function(output, options) {
	  // handle stream mode truncation
	  if(options.overflow > 0) {
	    output.truncate(this.blockSize - options.overflow);
	  }
	  return true;
	};
	
	/** Output feedback (OFB) **/
	
	modes.ofb = function(options) {
	  options = options || {};
	  this.name = 'OFB';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = null;
	  this._outBlock = new Array(this._blocks);
	};
	
	modes.ofb.prototype.start = function(options) {
	  if(!('iv' in options)) {
	    throw new Error('Invalid IV parameter.');
	  }
	  // use IV as first input
	  this._iv = transformIV(options.iv);
	  this._inBlock = this._iv.slice(0);
	};
	
	modes.ofb.prototype.encrypt = function(input, output) {
	  // encrypt block (OFB always uses encryption mode)
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // XOR input with output and update next input
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(input.getInt32() ^ this._outBlock[i]);
	    this._inBlock[i] = this._outBlock[i];
	  }
	};
	
	modes.ofb.prototype.decrypt = modes.ofb.prototype.encrypt;
	
	modes.ofb.prototype.afterFinish = function(output, options) {
	  // handle stream mode truncation
	  if(options.overflow > 0) {
	    output.truncate(this.blockSize - options.overflow);
	  }
	  return true;
	};
	
	
	/** Counter (CTR) **/
	
	modes.ctr = function(options) {
	  options = options || {};
	  this.name = 'CTR';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = null;
	  this._outBlock = new Array(this._blocks);
	};
	
	modes.ctr.prototype.start = function(options) {
	  if(!('iv' in options)) {
	    throw new Error('Invalid IV parameter.');
	  }
	  // use IV as first input
	  this._iv = transformIV(options.iv);
	  this._inBlock = this._iv.slice(0);
	};
	
	modes.ctr.prototype.encrypt = function(input, output) {
	  // encrypt block (CTR always uses encryption mode)
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // increment counter (input block)
	  inc32(this._inBlock);
	
	  // XOR input with output
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(input.getInt32() ^ this._outBlock[i]);
	  }
	};
	
	modes.ctr.prototype.decrypt = modes.ctr.prototype.encrypt;
	
	modes.ctr.prototype.afterFinish = function(output, options) {
	  // handle stream mode truncation
	  if(options.overflow > 0) {
	    output.truncate(this.blockSize - options.overflow);
	  }
	  return true;
	};
	
	
	/** Galois/Counter Mode (GCM) **/
	
	modes.gcm = function(options) {
	  options = options || {};
	  this.name = 'GCM';
	  this.cipher = options.cipher;
	  this.blockSize = options.blockSize || 16;
	  this._blocks = this.blockSize / 4;
	  this._inBlock = new Array(this._blocks);
	  this._outBlock = new Array(this._blocks);
	
	  // R is actually this value concatenated with 120 more zero bits, but
	  // we only XOR against R so the other zeros have no effect -- we just
	  // apply this value to the first integer in a block
	  this._R = 0xE1000000;
	};
	
	modes.gcm.prototype.start = function(options) {
	  if(!('iv' in options)) {
	    throw new Error('Invalid IV parameter.');
	  }
	  // ensure IV is a byte buffer
	  var iv = forge.util.createBuffer(options.iv);
	
	  // no ciphered data processed yet
	  this._cipherLength = 0;
	
	  // default additional data is none
	  var additionalData;
	  if('additionalData' in options) {
	    additionalData = forge.util.createBuffer(options.additionalData);
	  } else {
	    additionalData = forge.util.createBuffer();
	  }
	
	  // default tag length is 128 bits
	  if('tagLength' in options) {
	    this._tagLength = options.tagLength;
	  } else {
	    this._tagLength = 128;
	  }
	
	  // if tag is given, ensure tag matches tag length
	  this._tag = null;
	  if(options.decrypt) {
	    // save tag to check later
	    this._tag = forge.util.createBuffer(options.tag).getBytes();
	    if(this._tag.length !== (this._tagLength / 8)) {
	      throw new Error('Authentication tag does not match tag length.');
	    }
	  }
	
	  // create tmp storage for hash calculation
	  this._hashBlock = new Array(this._blocks);
	
	  // no tag generated yet
	  this.tag = null;
	
	  // generate hash subkey
	  // (apply block cipher to "zero" block)
	  this._hashSubkey = new Array(this._blocks);
	  this.cipher.encrypt([0, 0, 0, 0], this._hashSubkey);
	
	  // generate table M
	  // use 4-bit tables (32 component decomposition of a 16 byte value)
	  // 8-bit tables take more space and are known to have security
	  // vulnerabilities (in native implementations)
	  this.componentBits = 4;
	  this._m = this.generateHashTable(this._hashSubkey, this.componentBits);
	
	  // Note: support IV length different from 96 bits? (only supporting
	  // 96 bits is recommended by NIST SP-800-38D)
	  // generate J_0
	  var ivLength = iv.length();
	  if(ivLength === 12) {
	    // 96-bit IV
	    this._j0 = [iv.getInt32(), iv.getInt32(), iv.getInt32(), 1];
	  } else {
	    // IV is NOT 96-bits
	    this._j0 = [0, 0, 0, 0];
	    while(iv.length() > 0) {
	      this._j0 = this.ghash(
	        this._hashSubkey, this._j0,
	        [iv.getInt32(), iv.getInt32(), iv.getInt32(), iv.getInt32()]);
	    }
	    this._j0 = this.ghash(
	      this._hashSubkey, this._j0, [0, 0].concat(from64To32(ivLength * 8)));
	  }
	
	  // generate ICB (initial counter block)
	  this._inBlock = this._j0.slice(0);
	  inc32(this._inBlock);
	
	  // consume authentication data
	  additionalData = forge.util.createBuffer(additionalData);
	  // save additional data length as a BE 64-bit number
	  this._aDataLength = from64To32(additionalData.length() * 8);
	  // pad additional data to 128 bit (16 byte) block size
	  var overflow = additionalData.length() % this.blockSize;
	  if(overflow) {
	    additionalData.fillWithByte(0, this.blockSize - overflow);
	  }
	  this._s = [0, 0, 0, 0];
	  while(additionalData.length() > 0) {
	    this._s = this.ghash(this._hashSubkey, this._s, [
	      additionalData.getInt32(),
	      additionalData.getInt32(),
	      additionalData.getInt32(),
	      additionalData.getInt32()
	    ]);
	  }
	};
	
	modes.gcm.prototype.encrypt = function(input, output) {
	  // encrypt block
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // increment counter (input block)
	  inc32(this._inBlock);
	
	  // save input length
	  var inputLength = input.length();
	
	  // XOR input with output
	  for(var i = 0; i < this._blocks; ++i) {
	    this._outBlock[i] ^= input.getInt32();
	  }
	
	  // handle overflow prior to hashing
	  if(inputLength < this.blockSize) {
	    // get block overflow
	    var overflow = inputLength % this.blockSize;
	    this._cipherLength += overflow;
	
	    // truncate for hash function
	    var tmp = forge.util.createBuffer();
	    tmp.putInt32(this._outBlock[0]);
	    tmp.putInt32(this._outBlock[1]);
	    tmp.putInt32(this._outBlock[2]);
	    tmp.putInt32(this._outBlock[3]);
	    tmp.truncate(this.blockSize - overflow);
	    this._outBlock[0] = tmp.getInt32();
	    this._outBlock[1] = tmp.getInt32();
	    this._outBlock[2] = tmp.getInt32();
	    this._outBlock[3] = tmp.getInt32();
	  } else {
	    this._cipherLength += this.blockSize;
	  }
	
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i]);
	  }
	
	  // update hash block S
	  this._s = this.ghash(this._hashSubkey, this._s, this._outBlock);
	};
	
	modes.gcm.prototype.decrypt = function(input, output) {
	  // encrypt block (GCM always uses encryption mode)
	  this.cipher.encrypt(this._inBlock, this._outBlock);
	
	  // increment counter (input block)
	  inc32(this._inBlock);
	
	  // save input length
	  var inputLength = input.length();
	
	  // update hash block S
	  this._hashBlock[0] = input.getInt32();
	  this._hashBlock[1] = input.getInt32();
	  this._hashBlock[2] = input.getInt32();
	  this._hashBlock[3] = input.getInt32();
	  this._s = this.ghash(this._hashSubkey, this._s, this._hashBlock);
	
	  // XOR hash input with output
	  for(var i = 0; i < this._blocks; ++i) {
	    output.putInt32(this._outBlock[i] ^ this._hashBlock[i]);
	  }
	
	  // increment cipher data length
	  if(inputLength < this.blockSize) {
	    this._cipherLength += inputLength % this.blockSize;
	  } else {
	    this._cipherLength += this.blockSize;
	  }
	};
	
	modes.gcm.prototype.afterFinish = function(output, options) {
	  var rval = true;
	
	  // handle overflow
	  if(options.overflow) {
	    output.truncate(this.blockSize - options.overflow);
	  }
	
	  // handle authentication tag
	  this.tag = forge.util.createBuffer();
	
	  // concatenate additional data length with cipher length
	  var lengths = this._aDataLength.concat(from64To32(this._cipherLength * 8));
	
	  // include lengths in hash
	  this._s = this.ghash(this._hashSubkey, this._s, lengths);
	
	  // do GCTR(J_0, S)
	  var tag = [];
	  this.cipher.encrypt(this._j0, tag);
	  for(var i = 0; i < this._blocks; ++i) {
	    this.tag.putInt32(this._s[i] ^ tag[i]);
	  }
	
	  // trim tag to length
	  this.tag.truncate(this.tag.length() % (this._tagLength / 8));
	
	  // check authentication tag
	  if(options.decrypt && this.tag.bytes() !== this._tag) {
	    rval = false;
	  }
	
	  return rval;
	};
	
	/**
	 * See NIST SP-800-38D 6.3 (Algorithm 1). This function performs Galois
	 * field multiplication. The field, GF(2^128), is defined by the polynomial:
	 *
	 * x^128 + x^7 + x^2 + x + 1
	 *
	 * Which is represented in little-endian binary form as: 11100001 (0xe1). When
	 * the value of a coefficient is 1, a bit is set. The value R, is the
	 * concatenation of this value and 120 zero bits, yielding a 128-bit value
	 * which matches the block size.
	 *
	 * This function will multiply two elements (vectors of bytes), X and Y, in
	 * the field GF(2^128). The result is initialized to zero. For each bit of
	 * X (out of 128), x_i, if x_i is set, then the result is multiplied (XOR'd)
	 * by the current value of Y. For each bit, the value of Y will be raised by
	 * a power of x (multiplied by the polynomial x). This can be achieved by
	 * shifting Y once to the right. If the current value of Y, prior to being
	 * multiplied by x, has 0 as its LSB, then it is a 127th degree polynomial.
	 * Otherwise, we must divide by R after shifting to find the remainder.
	 *
	 * @param x the first block to multiply by the second.
	 * @param y the second block to multiply by the first.
	 *
	 * @return the block result of the multiplication.
	 */
	modes.gcm.prototype.multiply = function(x, y) {
	  var z_i = [0, 0, 0, 0];
	  var v_i = y.slice(0);
	
	  // calculate Z_128 (block has 128 bits)
	  for(var i = 0; i < 128; ++i) {
	    // if x_i is 0, Z_{i+1} = Z_i (unchanged)
	    // else Z_{i+1} = Z_i ^ V_i
	    // get x_i by finding 32-bit int position, then left shift 1 by remainder
	    var x_i = x[(i / 32) | 0] & (1 << (31 - i % 32));
	    if(x_i) {
	      z_i[0] ^= v_i[0];
	      z_i[1] ^= v_i[1];
	      z_i[2] ^= v_i[2];
	      z_i[3] ^= v_i[3];
	    }
	
	    // if LSB(V_i) is 1, V_i = V_i >> 1
	    // else V_i = (V_i >> 1) ^ R
	    this.pow(v_i, v_i);
	  }
	
	  return z_i;
	};
	
	modes.gcm.prototype.pow = function(x, out) {
	  // if LSB(x) is 1, x = x >>> 1
	  // else x = (x >>> 1) ^ R
	  var lsb = x[3] & 1;
	
	  // always do x >>> 1:
	  // starting with the rightmost integer, shift each integer to the right
	  // one bit, pulling in the bit from the integer to the left as its top
	  // most bit (do this for the last 3 integers)
	  for(var i = 3; i > 0; --i) {
	    out[i] = (x[i] >>> 1) | ((x[i - 1] & 1) << 31);
	  }
	  // shift the first integer normally
	  out[0] = x[0] >>> 1;
	
	  // if lsb was not set, then polynomial had a degree of 127 and doesn't
	  // need to divided; otherwise, XOR with R to find the remainder; we only
	  // need to XOR the first integer since R technically ends w/120 zero bits
	  if(lsb) {
	    out[0] ^= this._R;
	  }
	};
	
	modes.gcm.prototype.tableMultiply = function(x) {
	  // assumes 4-bit tables are used
	  var z = [0, 0, 0, 0];
	  for(var i = 0; i < 32; ++i) {
	    var idx = (i / 8) | 0;
	    var x_i = (x[idx] >>> ((7 - (i % 8)) * 4)) & 0xF;
	    var ah = this._m[i][x_i];
	    z[0] ^= ah[0];
	    z[1] ^= ah[1];
	    z[2] ^= ah[2];
	    z[3] ^= ah[3];
	  }
	  return z;
	};
	
	/**
	 * A continuing version of the GHASH algorithm that operates on a single
	 * block. The hash block, last hash value (Ym) and the new block to hash
	 * are given.
	 *
	 * @param h the hash block.
	 * @param y the previous value for Ym, use [0, 0, 0, 0] for a new hash.
	 * @param x the block to hash.
	 *
	 * @return the hashed value (Ym).
	 */
	modes.gcm.prototype.ghash = function(h, y, x) {
	  y[0] ^= x[0];
	  y[1] ^= x[1];
	  y[2] ^= x[2];
	  y[3] ^= x[3];
	  return this.tableMultiply(y);
	  //return this.multiply(y, h);
	};
	
	/**
	 * Precomputes a table for multiplying against the hash subkey. This
	 * mechanism provides a substantial speed increase over multiplication
	 * performed without a table. The table-based multiplication this table is
	 * for solves X * H by multiplying each component of X by H and then
	 * composing the results together using XOR.
	 *
	 * This function can be used to generate tables with different bit sizes
	 * for the components, however, this implementation assumes there are
	 * 32 components of X (which is a 16 byte vector), therefore each component
	 * takes 4-bits (so the table is constructed with bits=4).
	 *
	 * @param h the hash subkey.
	 * @param bits the bit size for a component.
	 */
	modes.gcm.prototype.generateHashTable = function(h, bits) {
	  // TODO: There are further optimizations that would use only the
	  // first table M_0 (or some variant) along with a remainder table;
	  // this can be explored in the future
	  var multiplier = 8 / bits;
	  var perInt = 4 * multiplier;
	  var size = 16 * multiplier;
	  var m = new Array(size);
	  for(var i = 0; i < size; ++i) {
	    var tmp = [0, 0, 0, 0];
	    var idx = (i / perInt) | 0;
	    var shft = ((perInt - 1 - (i % perInt)) * bits);
	    tmp[idx] = (1 << (bits - 1)) << shft;
	    m[i] = this.generateSubHashTable(this.multiply(tmp, h), bits);
	  }
	  return m;
	};
	
	/**
	 * Generates a table for multiplying against the hash subkey for one
	 * particular component (out of all possible component values).
	 *
	 * @param mid the pre-multiplied value for the middle key of the table.
	 * @param bits the bit size for a component.
	 */
	modes.gcm.prototype.generateSubHashTable = function(mid, bits) {
	  // compute the table quickly by minimizing the number of
	  // POW operations -- they only need to be performed for powers of 2,
	  // all other entries can be composed from those powers using XOR
	  var size = 1 << bits;
	  var half = size >>> 1;
	  var m = new Array(size);
	  m[half] = mid.slice(0);
	  var i = half >>> 1;
	  while(i > 0) {
	    // raise m0[2 * i] and store in m0[i]
	    this.pow(m[2 * i], m[i] = []);
	    i >>= 1;
	  }
	  i = 2;
	  while(i < half) {
	    for(var j = 1; j < i; ++j) {
	      var m_i = m[i];
	      var m_j = m[j];
	      m[i + j] = [
	        m_i[0] ^ m_j[0],
	        m_i[1] ^ m_j[1],
	        m_i[2] ^ m_j[2],
	        m_i[3] ^ m_j[3]
	      ];
	    }
	    i *= 2;
	  }
	  m[0] = [0, 0, 0, 0];
	  /* Note: We could avoid storing these by doing composition during multiply
	  calculate top half using composition by speed is preferred. */
	  for(i = half + 1; i < size; ++i) {
	    var c = m[i ^ half];
	    m[i] = [mid[0] ^ c[0], mid[1] ^ c[1], mid[2] ^ c[2], mid[3] ^ c[3]];
	  }
	  return m;
	};
	
	
	/** Utility functions */
	
	function transformIV(iv) {
	  if(typeof iv === 'string') {
	    // convert iv string into byte buffer
	    iv = forge.util.createBuffer(iv);
	  }
	
	  if(forge.util.isArray(iv) && iv.length > 4) {
	    // convert iv byte array into byte buffer
	    var tmp = iv;
	    iv = forge.util.createBuffer();
	    for(var i = 0; i < iv.length; ++i) {
	      iv.putByte(tmp[i]);
	    }
	  }
	  if(!forge.util.isArray(iv)) {
	    // convert iv byte buffer into 32-bit integer array
	    iv = [iv.getInt32(), iv.getInt32(), iv.getInt32(), iv.getInt32()];
	  }
	
	  return iv;
	}
	
	function inc32(block) {
	  // increment last 32 bits of block only
	  block[block.length - 1] = (block[block.length - 1] + 1) & 0xFFFFFFFF;
	}
	
	function from64To32(num) {
	  // convert 64-bit number to two BE Int32s
	  return [(num / 0x100000000) | 0, num & 0xFFFFFFFF];
	}
	
	})();


/***/ },
/* 36 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of Abstract Syntax Notation Number One.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 *
	 * An API for storing data using the Abstract Syntax Notation Number One
	 * format using DER (Distinguished Encoding Rules) encoding. This encoding is
	 * commonly used to store data for PKI, i.e. X.509 Certificates, and this
	 * implementation exists for that purpose.
	 *
	 * Abstract Syntax Notation Number One (ASN.1) is used to define the abstract
	 * syntax of information without restricting the way the information is encoded
	 * for transmission. It provides a standard that allows for open systems
	 * communication. ASN.1 defines the syntax of information data and a number of
	 * simple data types as well as a notation for describing them and specifying
	 * values for them.
	 *
	 * The RSA algorithm creates public and private keys that are often stored in
	 * X.509 or PKCS#X formats -- which use ASN.1 (encoded in DER format). This
	 * class provides the most basic functionality required to store and load DSA
	 * keys that are encoded according to ASN.1.
	 *
	 * The most common binary encodings for ASN.1 are BER (Basic Encoding Rules)
	 * and DER (Distinguished Encoding Rules). DER is just a subset of BER that
	 * has stricter requirements for how data must be encoded.
	 *
	 * Each ASN.1 structure has a tag (a byte identifying the ASN.1 structure type)
	 * and a byte array for the value of this ASN1 structure which may be data or a
	 * list of ASN.1 structures.
	 *
	 * Each ASN.1 structure using BER is (Tag-Length-Value):
	 *
	 * | byte 0 | bytes X | bytes Y |
	 * |--------|---------|----------
	 * |  tag   | length  |  value  |
	 *
	 * ASN.1 allows for tags to be of "High-tag-number form" which allows a tag to
	 * be two or more octets, but that is not supported by this class. A tag is
	 * only 1 byte. Bits 1-5 give the tag number (ie the data type within a
	 * particular 'class'), 6 indicates whether or not the ASN.1 value is
	 * constructed from other ASN.1 values, and bits 7 and 8 give the 'class'. If
	 * bits 7 and 8 are both zero, the class is UNIVERSAL. If only bit 7 is set,
	 * then the class is APPLICATION. If only bit 8 is set, then the class is
	 * CONTEXT_SPECIFIC. If both bits 7 and 8 are set, then the class is PRIVATE.
	 * The tag numbers for the data types for the class UNIVERSAL are listed below:
	 *
	 * UNIVERSAL 0 Reserved for use by the encoding rules
	 * UNIVERSAL 1 Boolean type
	 * UNIVERSAL 2 Integer type
	 * UNIVERSAL 3 Bitstring type
	 * UNIVERSAL 4 Octetstring type
	 * UNIVERSAL 5 Null type
	 * UNIVERSAL 6 Object identifier type
	 * UNIVERSAL 7 Object descriptor type
	 * UNIVERSAL 8 External type and Instance-of type
	 * UNIVERSAL 9 Real type
	 * UNIVERSAL 10 Enumerated type
	 * UNIVERSAL 11 Embedded-pdv type
	 * UNIVERSAL 12 UTF8String type
	 * UNIVERSAL 13 Relative object identifier type
	 * UNIVERSAL 14-15 Reserved for future editions
	 * UNIVERSAL 16 Sequence and Sequence-of types
	 * UNIVERSAL 17 Set and Set-of types
	 * UNIVERSAL 18-22, 25-30 Character string types
	 * UNIVERSAL 23-24 Time types
	 *
	 * The length of an ASN.1 structure is specified after the tag identifier.
	 * There is a definite form and an indefinite form. The indefinite form may
	 * be used if the encoding is constructed and not all immediately available.
	 * The indefinite form is encoded using a length byte with only the 8th bit
	 * set. The end of the constructed object is marked using end-of-contents
	 * octets (two zero bytes).
	 *
	 * The definite form looks like this:
	 *
	 * The length may take up 1 or more bytes, it depends on the length of the
	 * value of the ASN.1 structure. DER encoding requires that if the ASN.1
	 * structure has a value that has a length greater than 127, more than 1 byte
	 * will be used to store its length, otherwise just one byte will be used.
	 * This is strict.
	 *
	 * In the case that the length of the ASN.1 value is less than 127, 1 octet
	 * (byte) is used to store the "short form" length. The 8th bit has a value of
	 * 0 indicating the length is "short form" and not "long form" and bits 7-1
	 * give the length of the data. (The 8th bit is the left-most, most significant
	 * bit: also known as big endian or network format).
	 *
	 * In the case that the length of the ASN.1 value is greater than 127, 2 to
	 * 127 octets (bytes) are used to store the "long form" length. The first
	 * byte's 8th bit is set to 1 to indicate the length is "long form." Bits 7-1
	 * give the number of additional octets. All following octets are in base 256
	 * with the most significant digit first (typical big-endian binary unsigned
	 * integer storage). So, for instance, if the length of a value was 257, the
	 * first byte would be set to:
	 *
	 * 10000010 = 130 = 0x82.
	 *
	 * This indicates there are 2 octets (base 256) for the length. The second and
	 * third bytes (the octets just mentioned) would store the length in base 256:
	 *
	 * octet 2: 00000001 = 1 * 256^1 = 256
	 * octet 3: 00000001 = 1 * 256^0 = 1
	 * total = 257
	 *
	 * The algorithm for converting a js integer value of 257 to base-256 is:
	 *
	 * var value = 257;
	 * var bytes = [];
	 * bytes[0] = (value >>> 8) & 0xFF; // most significant byte first
	 * bytes[1] = value & 0xFF;        // least significant byte last
	 *
	 * On the ASN.1 UNIVERSAL Object Identifier (OID) type:
	 *
	 * An OID can be written like: "value1.value2.value3...valueN"
	 *
	 * The DER encoding rules:
	 *
	 * The first byte has the value 40 * value1 + value2.
	 * The following bytes, if any, encode the remaining values. Each value is
	 * encoded in base 128, most significant digit first (big endian), with as
	 * few digits as possible, and the most significant bit of each byte set
	 * to 1 except the last in each value's encoding. For example: Given the
	 * OID "1.2.840.113549", its DER encoding is (remember each byte except the
	 * last one in each encoding is OR'd with 0x80):
	 *
	 * byte 1: 40 * 1 + 2 = 42 = 0x2A.
	 * bytes 2-3: 128 * 6 + 72 = 840 = 6 72 = 6 72 = 0x0648 = 0x8648
	 * bytes 4-6: 16384 * 6 + 128 * 119 + 13 = 6 119 13 = 0x06770D = 0x86F70D
	 *
	 * The final value is: 0x2A864886F70D.
	 * The full OID (including ASN.1 tag and length of 6 bytes) is:
	 * 0x06062A864886F70D
	 */
	(function() {
	
	/* ASN.1 API */
	var forge = {
	  asn1 : module.exports || {},
	  util : __webpack_require__(34),
	  pki : {}
	};
	var asn1 = forge.asn1;
	forge.pki = __webpack_require__(37);
	
	/**
	 * ASN.1 classes.
	 */
	asn1.Class = {
	  UNIVERSAL:        0x00,
	  APPLICATION:      0x40,
	  CONTEXT_SPECIFIC: 0x80,
	  PRIVATE:          0xC0
	};
	
	/**
	 * ASN.1 types. Not all types are supported by this implementation, only
	 * those necessary to implement a simple PKI are implemented.
	 */
	asn1.Type = {
	  NONE:             0,
	  BOOLEAN:          1,
	  INTEGER:          2,
	  BITSTRING:        3,
	  OCTETSTRING:      4,
	  NULL:             5,
	  OID:              6,
	  ODESC:            7,
	  EXTERNAL:         8,
	  REAL:             9,
	  ENUMERATED:      10,
	  EMBEDDED:        11,
	  UTF8:            12,
	  ROID:            13,
	  SEQUENCE:        16,
	  SET:             17,
	  PRINTABLESTRING: 19,
	  IA5STRING:       22,
	  UTCTIME:         23,
	  GENERALIZEDTIME: 24,
	  BMPSTRING:       30
	};
	
	/**
	 * Creates a new asn1 object.
	 *
	 * @param tagClass the tag class for the object.
	 * @param type the data type (tag number) for the object.
	 * @param constructed true if the asn1 object is in constructed form.
	 * @param value the value for the object, if it is not constructed.
	 *
	 * @return the asn1 object.
	 */
	asn1.create = function(tagClass, type, constructed, value) {
	  /* An asn1 object has a tagClass, a type, a constructed flag, and a
	    value. The value's type depends on the constructed flag. If
	    constructed, it will contain a list of other asn1 objects. If not,
	    it will contain the ASN.1 value as an array of bytes formatted
	    according to the ASN.1 data type. */
	
	  // remove undefined values
	  if(forge.util.isArray(value)) {
	    var tmp = [];
	    for(var i = 0; i < value.length; ++i) {
	      if(value[i] !== undefined) {
	        tmp.push(value[i]);
	      }
	    }
	    value = tmp;
	  }
	
	  return {
	    tagClass: tagClass,
	    type: type,
	    constructed: constructed,
	    composed: constructed || forge.util.isArray(value),
	    value: value
	  };
	};
	
	/**
	 * Gets the length of an ASN.1 value.
	 *
	 * In case the length is not specified, undefined is returned.
	 *
	 * @param b the ASN.1 byte buffer.
	 *
	 * @return the length of the ASN.1 value.
	 */
	var _getValueLength = function(b) {
	  var b2 = b.getByte();
	  if(b2 === 0x80) {
	    return undefined;
	  }
	
	  // see if the length is "short form" or "long form" (bit 8 set)
	  var length;
	  var longForm = b2 & 0x80;
	  if(!longForm) {
	    // length is just the first byte
	    length = b2;
	  } else {
	    // the number of bytes the length is specified in bits 7 through 1
	    // and each length byte is in big-endian base-256
	    length = b.getInt((b2 & 0x7F) << 3);
	  }
	  return length;
	};
	
	/**
	 * Parses an asn1 object from a byte buffer in DER format.
	 *
	 * @param bytes the byte buffer to parse from.
	 * @param strict true to be strict when checking value lengths, false to
	 *          allow truncated values (default: true).
	 *
	 * @return the parsed asn1 object.
	 */
	asn1.fromDer = function(bytes, strict) {
	  if(strict === undefined) {
	    strict = true;
	  }
	
	  // wrap in buffer if needed
	  if(typeof bytes === 'string') {
	    bytes = forge.util.createBuffer(bytes);
	  }
	
	  // minimum length for ASN.1 DER structure is 2
	  if(bytes.length() < 2) {
	    var error = new Error('Too few bytes to parse DER.');
	    error.bytes = bytes.length();
	    throw error;
	  }
	
	  // get the first byte
	  var b1 = bytes.getByte();
	
	  // get the tag class
	  var tagClass = (b1 & 0xC0);
	
	  // get the type (bits 1-5)
	  var type = b1 & 0x1F;
	
	  // get the value length
	  var length = _getValueLength(bytes);
	
	  // ensure there are enough bytes to get the value
	  if(bytes.length() < length) {
	    if(strict) {
	      var error = new Error('Too few bytes to read ASN.1 value.');
	      error.detail = bytes.length() + ' < ' + length;
	      throw error;
	    }
	    // Note: be lenient with truncated values
	    length = bytes.length();
	  }
	
	  // prepare to get value
	  var value;
	
	  // constructed flag is bit 6 (32 = 0x20) of the first byte
	  var constructed = ((b1 & 0x20) === 0x20);
	
	  // determine if the value is composed of other ASN.1 objects (if its
	  // constructed it will be and if its a BITSTRING it may be)
	  var composed = constructed;
	  if(!composed && tagClass === asn1.Class.UNIVERSAL &&
	    type === asn1.Type.BITSTRING && length > 1) {
	    /* The first octet gives the number of bits by which the length of the
	      bit string is less than the next multiple of eight (this is called
	      the "number of unused bits").
	
	      The second and following octets give the value of the bit string
	      converted to an octet string. */
	    // if there are no unused bits, maybe the bitstring holds ASN.1 objs
	    var read = bytes.read;
	    var unused = bytes.getByte();
	    if(unused === 0) {
	      // if the first byte indicates UNIVERSAL or CONTEXT_SPECIFIC,
	      // and the length is valid, assume we've got an ASN.1 object
	      b1 = bytes.getByte();
	      var tc = (b1 & 0xC0);
	      if(tc === asn1.Class.UNIVERSAL || tc === asn1.Class.CONTEXT_SPECIFIC) {
	        try {
	          var len = _getValueLength(bytes);
	          composed = (len === length - (bytes.read - read));
	          if(composed) {
	            // adjust read/length to account for unused bits byte
	            ++read;
	            --length;
	          }
	        } catch(ex) {}
	      }
	    }
	    // restore read pointer
	    bytes.read = read;
	  }
	
	  if(composed) {
	    // parse child asn1 objects from the value
	    value = [];
	    if(length === undefined) {
	      // asn1 object of indefinite length, read until end tag
	      for(;;) {
	        if(bytes.bytes(2) === String.fromCharCode(0, 0)) {
	          bytes.getBytes(2);
	          break;
	        }
	        value.push(asn1.fromDer(bytes, strict));
	      }
	    } else {
	      // parsing asn1 object of definite length
	      var start = bytes.length();
	      while(length > 0) {
	        value.push(asn1.fromDer(bytes, strict));
	        length -= start - bytes.length();
	        start = bytes.length();
	      }
	    }
	  } else {
	    // asn1 not composed, get raw value
	    // TODO: do DER to OID conversion and vice-versa in .toDer?
	
	    if(length === undefined) {
	      if(strict) {
	        throw new Error('Non-constructed ASN.1 object of indefinite length.');
	      }
	      // be lenient and use remaining bytes
	      length = bytes.length();
	    }
	
	    if(type === asn1.Type.BMPSTRING) {
	      value = '';
	      for(var i = 0; i < length; i += 2) {
	        value += String.fromCharCode(bytes.getInt16());
	      }
	    } else {
	      value = bytes.getBytes(length);
	    }
	  }
	
	  // create and return asn1 object
	  return asn1.create(tagClass, type, constructed, value);
	};
	
	/**
	 * Converts the given asn1 object to a buffer of bytes in DER format.
	 *
	 * @param asn1 the asn1 object to convert to bytes.
	 *
	 * @return the buffer of bytes.
	 */
	asn1.toDer = function(obj) {
	  var bytes = forge.util.createBuffer();
	
	  // build the first byte
	  var b1 = obj.tagClass | obj.type;
	
	  // for storing the ASN.1 value
	  var value = forge.util.createBuffer();
	
	  // if composed, use each child asn1 object's DER bytes as value
	  if(obj.composed) {
	    // turn on 6th bit (0x20 = 32) to indicate asn1 is constructed
	    // from other asn1 objects
	    if(obj.constructed) {
	      b1 |= 0x20;
	    } else {
	      // type is a bit string, add unused bits of 0x00
	      value.putByte(0x00);
	    }
	
	    // add all of the child DER bytes together
	    for(var i = 0; i < obj.value.length; ++i) {
	      if(obj.value[i] !== undefined) {
	        value.putBuffer(asn1.toDer(obj.value[i]));
	      }
	    }
	  } else {
	    // use asn1.value directly
	    if(obj.type === asn1.Type.BMPSTRING) {
	      for(var i = 0; i < obj.value.length; ++i) {
	        value.putInt16(obj.value.charCodeAt(i));
	      }
	    } else {
	      value.putBytes(obj.value);
	    }
	  }
	
	  // add tag byte
	  bytes.putByte(b1);
	
	  // use "short form" encoding
	  if(value.length() <= 127) {
	    // one byte describes the length
	    // bit 8 = 0 and bits 7-1 = length
	    bytes.putByte(value.length() & 0x7F);
	  } else {
	    // use "long form" encoding
	    // 2 to 127 bytes describe the length
	    // first byte: bit 8 = 1 and bits 7-1 = # of additional bytes
	    // other bytes: length in base 256, big-endian
	    var len = value.length();
	    var lenBytes = '';
	    do {
	      lenBytes += String.fromCharCode(len & 0xFF);
	      len = len >>> 8;
	    } while(len > 0);
	
	    // set first byte to # bytes used to store the length and turn on
	    // bit 8 to indicate long-form length is used
	    bytes.putByte(lenBytes.length | 0x80);
	
	    // concatenate length bytes in reverse since they were generated
	    // little endian and we need big endian
	    for(var i = lenBytes.length - 1; i >= 0; --i) {
	      bytes.putByte(lenBytes.charCodeAt(i));
	    }
	  }
	
	  // concatenate value bytes
	  bytes.putBuffer(value);
	  return bytes;
	};
	
	/**
	 * Converts an OID dot-separated string to a byte buffer. The byte buffer
	 * contains only the DER-encoded value, not any tag or length bytes.
	 *
	 * @param oid the OID dot-separated string.
	 *
	 * @return the byte buffer.
	 */
	asn1.oidToDer = function(oid) {
	  // split OID into individual values
	  var values = oid.split('.');
	  var bytes = forge.util.createBuffer();
	
	  // first byte is 40 * value1 + value2
	  bytes.putByte(40 * parseInt(values[0], 10) + parseInt(values[1], 10));
	  // other bytes are each value in base 128 with 8th bit set except for
	  // the last byte for each value
	  var last, valueBytes, value, b;
	  for(var i = 2; i < values.length; ++i) {
	    // produce value bytes in reverse because we don't know how many
	    // bytes it will take to store the value
	    last = true;
	    valueBytes = [];
	    value = parseInt(values[i], 10);
	    do {
	      b = value & 0x7F;
	      value = value >>> 7;
	      // if value is not last, then turn on 8th bit
	      if(!last) {
	        b |= 0x80;
	      }
	      valueBytes.push(b);
	      last = false;
	    } while(value > 0);
	
	    // add value bytes in reverse (needs to be in big endian)
	    for(var n = valueBytes.length - 1; n >= 0; --n) {
	      bytes.putByte(valueBytes[n]);
	    }
	  }
	
	  return bytes;
	};
	
	/**
	 * Converts a DER-encoded byte buffer to an OID dot-separated string. The
	 * byte buffer should contain only the DER-encoded value, not any tag or
	 * length bytes.
	 *
	 * @param bytes the byte buffer.
	 *
	 * @return the OID dot-separated string.
	 */
	asn1.derToOid = function(bytes) {
	  var oid;
	
	  // wrap in buffer if needed
	  if(typeof bytes === 'string') {
	    bytes = forge.util.createBuffer(bytes);
	  }
	
	  // first byte is 40 * value1 + value2
	  var b = bytes.getByte();
	  oid = Math.floor(b / 40) + '.' + (b % 40);
	
	  // other bytes are each value in base 128 with 8th bit set except for
	  // the last byte for each value
	  var value = 0;
	  while(bytes.length() > 0) {
	    b = bytes.getByte();
	    value = value << 7;
	    // not the last byte for the value
	    if(b & 0x80) {
	      value += b & 0x7F;
	    } else {
	      // last byte
	      oid += '.' + (value + b);
	      value = 0;
	    }
	  }
	
	  return oid;
	};
	
	/**
	 * Converts a UTCTime value to a date.
	 *
	 * Note: GeneralizedTime has 4 digits for the year and is used for X.509
	 * dates passed 2049. Parsing that structure hasn't been implemented yet.
	 *
	 * @param utc the UTCTime value to convert.
	 *
	 * @return the date.
	 */
	asn1.utcTimeToDate = function(utc) {
	  /* The following formats can be used:
	
	    YYMMDDhhmmZ
	    YYMMDDhhmm+hh'mm'
	    YYMMDDhhmm-hh'mm'
	    YYMMDDhhmmssZ
	    YYMMDDhhmmss+hh'mm'
	    YYMMDDhhmmss-hh'mm'
	
	    Where:
	
	    YY is the least significant two digits of the year
	    MM is the month (01 to 12)
	    DD is the day (01 to 31)
	    hh is the hour (00 to 23)
	    mm are the minutes (00 to 59)
	    ss are the seconds (00 to 59)
	    Z indicates that local time is GMT, + indicates that local time is
	    later than GMT, and - indicates that local time is earlier than GMT
	    hh' is the absolute value of the offset from GMT in hours
	    mm' is the absolute value of the offset from GMT in minutes */
	  var date = new Date();
	
	  // if YY >= 50 use 19xx, if YY < 50 use 20xx
	  var year = parseInt(utc.substr(0, 2), 10);
	  year = (year >= 50) ? 1900 + year : 2000 + year;
	  var MM = parseInt(utc.substr(2, 2), 10) - 1; // use 0-11 for month
	  var DD = parseInt(utc.substr(4, 2), 10);
	  var hh = parseInt(utc.substr(6, 2), 10);
	  var mm = parseInt(utc.substr(8, 2), 10);
	  var ss = 0;
	
	  // not just YYMMDDhhmmZ
	  if(utc.length > 11) {
	    // get character after minutes
	    var c = utc.charAt(10);
	    var end = 10;
	
	    // see if seconds are present
	    if(c !== '+' && c !== '-') {
	      // get seconds
	      ss = parseInt(utc.substr(10, 2), 10);
	      end += 2;
	    }
	  }
	
	  // update date
	  date.setUTCFullYear(year, MM, DD);
	  date.setUTCHours(hh, mm, ss, 0);
	
	  if(end) {
	    // get +/- after end of time
	    c = utc.charAt(end);
	    if(c === '+' || c === '-') {
	      // get hours+minutes offset
	      var hhoffset = parseInt(utc.substr(end + 1, 2), 10);
	      var mmoffset = parseInt(utc.substr(end + 4, 2), 10);
	
	      // calculate offset in milliseconds
	      var offset = hhoffset * 60 + mmoffset;
	      offset *= 60000;
	
	      // apply offset
	      if(c === '+') {
	        date.setTime(+date - offset);
	      } else {
	        date.setTime(+date + offset);
	      }
	    }
	  }
	
	  return date;
	};
	
	/**
	 * Converts a GeneralizedTime value to a date.
	 *
	 * @param gentime the GeneralizedTime value to convert.
	 *
	 * @return the date.
	 */
	asn1.generalizedTimeToDate = function(gentime) {
	  /* The following formats can be used:
	
	    YYYYMMDDHHMMSS
	    YYYYMMDDHHMMSS.fff
	    YYYYMMDDHHMMSSZ
	    YYYYMMDDHHMMSS.fffZ
	    YYYYMMDDHHMMSS+hh'mm'
	    YYYYMMDDHHMMSS.fff+hh'mm'
	    YYYYMMDDHHMMSS-hh'mm'
	    YYYYMMDDHHMMSS.fff-hh'mm'
	
	    Where:
	
	    YYYY is the year
	    MM is the month (01 to 12)
	    DD is the day (01 to 31)
	    hh is the hour (00 to 23)
	    mm are the minutes (00 to 59)
	    ss are the seconds (00 to 59)
	    .fff is the second fraction, accurate to three decimal places
	    Z indicates that local time is GMT, + indicates that local time is
	    later than GMT, and - indicates that local time is earlier than GMT
	    hh' is the absolute value of the offset from GMT in hours
	    mm' is the absolute value of the offset from GMT in minutes */
	  var date = new Date();
	
	  var YYYY = parseInt(gentime.substr(0, 4), 10);
	  var MM = parseInt(gentime.substr(4, 2), 10) - 1; // use 0-11 for month
	  var DD = parseInt(gentime.substr(6, 2), 10);
	  var hh = parseInt(gentime.substr(8, 2), 10);
	  var mm = parseInt(gentime.substr(10, 2), 10);
	  var ss = parseInt(gentime.substr(12, 2), 10);
	  var fff = 0;
	  var offset = 0;
	  var isUTC = false;
	
	  if(gentime.charAt(gentime.length - 1) === 'Z') {
	    isUTC = true;
	  }
	
	  var end = gentime.length - 5, c = gentime.charAt(end);
	  if(c === '+' || c === '-') {
	    // get hours+minutes offset
	    var hhoffset = parseInt(gentime.substr(end + 1, 2), 10);
	    var mmoffset = parseInt(gentime.substr(end + 4, 2), 10);
	
	    // calculate offset in milliseconds
	    offset = hhoffset * 60 + mmoffset;
	    offset *= 60000;
	
	    // apply offset
	    if(c === '+') {
	      offset *= -1;
	    }
	
	    isUTC = true;
	  }
	
	  // check for second fraction
	  if(gentime.charAt(14) === '.') {
	    fff = parseFloat(gentime.substr(14), 10) * 1000;
	  }
	
	  if(isUTC) {
	    date.setUTCFullYear(YYYY, MM, DD);
	    date.setUTCHours(hh, mm, ss, fff);
	
	    // apply offset
	    date.setTime(+date + offset);
	  } else {
	    date.setFullYear(YYYY, MM, DD);
	    date.setHours(hh, mm, ss, fff);
	  }
	
	  return date;
	};
	
	
	/**
	 * Converts a date to a UTCTime value.
	 *
	 * Note: GeneralizedTime has 4 digits for the year and is used for X.509
	 * dates passed 2049. Converting to a GeneralizedTime hasn't been
	 * implemented yet.
	 *
	 * @param date the date to convert.
	 *
	 * @return the UTCTime value.
	 */
	asn1.dateToUtcTime = function(date) {
	  var rval = '';
	
	  // create format YYMMDDhhmmssZ
	  var format = [];
	  format.push(('' + date.getUTCFullYear()).substr(2));
	  format.push('' + (date.getUTCMonth() + 1));
	  format.push('' + date.getUTCDate());
	  format.push('' + date.getUTCHours());
	  format.push('' + date.getUTCMinutes());
	  format.push('' + date.getUTCSeconds());
	
	  // ensure 2 digits are used for each format entry
	  for(var i = 0; i < format.length; ++i) {
	    if(format[i].length < 2) {
	      rval += '0';
	    }
	    rval += format[i];
	  }
	  rval += 'Z';
	
	  return rval;
	};
	
	/**
	 * Converts a javascript integer to a DER-encoded byte buffer to be used
	 * as the value for an INTEGER type.
	 *
	 * @param x the integer.
	 *
	 * @return the byte buffer.
	 */
	asn1.integerToDer = function(x) {
	  var rval = forge.util.createBuffer();
	  if(x >= -0x80 && x < 0x80) {
	    return rval.putSignedInt(x, 8);
	  }
	  if(x >= -0x8000 && x < 0x8000) {
	    return rval.putSignedInt(x, 16);
	  }
	  if(x >= -0x800000 && x < 0x800000) {
	    return rval.putSignedInt(x, 24);
	  }
	  if(x >= -0x80000000 && x < 0x80000000) {
	    return rval.putSignedInt(x, 32);
	  }
	  var error = new Error('Integer too large; max is 32-bits.');
	  error.integer = x;
	  throw error;
	};
	
	/**
	 * Converts a DER-encoded byte buffer to a javascript integer. This is
	 * typically used to decode the value of an INTEGER type.
	 *
	 * @param bytes the byte buffer.
	 *
	 * @return the integer.
	 */
	asn1.derToInteger = function(bytes) {
	  // wrap in buffer if needed
	  if(typeof bytes === 'string') {
	    bytes = forge.util.createBuffer(bytes);
	  }
	
	  var n = bytes.length() * 8;
	  if(n > 32) {
	    throw new Error('Integer too large; max is 32-bits.');
	  }
	  return bytes.getSignedInt(n);
	};
	
	/**
	 * Validates the that given ASN.1 object is at least a super set of the
	 * given ASN.1 structure. Only tag classes and types are checked. An
	 * optional map may also be provided to capture ASN.1 values while the
	 * structure is checked.
	 *
	 * To capture an ASN.1 value, set an object in the validator's 'capture'
	 * parameter to the key to use in the capture map. To capture the full
	 * ASN.1 object, specify 'captureAsn1'.
	 *
	 * Objects in the validator may set a field 'optional' to true to indicate
	 * that it isn't necessary to pass validation.
	 *
	 * @param obj the ASN.1 object to validate.
	 * @param v the ASN.1 structure validator.
	 * @param capture an optional map to capture values in.
	 * @param errors an optional array for storing validation errors.
	 *
	 * @return true on success, false on failure.
	 */
	asn1.validate = function(obj, v, capture, errors) {
	  var rval = false;
	
	  // ensure tag class and type are the same if specified
	  if((obj.tagClass === v.tagClass || typeof(v.tagClass) === 'undefined') &&
	    (obj.type === v.type || typeof(v.type) === 'undefined')) {
	    // ensure constructed flag is the same if specified
	    if(obj.constructed === v.constructed ||
	      typeof(v.constructed) === 'undefined') {
	      rval = true;
	
	      // handle sub values
	      if(v.value && forge.util.isArray(v.value)) {
	        var j = 0;
	        for(var i = 0; rval && i < v.value.length; ++i) {
	          rval = v.value[i].optional || false;
	          if(obj.value[j]) {
	            rval = asn1.validate(obj.value[j], v.value[i], capture, errors);
	            if(rval) {
	              ++j;
	            } else if(v.value[i].optional) {
	              rval = true;
	            }
	          }
	          if(!rval && errors) {
	            errors.push(
	              '[' + v.name + '] ' +
	              'Tag class "' + v.tagClass + '", type "' +
	              v.type + '" expected value length "' +
	              v.value.length + '", got "' +
	              obj.value.length + '"');
	          }
	        }
	      }
	
	      if(rval && capture) {
	        if(v.capture) {
	          capture[v.capture] = obj.value;
	        }
	        if(v.captureAsn1) {
	          capture[v.captureAsn1] = obj;
	        }
	      }
	    } else if(errors) {
	      errors.push(
	        '[' + v.name + '] ' +
	        'Expected constructed "' + v.constructed + '", got "' +
	        obj.constructed + '"');
	    }
	  } else if(errors) {
	    if(obj.tagClass !== v.tagClass) {
	      errors.push(
	        '[' + v.name + '] ' +
	        'Expected tag class "' + v.tagClass + '", got "' +
	        obj.tagClass + '"');
	    }
	    if(obj.type !== v.type) {
	      errors.push(
	        '[' + v.name + '] ' +
	        'Expected type "' + v.type + '", got "' + obj.type + '"');
	    }
	  }
	  return rval;
	};
	
	// regex for testing for non-latin characters
	var _nonLatinRegex = /[^\\u0000-\\u00ff]/;
	
	/**
	 * Pretty prints an ASN.1 object to a string.
	 *
	 * @param obj the object to write out.
	 * @param level the level in the tree.
	 * @param indentation the indentation to use.
	 *
	 * @return the string.
	 */
	asn1.prettyPrint = function(obj, level, indentation) {
	  var rval = '';
	
	  // set default level and indentation
	  level = level || 0;
	  indentation = indentation || 2;
	
	  // start new line for deep levels
	  if(level > 0) {
	    rval += '\n';
	  }
	
	  // create indent
	  var indent = '';
	  for(var i = 0; i < level * indentation; ++i) {
	    indent += ' ';
	  }
	
	  // print class:type
	  rval += indent + 'Tag: ';
	  switch(obj.tagClass) {
	  case asn1.Class.UNIVERSAL:
	    rval += 'Universal:';
	    break;
	  case asn1.Class.APPLICATION:
	    rval += 'Application:';
	    break;
	  case asn1.Class.CONTEXT_SPECIFIC:
	    rval += 'Context-Specific:';
	    break;
	  case asn1.Class.PRIVATE:
	    rval += 'Private:';
	    break;
	  }
	
	  if(obj.tagClass === asn1.Class.UNIVERSAL) {
	    rval += obj.type;
	
	    // known types
	    switch(obj.type) {
	    case asn1.Type.NONE:
	      rval += ' (None)';
	      break;
	    case asn1.Type.BOOLEAN:
	      rval += ' (Boolean)';
	      break;
	    case asn1.Type.BITSTRING:
	      rval += ' (Bit string)';
	      break;
	    case asn1.Type.INTEGER:
	      rval += ' (Integer)';
	      break;
	    case asn1.Type.OCTETSTRING:
	      rval += ' (Octet string)';
	      break;
	    case asn1.Type.NULL:
	      rval += ' (Null)';
	      break;
	    case asn1.Type.OID:
	      rval += ' (Object Identifier)';
	      break;
	    case asn1.Type.ODESC:
	      rval += ' (Object Descriptor)';
	      break;
	    case asn1.Type.EXTERNAL:
	      rval += ' (External or Instance of)';
	      break;
	    case asn1.Type.REAL:
	      rval += ' (Real)';
	      break;
	    case asn1.Type.ENUMERATED:
	      rval += ' (Enumerated)';
	      break;
	    case asn1.Type.EMBEDDED:
	      rval += ' (Embedded PDV)';
	      break;
	    case asn1.Type.UTF8:
	      rval += ' (UTF8)';
	      break;
	    case asn1.Type.ROID:
	      rval += ' (Relative Object Identifier)';
	      break;
	    case asn1.Type.SEQUENCE:
	      rval += ' (Sequence)';
	      break;
	    case asn1.Type.SET:
	      rval += ' (Set)';
	      break;
	    case asn1.Type.PRINTABLESTRING:
	      rval += ' (Printable String)';
	      break;
	    case asn1.Type.IA5String:
	      rval += ' (IA5String (ASCII))';
	      break;
	    case asn1.Type.UTCTIME:
	      rval += ' (UTC time)';
	      break;
	    case asn1.Type.GENERALIZEDTIME:
	      rval += ' (Generalized time)';
	      break;
	    case asn1.Type.BMPSTRING:
	      rval += ' (BMP String)';
	      break;
	    }
	  } else {
	    rval += obj.type;
	  }
	
	  rval += '\n';
	  rval += indent + 'Constructed: ' + obj.constructed + '\n';
	
	  if(obj.composed) {
	    var subvalues = 0;
	    var sub = '';
	    for(var i = 0; i < obj.value.length; ++i) {
	      if(obj.value[i] !== undefined) {
	        subvalues += 1;
	        sub += asn1.prettyPrint(obj.value[i], level + 1, indentation);
	        if((i + 1) < obj.value.length) {
	          sub += ',';
	        }
	      }
	    }
	    rval += indent + 'Sub values: ' + subvalues + sub;
	  } else {
	    rval += indent + 'Value: ';
	    if(obj.type === asn1.Type.OID) {
	      var oid = asn1.derToOid(obj.value);
	      rval += oid;
	      if(forge.pki && forge.pki.oids) {
	        if(oid in forge.pki.oids) {
	          rval += ' (' + forge.pki.oids[oid] + ') ';
	        }
	      }
	    }
	    if(obj.type === asn1.Type.INTEGER) {
	      try {
	        rval += asn1.derToInteger(obj.value);
	      } catch(ex) {
	        rval += '0x' + forge.util.bytesToHex(obj.value);
	      }
	    } else if(obj.type === asn1.Type.OCTETSTRING) {
	      if(!_nonLatinRegex.test(obj.value)) {
	        rval += '(' + obj.value + ') ';
	      }
	      rval += '0x' + forge.util.bytesToHex(obj.value);
	    } else if(obj.type === asn1.Type.UTF8) {
	      rval += forge.util.decodeUtf8(obj.value);
	    } else if(obj.type === asn1.Type.PRINTABLESTRING ||
	      obj.type === asn1.Type.IA5String) {
	      rval += obj.value;
	    } else if(_nonLatinRegex.test(obj.value)) {
	      rval += '0x' + forge.util.bytesToHex(obj.value);
	    } else if(obj.value.length === 0) {
	      rval += '[null]';
	    } else {
	      rval += obj.value;
	    }
	  }
	
	  return rval;
	};
	
	})();


/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of a basic Public Key Infrastructure, including
	 * support for RSA public and private keys.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2013 Digital Bazaar, Inc.
	 */
	(function() {
	  
	var forge = {
	  asn1 : __webpack_require__(36),
	  pem : __webpack_require__(38),
	  util : __webpack_require__(34),
	  pki : module.exports || {}
	};
	
	// setup OIDs
	forge.pki.oids = __webpack_require__(39);
	
	// shortcut for asn.1 API
	var asn1 = forge.asn1;
	
	/* Public Key Infrastructure (PKI) implementation. */
	var pki = forge.pki;
	
	/**
	 * NOTE: THIS METHOD IS DEPRECATED. Use pem.decode() instead.
	 *
	 * Converts PEM-formatted data to DER.
	 *
	 * @param pem the PEM-formatted data.
	 *
	 * @return the DER-formatted data.
	 */
	pki.pemToDer = function(pem) {
	  var msg = forge.pem.decode(pem)[0];
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert PEM to DER; PEM is encrypted.');
	  }
	  return forge.util.createBuffer(msg.body);
	};
	
	/**
	 * Converts an RSA private key from PEM format.
	 *
	 * @param pem the PEM-formatted private key.
	 *
	 * @return the private key.
	 */
	pki.privateKeyFromPem = function(pem) {
	  var msg = forge.pem.decode(pem)[0];
	
	  if(msg.type !== 'PRIVATE KEY' && msg.type !== 'RSA PRIVATE KEY') {
	    var error = new Error('Could not convert private key from PEM; PEM ' +
	      'header type is not "PRIVATE KEY" or "RSA PRIVATE KEY".');
	    error.headerType = msg.type;
	    throw error;
	  }
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert private key from PEM; PEM is encrypted.');
	  }
	
	  // convert DER to ASN.1 object
	  var obj = asn1.fromDer(msg.body);
	
	  return pki.privateKeyFromAsn1(obj);
	};
	
	/**
	 * Converts an RSA private key to PEM format.
	 *
	 * @param key the private key.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted private key.
	 */
	pki.privateKeyToPem = function(key, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var msg = {
	    type: 'RSA PRIVATE KEY',
	    body: asn1.toDer(pki.privateKeyToAsn1(key)).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	/**
	 * Converts a PrivateKeyInfo to PEM format.
	 *
	 * @param pki the PrivateKeyInfo.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted private key.
	 */
	pki.privateKeyInfoToPem = function(pki, maxline) {
	  // convert to DER, then PEM-encode
	  var msg = {
	    type: 'PRIVATE KEY',
	    body: asn1.toDer(pki).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	})();


/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of basic PEM (Privacy Enhanced Mail) algorithms.
	 *
	 * See: RFC 1421.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2013-2014 Digital Bazaar, Inc.
	 *
	 * A Forge PEM object has the following fields:
	 *
	 * type: identifies the type of message (eg: "RSA PRIVATE KEY").
	 *
	 * procType: identifies the type of processing performed on the message,
	 *   it has two subfields: version and type, eg: 4,ENCRYPTED.
	 *
	 * contentDomain: identifies the type of content in the message, typically
	 *   only uses the value: "RFC822".
	 *
	 * dekInfo: identifies the message encryption algorithm and mode and includes
	 *   any parameters for the algorithm, it has two subfields: algorithm and
	 *   parameters, eg: DES-CBC,F8143EDE5960C597.
	 *
	 * headers: contains all other PEM encapsulated headers -- where order is
	 *   significant (for pairing data like recipient ID + key info).
	 *
	 * body: the binary-encoded body.
	 */
	(function() {
	
	var forge = {
	  pem : module.exports || {},
	  util : __webpack_require__(34)
	};
	
	// shortcut for pem API
	var pem = forge.pem;
	
	/**
	 * Encodes (serializes) the given PEM object.
	 *
	 * @param msg the PEM message object to encode.
	 * @param options the options to use:
	 *          maxline the maximum characters per line for the body, (default: 64).
	 *
	 * @return the PEM-formatted string.
	 */
	pem.encode = function(msg, options) {
	  options = options || {};
	  var rval = '-----BEGIN ' + msg.type + '-----\r\n';
	
	  // encode special headers
	  var header;
	  if(msg.procType) {
	    header = {
	      name: 'Proc-Type',
	      values: [String(msg.procType.version), msg.procType.type]
	    };
	    rval += foldHeader(header);
	  }
	  if(msg.contentDomain) {
	    header = {name: 'Content-Domain', values: [msg.contentDomain]};
	    rval += foldHeader(header);
	  }
	  if(msg.dekInfo) {
	    header = {name: 'DEK-Info', values: [msg.dekInfo.algorithm]};
	    if(msg.dekInfo.parameters) {
	      header.values.push(msg.dekInfo.parameters);
	    }
	    rval += foldHeader(header);
	  }
	
	  if(msg.headers) {
	    // encode all other headers
	    for(var i = 0; i < msg.headers.length; ++i) {
	      rval += foldHeader(msg.headers[i]);
	    }
	  }
	
	  // terminate header
	  if(msg.procType) {
	    rval += '\r\n';
	  }
	
	  // add body
	  rval += forge.util.encode64(msg.body, options.maxline || 64) + '\r\n';
	
	  rval += '-----END ' + msg.type + '-----\r\n';
	  return rval;
	};
	
	/**
	 * Decodes (deserializes) all PEM messages found in the given string.
	 *
	 * @param str the PEM-formatted string to decode.
	 *
	 * @return the PEM message objects in an array.
	 */
	pem.decode = function(str) {
	  var rval = [];
	
	  // split string into PEM messages (be lenient w/EOF on BEGIN line)
	  var rMessage = /\s*-----BEGIN ([A-Z0-9- ]+)-----\r?\n?([\x21-\x7e\s]+?(?:\r?\n\r?\n))?([:A-Za-z0-9+\/=\s]+?)-----END \1-----/g;
	  var rHeader = /([\x21-\x7e]+):\s*([\x21-\x7e\s^:]+)/;
	  var rCRLF = /\r?\n/;
	  var match;
	  while(true) {
	    match = rMessage.exec(str);
	    if(!match) {
	      break;
	    }
	
	    var msg = {
	      type: match[1],
	      procType: null,
	      contentDomain: null,
	      dekInfo: null,
	      headers: [],
	      body: forge.util.decode64(match[3])
	    };
	    rval.push(msg);
	
	    // no headers
	    if(!match[2]) {
	      continue;
	    }
	
	    // parse headers
	    var lines = match[2].split(rCRLF);
	    var li = 0;
	    while(match && li < lines.length) {
	      // get line, trim any rhs whitespace
	      var line = lines[li].replace(/\s+$/, '');
	
	      // RFC2822 unfold any following folded lines
	      for(var nl = li + 1; nl < lines.length; ++nl) {
	        var next = lines[nl];
	        if(!/\s/.test(next[0])) {
	          break;
	        }
	        line += next;
	        li = nl;
	      }
	
	      // parse header
	      match = line.match(rHeader);
	      if(match) {
	        var header = {name: match[1], values: []};
	        var values = match[2].split(',');
	        for(var vi = 0; vi < values.length; ++vi) {
	          header.values.push(ltrim(values[vi]));
	        }
	
	        // Proc-Type must be the first header
	        if(!msg.procType) {
	          if(header.name !== 'Proc-Type') {
	            throw new Error('Invalid PEM formatted message. The first ' +
	              'encapsulated header must be "Proc-Type".');
	          } else if(header.values.length !== 2) {
	            throw new Error('Invalid PEM formatted message. The "Proc-Type" ' +
	              'header must have two subfields.');
	          }
	          msg.procType = {version: values[0], type: values[1]};
	        } else if(!msg.contentDomain && header.name === 'Content-Domain') {
	          // special-case Content-Domain
	          msg.contentDomain = values[0] || '';
	        } else if(!msg.dekInfo && header.name === 'DEK-Info') {
	          // special-case DEK-Info
	          if(header.values.length === 0) {
	            throw new Error('Invalid PEM formatted message. The "DEK-Info" ' +
	              'header must have at least one subfield.');
	          }
	          msg.dekInfo = {algorithm: values[0], parameters: values[1] || null};
	        } else {
	          msg.headers.push(header);
	        }
	      }
	
	      ++li;
	    }
	
	    if(msg.procType === 'ENCRYPTED' && !msg.dekInfo) {
	      throw new Error('Invalid PEM formatted message. The "DEK-Info" ' +
	        'header must be present if "Proc-Type" is "ENCRYPTED".');
	    }
	  }
	
	  if(rval.length === 0) {
	    throw new Error('Invalid PEM formatted message.');
	  }
	
	  return rval;
	};
	
	function foldHeader(header) {
	  var rval = header.name + ': ';
	
	  // ensure values with CRLF are folded
	  var values = [];
	  var insertSpace = function(match, $1) {
	    return ' ' + $1;
	  };
	  for(var i = 0; i < header.values.length; ++i) {
	    values.push(header.values[i].replace(/^(\S+\r\n)/, insertSpace));
	  }
	  rval += values.join(',') + '\r\n';
	
	  // do folding
	  var length = 0;
	  var candidate = -1;
	  for(var i = 0; i < rval.length; ++i, ++length) {
	    if(length > 65 && candidate !== -1) {
	      var insert = rval[candidate];
	      if(insert === ',') {
	        ++candidate;
	        rval = rval.substr(0, candidate) + '\r\n ' + rval.substr(candidate);
	      } else {
	        rval = rval.substr(0, candidate) +
	          '\r\n' + insert + rval.substr(candidate + 1);
	      }
	      length = (i - candidate - 1);
	      candidate = -1;
	      ++i;
	    } else if(rval[i] === ' ' || rval[i] === '\t' || rval[i] === ',') {
	      candidate = i;
	    }
	  }
	
	  return rval;
	}
	
	function ltrim(str) {
	  return str.replace(/^\s+/, '');
	}
	
	})();


/***/ },
/* 39 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Object IDs for ASN.1.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2013 Digital Bazaar, Inc.
	 */
	(function() {
	  
	var forge = {
	  pki : __webpack_require__(37),
	  oids : module.exports
	};
	
	var oids = module.exports || {};
	
	// algorithm OIDs
	oids['1.2.840.113549.1.1.1'] = 'rsaEncryption';
	oids['rsaEncryption'] = '1.2.840.113549.1.1.1';
	// Note: md2 & md4 not implemented
	//oids['1.2.840.113549.1.1.2'] = 'md2WithRSAEncryption';
	//oids['md2WithRSAEncryption'] = '1.2.840.113549.1.1.2';
	//oids['1.2.840.113549.1.1.3'] = 'md4WithRSAEncryption';
	//oids['md4WithRSAEncryption'] = '1.2.840.113549.1.1.3';
	oids['1.2.840.113549.1.1.4'] = 'md5WithRSAEncryption';
	oids['md5WithRSAEncryption'] = '1.2.840.113549.1.1.4';
	oids['1.2.840.113549.1.1.5'] = 'sha1WithRSAEncryption';
	oids['sha1WithRSAEncryption'] = '1.2.840.113549.1.1.5';
	oids['1.2.840.113549.1.1.7'] = 'RSAES-OAEP';
	oids['RSAES-OAEP'] = '1.2.840.113549.1.1.7';
	oids['1.2.840.113549.1.1.8'] = 'mgf1';
	oids['mgf1'] = '1.2.840.113549.1.1.8';
	oids['1.2.840.113549.1.1.9'] = 'pSpecified';
	oids['pSpecified'] = '1.2.840.113549.1.1.9';
	oids['1.2.840.113549.1.1.10'] = 'RSASSA-PSS';
	oids['RSASSA-PSS'] = '1.2.840.113549.1.1.10';
	oids['1.2.840.113549.1.1.11'] = 'sha256WithRSAEncryption';
	oids['sha256WithRSAEncryption'] = '1.2.840.113549.1.1.11';
	oids['1.2.840.113549.1.1.12'] = 'sha384WithRSAEncryption';
	oids['sha384WithRSAEncryption'] = '1.2.840.113549.1.1.12';
	oids['1.2.840.113549.1.1.13'] = 'sha512WithRSAEncryption';
	oids['sha512WithRSAEncryption'] = '1.2.840.113549.1.1.13';
	
	oids['1.3.14.3.2.7'] = 'desCBC';
	oids['desCBC'] = '1.3.14.3.2.7';
	
	oids['1.3.14.3.2.26'] = 'sha1';
	oids['sha1'] = '1.3.14.3.2.26';
	oids['2.16.840.1.101.3.4.2.1'] = 'sha256';
	oids['sha256'] = '2.16.840.1.101.3.4.2.1';
	oids['2.16.840.1.101.3.4.2.2'] = 'sha384';
	oids['sha384'] = '2.16.840.1.101.3.4.2.2';
	oids['2.16.840.1.101.3.4.2.3'] = 'sha512';
	oids['sha512'] = '2.16.840.1.101.3.4.2.3';
	oids['1.2.840.113549.2.5'] = 'md5';
	oids['md5'] = '1.2.840.113549.2.5';
	
	// pkcs#7 content types
	oids['1.2.840.113549.1.7.1'] = 'data';
	oids['data'] = '1.2.840.113549.1.7.1';
	oids['1.2.840.113549.1.7.2'] = 'signedData';
	oids['signedData'] = '1.2.840.113549.1.7.2';
	oids['1.2.840.113549.1.7.3'] = 'envelopedData';
	oids['envelopedData'] = '1.2.840.113549.1.7.3';
	oids['1.2.840.113549.1.7.4'] = 'signedAndEnvelopedData';
	oids['signedAndEnvelopedData'] = '1.2.840.113549.1.7.4';
	oids['1.2.840.113549.1.7.5'] = 'digestedData';
	oids['digestedData'] = '1.2.840.113549.1.7.5';
	oids['1.2.840.113549.1.7.6'] = 'encryptedData';
	oids['encryptedData'] = '1.2.840.113549.1.7.6';
	
	// pkcs#9 oids
	oids['1.2.840.113549.1.9.1'] = 'emailAddress';
	oids['emailAddress'] = '1.2.840.113549.1.9.1';
	oids['1.2.840.113549.1.9.2'] = 'unstructuredName';
	oids['unstructuredName'] = '1.2.840.113549.1.9.2';
	oids['1.2.840.113549.1.9.3'] = 'contentType';
	oids['contentType'] = '1.2.840.113549.1.9.3';
	oids['1.2.840.113549.1.9.4'] = 'messageDigest';
	oids['messageDigest'] = '1.2.840.113549.1.9.4';
	oids['1.2.840.113549.1.9.5'] = 'signingTime';
	oids['signingTime'] = '1.2.840.113549.1.9.5';
	oids['1.2.840.113549.1.9.6'] = 'counterSignature';
	oids['counterSignature'] = '1.2.840.113549.1.9.6';
	oids['1.2.840.113549.1.9.7'] = 'challengePassword';
	oids['challengePassword'] = '1.2.840.113549.1.9.7';
	oids['1.2.840.113549.1.9.8'] = 'unstructuredAddress';
	oids['unstructuredAddress'] = '1.2.840.113549.1.9.8';
	oids['1.2.840.113549.1.9.14'] = 'extensionRequest';
	oids['extensionRequest'] = '1.2.840.113549.1.9.14';
	
	oids['1.2.840.113549.1.9.20'] = 'friendlyName';
	oids['friendlyName'] = '1.2.840.113549.1.9.20';
	oids['1.2.840.113549.1.9.21'] = 'localKeyId';
	oids['localKeyId'] = '1.2.840.113549.1.9.21';
	oids['1.2.840.113549.1.9.22.1'] = 'x509Certificate';
	oids['x509Certificate'] = '1.2.840.113549.1.9.22.1';
	
	// pkcs#12 safe bags
	oids['1.2.840.113549.1.12.10.1.1'] = 'keyBag';
	oids['keyBag'] = '1.2.840.113549.1.12.10.1.1';
	oids['1.2.840.113549.1.12.10.1.2'] = 'pkcs8ShroudedKeyBag';
	oids['pkcs8ShroudedKeyBag'] = '1.2.840.113549.1.12.10.1.2';
	oids['1.2.840.113549.1.12.10.1.3'] = 'certBag';
	oids['certBag'] = '1.2.840.113549.1.12.10.1.3';
	oids['1.2.840.113549.1.12.10.1.4'] = 'crlBag';
	oids['crlBag'] = '1.2.840.113549.1.12.10.1.4';
	oids['1.2.840.113549.1.12.10.1.5'] = 'secretBag';
	oids['secretBag'] = '1.2.840.113549.1.12.10.1.5';
	oids['1.2.840.113549.1.12.10.1.6'] = 'safeContentsBag';
	oids['safeContentsBag'] = '1.2.840.113549.1.12.10.1.6';
	
	// password-based-encryption for pkcs#12
	oids['1.2.840.113549.1.5.13'] = 'pkcs5PBES2';
	oids['pkcs5PBES2'] = '1.2.840.113549.1.5.13';
	oids['1.2.840.113549.1.5.12'] = 'pkcs5PBKDF2';
	oids['pkcs5PBKDF2'] = '1.2.840.113549.1.5.12';
	
	oids['1.2.840.113549.1.12.1.1'] = 'pbeWithSHAAnd128BitRC4';
	oids['pbeWithSHAAnd128BitRC4'] = '1.2.840.113549.1.12.1.1';
	oids['1.2.840.113549.1.12.1.2'] = 'pbeWithSHAAnd40BitRC4';
	oids['pbeWithSHAAnd40BitRC4'] = '1.2.840.113549.1.12.1.2';
	oids['1.2.840.113549.1.12.1.3'] = 'pbeWithSHAAnd3-KeyTripleDES-CBC';
	oids['pbeWithSHAAnd3-KeyTripleDES-CBC'] = '1.2.840.113549.1.12.1.3';
	oids['1.2.840.113549.1.12.1.4'] = 'pbeWithSHAAnd2-KeyTripleDES-CBC';
	oids['pbeWithSHAAnd2-KeyTripleDES-CBC'] = '1.2.840.113549.1.12.1.4';
	oids['1.2.840.113549.1.12.1.5'] = 'pbeWithSHAAnd128BitRC2-CBC';
	oids['pbeWithSHAAnd128BitRC2-CBC'] = '1.2.840.113549.1.12.1.5';
	oids['1.2.840.113549.1.12.1.6'] = 'pbewithSHAAnd40BitRC2-CBC';
	oids['pbewithSHAAnd40BitRC2-CBC'] = '1.2.840.113549.1.12.1.6';
	
	// symmetric key algorithm oids
	oids['1.2.840.113549.3.7'] = 'des-EDE3-CBC';
	oids['des-EDE3-CBC'] = '1.2.840.113549.3.7';
	oids['2.16.840.1.101.3.4.1.2'] = 'aes128-CBC';
	oids['aes128-CBC'] = '2.16.840.1.101.3.4.1.2';
	oids['2.16.840.1.101.3.4.1.22'] = 'aes192-CBC';
	oids['aes192-CBC'] = '2.16.840.1.101.3.4.1.22';
	oids['2.16.840.1.101.3.4.1.42'] = 'aes256-CBC';
	oids['aes256-CBC'] = '2.16.840.1.101.3.4.1.42';
	
	// certificate issuer/subject OIDs
	oids['2.5.4.3'] = 'commonName';
	oids['commonName'] = '2.5.4.3';
	oids['2.5.4.5'] = 'serialName';
	oids['serialName'] = '2.5.4.5';
	oids['2.5.4.6'] = 'countryName';
	oids['countryName'] = '2.5.4.6';
	oids['2.5.4.7'] = 'localityName';
	oids['localityName'] = '2.5.4.7';
	oids['2.5.4.8'] = 'stateOrProvinceName';
	oids['stateOrProvinceName'] = '2.5.4.8';
	oids['2.5.4.10'] = 'organizationName';
	oids['organizationName'] = '2.5.4.10';
	oids['2.5.4.11'] = 'organizationalUnitName';
	oids['organizationalUnitName'] = '2.5.4.11';
	
	// X.509 extension OIDs
	oids['2.16.840.1.113730.1.1'] = 'nsCertType';
	oids['nsCertType'] = '2.16.840.1.113730.1.1';
	oids['2.5.29.1'] = 'authorityKeyIdentifier'; // deprecated, use .35
	oids['2.5.29.2'] = 'keyAttributes'; // obsolete use .37 or .15
	oids['2.5.29.3'] = 'certificatePolicies'; // deprecated, use .32
	oids['2.5.29.4'] = 'keyUsageRestriction'; // obsolete use .37 or .15
	oids['2.5.29.5'] = 'policyMapping'; // deprecated use .33
	oids['2.5.29.6'] = 'subtreesConstraint'; // obsolete use .30
	oids['2.5.29.7'] = 'subjectAltName'; // deprecated use .17
	oids['2.5.29.8'] = 'issuerAltName'; // deprecated use .18
	oids['2.5.29.9'] = 'subjectDirectoryAttributes';
	oids['2.5.29.10'] = 'basicConstraints'; // deprecated use .19
	oids['2.5.29.11'] = 'nameConstraints'; // deprecated use .30
	oids['2.5.29.12'] = 'policyConstraints'; // deprecated use .36
	oids['2.5.29.13'] = 'basicConstraints'; // deprecated use .19
	oids['2.5.29.14'] = 'subjectKeyIdentifier';
	oids['subjectKeyIdentifier'] = '2.5.29.14';
	oids['2.5.29.15'] = 'keyUsage';
	oids['keyUsage'] = '2.5.29.15';
	oids['2.5.29.16'] = 'privateKeyUsagePeriod';
	oids['2.5.29.17'] = 'subjectAltName';
	oids['subjectAltName'] = '2.5.29.17';
	oids['2.5.29.18'] = 'issuerAltName';
	oids['issuerAltName'] = '2.5.29.18';
	oids['2.5.29.19'] = 'basicConstraints';
	oids['basicConstraints'] = '2.5.29.19';
	oids['2.5.29.20'] = 'cRLNumber';
	oids['2.5.29.21'] = 'cRLReason';
	oids['2.5.29.22'] = 'expirationDate';
	oids['2.5.29.23'] = 'instructionCode';
	oids['2.5.29.24'] = 'invalidityDate';
	oids['2.5.29.25'] = 'cRLDistributionPoints'; // deprecated use .31
	oids['2.5.29.26'] = 'issuingDistributionPoint'; // deprecated use .28
	oids['2.5.29.27'] = 'deltaCRLIndicator';
	oids['2.5.29.28'] = 'issuingDistributionPoint';
	oids['2.5.29.29'] = 'certificateIssuer';
	oids['2.5.29.30'] = 'nameConstraints';
	oids['2.5.29.31'] = 'cRLDistributionPoints';
	oids['2.5.29.32'] = 'certificatePolicies';
	oids['2.5.29.33'] = 'policyMappings';
	oids['2.5.29.34'] = 'policyConstraints'; // deprecated use .36
	oids['2.5.29.35'] = 'authorityKeyIdentifier';
	oids['2.5.29.36'] = 'policyConstraints';
	oids['2.5.29.37'] = 'extKeyUsage';
	oids['extKeyUsage'] = '2.5.29.37';
	oids['2.5.29.46'] = 'freshestCRL';
	oids['2.5.29.54'] = 'inhibitAnyPolicy';
	
	// extKeyUsage purposes
	oids['1.3.6.1.5.5.7.3.1'] = 'serverAuth';
	oids['serverAuth'] = '1.3.6.1.5.5.7.3.1';
	oids['1.3.6.1.5.5.7.3.2'] = 'clientAuth';
	oids['clientAuth'] = '1.3.6.1.5.5.7.3.2';
	oids['1.3.6.1.5.5.7.3.3'] = 'codeSigning';
	oids['codeSigning'] = '1.3.6.1.5.5.7.3.3';
	oids['1.3.6.1.5.5.7.3.4'] = 'emailProtection';
	oids['emailProtection'] = '1.3.6.1.5.5.7.3.4';
	oids['1.3.6.1.5.5.7.3.8'] = 'timeStamping';
	oids['timeStamping'] = '1.3.6.1.5.5.7.3.8';
	
	})();


/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Hash-based Message Authentication Code implementation. Requires a message
	 * digest object that can be obtained, for example, from forge.md.sha1 or
	 * forge.md.md5.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2012 Digital Bazaar, Inc. All rights reserved.
	 */
	(function() {
	
	var forge = {
	  hmac : module.exports || {},
	  util : __webpack_require__(34),
	  md : __webpack_require__(41)
	};
	
	// setup MD5
	__webpack_require__(42);
	
	// setup SHA1
	__webpack_require__(43);
	
	/* HMAC API */
	var hmac = forge.hmac = forge.hmac || {};
	
	/**
	 * Creates an HMAC object that uses the given message digest object.
	 *
	 * @return an HMAC object.
	 */
	hmac.create = function() {
	  // the hmac key to use
	  var _key = null;
	
	  // the message digest to use
	  var _md = null;
	
	  // the inner padding
	  var _ipadding = null;
	
	  // the outer padding
	  var _opadding = null;
	
	  // hmac context
	  var ctx = {};
	
	  /**
	   * Starts or restarts the HMAC with the given key and message digest.
	   *
	   * @param md the message digest to use, null to reuse the previous one,
	   *           a string to use builtin 'sha1', 'md5', 'sha256'.
	   * @param key the key to use as a string, array of bytes, byte buffer,
	   *           or null to reuse the previous key.
	   */
	  ctx.start = function(md, key) {
	    if(md !== null) {
	      if(typeof md === 'string') {
	        // create builtin message digest
	        md = md.toLowerCase();
	        if(md in forge.md.algorithms) {
	          _md = forge.md.algorithms[md].create();
	        } else {
	          throw new Error('Unknown hash algorithm "' + md + '"');
	        }
	      } else {
	        // store message digest
	        _md = md;
	      }
	    }
	
	    if(key === null) {
	      // reuse previous key
	      key = _key;
	    } else {
	      if(typeof key === 'string') {
	        // convert string into byte buffer
	        key = forge.util.createBuffer(key);
	      } else if(forge.util.isArray(key)) {
	        // convert byte array into byte buffer
	        var tmp = key;
	        key = forge.util.createBuffer();
	        for(var i = 0; i < tmp.length; ++i) {
	          key.putByte(tmp[i]);
	        }
	      }
	
	      // if key is longer than blocksize, hash it
	      var keylen = key.length();
	      if(keylen > _md.blockLength) {
	        _md.start();
	        _md.update(key.bytes());
	        key = _md.digest();
	      }
	
	      // mix key into inner and outer padding
	      // ipadding = [0x36 * blocksize] ^ key
	      // opadding = [0x5C * blocksize] ^ key
	      _ipadding = forge.util.createBuffer();
	      _opadding = forge.util.createBuffer();
	      keylen = key.length();
	      for(var i = 0; i < keylen; ++i) {
	        var tmp = key.at(i);
	        _ipadding.putByte(0x36 ^ tmp);
	        _opadding.putByte(0x5C ^ tmp);
	      }
	
	      // if key is shorter than blocksize, add additional padding
	      if(keylen < _md.blockLength) {
	        var tmp = _md.blockLength - keylen;
	        for(var i = 0; i < tmp; ++i) {
	          _ipadding.putByte(0x36);
	          _opadding.putByte(0x5C);
	        }
	      }
	      _key = key;
	      _ipadding = _ipadding.bytes();
	      _opadding = _opadding.bytes();
	    }
	
	    // digest is done like so: hash(opadding | hash(ipadding | message))
	
	    // prepare to do inner hash
	    // hash(ipadding | message)
	    _md.start();
	    _md.update(_ipadding);
	  };
	
	  /**
	   * Updates the HMAC with the given message bytes.
	   *
	   * @param bytes the bytes to update with.
	   */
	  ctx.update = function(bytes) {
	    _md.update(bytes);
	  };
	
	  /**
	   * Produces the Message Authentication Code (MAC).
	   *
	   * @return a byte buffer containing the digest value.
	   */
	  ctx.getMac = function() {
	    // digest is done like so: hash(opadding | hash(ipadding | message))
	    // here we do the outer hashing
	    var inner = _md.digest().bytes();
	    _md.start();
	    _md.update(_opadding);
	    _md.update(inner);
	    return _md.digest();
	  };
	  // alias for getMac
	  ctx.digest = ctx.getMac;
	
	  return ctx;
	};
	
	})();


/***/ },
/* 41 */
/***/ function(module, exports) {

	/**
	 * Node.js module for Forge message digests.
	 *
	 * @author Dave Longley
	 *
	 * Copyright 2011-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  md : module.exports || {}
	};
	
	forge.md.algorithms = {};
	
	})();


/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Message Digest Algorithm 5 with 128-bit digest (MD5) implementation.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  md5 : module.exports || {},
	  util : __webpack_require__(34),
	  md : __webpack_require__(41)
	};
	var md5 = forge.md5;
	
	// MD5
	forge.md.md5 = forge.md.algorithms.md5 = md5;
	
	/**
	 * Creates an MD5 message digest object.
	 *
	 * @return a message digest object.
	 */
	md5.create = function() {
	  // do initialization as necessary
	  if(!_initialized) {
	    _init();
	  }
	
	  // MD5 state contains four 32-bit integers
	  var _state = null;
	
	  // input buffer
	  var _input = forge.util.createBuffer();
	
	  // used for word storage
	  var _w = new Array(16);
	
	  // message digest object
	  var md = {
	    algorithm: 'md5',
	    blockLength: 64,
	    digestLength: 16,
	    // 56-bit length of message so far (does not including padding)
	    messageLength: 0,
	    // true 64-bit message length as two 32-bit ints
	    messageLength64: [0, 0]
	  };
	
	  /**
	   * Starts the digest.
	   *
	   * @return this digest object.
	   */
	  md.start = function() {
	    md.messageLength = 0;
	    md.messageLength64 = [0, 0];
	    _input = forge.util.createBuffer();
	    _state = {
	      h0: 0x67452301,
	      h1: 0xEFCDAB89,
	      h2: 0x98BADCFE,
	      h3: 0x10325476
	    };
	    return md;
	  };
	  // start digest automatically for first time
	  md.start();
	
	  /**
	   * Updates the digest with the given message input. The given input can
	   * treated as raw input (no encoding will be applied) or an encoding of
	   * 'utf8' maybe given to encode the input using UTF-8.
	   *
	   * @param msg the message input to update with.
	   * @param encoding the encoding to use (default: 'raw', other: 'utf8').
	   *
	   * @return this digest object.
	   */
	  md.update = function(msg, encoding) {
	    if(encoding === 'utf8') {
	      msg = forge.util.encodeUtf8(msg);
	    }
	
	    // update message length
	    md.messageLength += msg.length;
	    md.messageLength64[0] += (msg.length / 0x100000000) >>> 0;
	    md.messageLength64[1] += msg.length >>> 0;
	
	    // add bytes to input buffer
	    _input.putBytes(msg);
	
	    // process bytes
	    _update(_state, _w, _input);
	
	    // compact input buffer every 2K or if empty
	    if(_input.read > 2048 || _input.length() === 0) {
	      _input.compact();
	    }
	
	    return md;
	  };
	
	  /**
	   * Produces the digest.
	   *
	   * @return a byte buffer containing the digest value.
	   */
	  md.digest = function() {
	    /* Note: Here we copy the remaining bytes in the input buffer and
	    add the appropriate MD5 padding. Then we do the final update
	    on a copy of the state so that if the user wants to get
	    intermediate digests they can do so. */
	
	    /* Determine the number of bytes that must be added to the message
	    to ensure its length is congruent to 448 mod 512. In other words,
	    the data to be digested must be a multiple of 512 bits (or 128 bytes).
	    This data includes the message, some padding, and the length of the
	    message. Since the length of the message will be encoded as 8 bytes (64
	    bits), that means that the last segment of the data must have 56 bytes
	    (448 bits) of message and padding. Therefore, the length of the message
	    plus the padding must be congruent to 448 mod 512 because
	    512 - 128 = 448.
	
	    In order to fill up the message length it must be filled with
	    padding that begins with 1 bit followed by all 0 bits. Padding
	    must *always* be present, so if the message length is already
	    congruent to 448 mod 512, then 512 padding bits must be added. */
	
	    // 512 bits == 64 bytes, 448 bits == 56 bytes, 64 bits = 8 bytes
	    // _padding starts with 1 byte with first bit is set in it which
	    // is byte value 128, then there may be up to 63 other pad bytes
	    var padBytes = forge.util.createBuffer();
	    padBytes.putBytes(_input.bytes());
	    // 64 - (remaining msg + 8 bytes msg length) mod 64
	    padBytes.putBytes(
	      _padding.substr(0, 64 - ((md.messageLength64[1] + 8) & 0x3F)));
	
	    /* Now append length of the message. The length is appended in bits
	    as a 64-bit number in little-endian order. Since we store the length in
	    bytes, we must multiply the 64-bit length by 8 (or left shift by 3). */
	    padBytes.putInt32Le(md.messageLength64[1] << 3);
	    padBytes.putInt32Le(
	      (md.messageLength64[0] << 3) | (md.messageLength64[0] >>> 28));
	    var s2 = {
	      h0: _state.h0,
	      h1: _state.h1,
	      h2: _state.h2,
	      h3: _state.h3
	    };
	    _update(s2, _w, padBytes);
	    var rval = forge.util.createBuffer();
	    rval.putInt32Le(s2.h0);
	    rval.putInt32Le(s2.h1);
	    rval.putInt32Le(s2.h2);
	    rval.putInt32Le(s2.h3);
	    return rval;
	  };
	
	  return md;
	};
	
	// padding, constant tables for calculating md5
	var _padding = null;
	var _g = null;
	var _r = null;
	var _k = null;
	var _initialized = false;
	
	/**
	 * Initializes the constant tables.
	 */
	function _init() {
	  // create padding
	  _padding = String.fromCharCode(128);
	  _padding += forge.util.fillString(String.fromCharCode(0x00), 64);
	
	  // g values
	  _g = [
	    0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15,
	    1, 6, 11, 0, 5, 10, 15, 4, 9, 14, 3, 8, 13, 2, 7, 12,
	    5, 8, 11, 14, 1, 4, 7, 10, 13, 0, 3, 6, 9, 12, 15, 2,
	    0, 7, 14, 5, 12, 3, 10, 1, 8, 15, 6, 13, 4, 11, 2, 9];
	
	  // rounds table
	  _r = [
	    7, 12, 17, 22,  7, 12, 17, 22,  7, 12, 17, 22,  7, 12, 17, 22,
	    5,  9, 14, 20,  5,  9, 14, 20,  5,  9, 14, 20,  5,  9, 14, 20,
	    4, 11, 16, 23,  4, 11, 16, 23,  4, 11, 16, 23,  4, 11, 16, 23,
	    6, 10, 15, 21,  6, 10, 15, 21,  6, 10, 15, 21,  6, 10, 15, 21];
	
	  // get the result of abs(sin(i + 1)) as a 32-bit integer
	  _k = new Array(64);
	  for(var i = 0; i < 64; ++i) {
	    _k[i] = Math.floor(Math.abs(Math.sin(i + 1)) * 0x100000000);
	  }
	
	  // now initialized
	  _initialized = true;
	}
	
	/**
	 * Updates an MD5 state with the given byte buffer.
	 *
	 * @param s the MD5 state to update.
	 * @param w the array to use to store words.
	 * @param bytes the byte buffer to update with.
	 */
	function _update(s, w, bytes) {
	  // consume 512 bit (64 byte) chunks
	  var t, a, b, c, d, f, r, i;
	  var len = bytes.length();
	  while(len >= 64) {
	    // initialize hash value for this chunk
	    a = s.h0;
	    b = s.h1;
	    c = s.h2;
	    d = s.h3;
	
	    // round 1
	    for(i = 0; i < 16; ++i) {
	      w[i] = bytes.getInt32Le();
	      f = d ^ (b & (c ^ d));
	      t = (a + f + _k[i] + w[i]);
	      r = _r[i];
	      a = d;
	      d = c;
	      c = b;
	      b += (t << r) | (t >>> (32 - r));
	    }
	    // round 2
	    for(; i < 32; ++i) {
	      f = c ^ (d & (b ^ c));
	      t = (a + f + _k[i] + w[_g[i]]);
	      r = _r[i];
	      a = d;
	      d = c;
	      c = b;
	      b += (t << r) | (t >>> (32 - r));
	    }
	    // round 3
	    for(; i < 48; ++i) {
	      f = b ^ c ^ d;
	      t = (a + f + _k[i] + w[_g[i]]);
	      r = _r[i];
	      a = d;
	      d = c;
	      c = b;
	      b += (t << r) | (t >>> (32 - r));
	    }
	    // round 4
	    for(; i < 64; ++i) {
	      f = c ^ (b | ~d);
	      t = (a + f + _k[i] + w[_g[i]]);
	      r = _r[i];
	      a = d;
	      d = c;
	      c = b;
	      b += (t << r) | (t >>> (32 - r));
	    }
	
	    // update hash state
	    s.h0 = (s.h0 + a) | 0;
	    s.h1 = (s.h1 + b) | 0;
	    s.h2 = (s.h2 + c) | 0;
	    s.h3 = (s.h3 + d) | 0;
	
	    len -= 64;
	  }
	}
	})();


/***/ },
/* 43 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Secure Hash Algorithm with 160-bit digest (SHA-1) implementation.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  sha1 : module.exports || {},
	  util : __webpack_require__(34),
	  md : __webpack_require__(41)
	};
	var sha1 = forge.sha1;
	
	// SHA1
	forge.md.sha1 = forge.md.algorithms.sha1 = sha1;
	
	/**
	 * Creates a SHA-1 message digest object.
	 *
	 * @return a message digest object.
	 */
	sha1.create = function() {
	  // do initialization as necessary
	  if(!_initialized) {
	    _init();
	  }
	
	  // SHA-1 state contains five 32-bit integers
	  var _state = null;
	
	  // input buffer
	  var _input = forge.util.createBuffer();
	
	  // used for word storage
	  var _w = new Array(80);
	
	  // message digest object
	  var md = {
	    algorithm: 'sha1',
	    blockLength: 64,
	    digestLength: 20,
	    // 56-bit length of message so far (does not including padding)
	    messageLength: 0,
	    // true 64-bit message length as two 32-bit ints
	    messageLength64: [0, 0]
	  };
	
	  /**
	   * Starts the digest.
	   *
	   * @return this digest object.
	   */
	  md.start = function() {
	    md.messageLength = 0;
	    md.messageLength64 = [0, 0];
	    _input = forge.util.createBuffer();
	    _state = {
	      h0: 0x67452301,
	      h1: 0xEFCDAB89,
	      h2: 0x98BADCFE,
	      h3: 0x10325476,
	      h4: 0xC3D2E1F0
	    };
	    return md;
	  };
	  // start digest automatically for first time
	  md.start();
	
	  /**
	   * Updates the digest with the given message input. The given input can
	   * treated as raw input (no encoding will be applied) or an encoding of
	   * 'utf8' maybe given to encode the input using UTF-8.
	   *
	   * @param msg the message input to update with.
	   * @param encoding the encoding to use (default: 'raw', other: 'utf8').
	   *
	   * @return this digest object.
	   */
	  md.update = function(msg, encoding) {
	    if(encoding === 'utf8') {
	      msg = forge.util.encodeUtf8(msg);
	    }
	
	    // update message length
	    md.messageLength += msg.length;
	    md.messageLength64[0] += (msg.length / 0x100000000) >>> 0;
	    md.messageLength64[1] += msg.length >>> 0;
	
	    // add bytes to input buffer
	    _input.putBytes(msg);
	
	    // process bytes
	    _update(_state, _w, _input);
	
	    // compact input buffer every 2K or if empty
	    if(_input.read > 2048 || _input.length() === 0) {
	      _input.compact();
	    }
	
	    return md;
	  };
	
	   /**
	    * Produces the digest.
	    *
	    * @return a byte buffer containing the digest value.
	    */
	   md.digest = function() {
	    /* Note: Here we copy the remaining bytes in the input buffer and
	    add the appropriate SHA-1 padding. Then we do the final update
	    on a copy of the state so that if the user wants to get
	    intermediate digests they can do so. */
	
	    /* Determine the number of bytes that must be added to the message
	    to ensure its length is congruent to 448 mod 512. In other words,
	    the data to be digested must be a multiple of 512 bits (or 128 bytes).
	    This data includes the message, some padding, and the length of the
	    message. Since the length of the message will be encoded as 8 bytes (64
	    bits), that means that the last segment of the data must have 56 bytes
	    (448 bits) of message and padding. Therefore, the length of the message
	    plus the padding must be congruent to 448 mod 512 because
	    512 - 128 = 448.
	
	    In order to fill up the message length it must be filled with
	    padding that begins with 1 bit followed by all 0 bits. Padding
	    must *always* be present, so if the message length is already
	    congruent to 448 mod 512, then 512 padding bits must be added. */
	
	    // 512 bits == 64 bytes, 448 bits == 56 bytes, 64 bits = 8 bytes
	    // _padding starts with 1 byte with first bit is set in it which
	    // is byte value 128, then there may be up to 63 other pad bytes
	    var padBytes = forge.util.createBuffer();
	    padBytes.putBytes(_input.bytes());
	    // 64 - (remaining msg + 8 bytes msg length) mod 64
	    padBytes.putBytes(
	      _padding.substr(0, 64 - ((md.messageLength64[1] + 8) & 0x3F)));
	
	    /* Now append length of the message. The length is appended in bits
	    as a 64-bit number in big-endian order. Since we store the length in
	    bytes, we must multiply the 64-bit length by 8 (or left shift by 3). */
	    padBytes.putInt32(
	      (md.messageLength64[0] << 3) | (md.messageLength64[0] >>> 28));
	    padBytes.putInt32(md.messageLength64[1] << 3);
	    var s2 = {
	      h0: _state.h0,
	      h1: _state.h1,
	      h2: _state.h2,
	      h3: _state.h3,
	      h4: _state.h4
	    };
	    _update(s2, _w, padBytes);
	    var rval = forge.util.createBuffer();
	    rval.putInt32(s2.h0);
	    rval.putInt32(s2.h1);
	    rval.putInt32(s2.h2);
	    rval.putInt32(s2.h3);
	    rval.putInt32(s2.h4);
	    return rval;
	  };
	
	  return md;
	};
	
	// sha-1 padding bytes not initialized yet
	var _padding = null;
	var _initialized = false;
	
	/**
	 * Initializes the constant tables.
	 */
	function _init() {
	  // create padding
	  _padding = String.fromCharCode(128);
	  _padding += forge.util.fillString(String.fromCharCode(0x00), 64);
	
	  // now initialized
	  _initialized = true;
	}
	
	/**
	 * Updates a SHA-1 state with the given byte buffer.
	 *
	 * @param s the SHA-1 state to update.
	 * @param w the array to use to store words.
	 * @param bytes the byte buffer to update with.
	 */
	function _update(s, w, bytes) {
	  // consume 512 bit (64 byte) chunks
	  var t, a, b, c, d, e, f, i;
	  var len = bytes.length();
	  while(len >= 64) {
	    // the w array will be populated with sixteen 32-bit big-endian words
	    // and then extended into 80 32-bit words according to SHA-1 algorithm
	    // and for 32-79 using Max Locktyukhin's optimization
	
	    // initialize hash value for this chunk
	    a = s.h0;
	    b = s.h1;
	    c = s.h2;
	    d = s.h3;
	    e = s.h4;
	
	    // round 1
	    for(i = 0; i < 16; ++i) {
	      t = bytes.getInt32();
	      w[i] = t;
	      f = d ^ (b & (c ^ d));
	      t = ((a << 5) | (a >>> 27)) + f + e + 0x5A827999 + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	    for(; i < 20; ++i) {
	      t = (w[i - 3] ^ w[i - 8] ^ w[i - 14] ^ w[i - 16]);
	      t = (t << 1) | (t >>> 31);
	      w[i] = t;
	      f = d ^ (b & (c ^ d));
	      t = ((a << 5) | (a >>> 27)) + f + e + 0x5A827999 + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	    // round 2
	    for(; i < 32; ++i) {
	      t = (w[i - 3] ^ w[i - 8] ^ w[i - 14] ^ w[i - 16]);
	      t = (t << 1) | (t >>> 31);
	      w[i] = t;
	      f = b ^ c ^ d;
	      t = ((a << 5) | (a >>> 27)) + f + e + 0x6ED9EBA1 + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	    for(; i < 40; ++i) {
	      t = (w[i - 6] ^ w[i - 16] ^ w[i - 28] ^ w[i - 32]);
	      t = (t << 2) | (t >>> 30);
	      w[i] = t;
	      f = b ^ c ^ d;
	      t = ((a << 5) | (a >>> 27)) + f + e + 0x6ED9EBA1 + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	    // round 3
	    for(; i < 60; ++i) {
	      t = (w[i - 6] ^ w[i - 16] ^ w[i - 28] ^ w[i - 32]);
	      t = (t << 2) | (t >>> 30);
	      w[i] = t;
	      f = (b & c) | (d & (b ^ c));
	      t = ((a << 5) | (a >>> 27)) + f + e + 0x8F1BBCDC + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	    // round 4
	    for(; i < 80; ++i) {
	      t = (w[i - 6] ^ w[i - 16] ^ w[i - 28] ^ w[i - 32]);
	      t = (t << 2) | (t >>> 30);
	      w[i] = t;
	      f = b ^ c ^ d;
	      t = ((a << 5) | (a >>> 27)) + f + e + 0xCA62C1D6 + t;
	      e = d;
	      d = c;
	      c = (b << 30) | (b >>> 2);
	      b = a;
	      a = t;
	    }
	
	    // update hash state
	    s.h0 = (s.h0 + a) | 0;
	    s.h1 = (s.h1 + b) | 0;
	    s.h2 = (s.h2 + c) | 0;
	    s.h3 = (s.h3 + d) | 0;
	    s.h4 = (s.h4 + e) | 0;
	
	    len -= 64;
	  }
	}
	})();


/***/ },
/* 44 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Wrapper for JSBN
	 *
	 * @author Dave Longley
	 *
	 * Copyright 2011-2014 Digital Bazaar, Inc.
	 */
	
	(function() {
	  exports.BigInteger = __webpack_require__(45).BigInteger;
	})();


/***/ },
/* 45 */
/***/ function(module, exports, __webpack_require__) {

	(function(){
	
	    // Copyright (c) 2005  Tom Wu
	    // All Rights Reserved.
	    // See "LICENSE" for details.
	
	    // Basic JavaScript BN library - subset useful for RSA encryption.
	
	    // Bits per digit
	    var dbits;
	
	    // JavaScript engine analysis
	    var canary = 0xdeadbeefcafe;
	    var j_lm = ((canary&0xffffff)==0xefcafe);
	
	    // (public) Constructor
	    function BigInteger(a,b,c) {
	      if(a != null)
	        if("number" == typeof a) this.fromNumber(a,b,c);
	        else if(b == null && "string" != typeof a) this.fromString(a,256);
	        else this.fromString(a,b);
	    }
	
	    // return new, unset BigInteger
	    function nbi() { return new BigInteger(null); }
	
	    // am: Compute w_j += (x*this_i), propagate carries,
	    // c is initial carry, returns final carry.
	    // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
	    // We need to select the fastest one that works in this environment.
	
	    // am1: use a single mult and divide to get the high bits,
	    // max digit bits should be 26 because
	    // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
	    function am1(i,x,w,j,c,n) {
	      while(--n >= 0) {
	        var v = x*this[i++]+w[j]+c;
	        c = Math.floor(v/0x4000000);
	        w[j++] = v&0x3ffffff;
	      }
	      return c;
	    }
	    // am2 avoids a big mult-and-extract completely.
	    // Max digit bits should be <= 30 because we do bitwise ops
	    // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
	    function am2(i,x,w,j,c,n) {
	      var xl = x&0x7fff, xh = x>>15;
	      while(--n >= 0) {
	        var l = this[i]&0x7fff;
	        var h = this[i++]>>15;
	        var m = xh*l+h*xl;
	        l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
	        c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
	        w[j++] = l&0x3fffffff;
	      }
	      return c;
	    }
	    // Alternately, set max digit bits to 28 since some
	    // browsers slow down when dealing with 32-bit numbers.
	    function am3(i,x,w,j,c,n) {
	      var xl = x&0x3fff, xh = x>>14;
	      while(--n >= 0) {
	        var l = this[i]&0x3fff;
	        var h = this[i++]>>14;
	        var m = xh*l+h*xl;
	        l = xl*l+((m&0x3fff)<<14)+w[j]+c;
	        c = (l>>28)+(m>>14)+xh*h;
	        w[j++] = l&0xfffffff;
	      }
	      return c;
	    }
	    var inBrowser = typeof navigator !== "undefined";
	    if(inBrowser && j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
	      BigInteger.prototype.am = am2;
	      dbits = 30;
	    }
	    else if(inBrowser && j_lm && (navigator.appName != "Netscape")) {
	      BigInteger.prototype.am = am1;
	      dbits = 26;
	    }
	    else { // Mozilla/Netscape seems to prefer am3
	      BigInteger.prototype.am = am3;
	      dbits = 28;
	    }
	
	    BigInteger.prototype.DB = dbits;
	    BigInteger.prototype.DM = ((1<<dbits)-1);
	    BigInteger.prototype.DV = (1<<dbits);
	
	    var BI_FP = 52;
	    BigInteger.prototype.FV = Math.pow(2,BI_FP);
	    BigInteger.prototype.F1 = BI_FP-dbits;
	    BigInteger.prototype.F2 = 2*dbits-BI_FP;
	
	    // Digit conversions
	    var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
	    var BI_RC = new Array();
	    var rr,vv;
	    rr = "0".charCodeAt(0);
	    for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
	    rr = "a".charCodeAt(0);
	    for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
	    rr = "A".charCodeAt(0);
	    for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
	
	    function int2char(n) { return BI_RM.charAt(n); }
	    function intAt(s,i) {
	      var c = BI_RC[s.charCodeAt(i)];
	      return (c==null)?-1:c;
	    }
	
	    // (protected) copy this to r
	    function bnpCopyTo(r) {
	      for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
	      r.t = this.t;
	      r.s = this.s;
	    }
	
	    // (protected) set from integer value x, -DV <= x < DV
	    function bnpFromInt(x) {
	      this.t = 1;
	      this.s = (x<0)?-1:0;
	      if(x > 0) this[0] = x;
	      else if(x < -1) this[0] = x+this.DV;
	      else this.t = 0;
	    }
	
	    // return bigint initialized to value
	    function nbv(i) { var r = nbi(); r.fromInt(i); return r; }
	
	    // (protected) set from string and radix
	    function bnpFromString(s,b) {
	      var k;
	      if(b == 16) k = 4;
	      else if(b == 8) k = 3;
	      else if(b == 256) k = 8; // byte array
	      else if(b == 2) k = 1;
	      else if(b == 32) k = 5;
	      else if(b == 4) k = 2;
	      else { this.fromRadix(s,b); return; }
	      this.t = 0;
	      this.s = 0;
	      var i = s.length, mi = false, sh = 0;
	      while(--i >= 0) {
	        var x = (k==8)?s[i]&0xff:intAt(s,i);
	        if(x < 0) {
	          if(s.charAt(i) == "-") mi = true;
	          continue;
	        }
	        mi = false;
	        if(sh == 0)
	          this[this.t++] = x;
	        else if(sh+k > this.DB) {
	          this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
	          this[this.t++] = (x>>(this.DB-sh));
	        }
	        else
	          this[this.t-1] |= x<<sh;
	        sh += k;
	        if(sh >= this.DB) sh -= this.DB;
	      }
	      if(k == 8 && (s[0]&0x80) != 0) {
	        this.s = -1;
	        if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
	      }
	      this.clamp();
	      if(mi) BigInteger.ZERO.subTo(this,this);
	    }
	
	    // (protected) clamp off excess high words
	    function bnpClamp() {
	      var c = this.s&this.DM;
	      while(this.t > 0 && this[this.t-1] == c) --this.t;
	    }
	
	    // (public) return string representation in given radix
	    function bnToString(b) {
	      if(this.s < 0) return "-"+this.negate().toString(b);
	      var k;
	      if(b == 16) k = 4;
	      else if(b == 8) k = 3;
	      else if(b == 2) k = 1;
	      else if(b == 32) k = 5;
	      else if(b == 4) k = 2;
	      else return this.toRadix(b);
	      var km = (1<<k)-1, d, m = false, r = "", i = this.t;
	      var p = this.DB-(i*this.DB)%k;
	      if(i-- > 0) {
	        if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
	        while(i >= 0) {
	          if(p < k) {
	            d = (this[i]&((1<<p)-1))<<(k-p);
	            d |= this[--i]>>(p+=this.DB-k);
	          }
	          else {
	            d = (this[i]>>(p-=k))&km;
	            if(p <= 0) { p += this.DB; --i; }
	          }
	          if(d > 0) m = true;
	          if(m) r += int2char(d);
	        }
	      }
	      return m?r:"0";
	    }
	
	    // (public) -this
	    function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }
	
	    // (public) |this|
	    function bnAbs() { return (this.s<0)?this.negate():this; }
	
	    // (public) return + if this > a, - if this < a, 0 if equal
	    function bnCompareTo(a) {
	      var r = this.s-a.s;
	      if(r != 0) return r;
	      var i = this.t;
	      r = i-a.t;
	      if(r != 0) return (this.s<0)?-r:r;
	      while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
	      return 0;
	    }
	
	    // returns bit length of the integer x
	    function nbits(x) {
	      var r = 1, t;
	      if((t=x>>>16) != 0) { x = t; r += 16; }
	      if((t=x>>8) != 0) { x = t; r += 8; }
	      if((t=x>>4) != 0) { x = t; r += 4; }
	      if((t=x>>2) != 0) { x = t; r += 2; }
	      if((t=x>>1) != 0) { x = t; r += 1; }
	      return r;
	    }
	
	    // (public) return the number of bits in "this"
	    function bnBitLength() {
	      if(this.t <= 0) return 0;
	      return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
	    }
	
	    // (protected) r = this << n*DB
	    function bnpDLShiftTo(n,r) {
	      var i;
	      for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
	      for(i = n-1; i >= 0; --i) r[i] = 0;
	      r.t = this.t+n;
	      r.s = this.s;
	    }
	
	    // (protected) r = this >> n*DB
	    function bnpDRShiftTo(n,r) {
	      for(var i = n; i < this.t; ++i) r[i-n] = this[i];
	      r.t = Math.max(this.t-n,0);
	      r.s = this.s;
	    }
	
	    // (protected) r = this << n
	    function bnpLShiftTo(n,r) {
	      var bs = n%this.DB;
	      var cbs = this.DB-bs;
	      var bm = (1<<cbs)-1;
	      var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
	      for(i = this.t-1; i >= 0; --i) {
	        r[i+ds+1] = (this[i]>>cbs)|c;
	        c = (this[i]&bm)<<bs;
	      }
	      for(i = ds-1; i >= 0; --i) r[i] = 0;
	      r[ds] = c;
	      r.t = this.t+ds+1;
	      r.s = this.s;
	      r.clamp();
	    }
	
	    // (protected) r = this >> n
	    function bnpRShiftTo(n,r) {
	      r.s = this.s;
	      var ds = Math.floor(n/this.DB);
	      if(ds >= this.t) { r.t = 0; return; }
	      var bs = n%this.DB;
	      var cbs = this.DB-bs;
	      var bm = (1<<bs)-1;
	      r[0] = this[ds]>>bs;
	      for(var i = ds+1; i < this.t; ++i) {
	        r[i-ds-1] |= (this[i]&bm)<<cbs;
	        r[i-ds] = this[i]>>bs;
	      }
	      if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
	      r.t = this.t-ds;
	      r.clamp();
	    }
	
	    // (protected) r = this - a
	    function bnpSubTo(a,r) {
	      var i = 0, c = 0, m = Math.min(a.t,this.t);
	      while(i < m) {
	        c += this[i]-a[i];
	        r[i++] = c&this.DM;
	        c >>= this.DB;
	      }
	      if(a.t < this.t) {
	        c -= a.s;
	        while(i < this.t) {
	          c += this[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += this.s;
	      }
	      else {
	        c += this.s;
	        while(i < a.t) {
	          c -= a[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c -= a.s;
	      }
	      r.s = (c<0)?-1:0;
	      if(c < -1) r[i++] = this.DV+c;
	      else if(c > 0) r[i++] = c;
	      r.t = i;
	      r.clamp();
	    }
	
	    // (protected) r = this * a, r != this,a (HAC 14.12)
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyTo(a,r) {
	      var x = this.abs(), y = a.abs();
	      var i = x.t;
	      r.t = i+y.t;
	      while(--i >= 0) r[i] = 0;
	      for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
	      r.s = 0;
	      r.clamp();
	      if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
	    }
	
	    // (protected) r = this^2, r != this (HAC 14.16)
	    function bnpSquareTo(r) {
	      var x = this.abs();
	      var i = r.t = 2*x.t;
	      while(--i >= 0) r[i] = 0;
	      for(i = 0; i < x.t-1; ++i) {
	        var c = x.am(i,x[i],r,2*i,0,1);
	        if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
	          r[i+x.t] -= x.DV;
	          r[i+x.t+1] = 1;
	        }
	      }
	      if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
	      r.s = 0;
	      r.clamp();
	    }
	
	    // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
	    // r != q, this != m.  q or r may be null.
	    function bnpDivRemTo(m,q,r) {
	      var pm = m.abs();
	      if(pm.t <= 0) return;
	      var pt = this.abs();
	      if(pt.t < pm.t) {
	        if(q != null) q.fromInt(0);
	        if(r != null) this.copyTo(r);
	        return;
	      }
	      if(r == null) r = nbi();
	      var y = nbi(), ts = this.s, ms = m.s;
	      var nsh = this.DB-nbits(pm[pm.t-1]);   // normalize modulus
	      if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
	      else { pm.copyTo(y); pt.copyTo(r); }
	      var ys = y.t;
	      var y0 = y[ys-1];
	      if(y0 == 0) return;
	      var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
	      var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
	      var i = r.t, j = i-ys, t = (q==null)?nbi():q;
	      y.dlShiftTo(j,t);
	      if(r.compareTo(t) >= 0) {
	        r[r.t++] = 1;
	        r.subTo(t,r);
	      }
	      BigInteger.ONE.dlShiftTo(ys,t);
	      t.subTo(y,y);  // "negative" y so we can replace sub with am later
	      while(y.t < ys) y[y.t++] = 0;
	      while(--j >= 0) {
	        // Estimate quotient digit
	        var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
	        if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {   // Try it out
	          y.dlShiftTo(j,t);
	          r.subTo(t,r);
	          while(r[i] < --qd) r.subTo(t,r);
	        }
	      }
	      if(q != null) {
	        r.drShiftTo(ys,q);
	        if(ts != ms) BigInteger.ZERO.subTo(q,q);
	      }
	      r.t = ys;
	      r.clamp();
	      if(nsh > 0) r.rShiftTo(nsh,r); // Denormalize remainder
	      if(ts < 0) BigInteger.ZERO.subTo(r,r);
	    }
	
	    // (public) this mod a
	    function bnMod(a) {
	      var r = nbi();
	      this.abs().divRemTo(a,null,r);
	      if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
	      return r;
	    }
	
	    // Modular reduction using "classic" algorithm
	    function Classic(m) { this.m = m; }
	    function cConvert(x) {
	      if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
	      else return x;
	    }
	    function cRevert(x) { return x; }
	    function cReduce(x) { x.divRemTo(this.m,null,x); }
	    function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	    function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    Classic.prototype.convert = cConvert;
	    Classic.prototype.revert = cRevert;
	    Classic.prototype.reduce = cReduce;
	    Classic.prototype.mulTo = cMulTo;
	    Classic.prototype.sqrTo = cSqrTo;
	
	    // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
	    // justification:
	    //         xy == 1 (mod m)
	    //         xy =  1+km
	    //   xy(2-xy) = (1+km)(1-km)
	    // x[y(2-xy)] = 1-k^2m^2
	    // x[y(2-xy)] == 1 (mod m^2)
	    // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
	    // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
	    // JS multiply "overflows" differently from C/C++, so care is needed here.
	    function bnpInvDigit() {
	      if(this.t < 1) return 0;
	      var x = this[0];
	      if((x&1) == 0) return 0;
	      var y = x&3;       // y == 1/x mod 2^2
	      y = (y*(2-(x&0xf)*y))&0xf; // y == 1/x mod 2^4
	      y = (y*(2-(x&0xff)*y))&0xff;   // y == 1/x mod 2^8
	      y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;    // y == 1/x mod 2^16
	      // last step - calculate inverse mod DV directly;
	      // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
	      y = (y*(2-x*y%this.DV))%this.DV;       // y == 1/x mod 2^dbits
	      // we really want the negative inverse, and -DV < y < DV
	      return (y>0)?this.DV-y:-y;
	    }
	
	    // Montgomery reduction
	    function Montgomery(m) {
	      this.m = m;
	      this.mp = m.invDigit();
	      this.mpl = this.mp&0x7fff;
	      this.mph = this.mp>>15;
	      this.um = (1<<(m.DB-15))-1;
	      this.mt2 = 2*m.t;
	    }
	
	    // xR mod m
	    function montConvert(x) {
	      var r = nbi();
	      x.abs().dlShiftTo(this.m.t,r);
	      r.divRemTo(this.m,null,r);
	      if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
	      return r;
	    }
	
	    // x/R mod m
	    function montRevert(x) {
	      var r = nbi();
	      x.copyTo(r);
	      this.reduce(r);
	      return r;
	    }
	
	    // x = x/R mod m (HAC 14.32)
	    function montReduce(x) {
	      while(x.t <= this.mt2) // pad x so am has enough room later
	        x[x.t++] = 0;
	      for(var i = 0; i < this.m.t; ++i) {
	        // faster way of calculating u0 = x[i]*mp mod DV
	        var j = x[i]&0x7fff;
	        var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
	        // use am to combine the multiply-shift-add into one call
	        j = i+this.m.t;
	        x[j] += this.m.am(0,u0,x,i,0,this.m.t);
	        // propagate carry
	        while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
	      }
	      x.clamp();
	      x.drShiftTo(this.m.t,x);
	      if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
	    }
	
	    // r = "x^2/R mod m"; x != r
	    function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    // r = "xy/R mod m"; x,y != r
	    function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	
	    Montgomery.prototype.convert = montConvert;
	    Montgomery.prototype.revert = montRevert;
	    Montgomery.prototype.reduce = montReduce;
	    Montgomery.prototype.mulTo = montMulTo;
	    Montgomery.prototype.sqrTo = montSqrTo;
	
	    // (protected) true iff this is even
	    function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }
	
	    // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
	    function bnpExp(e,z) {
	      if(e > 0xffffffff || e < 1) return BigInteger.ONE;
	      var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
	      g.copyTo(r);
	      while(--i >= 0) {
	        z.sqrTo(r,r2);
	        if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
	        else { var t = r; r = r2; r2 = t; }
	      }
	      return z.revert(r);
	    }
	
	    // (public) this^e % m, 0 <= e < 2^32
	    function bnModPowInt(e,m) {
	      var z;
	      if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
	      return this.exp(e,z);
	    }
	
	    // protected
	    BigInteger.prototype.copyTo = bnpCopyTo;
	    BigInteger.prototype.fromInt = bnpFromInt;
	    BigInteger.prototype.fromString = bnpFromString;
	    BigInteger.prototype.clamp = bnpClamp;
	    BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
	    BigInteger.prototype.drShiftTo = bnpDRShiftTo;
	    BigInteger.prototype.lShiftTo = bnpLShiftTo;
	    BigInteger.prototype.rShiftTo = bnpRShiftTo;
	    BigInteger.prototype.subTo = bnpSubTo;
	    BigInteger.prototype.multiplyTo = bnpMultiplyTo;
	    BigInteger.prototype.squareTo = bnpSquareTo;
	    BigInteger.prototype.divRemTo = bnpDivRemTo;
	    BigInteger.prototype.invDigit = bnpInvDigit;
	    BigInteger.prototype.isEven = bnpIsEven;
	    BigInteger.prototype.exp = bnpExp;
	
	    // public
	    BigInteger.prototype.toString = bnToString;
	    BigInteger.prototype.negate = bnNegate;
	    BigInteger.prototype.abs = bnAbs;
	    BigInteger.prototype.compareTo = bnCompareTo;
	    BigInteger.prototype.bitLength = bnBitLength;
	    BigInteger.prototype.mod = bnMod;
	    BigInteger.prototype.modPowInt = bnModPowInt;
	
	    // "constants"
	    BigInteger.ZERO = nbv(0);
	    BigInteger.ONE = nbv(1);
	
	    // Copyright (c) 2005-2009  Tom Wu
	    // All Rights Reserved.
	    // See "LICENSE" for details.
	
	    // Extended JavaScript BN functions, required for RSA private ops.
	
	    // Version 1.1: new BigInteger("0", 10) returns "proper" zero
	    // Version 1.2: square() API, isProbablePrime fix
	
	    // (public)
	    function bnClone() { var r = nbi(); this.copyTo(r); return r; }
	
	    // (public) return value as integer
	    function bnIntValue() {
	      if(this.s < 0) {
	        if(this.t == 1) return this[0]-this.DV;
	        else if(this.t == 0) return -1;
	      }
	      else if(this.t == 1) return this[0];
	      else if(this.t == 0) return 0;
	      // assumes 16 < DB < 32
	      return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
	    }
	
	    // (public) return value as byte
	    function bnByteValue() { return (this.t==0)?this.s:(this[0]<<24)>>24; }
	
	    // (public) return value as short (assumes DB>=16)
	    function bnShortValue() { return (this.t==0)?this.s:(this[0]<<16)>>16; }
	
	    // (protected) return x s.t. r^x < DV
	    function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }
	
	    // (public) 0 if this == 0, 1 if this > 0
	    function bnSigNum() {
	      if(this.s < 0) return -1;
	      else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
	      else return 1;
	    }
	
	    // (protected) convert to radix string
	    function bnpToRadix(b) {
	      if(b == null) b = 10;
	      if(this.signum() == 0 || b < 2 || b > 36) return "0";
	      var cs = this.chunkSize(b);
	      var a = Math.pow(b,cs);
	      var d = nbv(a), y = nbi(), z = nbi(), r = "";
	      this.divRemTo(d,y,z);
	      while(y.signum() > 0) {
	        r = (a+z.intValue()).toString(b).substr(1) + r;
	        y.divRemTo(d,y,z);
	      }
	      return z.intValue().toString(b) + r;
	    }
	
	    // (protected) convert from radix string
	    function bnpFromRadix(s,b) {
	      this.fromInt(0);
	      if(b == null) b = 10;
	      var cs = this.chunkSize(b);
	      var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
	      for(var i = 0; i < s.length; ++i) {
	        var x = intAt(s,i);
	        if(x < 0) {
	          if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
	          continue;
	        }
	        w = b*w+x;
	        if(++j >= cs) {
	          this.dMultiply(d);
	          this.dAddOffset(w,0);
	          j = 0;
	          w = 0;
	        }
	      }
	      if(j > 0) {
	        this.dMultiply(Math.pow(b,j));
	        this.dAddOffset(w,0);
	      }
	      if(mi) BigInteger.ZERO.subTo(this,this);
	    }
	
	    // (protected) alternate constructor
	    function bnpFromNumber(a,b,c) {
	      if("number" == typeof b) {
	        // new BigInteger(int,int,RNG)
	        if(a < 2) this.fromInt(1);
	        else {
	          this.fromNumber(a,c);
	          if(!this.testBit(a-1))    // force MSB set
	            this.bitwiseTo(BigInteger.ONE.shiftLeft(a-1),op_or,this);
	          if(this.isEven()) this.dAddOffset(1,0); // force odd
	          while(!this.isProbablePrime(b)) {
	            this.dAddOffset(2,0);
	            if(this.bitLength() > a) this.subTo(BigInteger.ONE.shiftLeft(a-1),this);
	          }
	        }
	      }
	      else {
	        // new BigInteger(int,RNG)
	        var x = new Array(), t = a&7;
	        x.length = (a>>3)+1;
	        b.nextBytes(x);
	        if(t > 0) x[0] &= ((1<<t)-1); else x[0] = 0;
	        this.fromString(x,256);
	      }
	    }
	
	    // (public) convert to bigendian byte array
	    function bnToByteArray() {
	      var i = this.t, r = new Array();
	      r[0] = this.s;
	      var p = this.DB-(i*this.DB)%8, d, k = 0;
	      if(i-- > 0) {
	        if(p < this.DB && (d = this[i]>>p) != (this.s&this.DM)>>p)
	          r[k++] = d|(this.s<<(this.DB-p));
	        while(i >= 0) {
	          if(p < 8) {
	            d = (this[i]&((1<<p)-1))<<(8-p);
	            d |= this[--i]>>(p+=this.DB-8);
	          }
	          else {
	            d = (this[i]>>(p-=8))&0xff;
	            if(p <= 0) { p += this.DB; --i; }
	          }
	          if((d&0x80) != 0) d |= -256;
	          if(k == 0 && (this.s&0x80) != (d&0x80)) ++k;
	          if(k > 0 || d != this.s) r[k++] = d;
	        }
	      }
	      return r;
	    }
	
	    function bnEquals(a) { return(this.compareTo(a)==0); }
	    function bnMin(a) { return(this.compareTo(a)<0)?this:a; }
	    function bnMax(a) { return(this.compareTo(a)>0)?this:a; }
	
	    // (protected) r = this op a (bitwise)
	    function bnpBitwiseTo(a,op,r) {
	      var i, f, m = Math.min(a.t,this.t);
	      for(i = 0; i < m; ++i) r[i] = op(this[i],a[i]);
	      if(a.t < this.t) {
	        f = a.s&this.DM;
	        for(i = m; i < this.t; ++i) r[i] = op(this[i],f);
	        r.t = this.t;
	      }
	      else {
	        f = this.s&this.DM;
	        for(i = m; i < a.t; ++i) r[i] = op(f,a[i]);
	        r.t = a.t;
	      }
	      r.s = op(this.s,a.s);
	      r.clamp();
	    }
	
	    // (public) this & a
	    function op_and(x,y) { return x&y; }
	    function bnAnd(a) { var r = nbi(); this.bitwiseTo(a,op_and,r); return r; }
	
	    // (public) this | a
	    function op_or(x,y) { return x|y; }
	    function bnOr(a) { var r = nbi(); this.bitwiseTo(a,op_or,r); return r; }
	
	    // (public) this ^ a
	    function op_xor(x,y) { return x^y; }
	    function bnXor(a) { var r = nbi(); this.bitwiseTo(a,op_xor,r); return r; }
	
	    // (public) this & ~a
	    function op_andnot(x,y) { return x&~y; }
	    function bnAndNot(a) { var r = nbi(); this.bitwiseTo(a,op_andnot,r); return r; }
	
	    // (public) ~this
	    function bnNot() {
	      var r = nbi();
	      for(var i = 0; i < this.t; ++i) r[i] = this.DM&~this[i];
	      r.t = this.t;
	      r.s = ~this.s;
	      return r;
	    }
	
	    // (public) this << n
	    function bnShiftLeft(n) {
	      var r = nbi();
	      if(n < 0) this.rShiftTo(-n,r); else this.lShiftTo(n,r);
	      return r;
	    }
	
	    // (public) this >> n
	    function bnShiftRight(n) {
	      var r = nbi();
	      if(n < 0) this.lShiftTo(-n,r); else this.rShiftTo(n,r);
	      return r;
	    }
	
	    // return index of lowest 1-bit in x, x < 2^31
	    function lbit(x) {
	      if(x == 0) return -1;
	      var r = 0;
	      if((x&0xffff) == 0) { x >>= 16; r += 16; }
	      if((x&0xff) == 0) { x >>= 8; r += 8; }
	      if((x&0xf) == 0) { x >>= 4; r += 4; }
	      if((x&3) == 0) { x >>= 2; r += 2; }
	      if((x&1) == 0) ++r;
	      return r;
	    }
	
	    // (public) returns index of lowest 1-bit (or -1 if none)
	    function bnGetLowestSetBit() {
	      for(var i = 0; i < this.t; ++i)
	        if(this[i] != 0) return i*this.DB+lbit(this[i]);
	      if(this.s < 0) return this.t*this.DB;
	      return -1;
	    }
	
	    // return number of 1 bits in x
	    function cbit(x) {
	      var r = 0;
	      while(x != 0) { x &= x-1; ++r; }
	      return r;
	    }
	
	    // (public) return number of set bits
	    function bnBitCount() {
	      var r = 0, x = this.s&this.DM;
	      for(var i = 0; i < this.t; ++i) r += cbit(this[i]^x);
	      return r;
	    }
	
	    // (public) true iff nth bit is set
	    function bnTestBit(n) {
	      var j = Math.floor(n/this.DB);
	      if(j >= this.t) return(this.s!=0);
	      return((this[j]&(1<<(n%this.DB)))!=0);
	    }
	
	    // (protected) this op (1<<n)
	    function bnpChangeBit(n,op) {
	      var r = BigInteger.ONE.shiftLeft(n);
	      this.bitwiseTo(r,op,r);
	      return r;
	    }
	
	    // (public) this | (1<<n)
	    function bnSetBit(n) { return this.changeBit(n,op_or); }
	
	    // (public) this & ~(1<<n)
	    function bnClearBit(n) { return this.changeBit(n,op_andnot); }
	
	    // (public) this ^ (1<<n)
	    function bnFlipBit(n) { return this.changeBit(n,op_xor); }
	
	    // (protected) r = this + a
	    function bnpAddTo(a,r) {
	      var i = 0, c = 0, m = Math.min(a.t,this.t);
	      while(i < m) {
	        c += this[i]+a[i];
	        r[i++] = c&this.DM;
	        c >>= this.DB;
	      }
	      if(a.t < this.t) {
	        c += a.s;
	        while(i < this.t) {
	          c += this[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += this.s;
	      }
	      else {
	        c += this.s;
	        while(i < a.t) {
	          c += a[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += a.s;
	      }
	      r.s = (c<0)?-1:0;
	      if(c > 0) r[i++] = c;
	      else if(c < -1) r[i++] = this.DV+c;
	      r.t = i;
	      r.clamp();
	    }
	
	    // (public) this + a
	    function bnAdd(a) { var r = nbi(); this.addTo(a,r); return r; }
	
	    // (public) this - a
	    function bnSubtract(a) { var r = nbi(); this.subTo(a,r); return r; }
	
	    // (public) this * a
	    function bnMultiply(a) { var r = nbi(); this.multiplyTo(a,r); return r; }
	
	    // (public) this^2
	    function bnSquare() { var r = nbi(); this.squareTo(r); return r; }
	
	    // (public) this / a
	    function bnDivide(a) { var r = nbi(); this.divRemTo(a,r,null); return r; }
	
	    // (public) this % a
	    function bnRemainder(a) { var r = nbi(); this.divRemTo(a,null,r); return r; }
	
	    // (public) [this/a,this%a]
	    function bnDivideAndRemainder(a) {
	      var q = nbi(), r = nbi();
	      this.divRemTo(a,q,r);
	      return new Array(q,r);
	    }
	
	    // (protected) this *= n, this >= 0, 1 < n < DV
	    function bnpDMultiply(n) {
	      this[this.t] = this.am(0,n-1,this,0,0,this.t);
	      ++this.t;
	      this.clamp();
	    }
	
	    // (protected) this += n << w words, this >= 0
	    function bnpDAddOffset(n,w) {
	      if(n == 0) return;
	      while(this.t <= w) this[this.t++] = 0;
	      this[w] += n;
	      while(this[w] >= this.DV) {
	        this[w] -= this.DV;
	        if(++w >= this.t) this[this.t++] = 0;
	        ++this[w];
	      }
	    }
	
	    // A "null" reducer
	    function NullExp() {}
	    function nNop(x) { return x; }
	    function nMulTo(x,y,r) { x.multiplyTo(y,r); }
	    function nSqrTo(x,r) { x.squareTo(r); }
	
	    NullExp.prototype.convert = nNop;
	    NullExp.prototype.revert = nNop;
	    NullExp.prototype.mulTo = nMulTo;
	    NullExp.prototype.sqrTo = nSqrTo;
	
	    // (public) this^e
	    function bnPow(e) { return this.exp(e,new NullExp()); }
	
	    // (protected) r = lower n words of "this * a", a.t <= n
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyLowerTo(a,n,r) {
	      var i = Math.min(this.t+a.t,n);
	      r.s = 0; // assumes a,this >= 0
	      r.t = i;
	      while(i > 0) r[--i] = 0;
	      var j;
	      for(j = r.t-this.t; i < j; ++i) r[i+this.t] = this.am(0,a[i],r,i,0,this.t);
	      for(j = Math.min(a.t,n); i < j; ++i) this.am(0,a[i],r,i,0,n-i);
	      r.clamp();
	    }
	
	    // (protected) r = "this * a" without lower n words, n > 0
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyUpperTo(a,n,r) {
	      --n;
	      var i = r.t = this.t+a.t-n;
	      r.s = 0; // assumes a,this >= 0
	      while(--i >= 0) r[i] = 0;
	      for(i = Math.max(n-this.t,0); i < a.t; ++i)
	        r[this.t+i-n] = this.am(n-i,a[i],r,0,0,this.t+i-n);
	      r.clamp();
	      r.drShiftTo(1,r);
	    }
	
	    // Barrett modular reduction
	    function Barrett(m) {
	      // setup Barrett
	      this.r2 = nbi();
	      this.q3 = nbi();
	      BigInteger.ONE.dlShiftTo(2*m.t,this.r2);
	      this.mu = this.r2.divide(m);
	      this.m = m;
	    }
	
	    function barrettConvert(x) {
	      if(x.s < 0 || x.t > 2*this.m.t) return x.mod(this.m);
	      else if(x.compareTo(this.m) < 0) return x;
	      else { var r = nbi(); x.copyTo(r); this.reduce(r); return r; }
	    }
	
	    function barrettRevert(x) { return x; }
	
	    // x = x mod m (HAC 14.42)
	    function barrettReduce(x) {
	      x.drShiftTo(this.m.t-1,this.r2);
	      if(x.t > this.m.t+1) { x.t = this.m.t+1; x.clamp(); }
	      this.mu.multiplyUpperTo(this.r2,this.m.t+1,this.q3);
	      this.m.multiplyLowerTo(this.q3,this.m.t+1,this.r2);
	      while(x.compareTo(this.r2) < 0) x.dAddOffset(1,this.m.t+1);
	      x.subTo(this.r2,x);
	      while(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
	    }
	
	    // r = x^2 mod m; x != r
	    function barrettSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    // r = x*y mod m; x,y != r
	    function barrettMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	
	    Barrett.prototype.convert = barrettConvert;
	    Barrett.prototype.revert = barrettRevert;
	    Barrett.prototype.reduce = barrettReduce;
	    Barrett.prototype.mulTo = barrettMulTo;
	    Barrett.prototype.sqrTo = barrettSqrTo;
	
	    // (public) this^e % m (HAC 14.85)
	    function bnModPow(e,m) {
	      var i = e.bitLength(), k, r = nbv(1), z;
	      if(i <= 0) return r;
	      else if(i < 18) k = 1;
	      else if(i < 48) k = 3;
	      else if(i < 144) k = 4;
	      else if(i < 768) k = 5;
	      else k = 6;
	      if(i < 8)
	        z = new Classic(m);
	      else if(m.isEven())
	        z = new Barrett(m);
	      else
	        z = new Montgomery(m);
	
	      // precomputation
	      var g = new Array(), n = 3, k1 = k-1, km = (1<<k)-1;
	      g[1] = z.convert(this);
	      if(k > 1) {
	        var g2 = nbi();
	        z.sqrTo(g[1],g2);
	        while(n <= km) {
	          g[n] = nbi();
	          z.mulTo(g2,g[n-2],g[n]);
	          n += 2;
	        }
	      }
	
	      var j = e.t-1, w, is1 = true, r2 = nbi(), t;
	      i = nbits(e[j])-1;
	      while(j >= 0) {
	        if(i >= k1) w = (e[j]>>(i-k1))&km;
	        else {
	          w = (e[j]&((1<<(i+1))-1))<<(k1-i);
	          if(j > 0) w |= e[j-1]>>(this.DB+i-k1);
	        }
	
	        n = k;
	        while((w&1) == 0) { w >>= 1; --n; }
	        if((i -= n) < 0) { i += this.DB; --j; }
	        if(is1) {    // ret == 1, don't bother squaring or multiplying it
	          g[w].copyTo(r);
	          is1 = false;
	        }
	        else {
	          while(n > 1) { z.sqrTo(r,r2); z.sqrTo(r2,r); n -= 2; }
	          if(n > 0) z.sqrTo(r,r2); else { t = r; r = r2; r2 = t; }
	          z.mulTo(r2,g[w],r);
	        }
	
	        while(j >= 0 && (e[j]&(1<<i)) == 0) {
	          z.sqrTo(r,r2); t = r; r = r2; r2 = t;
	          if(--i < 0) { i = this.DB-1; --j; }
	        }
	      }
	      return z.revert(r);
	    }
	
	    // (public) gcd(this,a) (HAC 14.54)
	    function bnGCD(a) {
	      var x = (this.s<0)?this.negate():this.clone();
	      var y = (a.s<0)?a.negate():a.clone();
	      if(x.compareTo(y) < 0) { var t = x; x = y; y = t; }
	      var i = x.getLowestSetBit(), g = y.getLowestSetBit();
	      if(g < 0) return x;
	      if(i < g) g = i;
	      if(g > 0) {
	        x.rShiftTo(g,x);
	        y.rShiftTo(g,y);
	      }
	      while(x.signum() > 0) {
	        if((i = x.getLowestSetBit()) > 0) x.rShiftTo(i,x);
	        if((i = y.getLowestSetBit()) > 0) y.rShiftTo(i,y);
	        if(x.compareTo(y) >= 0) {
	          x.subTo(y,x);
	          x.rShiftTo(1,x);
	        }
	        else {
	          y.subTo(x,y);
	          y.rShiftTo(1,y);
	        }
	      }
	      if(g > 0) y.lShiftTo(g,y);
	      return y;
	    }
	
	    // (protected) this % n, n < 2^26
	    function bnpModInt(n) {
	      if(n <= 0) return 0;
	      var d = this.DV%n, r = (this.s<0)?n-1:0;
	      if(this.t > 0)
	        if(d == 0) r = this[0]%n;
	        else for(var i = this.t-1; i >= 0; --i) r = (d*r+this[i])%n;
	      return r;
	    }
	
	    // (public) 1/this % m (HAC 14.61)
	    function bnModInverse(m) {
	      var ac = m.isEven();
	      if((this.isEven() && ac) || m.signum() == 0) return BigInteger.ZERO;
	      var u = m.clone(), v = this.clone();
	      var a = nbv(1), b = nbv(0), c = nbv(0), d = nbv(1);
	      while(u.signum() != 0) {
	        while(u.isEven()) {
	          u.rShiftTo(1,u);
	          if(ac) {
	            if(!a.isEven() || !b.isEven()) { a.addTo(this,a); b.subTo(m,b); }
	            a.rShiftTo(1,a);
	          }
	          else if(!b.isEven()) b.subTo(m,b);
	          b.rShiftTo(1,b);
	        }
	        while(v.isEven()) {
	          v.rShiftTo(1,v);
	          if(ac) {
	            if(!c.isEven() || !d.isEven()) { c.addTo(this,c); d.subTo(m,d); }
	            c.rShiftTo(1,c);
	          }
	          else if(!d.isEven()) d.subTo(m,d);
	          d.rShiftTo(1,d);
	        }
	        if(u.compareTo(v) >= 0) {
	          u.subTo(v,u);
	          if(ac) a.subTo(c,a);
	          b.subTo(d,b);
	        }
	        else {
	          v.subTo(u,v);
	          if(ac) c.subTo(a,c);
	          d.subTo(b,d);
	        }
	      }
	      if(v.compareTo(BigInteger.ONE) != 0) return BigInteger.ZERO;
	      if(d.compareTo(m) >= 0) return d.subtract(m);
	      if(d.signum() < 0) d.addTo(m,d); else return d;
	      if(d.signum() < 0) return d.add(m); else return d;
	    }
	
	    var lowprimes = [2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79,83,89,97,101,103,107,109,113,127,131,137,139,149,151,157,163,167,173,179,181,191,193,197,199,211,223,227,229,233,239,241,251,257,263,269,271,277,281,283,293,307,311,313,317,331,337,347,349,353,359,367,373,379,383,389,397,401,409,419,421,431,433,439,443,449,457,461,463,467,479,487,491,499,503,509,521,523,541,547,557,563,569,571,577,587,593,599,601,607,613,617,619,631,641,643,647,653,659,661,673,677,683,691,701,709,719,727,733,739,743,751,757,761,769,773,787,797,809,811,821,823,827,829,839,853,857,859,863,877,881,883,887,907,911,919,929,937,941,947,953,967,971,977,983,991,997];
	    var lplim = (1<<26)/lowprimes[lowprimes.length-1];
	
	    // (public) test primality with certainty >= 1-.5^t
	    function bnIsProbablePrime(t) {
	      var i, x = this.abs();
	      if(x.t == 1 && x[0] <= lowprimes[lowprimes.length-1]) {
	        for(i = 0; i < lowprimes.length; ++i)
	          if(x[0] == lowprimes[i]) return true;
	        return false;
	      }
	      if(x.isEven()) return false;
	      i = 1;
	      while(i < lowprimes.length) {
	        var m = lowprimes[i], j = i+1;
	        while(j < lowprimes.length && m < lplim) m *= lowprimes[j++];
	        m = x.modInt(m);
	        while(i < j) if(m%lowprimes[i++] == 0) return false;
	      }
	      return x.millerRabin(t);
	    }
	
	    // (protected) true if probably prime (HAC 4.24, Miller-Rabin)
	    function bnpMillerRabin(t) {
	      var n1 = this.subtract(BigInteger.ONE);
	      var k = n1.getLowestSetBit();
	      if(k <= 0) return false;
	      var r = n1.shiftRight(k);
	      t = (t+1)>>1;
	      if(t > lowprimes.length) t = lowprimes.length;
	      var a = nbi();
	      for(var i = 0; i < t; ++i) {
	        //Pick bases at random, instead of starting at 2
	        a.fromInt(lowprimes[Math.floor(Math.random()*lowprimes.length)]);
	        var y = a.modPow(r,this);
	        if(y.compareTo(BigInteger.ONE) != 0 && y.compareTo(n1) != 0) {
	          var j = 1;
	          while(j++ < k && y.compareTo(n1) != 0) {
	            y = y.modPowInt(2,this);
	            if(y.compareTo(BigInteger.ONE) == 0) return false;
	          }
	          if(y.compareTo(n1) != 0) return false;
	        }
	      }
	      return true;
	    }
	
	    // protected
	    BigInteger.prototype.chunkSize = bnpChunkSize;
	    BigInteger.prototype.toRadix = bnpToRadix;
	    BigInteger.prototype.fromRadix = bnpFromRadix;
	    BigInteger.prototype.fromNumber = bnpFromNumber;
	    BigInteger.prototype.bitwiseTo = bnpBitwiseTo;
	    BigInteger.prototype.changeBit = bnpChangeBit;
	    BigInteger.prototype.addTo = bnpAddTo;
	    BigInteger.prototype.dMultiply = bnpDMultiply;
	    BigInteger.prototype.dAddOffset = bnpDAddOffset;
	    BigInteger.prototype.multiplyLowerTo = bnpMultiplyLowerTo;
	    BigInteger.prototype.multiplyUpperTo = bnpMultiplyUpperTo;
	    BigInteger.prototype.modInt = bnpModInt;
	    BigInteger.prototype.millerRabin = bnpMillerRabin;
	
	    // public
	    BigInteger.prototype.clone = bnClone;
	    BigInteger.prototype.intValue = bnIntValue;
	    BigInteger.prototype.byteValue = bnByteValue;
	    BigInteger.prototype.shortValue = bnShortValue;
	    BigInteger.prototype.signum = bnSigNum;
	    BigInteger.prototype.toByteArray = bnToByteArray;
	    BigInteger.prototype.equals = bnEquals;
	    BigInteger.prototype.min = bnMin;
	    BigInteger.prototype.max = bnMax;
	    BigInteger.prototype.and = bnAnd;
	    BigInteger.prototype.or = bnOr;
	    BigInteger.prototype.xor = bnXor;
	    BigInteger.prototype.andNot = bnAndNot;
	    BigInteger.prototype.not = bnNot;
	    BigInteger.prototype.shiftLeft = bnShiftLeft;
	    BigInteger.prototype.shiftRight = bnShiftRight;
	    BigInteger.prototype.getLowestSetBit = bnGetLowestSetBit;
	    BigInteger.prototype.bitCount = bnBitCount;
	    BigInteger.prototype.testBit = bnTestBit;
	    BigInteger.prototype.setBit = bnSetBit;
	    BigInteger.prototype.clearBit = bnClearBit;
	    BigInteger.prototype.flipBit = bnFlipBit;
	    BigInteger.prototype.add = bnAdd;
	    BigInteger.prototype.subtract = bnSubtract;
	    BigInteger.prototype.multiply = bnMultiply;
	    BigInteger.prototype.divide = bnDivide;
	    BigInteger.prototype.remainder = bnRemainder;
	    BigInteger.prototype.divideAndRemainder = bnDivideAndRemainder;
	    BigInteger.prototype.modPow = bnModPow;
	    BigInteger.prototype.modInverse = bnModInverse;
	    BigInteger.prototype.pow = bnPow;
	    BigInteger.prototype.gcd = bnGCD;
	    BigInteger.prototype.isProbablePrime = bnIsProbablePrime;
	
	    // JSBN-specific extension
	    BigInteger.prototype.square = bnSquare;
	
	    // Expose the Barrett function
	    BigInteger.prototype.Barrett = Barrett
	
	    // BigInteger interfaces not implemented in jsbn:
	
	    // BigInteger(int signum, byte[] magnitude)
	    // double doubleValue()
	    // float floatValue()
	    // int hashCode()
	    // long longValue()
	    // static BigInteger valueOf(long val)
	
	    // Random number generator - requires a PRNG backend, e.g. prng4.js
	
	    // For best results, put code like
	    // <body onClick='rng_seed_time();' onKeyPress='rng_seed_time();'>
	    // in your main HTML document.
	
	    var rng_state;
	    var rng_pool;
	    var rng_pptr;
	
	    // Mix in a 32-bit integer into the pool
	    function rng_seed_int(x) {
	      rng_pool[rng_pptr++] ^= x & 255;
	      rng_pool[rng_pptr++] ^= (x >> 8) & 255;
	      rng_pool[rng_pptr++] ^= (x >> 16) & 255;
	      rng_pool[rng_pptr++] ^= (x >> 24) & 255;
	      if(rng_pptr >= rng_psize) rng_pptr -= rng_psize;
	    }
	
	    // Mix in the current time (w/milliseconds) into the pool
	    function rng_seed_time() {
	      rng_seed_int(new Date().getTime());
	    }
	
	    // Initialize the pool with junk if needed.
	    if(rng_pool == null) {
	      rng_pool = new Array();
	      rng_pptr = 0;
	      var t;
	      if(typeof window !== "undefined" && window.crypto) {
	        if (window.crypto.getRandomValues) {
	          // Use webcrypto if available
	          var ua = new Uint8Array(32);
	          window.crypto.getRandomValues(ua);
	          for(t = 0; t < 32; ++t)
	            rng_pool[rng_pptr++] = ua[t];
	        }
	        else if(navigator.appName == "Netscape" && navigator.appVersion < "5") {
	          // Extract entropy (256 bits) from NS4 RNG if available
	          var z = window.crypto.random(32);
	          for(t = 0; t < z.length; ++t)
	            rng_pool[rng_pptr++] = z.charCodeAt(t) & 255;
	        }
	      }
	      while(rng_pptr < rng_psize) {  // extract some randomness from Math.random()
	        t = Math.floor(65536 * Math.random());
	        rng_pool[rng_pptr++] = t >>> 8;
	        rng_pool[rng_pptr++] = t & 255;
	      }
	      rng_pptr = 0;
	      rng_seed_time();
	      //rng_seed_int(window.screenX);
	      //rng_seed_int(window.screenY);
	    }
	
	    function rng_get_byte() {
	      if(rng_state == null) {
	        rng_seed_time();
	        rng_state = prng_newstate();
	        rng_state.init(rng_pool);
	        for(rng_pptr = 0; rng_pptr < rng_pool.length; ++rng_pptr)
	          rng_pool[rng_pptr] = 0;
	        rng_pptr = 0;
	        //rng_pool = null;
	      }
	      // TODO: allow reseeding after first request
	      return rng_state.next();
	    }
	
	    function rng_get_bytes(ba) {
	      var i;
	      for(i = 0; i < ba.length; ++i) ba[i] = rng_get_byte();
	    }
	
	    function SecureRandom() {}
	
	    SecureRandom.prototype.nextBytes = rng_get_bytes;
	
	    // prng4.js - uses Arcfour as a PRNG
	
	    function Arcfour() {
	      this.i = 0;
	      this.j = 0;
	      this.S = new Array();
	    }
	
	    // Initialize arcfour context from key, an array of ints, each from [0..255]
	    function ARC4init(key) {
	      var i, j, t;
	      for(i = 0; i < 256; ++i)
	        this.S[i] = i;
	      j = 0;
	      for(i = 0; i < 256; ++i) {
	        j = (j + this.S[i] + key[i % key.length]) & 255;
	        t = this.S[i];
	        this.S[i] = this.S[j];
	        this.S[j] = t;
	      }
	      this.i = 0;
	      this.j = 0;
	    }
	
	    function ARC4next() {
	      var t;
	      this.i = (this.i + 1) & 255;
	      this.j = (this.j + this.S[this.i]) & 255;
	      t = this.S[this.i];
	      this.S[this.i] = this.S[this.j];
	      this.S[this.j] = t;
	      return this.S[(t + this.S[this.i]) & 255];
	    }
	
	    Arcfour.prototype.init = ARC4init;
	    Arcfour.prototype.next = ARC4next;
	
	    // Plug in your RNG constructor here
	    function prng_newstate() {
	      return new Arcfour();
	    }
	
	    // Pool size must be a multiple of 4 and greater than 32.
	    // An array of bytes the size of the pool will be passed to init()
	    var rng_psize = 256;
	
	    if (true) {
	        exports = module.exports = {
	            BigInteger: BigInteger,
	            SecureRandom: SecureRandom,
	        };
	    } else {
	        this.jsbn = {
	          BigInteger: BigInteger,
	          SecureRandom: SecureRandom
	        };
	    }
	
	}).call(this);


/***/ },
/* 46 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Node.js module for Forge mask generation functions.
	 *
	 * @author Stefan Siegl
	 *
	 * Copyright 2012 Stefan Siegl <stesie@brokenpipe.de>
	 */
	(function() {
	  
	var forge = {
	  mgf : module.exports || {}
	}
	
	forge.mgf.mgf1 = __webpack_require__(47);
	
	})();


/***/ },
/* 47 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of mask generation function MGF1.
	 *
	 * @author Stefan Siegl
	 * @author Dave Longley
	 *
	 * Copyright (c) 2012 Stefan Siegl <stesie@brokenpipe.de>
	 * Copyright (c) 2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  mgf : __webpack_require__(46),
	  util : __webpack_require__(34)
	};
	
	var mgf1 = forge.mgf.mgf1 = module.exports;
	
	/**
	 * Creates a MGF1 mask generation function object.
	 *
	 * @param md the message digest API to use (eg: forge.md.sha1.create()).
	 *
	 * @return a mask generation function object.
	 */
	mgf1.create = function(md) {
	  var mgf = {
	    /**
	     * Generate mask of specified length.
	     *
	     * @param {String} seed The seed for mask generation.
	     * @param maskLen Number of bytes to generate.
	     * @return {String} The generated mask.
	     */
	    generate: function(seed, maskLen) {
	      /* 2. Let T be the empty octet string. */
	      var t = new forge.util.ByteBuffer();
	
	      /* 3. For counter from 0 to ceil(maskLen / hLen), do the following: */
	      var len = Math.ceil(maskLen / md.digestLength);
	      for(var i = 0; i < len; i++) {
	        /* a. Convert counter to an octet string C of length 4 octets */
	        var c = new forge.util.ByteBuffer();
	        c.putInt32(i);
	
	        /* b. Concatenate the hash of the seed mgfSeed and C to the octet
	         * string T: */
	        md.start();
	        md.update(seed + c.getBytes());
	        t.putBuffer(md.digest());
	      }
	
	      /* Output the leading maskLen octets of T as the octet string mask. */
	      t.truncate(t.length() - maskLen);
	      return t.getBytes();
	    }
	  };
	
	  return mgf;
	};
	
	})();


/***/ },
/* 48 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Partial implementation of PKCS#1 v2.2: RSA-OEAP
	 *
	 * Modified but based on the following MIT and BSD licensed code:
	 *
	 * https://github.com/kjur/jsjws/blob/master/rsa.js:
	 *
	 * The 'jsjws'(JSON Web Signature JavaScript Library) License
	 *
	 * Copyright (c) 2012 Kenji Urushima
	 *
	 * Permission is hereby granted, free of charge, to any person obtaining a copy
	 * of this software and associated documentation files (the "Software"), to deal
	 * in the Software without restriction, including without limitation the rights
	 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	 * copies of the Software, and to permit persons to whom the Software is
	 * furnished to do so, subject to the following conditions:
	 *
	 * The above copyright notice and this permission notice shall be included in
	 * all copies or substantial portions of the Software.
	 *
	 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
	 * THE SOFTWARE.
	 *
	 * http://webrsa.cvs.sourceforge.net/viewvc/webrsa/Client/RSAES-OAEP.js?content-type=text%2Fplain:
	 *
	 * RSAES-OAEP.js
	 * $Id: RSAES-OAEP.js,v 1.1.1.1 2003/03/19 15:37:20 ellispritchard Exp $
	 * JavaScript Implementation of PKCS #1 v2.1 RSA CRYPTOGRAPHY STANDARD (RSA Laboratories, June 14, 2002)
	 * Copyright (C) Ellis Pritchard, Guardian Unlimited 2003.
	 * Contact: ellis@nukinetics.com
	 * Distributed under the BSD License.
	 *
	 * Official documentation: http://www.rsa.com/rsalabs/node.asp?id=2125
	 *
	 * @author Evan Jones (http://evanjones.ca/)
	 * @author Dave Longley
	 *
	 * Copyright (c) 2013-2014 Digital Bazaar, Inc.
	 */
	(function() {
	  
	var forge = {
	  pkcs1 : module.exports || {},
	  util : __webpack_require__(34),
	  random : __webpack_require__(49),
	  md : __webpack_require__(41)
	};
	
	// setup SHA1
	__webpack_require__(43);
	
	// shortcut for PKCS#1 API
	var pkcs1 = forge.pkcs1;
	
	/**
	 * Encode the given RSAES-OAEP message (M) using key, with optional label (L)
	 * and seed.
	 *
	 * This method does not perform RSA encryption, it only encodes the message
	 * using RSAES-OAEP.
	 *
	 * @param key the RSA key to use.
	 * @param message the message to encode.
	 * @param options the options to use:
	 *          label an optional label to use.
	 *          seed the seed to use.
	 *          md the message digest object to use, undefined for SHA-1.
	 *          mgf1 optional mgf1 parameters:
	 *            md the message digest object to use for MGF1.
	 *
	 * @return the encoded message bytes.
	 */
	pkcs1.encode_rsa_oaep = function(key, message, options) {
	  // parse arguments
	  var label;
	  var seed;
	  var md;
	  var mgf1Md;
	  // legacy args (label, seed, md)
	  if(typeof options === 'string') {
	    label = options;
	    seed = arguments[3] || undefined;
	    md = arguments[4] || undefined;
	  } else if(options) {
	    label = options.label || undefined;
	    seed = options.seed || undefined;
	    md = options.md || undefined;
	    if(options.mgf1 && options.mgf1.md) {
	      mgf1Md = options.mgf1.md;
	    }
	  }
	
	  // default OAEP to SHA-1 message digest
	  if(!md) {
	    md = forge.md.sha1.create();
	  } else {
	    md.start();
	  }
	
	  // default MGF-1 to same as OAEP
	  if(!mgf1Md) {
	    mgf1Md = md;
	  }
	
	  // compute length in bytes and check output
	  var keyLength = Math.ceil(key.n.bitLength() / 8);
	  var maxLength = keyLength - 2 * md.digestLength - 2;
	  if(message.length > maxLength) {
	    var error = new Error('RSAES-OAEP input message length is too long.');
	    error.length = message.length;
	    error.maxLength = maxLength;
	    throw error;
	  }
	
	  if(!label) {
	    label = '';
	  }
	  md.update(label, 'raw');
	  var lHash = md.digest();
	
	  var PS = '';
	  var PS_length = maxLength - message.length;
	  for (var i = 0; i < PS_length; i++) {
	    PS += '\x00';
	  }
	
	  var DB = lHash.getBytes() + PS + '\x01' + message;
	
	  if(!seed) {
	    seed = forge.random.getBytes(md.digestLength);
	  } else if(seed.length !== md.digestLength) {
	    var error = new Error('Invalid RSAES-OAEP seed. The seed length must ' +
	      'match the digest length.')
	    error.seedLength = seed.length;
	    error.digestLength = md.digestLength;
	    throw error;
	  }
	
	  var dbMask = rsa_mgf1(seed, keyLength - md.digestLength - 1, mgf1Md);
	  var maskedDB = forge.util.xorBytes(DB, dbMask, DB.length);
	
	  var seedMask = rsa_mgf1(maskedDB, md.digestLength, mgf1Md);
	  var maskedSeed = forge.util.xorBytes(seed, seedMask, seed.length);
	
	  // return encoded message
	  return '\x00' + maskedSeed + maskedDB;
	};
	
	/**
	 * Decode the given RSAES-OAEP encoded message (EM) using key, with optional
	 * label (L).
	 *
	 * This method does not perform RSA decryption, it only decodes the message
	 * using RSAES-OAEP.
	 *
	 * @param key the RSA key to use.
	 * @param em the encoded message to decode.
	 * @param options the options to use:
	 *          label an optional label to use.
	 *          md the message digest object to use for OAEP, undefined for SHA-1.
	 *          mgf1 optional mgf1 parameters:
	 *            md the message digest object to use for MGF1.
	 *
	 * @return the decoded message bytes.
	 */
	pkcs1.decode_rsa_oaep = function(key, em, options) {
	  // parse args
	  var label;
	  var md;
	  var mgf1Md;
	  // legacy args
	  if(typeof options === 'string') {
	    label = options;
	    md = arguments[3] || undefined;
	  } else if(options) {
	    label = options.label || undefined;
	    md = options.md || undefined;
	    if(options.mgf1 && options.mgf1.md) {
	      mgf1Md = options.mgf1.md;
	    }
	  }
	
	  // compute length in bytes
	  var keyLength = Math.ceil(key.n.bitLength() / 8);
	
	  if(em.length !== keyLength) {
	    var error = new Error('RSAES-OAEP encoded message length is invalid.');
	    error.length = em.length;
	    error.expectedLength = keyLength;
	    throw error;
	  }
	
	  // default OAEP to SHA-1 message digest
	  if(md === undefined) {
	    md = forge.md.sha1.create();
	  } else {
	    md.start();
	  }
	
	  // default MGF-1 to same as OAEP
	  if(!mgf1Md) {
	    mgf1Md = md;
	  }
	
	  if(keyLength < 2 * md.digestLength + 2) {
	    throw new Error('RSAES-OAEP key is too short for the hash function.');
	  }
	
	  if(!label) {
	    label = '';
	  }
	  md.update(label, 'raw');
	  var lHash = md.digest().getBytes();
	
	  // split the message into its parts
	  var y = em.charAt(0);
	  var maskedSeed = em.substring(1, md.digestLength + 1);
	  var maskedDB = em.substring(1 + md.digestLength);
	
	  var seedMask = rsa_mgf1(maskedDB, md.digestLength, mgf1Md);
	  var seed = forge.util.xorBytes(maskedSeed, seedMask, maskedSeed.length);
	
	  var dbMask = rsa_mgf1(seed, keyLength - md.digestLength - 1, mgf1Md);
	  var db = forge.util.xorBytes(maskedDB, dbMask, maskedDB.length);
	
	  var lHashPrime = db.substring(0, md.digestLength);
	
	  // constant time check that all values match what is expected
	  var error = (y !== '\x00');
	
	  // constant time check lHash vs lHashPrime
	  for(var i = 0; i < md.digestLength; ++i) {
	    error |= (lHash.charAt(i) !== lHashPrime.charAt(i));
	  }
	
	  // "constant time" find the 0x1 byte separating the padding (zeros) from the
	  // message
	  // TODO: It must be possible to do this in a better/smarter way?
	  var in_ps = 1;
	  var index = md.digestLength;
	  for(var j = md.digestLength; j < db.length; j++) {
	    var code = db.charCodeAt(j);
	
	    var is_0 = (code & 0x1) ^ 0x1;
	
	    // non-zero if not 0 or 1 in the ps section
	    var error_mask = in_ps ? 0xfffe : 0x0000;
	    error |= (code & error_mask);
	
	    // latch in_ps to zero after we find 0x1
	    in_ps = in_ps & is_0;
	    index += in_ps;
	  }
	
	  if(error || db.charCodeAt(index) !== 0x1) {
	    throw new Error('Invalid RSAES-OAEP padding.');
	  }
	
	  return db.substring(index + 1);
	};
	
	function rsa_mgf1(seed, maskLength, hash) {
	  // default to SHA-1 message digest
	  if(!hash) {
	    hash = forge.md.sha1.create();
	  }
	  var t = '';
	  var count = Math.ceil(maskLength / hash.digestLength);
	  for(var i = 0; i < count; ++i) {
	    var c = String.fromCharCode(
	      (i >> 24) & 0xFF, (i >> 16) & 0xFF, (i >> 8) & 0xFF, i & 0xFF);
	    hash.start();
	    hash.update(seed + c);
	    t += hash.digest().getBytes();
	  }
	  return t.substring(0, maskLength);
	}
	
	})();


/***/ },
/* 49 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {/**
	 * An API for getting cryptographically-secure random bytes. The bytes are
	 * generated using the Fortuna algorithm devised by Bruce Schneier and
	 * Niels Ferguson.
	 *
	 * Getting strong random bytes is not yet easy to do in javascript. The only
	 * truish random entropy that can be collected is from the mouse, keyboard, or
	 * from timing with respect to page loads, etc. This generator makes a poor
	 * attempt at providing random bytes when those sources haven't yet provided
	 * enough entropy to initially seed or to reseed the PRNG.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2009-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  aes : __webpack_require__(32),
	  md : __webpack_require__(41),
	  prng : __webpack_require__(50),
	  util : __webpack_require__(34)
	};
	
	// prepare SHA-256
	__webpack_require__(52);
	
	(function(jQuery) {
	
	// the default prng plugin, uses AES-128
	var prng_aes = {};
	var _prng_aes_output = new Array(4);
	var _prng_aes_buffer = forge.util.createBuffer();
	prng_aes.formatKey = function(key) {
	  // convert the key into 32-bit integers
	  var tmp = forge.util.createBuffer(key);
	  key = new Array(4);
	  key[0] = tmp.getInt32();
	  key[1] = tmp.getInt32();
	  key[2] = tmp.getInt32();
	  key[3] = tmp.getInt32();
	
	  // return the expanded key
	  return forge.aes._expandKey(key, false);
	};
	prng_aes.formatSeed = function(seed) {
	  // convert seed into 32-bit integers
	  var tmp = forge.util.createBuffer(seed);
	  seed = new Array(4);
	  seed[0] = tmp.getInt32();
	  seed[1] = tmp.getInt32();
	  seed[2] = tmp.getInt32();
	  seed[3] = tmp.getInt32();
	  return seed;
	};
	prng_aes.cipher = function(key, seed) {
	  forge.aes._updateBlock(key, seed, _prng_aes_output, false);
	  _prng_aes_buffer.putInt32(_prng_aes_output[0]);
	  _prng_aes_buffer.putInt32(_prng_aes_output[1]);
	  _prng_aes_buffer.putInt32(_prng_aes_output[2]);
	  _prng_aes_buffer.putInt32(_prng_aes_output[3]);
	  return _prng_aes_buffer.getBytes();
	};
	prng_aes.increment = function(seed) {
	  // FIXME: do we care about carry or signed issues?
	  ++seed[3];
	  return seed;
	};
	prng_aes.md = forge.md.sha256;
	
	/**
	 * Creates a new PRNG.
	 */
	function spawnPrng() {
	  var ctx = forge.prng.create(prng_aes);
	
	  /**
	   * Gets random bytes. If a native secure crypto API is unavailable, this
	   * method tries to make the bytes more unpredictable by drawing from data that
	   * can be collected from the user of the browser, eg: mouse movement.
	   *
	   * If a callback is given, this method will be called asynchronously.
	   *
	   * @param count the number of random bytes to get.
	   * @param [callback(err, bytes)] called once the operation completes.
	   *
	   * @return the random bytes in a string.
	   */
	  ctx.getBytes = function(count, callback) {
	    return ctx.generate(count, callback);
	  };
	
	  /**
	   * Gets random bytes asynchronously. If a native secure crypto API is
	   * unavailable, this method tries to make the bytes more unpredictable by
	   * drawing from data that can be collected from the user of the browser,
	   * eg: mouse movement.
	   *
	   * @param count the number of random bytes to get.
	   *
	   * @return the random bytes in a string.
	   */
	  ctx.getBytesSync = function(count) {
	    return ctx.generate(count);
	  };
	
	  return ctx;
	}
	
	// create default prng context
	var _ctx = spawnPrng();
	
	// add other sources of entropy only if window.crypto.getRandomValues is not
	// available -- otherwise this source will be automatically used by the prng
	var _nodejs = (
	  typeof process !== 'undefined' && process.versions && process.versions.node);
	var getRandomValues = null;
	if(typeof window !== 'undefined') {
	  var _crypto = window.crypto || window.msCrypto;
	  if(_crypto && _crypto.getRandomValues) {
	    getRandomValues = function(arr) {
	      return _crypto.getRandomValues(arr);
	    };
	  }
	}
	if(forge.disableNativeCode || (!_nodejs && !getRandomValues)) {
	  // if this is a web worker, do not use weak entropy, instead register to
	  // receive strong entropy asynchronously from the main thread
	  if(typeof window === 'undefined' || window.document === undefined) {
	    // FIXME:
	  }
	
	  // get load time entropy
	  _ctx.collectInt(+new Date(), 32);
	
	  // add some entropy from navigator object
	  if(typeof(navigator) !== 'undefined') {
	    var _navBytes = '';
	    for(var key in navigator) {
	      try {
	        if(typeof(navigator[key]) == 'string') {
	          _navBytes += navigator[key];
	        }
	      } catch(e) {
	        /* Some navigator keys might not be accessible, e.g. the geolocation
	          attribute throws an exception if touched in Mozilla chrome://
	          context.
	
	          Silently ignore this and just don't use this as a source of
	          entropy. */
	      }
	    }
	    _ctx.collect(_navBytes);
	    _navBytes = null;
	  }
	
	  // add mouse and keyboard collectors if jquery is available
	  if(jQuery) {
	    // set up mouse entropy capture
	    jQuery().mousemove(function(e) {
	      // add mouse coords
	      _ctx.collectInt(e.clientX, 16);
	      _ctx.collectInt(e.clientY, 16);
	    });
	
	    // set up keyboard entropy capture
	    jQuery().keypress(function(e) {
	      _ctx.collectInt(e.charCode, 8);
	    });
	  }
	}
	
	/* Random API */
	forge.random = module.exports = _ctx;
	
	// expose spawn PRNG
	forge.random.createInstance = spawnPrng;
	
	})(typeof(jQuery) !== 'undefined' ? jQuery : null);
	
	})();
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 50 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {/**
	 * A javascript implementation of a cryptographically-secure
	 * Pseudo Random Number Generator (PRNG). The Fortuna algorithm is followed
	 * here though the use of SHA-256 is not enforced; when generating an
	 * a PRNG context, the hashing algorithm and block cipher used for
	 * the generator are specified via a plugin.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  prng : module.exports || {},
	  util : __webpack_require__(34)
	}
	
	var _nodejs = (
	  typeof process !== 'undefined' && process.versions && process.versions.node);
	var _crypto = null;
	if(!forge.disableNativeCode && _nodejs && !process.versions['node-webkit']) {
	  _crypto = __webpack_require__(51);
	}
	
	/* PRNG API */
	var prng = forge.prng;
	
	/**
	 * Creates a new PRNG context.
	 *
	 * A PRNG plugin must be passed in that will provide:
	 *
	 * 1. A function that initializes the key and seed of a PRNG context. It
	 *   will be given a 16 byte key and a 16 byte seed. Any key expansion
	 *   or transformation of the seed from a byte string into an array of
	 *   integers (or similar) should be performed.
	 * 2. The cryptographic function used by the generator. It takes a key and
	 *   a seed.
	 * 3. A seed increment function. It takes the seed and returns seed + 1.
	 * 4. An api to create a message digest.
	 *
	 * For an example, see random.js.
	 *
	 * @param plugin the PRNG plugin to use.
	 */
	prng.create = function(plugin) {
	  var ctx = {
	    plugin: plugin,
	    key: null,
	    seed: null,
	    time: null,
	    // number of reseeds so far
	    reseeds: 0,
	    // amount of data generated so far
	    generated: 0
	  };
	
	  // create 32 entropy pools (each is a message digest)
	  var md = plugin.md;
	  var pools = new Array(32);
	  for(var i = 0; i < 32; ++i) {
	    pools[i] = md.create();
	  }
	  ctx.pools = pools;
	
	  // entropy pools are written to cyclically, starting at index 0
	  ctx.pool = 0;
	
	  /**
	   * Generates random bytes. The bytes may be generated synchronously or
	   * asynchronously. Web workers must use the asynchronous interface or
	   * else the behavior is undefined.
	   *
	   * @param count the number of random bytes to generate.
	   * @param [callback(err, bytes)] called once the operation completes.
	   *
	   * @return count random bytes as a string.
	   */
	  ctx.generate = function(count, callback) {
	    // do synchronously
	    if(!callback) {
	      return ctx.generateSync(count);
	    }
	
	    // simple generator using counter-based CBC
	    var cipher = ctx.plugin.cipher;
	    var increment = ctx.plugin.increment;
	    var formatKey = ctx.plugin.formatKey;
	    var formatSeed = ctx.plugin.formatSeed;
	    var b = forge.util.createBuffer();
	
	    // reset key for every request
	    ctx.key = null;
	
	    generate();
	
	    function generate(err) {
	      if(err) {
	        return callback(err);
	      }
	
	      // sufficient bytes generated
	      if(b.length() >= count) {
	        return callback(null, b.getBytes(count));
	      }
	
	      // if amount of data generated is greater than 1 MiB, trigger reseed
	      if(ctx.generated > 0xfffff) {
	        ctx.key = null;
	      }
	
	      if(ctx.key === null) {
	        // prevent stack overflow
	        return forge.util.nextTick(function() {
	          _reseed(generate);
	        });
	      }
	
	      // generate the random bytes
	      var bytes = cipher(ctx.key, ctx.seed);
	      ctx.generated += bytes.length;
	      b.putBytes(bytes);
	
	      // generate bytes for a new key and seed
	      ctx.key = formatKey(cipher(ctx.key, increment(ctx.seed)));
	      ctx.seed = formatSeed(cipher(ctx.key, ctx.seed));
	
	      forge.util.setImmediate(generate);
	    }
	  };
	
	  /**
	   * Generates random bytes synchronously.
	   *
	   * @param count the number of random bytes to generate.
	   *
	   * @return count random bytes as a string.
	   */
	  ctx.generateSync = function(count) {
	    // simple generator using counter-based CBC
	    var cipher = ctx.plugin.cipher;
	    var increment = ctx.plugin.increment;
	    var formatKey = ctx.plugin.formatKey;
	    var formatSeed = ctx.plugin.formatSeed;
	
	    // reset key for every request
	    ctx.key = null;
	
	    var b = forge.util.createBuffer();
	    while(b.length() < count) {
	      // if amount of data generated is greater than 1 MiB, trigger reseed
	      if(ctx.generated > 0xfffff) {
	        ctx.key = null;
	      }
	
	      if(ctx.key === null) {
	        _reseedSync();
	      }
	
	      // generate the random bytes
	      var bytes = cipher(ctx.key, ctx.seed);
	      ctx.generated += bytes.length;
	      b.putBytes(bytes);
	
	      // generate bytes for a new key and seed
	      ctx.key = formatKey(cipher(ctx.key, increment(ctx.seed)));
	      ctx.seed = formatSeed(cipher(ctx.key, ctx.seed));
	    }
	
	    return b.getBytes(count);
	  };
	
	  /**
	   * Private function that asynchronously reseeds a generator.
	   *
	   * @param callback(err) called once the operation completes.
	   */
	  function _reseed(callback) {
	    if(ctx.pools[0].messageLength >= 32) {
	      _seed();
	      return callback();
	    }
	    // not enough seed data...
	    var needed = (32 - ctx.pools[0].messageLength) << 5;
	    ctx.seedFile(needed, function(err, bytes) {
	      if(err) {
	        return callback(err);
	      }
	      ctx.collect(bytes);
	      _seed();
	      callback();
	    });
	  }
	
	  /**
	   * Private function that synchronously reseeds a generator.
	   */
	  function _reseedSync() {
	    if(ctx.pools[0].messageLength >= 32) {
	      return _seed();
	    }
	    // not enough seed data...
	    var needed = (32 - ctx.pools[0].messageLength) << 5;
	    ctx.collect(ctx.seedFileSync(needed));
	    _seed();
	  }
	
	  /**
	   * Private function that seeds a generator once enough bytes are available.
	   */
	  function _seed() {
	    // create a plugin-based message digest
	    var md = ctx.plugin.md.create();
	
	    // digest pool 0's entropy and restart it
	    md.update(ctx.pools[0].digest().getBytes());
	    ctx.pools[0].start();
	
	    // digest the entropy of other pools whose index k meet the
	    // condition '2^k mod n == 0' where n is the number of reseeds
	    var k = 1;
	    for(var i = 1; i < 32; ++i) {
	      // prevent signed numbers from being used
	      k = (k === 31) ? 0x80000000 : (k << 2);
	      if(k % ctx.reseeds === 0) {
	        md.update(ctx.pools[i].digest().getBytes());
	        ctx.pools[i].start();
	      }
	    }
	
	    // get digest for key bytes and iterate again for seed bytes
	    var keyBytes = md.digest().getBytes();
	    md.start();
	    md.update(keyBytes);
	    var seedBytes = md.digest().getBytes();
	
	    // update
	    ctx.key = ctx.plugin.formatKey(keyBytes);
	    ctx.seed = ctx.plugin.formatSeed(seedBytes);
	    ctx.reseeds = (ctx.reseeds === 0xffffffff) ? 0 : ctx.reseeds + 1;
	    ctx.generated = 0;
	  }
	
	  /**
	   * The built-in default seedFile. This seedFile is used when entropy
	   * is needed immediately.
	   *
	   * @param needed the number of bytes that are needed.
	   *
	   * @return the random bytes.
	   */
	  function defaultSeedFile(needed) {
	    // use window.crypto.getRandomValues strong source of entropy if available
	    var getRandomValues = null;
	    if(typeof window !== 'undefined') {
	      var _crypto = window.crypto || window.msCrypto;
	      if(_crypto && _crypto.getRandomValues) {
	        getRandomValues = function(arr) {
	          return _crypto.getRandomValues(arr);
	        };
	      }
	    }
	
	    var b = forge.util.createBuffer();
	    if(getRandomValues) {
	      while(b.length() < needed) {
	        // max byte length is 65536 before QuotaExceededError is thrown
	        // http://www.w3.org/TR/WebCryptoAPI/#RandomSource-method-getRandomValues
	        var count = Math.max(1, Math.min(needed - b.length(), 65536) / 4);
	        var entropy = new Uint32Array(Math.floor(count));
	        try {
	          getRandomValues(entropy);
	          for(var i = 0; i < entropy.length; ++i) {
	            b.putInt32(entropy[i]);
	          }
	        } catch(e) {
	          /* only ignore QuotaExceededError */
	          if(!(typeof QuotaExceededError !== 'undefined' &&
	            e instanceof QuotaExceededError)) {
	            throw e;
	          }
	        }
	      }
	    }
	
	    // be sad and add some weak random data
	    if(b.length() < needed) {
	      /* Draws from Park-Miller "minimal standard" 31 bit PRNG,
	      implemented with David G. Carta's optimization: with 32 bit math
	      and without division (Public Domain). */
	      var hi, lo, next;
	      var seed = Math.floor(Math.random() * 0x010000);
	      while(b.length() < needed) {
	        lo = 16807 * (seed & 0xFFFF);
	        hi = 16807 * (seed >> 16);
	        lo += (hi & 0x7FFF) << 16;
	        lo += hi >> 15;
	        lo = (lo & 0x7FFFFFFF) + (lo >> 31);
	        seed = lo & 0xFFFFFFFF;
	
	        // consume lower 3 bytes of seed
	        for(var i = 0; i < 3; ++i) {
	          // throw in more pseudo random
	          next = seed >>> (i << 3);
	          next ^= Math.floor(Math.random() * 0x0100);
	          b.putByte(String.fromCharCode(next & 0xFF));
	        }
	      }
	    }
	
	    return b.getBytes(needed);
	  }
	  // initialize seed file APIs
	  if(_crypto) {
	    // use nodejs async API
	    ctx.seedFile = function(needed, callback) {
	      _crypto.randomBytes(needed, function(err, bytes) {
	        if(err) {
	          return callback(err);
	        }
	        callback(null, bytes.toString());
	      });
	    };
	    // use nodejs sync API
	    ctx.seedFileSync = function(needed) {
	      return _crypto.randomBytes(needed).toString();
	    };
	  } else {
	    ctx.seedFile = function(needed, callback) {
	      try {
	        callback(null, defaultSeedFile(needed));
	      } catch(e) {
	        callback(e);
	      }
	    };
	    ctx.seedFileSync = defaultSeedFile;
	  }
	
	  /**
	   * Adds entropy to a prng ctx's accumulator.
	   *
	   * @param bytes the bytes of entropy as a string.
	   */
	  ctx.collect = function(bytes) {
	    // iterate over pools distributing entropy cyclically
	    var count = bytes.length;
	    for(var i = 0; i < count; ++i) {
	      ctx.pools[ctx.pool].update(bytes.substr(i, 1));
	      ctx.pool = (ctx.pool === 31) ? 0 : ctx.pool + 1;
	    }
	  };
	
	  /**
	   * Collects an integer of n bits.
	   *
	   * @param i the integer entropy.
	   * @param n the number of bits in the integer.
	   */
	  ctx.collectInt = function(i, n) {
	    var bytes = '';
	    for(var x = 0; x < n; x += 8) {
	      bytes += String.fromCharCode((i >> x) & 0xFF);
	    }
	    ctx.collect(bytes);
	  };
	
	  /**
	   * Registers a Web Worker to receive immediate entropy from the main thread.
	   * This method is required until Web Workers can access the native crypto
	   * API. This method should be called twice for each created worker, once in
	   * the main thread, and once in the worker itself.
	   *
	   * @param worker the worker to register.
	   */
	  ctx.registerWorker = function(worker) {
	    // worker receives random bytes
	    if(worker === self) {
	      ctx.seedFile = function(needed, callback) {
	        function listener(e) {
	          var data = e.data;
	          if(data.forge && data.forge.prng) {
	            self.removeEventListener('message', listener);
	            callback(data.forge.prng.err, data.forge.prng.bytes);
	          }
	        }
	        self.addEventListener('message', listener);
	        self.postMessage({forge: {prng: {needed: needed}}});
	      };
	    } else {
	      // main thread sends random bytes upon request
	      var listener = function(e) {
	        var data = e.data;
	        if(data.forge && data.forge.prng) {
	          ctx.seedFile(data.forge.prng.needed, function(err, bytes) {
	            worker.postMessage({forge: {prng: {err: err, bytes: bytes}}});
	          });
	        }
	      };
	      // TODO: do we need to remove the event listener when the worker dies?
	      worker.addEventListener('message', listener);
	    }
	  };
	
	  return ctx;
	};
	
	})();
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 51 */
/***/ function(module, exports) {

	/* (ignored) */

/***/ },
/* 52 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Secure Hash Algorithm with 256-bit digest (SHA-256) implementation.
	 *
	 * See FIPS 180-2 for details.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 */
	(function() {
	  
	var forge = {
	  sha256 : module.exports || {},
	  util : __webpack_require__(34),
	  md : __webpack_require__(41)
	};
	var sha256 = forge.sha256;
	
	// SHA-256
	forge.md.sha256 = forge.md.algorithms.sha256 = sha256;
	
	/**
	 * Creates a SHA-256 message digest object.
	 *
	 * @return a message digest object.
	 */
	sha256.create = function() {
	  // do initialization as necessary
	  if(!_initialized) {
	    _init();
	  }
	
	  // SHA-256 state contains eight 32-bit integers
	  var _state = null;
	
	  // input buffer
	  var _input = forge.util.createBuffer();
	
	  // used for word storage
	  var _w = new Array(64);
	
	  // message digest object
	  var md = {
	    algorithm: 'sha256',
	    blockLength: 64,
	    digestLength: 32,
	    // 56-bit length of message so far (does not including padding)
	    messageLength: 0,
	    // true 64-bit message length as two 32-bit ints
	    messageLength64: [0, 0]
	  };
	
	  /**
	   * Starts the digest.
	   *
	   * @return this digest object.
	   */
	  md.start = function() {
	    md.messageLength = 0;
	    md.messageLength64 = [0, 0];
	    _input = forge.util.createBuffer();
	    _state = {
	      h0: 0x6A09E667,
	      h1: 0xBB67AE85,
	      h2: 0x3C6EF372,
	      h3: 0xA54FF53A,
	      h4: 0x510E527F,
	      h5: 0x9B05688C,
	      h6: 0x1F83D9AB,
	      h7: 0x5BE0CD19
	    };
	    return md;
	  };
	  // start digest automatically for first time
	  md.start();
	
	  /**
	   * Updates the digest with the given message input. The given input can
	   * treated as raw input (no encoding will be applied) or an encoding of
	   * 'utf8' maybe given to encode the input using UTF-8.
	   *
	   * @param msg the message input to update with.
	   * @param encoding the encoding to use (default: 'raw', other: 'utf8').
	   *
	   * @return this digest object.
	   */
	  md.update = function(msg, encoding) {
	    if(encoding === 'utf8') {
	      msg = forge.util.encodeUtf8(msg);
	    }
	
	    // update message length
	    md.messageLength += msg.length;
	    md.messageLength64[0] += (msg.length / 0x100000000) >>> 0;
	    md.messageLength64[1] += msg.length >>> 0;
	
	    // add bytes to input buffer
	    _input.putBytes(msg);
	
	    // process bytes
	    _update(_state, _w, _input);
	
	    // compact input buffer every 2K or if empty
	    if(_input.read > 2048 || _input.length() === 0) {
	      _input.compact();
	    }
	
	    return md;
	  };
	
	  /**
	   * Produces the digest.
	   *
	   * @return a byte buffer containing the digest value.
	   */
	  md.digest = function() {
	    /* Note: Here we copy the remaining bytes in the input buffer and
	    add the appropriate SHA-256 padding. Then we do the final update
	    on a copy of the state so that if the user wants to get
	    intermediate digests they can do so. */
	
	    /* Determine the number of bytes that must be added to the message
	    to ensure its length is congruent to 448 mod 512. In other words,
	    the data to be digested must be a multiple of 512 bits (or 128 bytes).
	    This data includes the message, some padding, and the length of the
	    message. Since the length of the message will be encoded as 8 bytes (64
	    bits), that means that the last segment of the data must have 56 bytes
	    (448 bits) of message and padding. Therefore, the length of the message
	    plus the padding must be congruent to 448 mod 512 because
	    512 - 128 = 448.
	
	    In order to fill up the message length it must be filled with
	    padding that begins with 1 bit followed by all 0 bits. Padding
	    must *always* be present, so if the message length is already
	    congruent to 448 mod 512, then 512 padding bits must be added. */
	
	    // 512 bits == 64 bytes, 448 bits == 56 bytes, 64 bits = 8 bytes
	    // _padding starts with 1 byte with first bit is set in it which
	    // is byte value 128, then there may be up to 63 other pad bytes
	    var padBytes = forge.util.createBuffer();
	    padBytes.putBytes(_input.bytes());
	    // 64 - (remaining msg + 8 bytes msg length) mod 64
	    padBytes.putBytes(
	      _padding.substr(0, 64 - ((md.messageLength64[1] + 8) & 0x3F)));
	
	    /* Now append length of the message. The length is appended in bits
	    as a 64-bit number in big-endian order. Since we store the length in
	    bytes, we must multiply the 64-bit length by 8 (or left shift by 3). */
	    padBytes.putInt32(
	      (md.messageLength64[0] << 3) | (md.messageLength64[0] >>> 28));
	    padBytes.putInt32(md.messageLength64[1] << 3);
	    var s2 = {
	      h0: _state.h0,
	      h1: _state.h1,
	      h2: _state.h2,
	      h3: _state.h3,
	      h4: _state.h4,
	      h5: _state.h5,
	      h6: _state.h6,
	      h7: _state.h7
	    };
	    _update(s2, _w, padBytes);
	    var rval = forge.util.createBuffer();
	    rval.putInt32(s2.h0);
	    rval.putInt32(s2.h1);
	    rval.putInt32(s2.h2);
	    rval.putInt32(s2.h3);
	    rval.putInt32(s2.h4);
	    rval.putInt32(s2.h5);
	    rval.putInt32(s2.h6);
	    rval.putInt32(s2.h7);
	    return rval;
	  };
	
	  return md;
	};
	
	// sha-256 padding bytes not initialized yet
	var _padding = null;
	var _initialized = false;
	
	// table of constants
	var _k = null;
	
	/**
	 * Initializes the constant tables.
	 */
	function _init() {
	  // create padding
	  _padding = String.fromCharCode(128);
	  _padding += forge.util.fillString(String.fromCharCode(0x00), 64);
	
	  // create K table for SHA-256
	  _k = [
	    0x428a2f98, 0x71374491, 0xb5c0fbcf, 0xe9b5dba5,
	    0x3956c25b, 0x59f111f1, 0x923f82a4, 0xab1c5ed5,
	    0xd807aa98, 0x12835b01, 0x243185be, 0x550c7dc3,
	    0x72be5d74, 0x80deb1fe, 0x9bdc06a7, 0xc19bf174,
	    0xe49b69c1, 0xefbe4786, 0x0fc19dc6, 0x240ca1cc,
	    0x2de92c6f, 0x4a7484aa, 0x5cb0a9dc, 0x76f988da,
	    0x983e5152, 0xa831c66d, 0xb00327c8, 0xbf597fc7,
	    0xc6e00bf3, 0xd5a79147, 0x06ca6351, 0x14292967,
	    0x27b70a85, 0x2e1b2138, 0x4d2c6dfc, 0x53380d13,
	    0x650a7354, 0x766a0abb, 0x81c2c92e, 0x92722c85,
	    0xa2bfe8a1, 0xa81a664b, 0xc24b8b70, 0xc76c51a3,
	    0xd192e819, 0xd6990624, 0xf40e3585, 0x106aa070,
	    0x19a4c116, 0x1e376c08, 0x2748774c, 0x34b0bcb5,
	    0x391c0cb3, 0x4ed8aa4a, 0x5b9cca4f, 0x682e6ff3,
	    0x748f82ee, 0x78a5636f, 0x84c87814, 0x8cc70208,
	    0x90befffa, 0xa4506ceb, 0xbef9a3f7, 0xc67178f2];
	
	  // now initialized
	  _initialized = true;
	}
	
	/**
	 * Updates a SHA-256 state with the given byte buffer.
	 *
	 * @param s the SHA-256 state to update.
	 * @param w the array to use to store words.
	 * @param bytes the byte buffer to update with.
	 */
	function _update(s, w, bytes) {
	  // consume 512 bit (64 byte) chunks
	  var t1, t2, s0, s1, ch, maj, i, a, b, c, d, e, f, g, h;
	  var len = bytes.length();
	  while(len >= 64) {
	    // the w array will be populated with sixteen 32-bit big-endian words
	    // and then extended into 64 32-bit words according to SHA-256
	    for(i = 0; i < 16; ++i) {
	      w[i] = bytes.getInt32();
	    }
	    for(; i < 64; ++i) {
	      // XOR word 2 words ago rot right 17, rot right 19, shft right 10
	      t1 = w[i - 2];
	      t1 =
	        ((t1 >>> 17) | (t1 << 15)) ^
	        ((t1 >>> 19) | (t1 << 13)) ^
	        (t1 >>> 10);
	      // XOR word 15 words ago rot right 7, rot right 18, shft right 3
	      t2 = w[i - 15];
	      t2 =
	        ((t2 >>> 7) | (t2 << 25)) ^
	        ((t2 >>> 18) | (t2 << 14)) ^
	        (t2 >>> 3);
	      // sum(t1, word 7 ago, t2, word 16 ago) modulo 2^32
	      w[i] = (t1 + w[i - 7] + t2 + w[i - 16]) | 0;
	    }
	
	    // initialize hash value for this chunk
	    a = s.h0;
	    b = s.h1;
	    c = s.h2;
	    d = s.h3;
	    e = s.h4;
	    f = s.h5;
	    g = s.h6;
	    h = s.h7;
	
	    // round function
	    for(i = 0; i < 64; ++i) {
	      // Sum1(e)
	      s1 =
	        ((e >>> 6) | (e << 26)) ^
	        ((e >>> 11) | (e << 21)) ^
	        ((e >>> 25) | (e << 7));
	      // Ch(e, f, g) (optimized the same way as SHA-1)
	      ch = g ^ (e & (f ^ g));
	      // Sum0(a)
	      s0 =
	        ((a >>> 2) | (a << 30)) ^
	        ((a >>> 13) | (a << 19)) ^
	        ((a >>> 22) | (a << 10));
	      // Maj(a, b, c) (optimized the same way as SHA-1)
	      maj = (a & b) | (c & (a ^ b));
	
	      // main algorithm
	      t1 = h + s1 + ch + _k[i] + w[i];
	      t2 = s0 + maj;
	      h = g;
	      g = f;
	      f = e;
	      e = (d + t1) | 0;
	      d = c;
	      c = b;
	      b = a;
	      a = (t1 + t2) | 0;
	    }
	
	    // update hash state
	    s.h0 = (s.h0 + a) | 0;
	    s.h1 = (s.h1 + b) | 0;
	    s.h2 = (s.h2 + c) | 0;
	    s.h3 = (s.h3 + d) | 0;
	    s.h4 = (s.h4 + e) | 0;
	    s.h5 = (s.h5 + f) | 0;
	    s.h6 = (s.h6 + g) | 0;
	    s.h7 = (s.h7 + h) | 0;
	    len -= 64;
	  }
	}
	
	})();


/***/ },
/* 53 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Password-Based Key-Derivation Function #2 implementation.
	 *
	 * See RFC 2898 for details.
	 *
	 * @author Matt Miller
	 *
	 * Copyright (c) 2010-2013 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  pkcs5 : module.exports || {}
	};
	
	forge.pkcs5 = __webpack_require__(54);
	
	})();


/***/ },
/* 54 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Password-Based Key-Derivation Function #2 implementation.
	 *
	 * See RFC 2898 for details.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2013 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  util : __webpack_require__(34),
	  pkcs5 : __webpack_require__(53),
	  md : __webpack_require__(41),
	  hmac : __webpack_require__(40)
	}
	
	// setup SHA-1
	__webpack_require__(43);
	
	var pkcs5 = forge.pkcs5;
	
	/**
	 * Derives a key from a password.
	 *
	 * @param p the password as a string of bytes.
	 * @param s the salt as a string of bytes.
	 * @param c the iteration count, a positive integer.
	 * @param dkLen the intended length, in bytes, of the derived key,
	 *          (max: 2^32 - 1) * hash length of the PRF.
	 * @param md the message digest to use in the PRF, defaults to SHA-1.
	 *
	 * @return the derived key, as a string of bytes.
	 */
	module.exports = forge.pbkdf2 = pkcs5.pbkdf2 = function(p, s, c, dkLen, md, callback) {
	  if(typeof md === 'function') {
	    callback = md;
	    md = null;
	  }
	  // default prf to SHA-1
	  if(typeof md === 'undefined' || md === null) {
	    md = forge.md.sha1.create();
	  }
	
	  var hLen = md.digestLength;
	
	  /* 1. If dkLen > (2^32 - 1) * hLen, output "derived key too long" and
	    stop. */
	  if(dkLen > (0xFFFFFFFF * hLen)) {
	    var err = new Error('Derived key is too long.');
	    if(callback) {
	      return callback(err);
	    }
	    throw err;
	  }
	
	  /* 2. Let len be the number of hLen-octet blocks in the derived key,
	    rounding up, and let r be the number of octets in the last
	    block:
	
	    len = CEIL(dkLen / hLen),
	    r = dkLen - (len - 1) * hLen. */
	  var len = Math.ceil(dkLen / hLen);
	  var r = dkLen - (len - 1) * hLen;
	
	  /* 3. For each block of the derived key apply the function F defined
	    below to the password P, the salt S, the iteration count c, and
	    the block index to compute the block:
	
	    T_1 = F(P, S, c, 1),
	    T_2 = F(P, S, c, 2),
	    ...
	    T_len = F(P, S, c, len),
	
	    where the function F is defined as the exclusive-or sum of the
	    first c iterates of the underlying pseudorandom function PRF
	    applied to the password P and the concatenation of the salt S
	    and the block index i:
	
	    F(P, S, c, i) = u_1 XOR u_2 XOR ... XOR u_c
	
	    where
	
	    u_1 = PRF(P, S || INT(i)),
	    u_2 = PRF(P, u_1),
	    ...
	    u_c = PRF(P, u_{c-1}).
	
	    Here, INT(i) is a four-octet encoding of the integer i, most
	    significant octet first. */
	  var prf = forge.hmac.create();
	  prf.start(md, p);
	  var dk = '';
	  var xor, u_c, u_c1;
	
	  // sync version
	  if(!callback) {
	    for(var i = 1; i <= len; ++i) {
	      // PRF(P, S || INT(i)) (first iteration)
	      prf.start(null, null);
	      prf.update(s);
	      prf.update(forge.util.int32ToBytes(i));
	      xor = u_c1 = prf.digest().getBytes();
	
	      // PRF(P, u_{c-1}) (other iterations)
	      for(var j = 2; j <= c; ++j) {
	        prf.start(null, null);
	        prf.update(u_c1);
	        u_c = prf.digest().getBytes();
	        // F(p, s, c, i)
	        xor = forge.util.xorBytes(xor, u_c, hLen);
	        u_c1 = u_c;
	      }
	
	      /* 4. Concatenate the blocks and extract the first dkLen octets to
	        produce a derived key DK:
	
	        DK = T_1 || T_2 ||  ...  || T_len<0..r-1> */
	      dk += (i < len) ? xor : xor.substr(0, r);
	    }
	    /* 5. Output the derived key DK. */
	    return dk;
	  }
	
	  // async version
	  var i = 1, j;
	  function outer() {
	    if(i > len) {
	      // done
	      return callback(null, dk);
	    }
	
	    // PRF(P, S || INT(i)) (first iteration)
	    prf.start(null, null);
	    prf.update(s);
	    prf.update(forge.util.int32ToBytes(i));
	    xor = u_c1 = prf.digest().getBytes();
	
	    // PRF(P, u_{c-1}) (other iterations)
	    j = 2;
	    inner();
	  }
	
	  function inner() {
	    if(j <= c) {
	      prf.start(null, null);
	      prf.update(u_c1);
	      u_c = prf.digest().getBytes();
	      // F(p, s, c, i)
	      xor = forge.util.xorBytes(xor, u_c, hLen);
	      u_c1 = u_c;
	      ++j;
	      return forge.util.setImmediate(inner);
	    }
	
	    /* 4. Concatenate the blocks and extract the first dkLen octets to
	      produce a derived key DK:
	
	      DK = T_1 || T_2 ||  ...  || T_len<0..r-1> */
	    dk += (i < len) ? xor : xor.substr(0, r);
	
	    ++i;
	    outer();
	  }
	
	  outer();
	};
	
	})();


/***/ },
/* 55 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of PKCS#7 v1.5. Currently only certain parts of
	 * PKCS#7 are implemented, especially the enveloped-data content type.
	 *
	 * @author Stefan Siegl
	 *
	 * Copyright (c) 2012 Stefan Siegl <stesie@brokenpipe.de>
	 *
	 * Currently this implementation only supports ContentType of either
	 * EnvelopedData or EncryptedData on root level.  The top level elements may
	 * contain only a ContentInfo of ContentType Data, i.e. plain data.  Further
	 * nesting is not (yet) supported.
	 *
	 * The Forge validators for PKCS #7's ASN.1 structures are available from
	 * a seperate file pkcs7asn1.js, since those are referenced from other
	 * PKCS standards like PKCS #12.
	 */
	(function() {
	
	var forge = {
	  pkcs7 : module.exports,
	  asn1 : __webpack_require__(36),
	  aes : __webpack_require__(32),
	  des : __webpack_require__(56),
	  pki : __webpack_require__(57),
	  pem : __webpack_require__(38),
	  random : __webpack_require__(49),
	  util : __webpack_require__(34)
	};
	
	// setup PKCS7 ASN1 validation
	__webpack_require__(61);
	
	// shortcut for ASN.1 API
	var asn1 = forge.asn1;
	
	// shortcut for PKCS#7 API
	var p7 = forge.pkcs7;
	
	// shortcut for PKCS#7 Validator
	forge.pkcs7.asn1 = __webpack_require__(61);
	
	/**
	 * Converts a PKCS#7 message from PEM format.
	 *
	 * @param pem the PEM-formatted PKCS#7 message.
	 *
	 * @return the PKCS#7 message.
	 */
	p7.messageFromPem = function(pem) {
	  var msg = forge.pem.decode(pem)[0];
	
	  if(msg.type !== 'PKCS7') {
	    var error = new Error('Could not convert PKCS#7 message from PEM; PEM ' +
	      'header type is not "PKCS#7".');
	    error.headerType = msg.type;
	    throw error;
	  }
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert PKCS#7 message from PEM; PEM is encrypted.');
	  }
	
	  // convert DER to ASN.1 object
	  var obj = asn1.fromDer(msg.body);
	
	  return p7.messageFromAsn1(obj);
	};
	
	/**
	 * Converts a PKCS#7 message to PEM format.
	 *
	 * @param msg The PKCS#7 message object
	 * @param maxline The maximum characters per line, defaults to 64.
	 *
	 * @return The PEM-formatted PKCS#7 message.
	 */
	p7.messageToPem = function(msg, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var pemObj = {
	    type: 'PKCS7',
	    body: asn1.toDer(msg.toAsn1()).getBytes()
	  };
	  return forge.pem.encode(pemObj, {maxline: maxline});
	};
	
	/**
	 * Converts a PKCS#7 message from an ASN.1 object.
	 *
	 * @param obj the ASN.1 representation of a ContentInfo.
	 *
	 * @return the PKCS#7 message.
	 */
	p7.messageFromAsn1 = function(obj) {
	  // validate root level ContentInfo and capture data
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, p7.asn1.contentInfoValidator, capture, errors))
	  {
	    var error = new Error('Cannot read PKCS#7 message. ' +
	      'ASN.1 object is not an PKCS#7 ContentInfo.');
	    error.errors = errors;
	    throw error;
	  }
	
	  var contentType = asn1.derToOid(capture.contentType);
	  var msg;
	
	  switch(contentType) {
	    case forge.pki.oids.envelopedData:
	      msg = p7.createEnvelopedData();
	      break;
	
	    case forge.pki.oids.encryptedData:
	      msg = p7.createEncryptedData();
	      break;
	
	    case forge.pki.oids.signedData:
	      msg = p7.createSignedData();
	      break;
	
	    default:
	      throw new Error('Cannot read PKCS#7 message. ContentType with OID ' +
	        contentType + ' is not (yet) supported.');
	  }
	
	  msg.fromAsn1(capture.content.value[0]);
	  return msg;
	};
	
	/**
	 * Converts a single RecipientInfo from an ASN.1 object.
	 *
	 * @param obj The ASN.1 representation of a RecipientInfo.
	 *
	 * @return The recipientInfo object.
	 */
	var _recipientInfoFromAsn1 = function(obj) {
	  // Validate EnvelopedData content block and capture data.
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, p7.asn1.recipientInfoValidator, capture, errors))
	  {
	    var error = new Error('Cannot read PKCS#7 message. ' +
	      'ASN.1 object is not an PKCS#7 EnvelopedData.');
	    error.errors = errors;
	    throw error;
	  }
	
	  return {
	    version: capture.version.charCodeAt(0),
	    issuer: forge.pki.RDNAttributesAsArray(capture.issuer),
	    serialNumber: forge.util.createBuffer(capture.serial).toHex(),
	    encryptedContent: {
	      algorithm: asn1.derToOid(capture.encAlgorithm),
	      parameter: capture.encParameter.value,
	      content: capture.encKey
	    }
	  };
	};
	
	/**
	 * Converts a single recipientInfo object to an ASN.1 object.
	 *
	 * @param obj The recipientInfo object.
	 *
	 * @return The ASN.1 representation of a RecipientInfo.
	 */
	var _recipientInfoToAsn1 = function(obj) {
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // Version
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      asn1.integerToDer(obj.version).getBytes()),
	    // IssuerAndSerialNumber
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // Name
	      forge.pki.distinguishedNameToAsn1({attributes: obj.issuer}),
	      // Serial
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	        forge.util.hexToBytes(obj.serialNumber))
	    ]),
	    // KeyEncryptionAlgorithmIdentifier
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // Algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(obj.encryptedContent.algorithm).getBytes()),
	      // Parameter, force NULL, only RSA supported for now.
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '')
	    ]),
	    // EncryptedKey
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false,
	      obj.encryptedContent.content)
	  ]);
	};
	
	/**
	 * Map a set of RecipientInfo ASN.1 objects to recipientInfo objects.
	 *
	 * @param objArr Array of ASN.1 representations RecipientInfo (i.e. SET OF).
	 *
	 * @return array of recipientInfo objects.
	 */
	var _recipientInfosFromAsn1 = function(objArr) {
	  var ret = [];
	  for(var i = 0; i < objArr.length; i ++) {
	    ret.push(_recipientInfoFromAsn1(objArr[i]));
	  }
	  return ret;
	};
	
	/**
	 * Map an array of recipientInfo objects to ASN.1 objects.
	 *
	 * @param recipientsArr Array of recipientInfo objects.
	 *
	 * @return Array of ASN.1 representations RecipientInfo.
	 */
	var _recipientInfosToAsn1 = function(recipientsArr) {
	  var ret = [];
	  for(var i = 0; i < recipientsArr.length; i ++) {
	    ret.push(_recipientInfoToAsn1(recipientsArr[i]));
	  }
	  return ret;
	};
	
	/**
	 * Map messages encrypted content to ASN.1 objects.
	 *
	 * @param ec The encryptedContent object of the message.
	 *
	 * @return ASN.1 representation of the encryptedContent object (SEQUENCE).
	 */
	var _encryptedContentToAsn1 = function(ec) {
	  return [
	    // ContentType, always Data for the moment
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	      asn1.oidToDer(forge.pki.oids.data).getBytes()),
	    // ContentEncryptionAlgorithmIdentifier
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // Algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(ec.algorithm).getBytes()),
	      // Parameters (IV)
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false,
	        ec.parameter.getBytes())
	    ]),
	    // [0] EncryptedContent
	    asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false,
	        ec.content.getBytes())
	    ])
	  ];
	};
	
	/**
	 * Reads the "common part" of an PKCS#7 content block (in ASN.1 format)
	 *
	 * This function reads the "common part" of the PKCS#7 content blocks
	 * EncryptedData and EnvelopedData, i.e. version number and symmetrically
	 * encrypted content block.
	 *
	 * The result of the ASN.1 validate and capture process is returned
	 * to allow the caller to extract further data, e.g. the list of recipients
	 * in case of a EnvelopedData object.
	 *
	 * @param msg the PKCS#7 object to read the data to.
	 * @param obj the ASN.1 representation of the content block.
	 * @param validator the ASN.1 structure validator object to use.
	 *
	 * @return the value map captured by validator object.
	 */
	var _fromAsn1 = function(msg, obj, validator) {
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, validator, capture, errors)) {
	    var error = new Error('Cannot read PKCS#7 message. ' +
	      'ASN.1 object is not a supported PKCS#7 message.');
	    error.errors = error;
	    throw error;
	  }
	
	  // Check contentType, so far we only support (raw) Data.
	  var contentType = asn1.derToOid(capture.contentType);
	  if(contentType !== forge.pki.oids.data) {
	    throw new Error('Unsupported PKCS#7 message. ' +
	      'Only wrapped ContentType Data supported.');
	  }
	
	  if(capture.encryptedContent) {
	    var content = '';
	    if(forge.util.isArray(capture.encryptedContent)) {
	      for(var i = 0; i < capture.encryptedContent.length; ++i) {
	        if(capture.encryptedContent[i].type !== asn1.Type.OCTETSTRING) {
	          throw new Error('Malformed PKCS#7 message, expecting encrypted ' +
	            'content constructed of only OCTET STRING objects.');
	        }
	        content += capture.encryptedContent[i].value;
	      }
	    } else {
	      content = capture.encryptedContent;
	    }
	    msg.encryptedContent = {
	      algorithm: asn1.derToOid(capture.encAlgorithm),
	      parameter: forge.util.createBuffer(capture.encParameter.value),
	      content: forge.util.createBuffer(content)
	    };
	  }
	
	  if(capture.content) {
	    var content = '';
	    if(forge.util.isArray(capture.content)) {
	      for(var i = 0; i < capture.content.length; ++i) {
	        if(capture.content[i].type !== asn1.Type.OCTETSTRING) {
	          throw new Error('Malformed PKCS#7 message, expecting ' +
	            'content constructed of only OCTET STRING objects.');
	        }
	        content += capture.content[i].value;
	      }
	    } else {
	      content = capture.content;
	    }
	    msg.content = forge.util.createBuffer(content);
	  }
	
	  msg.version = capture.version.charCodeAt(0);
	  msg.rawCapture = capture;
	
	  return capture;
	};
	
	/**
	 * Decrypt the symmetrically encrypted content block of the PKCS#7 message.
	 *
	 * Decryption is skipped in case the PKCS#7 message object already has a
	 * (decrypted) content attribute.  The algorithm, key and cipher parameters
	 * (probably the iv) are taken from the encryptedContent attribute of the
	 * message object.
	 *
	 * @param The PKCS#7 message object.
	 */
	var _decryptContent = function (msg) {
	  if(msg.encryptedContent.key === undefined) {
	    throw new Error('Symmetric key not available.');
	  }
	
	  if(msg.content === undefined) {
	    var ciph;
	
	    switch(msg.encryptedContent.algorithm) {
	      case forge.pki.oids['aes128-CBC']:
	      case forge.pki.oids['aes192-CBC']:
	      case forge.pki.oids['aes256-CBC']:
	        ciph = forge.aes.createDecryptionCipher(msg.encryptedContent.key);
	        break;
	
	      case forge.pki.oids['desCBC']:
	      case forge.pki.oids['des-EDE3-CBC']:
	        ciph = forge.des.createDecryptionCipher(msg.encryptedContent.key);
	        break;
	
	      default:
	        throw new Error('Unsupported symmetric cipher, OID ' +
	          msg.encryptedContent.algorithm);
	    }
	    ciph.start(msg.encryptedContent.parameter);
	    ciph.update(msg.encryptedContent.content);
	
	    if(!ciph.finish()) {
	      throw new Error('Symmetric decryption failed.');
	    }
	
	    msg.content = ciph.output;
	  }
	};
	
	p7.createSignedData = function() {
	  var msg = null;
	  msg = {
	    type: forge.pki.oids.signedData,
	    version: 1,
	    certificates: [],
	    crls: [],
	    // populated during sign()
	    digestAlgorithmIdentifiers: [],
	    contentInfo: null,
	    signerInfos: [],
	
	    fromAsn1: function(obj) {
	      // validate SignedData content block and capture data.
	      _fromAsn1(msg, obj, p7.asn1.signedDataValidator);
	      msg.certificates = [];
	      msg.crls = [];
	      msg.digestAlgorithmIdentifiers = [];
	      msg.contentInfo = null;
	      msg.signerInfos = [];
	
	      var certs = msg.rawCapture.certificates.value;
	      for(var i = 0; i < certs.length; ++i) {
	        msg.certificates.push(forge.pki.certificateFromAsn1(certs[i]));
	      }
	
	      // TODO: parse crls
	    },
	
	    toAsn1: function() {
	      // TODO: add support for more data types here
	      if('content' in msg) {
	        throw new Error('Signing PKCS#7 content not yet implemented.');
	      }
	
	      // degenerate case with no content
	      if(!msg.contentInfo) {
	        msg.sign();
	      }
	
	      var certs = [];
	      for(var i = 0; i < msg.certificates.length; ++i) {
	        certs.push(forge.pki.certificateToAsn1(msg.certificates[0]));
	      }
	
	      var crls = [];
	      // TODO: implement CRLs
	
	      // ContentInfo
	      return asn1.create(
	        asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	          // ContentType
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	            asn1.oidToDer(msg.type).getBytes()),
	          // [0] SignedData
	          asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	              // Version
	              asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	                asn1.integerToDer(msg.version).getBytes()),
	              // DigestAlgorithmIdentifiers
	              asn1.create(
	                asn1.Class.UNIVERSAL, asn1.Type.SET, true,
	                msg.digestAlgorithmIdentifiers),
	              // ContentInfo
	              msg.contentInfo,
	              // [0] IMPLICIT ExtendedCertificatesAndCertificates
	              asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, certs),
	              // [1] IMPLICIT CertificateRevocationLists
	              asn1.create(asn1.Class.CONTEXT_SPECIFIC, 1, true, crls),
	              // SignerInfos
	              asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SET, true,
	                msg.signerInfos)
	            ])
	          ])
	      ]);
	    },
	
	    /**
	     * Signs the content.
	     *
	     * @param signer the signer (or array of signers) to sign as, for each:
	     *          key the private key to sign with.
	     *          [md] the message digest to use, defaults to sha-1.
	     */
	    sign: function(signer) {
	      if('content' in msg) {
	        throw new Error('PKCS#7 signing not yet implemented.');
	      }
	
	      if(typeof msg.content !== 'object') {
	        // use Data ContentInfo
	        msg.contentInfo = asn1.create(
	          asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	            // ContentType
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	              asn1.oidToDer(forge.pki.oids.data).getBytes())
	          ]);
	
	        // add actual content, if present
	        if('content' in msg) {
	          msg.contentInfo.value.push(
	            // [0] EXPLICIT content
	            asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	              asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false,
	                msg.content)
	            ]));
	        }
	      }
	
	      // TODO: generate digest algorithm identifiers
	
	      // TODO: generate signerInfos
	    },
	
	    verify: function() {
	      throw new Error('PKCS#7 signature verification not yet implemented.');
	    },
	
	    /**
	     * Add a certificate.
	     *
	     * @param cert the certificate to add.
	     */
	    addCertificate: function(cert) {
	      // convert from PEM
	      if(typeof cert === 'string') {
	        cert = forge.pki.certificateFromPem(cert);
	      }
	      msg.certificates.push(cert);
	    },
	
	    /**
	     * Add a certificate revokation list.
	     *
	     * @param crl the certificate revokation list to add.
	     */
	    addCertificateRevokationList: function(crl) {
	      throw new Error('PKCS#7 CRL support not yet implemented.');
	    }
	  };
	  return msg;
	};
	
	/**
	 * Creates an empty PKCS#7 message of type EncryptedData.
	 *
	 * @return the message.
	 */
	p7.createEncryptedData = function() {
	  var msg = null;
	  msg = {
	    type: forge.pki.oids.encryptedData,
	    version: 0,
	    encryptedContent: {
	      algorithm: forge.pki.oids['aes256-CBC']
	    },
	
	    /**
	     * Reads an EncryptedData content block (in ASN.1 format)
	     *
	     * @param obj The ASN.1 representation of the EncryptedData content block
	     */
	    fromAsn1: function(obj) {
	      // Validate EncryptedData content block and capture data.
	      _fromAsn1(msg, obj, p7.asn1.encryptedDataValidator);
	    },
	
	    /**
	     * Decrypt encrypted content
	     *
	     * @param key The (symmetric) key as a byte buffer
	     */
	    decrypt: function(key) {
	      if(key !== undefined) {
	        msg.encryptedContent.key = key;
	      }
	      _decryptContent(msg);
	    }
	  };
	  return msg;
	};
	
	/**
	 * Creates an empty PKCS#7 message of type EnvelopedData.
	 *
	 * @return the message.
	 */
	p7.createEnvelopedData = function() {
	  var msg = null;
	  msg = {
	    type: forge.pki.oids.envelopedData,
	    version: 0,
	    recipients: [],
	    encryptedContent: {
	      algorithm: forge.pki.oids['aes256-CBC']
	    },
	
	    /**
	     * Reads an EnvelopedData content block (in ASN.1 format)
	     *
	     * @param obj the ASN.1 representation of the EnvelopedData content block.
	     */
	    fromAsn1: function(obj) {
	      // validate EnvelopedData content block and capture data
	      var capture = _fromAsn1(msg, obj, p7.asn1.envelopedDataValidator);
	      msg.recipients = _recipientInfosFromAsn1(capture.recipientInfos.value);
	    },
	
	    toAsn1: function() {
	      // ContentInfo
	      return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	        // ContentType
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	          asn1.oidToDer(msg.type).getBytes()),
	        // [0] EnvelopedData
	        asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	            // Version
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	              asn1.integerToDer(msg.version).getBytes()),
	            // RecipientInfos
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SET, true,
	              _recipientInfosToAsn1(msg.recipients)),
	            // EncryptedContentInfo
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true,
	              _encryptedContentToAsn1(msg.encryptedContent))
	          ])
	        ])
	      ]);
	    },
	
	    /**
	     * Find recipient by X.509 certificate's issuer.
	     *
	     * @param cert the certificate with the issuer to look for.
	     *
	     * @return the recipient object.
	     */
	    findRecipient: function(cert) {
	      var sAttr = cert.issuer.attributes;
	
	      for(var i = 0; i < msg.recipients.length; ++i) {
	        var r = msg.recipients[i];
	        var rAttr = r.issuer;
	
	        if(r.serialNumber !== cert.serialNumber) {
	          continue;
	        }
	
	        if(rAttr.length !== sAttr.length) {
	          continue;
	        }
	
	        var match = true;
	        for(var j = 0; j < sAttr.length; ++j) {
	          if(rAttr[j].type !== sAttr[j].type ||
	            rAttr[j].value !== sAttr[j].value) {
	            match = false;
	            break;
	          }
	        }
	
	        if(match) {
	          return r;
	        }
	      }
	
	      return null;
	    },
	
	    /**
	     * Decrypt enveloped content
	     *
	     * @param recipient The recipient object related to the private key
	     * @param privKey The (RSA) private key object
	     */
	    decrypt: function(recipient, privKey) {
	      if(msg.encryptedContent.key === undefined && recipient !== undefined &&
	        privKey !== undefined) {
	        switch(recipient.encryptedContent.algorithm) {
	          case forge.pki.oids.rsaEncryption:
	          case forge.pki.oids.desCBC:
	            var key = privKey.decrypt(recipient.encryptedContent.content);
	            msg.encryptedContent.key = forge.util.createBuffer(key);
	            break;
	
	          default:
	            throw new Error('Unsupported asymmetric cipher, ' +
	              'OID ' + recipient.encryptedContent.algorithm);
	        }
	      }
	
	      _decryptContent(msg);
	    },
	
	    /**
	     * Add (another) entity to list of recipients.
	     *
	     * @param cert The certificate of the entity to add.
	     */
	    addRecipient: function(cert) {
	      msg.recipients.push({
	        version: 0,
	        issuer: cert.issuer.attributes,
	        serialNumber: cert.serialNumber,
	        encryptedContent: {
	          // We simply assume rsaEncryption here, since forge.pki only
	          // supports RSA so far.  If the PKI module supports other
	          // ciphers one day, we need to modify this one as well.
	          algorithm: forge.pki.oids.rsaEncryption,
	          key: cert.publicKey
	        }
	      });
	    },
	
	    /**
	     * Encrypt enveloped content.
	     *
	     * This function supports two optional arguments, cipher and key, which
	     * can be used to influence symmetric encryption.  Unless cipher is
	     * provided, the cipher specified in encryptedContent.algorithm is used
	     * (defaults to AES-256-CBC).  If no key is provided, encryptedContent.key
	     * is (re-)used.  If that one's not set, a random key will be generated
	     * automatically.
	     *
	     * @param [key] The key to be used for symmetric encryption.
	     * @param [cipher] The OID of the symmetric cipher to use.
	     */
	    encrypt: function(key, cipher) {
	      // Part 1: Symmetric encryption
	      if(msg.encryptedContent.content === undefined) {
	        cipher = cipher || msg.encryptedContent.algorithm;
	        key = key || msg.encryptedContent.key;
	
	        var keyLen, ivLen, ciphFn;
	        switch(cipher) {
	          case forge.pki.oids['aes128-CBC']:
	            keyLen = 16;
	            ivLen = 16;
	            ciphFn = forge.aes.createEncryptionCipher;
	            break;
	
	          case forge.pki.oids['aes192-CBC']:
	            keyLen = 24;
	            ivLen = 16;
	            ciphFn = forge.aes.createEncryptionCipher;
	            break;
	
	          case forge.pki.oids['aes256-CBC']:
	            keyLen = 32;
	            ivLen = 16;
	            ciphFn = forge.aes.createEncryptionCipher;
	            break;
	
	          case forge.pki.oids['des-EDE3-CBC']:
	            keyLen = 24;
	            ivLen = 8;
	            ciphFn = forge.des.createEncryptionCipher;
	            break;
	
	          default:
	            throw new Error('Unsupported symmetric cipher, OID ' + cipher);
	        }
	
	        if(key === undefined) {
	          key = forge.util.createBuffer(forge.random.getBytes(keyLen));
	        } else if(key.length() != keyLen) {
	          throw new Error('Symmetric key has wrong length; ' +
	            'got ' + key.length() + ' bytes, expected ' + keyLen + '.');
	        }
	
	        // Keep a copy of the key & IV in the object, so the caller can
	        // use it for whatever reason.
	        msg.encryptedContent.algorithm = cipher;
	        msg.encryptedContent.key = key;
	        msg.encryptedContent.parameter = forge.util.createBuffer(
	          forge.random.getBytes(ivLen));
	
	        var ciph = ciphFn(key);
	        ciph.start(msg.encryptedContent.parameter.copy());
	        ciph.update(msg.content);
	
	        // The finish function does PKCS#7 padding by default, therefore
	        // no action required by us.
	        if(!ciph.finish()) {
	          throw new Error('Symmetric encryption failed.');
	        }
	
	        msg.encryptedContent.content = ciph.output;
	      }
	
	      // Part 2: asymmetric encryption for each recipient
	      for(var i = 0; i < msg.recipients.length; i ++) {
	        var recipient = msg.recipients[i];
	
	        // Nothing to do, encryption already done.
	        if(recipient.encryptedContent.content !== undefined) {
	          continue;
	        }
	
	        switch(recipient.encryptedContent.algorithm) {
	          case forge.pki.oids.rsaEncryption:
	            recipient.encryptedContent.content =
	              recipient.encryptedContent.key.encrypt(
	                msg.encryptedContent.key.data);
	            break;
	
	          default:
	            throw new Error('Unsupported asymmetric cipher, OID ' +
	              recipient.encryptedContent.algorithm);
	        }
	      }
	    }
	  };
	  return msg;
	};
	
	})();


/***/ },
/* 56 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * DES (Data Encryption Standard) implementation.
	 *
	 * This implementation supports DES as well as 3DES-EDE in ECB and CBC mode.
	 * It is based on the BSD-licensed implementation by Paul Tero:
	 *
	 * Paul Tero, July 2001
	 * http://www.tero.co.uk/des/
	 *
	 * Optimised for performance with large blocks by Michael Hayworth, November 2001
	 * http://www.netdealing.com
	 *
	 * THIS SOFTWARE IS PROVIDED "AS IS" AND
	 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
	 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
	 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
	 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
	 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
	 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
	 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
	 * SUCH DAMAGE.
	 *
	 * @author Stefan Siegl
	 * @author Dave Longley
	 *
	 * Copyright (c) 2012 Stefan Siegl <stesie@brokenpipe.de>
	 * Copyright (c) 2012-2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  des : module.exports || {},
	  cipher : __webpack_require__(33),
	  util : __webpack_require__(34)
	}
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var cipher = forge.cipher.createCipher('DES-<mode>', key);
	 * cipher.start({iv: iv});
	 *
	 * Creates an DES cipher object to encrypt data using the given symmetric key.
	 * The output will be stored in the 'output' member of the returned cipher.
	 *
	 * The key and iv may be given as binary-encoded strings of bytes or
	 * byte buffers.
	 *
	 * @param key the symmetric key to use (64 or 192 bits).
	 * @param iv the initialization vector to use.
	 * @param output the buffer to write to, null to create one.
	 * @param mode the cipher mode to use (default: 'CBC' if IV is
	 *          given, 'ECB' if null).
	 *
	 * @return the cipher.
	 */
	forge.des.startEncrypting = function(key, iv, output, mode) {
	  var cipher = _createCipher({
	    key: key,
	    output: output,
	    decrypt: false,
	    mode: mode || (iv === null ? 'ECB' : 'CBC')
	  });
	  cipher.start(iv);
	  return cipher;
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var cipher = forge.cipher.createCipher('DES-<mode>', key);
	 *
	 * Creates an DES cipher object to encrypt data using the given symmetric key.
	 *
	 * The key may be given as a binary-encoded string of bytes or a byte buffer.
	 *
	 * @param key the symmetric key to use (64 or 192 bits).
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.des.createEncryptionCipher = function(key, mode) {
	  return _createCipher({
	    key: key,
	    output: null,
	    decrypt: false,
	    mode: mode
	  });
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var decipher = forge.cipher.createDecipher('DES-<mode>', key);
	 * decipher.start({iv: iv});
	 *
	 * Creates an DES cipher object to decrypt data using the given symmetric key.
	 * The output will be stored in the 'output' member of the returned cipher.
	 *
	 * The key and iv may be given as binary-encoded strings of bytes or
	 * byte buffers.
	 *
	 * @param key the symmetric key to use (64 or 192 bits).
	 * @param iv the initialization vector to use.
	 * @param output the buffer to write to, null to create one.
	 * @param mode the cipher mode to use (default: 'CBC' if IV is
	 *          given, 'ECB' if null).
	 *
	 * @return the cipher.
	 */
	forge.des.startDecrypting = function(key, iv, output, mode) {
	  var cipher = _createCipher({
	    key: key,
	    output: output,
	    decrypt: true,
	    mode: mode || (iv === null ? 'ECB' : 'CBC')
	  });
	  cipher.start(iv);
	  return cipher;
	};
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * var decipher = forge.cipher.createDecipher('DES-<mode>', key);
	 *
	 * Creates an DES cipher object to decrypt data using the given symmetric key.
	 *
	 * The key may be given as a binary-encoded string of bytes or a byte buffer.
	 *
	 * @param key the symmetric key to use (64 or 192 bits).
	 * @param mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	forge.des.createDecryptionCipher = function(key, mode) {
	  return _createCipher({
	    key: key,
	    output: null,
	    decrypt: true,
	    mode: mode
	  });
	};
	
	/**
	 * Creates a new DES cipher algorithm object.
	 *
	 * @param name the name of the algorithm.
	 * @param mode the mode factory function.
	 *
	 * @return the DES algorithm object.
	 */
	forge.des.Algorithm = function(name, mode) {
	  var self = this;
	  self.name = name;
	  self.mode = new mode({
	    blockSize: 8,
	    cipher: {
	      encrypt: function(inBlock, outBlock) {
	        return _updateBlock(self._keys, inBlock, outBlock, false);
	      },
	      decrypt: function(inBlock, outBlock) {
	        return _updateBlock(self._keys, inBlock, outBlock, true);
	      }
	    }
	  });
	  self._init = false;
	};
	
	/**
	 * Initializes this DES algorithm by expanding its key.
	 *
	 * @param options the options to use.
	 *          key the key to use with this algorithm.
	 *          decrypt true if the algorithm should be initialized for decryption,
	 *            false for encryption.
	 */
	forge.des.Algorithm.prototype.initialize = function(options) {
	  if(this._init) {
	    return;
	  }
	
	  var key = forge.util.createBuffer(options.key);
	  if(this.name.indexOf('3DES') === 0) {
	    if(key.length() !== 24) {
	      throw new Error('Invalid Triple-DES key size: ' + key.length() * 8);
	    }
	  }
	
	  // do key expansion to 16 or 48 subkeys (single or triple DES)
	  this._keys = _createKeys(key);
	  this._init = true;
	};
	
	
	/** Register DES algorithms **/
	
	__webpack_require__(35);
	registerAlgorithm('DES-ECB', forge.cipher.modes.ecb);
	registerAlgorithm('DES-CBC', forge.cipher.modes.cbc);
	registerAlgorithm('DES-CFB', forge.cipher.modes.cfb);
	registerAlgorithm('DES-OFB', forge.cipher.modes.ofb);
	registerAlgorithm('DES-CTR', forge.cipher.modes.ctr);
	
	registerAlgorithm('3DES-ECB', forge.cipher.modes.ecb);
	registerAlgorithm('3DES-CBC', forge.cipher.modes.cbc);
	registerAlgorithm('3DES-CFB', forge.cipher.modes.cfb);
	registerAlgorithm('3DES-OFB', forge.cipher.modes.ofb);
	registerAlgorithm('3DES-CTR', forge.cipher.modes.ctr);
	
	function registerAlgorithm(name, mode) {
	  var factory = function() {
	    return new forge.des.Algorithm(name, mode);
	  };
	  forge.cipher.registerAlgorithm(name, factory);
	}
	
	
	/** DES implementation **/
	
	var spfunction1 = [0x1010400,0,0x10000,0x1010404,0x1010004,0x10404,0x4,0x10000,0x400,0x1010400,0x1010404,0x400,0x1000404,0x1010004,0x1000000,0x4,0x404,0x1000400,0x1000400,0x10400,0x10400,0x1010000,0x1010000,0x1000404,0x10004,0x1000004,0x1000004,0x10004,0,0x404,0x10404,0x1000000,0x10000,0x1010404,0x4,0x1010000,0x1010400,0x1000000,0x1000000,0x400,0x1010004,0x10000,0x10400,0x1000004,0x400,0x4,0x1000404,0x10404,0x1010404,0x10004,0x1010000,0x1000404,0x1000004,0x404,0x10404,0x1010400,0x404,0x1000400,0x1000400,0,0x10004,0x10400,0,0x1010004];
	var spfunction2 = [-0x7fef7fe0,-0x7fff8000,0x8000,0x108020,0x100000,0x20,-0x7fefffe0,-0x7fff7fe0,-0x7fffffe0,-0x7fef7fe0,-0x7fef8000,-0x80000000,-0x7fff8000,0x100000,0x20,-0x7fefffe0,0x108000,0x100020,-0x7fff7fe0,0,-0x80000000,0x8000,0x108020,-0x7ff00000,0x100020,-0x7fffffe0,0,0x108000,0x8020,-0x7fef8000,-0x7ff00000,0x8020,0,0x108020,-0x7fefffe0,0x100000,-0x7fff7fe0,-0x7ff00000,-0x7fef8000,0x8000,-0x7ff00000,-0x7fff8000,0x20,-0x7fef7fe0,0x108020,0x20,0x8000,-0x80000000,0x8020,-0x7fef8000,0x100000,-0x7fffffe0,0x100020,-0x7fff7fe0,-0x7fffffe0,0x100020,0x108000,0,-0x7fff8000,0x8020,-0x80000000,-0x7fefffe0,-0x7fef7fe0,0x108000];
	var spfunction3 = [0x208,0x8020200,0,0x8020008,0x8000200,0,0x20208,0x8000200,0x20008,0x8000008,0x8000008,0x20000,0x8020208,0x20008,0x8020000,0x208,0x8000000,0x8,0x8020200,0x200,0x20200,0x8020000,0x8020008,0x20208,0x8000208,0x20200,0x20000,0x8000208,0x8,0x8020208,0x200,0x8000000,0x8020200,0x8000000,0x20008,0x208,0x20000,0x8020200,0x8000200,0,0x200,0x20008,0x8020208,0x8000200,0x8000008,0x200,0,0x8020008,0x8000208,0x20000,0x8000000,0x8020208,0x8,0x20208,0x20200,0x8000008,0x8020000,0x8000208,0x208,0x8020000,0x20208,0x8,0x8020008,0x20200];
	var spfunction4 = [0x802001,0x2081,0x2081,0x80,0x802080,0x800081,0x800001,0x2001,0,0x802000,0x802000,0x802081,0x81,0,0x800080,0x800001,0x1,0x2000,0x800000,0x802001,0x80,0x800000,0x2001,0x2080,0x800081,0x1,0x2080,0x800080,0x2000,0x802080,0x802081,0x81,0x800080,0x800001,0x802000,0x802081,0x81,0,0,0x802000,0x2080,0x800080,0x800081,0x1,0x802001,0x2081,0x2081,0x80,0x802081,0x81,0x1,0x2000,0x800001,0x2001,0x802080,0x800081,0x2001,0x2080,0x800000,0x802001,0x80,0x800000,0x2000,0x802080];
	var spfunction5 = [0x100,0x2080100,0x2080000,0x42000100,0x80000,0x100,0x40000000,0x2080000,0x40080100,0x80000,0x2000100,0x40080100,0x42000100,0x42080000,0x80100,0x40000000,0x2000000,0x40080000,0x40080000,0,0x40000100,0x42080100,0x42080100,0x2000100,0x42080000,0x40000100,0,0x42000000,0x2080100,0x2000000,0x42000000,0x80100,0x80000,0x42000100,0x100,0x2000000,0x40000000,0x2080000,0x42000100,0x40080100,0x2000100,0x40000000,0x42080000,0x2080100,0x40080100,0x100,0x2000000,0x42080000,0x42080100,0x80100,0x42000000,0x42080100,0x2080000,0,0x40080000,0x42000000,0x80100,0x2000100,0x40000100,0x80000,0,0x40080000,0x2080100,0x40000100];
	var spfunction6 = [0x20000010,0x20400000,0x4000,0x20404010,0x20400000,0x10,0x20404010,0x400000,0x20004000,0x404010,0x400000,0x20000010,0x400010,0x20004000,0x20000000,0x4010,0,0x400010,0x20004010,0x4000,0x404000,0x20004010,0x10,0x20400010,0x20400010,0,0x404010,0x20404000,0x4010,0x404000,0x20404000,0x20000000,0x20004000,0x10,0x20400010,0x404000,0x20404010,0x400000,0x4010,0x20000010,0x400000,0x20004000,0x20000000,0x4010,0x20000010,0x20404010,0x404000,0x20400000,0x404010,0x20404000,0,0x20400010,0x10,0x4000,0x20400000,0x404010,0x4000,0x400010,0x20004010,0,0x20404000,0x20000000,0x400010,0x20004010];
	var spfunction7 = [0x200000,0x4200002,0x4000802,0,0x800,0x4000802,0x200802,0x4200800,0x4200802,0x200000,0,0x4000002,0x2,0x4000000,0x4200002,0x802,0x4000800,0x200802,0x200002,0x4000800,0x4000002,0x4200000,0x4200800,0x200002,0x4200000,0x800,0x802,0x4200802,0x200800,0x2,0x4000000,0x200800,0x4000000,0x200800,0x200000,0x4000802,0x4000802,0x4200002,0x4200002,0x2,0x200002,0x4000000,0x4000800,0x200000,0x4200800,0x802,0x200802,0x4200800,0x802,0x4000002,0x4200802,0x4200000,0x200800,0,0x2,0x4200802,0,0x200802,0x4200000,0x800,0x4000002,0x4000800,0x800,0x200002];
	var spfunction8 = [0x10001040,0x1000,0x40000,0x10041040,0x10000000,0x10001040,0x40,0x10000000,0x40040,0x10040000,0x10041040,0x41000,0x10041000,0x41040,0x1000,0x40,0x10040000,0x10000040,0x10001000,0x1040,0x41000,0x40040,0x10040040,0x10041000,0x1040,0,0,0x10040040,0x10000040,0x10001000,0x41040,0x40000,0x41040,0x40000,0x10041000,0x1000,0x40,0x10040040,0x1000,0x41040,0x10001000,0x40,0x10000040,0x10040000,0x10040040,0x10000000,0x40000,0x10001040,0,0x10041040,0x40040,0x10000040,0x10040000,0x10001000,0x10001040,0,0x10041040,0x41000,0x41000,0x1040,0x1040,0x40040,0x10000000,0x10041000];
	
	/**
	 * Create necessary sub keys.
	 *
	 * @param key the 64-bit or 192-bit key.
	 *
	 * @return the expanded keys.
	 */
	function _createKeys(key) {
	  var pc2bytes0  = [0,0x4,0x20000000,0x20000004,0x10000,0x10004,0x20010000,0x20010004,0x200,0x204,0x20000200,0x20000204,0x10200,0x10204,0x20010200,0x20010204],
	      pc2bytes1  = [0,0x1,0x100000,0x100001,0x4000000,0x4000001,0x4100000,0x4100001,0x100,0x101,0x100100,0x100101,0x4000100,0x4000101,0x4100100,0x4100101],
	      pc2bytes2  = [0,0x8,0x800,0x808,0x1000000,0x1000008,0x1000800,0x1000808,0,0x8,0x800,0x808,0x1000000,0x1000008,0x1000800,0x1000808],
	      pc2bytes3  = [0,0x200000,0x8000000,0x8200000,0x2000,0x202000,0x8002000,0x8202000,0x20000,0x220000,0x8020000,0x8220000,0x22000,0x222000,0x8022000,0x8222000],
	      pc2bytes4  = [0,0x40000,0x10,0x40010,0,0x40000,0x10,0x40010,0x1000,0x41000,0x1010,0x41010,0x1000,0x41000,0x1010,0x41010],
	      pc2bytes5  = [0,0x400,0x20,0x420,0,0x400,0x20,0x420,0x2000000,0x2000400,0x2000020,0x2000420,0x2000000,0x2000400,0x2000020,0x2000420],
	      pc2bytes6  = [0,0x10000000,0x80000,0x10080000,0x2,0x10000002,0x80002,0x10080002,0,0x10000000,0x80000,0x10080000,0x2,0x10000002,0x80002,0x10080002],
	      pc2bytes7  = [0,0x10000,0x800,0x10800,0x20000000,0x20010000,0x20000800,0x20010800,0x20000,0x30000,0x20800,0x30800,0x20020000,0x20030000,0x20020800,0x20030800],
	      pc2bytes8  = [0,0x40000,0,0x40000,0x2,0x40002,0x2,0x40002,0x2000000,0x2040000,0x2000000,0x2040000,0x2000002,0x2040002,0x2000002,0x2040002],
	      pc2bytes9  = [0,0x10000000,0x8,0x10000008,0,0x10000000,0x8,0x10000008,0x400,0x10000400,0x408,0x10000408,0x400,0x10000400,0x408,0x10000408],
	      pc2bytes10 = [0,0x20,0,0x20,0x100000,0x100020,0x100000,0x100020,0x2000,0x2020,0x2000,0x2020,0x102000,0x102020,0x102000,0x102020],
	      pc2bytes11 = [0,0x1000000,0x200,0x1000200,0x200000,0x1200000,0x200200,0x1200200,0x4000000,0x5000000,0x4000200,0x5000200,0x4200000,0x5200000,0x4200200,0x5200200],
	      pc2bytes12 = [0,0x1000,0x8000000,0x8001000,0x80000,0x81000,0x8080000,0x8081000,0x10,0x1010,0x8000010,0x8001010,0x80010,0x81010,0x8080010,0x8081010],
	      pc2bytes13 = [0,0x4,0x100,0x104,0,0x4,0x100,0x104,0x1,0x5,0x101,0x105,0x1,0x5,0x101,0x105];
	
	  // how many iterations (1 for des, 3 for triple des)
	  // changed by Paul 16/6/2007 to use Triple DES for 9+ byte keys
	  var iterations = key.length() > 8 ? 3 : 1;
	
	  // stores the return keys
	  var keys = [];
	
	  // now define the left shifts which need to be done
	  var shifts = [0, 0, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 0];
	
	  var n = 0, tmp;
	  for(var j = 0; j < iterations; j ++) {
	    var left = key.getInt32();
	    var right = key.getInt32();
	
	    tmp = ((left >>> 4) ^ right) & 0x0f0f0f0f;
	    right ^= tmp;
	    left ^= (tmp << 4);
	
	    tmp = ((right >>> -16) ^ left) & 0x0000ffff;
	    left ^= tmp;
	    right ^= (tmp << -16);
	
	    tmp = ((left >>> 2) ^ right) & 0x33333333;
	    right ^= tmp;
	    left ^= (tmp << 2);
	
	    tmp = ((right >>> -16) ^ left) & 0x0000ffff;
	    left ^= tmp;
	    right ^= (tmp << -16);
	
	    tmp = ((left >>> 1) ^ right) & 0x55555555;
	    right ^= tmp;
	    left ^= (tmp << 1);
	
	    tmp = ((right >>> 8) ^ left) & 0x00ff00ff;
	    left ^= tmp;
	    right ^= (tmp << 8);
	
	    tmp = ((left >>> 1) ^ right) & 0x55555555;
	    right ^= tmp;
	    left ^= (tmp << 1);
	
	    // right needs to be shifted and OR'd with last four bits of left
	    tmp = (left << 8) | ((right >>> 20) & 0x000000f0);
	
	    // left needs to be put upside down
	    left = ((right << 24) | ((right << 8) & 0xff0000) |
	      ((right >>> 8) & 0xff00) | ((right >>> 24) & 0xf0));
	    right = tmp;
	
	    // now go through and perform these shifts on the left and right keys
	    for(var i = 0; i < shifts.length; ++i) {
	      //shift the keys either one or two bits to the left
	      if(shifts[i]) {
	        left = (left << 2) | (left >>> 26);
	        right = (right << 2) | (right >>> 26);
	      } else {
	        left = (left << 1) | (left >>> 27);
	        right = (right << 1) | (right >>> 27);
	      }
	      left &= -0xf;
	      right &= -0xf;
	
	      // now apply PC-2, in such a way that E is easier when encrypting or
	      // decrypting this conversion will look like PC-2 except only the last 6
	      // bits of each byte are used rather than 48 consecutive bits and the
	      // order of lines will be according to how the S selection functions will
	      // be applied: S2, S4, S6, S8, S1, S3, S5, S7
	      var lefttmp = (
	        pc2bytes0[left >>> 28] | pc2bytes1[(left >>> 24) & 0xf] |
	        pc2bytes2[(left >>> 20) & 0xf] | pc2bytes3[(left >>> 16) & 0xf] |
	        pc2bytes4[(left >>> 12) & 0xf] | pc2bytes5[(left >>> 8) & 0xf] |
	        pc2bytes6[(left >>> 4) & 0xf]);
	      var righttmp = (
	        pc2bytes7[right >>> 28] | pc2bytes8[(right >>> 24) & 0xf] |
	        pc2bytes9[(right >>> 20) & 0xf] | pc2bytes10[(right >>> 16) & 0xf] |
	        pc2bytes11[(right >>> 12) & 0xf] | pc2bytes12[(right >>> 8) & 0xf] |
	        pc2bytes13[(right >>> 4) & 0xf]);
	      tmp = ((righttmp >>> 16) ^ lefttmp) & 0x0000ffff;
	      keys[n++] = lefttmp ^ tmp;
	      keys[n++] = righttmp ^ (tmp << 16);
	    }
	  }
	
	  return keys;
	}
	
	/**
	 * Updates a single block (1 byte) using DES. The update will either
	 * encrypt or decrypt the block.
	 *
	 * @param keys the expanded keys.
	 * @param input the input block (an array of 32-bit words).
	 * @param output the updated output block.
	 * @param decrypt true to decrypt the block, false to encrypt it.
	 */
	function _updateBlock(keys, input, output, decrypt) {
	  // set up loops for single or triple DES
	  var iterations = keys.length === 32 ? 3 : 9;
	  var looping;
	  if(iterations === 3) {
	    looping = decrypt ? [30, -2, -2] : [0, 32, 2];
	  } else {
	    looping = (decrypt ?
	      [94, 62, -2, 32, 64, 2, 30, -2, -2] :
	      [0, 32, 2, 62, 30, -2, 64, 96, 2]);
	  }
	
	  var tmp;
	
	  var left = input[0];
	  var right = input[1];
	
	  // first each 64 bit chunk of the message must be permuted according to IP
	  tmp = ((left >>> 4) ^ right) & 0x0f0f0f0f;
	  right ^= tmp;
	  left ^= (tmp << 4);
	
	  tmp = ((left >>> 16) ^ right) & 0x0000ffff;
	  right ^= tmp;
	  left ^= (tmp << 16);
	
	  tmp = ((right >>> 2) ^ left) & 0x33333333;
	  left ^= tmp;
	  right ^= (tmp << 2);
	
	  tmp = ((right >>> 8) ^ left) & 0x00ff00ff;
	  left ^= tmp;
	  right ^= (tmp << 8);
	
	  tmp = ((left >>> 1) ^ right) & 0x55555555;
	  right ^= tmp;
	  left ^= (tmp << 1);
	
	  // rotate left 1 bit
	  left = ((left << 1) | (left >>> 31));
	  right = ((right << 1) | (right >>> 31));
	
	  for(var j = 0; j < iterations; j += 3) {
	    var endloop = looping[j + 1];
	    var loopinc = looping[j + 2];
	
	    // now go through and perform the encryption or decryption
	    for(var i = looping[j]; i != endloop; i += loopinc) {
	      var right1 = right ^ keys[i];
	      var right2 = ((right >>> 4) | (right << 28)) ^ keys[i + 1];
	
	      // passing these bytes through the S selection functions
	      tmp = left;
	      left = right;
	      right = tmp ^ (
	        spfunction2[(right1 >>> 24) & 0x3f] |
	        spfunction4[(right1 >>> 16) & 0x3f] |
	        spfunction6[(right1 >>>  8) & 0x3f] |
	        spfunction8[right1 & 0x3f] |
	        spfunction1[(right2 >>> 24) & 0x3f] |
	        spfunction3[(right2 >>> 16) & 0x3f] |
	        spfunction5[(right2 >>>  8) & 0x3f] |
	        spfunction7[right2 & 0x3f]);
	    }
	    // unreverse left and right
	    tmp = left;
	    left = right;
	    right = tmp;
	  }
	
	  // rotate right 1 bit
	  left = ((left >>> 1) | (left << 31));
	  right = ((right >>> 1) | (right << 31));
	
	  // now perform IP-1, which is IP in the opposite direction
	  tmp = ((left >>> 1) ^ right) & 0x55555555;
	  right ^= tmp;
	  left ^= (tmp << 1);
	
	  tmp = ((right >>> 8) ^ left) & 0x00ff00ff;
	  left ^= tmp;
	  right ^= (tmp << 8);
	
	  tmp = ((right >>> 2) ^ left) & 0x33333333;
	  left ^= tmp;
	  right ^= (tmp << 2);
	
	  tmp = ((left >>> 16) ^ right) & 0x0000ffff;
	  right ^= tmp;
	  left ^= (tmp << 16);
	
	  tmp = ((left >>> 4) ^ right) & 0x0f0f0f0f;
	  right ^= tmp;
	  left ^= (tmp << 4);
	
	  output[0] = left;
	  output[1] = right;
	}
	
	/**
	 * Deprecated. Instead, use:
	 *
	 * forge.cipher.createCipher('DES-<mode>', key);
	 * forge.cipher.createDecipher('DES-<mode>', key);
	 *
	 * Creates a deprecated DES cipher object. This object's mode will default to
	 * CBC (cipher-block-chaining).
	 *
	 * The key may be given as a binary-encoded string of bytes or a byte buffer.
	 *
	 * @param options the options to use.
	 *          key the symmetric key to use (64 or 192 bits).
	 *          output the buffer to write to.
	 *          decrypt true for decryption, false for encryption.
	 *          mode the cipher mode to use (default: 'CBC').
	 *
	 * @return the cipher.
	 */
	function _createCipher(options) {
	  options = options || {};
	  var mode = (options.mode || 'CBC').toUpperCase();
	  var algorithm = 'DES-' + mode;
	
	  var cipher;
	  if(options.decrypt) {
	    cipher = forge.cipher.createDecipher(algorithm, options.key);
	  } else {
	    cipher = forge.cipher.createCipher(algorithm, options.key);
	  }
	
	  // backwards compatible start API
	  var start = cipher.start;
	  cipher.start = function(iv, options) {
	    // backwards compatibility: support second arg as output buffer
	    var output = null;
	    if(options instanceof forge.util.ByteBuffer) {
	      output = options;
	      options = {};
	    }
	    options = options || {};
	    options.output = output;
	    options.iv = iv;
	    start.call(cipher, options);
	  };
	
	  return cipher;
	}
	
	})();


/***/ },
/* 57 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of X.509 and related components (such as
	 * Certification Signing Requests) of a Public Key Infrastructure.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 *
	 * The ASN.1 representation of an X.509v3 certificate is as follows
	 * (see RFC 2459):
	 *
	 * Certificate ::= SEQUENCE {
	 *   tbsCertificate       TBSCertificate,
	 *   signatureAlgorithm   AlgorithmIdentifier,
	 *   signatureValue       BIT STRING
	 * }
	 *
	 * TBSCertificate ::= SEQUENCE {
	 *   version         [0]  EXPLICIT Version DEFAULT v1,
	 *   serialNumber         CertificateSerialNumber,
	 *   signature            AlgorithmIdentifier,
	 *   issuer               Name,
	 *   validity             Validity,
	 *   subject              Name,
	 *   subjectPublicKeyInfo SubjectPublicKeyInfo,
	 *   issuerUniqueID  [1]  IMPLICIT UniqueIdentifier OPTIONAL,
	 *                        -- If present, version shall be v2 or v3
	 *   subjectUniqueID [2]  IMPLICIT UniqueIdentifier OPTIONAL,
	 *                        -- If present, version shall be v2 or v3
	 *   extensions      [3]  EXPLICIT Extensions OPTIONAL
	 *                        -- If present, version shall be v3
	 * }
	 *
	 * Version ::= INTEGER  { v1(0), v2(1), v3(2) }
	 *
	 * CertificateSerialNumber ::= INTEGER
	 *
	 * Name ::= CHOICE {
	 *   // only one possible choice for now
	 *   RDNSequence
	 * }
	 *
	 * RDNSequence ::= SEQUENCE OF RelativeDistinguishedName
	 *
	 * RelativeDistinguishedName ::= SET OF AttributeTypeAndValue
	 *
	 * AttributeTypeAndValue ::= SEQUENCE {
	 *   type     AttributeType,
	 *   value    AttributeValue
	 * }
	 * AttributeType ::= OBJECT IDENTIFIER
	 * AttributeValue ::= ANY DEFINED BY AttributeType
	 *
	 * Validity ::= SEQUENCE {
	 *   notBefore      Time,
	 *   notAfter       Time
	 * }
	 *
	 * Time ::= CHOICE {
	 *   utcTime        UTCTime,
	 *   generalTime    GeneralizedTime
	 * }
	 *
	 * UniqueIdentifier ::= BIT STRING
	 *
	 * SubjectPublicKeyInfo ::= SEQUENCE {
	 *   algorithm            AlgorithmIdentifier,
	 *   subjectPublicKey     BIT STRING
	 * }
	 *
	 * Extensions ::= SEQUENCE SIZE (1..MAX) OF Extension
	 *
	 * Extension ::= SEQUENCE {
	 *   extnID      OBJECT IDENTIFIER,
	 *   critical    BOOLEAN DEFAULT FALSE,
	 *   extnValue   OCTET STRING
	 * }
	 *
	 * The only key algorithm currently supported for PKI is RSA.
	 *
	 * RSASSA-PSS signatures are described in RFC 3447 and RFC 4055.
	 *
	 * PKCS#10 v1.7 describes certificate signing requests:
	 *
	 * CertificationRequestInfo:
	 *
	 * CertificationRequestInfo ::= SEQUENCE {
	 *   version       INTEGER { v1(0) } (v1,...),
	 *   subject       Name,
	 *   subjectPKInfo SubjectPublicKeyInfo{{ PKInfoAlgorithms }},
	 *   attributes    [0] Attributes{{ CRIAttributes }}
	 * }
	 *
	 * Attributes { ATTRIBUTE:IOSet } ::= SET OF Attribute{{ IOSet }}
	 *
	 * CRIAttributes  ATTRIBUTE  ::= {
	 *   ... -- add any locally defined attributes here -- }
	 *
	 * Attribute { ATTRIBUTE:IOSet } ::= SEQUENCE {
	 *   type   ATTRIBUTE.&id({IOSet}),
	 *   values SET SIZE(1..MAX) OF ATTRIBUTE.&Type({IOSet}{@type})
	 * }
	 *
	 * CertificationRequest ::= SEQUENCE {
	 *   certificationRequestInfo CertificationRequestInfo,
	 *   signatureAlgorithm AlgorithmIdentifier{{ SignatureAlgorithms }},
	 *   signature          BIT STRING
	 * }
	 */
	(function() {
	
	var forge = {
	  pki : __webpack_require__(37),
	  asn1 : __webpack_require__(36),
	  md : __webpack_require__(41),
	  mgf : __webpack_require__(46),
	  pem : __webpack_require__(38),
	  pss : __webpack_require__(58),
	  rsa : __webpack_require__(59),
	  util : __webpack_require__(34)
	};
	
	// setup MD5
	__webpack_require__(42);
	// setup SHA1
	__webpack_require__(43);
	// setup SHA256
	__webpack_require__(52);
	
	// shortcut for asn.1 API
	var asn1 = forge.asn1;
	
	/* Public Key Infrastructure (PKI) implementation. */
	var pki = module.exports = forge.pki;
	var oids = pki.oids;
	
	// short name OID mappings
	var _shortNames = {};
	_shortNames['CN'] = oids['commonName'];
	_shortNames['commonName'] = 'CN';
	_shortNames['C'] = oids['countryName'];
	_shortNames['countryName'] = 'C';
	_shortNames['L'] = oids['localityName'];
	_shortNames['localityName'] = 'L';
	_shortNames['ST'] = oids['stateOrProvinceName'];
	_shortNames['stateOrProvinceName'] = 'ST';
	_shortNames['O'] = oids['organizationName'];
	_shortNames['organizationName'] = 'O';
	_shortNames['OU'] = oids['organizationalUnitName'];
	_shortNames['organizationalUnitName'] = 'OU';
	_shortNames['E'] = oids['emailAddress'];
	_shortNames['emailAddress'] = 'E';
	
	// validator for an SubjectPublicKeyInfo structure
	// Note: Currently only works with an RSA public key
	var publicKeyValidator = forge.pki.rsa.publicKeyValidator;
	
	// validator for an X.509v3 certificate
	var x509CertificateValidator = {
	  name: 'Certificate',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'Certificate.TBSCertificate',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    captureAsn1: 'tbsCertificate',
	    value: [{
	      name: 'Certificate.TBSCertificate.version',
	      tagClass: asn1.Class.CONTEXT_SPECIFIC,
	      type: 0,
	      constructed: true,
	      optional: true,
	      value: [{
	        name: 'Certificate.TBSCertificate.version.integer',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.INTEGER,
	        constructed: false,
	        capture: 'certVersion'
	      }]
	    }, {
	      name: 'Certificate.TBSCertificate.serialNumber',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.INTEGER,
	      constructed: false,
	      capture: 'certSerialNumber'
	    }, {
	      name: 'Certificate.TBSCertificate.signature',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      value: [{
	        name: 'Certificate.TBSCertificate.signature.algorithm',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.OID,
	        constructed: false,
	        capture: 'certinfoSignatureOid'
	      }, {
	        name: 'Certificate.TBSCertificate.signature.parameters',
	        tagClass: asn1.Class.UNIVERSAL,
	        optional: true,
	        captureAsn1: 'certinfoSignatureParams'
	      }]
	    }, {
	      name: 'Certificate.TBSCertificate.issuer',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      captureAsn1: 'certIssuer'
	    }, {
	      name: 'Certificate.TBSCertificate.validity',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      // Note: UTC and generalized times may both appear so the capture
	      // names are based on their detected order, the names used below
	      // are only for the common case, which validity time really means
	      // "notBefore" and which means "notAfter" will be determined by order
	      value: [{
	        // notBefore (Time) (UTC time case)
	        name: 'Certificate.TBSCertificate.validity.notBefore (utc)',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.UTCTIME,
	        constructed: false,
	        optional: true,
	        capture: 'certValidity1UTCTime'
	      }, {
	        // notBefore (Time) (generalized time case)
	        name: 'Certificate.TBSCertificate.validity.notBefore (generalized)',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.GENERALIZEDTIME,
	        constructed: false,
	        optional: true,
	        capture: 'certValidity2GeneralizedTime'
	      }, {
	        // notAfter (Time) (only UTC time is supported)
	        name: 'Certificate.TBSCertificate.validity.notAfter (utc)',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.UTCTIME,
	        constructed: false,
	        optional: true,
	        capture: 'certValidity3UTCTime'
	      }, {
	        // notAfter (Time) (only UTC time is supported)
	        name: 'Certificate.TBSCertificate.validity.notAfter (generalized)',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.GENERALIZEDTIME,
	        constructed: false,
	        optional: true,
	        capture: 'certValidity4GeneralizedTime'
	      }]
	    }, {
	      // Name (subject) (RDNSequence)
	      name: 'Certificate.TBSCertificate.subject',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      captureAsn1: 'certSubject'
	    },
	      // SubjectPublicKeyInfo
	      publicKeyValidator,
	    {
	      // issuerUniqueID (optional)
	      name: 'Certificate.TBSCertificate.issuerUniqueID',
	      tagClass: asn1.Class.CONTEXT_SPECIFIC,
	      type: 1,
	      constructed: true,
	      optional: true,
	      value: [{
	        name: 'Certificate.TBSCertificate.issuerUniqueID.id',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.BITSTRING,
	        constructed: false,
	        capture: 'certIssuerUniqueId'
	      }]
	    }, {
	      // subjectUniqueID (optional)
	      name: 'Certificate.TBSCertificate.subjectUniqueID',
	      tagClass: asn1.Class.CONTEXT_SPECIFIC,
	      type: 2,
	      constructed: true,
	      optional: true,
	      value: [{
	        name: 'Certificate.TBSCertificate.subjectUniqueID.id',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.BITSTRING,
	        constructed: false,
	        capture: 'certSubjectUniqueId'
	      }]
	    }, {
	      // Extensions (optional)
	      name: 'Certificate.TBSCertificate.extensions',
	      tagClass: asn1.Class.CONTEXT_SPECIFIC,
	      type: 3,
	      constructed: true,
	      captureAsn1: 'certExtensions',
	      optional: true
	    }]
	  }, {
	    // AlgorithmIdentifier (signature algorithm)
	    name: 'Certificate.signatureAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      // algorithm
	      name: 'Certificate.signatureAlgorithm.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'certSignatureOid'
	    }, {
	      name: 'Certificate.TBSCertificate.signature.parameters',
	      tagClass: asn1.Class.UNIVERSAL,
	      optional: true,
	      captureAsn1: 'certSignatureParams'
	    }]
	  }, {
	    // SignatureValue
	    name: 'Certificate.signatureValue',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.BITSTRING,
	    constructed: false,
	    capture: 'certSignature'
	  }]
	};
	
	var rsassaPssParameterValidator = {
	  name: 'rsapss',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'rsapss.hashAlgorithm',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    constructed: true,
	    value: [{
	      name: 'rsapss.hashAlgorithm.AlgorithmIdentifier',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Class.SEQUENCE,
	      constructed: true,
	      optional: true,
	      value: [{
	        name: 'rsapss.hashAlgorithm.AlgorithmIdentifier.algorithm',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.OID,
	        constructed: false,
	        capture: 'hashOid'
	        /* parameter block omitted, for SHA1 NULL anyhow. */
	      }]
	    }]
	  }, {
	    name: 'rsapss.maskGenAlgorithm',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 1,
	    constructed: true,
	    value: [{
	      name: 'rsapss.maskGenAlgorithm.AlgorithmIdentifier',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Class.SEQUENCE,
	      constructed: true,
	      optional: true,
	      value: [{
	        name: 'rsapss.maskGenAlgorithm.AlgorithmIdentifier.algorithm',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.OID,
	        constructed: false,
	        capture: 'maskGenOid'
	      }, {
	        name: 'rsapss.maskGenAlgorithm.AlgorithmIdentifier.params',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.SEQUENCE,
	        constructed: true,
	        value: [{
	          name: 'rsapss.maskGenAlgorithm.AlgorithmIdentifier.params.algorithm',
	          tagClass: asn1.Class.UNIVERSAL,
	          type: asn1.Type.OID,
	          constructed: false,
	          capture: 'maskGenHashOid'
	          /* parameter block omitted, for SHA1 NULL anyhow. */
	        }]
	      }]
	    }]
	  }, {
	    name: 'rsapss.saltLength',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 2,
	    optional: true,
	    value: [{
	      name: 'rsapss.saltLength.saltLength',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Class.INTEGER,
	      constructed: false,
	      capture: 'saltLength'
	    }]
	  }, {
	    name: 'rsapss.trailerField',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 3,
	    optional: true,
	    value: [{
	      name: 'rsapss.trailer.trailer',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Class.INTEGER,
	      constructed: false,
	      capture: 'trailer'
	    }]
	  }]
	};
	
	// validator for a CertificationRequestInfo structure
	var certificationRequestInfoValidator = {
	  name: 'CertificationRequestInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  captureAsn1: 'certificationRequestInfo',
	  value: [{
	    name: 'CertificationRequestInfo.integer',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'certificationRequestInfoVersion'
	  }, {
	    // Name (subject) (RDNSequence)
	    name: 'CertificationRequestInfo.subject',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    captureAsn1: 'certificationRequestInfoSubject'
	  },
	  // SubjectPublicKeyInfo
	  publicKeyValidator,
	  {
	    name: 'CertificationRequestInfo.attributes',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    constructed: true,
	    optional: true,
	    capture: 'certificationRequestInfoAttributes',
	    value: [{
	      name: 'CertificationRequestInfo.attributes',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      value: [{
	        name: 'CertificationRequestInfo.attributes.type',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.OID,
	        constructed: false
	      }, {
	        name: 'CertificationRequestInfo.attributes.value',
	        tagClass: asn1.Class.UNIVERSAL,
	        type: asn1.Type.SET,
	        constructed: true
	      }]
	    }]
	  }]
	};
	
	// validator for a CertificationRequest structure
	var certificationRequestValidator = {
	  name: 'CertificationRequest',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  captureAsn1: 'csr',
	  value: [
	    certificationRequestInfoValidator, {
	    // AlgorithmIdentifier (signature algorithm)
	    name: 'CertificationRequest.signatureAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      // algorithm
	      name: 'CertificationRequest.signatureAlgorithm.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'csrSignatureOid'
	    }, {
	      name: 'CertificationRequest.signatureAlgorithm.parameters',
	      tagClass: asn1.Class.UNIVERSAL,
	      optional: true,
	      captureAsn1: 'csrSignatureParams'
	    }]
	  }, {
	    // signature
	    name: 'CertificationRequest.signature',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.BITSTRING,
	    constructed: false,
	    capture: 'csrSignature'
	  }]
	};
	
	/**
	 * Converts an RDNSequence of ASN.1 DER-encoded RelativeDistinguishedName
	 * sets into an array with objects that have type and value properties.
	 *
	 * @param rdn the RDNSequence to convert.
	 * @param md a message digest to append type and value to if provided.
	 */
	pki.RDNAttributesAsArray = function(rdn, md) {
	  var rval = [];
	
	  // each value in 'rdn' in is a SET of RelativeDistinguishedName
	  var set, attr, obj;
	  for(var si = 0; si < rdn.value.length; ++si) {
	    // get the RelativeDistinguishedName set
	    set = rdn.value[si];
	
	    // each value in the SET is an AttributeTypeAndValue sequence
	    // containing first a type (an OID) and second a value (defined by
	    // the OID)
	    for(var i = 0; i < set.value.length; ++i) {
	      obj = {};
	      attr = set.value[i];
	      obj.type = asn1.derToOid(attr.value[0].value);
	      obj.value = attr.value[1].value;
	      obj.valueTagClass = attr.value[1].type;
	      // if the OID is known, get its name and short name
	      if(obj.type in oids) {
	        obj.name = oids[obj.type];
	        if(obj.name in _shortNames) {
	          obj.shortName = _shortNames[obj.name];
	        }
	      }
	      if(md) {
	        md.update(obj.type);
	        md.update(obj.value);
	      }
	      rval.push(obj);
	    }
	  }
	
	  return rval;
	};
	
	/**
	 * Converts ASN.1 CRIAttributes into an array with objects that have type and
	 * value properties.
	 *
	 * @param attributes the CRIAttributes to convert.
	 */
	pki.CRIAttributesAsArray = function(attributes) {
	  var rval = [];
	
	  // each value in 'attributes' in is a SEQUENCE with an OID and a SET
	  for(var si = 0; si < attributes.length; ++si) {
	    // get the attribute sequence
	    var seq = attributes[si];
	
	    // each value in the SEQUENCE containing first a type (an OID) and
	    // second a set of values (defined by the OID)
	    var type = asn1.derToOid(seq.value[0].value);
	    var values = seq.value[1].value;
	    for(var vi = 0; vi < values.length; ++vi) {
	      var obj = {};
	      obj.type = type;
	      obj.value = values[vi].value;
	      obj.valueTagClass = values[vi].type;
	      // if the OID is known, get its name and short name
	      if(obj.type in oids) {
	        obj.name = oids[obj.type];
	        if(obj.name in _shortNames) {
	          obj.shortName = _shortNames[obj.name];
	        }
	      }
	      // parse extensions
	      if(obj.type === oids.extensionRequest) {
	        obj.extensions = [];
	        for(var ei = 0; ei < obj.value.length; ++ei) {
	          obj.extensions.push(pki.certificateExtensionFromAsn1(obj.value[ei]));
	        }
	      }
	      rval.push(obj);
	    }
	  }
	
	  return rval;
	};
	
	/**
	 * Gets an issuer or subject attribute from its name, type, or short name.
	 *
	 * @param obj the issuer or subject object.
	 * @param options a short name string or an object with:
	 *          shortName the short name for the attribute.
	 *          name the name for the attribute.
	 *          type the type for the attribute.
	 *
	 * @return the attribute.
	 */
	function _getAttribute(obj, options) {
	  if(typeof options === 'string') {
	    options = {shortName: options};
	  }
	
	  var rval = null;
	  var attr;
	  for(var i = 0; rval === null && i < obj.attributes.length; ++i) {
	    attr = obj.attributes[i];
	    if(options.type && options.type === attr.type) {
	      rval = attr;
	    } else if(options.name && options.name === attr.name) {
	      rval = attr;
	    } else if(options.shortName && options.shortName === attr.shortName) {
	      rval = attr;
	    }
	  }
	  return rval;
	}
	
	/**
	 * Converts signature parameters from ASN.1 structure.
	 *
	 * Currently only RSASSA-PSS supported.  The PKCS#1 v1.5 signature scheme had
	 * no parameters.
	 *
	 * RSASSA-PSS-params  ::=  SEQUENCE  {
	 *   hashAlgorithm      [0] HashAlgorithm DEFAULT
	 *                             sha1Identifier,
	 *   maskGenAlgorithm   [1] MaskGenAlgorithm DEFAULT
	 *                             mgf1SHA1Identifier,
	 *   saltLength         [2] INTEGER DEFAULT 20,
	 *   trailerField       [3] INTEGER DEFAULT 1
	 * }
	 *
	 * HashAlgorithm  ::=  AlgorithmIdentifier
	 *
	 * MaskGenAlgorithm  ::=  AlgorithmIdentifier
	 *
	 * AlgorithmIdentifer ::= SEQUENCE {
	 *   algorithm OBJECT IDENTIFIER,
	 *   parameters ANY DEFINED BY algorithm OPTIONAL
	 * }
	 *
	 * @param oid The OID specifying the signature algorithm
	 * @param obj The ASN.1 structure holding the parameters
	 * @param fillDefaults Whether to use return default values where omitted
	 * @return signature parameter object
	 */
	var _readSignatureParameters = function(oid, obj, fillDefaults) {
	  var params = {};
	
	  if(oid !== oids['RSASSA-PSS']) {
	    return params;
	  }
	
	  if(fillDefaults) {
	    params = {
	      hash: {
	        algorithmOid: oids['sha1']
	      },
	      mgf: {
	        algorithmOid: oids['mgf1'],
	        hash: {
	          algorithmOid: oids['sha1']
	        }
	      },
	      saltLength: 20
	    };
	  }
	
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, rsassaPssParameterValidator, capture, errors)) {
	    var error = new Error('Cannot read RSASSA-PSS parameter block.');
	    error.errors = errors;
	    throw error;
	  }
	
	  if(capture.hashOid !== undefined) {
	    params.hash = params.hash || {};
	    params.hash.algorithmOid = asn1.derToOid(capture.hashOid);
	  }
	
	  if(capture.maskGenOid !== undefined) {
	    params.mgf = params.mgf || {};
	    params.mgf.algorithmOid = asn1.derToOid(capture.maskGenOid);
	    params.mgf.hash = params.mgf.hash || {};
	    params.mgf.hash.algorithmOid = asn1.derToOid(capture.maskGenHashOid);
	  }
	
	  if(capture.saltLength !== undefined) {
	    params.saltLength = capture.saltLength.charCodeAt(0);
	  }
	
	  return params;
	};
	
	/**
	 * Converts an X.509 certificate from PEM format.
	 *
	 * Note: If the certificate is to be verified then compute hash should
	 * be set to true. This will scan the TBSCertificate part of the ASN.1
	 * object while it is converted so it doesn't need to be converted back
	 * to ASN.1-DER-encoding later.
	 *
	 * @param pem the PEM-formatted certificate.
	 * @param computeHash true to compute the hash for verification.
	 * @param strict true to be strict when checking ASN.1 value lengths, false to
	 *          allow truncated values (default: true).
	 *
	 * @return the certificate.
	 */
	pki.certificateFromPem = function(pem, computeHash, strict) {
	  var msg = forge.pem.decode(pem)[0];
	
	  if(msg.type !== 'CERTIFICATE' &&
	    msg.type !== 'X509 CERTIFICATE' &&
	    msg.type !== 'TRUSTED CERTIFICATE') {
	    var error = new Error('Could not convert certificate from PEM; PEM header type ' +
	      'is not "CERTIFICATE", "X509 CERTIFICATE", or "TRUSTED CERTIFICATE".');
	    error.headerType = msg.type;
	    throw error;
	  }
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert certificate from PEM; PEM is encrypted.');
	  }
	
	  // convert DER to ASN.1 object
	  var obj = asn1.fromDer(msg.body, strict);
	
	  return pki.certificateFromAsn1(obj, computeHash);
	};
	
	/**
	 * Converts an X.509 certificate to PEM format.
	 *
	 * @param cert the certificate.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted certificate.
	 */
	pki.certificateToPem = function(cert, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var msg = {
	    type: 'CERTIFICATE',
	    body: asn1.toDer(pki.certificateToAsn1(cert)).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	/**
	 * Converts an RSA public key from PEM format.
	 *
	 * @param pem the PEM-formatted public key.
	 *
	 * @return the public key.
	 */
	pki.publicKeyFromPem = function(pem) {
	  var msg = forge.pem.decode(pem)[0];
	
	  if(msg.type !== 'PUBLIC KEY' && msg.type !== 'RSA PUBLIC KEY') {
	    var error = new Error('Could not convert public key from PEM; PEM header ' +
	      'type is not "PUBLIC KEY" or "RSA PUBLIC KEY".');
	    error.headerType = msg.type;
	    throw error;
	  }
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert public key from PEM; PEM is encrypted.');
	  }
	
	  // convert DER to ASN.1 object
	  var obj = asn1.fromDer(msg.body);
	
	  return pki.publicKeyFromAsn1(obj);
	};
	
	/**
	 * Converts an RSA public key to PEM format (using a SubjectPublicKeyInfo).
	 *
	 * @param key the public key.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted public key.
	 */
	pki.publicKeyToPem = function(key, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var msg = {
	    type: 'PUBLIC KEY',
	    body: asn1.toDer(pki.publicKeyToAsn1(key)).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	/**
	 * Converts an RSA public key to PEM format (using an RSAPublicKey).
	 *
	 * @param key the public key.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted public key.
	 */
	pki.publicKeyToRSAPublicKeyPem = function(key, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var msg = {
	    type: 'RSA PUBLIC KEY',
	    body: asn1.toDer(pki.publicKeyToRSAPublicKey(key)).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	/**
	 * Gets a fingerprint for the given public key.
	 *
	 * @param options the options to use.
	 *          [md] the message digest object to use (defaults to forge.md.sha1).
	 *          [type] the type of fingerprint, such as 'RSAPublicKey',
	 *            'SubjectPublicKeyInfo' (defaults to 'RSAPublicKey').
	 *          [encoding] an alternative output encoding, such as 'hex'
	 *            (defaults to none, outputs a byte buffer).
	 *          [delimiter] the delimiter to use between bytes for 'hex' encoded
	 *            output, eg: ':' (defaults to none).
	 *
	 * @return the fingerprint as a byte buffer or other encoding based on options.
	 */
	pki.getPublicKeyFingerprint = function(key, options) {
	  options = options || {};
	  var md = options.md || forge.md.sha1.create();
	  var type = options.type || 'RSAPublicKey';
	
	  var bytes;
	  switch(type) {
	  case 'RSAPublicKey':
	    bytes = asn1.toDer(pki.publicKeyToRSAPublicKey(key)).getBytes();
	    break;
	  case 'SubjectPublicKeyInfo':
	    bytes = asn1.toDer(pki.publicKeyToAsn1(key)).getBytes();
	    break;
	  default:
	    throw new Error('Unknown fingerprint type "' + options.type + '".');
	  }
	
	  // hash public key bytes
	  md.start();
	  md.update(bytes);
	  var digest = md.digest();
	  if(options.encoding === 'hex') {
	    var hex = digest.toHex();
	    if(options.delimiter) {
	      return hex.match(/.{2}/g).join(options.delimiter);
	    }
	    return hex;
	  } else if(options.encoding === 'binary') {
	    return digest.getBytes();
	  } else if(options.encoding) {
	    throw new Error('Unknown encoding "' + options.encoding + '".');
	  }
	  return digest;
	};
	
	/**
	 * Converts a PKCS#10 certification request (CSR) from PEM format.
	 *
	 * Note: If the certification request is to be verified then compute hash
	 * should be set to true. This will scan the CertificationRequestInfo part of
	 * the ASN.1 object while it is converted so it doesn't need to be converted
	 * back to ASN.1-DER-encoding later.
	 *
	 * @param pem the PEM-formatted certificate.
	 * @param computeHash true to compute the hash for verification.
	 * @param strict true to be strict when checking ASN.1 value lengths, false to
	 *          allow truncated values (default: true).
	 *
	 * @return the certification request (CSR).
	 */
	pki.certificationRequestFromPem = function(pem, computeHash, strict) {
	  var msg = forge.pem.decode(pem)[0];
	
	  if(msg.type !== 'CERTIFICATE REQUEST') {
	    var error = new Error('Could not convert certification request from PEM; ' +
	      'PEM header type is not "CERTIFICATE REQUEST".');
	    error.headerType = msg.type;
	    throw error;
	  }
	  if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	    throw new Error('Could not convert certification request from PEM; ' +
	      'PEM is encrypted.');
	  }
	
	  // convert DER to ASN.1 object
	  var obj = asn1.fromDer(msg.body, strict);
	
	  return pki.certificationRequestFromAsn1(obj, computeHash);
	};
	
	/**
	 * Converts a PKCS#10 certification request (CSR) to PEM format.
	 *
	 * @param csr the certification request.
	 * @param maxline the maximum characters per line, defaults to 64.
	 *
	 * @return the PEM-formatted certification request.
	 */
	pki.certificationRequestToPem = function(csr, maxline) {
	  // convert to ASN.1, then DER, then PEM-encode
	  var msg = {
	    type: 'CERTIFICATE REQUEST',
	    body: asn1.toDer(pki.certificationRequestToAsn1(csr)).getBytes()
	  };
	  return forge.pem.encode(msg, {maxline: maxline});
	};
	
	/**
	 * Creates an empty X.509v3 RSA certificate.
	 *
	 * @return the certificate.
	 */
	pki.createCertificate = function() {
	  var cert = {};
	  cert.version = 0x02;
	  cert.serialNumber = '00';
	  cert.signatureOid = null;
	  cert.signature = null;
	  cert.siginfo = {};
	  cert.siginfo.algorithmOid = null;
	  cert.validity = {};
	  cert.validity.notBefore = new Date();
	  cert.validity.notAfter = new Date();
	
	  cert.issuer = {};
	  cert.issuer.getField = function(sn) {
	    return _getAttribute(cert.issuer, sn);
	  };
	  cert.issuer.addField = function(attr) {
	    _fillMissingFields([attr]);
	    cert.issuer.attributes.push(attr);
	  };
	  cert.issuer.attributes = [];
	  cert.issuer.hash = null;
	
	  cert.subject = {};
	  cert.subject.getField = function(sn) {
	    return _getAttribute(cert.subject, sn);
	  };
	  cert.subject.addField = function(attr) {
	    _fillMissingFields([attr]);
	    cert.subject.attributes.push(attr);
	  };
	  cert.subject.attributes = [];
	  cert.subject.hash = null;
	
	  cert.extensions = [];
	  cert.publicKey = null;
	  cert.md = null;
	
	  /**
	   * Sets the subject of this certificate.
	   *
	   * @param attrs the array of subject attributes to use.
	   * @param uniqueId an optional a unique ID to use.
	   */
	  cert.setSubject = function(attrs, uniqueId) {
	    // set new attributes, clear hash
	    _fillMissingFields(attrs);
	    cert.subject.attributes = attrs;
	    delete cert.subject.uniqueId;
	    if(uniqueId) {
	      cert.subject.uniqueId = uniqueId;
	    }
	    cert.subject.hash = null;
	  };
	
	  /**
	   * Sets the issuer of this certificate.
	   *
	   * @param attrs the array of issuer attributes to use.
	   * @param uniqueId an optional a unique ID to use.
	   */
	  cert.setIssuer = function(attrs, uniqueId) {
	    // set new attributes, clear hash
	    _fillMissingFields(attrs);
	    cert.issuer.attributes = attrs;
	    delete cert.issuer.uniqueId;
	    if(uniqueId) {
	      cert.issuer.uniqueId = uniqueId;
	    }
	    cert.issuer.hash = null;
	  };
	
	  /**
	   * Sets the extensions of this certificate.
	   *
	   * @param exts the array of extensions to use.
	   */
	  cert.setExtensions = function(exts) {
	    for(var i = 0; i < exts.length; ++i) {
	      _fillMissingExtensionFields(exts[i], {cert: cert});
	    }
	    // set new extensions
	    cert.extensions = exts;
	  };
	
	  /**
	   * Gets an extension by its name or id.
	   *
	   * @param options the name to use or an object with:
	   *          name the name to use.
	   *          id the id to use.
	   *
	   * @return the extension or null if not found.
	   */
	  cert.getExtension = function(options) {
	    if(typeof options === 'string') {
	      options = {name: options};
	    }
	
	    var rval = null;
	    var ext;
	    for(var i = 0; rval === null && i < cert.extensions.length; ++i) {
	      ext = cert.extensions[i];
	      if(options.id && ext.id === options.id) {
	        rval = ext;
	      } else if(options.name && ext.name === options.name) {
	        rval = ext;
	      }
	    }
	    return rval;
	  };
	
	  /**
	   * Signs this certificate using the given private key.
	   *
	   * @param key the private key to sign with.
	   * @param md the message digest object to use (defaults to forge.md.sha1).
	   */
	  cert.sign = function(key, md) {
	    // TODO: get signature OID from private key
	    cert.md = md || forge.md.sha1.create();
	    var algorithmOid = oids[cert.md.algorithm + 'WithRSAEncryption'];
	    if(!algorithmOid) {
	      var error = new Error('Could not compute certificate digest. ' +
	        'Unknown message digest algorithm OID.');
	      error.algorithm = cert.md.algorithm;
	      throw error;
	    }
	    cert.signatureOid = cert.siginfo.algorithmOid = algorithmOid;
	
	    // get TBSCertificate, convert to DER
	    cert.tbsCertificate = pki.getTBSCertificate(cert);
	    var bytes = asn1.toDer(cert.tbsCertificate);
	
	    // digest and sign
	    cert.md.update(bytes.getBytes());
	    cert.signature = key.sign(cert.md);
	  };
	
	  /**
	   * Attempts verify the signature on the passed certificate using this
	   * certificate's public key.
	   *
	   * @param child the certificate to verify.
	   *
	   * @return true if verified, false if not.
	   */
	  cert.verify = function(child) {
	    var rval = false;
	
	    if(!cert.issued(child)) {
	      var issuer = child.issuer;
	      var subject = cert.subject;
	      var error = new Error('The parent certificate did not issue the given child ' +
	        'certificate; the child certificate\'s issuer does not match the ' +
	        'parent\'s subject.');
	      error.expectedIssuer = issuer.attributes;
	      error.actualIssuer = subject.attributes;
	      throw error;
	    }
	
	    var md = child.md;
	    if(md === null) {
	      // check signature OID for supported signature types
	      if(child.signatureOid in oids) {
	        var oid = oids[child.signatureOid];
	        switch(oid) {
	        case 'sha1WithRSAEncryption':
	          md = forge.md.sha1.create();
	          break;
	        case 'md5WithRSAEncryption':
	          md = forge.md.md5.create();
	          break;
	        case 'sha256WithRSAEncryption':
	          md = forge.md.sha256.create();
	          break;
	        case 'RSASSA-PSS':
	          md = forge.md.sha256.create();
	          break;
	        }
	      }
	      if(md === null) {
	        var error = new Error('Could not compute certificate digest. ' +
	          'Unknown signature OID.');
	        error.signatureOid = child.signatureOid;
	        throw error;
	      }
	
	      // produce DER formatted TBSCertificate and digest it
	      var tbsCertificate = child.tbsCertificate || pki.getTBSCertificate(child);
	      var bytes = asn1.toDer(tbsCertificate);
	      md.update(bytes.getBytes());
	    }
	
	    if(md !== null) {
	      var scheme;
	
	      switch(child.signatureOid) {
	      case oids.sha1WithRSAEncryption:
	        scheme = undefined;  /* use PKCS#1 v1.5 padding scheme */
	        break;
	      case oids['RSASSA-PSS']:
	        var hash, mgf;
	
	        /* initialize mgf */
	        hash = oids[child.signatureParameters.mgf.hash.algorithmOid];
	        if(hash === undefined || forge.md[hash] === undefined) {
	          var error = new Error('Unsupported MGF hash function.');
	          error.oid = child.signatureParameters.mgf.hash.algorithmOid;
	          error.name = hash;
	          throw error;
	        }
	
	        mgf = oids[child.signatureParameters.mgf.algorithmOid];
	        if(mgf === undefined || forge.mgf[mgf] === undefined) {
	          var error = new Error('Unsupported MGF function.');
	          error.oid = child.signatureParameters.mgf.algorithmOid;
	          error.name = mgf;
	          throw error;
	        }
	
	        mgf = forge.mgf[mgf].create(forge.md[hash].create());
	
	        /* initialize hash function */
	        hash = oids[child.signatureParameters.hash.algorithmOid];
	        if(hash === undefined || forge.md[hash] === undefined) {
	          throw {
	            message: 'Unsupported RSASSA-PSS hash function.',
	            oid: child.signatureParameters.hash.algorithmOid,
	            name: hash
	          };
	        }
	
	        scheme = forge.pss.create(forge.md[hash].create(), mgf,
	          child.signatureParameters.saltLength);
	        break;
	      }
	
	      // verify signature on cert using public key
	      rval = cert.publicKey.verify(
	        md.digest().getBytes(), child.signature, scheme);
	    }
	
	    return rval;
	  };
	
	  /**
	   * Returns true if this certificate's issuer matches the passed
	   * certificate's subject. Note that no signature check is performed.
	   *
	   * @param parent the certificate to check.
	   *
	   * @return true if this certificate's issuer matches the passed certificate's
	   *         subject.
	   */
	  cert.isIssuer = function(parent) {
	    var rval = false;
	
	    var i = cert.issuer;
	    var s = parent.subject;
	
	    // compare hashes if present
	    if(i.hash && s.hash) {
	      rval = (i.hash === s.hash);
	    } else if(i.attributes.length === s.attributes.length) {
	      // all attributes are the same so issuer matches subject
	      rval = true;
	      var iattr, sattr;
	      for(var n = 0; rval && n < i.attributes.length; ++n) {
	        iattr = i.attributes[n];
	        sattr = s.attributes[n];
	        if(iattr.type !== sattr.type || iattr.value !== sattr.value) {
	          // attribute mismatch
	          rval = false;
	        }
	      }
	    }
	
	    return rval;
	  };
	
	  /**
	   * Returns true if this certificate's subject matches the issuer of the
	   * given certificate). Note that not signature check is performed.
	   *
	   * @param child the certificate to check.
	   *
	   * @return true if this certificate's subject matches the passed
	   *         certificate's issuer.
	   */
	  cert.issued = function(child) {
	    return child.isIssuer(cert);
	  };
	
	  /**
	   * Generates the subjectKeyIdentifier for this certificate as byte buffer.
	   *
	   * @return the subjectKeyIdentifier for this certificate as byte buffer.
	   */
	  cert.generateSubjectKeyIdentifier = function() {
	    /* See: 4.2.1.2 section of the the RFC3280, keyIdentifier is either:
	
	      (1) The keyIdentifier is composed of the 160-bit SHA-1 hash of the
	        value of the BIT STRING subjectPublicKey (excluding the tag,
	        length, and number of unused bits).
	
	      (2) The keyIdentifier is composed of a four bit type field with
	        the value 0100 followed by the least significant 60 bits of the
	        SHA-1 hash of the value of the BIT STRING subjectPublicKey
	        (excluding the tag, length, and number of unused bit string bits).
	    */
	
	    // skipping the tag, length, and number of unused bits is the same
	    // as just using the RSAPublicKey (for RSA keys, which are the
	    // only ones supported)
	    return pki.getPublicKeyFingerprint(cert.publicKey, {type: 'RSAPublicKey'});
	  };
	
	  /**
	   * Verifies the subjectKeyIdentifier extension value for this certificate
	   * against its public key. If no extension is found, false will be
	   * returned.
	   *
	   * @return true if verified, false if not.
	   */
	  cert.verifySubjectKeyIdentifier = function() {
	    var oid = oids['subjectKeyIdentifier'];
	    for(var i = 0; i < cert.extensions.length; ++i) {
	      var ext = cert.extensions[i];
	      if(ext.id === oid) {
	        var ski = cert.generateSubjectKeyIdentifier().getBytes();
	        return (forge.util.hexToBytes(ext.subjectKeyIdentifier) === ski);
	      }
	    }
	    return false;
	  };
	
	  return cert;
	};
	
	/**
	 * Converts an X.509v3 RSA certificate from an ASN.1 object.
	 *
	 * Note: If the certificate is to be verified then compute hash should
	 * be set to true. There is currently no implementation for converting
	 * a certificate back to ASN.1 so the TBSCertificate part of the ASN.1
	 * object needs to be scanned before the cert object is created.
	 *
	 * @param obj the asn1 representation of an X.509v3 RSA certificate.
	 * @param computeHash true to compute the hash for verification.
	 *
	 * @return the certificate.
	 */
	pki.certificateFromAsn1 = function(obj, computeHash) {
	  // validate certificate and capture data
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, x509CertificateValidator, capture, errors)) {
	    var error = new Error('Cannot read X.509 certificate. ' +
	      'ASN.1 object is not an X509v3 Certificate.');
	    error.errors = errors;
	    throw error;
	  }
	
	  // ensure signature is not interpreted as an embedded ASN.1 object
	  if(typeof capture.certSignature !== 'string') {
	    var certSignature = '\x00';
	    for(var i = 0; i < capture.certSignature.length; ++i) {
	      certSignature += asn1.toDer(capture.certSignature[i]).getBytes();
	    }
	    capture.certSignature = certSignature;
	  }
	
	  // get oid
	  var oid = asn1.derToOid(capture.publicKeyOid);
	  if(oid !== pki.oids['rsaEncryption']) {
	    throw new Error('Cannot read public key. OID is not RSA.');
	  }
	
	  // create certificate
	  var cert = pki.createCertificate();
	  cert.version = capture.certVersion ?
	    capture.certVersion.charCodeAt(0) : 0;
	  var serial = forge.util.createBuffer(capture.certSerialNumber);
	  cert.serialNumber = serial.toHex();
	  cert.signatureOid = forge.asn1.derToOid(capture.certSignatureOid);
	  cert.signatureParameters = _readSignatureParameters(
	    cert.signatureOid, capture.certSignatureParams, true);
	  cert.siginfo.algorithmOid = forge.asn1.derToOid(capture.certinfoSignatureOid);
	  cert.siginfo.parameters = _readSignatureParameters(cert.siginfo.algorithmOid,
	    capture.certinfoSignatureParams, false);
	  // skip "unused bits" in signature value BITSTRING
	  var signature = forge.util.createBuffer(capture.certSignature);
	  ++signature.read;
	  cert.signature = signature.getBytes();
	
	  var validity = [];
	  if(capture.certValidity1UTCTime !== undefined) {
	    validity.push(asn1.utcTimeToDate(capture.certValidity1UTCTime));
	  }
	  if(capture.certValidity2GeneralizedTime !== undefined) {
	    validity.push(asn1.generalizedTimeToDate(
	      capture.certValidity2GeneralizedTime));
	  }
	  if(capture.certValidity3UTCTime !== undefined) {
	    validity.push(asn1.utcTimeToDate(capture.certValidity3UTCTime));
	  }
	  if(capture.certValidity4GeneralizedTime !== undefined) {
	    validity.push(asn1.generalizedTimeToDate(
	      capture.certValidity4GeneralizedTime));
	  }
	  if(validity.length > 2) {
	    throw new Error('Cannot read notBefore/notAfter validity times; more ' +
	      'than two times were provided in the certificate.');
	  }
	  if(validity.length < 2) {
	    throw new Error('Cannot read notBefore/notAfter validity times; they ' +
	      'were not provided as either UTCTime or GeneralizedTime.');
	  }
	  cert.validity.notBefore = validity[0];
	  cert.validity.notAfter = validity[1];
	
	  // keep TBSCertificate to preserve signature when exporting
	  cert.tbsCertificate = capture.tbsCertificate;
	
	  if(computeHash) {
	    // check signature OID for supported signature types
	    cert.md = null;
	    if(cert.signatureOid in oids) {
	      var oid = oids[cert.signatureOid];
	      switch(oid) {
	      case 'sha1WithRSAEncryption':
	        cert.md = forge.md.sha1.create();
	        break;
	      case 'md5WithRSAEncryption':
	        cert.md = forge.md.md5.create();
	        break;
	      case 'sha256WithRSAEncryption':
	        cert.md = forge.md.sha256.create();
	        break;
	      case 'RSASSA-PSS':
	        cert.md = forge.md.sha256.create();
	        break;
	      }
	    }
	    if(cert.md === null) {
	      var error = new Error('Could not compute certificate digest. ' +
	        'Unknown signature OID.');
	      error.signatureOid = cert.signatureOid;
	      throw error;
	    }
	
	    // produce DER formatted TBSCertificate and digest it
	    var bytes = asn1.toDer(cert.tbsCertificate);
	    cert.md.update(bytes.getBytes());
	  }
	
	  // handle issuer, build issuer message digest
	  var imd = forge.md.sha1.create();
	  cert.issuer.getField = function(sn) {
	    return _getAttribute(cert.issuer, sn);
	  };
	  cert.issuer.addField = function(attr) {
	    _fillMissingFields([attr]);
	    cert.issuer.attributes.push(attr);
	  };
	  cert.issuer.attributes = pki.RDNAttributesAsArray(capture.certIssuer, imd);
	  if(capture.certIssuerUniqueId) {
	    cert.issuer.uniqueId = capture.certIssuerUniqueId;
	  }
	  cert.issuer.hash = imd.digest().toHex();
	
	  // handle subject, build subject message digest
	  var smd = forge.md.sha1.create();
	  cert.subject.getField = function(sn) {
	    return _getAttribute(cert.subject, sn);
	  };
	  cert.subject.addField = function(attr) {
	    _fillMissingFields([attr]);
	    cert.subject.attributes.push(attr);
	  };
	  cert.subject.attributes = pki.RDNAttributesAsArray(capture.certSubject, smd);
	  if(capture.certSubjectUniqueId) {
	    cert.subject.uniqueId = capture.certSubjectUniqueId;
	  }
	  cert.subject.hash = smd.digest().toHex();
	
	  // handle extensions
	  if(capture.certExtensions) {
	    cert.extensions = pki.certificateExtensionsFromAsn1(capture.certExtensions);
	  } else {
	    cert.extensions = [];
	  }
	
	  // convert RSA public key from ASN.1
	  cert.publicKey = pki.publicKeyFromAsn1(capture.subjectPublicKeyInfo);
	
	  return cert;
	};
	
	/**
	 * Converts an ASN.1 extensions object (with extension sequences as its
	 * values) into an array of extension objects with types and values.
	 *
	 * Supported extensions:
	 *
	 * id-ce-keyUsage OBJECT IDENTIFIER ::=  { id-ce 15 }
	 * KeyUsage ::= BIT STRING {
	 *   digitalSignature        (0),
	 *   nonRepudiation          (1),
	 *   keyEncipherment         (2),
	 *   dataEncipherment        (3),
	 *   keyAgreement            (4),
	 *   keyCertSign             (5),
	 *   cRLSign                 (6),
	 *   encipherOnly            (7),
	 *   decipherOnly            (8)
	 * }
	 *
	 * id-ce-basicConstraints OBJECT IDENTIFIER ::=  { id-ce 19 }
	 * BasicConstraints ::= SEQUENCE {
	 *   cA                      BOOLEAN DEFAULT FALSE,
	 *   pathLenConstraint       INTEGER (0..MAX) OPTIONAL
	 * }
	 *
	 * subjectAltName EXTENSION ::= {
	 *   SYNTAX GeneralNames
	 *   IDENTIFIED BY id-ce-subjectAltName
	 * }
	 *
	 * GeneralNames ::= SEQUENCE SIZE (1..MAX) OF GeneralName
	 *
	 * GeneralName ::= CHOICE {
	 *   otherName      [0] INSTANCE OF OTHER-NAME,
	 *   rfc822Name     [1] IA5String,
	 *   dNSName        [2] IA5String,
	 *   x400Address    [3] ORAddress,
	 *   directoryName  [4] Name,
	 *   ediPartyName   [5] EDIPartyName,
	 *   uniformResourceIdentifier [6] IA5String,
	 *   IPAddress      [7] OCTET STRING,
	 *   registeredID   [8] OBJECT IDENTIFIER
	 * }
	 *
	 * OTHER-NAME ::= TYPE-IDENTIFIER
	 *
	 * EDIPartyName ::= SEQUENCE {
	 *   nameAssigner [0] DirectoryString {ub-name} OPTIONAL,
	 *   partyName    [1] DirectoryString {ub-name}
	 * }
	 *
	 * @param exts the extensions ASN.1 with extension sequences to parse.
	 *
	 * @return the array.
	 */
	pki.certificateExtensionsFromAsn1 = function(exts) {
	  var rval = [];
	  for(var i = 0; i < exts.value.length; ++i) {
	    // get extension sequence
	    var extseq = exts.value[i];
	    for(var ei = 0; ei < extseq.value.length; ++ei) {
	      rval.push(pki.certificateExtensionFromAsn1(extseq.value[ei]));
	    }
	  }
	
	  return rval;
	};
	
	/**
	 * Parses a single certificate extension from ASN.1.
	 *
	 * @param ext the extension in ASN.1 format.
	 *
	 * @return the parsed extension as an object.
	 */
	pki.certificateExtensionFromAsn1 = function(ext) {
	  // an extension has:
	  // [0] extnID      OBJECT IDENTIFIER
	  // [1] critical    BOOLEAN DEFAULT FALSE
	  // [2] extnValue   OCTET STRING
	  var e = {};
	  e.id = asn1.derToOid(ext.value[0].value);
	  e.critical = false;
	  if(ext.value[1].type === asn1.Type.BOOLEAN) {
	    e.critical = (ext.value[1].value.charCodeAt(0) !== 0x00);
	    e.value = ext.value[2].value;
	  } else {
	    e.value = ext.value[1].value;
	  }
	  // if the oid is known, get its name
	  if(e.id in oids) {
	    e.name = oids[e.id];
	
	    // handle key usage
	    if(e.name === 'keyUsage') {
	      // get value as BIT STRING
	      var ev = asn1.fromDer(e.value);
	      var b2 = 0x00;
	      var b3 = 0x00;
	      if(ev.value.length > 1) {
	        // skip first byte, just indicates unused bits which
	        // will be padded with 0s anyway
	        // get bytes with flag bits
	        b2 = ev.value.charCodeAt(1);
	        b3 = ev.value.length > 2 ? ev.value.charCodeAt(2) : 0;
	      }
	      // set flags
	      e.digitalSignature = (b2 & 0x80) === 0x80;
	      e.nonRepudiation = (b2 & 0x40) === 0x40;
	      e.keyEncipherment = (b2 & 0x20) === 0x20;
	      e.dataEncipherment = (b2 & 0x10) === 0x10;
	      e.keyAgreement = (b2 & 0x08) === 0x08;
	      e.keyCertSign = (b2 & 0x04) === 0x04;
	      e.cRLSign = (b2 & 0x02) === 0x02;
	      e.encipherOnly = (b2 & 0x01) === 0x01;
	      e.decipherOnly = (b3 & 0x80) === 0x80;
	    } else if(e.name === 'basicConstraints') {
	      // handle basic constraints
	      // get value as SEQUENCE
	      var ev = asn1.fromDer(e.value);
	      // get cA BOOLEAN flag (defaults to false)
	      if(ev.value.length > 0 && ev.value[0].type === asn1.Type.BOOLEAN) {
	        e.cA = (ev.value[0].value.charCodeAt(0) !== 0x00);
	      } else {
	        e.cA = false;
	      }
	      // get path length constraint
	      var value = null;
	      if(ev.value.length > 0 && ev.value[0].type === asn1.Type.INTEGER) {
	        value = ev.value[0].value;
	      } else if(ev.value.length > 1) {
	        value = ev.value[1].value;
	      }
	      if(value !== null) {
	        e.pathLenConstraint = asn1.derToInteger(value);
	      }
	    } else if(e.name === 'extKeyUsage') {
	      // handle extKeyUsage
	      // value is a SEQUENCE of OIDs
	      var ev = asn1.fromDer(e.value);
	      for(var vi = 0; vi < ev.value.length; ++vi) {
	        var oid = asn1.derToOid(ev.value[vi].value);
	        if(oid in oids) {
	          e[oids[oid]] = true;
	        } else {
	          e[oid] = true;
	        }
	      }
	    } else if(e.name === 'nsCertType') {
	      // handle nsCertType
	      // get value as BIT STRING
	      var ev = asn1.fromDer(e.value);
	      var b2 = 0x00;
	      if(ev.value.length > 1) {
	        // skip first byte, just indicates unused bits which
	        // will be padded with 0s anyway
	        // get bytes with flag bits
	        b2 = ev.value.charCodeAt(1);
	      }
	      // set flags
	      e.client = (b2 & 0x80) === 0x80;
	      e.server = (b2 & 0x40) === 0x40;
	      e.email = (b2 & 0x20) === 0x20;
	      e.objsign = (b2 & 0x10) === 0x10;
	      e.reserved = (b2 & 0x08) === 0x08;
	      e.sslCA = (b2 & 0x04) === 0x04;
	      e.emailCA = (b2 & 0x02) === 0x02;
	      e.objCA = (b2 & 0x01) === 0x01;
	    } else if(
	      e.name === 'subjectAltName' ||
	      e.name === 'issuerAltName') {
	      // handle subjectAltName/issuerAltName
	      e.altNames = [];
	
	      // ev is a SYNTAX SEQUENCE
	      var gn;
	      var ev = asn1.fromDer(e.value);
	      for(var n = 0; n < ev.value.length; ++n) {
	        // get GeneralName
	        gn = ev.value[n];
	
	        var altName = {
	          type: gn.type,
	          value: gn.value
	        };
	        e.altNames.push(altName);
	
	        // Note: Support for types 1,2,6,7,8
	        switch(gn.type) {
	        // rfc822Name
	        case 1:
	        // dNSName
	        case 2:
	        // uniformResourceIdentifier (URI)
	        case 6:
	          break;
	        // IPAddress
	        case 7:
	          // convert to IPv4/IPv6 string representation
	          altName.ip = forge.util.bytesToIP(gn.value);
	          break;
	        // registeredID
	        case 8:
	          altName.oid = asn1.derToOid(gn.value);
	          break;
	        default:
	          // unsupported
	        }
	      }
	    } else if(e.name === 'subjectKeyIdentifier') {
	      // value is an OCTETSTRING w/the hash of the key-type specific
	      // public key structure (eg: RSAPublicKey)
	      var ev = asn1.fromDer(e.value);
	      e.subjectKeyIdentifier = forge.util.bytesToHex(ev.value);
	    }
	  }
	  return e;
	};
	
	/**
	 * Converts a PKCS#10 certification request (CSR) from an ASN.1 object.
	 *
	 * Note: If the certification request is to be verified then compute hash
	 * should be set to true. There is currently no implementation for converting
	 * a certificate back to ASN.1 so the CertificationRequestInfo part of the
	 * ASN.1 object needs to be scanned before the csr object is created.
	 *
	 * @param obj the asn1 representation of a PKCS#10 certification request (CSR).
	 * @param computeHash true to compute the hash for verification.
	 *
	 * @return the certification request (CSR).
	 */
	pki.certificationRequestFromAsn1 = function(obj, computeHash) {
	  // validate certification request and capture data
	  var capture = {};
	  var errors = [];
	  if(!asn1.validate(obj, certificationRequestValidator, capture, errors)) {
	    var error = new Error('Cannot read PKCS#10 certificate request. ' +
	      'ASN.1 object is not a PKCS#10 CertificationRequest.');
	    error.errors = errors;
	    throw error;
	  }
	
	  // ensure signature is not interpreted as an embedded ASN.1 object
	  if(typeof capture.csrSignature !== 'string') {
	    var csrSignature = '\x00';
	    for(var i = 0; i < capture.csrSignature.length; ++i) {
	      csrSignature += asn1.toDer(capture.csrSignature[i]).getBytes();
	    }
	    capture.csrSignature = csrSignature;
	  }
	
	  // get oid
	  var oid = asn1.derToOid(capture.publicKeyOid);
	  if(oid !== pki.oids.rsaEncryption) {
	    throw new Error('Cannot read public key. OID is not RSA.');
	  }
	
	  // create certification request
	  var csr = pki.createCertificationRequest();
	  csr.version = capture.csrVersion ? capture.csrVersion.charCodeAt(0) : 0;
	  csr.signatureOid = forge.asn1.derToOid(capture.csrSignatureOid);
	  csr.signatureParameters = _readSignatureParameters(
	    csr.signatureOid, capture.csrSignatureParams, true);
	  csr.siginfo.algorithmOid = forge.asn1.derToOid(capture.csrSignatureOid);
	  csr.siginfo.parameters = _readSignatureParameters(
	    csr.siginfo.algorithmOid, capture.csrSignatureParams, false);
	  // skip "unused bits" in signature value BITSTRING
	  var signature = forge.util.createBuffer(capture.csrSignature);
	  ++signature.read;
	  csr.signature = signature.getBytes();
	
	  // keep CertificationRequestInfo to preserve signature when exporting
	  csr.certificationRequestInfo = capture.certificationRequestInfo;
	
	  if(computeHash) {
	    // check signature OID for supported signature types
	    csr.md = null;
	    if(csr.signatureOid in oids) {
	      var oid = oids[csr.signatureOid];
	      switch(oid) {
	      case 'sha1WithRSAEncryption':
	        csr.md = forge.md.sha1.create();
	        break;
	      case 'md5WithRSAEncryption':
	        csr.md = forge.md.md5.create();
	        break;
	      case 'sha256WithRSAEncryption':
	        csr.md = forge.md.sha256.create();
	        break;
	      case 'RSASSA-PSS':
	        csr.md = forge.md.sha256.create();
	        break;
	      }
	    }
	    if(csr.md === null) {
	      var error = new Error('Could not compute certification request digest. ' +
	        'Unknown signature OID.');
	      error.signatureOid = csr.signatureOid;
	      throw error;
	    }
	
	    // produce DER formatted CertificationRequestInfo and digest it
	    var bytes = asn1.toDer(csr.certificationRequestInfo);
	    csr.md.update(bytes.getBytes());
	  }
	
	  // handle subject, build subject message digest
	  var smd = forge.md.sha1.create();
	  csr.subject.getField = function(sn) {
	    return _getAttribute(csr.subject, sn);
	  };
	  csr.subject.addField = function(attr) {
	    _fillMissingFields([attr]);
	    csr.subject.attributes.push(attr);
	  };
	  csr.subject.attributes = pki.RDNAttributesAsArray(
	    capture.certificationRequestInfoSubject, smd);
	  csr.subject.hash = smd.digest().toHex();
	
	  // convert RSA public key from ASN.1
	  csr.publicKey = pki.publicKeyFromAsn1(capture.subjectPublicKeyInfo);
	
	  // convert attributes from ASN.1
	  csr.getAttribute = function(sn) {
	    return _getAttribute(csr, sn);
	  };
	  csr.addAttribute = function(attr) {
	    _fillMissingFields([attr]);
	    csr.attributes.push(attr);
	  };
	  csr.attributes = pki.CRIAttributesAsArray(
	    capture.certificationRequestInfoAttributes || []);
	
	  return csr;
	};
	
	/**
	 * Creates an empty certification request (a CSR or certificate signing
	 * request). Once created, its public key and attributes can be set and then
	 * it can be signed.
	 *
	 * @return the empty certification request.
	 */
	pki.createCertificationRequest = function() {
	  var csr = {};
	  csr.version = 0x00;
	  csr.signatureOid = null;
	  csr.signature = null;
	  csr.siginfo = {};
	  csr.siginfo.algorithmOid = null;
	
	  csr.subject = {};
	  csr.subject.getField = function(sn) {
	    return _getAttribute(csr.subject, sn);
	  };
	  csr.subject.addField = function(attr) {
	    _fillMissingFields([attr]);
	    csr.subject.attributes.push(attr);
	  };
	  csr.subject.attributes = [];
	  csr.subject.hash = null;
	
	  csr.publicKey = null;
	  csr.attributes = [];
	  csr.getAttribute = function(sn) {
	    return _getAttribute(csr, sn);
	  };
	  csr.addAttribute = function(attr) {
	    _fillMissingFields([attr]);
	    csr.attributes.push(attr);
	  };
	  csr.md = null;
	
	  /**
	   * Sets the subject of this certification request.
	   *
	   * @param attrs the array of subject attributes to use.
	   */
	  csr.setSubject = function(attrs) {
	    // set new attributes
	    _fillMissingFields(attrs);
	    csr.subject.attributes = attrs;
	    csr.subject.hash = null;
	  };
	
	  /**
	   * Sets the attributes of this certification request.
	   *
	   * @param attrs the array of attributes to use.
	   */
	  csr.setAttributes = function(attrs) {
	    // set new attributes
	    _fillMissingFields(attrs);
	    csr.attributes = attrs;
	  };
	
	  /**
	   * Signs this certification request using the given private key.
	   *
	   * @param key the private key to sign with.
	   * @param md the message digest object to use (defaults to forge.md.sha1).
	   */
	  csr.sign = function(key, md) {
	    // TODO: get signature OID from private key
	    csr.md = md || forge.md.sha1.create();
	    var algorithmOid = oids[csr.md.algorithm + 'WithRSAEncryption'];
	    if(!algorithmOid) {
	      var error = new Error('Could not compute certification request digest. ' +
	        'Unknown message digest algorithm OID.');
	      error.algorithm = csr.md.algorithm;
	      throw error;
	    }
	    csr.signatureOid = csr.siginfo.algorithmOid = algorithmOid;
	
	    // get CertificationRequestInfo, convert to DER
	    csr.certificationRequestInfo = pki.getCertificationRequestInfo(csr);
	    var bytes = asn1.toDer(csr.certificationRequestInfo);
	
	    // digest and sign
	    csr.md.update(bytes.getBytes());
	    csr.signature = key.sign(csr.md);
	  };
	
	  /**
	   * Attempts verify the signature on the passed certification request using
	   * its public key.
	   *
	   * A CSR that has been exported to a file in PEM format can be verified using
	   * OpenSSL using this command:
	   *
	   * openssl req -in <the-csr-pem-file> -verify -noout -text
	   *
	   * @return true if verified, false if not.
	   */
	  csr.verify = function() {
	    var rval = false;
	
	    var md = csr.md;
	    if(md === null) {
	      // check signature OID for supported signature types
	      if(csr.signatureOid in oids) {
	        var oid = oids[csr.signatureOid];
	        switch(oid) {
	        case 'sha1WithRSAEncryption':
	          md = forge.md.sha1.create();
	          break;
	        case 'md5WithRSAEncryption':
	          md = forge.md.md5.create();
	          break;
	        case 'sha256WithRSAEncryption':
	          md = forge.md.sha256.create();
	          break;
	        case 'RSASSA-PSS':
	          md = forge.md.sha256.create();
	          break;
	        }
	      }
	      if(md === null) {
	        var error = new Error('Could not compute certification request digest. ' +
	          'Unknown signature OID.');
	        error.signatureOid = csr.signatureOid;
	        throw error;
	      }
	
	      // produce DER formatted CertificationRequestInfo and digest it
	      var cri = csr.certificationRequestInfo ||
	        pki.getCertificationRequestInfo(csr);
	      var bytes = asn1.toDer(cri);
	      md.update(bytes.getBytes());
	    }
	
	    if(md !== null) {
	      var scheme;
	
	      switch(csr.signatureOid) {
	      case oids.sha1WithRSAEncryption:
	        /* use PKCS#1 v1.5 padding scheme */
	        break;
	      case oids['RSASSA-PSS']:
	        var hash, mgf;
	
	        /* initialize mgf */
	        hash = oids[csr.signatureParameters.mgf.hash.algorithmOid];
	        if(hash === undefined || forge.md[hash] === undefined) {
	          var error = new Error('Unsupported MGF hash function.');
	          error.oid = csr.signatureParameters.mgf.hash.algorithmOid;
	          error.name = hash;
	          throw error;
	        }
	
	        mgf = oids[csr.signatureParameters.mgf.algorithmOid];
	        if(mgf === undefined || forge.mgf[mgf] === undefined) {
	          var error = new Error('Unsupported MGF function.');
	          error.oid = csr.signatureParameters.mgf.algorithmOid;
	          error.name = mgf;
	          throw error;
	        }
	
	        mgf = forge.mgf[mgf].create(forge.md[hash].create());
	
	        /* initialize hash function */
	        hash = oids[csr.signatureParameters.hash.algorithmOid];
	        if(hash === undefined || forge.md[hash] === undefined) {
	          var error = new Error('Unsupported RSASSA-PSS hash function.');
	          error.oid = csr.signatureParameters.hash.algorithmOid;
	          error.name = hash;
	          throw error;
	        }
	
	        scheme = forge.pss.create(forge.md[hash].create(), mgf,
	          csr.signatureParameters.saltLength);
	        break;
	      }
	
	      // verify signature on csr using its public key
	      rval = csr.publicKey.verify(
	        md.digest().getBytes(), csr.signature, scheme);
	    }
	
	    return rval;
	  };
	
	  return csr;
	};
	
	/**
	 * Converts an X.509 subject or issuer to an ASN.1 RDNSequence.
	 *
	 * @param obj the subject or issuer (distinguished name).
	 *
	 * @return the ASN.1 RDNSequence.
	 */
	function _dnToAsn1(obj) {
	  // create an empty RDNSequence
	  var rval = asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	
	  // iterate over attributes
	  var attr, set;
	  var attrs = obj.attributes;
	  for(var i = 0; i < attrs.length; ++i) {
	    attr = attrs[i];
	    var value = attr.value;
	
	    // reuse tag class for attribute value if available
	    var valueTagClass = asn1.Type.PRINTABLESTRING;
	    if('valueTagClass' in attr) {
	      valueTagClass = attr.valueTagClass;
	
	      if(valueTagClass === asn1.Type.UTF8) {
	        value = forge.util.encodeUtf8(value);
	      }
	      // FIXME: handle more encodings
	    }
	
	    // create a RelativeDistinguishedName set
	    // each value in the set is an AttributeTypeAndValue first
	    // containing the type (an OID) and second the value
	    set = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SET, true, [
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	        // AttributeType
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	          asn1.oidToDer(attr.type).getBytes()),
	        // AttributeValue
	        asn1.create(asn1.Class.UNIVERSAL, valueTagClass, false, value)
	      ])
	    ]);
	    rval.value.push(set);
	  }
	
	  return rval;
	}
	
	/**
	 * Gets all printable attributes (typically of an issuer or subject) in a
	 * simplified JSON format for display.
	 *
	 * @param attrs the attributes.
	 *
	 * @return the JSON for display.
	 */
	function _getAttributesAsJson(attrs) {
	  var rval = {};
	  for(var i = 0; i < attrs.length; ++i) {
	    var attr = attrs[i];
	    if(attr.shortName && (
	      attr.valueTagClass === asn1.Type.UTF8 ||
	      attr.valueTagClass === asn1.Type.PRINTABLESTRING ||
	      attr.valueTagClass === asn1.Type.IA5STRING)) {
	      var value = attr.value;
	      if(attr.valueTagClass === asn1.Type.UTF8) {
	        value = forge.util.encodeUtf8(attr.value);
	      }
	      if(!(attr.shortName in rval)) {
	        rval[attr.shortName] = value;
	      } else if(forge.util.isArray(rval[attr.shortName])) {
	        rval[attr.shortName].push(value);
	      } else {
	        rval[attr.shortName] = [rval[attr.shortName], value];
	      }
	    }
	  }
	  return rval;
	}
	
	/**
	 * Fills in missing fields in attributes.
	 *
	 * @param attrs the attributes to fill missing fields in.
	 */
	function _fillMissingFields(attrs) {
	  var attr;
	  for(var i = 0; i < attrs.length; ++i) {
	    attr = attrs[i];
	
	    // populate missing name
	    if(typeof attr.name === 'undefined') {
	      if(attr.type && attr.type in pki.oids) {
	        attr.name = pki.oids[attr.type];
	      } else if(attr.shortName && attr.shortName in _shortNames) {
	        attr.name = pki.oids[_shortNames[attr.shortName]];
	      }
	    }
	
	    // populate missing type (OID)
	    if(typeof attr.type === 'undefined') {
	      if(attr.name && attr.name in pki.oids) {
	        attr.type = pki.oids[attr.name];
	      } else {
	        var error = new Error('Attribute type not specified.');
	        error.attribute = attr;
	        throw error;
	      }
	    }
	
	    // populate missing shortname
	    if(typeof attr.shortName === 'undefined') {
	      if(attr.name && attr.name in _shortNames) {
	        attr.shortName = _shortNames[attr.name];
	      }
	    }
	
	    // convert extensions to value
	    if(attr.type === oids.extensionRequest) {
	      attr.valueConstructed = true;
	      attr.valueTagClass = asn1.Type.SEQUENCE;
	      if(!attr.value && attr.extensions) {
	        attr.value = [];
	        for(var ei = 0; ei < attr.extensions.length; ++ei) {
	          attr.value.push(pki.certificateExtensionToAsn1(
	            _fillMissingExtensionFields(attr.extensions[ei])));
	        }
	      }
	    }
	
	    if(typeof attr.value === 'undefined') {
	      var error = new Error('Attribute value not specified.');
	      error.attribute = attr;
	      throw error;
	    }
	  }
	}
	
	/**
	 * Fills in missing fields in certificate extensions.
	 *
	 * @param e the extension.
	 * @param [options] the options to use.
	 *          [cert] the certificate the extensions are for.
	 *
	 * @return the extension.
	 */
	function _fillMissingExtensionFields(e, options) {
	  options = options || {};
	
	  // populate missing name
	  if(typeof e.name === 'undefined') {
	    if(e.id && e.id in pki.oids) {
	      e.name = pki.oids[e.id];
	    }
	  }
	
	  // populate missing id
	  if(typeof e.id === 'undefined') {
	    if(e.name && e.name in pki.oids) {
	      e.id = pki.oids[e.name];
	    } else {
	      var error = new Error('Extension ID not specified.');
	      error.extension = e;
	      throw error;
	    }
	  }
	
	  if(typeof e.value !== 'undefined') {
	    return;
	  }
	
	  // handle missing value:
	
	  // value is a BIT STRING
	  if(e.name === 'keyUsage') {
	    // build flags
	    var unused = 0;
	    var b2 = 0x00;
	    var b3 = 0x00;
	    if(e.digitalSignature) {
	      b2 |= 0x80;
	      unused = 7;
	    }
	    if(e.nonRepudiation) {
	      b2 |= 0x40;
	      unused = 6;
	    }
	    if(e.keyEncipherment) {
	      b2 |= 0x20;
	      unused = 5;
	    }
	    if(e.dataEncipherment) {
	      b2 |= 0x10;
	      unused = 4;
	    }
	    if(e.keyAgreement) {
	      b2 |= 0x08;
	      unused = 3;
	    }
	    if(e.keyCertSign) {
	      b2 |= 0x04;
	      unused = 2;
	    }
	    if(e.cRLSign) {
	      b2 |= 0x02;
	      unused = 1;
	    }
	    if(e.encipherOnly) {
	      b2 |= 0x01;
	      unused = 0;
	    }
	    if(e.decipherOnly) {
	      b3 |= 0x80;
	      unused = 7;
	    }
	
	    // create bit string
	    var value = String.fromCharCode(unused);
	    if(b3 !== 0) {
	      value += String.fromCharCode(b2) + String.fromCharCode(b3);
	    } else if(b2 !== 0) {
	      value += String.fromCharCode(b2);
	    }
	    e.value = asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false, value);
	  } else if(e.name === 'basicConstraints') {
	    // basicConstraints is a SEQUENCE
	    e.value = asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	    // cA BOOLEAN flag defaults to false
	    if(e.cA) {
	      e.value.value.push(asn1.create(
	        asn1.Class.UNIVERSAL, asn1.Type.BOOLEAN, false,
	        String.fromCharCode(0xFF)));
	    }
	    if('pathLenConstraint' in e) {
	      e.value.value.push(asn1.create(
	        asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	        asn1.integerToDer(e.pathLenConstraint).getBytes()));
	    }
	  } else if(e.name === 'extKeyUsage') {
	    // extKeyUsage is a SEQUENCE of OIDs
	    e.value = asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	    var seq = e.value.value;
	    for(var key in e) {
	      if(e[key] !== true) {
	        continue;
	      }
	      // key is name in OID map
	      if(key in oids) {
	        seq.push(asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID,
	          false, asn1.oidToDer(oids[key]).getBytes()));
	      } else if(key.indexOf('.') !== -1) {
	        // assume key is an OID
	        seq.push(asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID,
	          false, asn1.oidToDer(key).getBytes()));
	      }
	    }
	  } else if(e.name === 'nsCertType') {
	    // nsCertType is a BIT STRING
	    // build flags
	    var unused = 0;
	    var b2 = 0x00;
	
	    if(e.client) {
	      b2 |= 0x80;
	      unused = 7;
	    }
	    if(e.server) {
	      b2 |= 0x40;
	      unused = 6;
	    }
	    if(e.email) {
	      b2 |= 0x20;
	      unused = 5;
	    }
	    if(e.objsign) {
	      b2 |= 0x10;
	      unused = 4;
	    }
	    if(e.reserved) {
	      b2 |= 0x08;
	      unused = 3;
	    }
	    if(e.sslCA) {
	      b2 |= 0x04;
	      unused = 2;
	    }
	    if(e.emailCA) {
	      b2 |= 0x02;
	      unused = 1;
	    }
	    if(e.objCA) {
	      b2 |= 0x01;
	      unused = 0;
	    }
	
	    // create bit string
	    var value = String.fromCharCode(unused);
	    if(b2 !== 0) {
	      value += String.fromCharCode(b2);
	    }
	    e.value = asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false, value);
	  } else if(e.name === 'subjectAltName' || e.name === 'issuerAltName') {
	    // SYNTAX SEQUENCE
	    e.value = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	
	    var altName;
	    for(var n = 0; n < e.altNames.length; ++n) {
	      altName = e.altNames[n];
	      var value = altName.value;
	      // handle IP
	      if(altName.type === 7 && altName.ip) {
	        value = forge.util.bytesFromIP(altName.ip);
	        if(value === null) {
	          var error = new Error(
	            'Extension "ip" value is not a valid IPv4 or IPv6 address.');
	          error.extension = e;
	          throw error;
	        }
	      } else if(altName.type === 8) {
	        // handle OID
	        if(altName.oid) {
	          value = asn1.oidToDer(asn1.oidToDer(altName.oid));
	        } else {
	          // deprecated ... convert value to OID
	          value = asn1.oidToDer(value);
	        }
	      }
	      e.value.value.push(asn1.create(
	        asn1.Class.CONTEXT_SPECIFIC, altName.type, false,
	        value));
	    }
	  } else if(e.name === 'subjectKeyIdentifier' && options.cert) {
	    var ski = options.cert.generateSubjectKeyIdentifier();
	    e.subjectKeyIdentifier = ski.toHex();
	    // OCTETSTRING w/digest
	    e.value = asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false, ski.getBytes());
	  }
	
	  // ensure value has been defined by now
	  if(typeof e.value === 'undefined') {
	    var error = new Error('Extension value not specified.');
	    error.extension = e;
	    throw error;
	  }
	
	  return e;
	}
	
	/**
	 * Convert signature parameters object to ASN.1
	 *
	 * @param {String} oid Signature algorithm OID
	 * @param params The signature parametrs object
	 * @return ASN.1 object representing signature parameters
	 */
	function _signatureParametersToAsn1(oid, params) {
	  switch(oid) {
	  case oids['RSASSA-PSS']:
	    var parts = [];
	
	    if(params.hash.algorithmOid !== undefined) {
	      parts.push(asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	            asn1.oidToDer(params.hash.algorithmOid).getBytes()),
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '')
	        ])
	      ]));
	    }
	
	    if(params.mgf.algorithmOid !== undefined) {
	      parts.push(asn1.create(asn1.Class.CONTEXT_SPECIFIC, 1, true, [
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	            asn1.oidToDer(params.mgf.algorithmOid).getBytes()),
	          asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	              asn1.oidToDer(params.mgf.hash.algorithmOid).getBytes()),
	            asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '')
	          ])
	        ])
	      ]));
	    }
	
	    if(params.saltLength !== undefined) {
	      parts.push(asn1.create(asn1.Class.CONTEXT_SPECIFIC, 2, true, [
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	          asn1.integerToDer(params.saltLength).getBytes())
	      ]));
	    }
	
	    return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, parts);
	
	  default:
	    return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '');
	  }
	}
	
	/**
	 * Converts a certification request's attributes to an ASN.1 set of
	 * CRIAttributes.
	 *
	 * @param csr certification request.
	 *
	 * @return the ASN.1 set of CRIAttributes.
	 */
	function _CRIAttributesToAsn1(csr) {
	  // create an empty context-specific container
	  var rval = asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, []);
	
	  // no attributes, return empty container
	  if(csr.attributes.length === 0) {
	    return rval;
	  }
	
	  // each attribute has a sequence with a type and a set of values
	  var attrs = csr.attributes;
	  for(var i = 0; i < attrs.length; ++i) {
	    var attr = attrs[i];
	    var value = attr.value;
	
	    // reuse tag class for attribute value if available
	    var valueTagClass = asn1.Type.UTF8;
	    if('valueTagClass' in attr) {
	      valueTagClass = attr.valueTagClass;
	    }
	    if(valueTagClass === asn1.Type.UTF8) {
	      value = forge.util.encodeUtf8(value);
	    }
	    var valueConstructed = false;
	    if('valueConstructed' in attr) {
	      valueConstructed = attr.valueConstructed;
	    }
	    // FIXME: handle more encodings
	
	    // create a RelativeDistinguishedName set
	    // each value in the set is an AttributeTypeAndValue first
	    // containing the type (an OID) and second the value
	    var seq = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // AttributeType
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(attr.type).getBytes()),
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SET, true, [
	        // AttributeValue
	        asn1.create(
	          asn1.Class.UNIVERSAL, valueTagClass, valueConstructed, value)
	      ])
	    ]);
	    rval.value.push(seq);
	  }
	
	  return rval;
	}
	
	/**
	 * Gets the ASN.1 TBSCertificate part of an X.509v3 certificate.
	 *
	 * @param cert the certificate.
	 *
	 * @return the asn1 TBSCertificate.
	 */
	pki.getTBSCertificate = function(cert) {
	  // TBSCertificate
	  var tbs = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // version
	    asn1.create(asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	      // integer
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	        asn1.integerToDer(cert.version).getBytes())
	    ]),
	    // serialNumber
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      forge.util.hexToBytes(cert.serialNumber)),
	    // signature
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(cert.siginfo.algorithmOid).getBytes()),
	      // parameters
	      _signatureParametersToAsn1(
	        cert.siginfo.algorithmOid, cert.siginfo.parameters)
	    ]),
	    // issuer
	    _dnToAsn1(cert.issuer),
	    // validity
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // notBefore
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.UTCTIME, false,
	        asn1.dateToUtcTime(cert.validity.notBefore)),
	      // notAfter
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.UTCTIME, false,
	        asn1.dateToUtcTime(cert.validity.notAfter))
	    ]),
	    // subject
	    _dnToAsn1(cert.subject),
	    // SubjectPublicKeyInfo
	    pki.publicKeyToAsn1(cert.publicKey)
	  ]);
	
	  if(cert.issuer.uniqueId) {
	    // issuerUniqueID (optional)
	    tbs.value.push(
	      asn1.create(asn1.Class.CONTEXT_SPECIFIC, 1, true, [
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false,
	          String.fromCharCode(0x00) +
	          cert.issuer.uniqueId
	        )
	      ])
	    );
	  }
	  if(cert.subject.uniqueId) {
	    // subjectUniqueID (optional)
	    tbs.value.push(
	      asn1.create(asn1.Class.CONTEXT_SPECIFIC, 2, true, [
	        asn1.create(asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false,
	          String.fromCharCode(0x00) +
	          cert.subject.uniqueId
	        )
	      ])
	    );
	  }
	
	  if(cert.extensions.length > 0) {
	    // extensions (optional)
	    tbs.value.push(pki.certificateExtensionsToAsn1(cert.extensions));
	  }
	
	  return tbs;
	};
	
	/**
	 * Gets the ASN.1 CertificationRequestInfo part of a
	 * PKCS#10 CertificationRequest.
	 *
	 * @param csr the certification request.
	 *
	 * @return the asn1 CertificationRequestInfo.
	 */
	pki.getCertificationRequestInfo = function(csr) {
	  // CertificationRequestInfo
	  var cri = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // version
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      asn1.integerToDer(csr.version).getBytes()),
	    // subject
	    _dnToAsn1(csr.subject),
	    // SubjectPublicKeyInfo
	    pki.publicKeyToAsn1(csr.publicKey),
	    // attributes
	    _CRIAttributesToAsn1(csr)
	  ]);
	
	  return cri;
	};
	
	/**
	 * Converts a DistinguishedName (subject or issuer) to an ASN.1 object.
	 *
	 * @param dn the DistinguishedName.
	 *
	 * @return the asn1 representation of a DistinguishedName.
	 */
	pki.distinguishedNameToAsn1 = function(dn) {
	  return _dnToAsn1(dn);
	};
	
	/**
	 * Converts an X.509v3 RSA certificate to an ASN.1 object.
	 *
	 * @param cert the certificate.
	 *
	 * @return the asn1 representation of an X.509v3 RSA certificate.
	 */
	pki.certificateToAsn1 = function(cert) {
	  // prefer cached TBSCertificate over generating one
	  var tbsCertificate = cert.tbsCertificate || pki.getTBSCertificate(cert);
	
	  // Certificate
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // TBSCertificate
	    tbsCertificate,
	    // AlgorithmIdentifier (signature algorithm)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(cert.signatureOid).getBytes()),
	      // parameters
	      _signatureParametersToAsn1(cert.signatureOid, cert.signatureParameters)
	    ]),
	    // SignatureValue
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false,
	      String.fromCharCode(0x00) + cert.signature)
	  ]);
	};
	
	/**
	 * Converts X.509v3 certificate extensions to ASN.1.
	 *
	 * @param exts the extensions to convert.
	 *
	 * @return the extensions in ASN.1 format.
	 */
	pki.certificateExtensionsToAsn1 = function(exts) {
	  // create top-level extension container
	  var rval = asn1.create(asn1.Class.CONTEXT_SPECIFIC, 3, true, []);
	
	  // create extension sequence (stores a sequence for each extension)
	  var seq = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	  rval.value.push(seq);
	
	  for(var i = 0; i < exts.length; ++i) {
	    seq.value.push(pki.certificateExtensionToAsn1(exts[i]));
	  }
	
	  return rval;
	};
	
	/**
	 * Converts a single certificate extension to ASN.1.
	 *
	 * @param ext the extension to convert.
	 *
	 * @return the extension in ASN.1 format.
	 */
	pki.certificateExtensionToAsn1 = function(ext) {
	  // create a sequence for each extension
	  var extseq = asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	
	  // extnID (OID)
	  extseq.value.push(asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	    asn1.oidToDer(ext.id).getBytes()));
	
	  // critical defaults to false
	  if(ext.critical) {
	    // critical BOOLEAN DEFAULT FALSE
	    extseq.value.push(asn1.create(
	      asn1.Class.UNIVERSAL, asn1.Type.BOOLEAN, false,
	      String.fromCharCode(0xFF)));
	  }
	
	  var value = ext.value;
	  if(typeof ext.value !== 'string') {
	    // value is asn.1
	    value = asn1.toDer(value).getBytes();
	  }
	
	  // extnValue (OCTET STRING)
	  extseq.value.push(asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false, value));
	
	  return extseq;
	};
	
	/**
	 * Converts a PKCS#10 certification request to an ASN.1 object.
	 *
	 * @param csr the certification request.
	 *
	 * @return the asn1 representation of a certification request.
	 */
	pki.certificationRequestToAsn1 = function(csr) {
	  // prefer cached CertificationRequestInfo over generating one
	  var cri = csr.certificationRequestInfo ||
	    pki.getCertificationRequestInfo(csr);
	
	  // Certificate
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // CertificationRequestInfo
	    cri,
	    // AlgorithmIdentifier (signature algorithm)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(csr.signatureOid).getBytes()),
	      // parameters
	      _signatureParametersToAsn1(csr.signatureOid, csr.signatureParameters)
	    ]),
	    // signature
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false,
	      String.fromCharCode(0x00) + csr.signature)
	  ]);
	};
	
	/**
	 * Creates a CA store.
	 *
	 * @param certs an optional array of certificate objects or PEM-formatted
	 *          certificate strings to add to the CA store.
	 *
	 * @return the CA store.
	 */
	pki.createCaStore = function(certs) {
	  // create CA store
	  var caStore = {
	    // stored certificates
	    certs: {}
	  };
	
	  /**
	   * Gets the certificate that issued the passed certificate or its
	   * 'parent'.
	   *
	   * @param cert the certificate to get the parent for.
	   *
	   * @return the parent certificate or null if none was found.
	   */
	  caStore.getIssuer = function(cert) {
	    var rval = getBySubject(cert.issuer);
	
	    // see if there are multiple matches
	    /*if(forge.util.isArray(rval)) {
	      // TODO: resolve multiple matches by checking
	      // authorityKey/subjectKey/issuerUniqueID/other identifiers, etc.
	      // FIXME: or alternatively do authority key mapping
	      // if possible (X.509v1 certs can't work?)
	      throw new Error('Resolving multiple issuer matches not implemented yet.');
	    }*/
	
	    return rval;
	  };
	
	  /**
	   * Adds a trusted certificate to the store.
	   *
	   * @param cert the certificate to add as a trusted certificate (either a
	   *          pki.certificate object or a PEM-formatted certificate).
	   */
	  caStore.addCertificate = function(cert) {
	    // convert from pem if necessary
	    if(typeof cert === 'string') {
	      cert = forge.pki.certificateFromPem(cert);
	    }
	
	    // produce subject hash if it doesn't exist
	    if(!cert.subject.hash) {
	      var md = forge.md.sha1.create();
	      cert.subject.attributes =  pki.RDNAttributesAsArray(
	        _dnToAsn1(cert.subject), md);
	      cert.subject.hash = md.digest().toHex();
	    }
	
	    if(cert.subject.hash in caStore.certs) {
	      // subject hash already exists, append to array
	      var tmp = caStore.certs[cert.subject.hash];
	      if(!forge.util.isArray(tmp)) {
	        tmp = [tmp];
	      }
	      tmp.push(cert);
	    } else {
	      caStore.certs[cert.subject.hash] = cert;
	    }
	  };
	
	  /**
	   * Checks to see if the given certificate is in the store.
	   *
	   * @param cert the certificate to check.
	   *
	   * @return true if the certificate is in the store, false if not.
	   */
	  caStore.hasCertificate = function(cert) {
	    var match = getBySubject(cert.subject);
	    if(!match) {
	      return false;
	    }
	    if(!forge.util.isArray(match)) {
	      match = [match];
	    }
	    // compare DER-encoding of certificates
	    var der1 = asn1.toDer(pki.certificateToAsn1(cert)).getBytes();
	    for(var i = 0; i < match.length; ++i) {
	      var der2 = asn1.toDer(pki.certificateToAsn1(match[i])).getBytes();
	      if(der1 === der2) {
	        return true;
	      }
	    }
	    return false;
	  };
	
	  function getBySubject(subject) {
	    // produce subject hash if it doesn't exist
	    if(!subject.hash) {
	      var md = forge.md.sha1.create();
	      subject.attributes =  pki.RDNAttributesAsArray(_dnToAsn1(subject), md);
	      subject.hash = md.digest().toHex();
	    }
	    return caStore.certs[subject.hash] || null;
	  }
	
	  // auto-add passed in certs
	  if(certs) {
	    // parse PEM-formatted certificates as necessary
	    for(var i = 0; i < certs.length; ++i) {
	      var cert = certs[i];
	      caStore.addCertificate(cert);
	    }
	  }
	
	  return caStore;
	};
	
	/**
	 * Certificate verification errors, based on TLS.
	 */
	pki.certificateError = {
	  bad_certificate: 'forge.pki.BadCertificate',
	  unsupported_certificate: 'forge.pki.UnsupportedCertificate',
	  certificate_revoked: 'forge.pki.CertificateRevoked',
	  certificate_expired: 'forge.pki.CertificateExpired',
	  certificate_unknown: 'forge.pki.CertificateUnknown',
	  unknown_ca: 'forge.pki.UnknownCertificateAuthority'
	};
	
	/**
	 * Verifies a certificate chain against the given Certificate Authority store
	 * with an optional custom verify callback.
	 *
	 * @param caStore a certificate store to verify against.
	 * @param chain the certificate chain to verify, with the root or highest
	 *          authority at the end (an array of certificates).
	 * @param verify called for every certificate in the chain.
	 *
	 * The verify callback has the following signature:
	 *
	 * verified - Set to true if certificate was verified, otherwise the
	 *   pki.certificateError for why the certificate failed.
	 * depth - The current index in the chain, where 0 is the end point's cert.
	 * certs - The certificate chain, *NOTE* an empty chain indicates an anonymous
	 *   end point.
	 *
	 * The function returns true on success and on failure either the appropriate
	 * pki.certificateError or an object with 'error' set to the appropriate
	 * pki.certificateError and 'message' set to a custom error message.
	 *
	 * @return true if successful, error thrown if not.
	 */
	pki.verifyCertificateChain = function(caStore, chain, verify) {
	  /* From: RFC3280 - Internet X.509 Public Key Infrastructure Certificate
	    Section 6: Certification Path Validation
	    See inline parentheticals related to this particular implementation.
	
	    The primary goal of path validation is to verify the binding between
	    a subject distinguished name or a subject alternative name and subject
	    public key, as represented in the end entity certificate, based on the
	    public key of the trust anchor. This requires obtaining a sequence of
	    certificates that support that binding. That sequence should be provided
	    in the passed 'chain'. The trust anchor should be in the given CA
	    store. The 'end entity' certificate is the certificate provided by the
	    end point (typically a server) and is the first in the chain.
	
	    To meet this goal, the path validation process verifies, among other
	    things, that a prospective certification path (a sequence of n
	    certificates or a 'chain') satisfies the following conditions:
	
	    (a) for all x in {1, ..., n-1}, the subject of certificate x is
	          the issuer of certificate x+1;
	
	    (b) certificate 1 is issued by the trust anchor;
	
	    (c) certificate n is the certificate to be validated; and
	
	    (d) for all x in {1, ..., n}, the certificate was valid at the
	          time in question.
	
	    Note that here 'n' is index 0 in the chain and 1 is the last certificate
	    in the chain and it must be signed by a certificate in the connection's
	    CA store.
	
	    The path validation process also determines the set of certificate
	    policies that are valid for this path, based on the certificate policies
	    extension, policy mapping extension, policy constraints extension, and
	    inhibit any-policy extension.
	
	    Note: Policy mapping extension not supported (Not Required).
	
	    Note: If the certificate has an unsupported critical extension, then it
	    must be rejected.
	
	    Note: A certificate is self-issued if the DNs that appear in the subject
	    and issuer fields are identical and are not empty.
	
	    The path validation algorithm assumes the following seven inputs are
	    provided to the path processing logic. What this specific implementation
	    will use is provided parenthetically:
	
	    (a) a prospective certification path of length n (the 'chain')
	    (b) the current date/time: ('now').
	    (c) user-initial-policy-set: A set of certificate policy identifiers
	          naming the policies that are acceptable to the certificate user.
	          The user-initial-policy-set contains the special value any-policy
	          if the user is not concerned about certificate policy
	          (Not implemented. Any policy is accepted).
	    (d) trust anchor information, describing a CA that serves as a trust
	          anchor for the certification path. The trust anchor information
	          includes:
	
	      (1)  the trusted issuer name,
	      (2)  the trusted public key algorithm,
	      (3)  the trusted public key, and
	      (4)  optionally, the trusted public key parameters associated
	             with the public key.
	
	      (Trust anchors are provided via certificates in the CA store).
	
	      The trust anchor information may be provided to the path processing
	      procedure in the form of a self-signed certificate. The trusted anchor
	      information is trusted because it was delivered to the path processing
	      procedure by some trustworthy out-of-band procedure. If the trusted
	      public key algorithm requires parameters, then the parameters are
	      provided along with the trusted public key (No parameters used in this
	      implementation).
	
	    (e) initial-policy-mapping-inhibit, which indicates if policy mapping is
	          allowed in the certification path.
	          (Not implemented, no policy checking)
	
	    (f) initial-explicit-policy, which indicates if the path must be valid
	          for at least one of the certificate policies in the user-initial-
	          policy-set.
	          (Not implemented, no policy checking)
	
	    (g) initial-any-policy-inhibit, which indicates whether the
	          anyPolicy OID should be processed if it is included in a
	          certificate.
	          (Not implemented, so any policy is valid provided that it is
	          not marked as critical) */
	
	  /* Basic Path Processing:
	
	    For each certificate in the 'chain', the following is checked:
	
	    1. The certificate validity period includes the current time.
	    2. The certificate was signed by its parent (where the parent is either
	       the next in the chain or from the CA store). Allow processing to
	       continue to the next step if no parent is found but the certificate is
	       in the CA store.
	    3. TODO: The certificate has not been revoked.
	    4. The certificate issuer name matches the parent's subject name.
	    5. TODO: If the certificate is self-issued and not the final certificate
	       in the chain, skip this step, otherwise verify that the subject name
	       is within one of the permitted subtrees of X.500 distinguished names
	       and that each of the alternative names in the subjectAltName extension
	       (critical or non-critical) is within one of the permitted subtrees for
	       that name type.
	    6. TODO: If the certificate is self-issued and not the final certificate
	       in the chain, skip this step, otherwise verify that the subject name
	       is not within one of the excluded subtrees for X.500 distinguished
	       names and none of the subjectAltName extension names are excluded for
	       that name type.
	    7. The other steps in the algorithm for basic path processing involve
	       handling the policy extension which is not presently supported in this
	       implementation. Instead, if a critical policy extension is found, the
	       certificate is rejected as not supported.
	    8. If the certificate is not the first or if its the only certificate in
	       the chain (having no parent from the CA store or is self-signed) and it
	       has a critical key usage extension, verify that the keyCertSign bit is
	       set. If the key usage extension exists, verify that the basic
	       constraints extension exists. If the basic constraints extension exists,
	       verify that the cA flag is set. If pathLenConstraint is set, ensure that
	       the number of certificates that precede in the chain (come earlier
	       in the chain as implemented below), excluding the very first in the
	       chain (typically the end-entity one), isn't greater than the
	       pathLenConstraint. This constraint limits the number of intermediate
	       CAs that may appear below a CA before only end-entity certificates
	       may be issued. */
	
	  // copy cert chain references to another array to protect against changes
	  // in verify callback
	  chain = chain.slice(0);
	  var certs = chain.slice(0);
	
	  // get current date
	  var now = new Date();
	
	  // verify each cert in the chain using its parent, where the parent
	  // is either the next in the chain or from the CA store
	  var first = true;
	  var error = null;
	  var depth = 0;
	  do {
	    var cert = chain.shift();
	    var parent = null;
	    var selfSigned = false;
	
	    // 1. check valid time
	    if(now < cert.validity.notBefore || now > cert.validity.notAfter) {
	      error = {
	        message: 'Certificate is not valid yet or has expired.',
	        error: pki.certificateError.certificate_expired,
	        notBefore: cert.validity.notBefore,
	        notAfter: cert.validity.notAfter,
	        now: now
	      };
	    }
	
	    // 2. verify with parent from chain or CA store
	    if(error === null) {
	      parent = chain[0] || caStore.getIssuer(cert);
	      if(parent === null) {
	        // check for self-signed cert
	        if(cert.isIssuer(cert)) {
	          selfSigned = true;
	          parent = cert;
	        }
	      }
	
	      if(parent) {
	        // FIXME: current CA store implementation might have multiple
	        // certificates where the issuer can't be determined from the
	        // certificate (happens rarely with, eg: old certificates) so normalize
	        // by always putting parents into an array
	        // TODO: there's may be an extreme degenerate case currently uncovered
	        // where an old intermediate certificate seems to have a matching parent
	        // but none of the parents actually verify ... but the intermediate
	        // is in the CA and it should pass this check; needs investigation
	        var parents = parent;
	        if(!forge.util.isArray(parents)) {
	          parents = [parents];
	        }
	
	        // try to verify with each possible parent (typically only one)
	        var verified = false;
	        while(!verified && parents.length > 0) {
	          parent = parents.shift();
	          try {
	            verified = parent.verify(cert);
	          } catch(ex) {
	            // failure to verify, don't care why, try next one
	          }
	        }
	
	        if(!verified) {
	          error = {
	            message: 'Certificate signature is invalid.',
	            error: pki.certificateError.bad_certificate
	          };
	        }
	      }
	
	      if(error === null && (!parent || selfSigned) &&
	        !caStore.hasCertificate(cert)) {
	        // no parent issuer and certificate itself is not trusted
	        error = {
	          message: 'Certificate is not trusted.',
	          error: pki.certificateError.unknown_ca
	        };
	      }
	    }
	
	    // TODO: 3. check revoked
	
	    // 4. check for matching issuer/subject
	    if(error === null && parent && !cert.isIssuer(parent)) {
	      // parent is not issuer
	      error = {
	        message: 'Certificate issuer is invalid.',
	        error: pki.certificateError.bad_certificate
	      };
	    }
	
	    // 5. TODO: check names with permitted names tree
	
	    // 6. TODO: check names against excluded names tree
	
	    // 7. check for unsupported critical extensions
	    if(error === null) {
	      // supported extensions
	      var se = {
	        keyUsage: true,
	        basicConstraints: true
	      };
	      for(var i = 0; error === null && i < cert.extensions.length; ++i) {
	        var ext = cert.extensions[i];
	        if(ext.critical && !(ext.name in se)) {
	          error = {
	            message:
	              'Certificate has an unsupported critical extension.',
	            error: pki.certificateError.unsupported_certificate
	          };
	        }
	      }
	    }
	
	    // 8. check for CA if cert is not first or is the only certificate
	    // remaining in chain with no parent or is self-signed
	    if(error === null &&
	      (!first || (chain.length === 0 && (!parent || selfSigned)))) {
	      // first check keyUsage extension and then basic constraints
	      var bcExt = cert.getExtension('basicConstraints');
	      var keyUsageExt = cert.getExtension('keyUsage');
	      if(keyUsageExt !== null) {
	        // keyCertSign must be true and there must be a basic
	        // constraints extension
	        if(!keyUsageExt.keyCertSign || bcExt === null) {
	          // bad certificate
	          error = {
	            message:
	              'Certificate keyUsage or basicConstraints conflict ' +
	              'or indicate that the certificate is not a CA. ' +
	              'If the certificate is the only one in the chain or ' +
	              'isn\'t the first then the certificate must be a ' +
	              'valid CA.',
	            error: pki.certificateError.bad_certificate
	          };
	        }
	      }
	      // basic constraints cA flag must be set
	      if(error === null && bcExt !== null && !bcExt.cA) {
	        // bad certificate
	        error = {
	          message:
	            'Certificate basicConstraints indicates the certificate ' +
	            'is not a CA.',
	          error: pki.certificateError.bad_certificate
	        };
	      }
	      // if error is not null and keyUsage is available, then we know it
	      // has keyCertSign and there is a basic constraints extension too,
	      // which means we can check pathLenConstraint (if it exists)
	      if(error === null && keyUsageExt !== null &&
	        'pathLenConstraint' in bcExt) {
	        // pathLen is the maximum # of intermediate CA certs that can be
	        // found between the current certificate and the end-entity (depth 0)
	        // certificate; this number does not include the end-entity (depth 0,
	        // last in the chain) even if it happens to be a CA certificate itself
	        var pathLen = depth - 1;
	        if(pathLen > bcExt.pathLenConstraint) {
	          // pathLenConstraint violated, bad certificate
	          error = {
	            message:
	              'Certificate basicConstraints pathLenConstraint violated.',
	            error: pki.certificateError.bad_certificate
	          };
	        }
	      }
	    }
	
	    // call application callback
	    var vfd = (error === null) ? true : error.error;
	    var ret = verify ? verify(vfd, depth, certs) : vfd;
	    if(ret === true) {
	      // clear any set error
	      error = null;
	    } else {
	      // if passed basic tests, set default message and alert
	      if(vfd === true) {
	        error = {
	          message: 'The application rejected the certificate.',
	          error: pki.certificateError.bad_certificate
	        };
	      }
	
	      // check for custom error info
	      if(ret || ret === 0) {
	        // set custom message and error
	        if(typeof ret === 'object' && !forge.util.isArray(ret)) {
	          if(ret.message) {
	             error.message = ret.message;
	          }
	          if(ret.error) {
	            error.error = ret.error;
	          }
	        } else if(typeof ret === 'string') {
	          // set custom error
	          error.error = ret;
	        }
	      }
	
	      // throw error
	      throw error;
	    }
	
	    // no longer first cert in chain
	    first = false;
	    ++depth;
	  } while(chain.length > 0);
	
	  return true;
	};
	
	})();


/***/ },
/* 58 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of PKCS#1 PSS signature padding.
	 *
	 * @author Stefan Siegl
	 *
	 * Copyright (c) 2012 Stefan Siegl <stesie@brokenpipe.de>
	 */
	(function() {
	
	var forge = {
	  pss : module.exports || {},
	  random : __webpack_require__(49),
	  util : __webpack_require__(34)
	};
	
	// shortcut for PSS API
	var pss = forge.pss;
	
	/**
	 * Creates a PSS signature scheme object.
	 *
	 * There are several ways to provide a salt for encoding:
	 *
	 * 1. Specify the saltLength only and the built-in PRNG will generate it.
	 * 2. Specify the saltLength and a custom PRNG with 'getBytesSync' defined that
	 *   will be used.
	 * 3. Specify the salt itself as a forge.util.ByteBuffer.
	 *
	 * @param options the options to use:
	 *          md the message digest object to use, a forge md instance.
	 *          mgf the mask generation function to use, a forge mgf instance.
	 *          [saltLength] the length of the salt in octets.
	 *          [prng] the pseudo-random number generator to use to produce a salt.
	 *          [salt] the salt to use when encoding.
	 *
	 * @return a signature scheme object.
	 */
	pss.create = function(options) {
	  // backwards compatibility w/legacy args: hash, mgf, sLen
	  if(arguments.length === 3) {
	    options = {
	      md: arguments[0],
	      mgf: arguments[1],
	      saltLength: arguments[2]
	    };
	  }
	
	  var hash = options.md;
	  var mgf = options.mgf;
	  var hLen = hash.digestLength;
	
	  var salt_ = options.salt || null;
	  if(typeof salt_ === 'string') {
	    // assume binary-encoded string
	    salt_ = forge.util.createBuffer(salt_);
	  }
	
	  var sLen;
	  if('saltLength' in options) {
	    sLen = options.saltLength;
	  } else if(salt_ !== null) {
	    sLen = salt_.length();
	  } else {
	    throw new Error('Salt length not specified or specific salt not given.');
	  }
	
	  if(salt_ !== null && salt_.length() !== sLen) {
	    throw new Error('Given salt length does not match length of given salt.');
	  }
	
	  var prng = options.prng || forge.random;
	
	  var pssobj = {};
	
	  /**
	   * Encodes a PSS signature.
	   *
	   * This function implements EMSA-PSS-ENCODE as per RFC 3447, section 9.1.1.
	   *
	   * @param md the message digest object with the hash to sign.
	   * @param modsBits the length of the RSA modulus in bits.
	   *
	   * @return the encoded message as a binary-encoded string of length
	   *           ceil((modBits - 1) / 8).
	   */
	  pssobj.encode = function(md, modBits) {
	    var i;
	    var emBits = modBits - 1;
	    var emLen = Math.ceil(emBits / 8);
	
	    /* 2. Let mHash = Hash(M), an octet string of length hLen. */
	    var mHash = md.digest().getBytes();
	
	    /* 3. If emLen < hLen + sLen + 2, output "encoding error" and stop. */
	    if(emLen < hLen + sLen + 2) {
	      throw new Error('Message is too long to encrypt.');
	    }
	
	    /* 4. Generate a random octet string salt of length sLen; if sLen = 0,
	     *    then salt is the empty string. */
	    var salt;
	    if(salt_ === null) {
	      salt = prng.getBytesSync(sLen);
	    } else {
	      salt = salt_.bytes();
	    }
	
	    /* 5. Let M' = (0x)00 00 00 00 00 00 00 00 || mHash || salt; */
	    var m_ = new forge.util.ByteBuffer();
	    m_.fillWithByte(0, 8);
	    m_.putBytes(mHash);
	    m_.putBytes(salt);
	
	    /* 6. Let H = Hash(M'), an octet string of length hLen. */
	    hash.start();
	    hash.update(m_.getBytes());
	    var h = hash.digest().getBytes();
	
	    /* 7. Generate an octet string PS consisting of emLen - sLen - hLen - 2
	     *    zero octets.  The length of PS may be 0. */
	    var ps = new forge.util.ByteBuffer();
	    ps.fillWithByte(0, emLen - sLen - hLen - 2);
	
	    /* 8. Let DB = PS || 0x01 || salt; DB is an octet string of length
	     *    emLen - hLen - 1. */
	    ps.putByte(0x01);
	    ps.putBytes(salt);
	    var db = ps.getBytes();
	
	    /* 9. Let dbMask = MGF(H, emLen - hLen - 1). */
	    var maskLen = emLen - hLen - 1;
	    var dbMask = mgf.generate(h, maskLen);
	
	    /* 10. Let maskedDB = DB \xor dbMask. */
	    var maskedDB = '';
	    for(i = 0; i < maskLen; i ++) {
	      maskedDB += String.fromCharCode(db.charCodeAt(i) ^ dbMask.charCodeAt(i));
	    }
	
	    /* 11. Set the leftmost 8emLen - emBits bits of the leftmost octet in
	     *     maskedDB to zero. */
	    var mask = (0xFF00 >> (8 * emLen - emBits)) & 0xFF;
	    maskedDB = String.fromCharCode(maskedDB.charCodeAt(0) & ~mask) +
	      maskedDB.substr(1);
	
	    /* 12. Let EM = maskedDB || H || 0xbc.
	     * 13. Output EM. */
	    return maskedDB + h + String.fromCharCode(0xbc);
	  };
	
	  /**
	   * Verifies a PSS signature.
	   *
	   * This function implements EMSA-PSS-VERIFY as per RFC 3447, section 9.1.2.
	   *
	   * @param mHash the message digest hash, as a binary-encoded string, to
	   *         compare against the signature.
	   * @param em the encoded message, as a binary-encoded string
	   *          (RSA decryption result).
	   * @param modsBits the length of the RSA modulus in bits.
	   *
	   * @return true if the signature was verified, false if not.
	   */
	  pssobj.verify = function(mHash, em, modBits) {
	    var i;
	    var emBits = modBits - 1;
	    var emLen = Math.ceil(emBits / 8);
	
	    /* c. Convert the message representative m to an encoded message EM
	     *    of length emLen = ceil((modBits - 1) / 8) octets, where modBits
	     *    is the length in bits of the RSA modulus n */
	    em = em.substr(-emLen);
	
	    /* 3. If emLen < hLen + sLen + 2, output "inconsistent" and stop. */
	    if(emLen < hLen + sLen + 2) {
	      throw new Error('Inconsistent parameters to PSS signature verification.');
	    }
	
	    /* 4. If the rightmost octet of EM does not have hexadecimal value
	     *    0xbc, output "inconsistent" and stop. */
	    if(em.charCodeAt(emLen - 1) !== 0xbc) {
	      throw new Error('Encoded message does not end in 0xBC.');
	    }
	
	    /* 5. Let maskedDB be the leftmost emLen - hLen - 1 octets of EM, and
	     *    let H be the next hLen octets. */
	    var maskLen = emLen - hLen - 1;
	    var maskedDB = em.substr(0, maskLen);
	    var h = em.substr(maskLen, hLen);
	
	    /* 6. If the leftmost 8emLen - emBits bits of the leftmost octet in
	     *    maskedDB are not all equal to zero, output "inconsistent" and stop. */
	    var mask = (0xFF00 >> (8 * emLen - emBits)) & 0xFF;
	    if((maskedDB.charCodeAt(0) & mask) !== 0) {
	      throw new Error('Bits beyond keysize not zero as expected.');
	    }
	
	    /* 7. Let dbMask = MGF(H, emLen - hLen - 1). */
	    var dbMask = mgf.generate(h, maskLen);
	
	    /* 8. Let DB = maskedDB \xor dbMask. */
	    var db = '';
	    for(i = 0; i < maskLen; i ++) {
	      db += String.fromCharCode(maskedDB.charCodeAt(i) ^ dbMask.charCodeAt(i));
	    }
	
	    /* 9. Set the leftmost 8emLen - emBits bits of the leftmost octet
	     * in DB to zero. */
	    db = String.fromCharCode(db.charCodeAt(0) & ~mask) + db.substr(1);
	
	    /* 10. If the emLen - hLen - sLen - 2 leftmost octets of DB are not zero
	     * or if the octet at position emLen - hLen - sLen - 1 (the leftmost
	     * position is "position 1") does not have hexadecimal value 0x01,
	     * output "inconsistent" and stop. */
	    var checkLen = emLen - hLen - sLen - 2;
	    for(i = 0; i < checkLen; i ++) {
	      if(db.charCodeAt(i) !== 0x00) {
	        throw new Error('Leftmost octets not zero as expected');
	      }
	    }
	
	    if(db.charCodeAt(checkLen) !== 0x01) {
	      throw new Error('Inconsistent PSS signature, 0x01 marker not found');
	    }
	
	    /* 11. Let salt be the last sLen octets of DB. */
	    var salt = db.substr(-sLen);
	
	    /* 12.  Let M' = (0x)00 00 00 00 00 00 00 00 || mHash || salt */
	    var m_ = new forge.util.ByteBuffer();
	    m_.fillWithByte(0, 8);
	    m_.putBytes(mHash);
	    m_.putBytes(salt);
	
	    /* 13. Let H' = Hash(M'), an octet string of length hLen. */
	    hash.start();
	    hash.update(m_.getBytes());
	    var h_ = hash.digest().getBytes();
	
	    /* 14. If H = H', output "consistent." Otherwise, output "inconsistent." */
	    return h === h_;
	  };
	
	  return pssobj;
	};
	
	})();


/***/ },
/* 59 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of basic RSA algorithms.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2010-2014 Digital Bazaar, Inc.
	 *
	 * The only algorithm currently supported for PKI is RSA.
	 *
	 * An RSA key is often stored in ASN.1 DER format. The SubjectPublicKeyInfo
	 * ASN.1 structure is composed of an algorithm of type AlgorithmIdentifier
	 * and a subjectPublicKey of type bit string.
	 *
	 * The AlgorithmIdentifier contains an Object Identifier (OID) and parameters
	 * for the algorithm, if any. In the case of RSA, there aren't any.
	 *
	 * SubjectPublicKeyInfo ::= SEQUENCE {
	 *   algorithm AlgorithmIdentifier,
	 *   subjectPublicKey BIT STRING
	 * }
	 *
	 * AlgorithmIdentifer ::= SEQUENCE {
	 *   algorithm OBJECT IDENTIFIER,
	 *   parameters ANY DEFINED BY algorithm OPTIONAL
	 * }
	 *
	 * For an RSA public key, the subjectPublicKey is:
	 *
	 * RSAPublicKey ::= SEQUENCE {
	 *   modulus            INTEGER,    -- n
	 *   publicExponent     INTEGER     -- e
	 * }
	 *
	 * PrivateKeyInfo ::= SEQUENCE {
	 *   version                   Version,
	 *   privateKeyAlgorithm       PrivateKeyAlgorithmIdentifier,
	 *   privateKey                PrivateKey,
	 *   attributes           [0]  IMPLICIT Attributes OPTIONAL
	 * }
	 *
	 * Version ::= INTEGER
	 * PrivateKeyAlgorithmIdentifier ::= AlgorithmIdentifier
	 * PrivateKey ::= OCTET STRING
	 * Attributes ::= SET OF Attribute
	 *
	 * An RSA private key as the following structure:
	 *
	 * RSAPrivateKey ::= SEQUENCE {
	 *   version Version,
	 *   modulus INTEGER, -- n
	 *   publicExponent INTEGER, -- e
	 *   privateExponent INTEGER, -- d
	 *   prime1 INTEGER, -- p
	 *   prime2 INTEGER, -- q
	 *   exponent1 INTEGER, -- d mod (p-1)
	 *   exponent2 INTEGER, -- d mod (q-1)
	 *   coefficient INTEGER -- (inverse of q) mod p
	 * }
	 *
	 * Version ::= INTEGER
	 *
	 * The OID for the RSA key algorithm is: 1.2.840.113549.1.1.1
	 */
	(function() {
	  
	var forge = {
	  rsa : module.exports,
	  pki : __webpack_require__(37),
	  asn1 : __webpack_require__(36),
	  jsbn : __webpack_require__(44),
	  pkcs1 : __webpack_require__(48),
	  prime : __webpack_require__(60),
	  random : __webpack_require__(49),
	  util : __webpack_require__(34)
	}
	
	if(typeof BigInteger === 'undefined') {
	  var BigInteger = forge.jsbn.BigInteger;
	}
	
	// shortcut for asn.1 API
	var asn1 = forge.asn1;
	
	/*
	 * RSA encryption and decryption, see RFC 2313.
	 */
	forge.pki.rsa = forge.rsa;
	var pki = forge.pki;
	
	// for finding primes, which are 30k+i for i = 1, 7, 11, 13, 17, 19, 23, 29
	var GCD_30_DELTA = [6, 4, 2, 4, 2, 4, 6, 2];
	
	// validator for a PrivateKeyInfo structure
	var privateKeyValidator = {
	  // PrivateKeyInfo
	  name: 'PrivateKeyInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    // Version (INTEGER)
	    name: 'PrivateKeyInfo.version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyVersion'
	  }, {
	    // privateKeyAlgorithm
	    name: 'PrivateKeyInfo.privateKeyAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      name: 'AlgorithmIdentifier.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'privateKeyOid'
	    }]
	  }, {
	    // PrivateKey
	    name: 'PrivateKeyInfo',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.OCTETSTRING,
	    constructed: false,
	    capture: 'privateKey'
	  }]
	};
	
	// validator for an RSA private key
	var rsaPrivateKeyValidator = {
	  // RSAPrivateKey
	  name: 'RSAPrivateKey',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    // Version (INTEGER)
	    name: 'RSAPrivateKey.version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyVersion'
	  }, {
	    // modulus (n)
	    name: 'RSAPrivateKey.modulus',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyModulus'
	  }, {
	    // publicExponent (e)
	    name: 'RSAPrivateKey.publicExponent',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyPublicExponent'
	  }, {
	    // privateExponent (d)
	    name: 'RSAPrivateKey.privateExponent',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyPrivateExponent'
	  }, {
	    // prime1 (p)
	    name: 'RSAPrivateKey.prime1',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyPrime1'
	  }, {
	    // prime2 (q)
	    name: 'RSAPrivateKey.prime2',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyPrime2'
	  }, {
	    // exponent1 (d mod (p-1))
	    name: 'RSAPrivateKey.exponent1',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyExponent1'
	  }, {
	    // exponent2 (d mod (q-1))
	    name: 'RSAPrivateKey.exponent2',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyExponent2'
	  }, {
	    // coefficient ((inverse of q) mod p)
	    name: 'RSAPrivateKey.coefficient',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'privateKeyCoefficient'
	  }]
	};
	
	// validator for an RSA public key
	var rsaPublicKeyValidator = {
	  // RSAPublicKey
	  name: 'RSAPublicKey',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    // modulus (n)
	    name: 'RSAPublicKey.modulus',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'publicKeyModulus'
	  }, {
	    // publicExponent (e)
	    name: 'RSAPublicKey.exponent',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'publicKeyExponent'
	  }]
	};
	
	// validator for an SubjectPublicKeyInfo structure
	// Note: Currently only works with an RSA public key
	var publicKeyValidator = forge.pki.rsa.publicKeyValidator = {
	  name: 'SubjectPublicKeyInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  captureAsn1: 'subjectPublicKeyInfo',
	  value: [{
	    name: 'SubjectPublicKeyInfo.AlgorithmIdentifier',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      name: 'AlgorithmIdentifier.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'publicKeyOid'
	    }]
	  }, {
	    // subjectPublicKey
	    name: 'SubjectPublicKeyInfo.subjectPublicKey',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.BITSTRING,
	    constructed: false,
	    value: [{
	      // RSAPublicKey
	      name: 'SubjectPublicKeyInfo.subjectPublicKey.RSAPublicKey',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      optional: true,
	      captureAsn1: 'rsaPublicKey'
	    }]
	  }]
	};
	
	/**
	 * Wrap digest in DigestInfo object.
	 *
	 * This function implements EMSA-PKCS1-v1_5-ENCODE as per RFC 3447.
	 *
	 * DigestInfo ::= SEQUENCE {
	 *   digestAlgorithm DigestAlgorithmIdentifier,
	 *   digest Digest
	 * }
	 *
	 * DigestAlgorithmIdentifier ::= AlgorithmIdentifier
	 * Digest ::= OCTET STRING
	 *
	 * @param md the message digest object with the hash to sign.
	 *
	 * @return the encoded message (ready for RSA encrytion)
	 */
	var emsaPkcs1v15encode = function(md) {
	  // get the oid for the algorithm
	  var oid;
	  if(md.algorithm in pki.oids) {
	    oid = pki.oids[md.algorithm];
	  } else {
	    var error = new Error('Unknown message digest algorithm.');
	    error.algorithm = md.algorithm;
	    throw error;
	  }
	  var oidBytes = asn1.oidToDer(oid).getBytes();
	
	  // create the digest info
	  var digestInfo = asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	  var digestAlgorithm = asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, []);
	  digestAlgorithm.value.push(asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.OID, false, oidBytes));
	  digestAlgorithm.value.push(asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.NULL, false, ''));
	  var digest = asn1.create(
	    asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING,
	    false, md.digest().getBytes());
	  digestInfo.value.push(digestAlgorithm);
	  digestInfo.value.push(digest);
	
	  // encode digest info
	  return asn1.toDer(digestInfo).getBytes();
	};
	
	/**
	 * Performs x^c mod n (RSA encryption or decryption operation).
	 *
	 * @param x the number to raise and mod.
	 * @param key the key to use.
	 * @param pub true if the key is public, false if private.
	 *
	 * @return the result of x^c mod n.
	 */
	var _modPow = function(x, key, pub) {
	  if(pub) {
	    return x.modPow(key.e, key.n);
	  }
	
	  if(!key.p || !key.q) {
	    // allow calculation without CRT params (slow)
	    return x.modPow(key.d, key.n);
	  }
	
	  // pre-compute dP, dQ, and qInv if necessary
	  if(!key.dP) {
	    key.dP = key.d.mod(key.p.subtract(BigInteger.ONE));
	  }
	  if(!key.dQ) {
	    key.dQ = key.d.mod(key.q.subtract(BigInteger.ONE));
	  }
	  if(!key.qInv) {
	    key.qInv = key.q.modInverse(key.p);
	  }
	
	  /* Chinese remainder theorem (CRT) states:
	
	    Suppose n1, n2, ..., nk are positive integers which are pairwise
	    coprime (n1 and n2 have no common factors other than 1). For any
	    integers x1, x2, ..., xk there exists an integer x solving the
	    system of simultaneous congruences (where ~= means modularly
	    congruent so a ~= b mod n means a mod n = b mod n):
	
	    x ~= x1 mod n1
	    x ~= x2 mod n2
	    ...
	    x ~= xk mod nk
	
	    This system of congruences has a single simultaneous solution x
	    between 0 and n - 1. Furthermore, each xk solution and x itself
	    is congruent modulo the product n = n1*n2*...*nk.
	    So x1 mod n = x2 mod n = xk mod n = x mod n.
	
	    The single simultaneous solution x can be solved with the following
	    equation:
	
	    x = sum(xi*ri*si) mod n where ri = n/ni and si = ri^-1 mod ni.
	
	    Where x is less than n, xi = x mod ni.
	
	    For RSA we are only concerned with k = 2. The modulus n = pq, where
	    p and q are coprime. The RSA decryption algorithm is:
	
	    y = x^d mod n
	
	    Given the above:
	
	    x1 = x^d mod p
	    r1 = n/p = q
	    s1 = q^-1 mod p
	    x2 = x^d mod q
	    r2 = n/q = p
	    s2 = p^-1 mod q
	
	    So y = (x1r1s1 + x2r2s2) mod n
	         = ((x^d mod p)q(q^-1 mod p) + (x^d mod q)p(p^-1 mod q)) mod n
	
	    According to Fermat's Little Theorem, if the modulus P is prime,
	    for any integer A not evenly divisible by P, A^(P-1) ~= 1 mod P.
	    Since A is not divisible by P it follows that if:
	    N ~= M mod (P - 1), then A^N mod P = A^M mod P. Therefore:
	
	    A^N mod P = A^(M mod (P - 1)) mod P. (The latter takes less effort
	    to calculate). In order to calculate x^d mod p more quickly the
	    exponent d mod (p - 1) is stored in the RSA private key (the same
	    is done for x^d mod q). These values are referred to as dP and dQ
	    respectively. Therefore we now have:
	
	    y = ((x^dP mod p)q(q^-1 mod p) + (x^dQ mod q)p(p^-1 mod q)) mod n
	
	    Since we'll be reducing x^dP by modulo p (same for q) we can also
	    reduce x by p (and q respectively) before hand. Therefore, let
	
	    xp = ((x mod p)^dP mod p), and
	    xq = ((x mod q)^dQ mod q), yielding:
	
	    y = (xp*q*(q^-1 mod p) + xq*p*(p^-1 mod q)) mod n
	
	    This can be further reduced to a simple algorithm that only
	    requires 1 inverse (the q inverse is used) to be used and stored.
	    The algorithm is called Garner's algorithm. If qInv is the
	    inverse of q, we simply calculate:
	
	    y = (qInv*(xp - xq) mod p) * q + xq
	
	    However, there are two further complications. First, we need to
	    ensure that xp > xq to prevent signed BigIntegers from being used
	    so we add p until this is true (since we will be mod'ing with
	    p anyway). Then, there is a known timing attack on algorithms
	    using the CRT. To mitigate this risk, "cryptographic blinding"
	    should be used. This requires simply generating a random number r between
	    0 and n-1 and its inverse and multiplying x by r^e before calculating y
	    and then multiplying y by r^-1 afterwards.
	  */
	
	  // cryptographic blinding
	  var r;
	  do {
	    r = new BigInteger(
	      forge.util.bytesToHex(forge.random.getBytes(key.n.bitLength() / 8)),
	      16).mod(key.n);
	  } while(r.equals(BigInteger.ZERO));
	  x = x.multiply(r.modPow(key.e, key.n)).mod(key.n);
	
	  // calculate xp and xq
	  var xp = x.mod(key.p).modPow(key.dP, key.p);
	  var xq = x.mod(key.q).modPow(key.dQ, key.q);
	
	  // xp must be larger than xq to avoid signed bit usage
	  while(xp.compareTo(xq) < 0) {
	    xp = xp.add(key.p);
	  }
	
	  // do last step
	  var y = xp.subtract(xq)
	    .multiply(key.qInv).mod(key.p)
	    .multiply(key.q).add(xq);
	
	  // remove effect of random for cryptographic blinding
	  y = y.multiply(r.modInverse(key.n)).mod(key.n);
	
	  return y;
	};
	
	/**
	 * NOTE: THIS METHOD IS DEPRECATED, use 'sign' on a private key object or
	 * 'encrypt' on a public key object instead.
	 *
	 * Performs RSA encryption.
	 *
	 * The parameter bt controls whether to put padding bytes before the
	 * message passed in. Set bt to either true or false to disable padding
	 * completely (in order to handle e.g. EMSA-PSS encoding seperately before),
	 * signaling whether the encryption operation is a public key operation
	 * (i.e. encrypting data) or not, i.e. private key operation (data signing).
	 *
	 * For PKCS#1 v1.5 padding pass in the block type to use, i.e. either 0x01
	 * (for signing) or 0x02 (for encryption). The key operation mode (private
	 * or public) is derived from this flag in that case).
	 *
	 * @param m the message to encrypt as a byte string.
	 * @param key the RSA key to use.
	 * @param bt for PKCS#1 v1.5 padding, the block type to use
	 *   (0x01 for private key, 0x02 for public),
	 *   to disable padding: true = public key, false = private key.
	 *
	 * @return the encrypted bytes as a string.
	 */
	pki.rsa.encrypt = function(m, key, bt) {
	  var pub = bt;
	  var eb;
	
	  // get the length of the modulus in bytes
	  var k = Math.ceil(key.n.bitLength() / 8);
	
	  if(bt !== false && bt !== true) {
	    // legacy, default to PKCS#1 v1.5 padding
	    pub = (bt === 0x02);
	    eb = _encodePkcs1_v1_5(m, key, bt);
	  } else {
	    eb = forge.util.createBuffer();
	    eb.putBytes(m);
	  }
	
	  // load encryption block as big integer 'x'
	  // FIXME: hex conversion inefficient, get BigInteger w/byte strings
	  var x = new BigInteger(eb.toHex(), 16);
	
	  // do RSA encryption
	  var y = _modPow(x, key, pub);
	
	  // convert y into the encrypted data byte string, if y is shorter in
	  // bytes than k, then prepend zero bytes to fill up ed
	  // FIXME: hex conversion inefficient, get BigInteger w/byte strings
	  var yhex = y.toString(16);
	  var ed = forge.util.createBuffer();
	  var zeros = k - Math.ceil(yhex.length / 2);
	  while(zeros > 0) {
	    ed.putByte(0x00);
	    --zeros;
	  }
	  ed.putBytes(forge.util.hexToBytes(yhex));
	  return ed.getBytes();
	};
	
	/**
	 * NOTE: THIS METHOD IS DEPRECATED, use 'decrypt' on a private key object or
	 * 'verify' on a public key object instead.
	 *
	 * Performs RSA decryption.
	 *
	 * The parameter ml controls whether to apply PKCS#1 v1.5 padding
	 * or not.  Set ml = false to disable padding removal completely
	 * (in order to handle e.g. EMSA-PSS later on) and simply pass back
	 * the RSA encryption block.
	 *
	 * @param ed the encrypted data to decrypt in as a byte string.
	 * @param key the RSA key to use.
	 * @param pub true for a public key operation, false for private.
	 * @param ml the message length, if known, false to disable padding.
	 *
	 * @return the decrypted message as a byte string.
	 */
	pki.rsa.decrypt = function(ed, key, pub, ml) {
	  // get the length of the modulus in bytes
	  var k = Math.ceil(key.n.bitLength() / 8);
	
	  // error if the length of the encrypted data ED is not k
	  if(ed.length !== k) {
	    var error = new Error('Encrypted message length is invalid.');
	    error.length = ed.length;
	    error.expected = k;
	    throw error;
	  }
	
	  // convert encrypted data into a big integer
	  // FIXME: hex conversion inefficient, get BigInteger w/byte strings
	  var y = new BigInteger(forge.util.createBuffer(ed).toHex(), 16);
	
	  // y must be less than the modulus or it wasn't the result of
	  // a previous mod operation (encryption) using that modulus
	  if(y.compareTo(key.n) >= 0) {
	    throw new Error('Encrypted message is invalid.');
	  }
	
	  // do RSA decryption
	  var x = _modPow(y, key, pub);
	
	  // create the encryption block, if x is shorter in bytes than k, then
	  // prepend zero bytes to fill up eb
	  // FIXME: hex conversion inefficient, get BigInteger w/byte strings
	  var xhex = x.toString(16);
	  var eb = forge.util.createBuffer();
	  var zeros = k - Math.ceil(xhex.length / 2);
	  while(zeros > 0) {
	    eb.putByte(0x00);
	    --zeros;
	  }
	  eb.putBytes(forge.util.hexToBytes(xhex));
	
	  if(ml !== false) {
	    // legacy, default to PKCS#1 v1.5 padding
	    return _decodePkcs1_v1_5(eb.getBytes(), key, pub);
	  }
	
	  // return message
	  return eb.getBytes();
	};
	
	/**
	 * Creates an RSA key-pair generation state object. It is used to allow
	 * key-generation to be performed in steps. It also allows for a UI to
	 * display progress updates.
	 *
	 * @param bits the size for the private key in bits, defaults to 2048.
	 * @param e the public exponent to use, defaults to 65537 (0x10001).
	 * @param [options] the options to use.
	 *          prng a custom crypto-secure pseudo-random number generator to use,
	 *            that must define "getBytesSync".
	 *          algorithm the algorithm to use (default: 'PRIMEINC').
	 *
	 * @return the state object to use to generate the key-pair.
	 */
	pki.rsa.createKeyPairGenerationState = function(bits, e, options) {
	  // TODO: migrate step-based prime generation code to forge.prime
	
	  // set default bits
	  if(typeof(bits) === 'string') {
	    bits = parseInt(bits, 10);
	  }
	  bits = bits || 2048;
	
	  // create prng with api that matches BigInteger secure random
	  options = options || {};
	  var prng = options.prng || forge.random;
	  var rng = {
	    // x is an array to fill with bytes
	    nextBytes: function(x) {
	      var b = prng.getBytesSync(x.length);
	      for(var i = 0; i < x.length; ++i) {
	        x[i] = b.charCodeAt(i);
	      }
	    }
	  };
	
	  var algorithm = options.algorithm || 'PRIMEINC';
	
	  // create PRIMEINC algorithm state
	  var rval;
	  if(algorithm === 'PRIMEINC') {
	    rval = {
	      algorithm: algorithm,
	      state: 0,
	      bits: bits,
	      rng: rng,
	      eInt: e || 65537,
	      e: new BigInteger(null),
	      p: null,
	      q: null,
	      qBits: bits >> 1,
	      pBits: bits - (bits >> 1),
	      pqState: 0,
	      num: null,
	      keys: null
	    };
	    rval.e.fromInt(rval.eInt);
	  } else {
	    throw new Error('Invalid key generation algorithm: ' + algorithm);
	  }
	
	  return rval;
	};
	
	/**
	 * Attempts to runs the key-generation algorithm for at most n seconds
	 * (approximately) using the given state. When key-generation has completed,
	 * the keys will be stored in state.keys.
	 *
	 * To use this function to update a UI while generating a key or to prevent
	 * causing browser lockups/warnings, set "n" to a value other than 0. A
	 * simple pattern for generating a key and showing a progress indicator is:
	 *
	 * var state = pki.rsa.createKeyPairGenerationState(2048);
	 * var step = function() {
	 *   // step key-generation, run algorithm for 100 ms, repeat
	 *   if(!forge.pki.rsa.stepKeyPairGenerationState(state, 100)) {
	 *     setTimeout(step, 1);
	 *   } else {
	 *     // key-generation complete
	 *     // TODO: turn off progress indicator here
	 *     // TODO: use the generated key-pair in "state.keys"
	 *   }
	 * };
	 * // TODO: turn on progress indicator here
	 * setTimeout(step, 0);
	 *
	 * @param state the state to use.
	 * @param n the maximum number of milliseconds to run the algorithm for, 0
	 *          to run the algorithm to completion.
	 *
	 * @return true if the key-generation completed, false if not.
	 */
	pki.rsa.stepKeyPairGenerationState = function(state, n) {
	  // set default algorithm if not set
	  if(!('algorithm' in state)) {
	    state.algorithm = 'PRIMEINC';
	  }
	
	  // TODO: migrate step-based prime generation code to forge.prime
	  // TODO: abstract as PRIMEINC algorithm
	
	  // do key generation (based on Tom Wu's rsa.js, see jsbn.js license)
	  // with some minor optimizations and designed to run in steps
	
	  // local state vars
	  var THIRTY = new BigInteger(null);
	  THIRTY.fromInt(30);
	  var deltaIdx = 0;
	  var op_or = function(x,y) { return x|y; };
	
	  // keep stepping until time limit is reached or done
	  var t1 = +new Date();
	  var t2;
	  var total = 0;
	  while(state.keys === null && (n <= 0 || total < n)) {
	    // generate p or q
	    if(state.state === 0) {
	      /* Note: All primes are of the form:
	
	        30k+i, for i < 30 and gcd(30, i)=1, where there are 8 values for i
	
	        When we generate a random number, we always align it at 30k + 1. Each
	        time the number is determined not to be prime we add to get to the
	        next 'i', eg: if the number was at 30k + 1 we add 6. */
	      var bits = (state.p === null) ? state.pBits : state.qBits;
	      var bits1 = bits - 1;
	
	      // get a random number
	      if(state.pqState === 0) {
	        state.num = new BigInteger(bits, state.rng);
	        // force MSB set
	        if(!state.num.testBit(bits1)) {
	          state.num.bitwiseTo(
	            BigInteger.ONE.shiftLeft(bits1), op_or, state.num);
	        }
	        // align number on 30k+1 boundary
	        state.num.dAddOffset(31 - state.num.mod(THIRTY).byteValue(), 0);
	        deltaIdx = 0;
	
	        ++state.pqState;
	      } else if(state.pqState === 1) {
	        // try to make the number a prime
	        if(state.num.bitLength() > bits) {
	          // overflow, try again
	          state.pqState = 0;
	          // do primality test
	        } else if(state.num.isProbablePrime(
	          _getMillerRabinTests(state.num.bitLength()))) {
	          ++state.pqState;
	        } else {
	          // get next potential prime
	          state.num.dAddOffset(GCD_30_DELTA[deltaIdx++ % 8], 0);
	        }
	      } else if(state.pqState === 2) {
	        // ensure number is coprime with e
	        state.pqState =
	          (state.num.subtract(BigInteger.ONE).gcd(state.e)
	          .compareTo(BigInteger.ONE) === 0) ? 3 : 0;
	      } else if(state.pqState === 3) {
	        // store p or q
	        state.pqState = 0;
	        if(state.p === null) {
	          state.p = state.num;
	        } else {
	          state.q = state.num;
	        }
	
	        // advance state if both p and q are ready
	        if(state.p !== null && state.q !== null) {
	          ++state.state;
	        }
	        state.num = null;
	      }
	    } else if(state.state === 1) {
	      // ensure p is larger than q (swap them if not)
	      if(state.p.compareTo(state.q) < 0) {
	        state.num = state.p;
	        state.p = state.q;
	        state.q = state.num;
	      }
	      ++state.state;
	    } else if(state.state === 2) {
	      // compute phi: (p - 1)(q - 1) (Euler's totient function)
	      state.p1 = state.p.subtract(BigInteger.ONE);
	      state.q1 = state.q.subtract(BigInteger.ONE);
	      state.phi = state.p1.multiply(state.q1);
	      ++state.state;
	    } else if(state.state === 3) {
	      // ensure e and phi are coprime
	      if(state.phi.gcd(state.e).compareTo(BigInteger.ONE) === 0) {
	        // phi and e are coprime, advance
	        ++state.state;
	      } else {
	        // phi and e aren't coprime, so generate a new p and q
	        state.p = null;
	        state.q = null;
	        state.state = 0;
	      }
	    } else if(state.state === 4) {
	      // create n, ensure n is has the right number of bits
	      state.n = state.p.multiply(state.q);
	
	      // ensure n is right number of bits
	      if(state.n.bitLength() === state.bits) {
	        // success, advance
	        ++state.state;
	      } else {
	        // failed, get new q
	        state.q = null;
	        state.state = 0;
	      }
	    } else if(state.state === 5) {
	      // set keys
	      var d = state.e.modInverse(state.phi);
	      state.keys = {
	        privateKey: pki.rsa.setPrivateKey(
	          state.n, state.e, d, state.p, state.q,
	          d.mod(state.p1), d.mod(state.q1),
	          state.q.modInverse(state.p)),
	        publicKey: pki.rsa.setPublicKey(state.n, state.e)
	      };
	    }
	
	    // update timing
	    t2 = +new Date();
	    total += t2 - t1;
	    t1 = t2;
	  }
	
	  return state.keys !== null;
	};
	
	/**
	 * Generates an RSA public-private key pair in a single call.
	 *
	 * To generate a key-pair in steps (to allow for progress updates and to
	 * prevent blocking or warnings in slow browsers) then use the key-pair
	 * generation state functions.
	 *
	 * To generate a key-pair asynchronously (either through web-workers, if
	 * available, or by breaking up the work on the main thread), pass a
	 * callback function.
	 *
	 * @param [bits] the size for the private key in bits, defaults to 2048.
	 * @param [e] the public exponent to use, defaults to 65537.
	 * @param [options] options for key-pair generation, if given then 'bits'
	 *          and 'e' must *not* be given:
	 *          bits the size for the private key in bits, (default: 2048).
	 *          e the public exponent to use, (default: 65537 (0x10001)).
	 *          workerScript the worker script URL.
	 *          workers the number of web workers (if supported) to use,
	 *            (default: 2).
	 *          workLoad the size of the work load, ie: number of possible prime
	 *            numbers for each web worker to check per work assignment,
	 *            (default: 100).
	 *          e the public exponent to use, defaults to 65537.
	 *          prng a custom crypto-secure pseudo-random number generator to use,
	 *            that must define "getBytesSync".
	 *          algorithm the algorithm to use (default: 'PRIMEINC').
	 * @param [callback(err, keypair)] called once the operation completes.
	 *
	 * @return an object with privateKey and publicKey properties.
	 */
	pki.rsa.generateKeyPair = function(bits, e, options, callback) {
	  // (bits), (options), (callback)
	  if(arguments.length === 1) {
	    if(typeof bits === 'object') {
	      options = bits;
	      bits = undefined;
	    } else if(typeof bits === 'function') {
	      callback = bits;
	      bits = undefined;
	    }
	  } else if(arguments.length === 2) {
	    // (bits, e), (bits, options), (bits, callback), (options, callback)
	    if(typeof bits === 'number') {
	      if(typeof e === 'function') {
	        callback = e;
	        e = undefined;
	      } else if(typeof e !== 'number') {
	        options = e;
	        e = undefined;
	      }
	    } else {
	      options = bits;
	      callback = e;
	      bits = undefined;
	      e = undefined;
	    }
	  } else if(arguments.length === 3) {
	    // (bits, e, options), (bits, e, callback), (bits, options, callback)
	    if(typeof e === 'number') {
	      if(typeof options === 'function') {
	        callback = options;
	        options = undefined;
	      }
	    } else {
	      callback = options;
	      options = e;
	      e = undefined;
	    }
	  }
	  options = options || {};
	  if(bits === undefined) {
	    bits = options.bits || 2048;
	  }
	  if(e === undefined) {
	    e = options.e || 0x10001;
	  }
	  var state = pki.rsa.createKeyPairGenerationState(bits, e, options);
	  if(!callback) {
	    pki.rsa.stepKeyPairGenerationState(state, 0);
	    return state.keys;
	  }
	  _generateKeyPair(state, options, callback);
	};
	
	/**
	 * Sets an RSA public key from BigIntegers modulus and exponent.
	 *
	 * @param n the modulus.
	 * @param e the exponent.
	 *
	 * @return the public key.
	 */
	pki.setRsaPublicKey = pki.rsa.setPublicKey = function(n, e) {
	  var key = {
	    n: n,
	    e: e
	  };
	
	  /**
	   * Encrypts the given data with this public key. Newer applications
	   * should use the 'RSA-OAEP' decryption scheme, 'RSAES-PKCS1-V1_5' is for
	   * legacy applications.
	   *
	   * @param data the byte string to encrypt.
	   * @param scheme the encryption scheme to use:
	   *          'RSAES-PKCS1-V1_5' (default),
	   *          'RSA-OAEP',
	   *          'RAW', 'NONE', or null to perform raw RSA encryption,
	   *          an object with an 'encode' property set to a function
	   *          with the signature 'function(data, key)' that returns
	   *          a binary-encoded string representing the encoded data.
	   * @param schemeOptions any scheme-specific options.
	   *
	   * @return the encrypted byte string.
	   */
	  key.encrypt = function(data, scheme, schemeOptions) {
	    if(typeof scheme === 'string') {
	      scheme = scheme.toUpperCase();
	    } else if(scheme === undefined) {
	      scheme = 'RSAES-PKCS1-V1_5';
	    }
	
	    if(scheme === 'RSAES-PKCS1-V1_5') {
	      scheme = {
	        encode: function(m, key, pub) {
	          return _encodePkcs1_v1_5(m, key, 0x02).getBytes();
	        }
	      };
	    } else if(scheme === 'RSA-OAEP' || scheme === 'RSAES-OAEP') {
	      scheme = {
	        encode: function(m, key) {
	          return forge.pkcs1.encode_rsa_oaep(key, m, schemeOptions);
	        }
	      };
	    } else if(['RAW', 'NONE', 'NULL', null].indexOf(scheme) !== -1) {
	      scheme = { encode: function(e) { return e; } };
	    } else if(typeof scheme === 'string') {
	      throw new Error('Unsupported encryption scheme: "' + scheme + '".');
	    }
	
	    // do scheme-based encoding then rsa encryption
	    var e = scheme.encode(data, key, true);
	    return pki.rsa.encrypt(e, key, true);
	  };
	
	  /**
	   * Verifies the given signature against the given digest.
	   *
	   * PKCS#1 supports multiple (currently two) signature schemes:
	   * RSASSA-PKCS1-V1_5 and RSASSA-PSS.
	   *
	   * By default this implementation uses the "old scheme", i.e.
	   * RSASSA-PKCS1-V1_5, in which case once RSA-decrypted, the
	   * signature is an OCTET STRING that holds a DigestInfo.
	   *
	   * DigestInfo ::= SEQUENCE {
	   *   digestAlgorithm DigestAlgorithmIdentifier,
	   *   digest Digest
	   * }
	   * DigestAlgorithmIdentifier ::= AlgorithmIdentifier
	   * Digest ::= OCTET STRING
	   *
	   * To perform PSS signature verification, provide an instance
	   * of Forge PSS object as the scheme parameter.
	   *
	   * @param digest the message digest hash to compare against the signature,
	   *          as a binary-encoded string.
	   * @param signature the signature to verify, as a binary-encoded string.
	   * @param scheme signature verification scheme to use:
	   *          'RSASSA-PKCS1-V1_5' or undefined for RSASSA PKCS#1 v1.5,
	   *          a Forge PSS object for RSASSA-PSS,
	   *          'NONE' or null for none, DigestInfo will not be expected, but
	   *            PKCS#1 v1.5 padding will still be used.
	   *
	   * @return true if the signature was verified, false if not.
	   */
	   key.verify = function(digest, signature, scheme) {
	     if(typeof scheme === 'string') {
	       scheme = scheme.toUpperCase();
	     } else if(scheme === undefined) {
	       scheme = 'RSASSA-PKCS1-V1_5';
	     }
	
	     if(scheme === 'RSASSA-PKCS1-V1_5') {
	       scheme = {
	         verify: function(digest, d) {
	           // remove padding
	           d = _decodePkcs1_v1_5(d, key, true);
	           // d is ASN.1 BER-encoded DigestInfo
	           var obj = asn1.fromDer(d);
	           // compare the given digest to the decrypted one
	           return digest === obj.value[1].value;
	         }
	       };
	     } else if(scheme === 'NONE' || scheme === 'NULL' || scheme === null) {
	       scheme = {
	         verify: function(digest, d) {
	           // remove padding
	           d = _decodePkcs1_v1_5(d, key, true);
	           return digest === d;
	         }
	       };
	     }
	
	     // do rsa decryption w/o any decoding, then verify -- which does decoding
	     var d = pki.rsa.decrypt(signature, key, true, false);
	     return scheme.verify(digest, d, key.n.bitLength());
	  };
	
	  return key;
	};
	
	/**
	 * Sets an RSA private key from BigIntegers modulus, exponent, primes,
	 * prime exponents, and modular multiplicative inverse.
	 *
	 * @param n the modulus.
	 * @param e the public exponent.
	 * @param d the private exponent ((inverse of e) mod n).
	 * @param p the first prime.
	 * @param q the second prime.
	 * @param dP exponent1 (d mod (p-1)).
	 * @param dQ exponent2 (d mod (q-1)).
	 * @param qInv ((inverse of q) mod p)
	 *
	 * @return the private key.
	 */
	pki.setRsaPrivateKey = pki.rsa.setPrivateKey = function(
	  n, e, d, p, q, dP, dQ, qInv) {
	  var key = {
	    n: n,
	    e: e,
	    d: d,
	    p: p,
	    q: q,
	    dP: dP,
	    dQ: dQ,
	    qInv: qInv
	  };
	
	  /**
	   * Decrypts the given data with this private key. The decryption scheme
	   * must match the one used to encrypt the data.
	   *
	   * @param data the byte string to decrypt.
	   * @param scheme the decryption scheme to use:
	   *          'RSAES-PKCS1-V1_5' (default),
	   *          'RSA-OAEP',
	   *          'RAW', 'NONE', or null to perform raw RSA decryption.
	   * @param schemeOptions any scheme-specific options.
	   *
	   * @return the decrypted byte string.
	   */
	  key.decrypt = function(data, scheme, schemeOptions) {
	    if(typeof scheme === 'string') {
	      scheme = scheme.toUpperCase();
	    } else if(scheme === undefined) {
	      scheme = 'RSAES-PKCS1-V1_5';
	    }
	
	    // do rsa decryption w/o any decoding
	    var d = pki.rsa.decrypt(data, key, false, false);
	
	    if(scheme === 'RSAES-PKCS1-V1_5') {
	      scheme = { decode: _decodePkcs1_v1_5 };
	    } else if(scheme === 'RSA-OAEP' || scheme === 'RSAES-OAEP') {
	      scheme = {
	        decode: function(d, key) {
	          return forge.pkcs1.decode_rsa_oaep(key, d, schemeOptions);
	        }
	      };
	    } else if(['RAW', 'NONE', 'NULL', null].indexOf(scheme) !== -1) {
	      scheme = { decode: function(d) { return d; } };
	    } else {
	      throw new Error('Unsupported encryption scheme: "' + scheme + '".');
	    }
	
	    // decode according to scheme
	    return scheme.decode(d, key, false);
	  };
	
	  /**
	   * Signs the given digest, producing a signature.
	   *
	   * PKCS#1 supports multiple (currently two) signature schemes:
	   * RSASSA-PKCS1-V1_5 and RSASSA-PSS.
	   *
	   * By default this implementation uses the "old scheme", i.e.
	   * RSASSA-PKCS1-V1_5. In order to generate a PSS signature, provide
	   * an instance of Forge PSS object as the scheme parameter.
	   *
	   * @param md the message digest object with the hash to sign.
	   * @param scheme the signature scheme to use:
	   *          'RSASSA-PKCS1-V1_5' or undefined for RSASSA PKCS#1 v1.5,
	   *          a Forge PSS object for RSASSA-PSS,
	   *          'NONE' or null for none, DigestInfo will not be used but
	   *            PKCS#1 v1.5 padding will still be used.
	   *
	   * @return the signature as a byte string.
	   */
	  key.sign = function(md, scheme) {
	    /* Note: The internal implementation of RSA operations is being
	      transitioned away from a PKCS#1 v1.5 hard-coded scheme. Some legacy
	      code like the use of an encoding block identifier 'bt' will eventually
	      be removed. */
	
	    // private key operation
	    var bt = false;
	
	    if(typeof scheme === 'string') {
	      scheme = scheme.toUpperCase();
	    }
	
	    if(scheme === undefined || scheme === 'RSASSA-PKCS1-V1_5') {
	      scheme = { encode: emsaPkcs1v15encode };
	      bt = 0x01;
	    } else if(scheme === 'NONE' || scheme === 'NULL' || scheme === null) {
	      scheme = { encode: function() { return md; } };
	      bt = 0x01;
	    }
	
	    // encode and then encrypt
	    var d = scheme.encode(md, key.n.bitLength());
	    return pki.rsa.encrypt(d, key, bt);
	  };
	
	  return key;
	};
	
	/**
	 * Wraps an RSAPrivateKey ASN.1 object in an ASN.1 PrivateKeyInfo object.
	 *
	 * @param rsaKey the ASN.1 RSAPrivateKey.
	 *
	 * @return the ASN.1 PrivateKeyInfo.
	 */
	pki.wrapRsaPrivateKey = function(rsaKey) {
	  // PrivateKeyInfo
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // version (0)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      asn1.integerToDer(0).getBytes()),
	    // privateKeyAlgorithm
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      asn1.create(
	        asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(pki.oids.rsaEncryption).getBytes()),
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '')
	    ]),
	    // PrivateKey
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OCTETSTRING, false,
	      asn1.toDer(rsaKey).getBytes())
	    ]);
	};
	
	/**
	 * Converts a private key from an ASN.1 object.
	 *
	 * @param obj the ASN.1 representation of a PrivateKeyInfo containing an
	 *          RSAPrivateKey or an RSAPrivateKey.
	 *
	 * @return the private key.
	 */
	pki.privateKeyFromAsn1 = function(obj) {
	  // get PrivateKeyInfo
	  var capture = {};
	  var errors = [];
	  if(asn1.validate(obj, privateKeyValidator, capture, errors)) {
	    obj = asn1.fromDer(forge.util.createBuffer(capture.privateKey));
	  }
	
	  // get RSAPrivateKey
	  capture = {};
	  errors = [];
	  if(!asn1.validate(obj, rsaPrivateKeyValidator, capture, errors)) {
	    var error = new Error('Cannot read private key. ' +
	      'ASN.1 object does not contain an RSAPrivateKey.');
	    error.errors = errors;
	    throw error;
	  }
	
	  // Note: Version is currently ignored.
	  // capture.privateKeyVersion
	  // FIXME: inefficient, get a BigInteger that uses byte strings
	  var n, e, d, p, q, dP, dQ, qInv;
	  n = forge.util.createBuffer(capture.privateKeyModulus).toHex();
	  e = forge.util.createBuffer(capture.privateKeyPublicExponent).toHex();
	  d = forge.util.createBuffer(capture.privateKeyPrivateExponent).toHex();
	  p = forge.util.createBuffer(capture.privateKeyPrime1).toHex();
	  q = forge.util.createBuffer(capture.privateKeyPrime2).toHex();
	  dP = forge.util.createBuffer(capture.privateKeyExponent1).toHex();
	  dQ = forge.util.createBuffer(capture.privateKeyExponent2).toHex();
	  qInv = forge.util.createBuffer(capture.privateKeyCoefficient).toHex();
	
	  // set private key
	  return pki.setRsaPrivateKey(
	    new BigInteger(n, 16),
	    new BigInteger(e, 16),
	    new BigInteger(d, 16),
	    new BigInteger(p, 16),
	    new BigInteger(q, 16),
	    new BigInteger(dP, 16),
	    new BigInteger(dQ, 16),
	    new BigInteger(qInv, 16));
	};
	
	/**
	 * Converts a private key to an ASN.1 RSAPrivateKey.
	 *
	 * @param key the private key.
	 *
	 * @return the ASN.1 representation of an RSAPrivateKey.
	 */
	pki.privateKeyToAsn1 = pki.privateKeyToRSAPrivateKey = function(key) {
	  // RSAPrivateKey
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // version (0 = only 2 primes, 1 multiple primes)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      asn1.integerToDer(0).getBytes()),
	    // modulus (n)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.n)),
	    // publicExponent (e)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.e)),
	    // privateExponent (d)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.d)),
	    // privateKeyPrime1 (p)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.p)),
	    // privateKeyPrime2 (q)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.q)),
	    // privateKeyExponent1 (dP)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.dP)),
	    // privateKeyExponent2 (dQ)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.dQ)),
	    // coefficient (qInv)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.qInv))
	  ]);
	};
	
	/**
	 * Converts a public key from an ASN.1 SubjectPublicKeyInfo or RSAPublicKey.
	 *
	 * @param obj the asn1 representation of a SubjectPublicKeyInfo or RSAPublicKey.
	 *
	 * @return the public key.
	 */
	pki.publicKeyFromAsn1 = function(obj) {
	  // get SubjectPublicKeyInfo
	  var capture = {};
	  var errors = [];
	  if(asn1.validate(obj, publicKeyValidator, capture, errors)) {
	    // get oid
	    var oid = asn1.derToOid(capture.publicKeyOid);
	    if(oid !== pki.oids.rsaEncryption) {
	      var error = new Error('Cannot read public key. Unknown OID.');
	      error.oid = oid;
	      throw error;
	    }
	    obj = capture.rsaPublicKey;
	  }
	
	  // get RSA params
	  errors = [];
	  if(!asn1.validate(obj, rsaPublicKeyValidator, capture, errors)) {
	    var error = new Error('Cannot read public key. ' +
	      'ASN.1 object does not contain an RSAPublicKey.');
	    error.errors = errors;
	    throw error;
	  }
	
	  // FIXME: inefficient, get a BigInteger that uses byte strings
	  var n = forge.util.createBuffer(capture.publicKeyModulus).toHex();
	  var e = forge.util.createBuffer(capture.publicKeyExponent).toHex();
	
	  // set public key
	  return pki.setRsaPublicKey(
	    new BigInteger(n, 16),
	    new BigInteger(e, 16));
	};
	
	/**
	 * Converts a public key to an ASN.1 SubjectPublicKeyInfo.
	 *
	 * @param key the public key.
	 *
	 * @return the asn1 representation of a SubjectPublicKeyInfo.
	 */
	pki.publicKeyToAsn1 = pki.publicKeyToSubjectPublicKeyInfo = function(key) {
	  // SubjectPublicKeyInfo
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // AlgorithmIdentifier
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	      // algorithm
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.OID, false,
	        asn1.oidToDer(pki.oids.rsaEncryption).getBytes()),
	      // parameters (null)
	      asn1.create(asn1.Class.UNIVERSAL, asn1.Type.NULL, false, '')
	    ]),
	    // subjectPublicKey
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.BITSTRING, false, [
	      pki.publicKeyToRSAPublicKey(key)
	    ])
	  ]);
	};
	
	/**
	 * Converts a public key to an ASN.1 RSAPublicKey.
	 *
	 * @param key the public key.
	 *
	 * @return the asn1 representation of a RSAPublicKey.
	 */
	pki.publicKeyToRSAPublicKey = function(key) {
	  // RSAPublicKey
	  return asn1.create(asn1.Class.UNIVERSAL, asn1.Type.SEQUENCE, true, [
	    // modulus (n)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.n)),
	    // publicExponent (e)
	    asn1.create(asn1.Class.UNIVERSAL, asn1.Type.INTEGER, false,
	      _bnToBytes(key.e))
	  ]);
	};
	
	/**
	 * Encodes a message using PKCS#1 v1.5 padding.
	 *
	 * @param m the message to encode.
	 * @param key the RSA key to use.
	 * @param bt the block type to use, i.e. either 0x01 (for signing) or 0x02
	 *          (for encryption).
	 *
	 * @return the padded byte buffer.
	 */
	function _encodePkcs1_v1_5(m, key, bt) {
	  var eb = forge.util.createBuffer();
	
	  // get the length of the modulus in bytes
	  var k = Math.ceil(key.n.bitLength() / 8);
	
	  /* use PKCS#1 v1.5 padding */
	  if(m.length > (k - 11)) {
	    var error = new Error('Message is too long for PKCS#1 v1.5 padding.');
	    error.length = m.length;
	    error.max = k - 11;
	    throw error;
	  }
	
	  /* A block type BT, a padding string PS, and the data D shall be
	    formatted into an octet string EB, the encryption block:
	
	    EB = 00 || BT || PS || 00 || D
	
	    The block type BT shall be a single octet indicating the structure of
	    the encryption block. For this version of the document it shall have
	    value 00, 01, or 02. For a private-key operation, the block type
	    shall be 00 or 01. For a public-key operation, it shall be 02.
	
	    The padding string PS shall consist of k-3-||D|| octets. For block
	    type 00, the octets shall have value 00; for block type 01, they
	    shall have value FF; and for block type 02, they shall be
	    pseudorandomly generated and nonzero. This makes the length of the
	    encryption block EB equal to k. */
	
	  // build the encryption block
	  eb.putByte(0x00);
	  eb.putByte(bt);
	
	  // create the padding
	  var padNum = k - 3 - m.length;
	  var padByte;
	  // private key op
	  if(bt === 0x00 || bt === 0x01) {
	    padByte = (bt === 0x00) ? 0x00 : 0xFF;
	    for(var i = 0; i < padNum; ++i) {
	      eb.putByte(padByte);
	    }
	  } else {
	    // public key op
	    // pad with random non-zero values
	    while(padNum > 0) {
	      var numZeros = 0;
	      var padBytes = forge.random.getBytes(padNum);
	      for(var i = 0; i < padNum; ++i) {
	        padByte = padBytes.charCodeAt(i);
	        if(padByte === 0) {
	          ++numZeros;
	        } else {
	          eb.putByte(padByte);
	        }
	      }
	      padNum = numZeros;
	    }
	  }
	
	  // zero followed by message
	  eb.putByte(0x00);
	  eb.putBytes(m);
	
	  return eb;
	}
	
	/**
	 * Decodes a message using PKCS#1 v1.5 padding.
	 *
	 * @param em the message to decode.
	 * @param key the RSA key to use.
	 * @param pub true if the key is a public key, false if it is private.
	 * @param ml the message length, if specified.
	 *
	 * @return the decoded bytes.
	 */
	function _decodePkcs1_v1_5(em, key, pub, ml) {
	  // get the length of the modulus in bytes
	  var k = Math.ceil(key.n.bitLength() / 8);
	
	  /* It is an error if any of the following conditions occurs:
	
	    1. The encryption block EB cannot be parsed unambiguously.
	    2. The padding string PS consists of fewer than eight octets
	      or is inconsisent with the block type BT.
	    3. The decryption process is a public-key operation and the block
	      type BT is not 00 or 01, or the decryption process is a
	      private-key operation and the block type is not 02.
	   */
	
	  // parse the encryption block
	  var eb = forge.util.createBuffer(em);
	  var first = eb.getByte();
	  var bt = eb.getByte();
	  if(first !== 0x00 ||
	    (pub && bt !== 0x00 && bt !== 0x01) ||
	    (!pub && bt != 0x02) ||
	    (pub && bt === 0x00 && typeof(ml) === 'undefined')) {
	    throw new Error('Encryption block is invalid.');
	  }
	
	  var padNum = 0;
	  if(bt === 0x00) {
	    // check all padding bytes for 0x00
	    padNum = k - 3 - ml;
	    for(var i = 0; i < padNum; ++i) {
	      if(eb.getByte() !== 0x00) {
	        throw new Error('Encryption block is invalid.');
	      }
	    }
	  } else if(bt === 0x01) {
	    // find the first byte that isn't 0xFF, should be after all padding
	    padNum = 0;
	    while(eb.length() > 1) {
	      if(eb.getByte() !== 0xFF) {
	        --eb.read;
	        break;
	      }
	      ++padNum;
	    }
	  } else if(bt === 0x02) {
	    // look for 0x00 byte
	    padNum = 0;
	    while(eb.length() > 1) {
	      if(eb.getByte() === 0x00) {
	        --eb.read;
	        break;
	      }
	      ++padNum;
	    }
	  }
	
	  // zero must be 0x00 and padNum must be (k - 3 - message length)
	  var zero = eb.getByte();
	  if(zero !== 0x00 || padNum !== (k - 3 - eb.length())) {
	    throw new Error('Encryption block is invalid.');
	  }
	
	  return eb.getBytes();
	}
	
	/**
	 * Runs the key-generation algorithm asynchronously, either in the background
	 * via Web Workers, or using the main thread and setImmediate.
	 *
	 * @param state the key-pair generation state.
	 * @param [options] options for key-pair generation:
	 *          workerScript the worker script URL.
	 *          workers the number of web workers (if supported) to use,
	 *            (default: 2, -1 to use estimated cores minus one).
	 *          workLoad the size of the work load, ie: number of possible prime
	 *            numbers for each web worker to check per work assignment,
	 *            (default: 100).
	 * @param callback(err, keypair) called once the operation completes.
	 */
	function _generateKeyPair(state, options, callback) {
	  if(typeof options === 'function') {
	    callback = options;
	    options = {};
	  }
	  options = options || {};
	
	  var opts = {
	    algorithm: {
	      name: options.algorithm || 'PRIMEINC',
	      options: {
	        workers: options.workers || 2,
	        workLoad: options.workLoad || 100,
	        workerScript: options.workerScript
	      }
	    }
	  };
	  if('prng' in options) {
	    opts.prng = options.prng;
	  }
	
	  generate();
	
	  function generate() {
	    // find p and then q (done in series to simplify)
	    getPrime(state.pBits, function(err, num) {
	      if(err) {
	        return callback(err);
	      }
	      state.p = num;
	      if(state.q !== null) {
	        return finish(err, state.q);
	      }
	      getPrime(state.qBits, finish);
	    });
	  }
	
	  function getPrime(bits, callback) {
	    forge.prime.generateProbablePrime(bits, opts, callback);
	  }
	
	  function finish(err, num) {
	    if(err) {
	      return callback(err);
	    }
	
	    // set q
	    state.q = num;
	
	    // ensure p is larger than q (swap them if not)
	    if(state.p.compareTo(state.q) < 0) {
	      var tmp = state.p;
	      state.p = state.q;
	      state.q = tmp;
	    }
	
	    // ensure p is coprime with e
	    if(state.p.subtract(BigInteger.ONE).gcd(state.e)
	      .compareTo(BigInteger.ONE) !== 0) {
	      state.p = null;
	      generate();
	      return;
	    }
	
	    // ensure q is coprime with e
	    if(state.q.subtract(BigInteger.ONE).gcd(state.e)
	      .compareTo(BigInteger.ONE) !== 0) {
	      state.q = null;
	      getPrime(state.qBits, finish);
	      return;
	    }
	
	    // compute phi: (p - 1)(q - 1) (Euler's totient function)
	    state.p1 = state.p.subtract(BigInteger.ONE);
	    state.q1 = state.q.subtract(BigInteger.ONE);
	    state.phi = state.p1.multiply(state.q1);
	
	    // ensure e and phi are coprime
	    if(state.phi.gcd(state.e).compareTo(BigInteger.ONE) !== 0) {
	      // phi and e aren't coprime, so generate a new p and q
	      state.p = state.q = null;
	      generate();
	      return;
	    }
	
	    // create n, ensure n is has the right number of bits
	    state.n = state.p.multiply(state.q);
	    if(state.n.bitLength() !== state.bits) {
	      // failed, get new q
	      state.q = null;
	      getPrime(state.qBits, finish);
	      return;
	    }
	
	    // set keys
	    var d = state.e.modInverse(state.phi);
	    state.keys = {
	      privateKey: pki.rsa.setPrivateKey(
	        state.n, state.e, d, state.p, state.q,
	        d.mod(state.p1), d.mod(state.q1),
	        state.q.modInverse(state.p)),
	      publicKey: pki.rsa.setPublicKey(state.n, state.e)
	    };
	
	    callback(null, state.keys);
	  }
	}
	
	/**
	 * Converts a positive BigInteger into 2's-complement big-endian bytes.
	 *
	 * @param b the big integer to convert.
	 *
	 * @return the bytes.
	 */
	function _bnToBytes(b) {
	  // prepend 0x00 if first byte >= 0x80
	  var hex = b.toString(16);
	  if(hex[0] >= '8') {
	    hex = '00' + hex;
	  }
	  return forge.util.hexToBytes(hex);
	}
	
	/**
	 * Returns the required number of Miller-Rabin tests to generate a
	 * prime with an error probability of (1/2)^80.
	 *
	 * See Handbook of Applied Cryptography Chapter 4, Table 4.4.
	 *
	 * @param bits the bit size.
	 *
	 * @return the required number of iterations.
	 */
	function _getMillerRabinTests(bits) {
	  if(bits <= 100) return 27;
	  if(bits <= 150) return 18;
	  if(bits <= 200) return 15;
	  if(bits <= 250) return 12;
	  if(bits <= 300) return 9;
	  if(bits <= 350) return 8;
	  if(bits <= 400) return 7;
	  if(bits <= 500) return 6;
	  if(bits <= 600) return 5;
	  if(bits <= 800) return 4;
	  if(bits <= 1250) return 3;
	  return 2;
	}
	
	})();


/***/ },
/* 60 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Prime number generation API.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  prime : module.exports || {},
	  util : __webpack_require__(34),
	  jsbn : __webpack_require__(44),
	  random : __webpack_require__(49)
	};
	
	/* PRIME API */
	var prime = forge.prime;
	
	var BigInteger = forge.jsbn.BigInteger;
	
	// primes are 30k+i for i = 1, 7, 11, 13, 17, 19, 23, 29
	var GCD_30_DELTA = [6, 4, 2, 4, 2, 4, 6, 2];
	var THIRTY = new BigInteger(null);
	THIRTY.fromInt(30);
	var op_or = function(x, y) {return x|y;};
	
	/**
	 * Generates a random probable prime with the given number of bits.
	 *
	 * Alternative algorithms can be specified by name as a string or as an
	 * object with custom options like so:
	 *
	 * {
	 *   name: 'PRIMEINC',
	 *   options: {
	 *     maxBlockTime: <the maximum amount of time to block the main
	 *       thread before allowing I/O other JS to run>,
	 *     millerRabinTests: <the number of miller-rabin tests to run>,
	 *     workerScript: <the worker script URL>,
	 *     workers: <the number of web workers (if supported) to use,
	 *       -1 to use estimated cores minus one>.
	 *     workLoad: the size of the work load, ie: number of possible prime
	 *       numbers for each web worker to check per work assignment,
	 *       (default: 100).
	 *   }
	 * }
	 *
	 * @param bits the number of bits for the prime number.
	 * @param options the options to use.
	 *          [algorithm] the algorithm to use (default: 'PRIMEINC').
	 *          [prng] a custom crypto-secure pseudo-random number generator to use,
	 *            that must define "getBytesSync".
	 *
	 * @return callback(err, num) called once the operation completes.
	 */
	prime.generateProbablePrime = function(bits, options, callback) {
	  if(typeof options === 'function') {
	    callback = options;
	    options = {};
	  }
	  options = options || {};
	
	  // default to PRIMEINC algorithm
	  var algorithm = options.algorithm || 'PRIMEINC';
	  if(typeof algorithm === 'string') {
	    algorithm = {name: algorithm};
	  }
	  algorithm.options = algorithm.options || {};
	
	  // create prng with api that matches BigInteger secure random
	  var prng = options.prng || forge.random;
	  var rng = {
	    // x is an array to fill with bytes
	    nextBytes: function(x) {
	      var b = prng.getBytesSync(x.length);
	      for(var i = 0; i < x.length; ++i) {
	        x[i] = b.charCodeAt(i);
	      }
	    }
	  };
	
	  if(algorithm.name === 'PRIMEINC') {
	    return primeincFindPrime(bits, rng, algorithm.options, callback);
	  }
	
	  throw new Error('Invalid prime generation algorithm: ' + algorithm.name);
	};
	
	function primeincFindPrime(bits, rng, options, callback) {
	  if('workers' in options) {
	    return primeincFindPrimeWithWorkers(bits, rng, options, callback);
	  }
	  return primeincFindPrimeWithoutWorkers(bits, rng, options, callback);
	}
	
	function primeincFindPrimeWithoutWorkers(bits, rng, options, callback) {
	  // initialize random number
	  var num = generateRandom(bits, rng);
	
	  /* Note: All primes are of the form 30k+i for i < 30 and gcd(30, i)=1. The
	  number we are given is always aligned at 30k + 1. Each time the number is
	  determined not to be prime we add to get to the next 'i', eg: if the number
	  was at 30k + 1 we add 6. */
	  var deltaIdx = 0;
	
	  // get required number of MR tests
	  var mrTests = getMillerRabinTests(num.bitLength());
	  if('millerRabinTests' in options) {
	    mrTests = options.millerRabinTests;
	  }
	
	  // find prime nearest to 'num' for maxBlockTime ms
	  // 10 ms gives 5ms of leeway for other calculations before dropping
	  // below 60fps (1000/60 == 16.67), but in reality, the number will
	  // likely be higher due to an 'atomic' big int modPow
	  var maxBlockTime = 10;
	  if('maxBlockTime' in options) {
	    maxBlockTime = options.maxBlockTime;
	  }
	  var start = +new Date();
	  do {
	    // overflow, regenerate random number
	    if(num.bitLength() > bits) {
	      num = generateRandom(bits, rng);
	    }
	    // do primality test
	    if(num.isProbablePrime(mrTests)) {
	      return callback(null, num);
	    }
	    // get next potential prime
	    num.dAddOffset(GCD_30_DELTA[deltaIdx++ % 8], 0);
	  } while(maxBlockTime < 0 || (+new Date() - start < maxBlockTime));
	
	  // keep trying (setImmediate would be better here)
	  forge.util.setImmediate(function() {
	    primeincFindPrimeWithoutWorkers(bits, rng, options, callback);
	  });
	}
	
	function primeincFindPrimeWithWorkers(bits, rng, options, callback) {
	  // web workers unavailable
	  if(typeof Worker === 'undefined') {
	    return primeincFindPrimeWithoutWorkers(bits, rng, options, callback);
	  }
	
	  // initialize random number
	  var num = generateRandom(bits, rng);
	
	  // use web workers to generate keys
	  var numWorkers = options.workers;
	  var workLoad = options.workLoad || 100;
	  var range = workLoad * 30 / 8;
	  var workerScript = options.workerScript || 'forge/prime.worker.js';
	  if(numWorkers === -1) {
	    return forge.util.estimateCores(function(err, cores) {
	      if(err) {
	        // default to 2
	        cores = 2;
	      }
	      numWorkers = cores - 1;
	      generate();
	    });
	  }
	  generate();
	
	  function generate() {
	    // require at least 1 worker
	    numWorkers = Math.max(1, numWorkers);
	
	    // TODO: consider optimizing by starting workers outside getPrime() ...
	    // note that in order to clean up they will have to be made internally
	    // asynchronous which may actually be slower
	
	    // start workers immediately
	    var workers = [];
	    for(var i = 0; i < numWorkers; ++i) {
	      // FIXME: fix path or use blob URLs
	      workers[i] = new Worker(workerScript);
	    }
	    var running = numWorkers;
	
	    // listen for requests from workers and assign ranges to find prime
	    for(var i = 0; i < numWorkers; ++i) {
	      workers[i].addEventListener('message', workerMessage);
	    }
	
	    /* Note: The distribution of random numbers is unknown. Therefore, each
	    web worker is continuously allocated a range of numbers to check for a
	    random number until one is found.
	
	    Every 30 numbers will be checked just 8 times, because prime numbers
	    have the form:
	
	    30k+i, for i < 30 and gcd(30, i)=1 (there are 8 values of i for this)
	
	    Therefore, if we want a web worker to run N checks before asking for
	    a new range of numbers, each range must contain N*30/8 numbers.
	
	    For 100 checks (workLoad), this is a range of 375. */
	
	    var found = false;
	    function workerMessage(e) {
	      // ignore message, prime already found
	      if(found) {
	        return;
	      }
	
	      --running;
	      var data = e.data;
	      if(data.found) {
	        // terminate all workers
	        for(var i = 0; i < workers.length; ++i) {
	          workers[i].terminate();
	        }
	        found = true;
	        return callback(null, new BigInteger(data.prime, 16));
	      }
	
	      // overflow, regenerate random number
	      if(num.bitLength() > bits) {
	        num = generateRandom(bits, rng);
	      }
	
	      // assign new range to check
	      var hex = num.toString(16);
	
	      // start prime search
	      e.target.postMessage({
	        hex: hex,
	        workLoad: workLoad
	      });
	
	      num.dAddOffset(range, 0);
	    }
	  }
	}
	
	/**
	 * Generates a random number using the given number of bits and RNG.
	 *
	 * @param bits the number of bits for the number.
	 * @param rng the random number generator to use.
	 *
	 * @return the random number.
	 */
	function generateRandom(bits, rng) {
	  var num = new BigInteger(bits, rng);
	  // force MSB set
	  var bits1 = bits - 1;
	  if(!num.testBit(bits1)) {
	    num.bitwiseTo(BigInteger.ONE.shiftLeft(bits1), op_or, num);
	  }
	  // align number on 30k+1 boundary
	  num.dAddOffset(31 - num.mod(THIRTY).byteValue(), 0);
	  return num;
	}
	
	/**
	 * Returns the required number of Miller-Rabin tests to generate a
	 * prime with an error probability of (1/2)^80.
	 *
	 * See Handbook of Applied Cryptography Chapter 4, Table 4.4.
	 *
	 * @param bits the bit size.
	 *
	 * @return the required number of iterations.
	 */
	function getMillerRabinTests(bits) {
	  if(bits <= 100) return 27;
	  if(bits <= 150) return 18;
	  if(bits <= 200) return 15;
	  if(bits <= 250) return 12;
	  if(bits <= 300) return 9;
	  if(bits <= 350) return 8;
	  if(bits <= 400) return 7;
	  if(bits <= 500) return 6;
	  if(bits <= 600) return 5;
	  if(bits <= 800) return 4;
	  if(bits <= 1250) return 3;
	  return 2;
	}
	
	})();


/***/ },
/* 61 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Javascript implementation of PKCS#7 v1.5.  Currently only certain parts of
	 * PKCS#7 are implemented, especially the enveloped-data content type.
	 *
	 * @author Stefan Siegl
	 *
	 * Copyright (c) 2012 Stefan Siegl <stesie@brokenpipe.de>
	 *
	 * The ASN.1 representation of PKCS#7 is as follows
	 * (see RFC #2315 for details, http://www.ietf.org/rfc/rfc2315.txt):
	 *
	 * A PKCS#7 message consists of a ContentInfo on root level, which may
	 * contain any number of further ContentInfo nested into it.
	 *
	 * ContentInfo ::= SEQUENCE {
	 *    contentType                ContentType,
	 *    content               [0]  EXPLICIT ANY DEFINED BY contentType OPTIONAL
	 * }
	 *
	 * ContentType ::= OBJECT IDENTIFIER
	 *
	 * EnvelopedData ::= SEQUENCE {
	 *    version                    Version,
	 *    recipientInfos             RecipientInfos,
	 *    encryptedContentInfo       EncryptedContentInfo
	 * }
	 *
	 * EncryptedData ::= SEQUENCE {
	 *    version                    Version,
	 *    encryptedContentInfo       EncryptedContentInfo
	 * }
	 *
	 * Version ::= INTEGER
	 *
	 * RecipientInfos ::= SET OF RecipientInfo
	 *
	 * EncryptedContentInfo ::= SEQUENCE {
	 *   contentType                 ContentType,
	 *   contentEncryptionAlgorithm  ContentEncryptionAlgorithmIdentifier,
	 *   encryptedContent       [0]  IMPLICIT EncryptedContent OPTIONAL
	 * }
	 *
	 * ContentEncryptionAlgorithmIdentifier ::= AlgorithmIdentifier
	 *
	 * The AlgorithmIdentifier contains an Object Identifier (OID) and parameters
	 * for the algorithm, if any. In the case of AES and DES3, there is only one,
	 * the IV.
	 *
	 * AlgorithmIdentifer ::= SEQUENCE {
	 *    algorithm OBJECT IDENTIFIER,
	 *    parameters ANY DEFINED BY algorithm OPTIONAL
	 * }
	 *
	 * EncryptedContent ::= OCTET STRING
	 *
	 * RecipientInfo ::= SEQUENCE {
	 *   version                     Version,
	 *   issuerAndSerialNumber       IssuerAndSerialNumber,
	 *   keyEncryptionAlgorithm      KeyEncryptionAlgorithmIdentifier,
	 *   encryptedKey                EncryptedKey
	 * }
	 *
	 * IssuerAndSerialNumber ::= SEQUENCE {
	 *   issuer                      Name,
	 *   serialNumber                CertificateSerialNumber
	 * }
	 *
	 * CertificateSerialNumber ::= INTEGER
	 *
	 * KeyEncryptionAlgorithmIdentifier ::= AlgorithmIdentifier
	 *
	 * EncryptedKey ::= OCTET STRING
	 */
	(function() {
	
	var forge = {
	  pkcs7asn1 : module.exports || {},
	  asn1 : __webpack_require__(36),
	  pkcs7 : __webpack_require__(55),
	  util : __webpack_require__(34)
	}
	
	// shortcut for ASN.1 API
	var asn1 = forge.asn1;
	
	// shortcut for PKCS#7 API
	var p7v = forge.pkcs7asn1;
	
	var contentInfoValidator = {
	  name: 'ContentInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'ContentInfo.ContentType',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.OID,
	    constructed: false,
	    capture: 'contentType'
	  }, {
	    name: 'ContentInfo.content',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    constructed: true,
	    optional: true,
	    captureAsn1: 'content'
	  }]
	};
	p7v.contentInfoValidator = contentInfoValidator;
	
	var encryptedContentInfoValidator = {
	  name: 'EncryptedContentInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'EncryptedContentInfo.contentType',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.OID,
	    constructed: false,
	    capture: 'contentType'
	  }, {
	    name: 'EncryptedContentInfo.contentEncryptionAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      name: 'EncryptedContentInfo.contentEncryptionAlgorithm.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'encAlgorithm'
	    }, {
	      name: 'EncryptedContentInfo.contentEncryptionAlgorithm.parameter',
	      tagClass: asn1.Class.UNIVERSAL,
	      captureAsn1: 'encParameter'
	    }]
	  }, {
	    name: 'EncryptedContentInfo.encryptedContent',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    /* The PKCS#7 structure output by OpenSSL somewhat differs from what
	     * other implementations do generate.
	     *
	     * OpenSSL generates a structure like this:
	     * SEQUENCE {
	     *    ...
	     *    [0]
	     *       26 DA 67 D2 17 9C 45 3C B1 2A A8 59 2F 29 33 38
	     *       C3 C3 DF 86 71 74 7A 19 9F 40 D0 29 BE 85 90 45
	     *       ...
	     * }
	     *
	     * Whereas other implementations (and this PKCS#7 module) generate:
	     * SEQUENCE {
	     *    ...
	     *    [0] {
	     *       OCTET STRING
	     *          26 DA 67 D2 17 9C 45 3C B1 2A A8 59 2F 29 33 38
	     *          C3 C3 DF 86 71 74 7A 19 9F 40 D0 29 BE 85 90 45
	     *          ...
	     *    }
	     * }
	     *
	     * In order to support both, we just capture the context specific
	     * field here.  The OCTET STRING bit is removed below.
	     */
	    capture: 'encryptedContent',
	    captureAsn1: 'encryptedContentAsn1'
	  }]
	};
	
	p7v.envelopedDataValidator = {
	  name: 'EnvelopedData',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'EnvelopedData.Version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'version'
	  }, {
	    name: 'EnvelopedData.RecipientInfos',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SET,
	    constructed: true,
	    captureAsn1: 'recipientInfos'
	  }].concat(encryptedContentInfoValidator)
	};
	
	p7v.encryptedDataValidator = {
	  name: 'EncryptedData',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'EncryptedData.Version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'version'
	  }].concat(encryptedContentInfoValidator)
	};
	
	var signerValidator = {
	  name: 'SignerInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'SignerInfo.Version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false
	  }, {
	    name: 'SignerInfo.IssuerAndSerialNumber',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true
	  }, {
	    name: 'SignerInfo.DigestAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true
	  }, {
	    name: 'SignerInfo.AuthenticatedAttributes',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    constructed: true,
	    optional: true,
	    capture: 'authenticatedAttributes'
	  }, {
	    name: 'SignerInfo.DigestEncryptionAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true
	  }, {
	    name: 'SignerInfo.EncryptedDigest',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.OCTETSTRING,
	    constructed: false,
	    capture: 'signature'
	  }, {
	    name: 'SignerInfo.UnauthenticatedAttributes',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 1,
	    constructed: true,
	    optional: true
	  }]
	};
	
	p7v.signedDataValidator = {
	  name: 'SignedData',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'SignedData.Version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'version'
	  }, {
	    name: 'SignedData.DigestAlgorithms',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SET,
	    constructed: true,
	    captureAsn1: 'digestAlgorithms'
	  },
	  contentInfoValidator,
	  {
	    name: 'SignedData.Certificates',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 0,
	    optional: true,
	    captureAsn1: 'certificates'
	  }, {
	    name: 'SignedData.CertificateRevocationLists',
	    tagClass: asn1.Class.CONTEXT_SPECIFIC,
	    type: 1,
	    optional: true,
	    captureAsn1: 'crls'
	  }, {
	    name: 'SignedData.SignerInfos',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SET,
	    capture: 'signerInfos',
	    optional: true,
	    value: [signerValidator]
	  }]
	};
	
	p7v.recipientInfoValidator = {
	  name: 'RecipientInfo',
	  tagClass: asn1.Class.UNIVERSAL,
	  type: asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [{
	    name: 'RecipientInfo.version',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.INTEGER,
	    constructed: false,
	    capture: 'version'
	  }, {
	    name: 'RecipientInfo.issuerAndSerial',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      name: 'RecipientInfo.issuerAndSerial.issuer',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.SEQUENCE,
	      constructed: true,
	      captureAsn1: 'issuer'
	    }, {
	      name: 'RecipientInfo.issuerAndSerial.serialNumber',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.INTEGER,
	      constructed: false,
	      capture: 'serial'
	    }]
	  }, {
	    name: 'RecipientInfo.keyEncryptionAlgorithm',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [{
	      name: 'RecipientInfo.keyEncryptionAlgorithm.algorithm',
	      tagClass: asn1.Class.UNIVERSAL,
	      type: asn1.Type.OID,
	      constructed: false,
	      capture: 'encAlgorithm'
	    }, {
	      name: 'RecipientInfo.keyEncryptionAlgorithm.parameter',
	      tagClass: asn1.Class.UNIVERSAL,
	      constructed: false,
	      captureAsn1: 'encParameter'
	    }]
	  }, {
	    name: 'RecipientInfo.encryptedKey',
	    tagClass: asn1.Class.UNIVERSAL,
	    type: asn1.Type.OCTETSTRING,
	    constructed: false,
	    capture: 'encKey'
	  }]
	};
	
	})();


/***/ },
/* 62 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Secure Hash Algorithm with a 1024-bit block size implementation.
	 *
	 * This includes: SHA-512, SHA-384, SHA-512/224, and SHA-512/256. For
	 * SHA-256 (block size 512 bits), see sha256.js.
	 *
	 * See FIPS 180-4 for details.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2014 Digital Bazaar, Inc.
	 */
	(function() {
	
	var forge = {
	  sha512 : module.exports || {},
	  util : __webpack_require__(34),
	  md : __webpack_require__(41)
	};
	var sha512 = forge.sha512;
	
	// SHA-512
	forge.md.sha512 = forge.md.algorithms.sha512 = sha512;
	
	// SHA-384
	var sha384 = forge.sha384 = forge.sha512.sha384 = forge.sha512.sha384 || {};
	sha384.create = function() {
	  return sha512.create('SHA-384');
	};
	forge.md.sha384 = forge.md.algorithms.sha384 = sha384;
	
	// SHA-512/256
	forge.sha512.sha256 = forge.sha512.sha256 || {
	  create: function() {
	    return sha512.create('SHA-512/256');
	  }
	};
	forge.md['sha512/256'] = forge.md.algorithms['sha512/256'] =
	  forge.sha512.sha256;
	
	// SHA-512/224
	forge.sha512.sha224 = forge.sha512.sha224 || {
	  create: function() {
	    return sha512.create('SHA-512/224');
	  }
	};
	forge.md['sha512/224'] = forge.md.algorithms['sha512/224'] =
	  forge.sha512.sha224;
	
	/**
	 * Creates a SHA-2 message digest object.
	 *
	 * @param algorithm the algorithm to use (SHA-512, SHA-384, SHA-512/224,
	 *          SHA-512/256).
	 *
	 * @return a message digest object.
	 */
	sha512.create = function(algorithm) {
	  // do initialization as necessary
	  if(!_initialized) {
	    _init();
	  }
	
	  if(typeof algorithm === 'undefined') {
	    algorithm = 'SHA-512';
	  }
	
	  if(!(algorithm in _states)) {
	    throw new Error('Invalid SHA-512 algorithm: ' + algorithm);
	  }
	
	  // SHA-512 state contains eight 64-bit integers (each as two 32-bit ints)
	  var _state = _states[algorithm];
	  var _h = null;
	
	  // input buffer
	  var _input = forge.util.createBuffer();
	
	  // used for 64-bit word storage
	  var _w = new Array(80);
	  for(var wi = 0; wi < 80; ++wi) {
	    _w[wi] = new Array(2);
	  }
	  
	  // message digest object
	  var md = {
	    // SHA-512 => sha512
	    algorithm: algorithm.replace('-', '').toLowerCase(),
	    blockLength: 128,
	    digestLength: _lengths[algorithm],
	    // 56-bit length of message so far (does not including padding)
	    messageLength: 0,
	    // true 128-bit message length as four 32-bit ints
	    messageLength128: [0, 0, 0, 0]
	  };
	
	  /**
	   * Starts the digest.
	   *
	   * @return this digest object.
	   */
	  md.start = function() {
	    md.messageLength = 0;
	    md.messageLength128 = [0, 0, 0, 0];
	    _input = forge.util.createBuffer();
	    _h = new Array(_state.length);
	    for(var i = 0; i < _state.length; ++i) {
	      _h[i] = _state[i].slice(0);
	    }
	    return md;
	  };
	  // start digest automatically for first time
	  md.start();
	
	  /**
	   * Updates the digest with the given message input. The given input can
	   * treated as raw input (no encoding will be applied) or an encoding of
	   * 'utf8' maybe given to encode the input using UTF-8.
	   *
	   * @param msg the message input to update with.
	   * @param encoding the encoding to use (default: 'raw', other: 'utf8').
	   *
	   * @return this digest object.
	   */
	  md.update = function(msg, encoding) {
	    if(encoding === 'utf8') {
	      msg = forge.util.encodeUtf8(msg);
	    }
	
	    // update message length
	    md.messageLength += msg.length;
	    var len = msg.length;
	    len = [(len / 0x100000000) >>> 0, len >>> 0];
	    for(var i = 3; i >= 0; --i) {
	      md.messageLength128[i] += len[1];
	      len[1] = len[0] + ((md.messageLength128[i] / 0x100000000) >>> 0);
	      md.messageLength128[i] = md.messageLength128[i] >>> 0;
	      len[0] = ((len[1] / 0x100000000) >>> 0);
	    }
	
	    // add bytes to input buffer
	    _input.putBytes(msg);
	
	    // process bytes
	    _update(_h, _w, _input);
	
	    // compact input buffer every 2K or if empty
	    if(_input.read > 2048 || _input.length() === 0) {
	      _input.compact();
	    }
	
	    return md;
	  };
	
	  /**
	   * Produces the digest.
	   *
	   * @return a byte buffer containing the digest value.
	   */
	  md.digest = function() {
	    /* Note: Here we copy the remaining bytes in the input buffer and
	    add the appropriate SHA-512 padding. Then we do the final update
	    on a copy of the state so that if the user wants to get
	    intermediate digests they can do so. */
	
	    /* Determine the number of bytes that must be added to the message
	    to ensure its length is congruent to 896 mod 1024. In other words,
	    the data to be digested must be a multiple of 1024 bits (or 128 bytes).
	    This data includes the message, some padding, and the length of the
	    message. Since the length of the message will be encoded as 16 bytes (128
	    bits), that means that the last segment of the data must have 112 bytes
	    (896 bits) of message and padding. Therefore, the length of the message
	    plus the padding must be congruent to 896 mod 1024 because
	    1024 - 128 = 896.
	
	    In order to fill up the message length it must be filled with
	    padding that begins with 1 bit followed by all 0 bits. Padding
	    must *always* be present, so if the message length is already
	    congruent to 896 mod 1024, then 1024 padding bits must be added. */
	
	    // 1024 bits == 128 bytes, 896 bits == 112 bytes, 128 bits = 16 bytes
	    // _padding starts with 1 byte with first bit is set in it which
	    // is byte value 128, then there may be up to 127 other pad bytes
	    var padBytes = forge.util.createBuffer();
	    padBytes.putBytes(_input.bytes());
	    // 128 - (remaining msg + 16 bytes msg length) mod 128
	    padBytes.putBytes(
	      _padding.substr(0, 128 - ((md.messageLength128[3] + 16) & 0x7F)));
	
	    /* Now append length of the message. The length is appended in bits
	    as a 128-bit number in big-endian order. Since we store the length in
	    bytes, we must multiply the 128-bit length by 8 (or left shift by 3). */
	    var bitLength = [];
	    for(var i = 0; i < 3; ++i) {
	      bitLength[i] = ((md.messageLength128[i] << 3) |
	        (md.messageLength128[i - 1] >>> 28));
	    }
	    // shift the last integer normally
	    bitLength[3] = md.messageLength128[3] << 3;
	    padBytes.putInt32(bitLength[0]);
	    padBytes.putInt32(bitLength[1]);
	    padBytes.putInt32(bitLength[2]);
	    padBytes.putInt32(bitLength[3]);
	    var h = new Array(_h.length);
	    for(var i = 0; i < _h.length; ++i) {
	      h[i] = _h[i].slice(0);
	    }
	    _update(h, _w, padBytes);
	    var rval = forge.util.createBuffer();
	    var hlen;
	    if(algorithm === 'SHA-512') {
	      hlen = h.length;
	    } else if(algorithm === 'SHA-384') {
	      hlen = h.length - 2;
	    } else {
	      hlen = h.length - 4;
	    }
	    for(var i = 0; i < hlen; ++i) {
	      rval.putInt32(h[i][0]);
	      if(i !== hlen - 1 || algorithm !== 'SHA-512/224') {
	        rval.putInt32(h[i][1]);
	      }
	    }
	    return rval;
	  };
	
	  return md;
	};
	
	// sha-512 padding bytes not initialized yet
	var _padding = null;
	var _initialized = false;
	
	// table of constants
	var _k = null;
	
	// initial hash states
	var _states = null;
	
	// algorithm lengths
	var _lengths = null;
	
	/**
	 * Initializes the constant tables.
	 */
	function _init() {
	  // create padding
	  _padding = String.fromCharCode(128);
	  _padding += forge.util.fillString(String.fromCharCode(0x00), 128);
	
	  // create K table for SHA-512
	  _k = [
	    [0x428a2f98, 0xd728ae22], [0x71374491, 0x23ef65cd],
	    [0xb5c0fbcf, 0xec4d3b2f], [0xe9b5dba5, 0x8189dbbc],
	    [0x3956c25b, 0xf348b538], [0x59f111f1, 0xb605d019],
	    [0x923f82a4, 0xaf194f9b], [0xab1c5ed5, 0xda6d8118],
	    [0xd807aa98, 0xa3030242], [0x12835b01, 0x45706fbe],
	    [0x243185be, 0x4ee4b28c], [0x550c7dc3, 0xd5ffb4e2],
	    [0x72be5d74, 0xf27b896f], [0x80deb1fe, 0x3b1696b1],
	    [0x9bdc06a7, 0x25c71235], [0xc19bf174, 0xcf692694],
	    [0xe49b69c1, 0x9ef14ad2], [0xefbe4786, 0x384f25e3],
	    [0x0fc19dc6, 0x8b8cd5b5], [0x240ca1cc, 0x77ac9c65],
	    [0x2de92c6f, 0x592b0275], [0x4a7484aa, 0x6ea6e483],
	    [0x5cb0a9dc, 0xbd41fbd4], [0x76f988da, 0x831153b5],
	    [0x983e5152, 0xee66dfab], [0xa831c66d, 0x2db43210],
	    [0xb00327c8, 0x98fb213f], [0xbf597fc7, 0xbeef0ee4],
	    [0xc6e00bf3, 0x3da88fc2], [0xd5a79147, 0x930aa725],
	    [0x06ca6351, 0xe003826f], [0x14292967, 0x0a0e6e70],
	    [0x27b70a85, 0x46d22ffc], [0x2e1b2138, 0x5c26c926],
	    [0x4d2c6dfc, 0x5ac42aed], [0x53380d13, 0x9d95b3df],
	    [0x650a7354, 0x8baf63de], [0x766a0abb, 0x3c77b2a8],
	    [0x81c2c92e, 0x47edaee6], [0x92722c85, 0x1482353b],
	    [0xa2bfe8a1, 0x4cf10364], [0xa81a664b, 0xbc423001],
	    [0xc24b8b70, 0xd0f89791], [0xc76c51a3, 0x0654be30],
	    [0xd192e819, 0xd6ef5218], [0xd6990624, 0x5565a910],
	    [0xf40e3585, 0x5771202a], [0x106aa070, 0x32bbd1b8],
	    [0x19a4c116, 0xb8d2d0c8], [0x1e376c08, 0x5141ab53],
	    [0x2748774c, 0xdf8eeb99], [0x34b0bcb5, 0xe19b48a8],
	    [0x391c0cb3, 0xc5c95a63], [0x4ed8aa4a, 0xe3418acb],
	    [0x5b9cca4f, 0x7763e373], [0x682e6ff3, 0xd6b2b8a3],
	    [0x748f82ee, 0x5defb2fc], [0x78a5636f, 0x43172f60],
	    [0x84c87814, 0xa1f0ab72], [0x8cc70208, 0x1a6439ec],
	    [0x90befffa, 0x23631e28], [0xa4506ceb, 0xde82bde9],
	    [0xbef9a3f7, 0xb2c67915], [0xc67178f2, 0xe372532b],
	    [0xca273ece, 0xea26619c], [0xd186b8c7, 0x21c0c207],
	    [0xeada7dd6, 0xcde0eb1e], [0xf57d4f7f, 0xee6ed178],
	    [0x06f067aa, 0x72176fba], [0x0a637dc5, 0xa2c898a6],
	    [0x113f9804, 0xbef90dae], [0x1b710b35, 0x131c471b],
	    [0x28db77f5, 0x23047d84], [0x32caab7b, 0x40c72493],
	    [0x3c9ebe0a, 0x15c9bebc], [0x431d67c4, 0x9c100d4c],
	    [0x4cc5d4be, 0xcb3e42b6], [0x597f299c, 0xfc657e2a],
	    [0x5fcb6fab, 0x3ad6faec], [0x6c44198c, 0x4a475817]
	  ];
	
	  // hash lengths
	  _lengths = {
	    'SHA-512' : 64,
	    'SHA-384' : 48,
	    'SHA-512/256' : 32,
	    'SHA-512-224' : 28
	  }
	
	  // initial hash states
	  _states = {};
	  _states['SHA-512'] = [
	    [0x6a09e667, 0xf3bcc908],
	    [0xbb67ae85, 0x84caa73b],
	    [0x3c6ef372, 0xfe94f82b],
	    [0xa54ff53a, 0x5f1d36f1],
	    [0x510e527f, 0xade682d1],
	    [0x9b05688c, 0x2b3e6c1f],
	    [0x1f83d9ab, 0xfb41bd6b],
	    [0x5be0cd19, 0x137e2179]
	  ];
	  _states['SHA-384'] = [
	    [0xcbbb9d5d, 0xc1059ed8],
	    [0x629a292a, 0x367cd507],
	    [0x9159015a, 0x3070dd17],
	    [0x152fecd8, 0xf70e5939],
	    [0x67332667, 0xffc00b31],
	    [0x8eb44a87, 0x68581511],
	    [0xdb0c2e0d, 0x64f98fa7],
	    [0x47b5481d, 0xbefa4fa4]
	  ];
	  _states['SHA-512/256'] = [
	    [0x22312194, 0xFC2BF72C],
	    [0x9F555FA3, 0xC84C64C2],
	    [0x2393B86B, 0x6F53B151],
	    [0x96387719, 0x5940EABD],
	    [0x96283EE2, 0xA88EFFE3],
	    [0xBE5E1E25, 0x53863992],
	    [0x2B0199FC, 0x2C85B8AA],
	    [0x0EB72DDC, 0x81C52CA2]
	  ];
	  _states['SHA-512/224'] = [
	    [0x8C3D37C8, 0x19544DA2],
	    [0x73E19966, 0x89DCD4D6],
	    [0x1DFAB7AE, 0x32FF9C82],
	    [0x679DD514, 0x582F9FCF],
	    [0x0F6D2B69, 0x7BD44DA8],
	    [0x77E36F73, 0x04C48942],
	    [0x3F9D85A8, 0x6A1D36C8],
	    [0x1112E6AD, 0x91D692A1]
	  ];
	
	  // now initialized
	  _initialized = true;
	}
	
	/**
	 * Updates a SHA-512 state with the given byte buffer.
	 *
	 * @param s the SHA-512 state to update.
	 * @param w the array to use to store words.
	 * @param bytes the byte buffer to update with.
	 */
	function _update(s, w, bytes) {
	  // consume 512 bit (128 byte) chunks
	  var t1_hi, t1_lo;
	  var t2_hi, t2_lo;
	  var s0_hi, s0_lo;
	  var s1_hi, s1_lo;
	  var ch_hi, ch_lo;
	  var maj_hi, maj_lo;
	  var a_hi, a_lo;
	  var b_hi, b_lo;
	  var c_hi, c_lo;
	  var d_hi, d_lo;
	  var e_hi, e_lo;
	  var f_hi, f_lo;
	  var g_hi, g_lo;
	  var h_hi, h_lo;
	  var i, hi, lo, w2, w7, w15, w16;
	  var len = bytes.length();
	  while(len >= 128) {
	    // the w array will be populated with sixteen 64-bit big-endian words
	    // and then extended into 64 64-bit words according to SHA-512
	    for(i = 0; i < 16; ++i) {
	      w[i][0] = bytes.getInt32() >>> 0;
	      w[i][1] = bytes.getInt32() >>> 0;
	    }
	    for(; i < 80; ++i) {
	      // for word 2 words ago: ROTR 19(x) ^ ROTR 61(x) ^ SHR 6(x)
	      w2 = w[i - 2];
	      hi = w2[0];
	      lo = w2[1];
	
	      // high bits
	      t1_hi = (
	        ((hi >>> 19) | (lo << 13)) ^ // ROTR 19
	        ((lo >>> 29) | (hi << 3)) ^ // ROTR 61/(swap + ROTR 29)
	        (hi >>> 6)) >>> 0; // SHR 6
	      // low bits
	      t1_lo = (
	        ((hi << 13) | (lo >>> 19)) ^ // ROTR 19
	        ((lo << 3) | (hi >>> 29)) ^ // ROTR 61/(swap + ROTR 29)
	        ((hi << 26) | (lo >>> 6))) >>> 0; // SHR 6
	
	      // for word 15 words ago: ROTR 1(x) ^ ROTR 8(x) ^ SHR 7(x)
	      w15 = w[i - 15];
	      hi = w15[0];
	      lo = w15[1];
	
	      // high bits
	      t2_hi = (
	        ((hi >>> 1) | (lo << 31)) ^ // ROTR 1
	        ((hi >>> 8) | (lo << 24)) ^ // ROTR 8
	        (hi >>> 7)) >>> 0; // SHR 7
	      // low bits
	      t2_lo = (
	        ((hi << 31) | (lo >>> 1)) ^ // ROTR 1
	        ((hi << 24) | (lo >>> 8)) ^ // ROTR 8
	        ((hi << 25) | (lo >>> 7))) >>> 0; // SHR 7
	
	      // sum(t1, word 7 ago, t2, word 16 ago) modulo 2^64 (carry lo overflow)
	      w7 = w[i - 7];
	      w16 = w[i - 16];
	      lo = (t1_lo + w7[1] + t2_lo + w16[1]);
	      w[i][0] = (t1_hi + w7[0] + t2_hi + w16[0] +
	        ((lo / 0x100000000) >>> 0)) >>> 0;
	      w[i][1] = lo >>> 0;
	    }
	
	    // initialize hash value for this chunk
	    a_hi = s[0][0];
	    a_lo = s[0][1];
	    b_hi = s[1][0];
	    b_lo = s[1][1];
	    c_hi = s[2][0];
	    c_lo = s[2][1];
	    d_hi = s[3][0];
	    d_lo = s[3][1];
	    e_hi = s[4][0];
	    e_lo = s[4][1];
	    f_hi = s[5][0];
	    f_lo = s[5][1];
	    g_hi = s[6][0];
	    g_lo = s[6][1];
	    h_hi = s[7][0];
	    h_lo = s[7][1];
	
	    // round function
	    for(i = 0; i < 80; ++i) {
	      // Sum1(e) = ROTR 14(e) ^ ROTR 18(e) ^ ROTR 41(e)
	      s1_hi = (
	        ((e_hi >>> 14) | (e_lo << 18)) ^ // ROTR 14
	        ((e_hi >>> 18) | (e_lo << 14)) ^ // ROTR 18
	        ((e_lo >>> 9) | (e_hi << 23))) >>> 0; // ROTR 41/(swap + ROTR 9)
	      s1_lo = (
	        ((e_hi << 18) | (e_lo >>> 14)) ^ // ROTR 14
	        ((e_hi << 14) | (e_lo >>> 18)) ^ // ROTR 18
	        ((e_lo << 23) | (e_hi >>> 9))) >>> 0; // ROTR 41/(swap + ROTR 9)
	
	      // Ch(e, f, g) (optimized the same way as SHA-1)
	      ch_hi = (g_hi ^ (e_hi & (f_hi ^ g_hi))) >>> 0;
	      ch_lo = (g_lo ^ (e_lo & (f_lo ^ g_lo))) >>> 0;
	
	      // Sum0(a) = ROTR 28(a) ^ ROTR 34(a) ^ ROTR 39(a)
	      s0_hi = (
	        ((a_hi >>> 28) | (a_lo << 4)) ^ // ROTR 28
	        ((a_lo >>> 2) | (a_hi << 30)) ^ // ROTR 34/(swap + ROTR 2)
	        ((a_lo >>> 7) | (a_hi << 25))) >>> 0; // ROTR 39/(swap + ROTR 7)
	      s0_lo = (
	        ((a_hi << 4) | (a_lo >>> 28)) ^ // ROTR 28
	        ((a_lo << 30) | (a_hi >>> 2)) ^ // ROTR 34/(swap + ROTR 2)
	        ((a_lo << 25) | (a_hi >>> 7))) >>> 0; // ROTR 39/(swap + ROTR 7)
	
	      // Maj(a, b, c) (optimized the same way as SHA-1)
	      maj_hi = ((a_hi & b_hi) | (c_hi & (a_hi ^ b_hi))) >>> 0;
	      maj_lo = ((a_lo & b_lo) | (c_lo & (a_lo ^ b_lo))) >>> 0;
	
	      // main algorithm
	      // t1 = (h + s1 + ch + _k[i] + _w[i]) modulo 2^64 (carry lo overflow)
	      lo = (h_lo + s1_lo + ch_lo + _k[i][1] + w[i][1]);
	      t1_hi = (h_hi + s1_hi + ch_hi + _k[i][0] + w[i][0] +
	        ((lo / 0x100000000) >>> 0)) >>> 0;
	      t1_lo = lo >>> 0;
	
	      // t2 = s0 + maj modulo 2^64 (carry lo overflow)
	      lo = s0_lo + maj_lo;
	      t2_hi = (s0_hi + maj_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	      t2_lo = lo >>> 0;
	
	      h_hi = g_hi;
	      h_lo = g_lo;
	
	      g_hi = f_hi;
	      g_lo = f_lo;
	
	      f_hi = e_hi;
	      f_lo = e_lo;
	
	      // e = (d + t1) modulo 2^64 (carry lo overflow)
	      lo = d_lo + t1_lo;
	      e_hi = (d_hi + t1_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	      e_lo = lo >>> 0;
	
	      d_hi = c_hi;
	      d_lo = c_lo;
	
	      c_hi = b_hi;
	      c_lo = b_lo;
	
	      b_hi = a_hi;
	      b_lo = a_lo;
	
	      // a = (t1 + t2) modulo 2^64 (carry lo overflow)
	      lo = t1_lo + t2_lo;
	      a_hi = (t1_hi + t2_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	      a_lo = lo >>> 0;
	    }
	
	    // update hash state (additional modulo 2^64)
	    lo = s[0][1] + a_lo;
	    s[0][0] = (s[0][0] + a_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[0][1] = lo >>> 0;
	
	    lo = s[1][1] + b_lo;
	    s[1][0] = (s[1][0] + b_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[1][1] = lo >>> 0;
	
	    lo = s[2][1] + c_lo;
	    s[2][0] = (s[2][0] + c_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[2][1] = lo >>> 0;
	
	    lo = s[3][1] + d_lo;
	    s[3][0] = (s[3][0] + d_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[3][1] = lo >>> 0;
	
	    lo = s[4][1] + e_lo;
	    s[4][0] = (s[4][0] + e_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[4][1] = lo >>> 0;
	
	    lo = s[5][1] + f_lo;
	    s[5][0] = (s[5][0] + f_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[5][1] = lo >>> 0;
	
	    lo = s[6][1] + g_lo;
	    s[6][0] = (s[6][0] + g_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[6][1] = lo >>> 0;
	
	    lo = s[7][1] + h_lo;
	    s[7][0] = (s[7][0] + h_hi + ((lo / 0x100000000) >>> 0)) >>> 0;
	    s[7][1] = lo >>> 0;
	
	    len -= 128;
	  }
	}
	
	})();


/***/ },
/* 63 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * A Javascript implementation of AES Cipher Suites for TLS.
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2009-2014 Digital Bazaar, Inc.
	 *
	 */
	(function() {
	
	var forge = {
	  tls : __webpack_require__(64),
	  cipher : __webpack_require__(33),
	  util : __webpack_require__(34)
	};
	
	// setup AES
	__webpack_require__(32);
	
	var tls = forge.tls;
	
	/**
	 * Supported cipher suites.
	 */
	tls.CipherSuites['TLS_RSA_WITH_AES_128_CBC_SHA'] = {
	  id: [0x00,0x2f],
	  name: 'TLS_RSA_WITH_AES_128_CBC_SHA',
	  initSecurityParameters: function(sp) {
	    sp.bulk_cipher_algorithm = tls.BulkCipherAlgorithm.aes;
	    sp.cipher_type = tls.CipherType.block;
	    sp.enc_key_length = 16;
	    sp.block_length = 16;
	    sp.fixed_iv_length = 16;
	    sp.record_iv_length = 16;
	    sp.mac_algorithm = tls.MACAlgorithm.hmac_sha1;
	    sp.mac_length = 20;
	    sp.mac_key_length = 20;
	  },
	  initConnectionState: initConnectionState
	};
	tls.CipherSuites['TLS_RSA_WITH_AES_256_CBC_SHA'] = {
	  id: [0x00,0x35],
	  name: 'TLS_RSA_WITH_AES_256_CBC_SHA',
	  initSecurityParameters: function(sp) {
	    sp.bulk_cipher_algorithm = tls.BulkCipherAlgorithm.aes;
	    sp.cipher_type = tls.CipherType.block;
	    sp.enc_key_length = 32;
	    sp.block_length = 16;
	    sp.fixed_iv_length = 16;
	    sp.record_iv_length = 16;
	    sp.mac_algorithm = tls.MACAlgorithm.hmac_sha1;
	    sp.mac_length = 20;
	    sp.mac_key_length = 20;
	  },
	  initConnectionState: initConnectionState
	};
	
	function initConnectionState(state, c, sp) {
	  var client = (c.entity === forge.tls.ConnectionEnd.client);
	
	  // cipher setup
	  state.read.cipherState = {
	    init: false,
	    cipher: forge.cipher.createDecipher('AES-CBC', client ?
	      sp.keys.server_write_key : sp.keys.client_write_key),
	    iv: client ? sp.keys.server_write_IV : sp.keys.client_write_IV
	  };
	  state.write.cipherState = {
	    init: false,
	    cipher: forge.cipher.createCipher('AES-CBC', client ?
	      sp.keys.client_write_key : sp.keys.server_write_key),
	    iv: client ? sp.keys.client_write_IV : sp.keys.server_write_IV
	  };
	  state.read.cipherFunction = decrypt_aes_cbc_sha1;
	  state.write.cipherFunction = encrypt_aes_cbc_sha1;
	
	  // MAC setup
	  state.read.macLength = state.write.macLength = sp.mac_length;
	  state.read.macFunction = state.write.macFunction = tls.hmac_sha1;
	}
	
	/**
	 * Encrypts the TLSCompressed record into a TLSCipherText record using AES
	 * in CBC mode.
	 *
	 * @param record the TLSCompressed record to encrypt.
	 * @param s the ConnectionState to use.
	 *
	 * @return true on success, false on failure.
	 */
	function encrypt_aes_cbc_sha1(record, s) {
	  var rval = false;
	
	  // append MAC to fragment, update sequence number
	  var mac = s.macFunction(s.macKey, s.sequenceNumber, record);
	  record.fragment.putBytes(mac);
	  s.updateSequenceNumber();
	
	  // TLS 1.1+ use an explicit IV every time to protect against CBC attacks
	  var iv;
	  if(record.version.minor === tls.Versions.TLS_1_0.minor) {
	    // use the pre-generated IV when initializing for TLS 1.0, otherwise use
	    // the residue from the previous encryption
	    iv = s.cipherState.init ? null : s.cipherState.iv;
	  } else {
	    iv = forge.random.getBytesSync(16);
	  }
	
	  s.cipherState.init = true;
	
	  // start cipher
	  var cipher = s.cipherState.cipher;
	  cipher.start({iv: iv});
	
	  // TLS 1.1+ write IV into output
	  if(record.version.minor >= tls.Versions.TLS_1_1.minor) {
	    cipher.output.putBytes(iv);
	  }
	
	  // do encryption (default padding is appropriate)
	  cipher.update(record.fragment);
	  if(cipher.finish(encrypt_aes_cbc_sha1_padding)) {
	    // set record fragment to encrypted output
	    record.fragment = cipher.output;
	    record.length = record.fragment.length();
	    rval = true;
	  }
	
	  return rval;
	}
	
	/**
	 * Handles padding for aes_cbc_sha1 in encrypt mode.
	 *
	 * @param blockSize the block size.
	 * @param input the input buffer.
	 * @param decrypt true in decrypt mode, false in encrypt mode.
	 *
	 * @return true on success, false on failure.
	 */
	function encrypt_aes_cbc_sha1_padding(blockSize, input, decrypt) {
	  /* The encrypted data length (TLSCiphertext.length) is one more than the sum
	   of SecurityParameters.block_length, TLSCompressed.length,
	   SecurityParameters.mac_length, and padding_length.
	
	   The padding may be any length up to 255 bytes long, as long as it results in
	   the TLSCiphertext.length being an integral multiple of the block length.
	   Lengths longer than necessary might be desirable to frustrate attacks on a
	   protocol based on analysis of the lengths of exchanged messages. Each uint8
	   in the padding data vector must be filled with the padding length value.
	
	   The padding length should be such that the total size of the
	   GenericBlockCipher structure is a multiple of the cipher's block length.
	   Legal values range from zero to 255, inclusive. This length specifies the
	   length of the padding field exclusive of the padding_length field itself.
	
	   This is slightly different from PKCS#7 because the padding value is 1
	   less than the actual number of padding bytes if you include the
	   padding_length uint8 itself as a padding byte. */
	  if(!decrypt) {
	    // get the number of padding bytes required to reach the blockSize and
	    // subtract 1 for the padding value (to make room for the padding_length
	    // uint8)
	    var padding = blockSize - (input.length() % blockSize);
	    input.fillWithByte(padding - 1, padding);
	  }
	  return true;
	}
	
	/**
	 * Handles padding for aes_cbc_sha1 in decrypt mode.
	 *
	 * @param blockSize the block size.
	 * @param output the output buffer.
	 * @param decrypt true in decrypt mode, false in encrypt mode.
	 *
	 * @return true on success, false on failure.
	 */
	function decrypt_aes_cbc_sha1_padding(blockSize, output, decrypt) {
	  var rval = true;
	  if(decrypt) {
	    /* The last byte in the output specifies the number of padding bytes not
	      including itself. Each of the padding bytes has the same value as that
	      last byte (known as the padding_length). Here we check all padding
	      bytes to ensure they have the value of padding_length even if one of
	      them is bad in order to ward-off timing attacks. */
	    var len = output.length();
	    var paddingLength = output.last();
	    for(var i = len - 1 - paddingLength; i < len - 1; ++i) {
	      rval = rval && (output.at(i) == paddingLength);
	    }
	    if(rval) {
	      // trim off padding bytes and last padding length byte
	      output.truncate(paddingLength + 1);
	    }
	  }
	  return rval;
	}
	
	/**
	 * Decrypts a TLSCipherText record into a TLSCompressed record using
	 * AES in CBC mode.
	 *
	 * @param record the TLSCipherText record to decrypt.
	 * @param s the ConnectionState to use.
	 *
	 * @return true on success, false on failure.
	 */
	var count = 0;
	function decrypt_aes_cbc_sha1(record, s) {
	  var rval = false;
	  ++count;
	
	  var iv;
	  if(record.version.minor === tls.Versions.TLS_1_0.minor) {
	    // use pre-generated IV when initializing for TLS 1.0, otherwise use the
	    // residue from the previous decryption
	    iv = s.cipherState.init ? null : s.cipherState.iv;
	  } else {
	    // TLS 1.1+ use an explicit IV every time to protect against CBC attacks
	    // that is appended to the record fragment
	    iv = record.fragment.getBytes(16);
	  }
	
	  s.cipherState.init = true;
	
	  // start cipher
	  var cipher = s.cipherState.cipher;
	  cipher.start({iv: iv});
	
	  // do decryption
	  cipher.update(record.fragment);
	  rval = cipher.finish(decrypt_aes_cbc_sha1_padding);
	
	  // even if decryption fails, keep going to minimize timing attacks
	
	  // decrypted data:
	  // first (len - 20) bytes = application data
	  // last 20 bytes          = MAC
	  var macLen = s.macLength;
	
	  // create a zero'd out mac
	  var mac = '';
	  for(var i = 0; i < macLen; ++i) {
	    mac += String.fromCharCode(0);
	  }
	
	  // get fragment and mac
	  var len = cipher.output.length();
	  if(len >= macLen) {
	    record.fragment = cipher.output.getBytes(len - macLen);
	    mac = cipher.output.getBytes(macLen);
	  } else {
	    // bad data, but get bytes anyway to try to keep timing consistent
	    record.fragment = cipher.output.getBytes();
	  }
	  record.fragment = forge.util.createBuffer(record.fragment);
	  record.length = record.fragment.length();
	
	  // see if data integrity checks out, update sequence number
	  var mac2 = s.macFunction(s.macKey, s.sequenceNumber, record);
	  s.updateSequenceNumber();
	  rval = (mac2 === mac) && rval;
	  return rval;
	}
	
	})();


/***/ },
/* 64 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * A Javascript implementation of Transport Layer Security (TLS).
	 *
	 * @author Dave Longley
	 *
	 * Copyright (c) 2009-2014 Digital Bazaar, Inc.
	 *
	 * The TLS Handshake Protocol involves the following steps:
	 *
	 * - Exchange hello messages to agree on algorithms, exchange random values,
	 * and check for session resumption.
	 *
	 * - Exchange the necessary cryptographic parameters to allow the client and
	 * server to agree on a premaster secret.
	 *
	 * - Exchange certificates and cryptographic information to allow the client
	 * and server to authenticate themselves.
	 *
	 * - Generate a master secret from the premaster secret and exchanged random
	 * values.
	 *
	 * - Provide security parameters to the record layer.
	 *
	 * - Allow the client and server to verify that their peer has calculated the
	 * same security parameters and that the handshake occurred without tampering
	 * by an attacker.
	 *
	 * Up to 4 different messages may be sent during a key exchange. The server
	 * certificate, the server key exchange, the client certificate, and the
	 * client key exchange.
	 *
	 * A typical handshake (from the client's perspective).
	 *
	 * 1. Client sends ClientHello.
	 * 2. Client receives ServerHello.
	 * 3. Client receives optional Certificate.
	 * 4. Client receives optional ServerKeyExchange.
	 * 5. Client receives ServerHelloDone.
	 * 6. Client sends optional Certificate.
	 * 7. Client sends ClientKeyExchange.
	 * 8. Client sends optional CertificateVerify.
	 * 9. Client sends ChangeCipherSpec.
	 * 10. Client sends Finished.
	 * 11. Client receives ChangeCipherSpec.
	 * 12. Client receives Finished.
	 * 13. Client sends/receives application data.
	 *
	 * To reuse an existing session:
	 *
	 * 1. Client sends ClientHello with session ID for reuse.
	 * 2. Client receives ServerHello with same session ID if reusing.
	 * 3. Client receives ChangeCipherSpec message if reusing.
	 * 4. Client receives Finished.
	 * 5. Client sends ChangeCipherSpec.
	 * 6. Client sends Finished.
	 *
	 * Note: Client ignores HelloRequest if in the middle of a handshake.
	 *
	 * Record Layer:
	 *
	 * The record layer fragments information blocks into TLSPlaintext records
	 * carrying data in chunks of 2^14 bytes or less. Client message boundaries are
	 * not preserved in the record layer (i.e., multiple client messages of the
	 * same ContentType MAY be coalesced into a single TLSPlaintext record, or a
	 * single message MAY be fragmented across several records).
	 *
	 * struct {
	 *   uint8 major;
	 *   uint8 minor;
	 * } ProtocolVersion;
	 *
	 * struct {
	 *   ContentType type;
	 *   ProtocolVersion version;
	 *   uint16 length;
	 *   opaque fragment[TLSPlaintext.length];
	 * } TLSPlaintext;
	 *
	 * type:
	 *   The higher-level protocol used to process the enclosed fragment.
	 *
	 * version:
	 *   The version of the protocol being employed. TLS Version 1.2 uses version
	 *   {3, 3}. TLS Version 1.0 uses version {3, 1}. Note that a client that
	 *   supports multiple versions of TLS may not know what version will be
	 *   employed before it receives the ServerHello.
	 *
	 * length:
	 *   The length (in bytes) of the following TLSPlaintext.fragment. The length
	 *   MUST NOT exceed 2^14 = 16384 bytes.
	 *
	 * fragment:
	 *   The application data. This data is transparent and treated as an
	 *   independent block to be dealt with by the higher-level protocol specified
	 *   by the type field.
	 *
	 * Implementations MUST NOT send zero-length fragments of Handshake, Alert, or
	 * ChangeCipherSpec content types. Zero-length fragments of Application data
	 * MAY be sent as they are potentially useful as a traffic analysis
	 * countermeasure.
	 *
	 * Note: Data of different TLS record layer content types MAY be interleaved.
	 * Application data is generally of lower precedence for transmission than
	 * other content types. However, records MUST be delivered to the network in
	 * the same order as they are protected by the record layer. Recipients MUST
	 * receive and process interleaved application layer traffic during handshakes
	 * subsequent to the first one on a connection.
	 *
	 * struct {
	 *   ContentType type;       // same as TLSPlaintext.type
	 *   ProtocolVersion version;// same as TLSPlaintext.version
	 *   uint16 length;
	 *   opaque fragment[TLSCompressed.length];
	 * } TLSCompressed;
	 *
	 * length:
	 *   The length (in bytes) of the following TLSCompressed.fragment.
	 *   The length MUST NOT exceed 2^14 + 1024.
	 *
	 * fragment:
	 *   The compressed form of TLSPlaintext.fragment.
	 *
	 * Note: A CompressionMethod.null operation is an identity operation; no fields
	 * are altered. In this implementation, since no compression is supported,
	 * uncompressed records are always the same as compressed records.
	 *
	 * Encryption Information:
	 *
	 * The encryption and MAC functions translate a TLSCompressed structure into a
	 * TLSCiphertext. The decryption functions reverse the process. The MAC of the
	 * record also includes a sequence number so that missing, extra, or repeated
	 * messages are detectable.
	 *
	 * struct {
	 *   ContentType type;
	 *   ProtocolVersion version;
	 *   uint16 length;
	 *   select (SecurityParameters.cipher_type) {
	 *     case stream: GenericStreamCipher;
	 *     case block:  GenericBlockCipher;
	 *     case aead:   GenericAEADCipher;
	 *   } fragment;
	 * } TLSCiphertext;
	 *
	 * type:
	 *   The type field is identical to TLSCompressed.type.
	 *
	 * version:
	 *   The version field is identical to TLSCompressed.version.
	 *
	 * length:
	 *   The length (in bytes) of the following TLSCiphertext.fragment.
	 *   The length MUST NOT exceed 2^14 + 2048.
	 *
	 * fragment:
	 *   The encrypted form of TLSCompressed.fragment, with the MAC.
	 *
	 * Note: Only CBC Block Ciphers are supported by this implementation.
	 *
	 * The TLSCompressed.fragment structures are converted to/from block
	 * TLSCiphertext.fragment structures.
	 *
	 * struct {
	 *   opaque IV[SecurityParameters.record_iv_length];
	 *   block-ciphered struct {
	 *     opaque content[TLSCompressed.length];
	 *     opaque MAC[SecurityParameters.mac_length];
	 *     uint8 padding[GenericBlockCipher.padding_length];
	 *     uint8 padding_length;
	 *   };
	 * } GenericBlockCipher;
	 *
	 * The MAC is generated as described in Section 6.2.3.1.
	 *
	 * IV:
	 *   The Initialization Vector (IV) SHOULD be chosen at random, and MUST be
	 *   unpredictable. Note that in versions of TLS prior to 1.1, there was no
	 *   IV field, and the last ciphertext block of the previous record (the "CBC
	 *   residue") was used as the IV. This was changed to prevent the attacks
	 *   described in [CBCATT]. For block ciphers, the IV length is of length
	 *   SecurityParameters.record_iv_length, which is equal to the
	 *   SecurityParameters.block_size.
	 *
	 * padding:
	 *   Padding that is added to force the length of the plaintext to be an
	 *   integral multiple of the block cipher's block length. The padding MAY be
	 *   any length up to 255 bytes, as long as it results in the
	 *   TLSCiphertext.length being an integral multiple of the block length.
	 *   Lengths longer than necessary might be desirable to frustrate attacks on
	 *   a protocol that are based on analysis of the lengths of exchanged
	 *   messages. Each uint8 in the padding data vector MUST be filled with the
	 *   padding length value. The receiver MUST check this padding and MUST use
	 *   the bad_record_mac alert to indicate padding errors.
	 *
	 * padding_length:
	 *   The padding length MUST be such that the total size of the
	 *   GenericBlockCipher structure is a multiple of the cipher's block length.
	 *   Legal values range from zero to 255, inclusive. This length specifies the
	 *   length of the padding field exclusive of the padding_length field itself.
	 *
	 * The encrypted data length (TLSCiphertext.length) is one more than the sum of
	 * SecurityParameters.block_length, TLSCompressed.length,
	 * SecurityParameters.mac_length, and padding_length.
	 *
	 * Example: If the block length is 8 bytes, the content length
	 * (TLSCompressed.length) is 61 bytes, and the MAC length is 20 bytes, then the
	 * length before padding is 82 bytes (this does not include the IV. Thus, the
	 * padding length modulo 8 must be equal to 6 in order to make the total length
	 * an even multiple of 8 bytes (the block length). The padding length can be
	 * 6, 14, 22, and so on, through 254. If the padding length were the minimum
	 * necessary, 6, the padding would be 6 bytes, each containing the value 6.
	 * Thus, the last 8 octets of the GenericBlockCipher before block encryption
	 * would be xx 06 06 06 06 06 06 06, where xx is the last octet of the MAC.
	 *
	 * Note: With block ciphers in CBC mode (Cipher Block Chaining), it is critical
	 * that the entire plaintext of the record be known before any ciphertext is
	 * transmitted. Otherwise, it is possible for the attacker to mount the attack
	 * described in [CBCATT].
	 *
	 * Implementation note: Canvel et al. [CBCTIME] have demonstrated a timing
	 * attack on CBC padding based on the time required to compute the MAC. In
	 * order to defend against this attack, implementations MUST ensure that
	 * record processing time is essentially the same whether or not the padding
	 * is correct. In general, the best way to do this is to compute the MAC even
	 * if the padding is incorrect, and only then reject the packet. For instance,
	 * if the pad appears to be incorrect, the implementation might assume a
	 * zero-length pad and then compute the MAC. This leaves a small timing
	 * channel, since MAC performance depends, to some extent, on the size of the
	 * data fragment, but it is not believed to be large enough to be exploitable,
	 * due to the large block size of existing MACs and the small size of the
	 * timing signal.
	 */
	(function() {
	
	/**
	 * Generates pseudo random bytes by mixing the result of two hash functions,
	 * MD5 and SHA-1.
	 *
	 * prf_TLS1(secret, label, seed) =
	 *   P_MD5(S1, label + seed) XOR P_SHA-1(S2, label + seed);
	 *
	 * Each P_hash function functions as follows:
	 *
	 * P_hash(secret, seed) = HMAC_hash(secret, A(1) + seed) +
	 *                        HMAC_hash(secret, A(2) + seed) +
	 *                        HMAC_hash(secret, A(3) + seed) + ...
	 * A() is defined as:
	 *   A(0) = seed
	 *   A(i) = HMAC_hash(secret, A(i-1))
	 *
	 * The '+' operator denotes concatenation.
	 *
	 * As many iterations A(N) as are needed are performed to generate enough
	 * pseudo random byte output. If an iteration creates more data than is
	 * necessary, then it is truncated.
	 *
	 * Therefore:
	 * A(1) = HMAC_hash(secret, A(0))
	 *      = HMAC_hash(secret, seed)
	 * A(2) = HMAC_hash(secret, A(1))
	 *      = HMAC_hash(secret, HMAC_hash(secret, seed))
	 *
	 * Therefore:
	 * P_hash(secret, seed) =
	 *   HMAC_hash(secret, HMAC_hash(secret, A(0)) + seed) +
	 *   HMAC_hash(secret, HMAC_hash(secret, A(1)) + seed) +
	 *   ...
	 *
	 * Therefore:
	 * P_hash(secret, seed) =
	 *   HMAC_hash(secret, HMAC_hash(secret, seed) + seed) +
	 *   HMAC_hash(secret, HMAC_hash(secret, HMAC_hash(secret, seed)) + seed) +
	 *   ...
	 *
	 * @param secret the secret to use.
	 * @param label the label to use.
	 * @param seed the seed value to use.
	 * @param length the number of bytes to generate.
	 *
	 * @return the pseudo random bytes in a byte buffer.
	 */
	var prf_TLS1 = function(secret, label, seed, length) {
	  var rval = forge.util.createBuffer();
	
	  /* For TLS 1.0, the secret is split in half, into two secrets of equal
	    length. If the secret has an odd length then the last byte of the first
	    half will be the same as the first byte of the second. The length of the
	    two secrets is half of the secret rounded up. */
	  var idx = (secret.length >> 1);
	  var slen = idx + (secret.length & 1);
	  var s1 = secret.substr(0, slen);
	  var s2 = secret.substr(idx, slen);
	  var ai = forge.util.createBuffer();
	  var hmac = forge.hmac.create();
	  seed = label + seed;
	
	  // determine the number of iterations that must be performed to generate
	  // enough output bytes, md5 creates 16 byte hashes, sha1 creates 20
	  var md5itr = Math.ceil(length / 16);
	  var sha1itr = Math.ceil(length / 20);
	
	  // do md5 iterations
	  hmac.start('MD5', s1);
	  var md5bytes = forge.util.createBuffer();
	  ai.putBytes(seed);
	  for(var i = 0; i < md5itr; ++i) {
	    // HMAC_hash(secret, A(i-1))
	    hmac.start(null, null);
	    hmac.update(ai.getBytes());
	    ai.putBuffer(hmac.digest());
	
	    // HMAC_hash(secret, A(i) + seed)
	    hmac.start(null, null);
	    hmac.update(ai.bytes() + seed);
	    md5bytes.putBuffer(hmac.digest());
	  }
	
	  // do sha1 iterations
	  hmac.start('SHA1', s2);
	  var sha1bytes = forge.util.createBuffer();
	  ai.clear();
	  ai.putBytes(seed);
	  for(var i = 0; i < sha1itr; ++i) {
	    // HMAC_hash(secret, A(i-1))
	    hmac.start(null, null);
	    hmac.update(ai.getBytes());
	    ai.putBuffer(hmac.digest());
	
	    // HMAC_hash(secret, A(i) + seed)
	    hmac.start(null, null);
	    hmac.update(ai.bytes() + seed);
	    sha1bytes.putBuffer(hmac.digest());
	  }
	
	  // XOR the md5 bytes with the sha1 bytes
	  rval.putBytes(forge.util.xorBytes(
	    md5bytes.getBytes(), sha1bytes.getBytes(), length));
	
	  return rval;
	};
	
	/**
	 * Generates pseudo random bytes using a SHA256 algorithm. For TLS 1.2.
	 *
	 * @param secret the secret to use.
	 * @param label the label to use.
	 * @param seed the seed value to use.
	 * @param length the number of bytes to generate.
	 *
	 * @return the pseudo random bytes in a byte buffer.
	 */
	var prf_sha256 = function(secret, label, seed, length) {
	   // FIXME: implement me for TLS 1.2
	};
	
	/**
	 * Gets a MAC for a record using the SHA-1 hash algorithm.
	 *
	 * @param key the mac key.
	 * @param state the sequence number (array of two 32-bit integers).
	 * @param record the record.
	 *
	 * @return the sha-1 hash (20 bytes) for the given record.
	 */
	var hmac_sha1 = function(key, seqNum, record) {
	  /* MAC is computed like so:
	  HMAC_hash(
	    key, seqNum +
	      TLSCompressed.type +
	      TLSCompressed.version +
	      TLSCompressed.length +
	      TLSCompressed.fragment)
	  */
	  var hmac = forge.hmac.create();
	  hmac.start('SHA1', key);
	  var b = forge.util.createBuffer();
	  b.putInt32(seqNum[0]);
	  b.putInt32(seqNum[1]);
	  b.putByte(record.type);
	  b.putByte(record.version.major);
	  b.putByte(record.version.minor);
	  b.putInt16(record.length);
	  b.putBytes(record.fragment.bytes());
	  hmac.update(b.getBytes());
	  return hmac.digest().getBytes();
	};
	
	/**
	 * Compresses the TLSPlaintext record into a TLSCompressed record using the
	 * deflate algorithm.
	 *
	 * @param c the TLS connection.
	 * @param record the TLSPlaintext record to compress.
	 * @param s the ConnectionState to use.
	 *
	 * @return true on success, false on failure.
	 */
	var deflate = function(c, record, s) {
	  var rval = false;
	
	  try {
	    var bytes = c.deflate(record.fragment.getBytes());
	    record.fragment = forge.util.createBuffer(bytes);
	    record.length = bytes.length;
	    rval = true;
	  } catch(ex) {
	    // deflate error, fail out
	  }
	
	  return rval;
	};
	
	/**
	 * Decompresses the TLSCompressed record into a TLSPlaintext record using the
	 * deflate algorithm.
	 *
	 * @param c the TLS connection.
	 * @param record the TLSCompressed record to decompress.
	 * @param s the ConnectionState to use.
	 *
	 * @return true on success, false on failure.
	 */
	var inflate = function(c, record, s) {
	  var rval = false;
	
	  try {
	    var bytes = c.inflate(record.fragment.getBytes());
	    record.fragment = forge.util.createBuffer(bytes);
	    record.length = bytes.length;
	    rval = true;
	  } catch(ex) {
	    // inflate error, fail out
	  }
	
	  return rval;
	};
	
	/**
	 * Reads a TLS variable-length vector from a byte buffer.
	 *
	 * Variable-length vectors are defined by specifying a subrange of legal
	 * lengths, inclusively, using the notation <floor..ceiling>. When these are
	 * encoded, the actual length precedes the vector's contents in the byte
	 * stream. The length will be in the form of a number consuming as many bytes
	 * as required to hold the vector's specified maximum (ceiling) length. A
	 * variable-length vector with an actual length field of zero is referred to
	 * as an empty vector.
	 *
	 * @param b the byte buffer.
	 * @param lenBytes the number of bytes required to store the length.
	 *
	 * @return the resulting byte buffer.
	 */
	var readVector = function(b, lenBytes) {
	  var len = 0;
	  switch(lenBytes) {
	  case 1:
	    len = b.getByte();
	    break;
	  case 2:
	    len = b.getInt16();
	    break;
	  case 3:
	    len = b.getInt24();
	    break;
	  case 4:
	    len = b.getInt32();
	    break;
	  }
	
	  // read vector bytes into a new buffer
	  return forge.util.createBuffer(b.getBytes(len));
	};
	
	/**
	 * Writes a TLS variable-length vector to a byte buffer.
	 *
	 * @param b the byte buffer.
	 * @param lenBytes the number of bytes required to store the length.
	 * @param v the byte buffer vector.
	 */
	var writeVector = function(b, lenBytes, v) {
	  // encode length at the start of the vector, where the number of bytes for
	  // the length is the maximum number of bytes it would take to encode the
	  // vector's ceiling
	  b.putInt(v.length(), lenBytes << 3);
	  b.putBuffer(v);
	};
	
	/**
	 * The tls implementation.
	 */
	var tls = {};
	
	/**
	 * Version: TLS 1.2 = 3.3, TLS 1.1 = 3.2, TLS 1.0 = 3.1. Both TLS 1.1 and
	 * TLS 1.2 were still too new (ie: openSSL didn't implement them) at the time
	 * of this implementation so TLS 1.0 was implemented instead.
	 */
	tls.Versions = {
	  TLS_1_0: {major: 3, minor: 1},
	  TLS_1_1: {major: 3, minor: 2},
	  TLS_1_2: {major: 3, minor: 3}
	};
	tls.SupportedVersions = [
	  tls.Versions.TLS_1_1,
	  tls.Versions.TLS_1_0
	];
	tls.Version = tls.SupportedVersions[0];
	
	/**
	 * Maximum fragment size. True maximum is 16384, but we fragment before that
	 * to allow for unusual small increases during compression.
	 */
	tls.MaxFragment = 16384 - 1024;
	
	/**
	 * Whether this entity is considered the "client" or "server".
	 * enum { server, client } ConnectionEnd;
	 */
	tls.ConnectionEnd = {
	  server: 0,
	  client: 1
	};
	
	/**
	 * Pseudo-random function algorithm used to generate keys from the master
	 * secret.
	 * enum { tls_prf_sha256 } PRFAlgorithm;
	 */
	tls.PRFAlgorithm = {
	  tls_prf_sha256: 0
	};
	
	/**
	 * Bulk encryption algorithms.
	 * enum { null, rc4, des3, aes } BulkCipherAlgorithm;
	 */
	tls.BulkCipherAlgorithm = {
	  none: null,
	  rc4: 0,
	  des3: 1,
	  aes: 2
	};
	
	/**
	 * Cipher types.
	 * enum { stream, block, aead } CipherType;
	 */
	tls.CipherType = {
	  stream: 0,
	  block: 1,
	  aead: 2
	};
	
	/**
	 * MAC (Message Authentication Code) algorithms.
	 * enum { null, hmac_md5, hmac_sha1, hmac_sha256,
	 *   hmac_sha384, hmac_sha512} MACAlgorithm;
	 */
	tls.MACAlgorithm = {
	  none: null,
	  hmac_md5: 0,
	  hmac_sha1: 1,
	  hmac_sha256: 2,
	  hmac_sha384: 3,
	  hmac_sha512: 4
	};
	
	/**
	 * Compression algorithms.
	 * enum { null(0), deflate(1), (255) } CompressionMethod;
	 */
	tls.CompressionMethod = {
	  none: 0,
	  deflate: 1
	};
	
	/**
	 * TLS record content types.
	 * enum {
	 *   change_cipher_spec(20), alert(21), handshake(22),
	 *   application_data(23), (255)
	 * } ContentType;
	 */
	tls.ContentType = {
	  change_cipher_spec: 20,
	  alert: 21,
	  handshake: 22,
	  application_data: 23,
	  heartbeat: 24
	};
	
	/**
	 * TLS handshake types.
	 * enum {
	 *   hello_request(0), client_hello(1), server_hello(2),
	 *   certificate(11), server_key_exchange (12),
	 *   certificate_request(13), server_hello_done(14),
	 *   certificate_verify(15), client_key_exchange(16),
	 *   finished(20), (255)
	 * } HandshakeType;
	 */
	tls.HandshakeType = {
	  hello_request: 0,
	  client_hello: 1,
	  server_hello: 2,
	  certificate: 11,
	  server_key_exchange: 12,
	  certificate_request: 13,
	  server_hello_done: 14,
	  certificate_verify: 15,
	  client_key_exchange: 16,
	  finished: 20
	};
	
	/**
	 * TLS Alert Protocol.
	 *
	 * enum { warning(1), fatal(2), (255) } AlertLevel;
	 *
	 * enum {
	 *   close_notify(0),
	 *   unexpected_message(10),
	 *   bad_record_mac(20),
	 *   decryption_failed(21),
	 *   record_overflow(22),
	 *   decompression_failure(30),
	 *   handshake_failure(40),
	 *   bad_certificate(42),
	 *   unsupported_certificate(43),
	 *   certificate_revoked(44),
	 *   certificate_expired(45),
	 *   certificate_unknown(46),
	 *   illegal_parameter(47),
	 *   unknown_ca(48),
	 *   access_denied(49),
	 *   decode_error(50),
	 *   decrypt_error(51),
	 *   export_restriction(60),
	 *   protocol_version(70),
	 *   insufficient_security(71),
	 *   internal_error(80),
	 *   user_canceled(90),
	 *   no_renegotiation(100),
	 *   (255)
	 * } AlertDescription;
	 *
	 * struct {
	 *   AlertLevel level;
	 *   AlertDescription description;
	 * } Alert;
	 */
	tls.Alert = {};
	tls.Alert.Level = {
	  warning: 1,
	  fatal: 2
	};
	tls.Alert.Description = {
	  close_notify: 0,
	  unexpected_message: 10,
	  bad_record_mac: 20,
	  decryption_failed: 21,
	  record_overflow: 22,
	  decompression_failure: 30,
	  handshake_failure: 40,
	  bad_certificate: 42,
	  unsupported_certificate: 43,
	  certificate_revoked: 44,
	  certificate_expired: 45,
	  certificate_unknown: 46,
	  illegal_parameter: 47,
	  unknown_ca: 48,
	  access_denied: 49,
	  decode_error: 50,
	  decrypt_error: 51,
	  export_restriction: 60,
	  protocol_version: 70,
	  insufficient_security: 71,
	  internal_error: 80,
	  user_canceled: 90,
	  no_renegotiation: 100
	};
	
	/**
	 * TLS Heartbeat Message types.
	 * enum {
	 *   heartbeat_request(1),
	 *   heartbeat_response(2),
	 *   (255)
	 * } HeartbeatMessageType;
	 */
	tls.HeartbeatMessageType = {
	  heartbeat_request: 1,
	  heartbeat_response: 2
	};
	
	/**
	 * Supported cipher suites.
	 */
	tls.CipherSuites = {};
	
	/**
	 * Gets a supported cipher suite from its 2 byte ID.
	 *
	 * @param twoBytes two bytes in a string.
	 *
	 * @return the matching supported cipher suite or null.
	 */
	tls.getCipherSuite = function(twoBytes) {
	  var rval = null;
	  for(var key in tls.CipherSuites) {
	    var cs = tls.CipherSuites[key];
	    if(cs.id[0] === twoBytes.charCodeAt(0) &&
	      cs.id[1] === twoBytes.charCodeAt(1)) {
	      rval = cs;
	      break;
	    }
	  }
	  return rval;
	};
	
	/**
	 * Called when an unexpected record is encountered.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleUnexpected = function(c, record) {
	  // if connection is client and closed, ignore unexpected messages
	  var ignore = (!c.open && c.entity === tls.ConnectionEnd.client);
	  if(!ignore) {
	    c.error(c, {
	      message: 'Unexpected message. Received TLS record out of order.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.unexpected_message
	      }
	    });
	  }
	};
	
	/**
	 * Called when a client receives a HelloRequest record.
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleHelloRequest = function(c, record, length) {
	  // ignore renegotiation requests from the server during a handshake, but
	  // if handshaking, send a warning alert that renegotation is denied
	  if(!c.handshaking && c.handshakes > 0) {
	    // send alert warning
	    tls.queue(c, tls.createAlert(c, {
	       level: tls.Alert.Level.warning,
	       description: tls.Alert.Description.no_renegotiation
	    }));
	    tls.flush(c);
	  }
	
	  // continue
	  c.process();
	};
	
	/**
	 * Parses a hello message from a ClientHello or ServerHello record.
	 *
	 * @param record the record to parse.
	 *
	 * @return the parsed message.
	 */
	tls.parseHelloMessage = function(c, record, length) {
	  var msg = null;
	
	  var client = (c.entity === tls.ConnectionEnd.client);
	
	  // minimum of 38 bytes in message
	  if(length < 38) {
	    c.error(c, {
	      message: client ?
	        'Invalid ServerHello message. Message too short.' :
	        'Invalid ClientHello message. Message too short.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  } else {
	    // use 'remaining' to calculate # of remaining bytes in the message
	    var b = record.fragment;
	    var remaining = b.length();
	    msg = {
	      version: {
	        major: b.getByte(),
	        minor: b.getByte()
	      },
	      random: forge.util.createBuffer(b.getBytes(32)),
	      session_id: readVector(b, 1),
	      extensions: []
	    };
	    if(client) {
	      msg.cipher_suite = b.getBytes(2);
	      msg.compression_method = b.getByte();
	    } else {
	      msg.cipher_suites = readVector(b, 2);
	      msg.compression_methods = readVector(b, 1);
	    }
	
	    // read extensions if there are any bytes left in the message
	    remaining = length - (remaining - b.length());
	    if(remaining > 0) {
	      // parse extensions
	      var exts = readVector(b, 2);
	      while(exts.length() > 0) {
	        msg.extensions.push({
	          type: [exts.getByte(), exts.getByte()],
	          data: readVector(exts, 2)
	        });
	      }
	
	      // TODO: make extension support modular
	      if(!client) {
	        for(var i = 0; i < msg.extensions.length; ++i) {
	          var ext = msg.extensions[i];
	
	          // support SNI extension
	          if(ext.type[0] === 0x00 && ext.type[1] === 0x00) {
	            // get server name list
	            var snl = readVector(ext.data, 2);
	            while(snl.length() > 0) {
	              // read server name type
	              var snType = snl.getByte();
	
	              // only HostName type (0x00) is known, break out if
	              // another type is detected
	              if(snType !== 0x00) {
	                break;
	              }
	
	              // add host name to server name list
	              c.session.extensions.server_name.serverNameList.push(
	                readVector(snl, 2).getBytes());
	            }
	          }
	        }
	      }
	    }
	
	    // version already set, do not allow version change
	    if(c.session.version) {
	      if(msg.version.major !== c.session.version.major ||
	        msg.version.minor !== c.session.version.minor) {
	        return c.error(c, {
	          message: 'TLS version change is disallowed during renegotiation.',
	          send: true,
	          alert: {
	            level: tls.Alert.Level.fatal,
	            description: tls.Alert.Description.protocol_version
	          }
	        });
	      }
	    }
	
	    // get the chosen (ServerHello) cipher suite
	    if(client) {
	      // FIXME: should be checking configured acceptable cipher suites
	      c.session.cipherSuite = tls.getCipherSuite(msg.cipher_suite);
	    } else {
	      // get a supported preferred (ClientHello) cipher suite
	      // choose the first supported cipher suite
	      var tmp = forge.util.createBuffer(msg.cipher_suites.bytes());
	      while(tmp.length() > 0) {
	        // FIXME: should be checking configured acceptable suites
	        // cipher suites take up 2 bytes
	        c.session.cipherSuite = tls.getCipherSuite(tmp.getBytes(2));
	        if(c.session.cipherSuite !== null) {
	          break;
	        }
	      }
	    }
	
	    // cipher suite not supported
	    if(c.session.cipherSuite === null) {
	      return c.error(c, {
	        message: 'No cipher suites in common.',
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.handshake_failure
	        },
	        cipherSuite: forge.util.bytesToHex(msg.cipher_suite)
	      });
	    }
	
	    // TODO: handle compression methods
	    if(client) {
	      c.session.compressionMethod = msg.compression_method;
	    } else {
	      // no compression
	      c.session.compressionMethod = tls.CompressionMethod.none;
	    }
	  }
	
	  return msg;
	};
	
	/**
	 * Creates security parameters for the given connection based on the given
	 * hello message.
	 *
	 * @param c the TLS connection.
	 * @param msg the hello message.
	 */
	tls.createSecurityParameters = function(c, msg) {
	  /* Note: security params are from TLS 1.2, some values like prf_algorithm
	  are ignored for TLS 1.0/1.1 and the builtin as specified in the spec is
	  used. */
	
	  // TODO: handle other options from server when more supported
	
	  // get client and server randoms
	  var client = (c.entity === tls.ConnectionEnd.client);
	  var msgRandom = msg.random.bytes();
	  var cRandom = client ? c.session.sp.client_random : msgRandom;
	  var sRandom = client ? msgRandom : tls.createRandom().getBytes();
	
	  // create new security parameters
	  c.session.sp = {
	    entity: c.entity,
	    prf_algorithm: tls.PRFAlgorithm.tls_prf_sha256,
	    bulk_cipher_algorithm: null,
	    cipher_type: null,
	    enc_key_length: null,
	    block_length: null,
	    fixed_iv_length: null,
	    record_iv_length: null,
	    mac_algorithm: null,
	    mac_length: null,
	    mac_key_length: null,
	    compression_algorithm: c.session.compressionMethod,
	    pre_master_secret: null,
	    master_secret: null,
	    client_random: cRandom,
	    server_random: sRandom
	  };
	};
	
	/**
	 * Called when a client receives a ServerHello record.
	 *
	 * When a ServerHello message will be sent:
	 *   The server will send this message in response to a client hello message
	 *   when it was able to find an acceptable set of algorithms. If it cannot
	 *   find such a match, it will respond with a handshake failure alert.
	 *
	 * uint24 length;
	 * struct {
	 *   ProtocolVersion server_version;
	 *   Random random;
	 *   SessionID session_id;
	 *   CipherSuite cipher_suite;
	 *   CompressionMethod compression_method;
	 *   select(extensions_present) {
	 *     case false:
	 *       struct {};
	 *     case true:
	 *       Extension extensions<0..2^16-1>;
	 *   };
	 * } ServerHello;
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleServerHello = function(c, record, length) {
	  var msg = tls.parseHelloMessage(c, record, length);
	  if(c.fail) {
	    return;
	  }
	
	  // ensure server version is compatible
	  if(msg.version.minor <= c.version.minor) {
	    c.version.minor = msg.version.minor;
	  } else {
	    return c.error(c, {
	      message: 'Incompatible TLS version.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.protocol_version
	      }
	    });
	  }
	
	  // indicate session version has been set
	  c.session.version = c.version;
	
	  // get the session ID from the message
	  var sessionId = msg.session_id.bytes();
	
	  // if the session ID is not blank and matches the cached one, resume
	  // the session
	  if(sessionId.length > 0 && sessionId === c.session.id) {
	    // resuming session, expect a ChangeCipherSpec next
	    c.expect = SCC;
	    c.session.resuming = true;
	
	    // get new server random
	    c.session.sp.server_random = msg.random.bytes();
	  } else {
	    // not resuming, expect a server Certificate message next
	    c.expect = SCE;
	    c.session.resuming = false;
	
	    // create new security parameters
	    tls.createSecurityParameters(c, msg);
	  }
	
	  // set new session ID
	  c.session.id = sessionId;
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a server receives a ClientHello record.
	 *
	 * When a ClientHello message will be sent:
	 *   When a client first connects to a server it is required to send the
	 *   client hello as its first message. The client can also send a client
	 *   hello in response to a hello request or on its own initiative in order
	 *   to renegotiate the security parameters in an existing connection.
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleClientHello = function(c, record, length) {
	  var msg = tls.parseHelloMessage(c, record, length);
	  if(c.fail) {
	    return;
	  }
	
	  // get the session ID from the message
	  var sessionId = msg.session_id.bytes();
	
	  // see if the given session ID is in the cache
	  var session = null;
	  if(c.sessionCache) {
	    session = c.sessionCache.getSession(sessionId);
	    if(session === null) {
	      // session ID not found
	      sessionId = '';
	    } else if(session.version.major !== msg.version.major ||
	      session.version.minor > msg.version.minor) {
	      // if session version is incompatible with client version, do not resume
	      session = null;
	      sessionId = '';
	    }
	  }
	
	  // no session found to resume, generate a new session ID
	  if(sessionId.length === 0) {
	    sessionId = forge.random.getBytes(32);
	  }
	
	  // update session
	  c.session.id = sessionId;
	  c.session.clientHelloVersion = msg.version;
	  c.session.sp = {};
	  if(session) {
	    // use version and security parameters from resumed session
	    c.version = c.session.version = session.version;
	    c.session.sp = session.sp;
	  } else {
	    // use highest compatible minor version
	    var version;
	    for(var i = 1; i < tls.SupportedVersions.length; ++i) {
	      version = tls.SupportedVersions[i];
	      if(version.minor <= msg.version.minor) {
	        break;
	      }
	    }
	    c.version = {major: version.major, minor: version.minor};
	    c.session.version = c.version;
	  }
	
	  // if a session is set, resume it
	  if(session !== null) {
	    // resuming session, expect a ChangeCipherSpec next
	    c.expect = CCC;
	    c.session.resuming = true;
	
	    // get new client random
	    c.session.sp.client_random = msg.random.bytes();
	  } else {
	    // not resuming, expect a Certificate or ClientKeyExchange
	    c.expect = (c.verifyClient !== false) ? CCE : CKE;
	    c.session.resuming = false;
	
	    // create new security parameters
	    tls.createSecurityParameters(c, msg);
	  }
	
	  // connection now open
	  c.open = true;
	
	  // queue server hello
	  tls.queue(c, tls.createRecord(c, {
	    type: tls.ContentType.handshake,
	    data: tls.createServerHello(c)
	  }));
	
	  if(c.session.resuming) {
	    // queue change cipher spec message
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.change_cipher_spec,
	      data: tls.createChangeCipherSpec()
	    }));
	
	    // create pending state
	    c.state.pending = tls.createConnectionState(c);
	
	    // change current write state to pending write state
	    c.state.current.write = c.state.pending.write;
	
	    // queue finished
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.handshake,
	      data: tls.createFinished(c)
	    }));
	  } else {
	    // queue server certificate
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.handshake,
	      data: tls.createCertificate(c)
	    }));
	
	    if(!c.fail) {
	      // queue server key exchange
	      tls.queue(c, tls.createRecord(c, {
	        type: tls.ContentType.handshake,
	        data: tls.createServerKeyExchange(c)
	      }));
	
	      // request client certificate if set
	      if(c.verifyClient !== false) {
	        // queue certificate request
	        tls.queue(c, tls.createRecord(c, {
	          type: tls.ContentType.handshake,
	          data: tls.createCertificateRequest(c)
	        }));
	      }
	
	      // queue server hello done
	      tls.queue(c, tls.createRecord(c, {
	        type: tls.ContentType.handshake,
	        data: tls.createServerHelloDone(c)
	      }));
	    }
	  }
	
	  // send records
	  tls.flush(c);
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a client receives a Certificate record.
	 *
	 * When this message will be sent:
	 *   The server must send a certificate whenever the agreed-upon key exchange
	 *   method is not an anonymous one. This message will always immediately
	 *   follow the server hello message.
	 *
	 * Meaning of this message:
	 *   The certificate type must be appropriate for the selected cipher suite's
	 *   key exchange algorithm, and is generally an X.509v3 certificate. It must
	 *   contain a key which matches the key exchange method, as follows. Unless
	 *   otherwise specified, the signing algorithm for the certificate must be
	 *   the same as the algorithm for the certificate key. Unless otherwise
	 *   specified, the public key may be of any length.
	 *
	 * opaque ASN.1Cert<1..2^24-1>;
	 * struct {
	 *   ASN.1Cert certificate_list<1..2^24-1>;
	 * } Certificate;
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleCertificate = function(c, record, length) {
	  // minimum of 3 bytes in message
	  if(length < 3) {
	    return c.error(c, {
	      message: 'Invalid Certificate message. Message too short.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  }
	
	  var b = record.fragment;
	  var msg = {
	    certificate_list: readVector(b, 3)
	  };
	
	  /* The sender's certificate will be first in the list (chain), each
	    subsequent one that follows will certify the previous one, but root
	    certificates (self-signed) that specify the certificate authority may
	    be omitted under the assumption that clients must already possess it. */
	  var cert, asn1;
	  var certs = [];
	  try {
	    while(msg.certificate_list.length() > 0) {
	      // each entry in msg.certificate_list is a vector with 3 len bytes
	      cert = readVector(msg.certificate_list, 3);
	      asn1 = forge.asn1.fromDer(cert);
	      cert = forge.pki.certificateFromAsn1(asn1, true);
	      certs.push(cert);
	    }
	  } catch(ex) {
	    return c.error(c, {
	      message: 'Could not parse certificate list.',
	      cause: ex,
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.bad_certificate
	      }
	    });
	  }
	
	  // ensure at least 1 certificate was provided if in client-mode
	  // or if verifyClient was set to true to require a certificate
	  // (as opposed to 'optional')
	  var client = (c.entity === tls.ConnectionEnd.client);
	  if((client || c.verifyClient === true) && certs.length === 0) {
	    // error, no certificate
	    c.error(c, {
	      message: client ?
	        'No server certificate provided.' :
	        'No client certificate provided.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  } else if(certs.length === 0) {
	    // no certs to verify
	    // expect a ServerKeyExchange or ClientKeyExchange message next
	    c.expect = client ? SKE : CKE;
	  } else {
	    // save certificate in session
	    if(client) {
	      c.session.serverCertificate = certs[0];
	    } else {
	      c.session.clientCertificate = certs[0];
	    }
	
	    if(tls.verifyCertificateChain(c, certs)) {
	      // expect a ServerKeyExchange or ClientKeyExchange message next
	      c.expect = client ? SKE : CKE;
	    }
	  }
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a client receives a ServerKeyExchange record.
	 *
	 * When this message will be sent:
	 *   This message will be sent immediately after the server certificate
	 *   message (or the server hello message, if this is an anonymous
	 *   negotiation).
	 *
	 *   The server key exchange message is sent by the server only when the
	 *   server certificate message (if sent) does not contain enough data to
	 *   allow the client to exchange a premaster secret.
	 *
	 * Meaning of this message:
	 *   This message conveys cryptographic information to allow the client to
	 *   communicate the premaster secret: either an RSA public key to encrypt
	 *   the premaster secret with, or a Diffie-Hellman public key with which the
	 *   client can complete a key exchange (with the result being the premaster
	 *   secret.)
	 *
	 * enum {
	 *   dhe_dss, dhe_rsa, dh_anon, rsa, dh_dss, dh_rsa
	 * } KeyExchangeAlgorithm;
	 *
	 * struct {
	 *   opaque dh_p<1..2^16-1>;
	 *   opaque dh_g<1..2^16-1>;
	 *   opaque dh_Ys<1..2^16-1>;
	 * } ServerDHParams;
	 *
	 * struct {
	 *   select(KeyExchangeAlgorithm) {
	 *     case dh_anon:
	 *       ServerDHParams params;
	 *     case dhe_dss:
	 *     case dhe_rsa:
	 *       ServerDHParams params;
	 *       digitally-signed struct {
	 *         opaque client_random[32];
	 *         opaque server_random[32];
	 *         ServerDHParams params;
	 *       } signed_params;
	 *     case rsa:
	 *     case dh_dss:
	 *     case dh_rsa:
	 *       struct {};
	 *   };
	 * } ServerKeyExchange;
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleServerKeyExchange = function(c, record, length) {
	  // this implementation only supports RSA, no Diffie-Hellman support
	  // so any length > 0 is invalid
	  if(length > 0) {
	    return c.error(c, {
	      message: 'Invalid key parameters. Only RSA is supported.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.unsupported_certificate
	      }
	    });
	  }
	
	  // expect an optional CertificateRequest message next
	  c.expect = SCR;
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a client receives a ClientKeyExchange record.
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleClientKeyExchange = function(c, record, length) {
	  // this implementation only supports RSA, no Diffie-Hellman support
	  // so any length < 48 is invalid
	  if(length < 48) {
	    return c.error(c, {
	      message: 'Invalid key parameters. Only RSA is supported.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.unsupported_certificate
	      }
	    });
	  }
	
	  var b = record.fragment;
	  var msg = {
	    enc_pre_master_secret: readVector(b, 2).getBytes()
	  };
	
	  // do rsa decryption
	  var privateKey = null;
	  if(c.getPrivateKey) {
	    try {
	      privateKey = c.getPrivateKey(c, c.session.serverCertificate);
	      privateKey = forge.pki.privateKeyFromPem(privateKey);
	    } catch(ex) {
	      c.error(c, {
	        message: 'Could not get private key.',
	        cause: ex,
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.internal_error
	        }
	      });
	    }
	  }
	
	  if(privateKey === null) {
	    return c.error(c, {
	      message: 'No private key set.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.internal_error
	      }
	    });
	  }
	
	  try {
	    // decrypt 48-byte pre-master secret
	    var sp = c.session.sp;
	    sp.pre_master_secret = privateKey.decrypt(msg.enc_pre_master_secret);
	
	    // ensure client hello version matches first 2 bytes
	    var version = c.session.clientHelloVersion;
	    if(version.major !== sp.pre_master_secret.charCodeAt(0) ||
	      version.minor !== sp.pre_master_secret.charCodeAt(1)) {
	      // error, do not send alert (see BLEI attack below)
	      throw new Error('TLS version rollback attack detected.');
	    }
	  } catch(ex) {
	    /* Note: Daniel Bleichenbacher [BLEI] can be used to attack a
	      TLS server which is using PKCS#1 encoded RSA, so instead of
	      failing here, we generate 48 random bytes and use that as
	      the pre-master secret. */
	    sp.pre_master_secret = forge.random.getBytes(48);
	  }
	
	  // expect a CertificateVerify message if a Certificate was received that
	  // does not have fixed Diffie-Hellman params, otherwise expect
	  // ChangeCipherSpec
	  c.expect = CCC;
	  if(c.session.clientCertificate !== null) {
	    // only RSA support, so expect CertificateVerify
	    // TODO: support Diffie-Hellman
	    c.expect = CCV;
	  }
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a client receives a CertificateRequest record.
	 *
	 * When this message will be sent:
	 *   A non-anonymous server can optionally request a certificate from the
	 *   client, if appropriate for the selected cipher suite. This message, if
	 *   sent, will immediately follow the Server Key Exchange message (if it is
	 *   sent; otherwise, the Server Certificate message).
	 *
	 * enum {
	 *   rsa_sign(1), dss_sign(2), rsa_fixed_dh(3), dss_fixed_dh(4),
	 *   rsa_ephemeral_dh_RESERVED(5), dss_ephemeral_dh_RESERVED(6),
	 *   fortezza_dms_RESERVED(20), (255)
	 * } ClientCertificateType;
	 *
	 * opaque DistinguishedName<1..2^16-1>;
	 *
	 * struct {
	 *   ClientCertificateType certificate_types<1..2^8-1>;
	 *   SignatureAndHashAlgorithm supported_signature_algorithms<2^16-1>;
	 *   DistinguishedName certificate_authorities<0..2^16-1>;
	 * } CertificateRequest;
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleCertificateRequest = function(c, record, length) {
	  // minimum of 3 bytes in message
	  if(length < 3) {
	    return c.error(c, {
	      message: 'Invalid CertificateRequest. Message too short.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  }
	
	  // TODO: TLS 1.2+ has different format including
	  // SignatureAndHashAlgorithm after cert types
	  var b = record.fragment;
	  var msg = {
	    certificate_types: readVector(b, 1),
	    certificate_authorities: readVector(b, 2)
	  };
	
	  // save certificate request in session
	  c.session.certificateRequest = msg;
	
	  // expect a ServerHelloDone message next
	  c.expect = SHD;
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a server receives a CertificateVerify record.
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleCertificateVerify = function(c, record, length) {
	  if(length < 2) {
	    return c.error(c, {
	      message: 'Invalid CertificateVerify. Message too short.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  }
	
	  // rewind to get full bytes for message so it can be manually
	  // digested below (special case for CertificateVerify messages because
	  // they must be digested *after* handling as opposed to all others)
	  var b = record.fragment;
	  b.read -= 4;
	  var msgBytes = b.bytes();
	  b.read += 4;
	
	  var msg = {
	    signature: readVector(b, 2).getBytes()
	  };
	
	  // TODO: add support for DSA
	
	  // generate data to verify
	  var verify = forge.util.createBuffer();
	  verify.putBuffer(c.session.md5.digest());
	  verify.putBuffer(c.session.sha1.digest());
	  verify = verify.getBytes();
	
	  try {
	    var cert = c.session.clientCertificate;
	    /*b = forge.pki.rsa.decrypt(
	      msg.signature, cert.publicKey, true, verify.length);
	    if(b !== verify) {*/
	    if(!cert.publicKey.verify(verify, msg.signature, 'NONE')) {
	      throw new Error('CertificateVerify signature does not match.');
	    }
	
	    // digest message now that it has been handled
	    c.session.md5.update(msgBytes);
	    c.session.sha1.update(msgBytes);
	  } catch(ex) {
	    return c.error(c, {
	      message: 'Bad signature in CertificateVerify.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.handshake_failure
	      }
	    });
	  }
	
	  // expect ChangeCipherSpec
	  c.expect = CCC;
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a client receives a ServerHelloDone record.
	 *
	 * When this message will be sent:
	 *   The server hello done message is sent by the server to indicate the end
	 *   of the server hello and associated messages. After sending this message
	 *   the server will wait for a client response.
	 *
	 * Meaning of this message:
	 *   This message means that the server is done sending messages to support
	 *   the key exchange, and the client can proceed with its phase of the key
	 *   exchange.
	 *
	 *   Upon receipt of the server hello done message the client should verify
	 *   that the server provided a valid certificate if required and check that
	 *   the server hello parameters are acceptable.
	 *
	 * struct {} ServerHelloDone;
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleServerHelloDone = function(c, record, length) {
	  // len must be 0 bytes
	  if(length > 0) {
	    return c.error(c, {
	      message: 'Invalid ServerHelloDone message. Invalid length.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.record_overflow
	      }
	    });
	  }
	
	  if(c.serverCertificate === null) {
	    // no server certificate was provided
	    var error = {
	      message: 'No server certificate provided. Not enough security.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.insufficient_security
	      }
	    };
	
	    // call application callback
	    var depth = 0;
	    var ret = c.verify(c, error.alert.description, depth, []);
	    if(ret !== true) {
	      // check for custom alert info
	      if(ret || ret === 0) {
	        // set custom message and alert description
	        if(typeof ret === 'object' && !forge.util.isArray(ret)) {
	          if(ret.message) {
	            error.message = ret.message;
	          }
	          if(ret.alert) {
	            error.alert.description = ret.alert;
	          }
	        } else if(typeof ret === 'number') {
	          // set custom alert description
	          error.alert.description = ret;
	        }
	      }
	
	      // send error
	      return c.error(c, error);
	    }
	  }
	
	  // create client certificate message if requested
	  if(c.session.certificateRequest !== null) {
	    record = tls.createRecord(c, {
	      type: tls.ContentType.handshake,
	      data: tls.createCertificate(c)
	    });
	    tls.queue(c, record);
	  }
	
	  // create client key exchange message
	  record = tls.createRecord(c, {
	     type: tls.ContentType.handshake,
	     data: tls.createClientKeyExchange(c)
	  });
	  tls.queue(c, record);
	
	  // expect no messages until the following callback has been called
	  c.expect = SER;
	
	  // create callback to handle client signature (for client-certs)
	  var callback = function(c, signature) {
	    if(c.session.certificateRequest !== null &&
	      c.session.clientCertificate !== null) {
	      // create certificate verify message
	      tls.queue(c, tls.createRecord(c, {
	        type: tls.ContentType.handshake,
	        data: tls.createCertificateVerify(c, signature)
	      }));
	    }
	
	    // create change cipher spec message
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.change_cipher_spec,
	      data: tls.createChangeCipherSpec()
	    }));
	
	    // create pending state
	    c.state.pending = tls.createConnectionState(c);
	
	    // change current write state to pending write state
	    c.state.current.write = c.state.pending.write;
	
	    // create finished message
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.handshake,
	      data: tls.createFinished(c)
	    }));
	
	    // expect a server ChangeCipherSpec message next
	    c.expect = SCC;
	
	    // send records
	    tls.flush(c);
	
	    // continue
	    c.process();
	  };
	
	  // if there is no certificate request or no client certificate, do
	  // callback immediately
	  if(c.session.certificateRequest === null ||
	    c.session.clientCertificate === null) {
	    return callback(c, null);
	  }
	
	  // otherwise get the client signature
	  tls.getClientSignature(c, callback);
	};
	
	/**
	 * Called when a ChangeCipherSpec record is received.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleChangeCipherSpec = function(c, record) {
	  if(record.fragment.getByte() !== 0x01) {
	    return c.error(c, {
	      message: 'Invalid ChangeCipherSpec message received.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.illegal_parameter
	      }
	    });
	  }
	
	  // create pending state if:
	  // 1. Resuming session in client mode OR
	  // 2. NOT resuming session in server mode
	  var client = (c.entity === tls.ConnectionEnd.client);
	  if((c.session.resuming && client) || (!c.session.resuming && !client)) {
	    c.state.pending = tls.createConnectionState(c);
	  }
	
	  // change current read state to pending read state
	  c.state.current.read = c.state.pending.read;
	
	  // clear pending state if:
	  // 1. NOT resuming session in client mode OR
	  // 2. resuming a session in server mode
	  if((!c.session.resuming && client) || (c.session.resuming && !client)) {
	    c.state.pending = null;
	  }
	
	  // expect a Finished record next
	  c.expect = client ? SFI : CFI;
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a Finished record is received.
	 *
	 * When this message will be sent:
	 *   A finished message is always sent immediately after a change
	 *   cipher spec message to verify that the key exchange and
	 *   authentication processes were successful. It is essential that a
	 *   change cipher spec message be received between the other
	 *   handshake messages and the Finished message.
	 *
	 * Meaning of this message:
	 *   The finished message is the first protected with the just-
	 *   negotiated algorithms, keys, and secrets. Recipients of finished
	 *   messages must verify that the contents are correct.  Once a side
	 *   has sent its Finished message and received and validated the
	 *   Finished message from its peer, it may begin to send and receive
	 *   application data over the connection.
	 *
	 * struct {
	 *   opaque verify_data[verify_data_length];
	 * } Finished;
	 *
	 * verify_data
	 *   PRF(master_secret, finished_label, Hash(handshake_messages))
	 *     [0..verify_data_length-1];
	 *
	 * finished_label
	 *   For Finished messages sent by the client, the string
	 *   "client finished". For Finished messages sent by the server, the
	 *   string "server finished".
	 *
	 * verify_data_length depends on the cipher suite. If it is not specified
	 * by the cipher suite, then it is 12. Versions of TLS < 1.2 always used
	 * 12 bytes.
	 *
	 * @param c the connection.
	 * @param record the record.
	 * @param length the length of the handshake message.
	 */
	tls.handleFinished = function(c, record, length) {
	  // rewind to get full bytes for message so it can be manually
	  // digested below (special case for Finished messages because they
	  // must be digested *after* handling as opposed to all others)
	  var b = record.fragment;
	  b.read -= 4;
	  var msgBytes = b.bytes();
	  b.read += 4;
	
	  // message contains only verify_data
	  var vd = record.fragment.getBytes();
	
	  // ensure verify data is correct
	  b = forge.util.createBuffer();
	  b.putBuffer(c.session.md5.digest());
	  b.putBuffer(c.session.sha1.digest());
	
	  // set label based on entity type
	  var client = (c.entity === tls.ConnectionEnd.client);
	  var label = client ? 'server finished' : 'client finished';
	
	  // TODO: determine prf function and verify length for TLS 1.2
	  var sp = c.session.sp;
	  var vdl = 12;
	  var prf = prf_TLS1;
	  b = prf(sp.master_secret, label, b.getBytes(), vdl);
	  if(b.getBytes() !== vd) {
	    return c.error(c, {
	      message: 'Invalid verify_data in Finished message.',
	      send: true,
	      alert: {
	        level: tls.Alert.Level.fatal,
	        description: tls.Alert.Description.decrypt_error
	      }
	    });
	  }
	
	  // digest finished message now that it has been handled
	  c.session.md5.update(msgBytes);
	  c.session.sha1.update(msgBytes);
	
	  // resuming session as client or NOT resuming session as server
	  if((c.session.resuming && client) || (!c.session.resuming && !client)) {
	    // create change cipher spec message
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.change_cipher_spec,
	      data: tls.createChangeCipherSpec()
	    }));
	
	    // change current write state to pending write state, clear pending
	    c.state.current.write = c.state.pending.write;
	    c.state.pending = null;
	
	    // create finished message
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.handshake,
	      data: tls.createFinished(c)
	    }));
	  }
	
	  // expect application data next
	  c.expect = client ? SAD : CAD;
	
	  // handshake complete
	  c.handshaking = false;
	  ++c.handshakes;
	
	  // save access to peer certificate
	  c.peerCertificate = client ?
	    c.session.serverCertificate : c.session.clientCertificate;
	
	  // send records
	  tls.flush(c);
	
	  // now connected
	  c.isConnected = true;
	  c.connected(c);
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when an Alert record is received.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleAlert = function(c, record) {
	  // read alert
	  var b = record.fragment;
	  var alert = {
	    level: b.getByte(),
	    description: b.getByte()
	  };
	
	  // TODO: consider using a table?
	  // get appropriate message
	  var msg;
	  switch(alert.description) {
	  case tls.Alert.Description.close_notify:
	    msg = 'Connection closed.';
	    break;
	  case tls.Alert.Description.unexpected_message:
	    msg = 'Unexpected message.';
	    break;
	  case tls.Alert.Description.bad_record_mac:
	    msg = 'Bad record MAC.';
	    break;
	  case tls.Alert.Description.decryption_failed:
	    msg = 'Decryption failed.';
	    break;
	  case tls.Alert.Description.record_overflow:
	    msg = 'Record overflow.';
	    break;
	  case tls.Alert.Description.decompression_failure:
	    msg = 'Decompression failed.';
	    break;
	  case tls.Alert.Description.handshake_failure:
	    msg = 'Handshake failure.';
	    break;
	  case tls.Alert.Description.bad_certificate:
	    msg = 'Bad certificate.';
	    break;
	  case tls.Alert.Description.unsupported_certificate:
	    msg = 'Unsupported certificate.';
	    break;
	  case tls.Alert.Description.certificate_revoked:
	    msg = 'Certificate revoked.';
	    break;
	  case tls.Alert.Description.certificate_expired:
	    msg = 'Certificate expired.';
	    break;
	  case tls.Alert.Description.certificate_unknown:
	    msg = 'Certificate unknown.';
	    break;
	  case tls.Alert.Description.illegal_parameter:
	    msg = 'Illegal parameter.';
	    break;
	  case tls.Alert.Description.unknown_ca:
	    msg = 'Unknown certificate authority.';
	    break;
	  case tls.Alert.Description.access_denied:
	    msg = 'Access denied.';
	    break;
	  case tls.Alert.Description.decode_error:
	    msg = 'Decode error.';
	    break;
	  case tls.Alert.Description.decrypt_error:
	    msg = 'Decrypt error.';
	    break;
	  case tls.Alert.Description.export_restriction:
	    msg = 'Export restriction.';
	    break;
	  case tls.Alert.Description.protocol_version:
	    msg = 'Unsupported protocol version.';
	    break;
	  case tls.Alert.Description.insufficient_security:
	    msg = 'Insufficient security.';
	    break;
	  case tls.Alert.Description.internal_error:
	    msg = 'Internal error.';
	    break;
	  case tls.Alert.Description.user_canceled:
	    msg = 'User canceled.';
	    break;
	  case tls.Alert.Description.no_renegotiation:
	    msg = 'Renegotiation not supported.';
	    break;
	  default:
	    msg = 'Unknown error.';
	    break;
	  }
	
	  // close connection on close_notify, not an error
	  if(alert.description === tls.Alert.Description.close_notify) {
	    return c.close();
	  }
	
	  // call error handler
	  c.error(c, {
	    message: msg,
	    send: false,
	    // origin is the opposite end
	    origin: (c.entity === tls.ConnectionEnd.client) ? 'server' : 'client',
	    alert: alert
	  });
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a Handshake record is received.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleHandshake = function(c, record) {
	  // get the handshake type and message length
	  var b = record.fragment;
	  var type = b.getByte();
	  var length = b.getInt24();
	
	  // see if the record fragment doesn't yet contain the full message
	  if(length > b.length()) {
	    // cache the record, clear its fragment, and reset the buffer read
	    // pointer before the type and length were read
	    c.fragmented = record;
	    record.fragment = forge.util.createBuffer();
	    b.read -= 4;
	
	    // continue
	    return c.process();
	  }
	
	  // full message now available, clear cache, reset read pointer to
	  // before type and length
	  c.fragmented = null;
	  b.read -= 4;
	
	  // save the handshake bytes for digestion after handler is found
	  // (include type and length of handshake msg)
	  var bytes = b.bytes(length + 4);
	
	  // restore read pointer
	  b.read += 4;
	
	  // handle expected message
	  if(type in hsTable[c.entity][c.expect]) {
	    // initialize server session
	    if(c.entity === tls.ConnectionEnd.server && !c.open && !c.fail) {
	      c.handshaking = true;
	      c.session = {
	        version: null,
	        extensions: {
	          server_name: {
	            serverNameList: []
	          }
	        },
	        cipherSuite: null,
	        compressionMethod: null,
	        serverCertificate: null,
	        clientCertificate: null,
	        md5: forge.md.md5.create(),
	        sha1: forge.md.sha1.create()
	      };
	    }
	
	    /* Update handshake messages digest. Finished and CertificateVerify
	      messages are not digested here. They can't be digested as part of
	      the verify_data that they contain. These messages are manually
	      digested in their handlers. HelloRequest messages are simply never
	      included in the handshake message digest according to spec. */
	    if(type !== tls.HandshakeType.hello_request &&
	      type !== tls.HandshakeType.certificate_verify &&
	      type !== tls.HandshakeType.finished) {
	      c.session.md5.update(bytes);
	      c.session.sha1.update(bytes);
	    }
	
	    // handle specific handshake type record
	    hsTable[c.entity][c.expect][type](c, record, length);
	  } else {
	    // unexpected record
	    tls.handleUnexpected(c, record);
	  }
	};
	
	/**
	 * Called when an ApplicationData record is received.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleApplicationData = function(c, record) {
	  // buffer data, notify that its ready
	  c.data.putBuffer(record.fragment);
	  c.dataReady(c);
	
	  // continue
	  c.process();
	};
	
	/**
	 * Called when a Heartbeat record is received.
	 *
	 * @param c the connection.
	 * @param record the record.
	 */
	tls.handleHeartbeat = function(c, record) {
	  // get the heartbeat type and payload
	  var b = record.fragment;
	  var type = b.getByte();
	  var length = b.getInt16();
	  var payload = b.getBytes(length);
	
	  if(type === tls.HeartbeatMessageType.heartbeat_request) {
	    // discard request during handshake or if length is too large
	    if(c.handshaking || length > payload.length) {
	      // continue
	      return c.process();
	    }
	    // retransmit payload
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.heartbeat,
	      data: tls.createHeartbeat(
	        tls.HeartbeatMessageType.heartbeat_response, payload)
	    }));
	    tls.flush(c);
	  } else if(type === tls.HeartbeatMessageType.heartbeat_response) {
	    // check payload against expected payload, discard heartbeat if no match
	    if(payload !== c.expectedHeartbeatPayload) {
	      // continue
	      return c.process();
	    }
	
	    // notify that a valid heartbeat was received
	    if(c.heartbeatReceived) {
	      c.heartbeatReceived(c, forge.util.createBuffer(payload));
	    }
	  }
	
	  // continue
	  c.process();
	};
	
	/**
	 * The transistional state tables for receiving TLS records. It maps the
	 * current TLS engine state and a received record to a function to handle the
	 * record and update the state.
	 *
	 * For instance, if the current state is SHE, then the TLS engine is expecting
	 * a ServerHello record. Once a record is received, the handler function is
	 * looked up using the state SHE and the record's content type.
	 *
	 * The resulting function will either be an error handler or a record handler.
	 * The function will take whatever action is appropriate and update the state
	 * for the next record.
	 *
	 * The states are all based on possible server record types. Note that the
	 * client will never specifically expect to receive a HelloRequest or an alert
	 * from the server so there is no state that reflects this. These messages may
	 * occur at any time.
	 *
	 * There are two tables for mapping states because there is a second tier of
	 * types for handshake messages. Once a record with a content type of handshake
	 * is received, the handshake record handler will look up the handshake type in
	 * the secondary map to get its appropriate handler.
	 *
	 * Valid message orders are as follows:
	 *
	 * =======================FULL HANDSHAKE======================
	 * Client                                               Server
	 *
	 * ClientHello                  -------->
	 *                                                 ServerHello
	 *                                                Certificate*
	 *                                          ServerKeyExchange*
	 *                                         CertificateRequest*
	 *                              <--------      ServerHelloDone
	 * Certificate*
	 * ClientKeyExchange
	 * CertificateVerify*
	 * [ChangeCipherSpec]
	 * Finished                     -------->
	 *                                          [ChangeCipherSpec]
	 *                              <--------             Finished
	 * Application Data             <------->     Application Data
	 *
	 * =====================SESSION RESUMPTION=====================
	 * Client                                                Server
	 *
	 * ClientHello                   -------->
	 *                                                  ServerHello
	 *                                           [ChangeCipherSpec]
	 *                               <--------             Finished
	 * [ChangeCipherSpec]
	 * Finished                      -------->
	 * Application Data              <------->     Application Data
	 */
	// client expect states (indicate which records are expected to be received)
	var SHE = 0; // rcv server hello
	var SCE = 1; // rcv server certificate
	var SKE = 2; // rcv server key exchange
	var SCR = 3; // rcv certificate request
	var SHD = 4; // rcv server hello done
	var SCC = 5; // rcv change cipher spec
	var SFI = 6; // rcv finished
	var SAD = 7; // rcv application data
	var SER = 8; // not expecting any messages at this point
	
	// server expect states
	var CHE = 0; // rcv client hello
	var CCE = 1; // rcv client certificate
	var CKE = 2; // rcv client key exchange
	var CCV = 3; // rcv certificate verify
	var CCC = 4; // rcv change cipher spec
	var CFI = 5; // rcv finished
	var CAD = 6; // rcv application data
	var CER = 7; // not expecting any messages at this point
	
	// map client current expect state and content type to function
	var __ = tls.handleUnexpected;
	var R0 = tls.handleChangeCipherSpec;
	var R1 = tls.handleAlert;
	var R2 = tls.handleHandshake;
	var R3 = tls.handleApplicationData;
	var R4 = tls.handleHeartbeat;
	var ctTable = [];
	ctTable[tls.ConnectionEnd.client] = [
	//      CC,AL,HS,AD,HB
	/*SHE*/[__,R1,R2,__,R4],
	/*SCE*/[__,R1,R2,__,R4],
	/*SKE*/[__,R1,R2,__,R4],
	/*SCR*/[__,R1,R2,__,R4],
	/*SHD*/[__,R1,R2,__,R4],
	/*SCC*/[R0,R1,__,__,R4],
	/*SFI*/[__,R1,R2,__,R4],
	/*SAD*/[__,R1,R2,R3,R4],
	/*SER*/[__,R1,R2,__,R4]
	];
	
	// map server current expect state and content type to function
	ctTable[tls.ConnectionEnd.server] = [
	//      CC,AL,HS,AD
	/*CHE*/[__,R1,R2,__,R4],
	/*CCE*/[__,R1,R2,__,R4],
	/*CKE*/[__,R1,R2,__,R4],
	/*CCV*/[__,R1,R2,__,R4],
	/*CCC*/[R0,R1,__,__,R4],
	/*CFI*/[__,R1,R2,__,R4],
	/*CAD*/[__,R1,R2,R3,R4],
	/*CER*/[__,R1,R2,__,R4]
	];
	
	// map client current expect state and handshake type to function
	var H0 = tls.handleHelloRequest;
	var H1 = tls.handleServerHello;
	var H2 = tls.handleCertificate;
	var H3 = tls.handleServerKeyExchange;
	var H4 = tls.handleCertificateRequest;
	var H5 = tls.handleServerHelloDone;
	var H6 = tls.handleFinished;
	var hsTable = [];
	hsTable[tls.ConnectionEnd.client] = [
	//      HR,01,SH,03,04,05,06,07,08,09,10,SC,SK,CR,HD,15,CK,17,18,19,FI
	/*SHE*/[__,__,H1,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*SCE*/[H0,__,__,__,__,__,__,__,__,__,__,H2,H3,H4,H5,__,__,__,__,__,__],
	/*SKE*/[H0,__,__,__,__,__,__,__,__,__,__,__,H3,H4,H5,__,__,__,__,__,__],
	/*SCR*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,H4,H5,__,__,__,__,__,__],
	/*SHD*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,__,H5,__,__,__,__,__,__],
	/*SCC*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*SFI*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,H6],
	/*SAD*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*SER*/[H0,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__]
	];
	
	// map server current expect state and handshake type to function
	// Note: CAD[CH] does not map to FB because renegotation is prohibited
	var H7 = tls.handleClientHello;
	var H8 = tls.handleClientKeyExchange;
	var H9 = tls.handleCertificateVerify;
	hsTable[tls.ConnectionEnd.server] = [
	//      01,CH,02,03,04,05,06,07,08,09,10,CC,12,13,14,CV,CK,17,18,19,FI
	/*CHE*/[__,H7,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*CCE*/[__,__,__,__,__,__,__,__,__,__,__,H2,__,__,__,__,__,__,__,__,__],
	/*CKE*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,H8,__,__,__,__],
	/*CCV*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,H9,__,__,__,__,__],
	/*CCC*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*CFI*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,H6],
	/*CAD*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__],
	/*CER*/[__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__,__]
	];
	
	/**
	 * Generates the master_secret and keys using the given security parameters.
	 *
	 * The security parameters for a TLS connection state are defined as such:
	 *
	 * struct {
	 *   ConnectionEnd          entity;
	 *   PRFAlgorithm           prf_algorithm;
	 *   BulkCipherAlgorithm    bulk_cipher_algorithm;
	 *   CipherType             cipher_type;
	 *   uint8                  enc_key_length;
	 *   uint8                  block_length;
	 *   uint8                  fixed_iv_length;
	 *   uint8                  record_iv_length;
	 *   MACAlgorithm           mac_algorithm;
	 *   uint8                  mac_length;
	 *   uint8                  mac_key_length;
	 *   CompressionMethod      compression_algorithm;
	 *   opaque                 master_secret[48];
	 *   opaque                 client_random[32];
	 *   opaque                 server_random[32];
	 * } SecurityParameters;
	 *
	 * Note that this definition is from TLS 1.2. In TLS 1.0 some of these
	 * parameters are ignored because, for instance, the PRFAlgorithm is a
	 * builtin-fixed algorithm combining iterations of MD5 and SHA-1 in TLS 1.0.
	 *
	 * The Record Protocol requires an algorithm to generate keys required by the
	 * current connection state.
	 *
	 * The master secret is expanded into a sequence of secure bytes, which is then
	 * split to a client write MAC key, a server write MAC key, a client write
	 * encryption key, and a server write encryption key. In TLS 1.0 a client write
	 * IV and server write IV are also generated. Each of these is generated from
	 * the byte sequence in that order. Unused values are empty. In TLS 1.2, some
	 * AEAD ciphers may additionally require a client write IV and a server write
	 * IV (see Section 6.2.3.3).
	 *
	 * When keys, MAC keys, and IVs are generated, the master secret is used as an
	 * entropy source.
	 *
	 * To generate the key material, compute:
	 *
	 * master_secret = PRF(pre_master_secret, "master secret",
	 *                     ClientHello.random + ServerHello.random)
	 *
	 * key_block = PRF(SecurityParameters.master_secret,
	 *                 "key expansion",
	 *                 SecurityParameters.server_random +
	 *                 SecurityParameters.client_random);
	 *
	 * until enough output has been generated. Then, the key_block is
	 * partitioned as follows:
	 *
	 * client_write_MAC_key[SecurityParameters.mac_key_length]
	 * server_write_MAC_key[SecurityParameters.mac_key_length]
	 * client_write_key[SecurityParameters.enc_key_length]
	 * server_write_key[SecurityParameters.enc_key_length]
	 * client_write_IV[SecurityParameters.fixed_iv_length]
	 * server_write_IV[SecurityParameters.fixed_iv_length]
	 *
	 * In TLS 1.2, the client_write_IV and server_write_IV are only generated for
	 * implicit nonce techniques as described in Section 3.2.1 of [AEAD]. This
	 * implementation uses TLS 1.0 so IVs are generated.
	 *
	 * Implementation note: The currently defined cipher suite which requires the
	 * most material is AES_256_CBC_SHA256. It requires 2 x 32 byte keys and 2 x 32
	 * byte MAC keys, for a total 128 bytes of key material. In TLS 1.0 it also
	 * requires 2 x 16 byte IVs, so it actually takes 160 bytes of key material.
	 *
	 * @param c the connection.
	 * @param sp the security parameters to use.
	 *
	 * @return the security keys.
	 */
	tls.generateKeys = function(c, sp) {
	  // TLS_RSA_WITH_AES_128_CBC_SHA (required to be compliant with TLS 1.2) &
	  // TLS_RSA_WITH_AES_256_CBC_SHA are the only cipher suites implemented
	  // at present
	
	  // TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA is required to be compliant with
	  // TLS 1.0 but we don't care right now because AES is better and we have
	  // an implementation for it
	
	  // TODO: TLS 1.2 implementation
	  /*
	  // determine the PRF
	  var prf;
	  switch(sp.prf_algorithm) {
	  case tls.PRFAlgorithm.tls_prf_sha256:
	    prf = prf_sha256;
	    break;
	  default:
	    // should never happen
	    throw new Error('Invalid PRF');
	  }
	  */
	
	  // TLS 1.0/1.1 implementation
	  var prf = prf_TLS1;
	
	  // concatenate server and client random
	  var random = sp.client_random + sp.server_random;
	
	  // only create master secret if session is new
	  if(!c.session.resuming) {
	    // create master secret, clean up pre-master secret
	    sp.master_secret = prf(
	      sp.pre_master_secret, 'master secret', random, 48).bytes();
	    sp.pre_master_secret = null;
	  }
	
	  // generate the amount of key material needed
	  random = sp.server_random + sp.client_random;
	  var length = 2 * sp.mac_key_length + 2 * sp.enc_key_length;
	
	  // include IV for TLS/1.0
	  var tls10 = (c.version.major === tls.Versions.TLS_1_0.major &&
	    c.version.minor === tls.Versions.TLS_1_0.minor);
	  if(tls10) {
	    length += 2 * sp.fixed_iv_length;
	  }
	  var km = prf(sp.master_secret, 'key expansion', random, length);
	
	  // split the key material into the MAC and encryption keys
	  var rval = {
	    client_write_MAC_key: km.getBytes(sp.mac_key_length),
	    server_write_MAC_key: km.getBytes(sp.mac_key_length),
	    client_write_key: km.getBytes(sp.enc_key_length),
	    server_write_key: km.getBytes(sp.enc_key_length)
	  };
	
	  // include TLS 1.0 IVs
	  if(tls10) {
	    rval.client_write_IV = km.getBytes(sp.fixed_iv_length);
	    rval.server_write_IV = km.getBytes(sp.fixed_iv_length);
	  }
	
	  return rval;
	};
	
	/**
	 * Creates a new initialized TLS connection state. A connection state has
	 * a read mode and a write mode.
	 *
	 * compression state:
	 *   The current state of the compression algorithm.
	 *
	 * cipher state:
	 *   The current state of the encryption algorithm. This will consist of the
	 *   scheduled key for that connection. For stream ciphers, this will also
	 *   contain whatever state information is necessary to allow the stream to
	 *   continue to encrypt or decrypt data.
	 *
	 * MAC key:
	 *   The MAC key for the connection.
	 *
	 * sequence number:
	 *   Each connection state contains a sequence number, which is maintained
	 *   separately for read and write states. The sequence number MUST be set to
	 *   zero whenever a connection state is made the active state. Sequence
	 *   numbers are of type uint64 and may not exceed 2^64-1. Sequence numbers do
	 *   not wrap. If a TLS implementation would need to wrap a sequence number,
	 *   it must renegotiate instead. A sequence number is incremented after each
	 *   record: specifically, the first record transmitted under a particular
	 *   connection state MUST use sequence number 0.
	 *
	 * @param c the connection.
	 *
	 * @return the new initialized TLS connection state.
	 */
	tls.createConnectionState = function(c) {
	  var client = (c.entity === tls.ConnectionEnd.client);
	
	  var createMode = function() {
	    var mode = {
	      // two 32-bit numbers, first is most significant
	      sequenceNumber: [0, 0],
	      macKey: null,
	      macLength: 0,
	      macFunction: null,
	      cipherState: null,
	      cipherFunction: function(record) {return true;},
	      compressionState: null,
	      compressFunction: function(record) {return true;},
	      updateSequenceNumber: function() {
	        if(mode.sequenceNumber[1] === 0xFFFFFFFF) {
	          mode.sequenceNumber[1] = 0;
	          ++mode.sequenceNumber[0];
	        } else {
	          ++mode.sequenceNumber[1];
	        }
	      }
	    };
	    return mode;
	  };
	  var state = {
	    read: createMode(),
	    write: createMode()
	  };
	
	  // update function in read mode will decrypt then decompress a record
	  state.read.update = function(c, record) {
	    if(!state.read.cipherFunction(record, state.read)) {
	      c.error(c, {
	        message: 'Could not decrypt record or bad MAC.',
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          // doesn't matter if decryption failed or MAC was
	          // invalid, return the same error so as not to reveal
	          // which one occurred
	          description: tls.Alert.Description.bad_record_mac
	        }
	      });
	    } else if(!state.read.compressFunction(c, record, state.read)) {
	      c.error(c, {
	        message: 'Could not decompress record.',
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.decompression_failure
	        }
	      });
	    }
	    return !c.fail;
	  };
	
	  // update function in write mode will compress then encrypt a record
	  state.write.update = function(c, record) {
	    if(!state.write.compressFunction(c, record, state.write)) {
	      // error, but do not send alert since it would require
	      // compression as well
	      c.error(c, {
	        message: 'Could not compress record.',
	        send: false,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.internal_error
	        }
	      });
	    } else if(!state.write.cipherFunction(record, state.write)) {
	      // error, but do not send alert since it would require
	      // encryption as well
	      c.error(c, {
	        message: 'Could not encrypt record.',
	        send: false,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.internal_error
	        }
	      });
	    }
	    return !c.fail;
	  };
	
	  // handle security parameters
	  if(c.session) {
	    var sp = c.session.sp;
	    c.session.cipherSuite.initSecurityParameters(sp);
	
	    // generate keys
	    sp.keys = tls.generateKeys(c, sp);
	    state.read.macKey = client ?
	      sp.keys.server_write_MAC_key : sp.keys.client_write_MAC_key;
	    state.write.macKey = client ?
	      sp.keys.client_write_MAC_key : sp.keys.server_write_MAC_key;
	
	    // cipher suite setup
	    c.session.cipherSuite.initConnectionState(state, c, sp);
	
	    // compression setup
	    switch(sp.compression_algorithm) {
	    case tls.CompressionMethod.none:
	      break;
	    case tls.CompressionMethod.deflate:
	      state.read.compressFunction = inflate;
	      state.write.compressFunction = deflate;
	      break;
	    default:
	      throw new Error('Unsupported compression algorithm.');
	    }
	  }
	
	  return state;
	};
	
	/**
	 * Creates a Random structure.
	 *
	 * struct {
	 *   uint32 gmt_unix_time;
	 *   opaque random_bytes[28];
	 * } Random;
	 *
	 * gmt_unix_time:
	 *   The current time and date in standard UNIX 32-bit format (seconds since
	 *   the midnight starting Jan 1, 1970, UTC, ignoring leap seconds) according
	 *   to the sender's internal clock. Clocks are not required to be set
	 *   correctly by the basic TLS protocol; higher-level or application
	 *   protocols may define additional requirements. Note that, for historical
	 *   reasons, the data element is named using GMT, the predecessor of the
	 *   current worldwide time base, UTC.
	 * random_bytes:
	 *   28 bytes generated by a secure random number generator.
	 *
	 * @return the Random structure as a byte array.
	 */
	tls.createRandom = function() {
	  // get UTC milliseconds
	  var d = new Date();
	  var utc = +d + d.getTimezoneOffset() * 60000;
	  var rval = forge.util.createBuffer();
	  rval.putInt32(utc);
	  rval.putBytes(forge.random.getBytes(28));
	  return rval;
	};
	
	/**
	 * Creates a TLS record with the given type and data.
	 *
	 * @param c the connection.
	 * @param options:
	 *   type: the record type.
	 *   data: the plain text data in a byte buffer.
	 *
	 * @return the created record.
	 */
	tls.createRecord = function(c, options) {
	  if(!options.data) {
	    return null;
	  }
	  var record = {
	    type: options.type,
	    version: {
	      major: c.version.major,
	      minor: c.version.minor
	    },
	    length: options.data.length(),
	    fragment: options.data
	  };
	  return record;
	};
	
	/**
	 * Creates a TLS alert record.
	 *
	 * @param c the connection.
	 * @param alert:
	 *   level: the TLS alert level.
	 *   description: the TLS alert description.
	 *
	 * @return the created alert record.
	 */
	tls.createAlert = function(c, alert) {
	  var b = forge.util.createBuffer();
	  b.putByte(alert.level);
	  b.putByte(alert.description);
	  return tls.createRecord(c, {
	    type: tls.ContentType.alert,
	    data: b
	  });
	};
	
	/* The structure of a TLS handshake message.
	 *
	 * struct {
	 *    HandshakeType msg_type;    // handshake type
	 *    uint24 length;             // bytes in message
	 *    select(HandshakeType) {
	 *       case hello_request:       HelloRequest;
	 *       case client_hello:        ClientHello;
	 *       case server_hello:        ServerHello;
	 *       case certificate:         Certificate;
	 *       case server_key_exchange: ServerKeyExchange;
	 *       case certificate_request: CertificateRequest;
	 *       case server_hello_done:   ServerHelloDone;
	 *       case certificate_verify:  CertificateVerify;
	 *       case client_key_exchange: ClientKeyExchange;
	 *       case finished:            Finished;
	 *    } body;
	 * } Handshake;
	 */
	
	/**
	 * Creates a ClientHello message.
	 *
	 * opaque SessionID<0..32>;
	 * enum { null(0), deflate(1), (255) } CompressionMethod;
	 * uint8 CipherSuite[2];
	 *
	 * struct {
	 *   ProtocolVersion client_version;
	 *   Random random;
	 *   SessionID session_id;
	 *   CipherSuite cipher_suites<2..2^16-2>;
	 *   CompressionMethod compression_methods<1..2^8-1>;
	 *   select(extensions_present) {
	 *     case false:
	 *       struct {};
	 *     case true:
	 *       Extension extensions<0..2^16-1>;
	 *   };
	 * } ClientHello;
	 *
	 * The extension format for extended client hellos and server hellos is:
	 *
	 * struct {
	 *   ExtensionType extension_type;
	 *   opaque extension_data<0..2^16-1>;
	 * } Extension;
	 *
	 * Here:
	 *
	 * - "extension_type" identifies the particular extension type.
	 * - "extension_data" contains information specific to the particular
	 * extension type.
	 *
	 * The extension types defined in this document are:
	 *
	 * enum {
	 *   server_name(0), max_fragment_length(1),
	 *   client_certificate_url(2), trusted_ca_keys(3),
	 *   truncated_hmac(4), status_request(5), (65535)
	 * } ExtensionType;
	 *
	 * @param c the connection.
	 *
	 * @return the ClientHello byte buffer.
	 */
	tls.createClientHello = function(c) {
	  // save hello version
	  c.session.clientHelloVersion = {
	    major: c.version.major,
	    minor: c.version.minor
	  };
	
	  // create supported cipher suites
	  var cipherSuites = forge.util.createBuffer();
	  for(var i = 0; i < c.cipherSuites.length; ++i) {
	    var cs = c.cipherSuites[i];
	    cipherSuites.putByte(cs.id[0]);
	    cipherSuites.putByte(cs.id[1]);
	  }
	  var cSuites = cipherSuites.length();
	
	  // create supported compression methods, null always supported, but
	  // also support deflate if connection has inflate and deflate methods
	  var compressionMethods = forge.util.createBuffer();
	  compressionMethods.putByte(tls.CompressionMethod.none);
	  // FIXME: deflate support disabled until issues with raw deflate data
	  // without zlib headers are resolved
	  /*
	  if(c.inflate !== null && c.deflate !== null) {
	    compressionMethods.putByte(tls.CompressionMethod.deflate);
	  }
	  */
	  var cMethods = compressionMethods.length();
	
	  // create TLS SNI (server name indication) extension if virtual host
	  // has been specified, see RFC 3546
	  var extensions = forge.util.createBuffer();
	  if(c.virtualHost) {
	    // create extension struct
	    var ext = forge.util.createBuffer();
	    ext.putByte(0x00); // type server_name (ExtensionType is 2 bytes)
	    ext.putByte(0x00);
	
	    /* In order to provide the server name, clients MAY include an
	     * extension of type "server_name" in the (extended) client hello.
	     * The "extension_data" field of this extension SHALL contain
	     * "ServerNameList" where:
	     *
	     * struct {
	     *   NameType name_type;
	     *   select(name_type) {
	     *     case host_name: HostName;
	     *   } name;
	     * } ServerName;
	     *
	     * enum {
	     *   host_name(0), (255)
	     * } NameType;
	     *
	     * opaque HostName<1..2^16-1>;
	     *
	     * struct {
	     *   ServerName server_name_list<1..2^16-1>
	     * } ServerNameList;
	     */
	    var serverName = forge.util.createBuffer();
	    serverName.putByte(0x00); // type host_name
	    writeVector(serverName, 2, forge.util.createBuffer(c.virtualHost));
	
	    // ServerNameList is in extension_data
	    var snList = forge.util.createBuffer();
	    writeVector(snList, 2, serverName);
	    writeVector(ext, 2, snList);
	    extensions.putBuffer(ext);
	  }
	  var extLength = extensions.length();
	  if(extLength > 0) {
	    // add extension vector length
	    extLength += 2;
	  }
	
	  // determine length of the handshake message
	  // cipher suites and compression methods size will need to be
	  // updated if more get added to the list
	  var sessionId = c.session.id;
	  var length =
	    sessionId.length + 1 + // session ID vector
	    2 +                    // version (major + minor)
	    4 + 28 +               // random time and random bytes
	    2 + cSuites +          // cipher suites vector
	    1 + cMethods +         // compression methods vector
	    extLength;             // extensions vector
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.client_hello);
	  rval.putInt24(length);                     // handshake length
	  rval.putByte(c.version.major);             // major version
	  rval.putByte(c.version.minor);             // minor version
	  rval.putBytes(c.session.sp.client_random); // random time + bytes
	  writeVector(rval, 1, forge.util.createBuffer(sessionId));
	  writeVector(rval, 2, cipherSuites);
	  writeVector(rval, 1, compressionMethods);
	  if(extLength > 0) {
	    writeVector(rval, 2, extensions);
	  }
	  return rval;
	};
	
	/**
	 * Creates a ServerHello message.
	 *
	 * @param c the connection.
	 *
	 * @return the ServerHello byte buffer.
	 */
	tls.createServerHello = function(c) {
	  // determine length of the handshake message
	  var sessionId = c.session.id;
	  var length =
	    sessionId.length + 1 + // session ID vector
	    2 +                    // version (major + minor)
	    4 + 28 +               // random time and random bytes
	    2 +                    // chosen cipher suite
	    1;                     // chosen compression method
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.server_hello);
	  rval.putInt24(length);                     // handshake length
	  rval.putByte(c.version.major);             // major version
	  rval.putByte(c.version.minor);             // minor version
	  rval.putBytes(c.session.sp.server_random); // random time + bytes
	  writeVector(rval, 1, forge.util.createBuffer(sessionId));
	  rval.putByte(c.session.cipherSuite.id[0]);
	  rval.putByte(c.session.cipherSuite.id[1]);
	  rval.putByte(c.session.compressionMethod);
	  return rval;
	};
	
	/**
	 * Creates a Certificate message.
	 *
	 * When this message will be sent:
	 *   This is the first message the client can send after receiving a server
	 *   hello done message and the first message the server can send after
	 *   sending a ServerHello. This client message is only sent if the server
	 *   requests a certificate. If no suitable certificate is available, the
	 *   client should send a certificate message containing no certificates. If
	 *   client authentication is required by the server for the handshake to
	 *   continue, it may respond with a fatal handshake failure alert.
	 *
	 * opaque ASN.1Cert<1..2^24-1>;
	 *
	 * struct {
	 *   ASN.1Cert certificate_list<0..2^24-1>;
	 * } Certificate;
	 *
	 * @param c the connection.
	 *
	 * @return the Certificate byte buffer.
	 */
	tls.createCertificate = function(c) {
	  // TODO: check certificate request to ensure types are supported
	
	  // get a certificate (a certificate as a PEM string)
	  var client = (c.entity === tls.ConnectionEnd.client);
	  var cert = null;
	  if(c.getCertificate) {
	    var hint;
	    if(client) {
	      hint = c.session.certificateRequest;
	    } else {
	      hint = c.session.extensions.server_name.serverNameList;
	    }
	    cert = c.getCertificate(c, hint);
	  }
	
	  // buffer to hold certificate list
	  var certList = forge.util.createBuffer();
	  if(cert !== null) {
	    try {
	      // normalize cert to a chain of certificates
	      if(!forge.util.isArray(cert)) {
	        cert = [cert];
	      }
	      var asn1 = null;
	      for(var i = 0; i < cert.length; ++i) {
	        var msg = forge.pem.decode(cert[i])[0];
	        if(msg.type !== 'CERTIFICATE' &&
	          msg.type !== 'X509 CERTIFICATE' &&
	          msg.type !== 'TRUSTED CERTIFICATE') {
	          var error = new Error('Could not convert certificate from PEM; PEM ' +
	            'header type is not "CERTIFICATE", "X509 CERTIFICATE", or ' +
	            '"TRUSTED CERTIFICATE".');
	          error.headerType = msg.type;
	          throw error;
	        }
	        if(msg.procType && msg.procType.type === 'ENCRYPTED') {
	          throw new Error('Could not convert certificate from PEM; PEM is encrypted.');
	        }
	
	        var der = forge.util.createBuffer(msg.body);
	        if(asn1 === null) {
	          asn1 = forge.asn1.fromDer(der.bytes(), false);
	        }
	
	        // certificate entry is itself a vector with 3 length bytes
	        var certBuffer = forge.util.createBuffer();
	        writeVector(certBuffer, 3, der);
	
	        // add cert vector to cert list vector
	        certList.putBuffer(certBuffer);
	      }
	
	      // save certificate
	      cert = forge.pki.certificateFromAsn1(asn1);
	      if(client) {
	        c.session.clientCertificate = cert;
	      } else {
	        c.session.serverCertificate = cert;
	      }
	    } catch(ex) {
	      return c.error(c, {
	        message: 'Could not send certificate list.',
	        cause: ex,
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.bad_certificate
	        }
	      });
	    }
	  }
	
	  // determine length of the handshake message
	  var length = 3 + certList.length(); // cert list vector
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.certificate);
	  rval.putInt24(length);
	  writeVector(rval, 3, certList);
	  return rval;
	};
	
	/**
	 * Creates a ClientKeyExchange message.
	 *
	 * When this message will be sent:
	 *   This message is always sent by the client. It will immediately follow the
	 *   client certificate message, if it is sent. Otherwise it will be the first
	 *   message sent by the client after it receives the server hello done
	 *   message.
	 *
	 * Meaning of this message:
	 *   With this message, the premaster secret is set, either though direct
	 *   transmission of the RSA-encrypted secret, or by the transmission of
	 *   Diffie-Hellman parameters which will allow each side to agree upon the
	 *   same premaster secret. When the key exchange method is DH_RSA or DH_DSS,
	 *   client certification has been requested, and the client was able to
	 *   respond with a certificate which contained a Diffie-Hellman public key
	 *   whose parameters (group and generator) matched those specified by the
	 *   server in its certificate, this message will not contain any data.
	 *
	 * Meaning of this message:
	 *   If RSA is being used for key agreement and authentication, the client
	 *   generates a 48-byte premaster secret, encrypts it using the public key
	 *   from the server's certificate or the temporary RSA key provided in a
	 *   server key exchange message, and sends the result in an encrypted
	 *   premaster secret message. This structure is a variant of the client
	 *   key exchange message, not a message in itself.
	 *
	 * struct {
	 *   select(KeyExchangeAlgorithm) {
	 *     case rsa: EncryptedPreMasterSecret;
	 *     case diffie_hellman: ClientDiffieHellmanPublic;
	 *   } exchange_keys;
	 * } ClientKeyExchange;
	 *
	 * struct {
	 *   ProtocolVersion client_version;
	 *   opaque random[46];
	 * } PreMasterSecret;
	 *
	 * struct {
	 *   public-key-encrypted PreMasterSecret pre_master_secret;
	 * } EncryptedPreMasterSecret;
	 *
	 * A public-key-encrypted element is encoded as a vector <0..2^16-1>.
	 *
	 * @param c the connection.
	 *
	 * @return the ClientKeyExchange byte buffer.
	 */
	tls.createClientKeyExchange = function(c) {
	  // create buffer to encrypt
	  var b = forge.util.createBuffer();
	
	  // add highest client-supported protocol to help server avoid version
	  // rollback attacks
	  b.putByte(c.session.clientHelloVersion.major);
	  b.putByte(c.session.clientHelloVersion.minor);
	
	  // generate and add 46 random bytes
	  b.putBytes(forge.random.getBytes(46));
	
	  // save pre-master secret
	  var sp = c.session.sp;
	  sp.pre_master_secret = b.getBytes();
	
	  // RSA-encrypt the pre-master secret
	  var key = c.session.serverCertificate.publicKey;
	  b = key.encrypt(sp.pre_master_secret);
	
	  /* Note: The encrypted pre-master secret will be stored in a
	    public-key-encrypted opaque vector that has the length prefixed using
	    2 bytes, so include those 2 bytes in the handshake message length. This
	    is done as a minor optimization instead of calling writeVector(). */
	
	  // determine length of the handshake message
	  var length = b.length + 2;
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.client_key_exchange);
	  rval.putInt24(length);
	  // add vector length bytes
	  rval.putInt16(b.length);
	  rval.putBytes(b);
	  return rval;
	};
	
	/**
	 * Creates a ServerKeyExchange message.
	 *
	 * @param c the connection.
	 *
	 * @return the ServerKeyExchange byte buffer.
	 */
	tls.createServerKeyExchange = function(c) {
	  // this implementation only supports RSA, no Diffie-Hellman support,
	  // so this record is empty
	
	  // determine length of the handshake message
	  var length = 0;
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  if(length > 0) {
	    rval.putByte(tls.HandshakeType.server_key_exchange);
	    rval.putInt24(length);
	  }
	  return rval;
	};
	
	/**
	 * Gets the signed data used to verify a client-side certificate. See
	 * tls.createCertificateVerify() for details.
	 *
	 * @param c the connection.
	 * @param callback the callback to call once the signed data is ready.
	 */
	tls.getClientSignature = function(c, callback) {
	  // generate data to RSA encrypt
	  var b = forge.util.createBuffer();
	  b.putBuffer(c.session.md5.digest());
	  b.putBuffer(c.session.sha1.digest());
	  b = b.getBytes();
	
	  // create default signing function as necessary
	  c.getSignature = c.getSignature || function(c, b, callback) {
	    // do rsa encryption, call callback
	    var privateKey = null;
	    if(c.getPrivateKey) {
	      try {
	        privateKey = c.getPrivateKey(c, c.session.clientCertificate);
	        privateKey = forge.pki.privateKeyFromPem(privateKey);
	      } catch(ex) {
	        c.error(c, {
	          message: 'Could not get private key.',
	          cause: ex,
	          send: true,
	          alert: {
	            level: tls.Alert.Level.fatal,
	            description: tls.Alert.Description.internal_error
	          }
	        });
	      }
	    }
	    if(privateKey === null) {
	      c.error(c, {
	        message: 'No private key set.',
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: tls.Alert.Description.internal_error
	        }
	      });
	    } else {
	      b = privateKey.sign(b, null);
	    }
	    callback(c, b);
	  };
	
	  // get client signature
	  c.getSignature(c, b, callback);
	};
	
	/**
	 * Creates a CertificateVerify message.
	 *
	 * Meaning of this message:
	 *   This structure conveys the client's Diffie-Hellman public value
	 *   (Yc) if it was not already included in the client's certificate.
	 *   The encoding used for Yc is determined by the enumerated
	 *   PublicValueEncoding. This structure is a variant of the client
	 *   key exchange message, not a message in itself.
	 *
	 * When this message will be sent:
	 *   This message is used to provide explicit verification of a client
	 *   certificate. This message is only sent following a client
	 *   certificate that has signing capability (i.e. all certificates
	 *   except those containing fixed Diffie-Hellman parameters). When
	 *   sent, it will immediately follow the client key exchange message.
	 *
	 * struct {
	 *   Signature signature;
	 * } CertificateVerify;
	 *
	 * CertificateVerify.signature.md5_hash
	 *   MD5(handshake_messages);
	 *
	 * Certificate.signature.sha_hash
	 *   SHA(handshake_messages);
	 *
	 * Here handshake_messages refers to all handshake messages sent or
	 * received starting at client hello up to but not including this
	 * message, including the type and length fields of the handshake
	 * messages.
	 *
	 * select(SignatureAlgorithm) {
	 *   case anonymous: struct { };
	 *   case rsa:
	 *     digitally-signed struct {
	 *       opaque md5_hash[16];
	 *       opaque sha_hash[20];
	 *     };
	 *   case dsa:
	 *     digitally-signed struct {
	 *       opaque sha_hash[20];
	 *     };
	 * } Signature;
	 *
	 * In digital signing, one-way hash functions are used as input for a
	 * signing algorithm. A digitally-signed element is encoded as an opaque
	 * vector <0..2^16-1>, where the length is specified by the signing
	 * algorithm and key.
	 *
	 * In RSA signing, a 36-byte structure of two hashes (one SHA and one
	 * MD5) is signed (encrypted with the private key). It is encoded with
	 * PKCS #1 block type 0 or type 1 as described in [PKCS1].
	 *
	 * In DSS, the 20 bytes of the SHA hash are run directly through the
	 * Digital Signing Algorithm with no additional hashing.
	 *
	 * @param c the connection.
	 * @param signature the signature to include in the message.
	 *
	 * @return the CertificateVerify byte buffer.
	 */
	tls.createCertificateVerify = function(c, signature) {
	  /* Note: The signature will be stored in a "digitally-signed" opaque
	    vector that has the length prefixed using 2 bytes, so include those
	    2 bytes in the handshake message length. This is done as a minor
	    optimization instead of calling writeVector(). */
	
	  // determine length of the handshake message
	  var length = signature.length + 2;
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.certificate_verify);
	  rval.putInt24(length);
	  // add vector length bytes
	  rval.putInt16(signature.length);
	  rval.putBytes(signature);
	  return rval;
	};
	
	/**
	 * Creates a CertificateRequest message.
	 *
	 * @param c the connection.
	 *
	 * @return the CertificateRequest byte buffer.
	 */
	tls.createCertificateRequest = function(c) {
	  // TODO: support other certificate types
	  var certTypes = forge.util.createBuffer();
	
	  // common RSA certificate type
	  certTypes.putByte(0x01);
	
	  // TODO: verify that this data format is correct
	  // add distinguished names from CA store
	  var cAs = forge.util.createBuffer();
	  for(var key in c.caStore.certs) {
	    var cert = c.caStore.certs[key];
	    var dn = forge.pki.distinguishedNameToAsn1(cert.subject);
	    cAs.putBuffer(forge.asn1.toDer(dn));
	  }
	
	  // TODO: TLS 1.2+ has a different format
	
	  // determine length of the handshake message
	  var length =
	    1 + certTypes.length() +
	    2 + cAs.length();
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.certificate_request);
	  rval.putInt24(length);
	  writeVector(rval, 1, certTypes);
	  writeVector(rval, 2, cAs);
	  return rval;
	};
	
	/**
	 * Creates a ServerHelloDone message.
	 *
	 * @param c the connection.
	 *
	 * @return the ServerHelloDone byte buffer.
	 */
	tls.createServerHelloDone = function(c) {
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.server_hello_done);
	  rval.putInt24(0);
	  return rval;
	};
	
	/**
	 * Creates a ChangeCipherSpec message.
	 *
	 * The change cipher spec protocol exists to signal transitions in
	 * ciphering strategies. The protocol consists of a single message,
	 * which is encrypted and compressed under the current (not the pending)
	 * connection state. The message consists of a single byte of value 1.
	 *
	 * struct {
	 *   enum { change_cipher_spec(1), (255) } type;
	 * } ChangeCipherSpec;
	 *
	 * @return the ChangeCipherSpec byte buffer.
	 */
	tls.createChangeCipherSpec = function() {
	  var rval = forge.util.createBuffer();
	  rval.putByte(0x01);
	  return rval;
	};
	
	/**
	 * Creates a Finished message.
	 *
	 * struct {
	 *   opaque verify_data[12];
	 * } Finished;
	 *
	 * verify_data
	 *   PRF(master_secret, finished_label, MD5(handshake_messages) +
	 *   SHA-1(handshake_messages)) [0..11];
	 *
	 * finished_label
	 *   For Finished messages sent by the client, the string "client
	 *   finished". For Finished messages sent by the server, the
	 *   string "server finished".
	 *
	 * handshake_messages
	 *   All of the data from all handshake messages up to but not
	 *   including this message. This is only data visible at the
	 *   handshake layer and does not include record layer headers.
	 *   This is the concatenation of all the Handshake structures as
	 *   defined in 7.4 exchanged thus far.
	 *
	 * @param c the connection.
	 *
	 * @return the Finished byte buffer.
	 */
	tls.createFinished = function(c) {
	  // generate verify_data
	  var b = forge.util.createBuffer();
	  b.putBuffer(c.session.md5.digest());
	  b.putBuffer(c.session.sha1.digest());
	
	  // TODO: determine prf function and verify length for TLS 1.2
	  var client = (c.entity === tls.ConnectionEnd.client);
	  var sp = c.session.sp;
	  var vdl = 12;
	  var prf = prf_TLS1;
	  var label = client ? 'client finished' : 'server finished';
	  b = prf(sp.master_secret, label, b.getBytes(), vdl);
	
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(tls.HandshakeType.finished);
	  rval.putInt24(b.length());
	  rval.putBuffer(b);
	  return rval;
	};
	
	/**
	 * Creates a HeartbeatMessage (See RFC 6520).
	 *
	 * struct {
	 *   HeartbeatMessageType type;
	 *   uint16 payload_length;
	 *   opaque payload[HeartbeatMessage.payload_length];
	 *   opaque padding[padding_length];
	 * } HeartbeatMessage;
	 *
	 * The total length of a HeartbeatMessage MUST NOT exceed 2^14 or
	 * max_fragment_length when negotiated as defined in [RFC6066].
	 *
	 * type: The message type, either heartbeat_request or heartbeat_response.
	 *
	 * payload_length: The length of the payload.
	 *
	 * payload: The payload consists of arbitrary content.
	 *
	 * padding: The padding is random content that MUST be ignored by the
	 *   receiver. The length of a HeartbeatMessage is TLSPlaintext.length
	 *   for TLS and DTLSPlaintext.length for DTLS. Furthermore, the
	 *   length of the type field is 1 byte, and the length of the
	 *   payload_length is 2. Therefore, the padding_length is
	 *   TLSPlaintext.length - payload_length - 3 for TLS and
	 *   DTLSPlaintext.length - payload_length - 3 for DTLS. The
	 *   padding_length MUST be at least 16.
	 *
	 * The sender of a HeartbeatMessage MUST use a random padding of at
	 * least 16 bytes. The padding of a received HeartbeatMessage message
	 * MUST be ignored.
	 *
	 * If the payload_length of a received HeartbeatMessage is too large,
	 * the received HeartbeatMessage MUST be discarded silently.
	 *
	 * @param c the connection.
	 * @param type the tls.HeartbeatMessageType.
	 * @param payload the heartbeat data to send as the payload.
	 * @param [payloadLength] the payload length to use, defaults to the
	 *          actual payload length.
	 *
	 * @return the HeartbeatRequest byte buffer.
	 */
	tls.createHeartbeat = function(type, payload, payloadLength) {
	  if(typeof payloadLength === 'undefined') {
	    payloadLength = payload.length;
	  }
	  // build record fragment
	  var rval = forge.util.createBuffer();
	  rval.putByte(type);               // heartbeat message type
	  rval.putInt16(payloadLength);     // payload length
	  rval.putBytes(payload);           // payload
	  // padding
	  var plaintextLength = rval.length();
	  var paddingLength = Math.max(16, plaintextLength - payloadLength - 3);
	  rval.putBytes(forge.random.getBytes(paddingLength));
	  return rval;
	};
	
	/**
	 * Fragments, compresses, encrypts, and queues a record for delivery.
	 *
	 * @param c the connection.
	 * @param record the record to queue.
	 */
	tls.queue = function(c, record) {
	  // error during record creation
	  if(!record) {
	    return;
	  }
	
	  // if the record is a handshake record, update handshake hashes
	  if(record.type === tls.ContentType.handshake) {
	    var bytes = record.fragment.bytes();
	    c.session.md5.update(bytes);
	    c.session.sha1.update(bytes);
	    bytes = null;
	  }
	
	  // handle record fragmentation
	  var records;
	  if(record.fragment.length() <= tls.MaxFragment) {
	    records = [record];
	  } else {
	    // fragment data as long as it is too long
	    records = [];
	    var data = record.fragment.bytes();
	    while(data.length > tls.MaxFragment) {
	      records.push(tls.createRecord(c, {
	        type: record.type,
	        data: forge.util.createBuffer(data.slice(0, tls.MaxFragment))
	      }));
	      data = data.slice(tls.MaxFragment);
	    }
	    // add last record
	    if(data.length > 0) {
	      records.push(tls.createRecord(c, {
	        type: record.type,
	        data: forge.util.createBuffer(data)
	      }));
	    }
	  }
	
	  // compress and encrypt all fragmented records
	  for(var i = 0; i < records.length && !c.fail; ++i) {
	    // update the record using current write state
	    var rec = records[i];
	    var s = c.state.current.write;
	    if(s.update(c, rec)) {
	      // store record
	      c.records.push(rec);
	    }
	  }
	};
	
	/**
	 * Flushes all queued records to the output buffer and calls the
	 * tlsDataReady() handler on the given connection.
	 *
	 * @param c the connection.
	 *
	 * @return true on success, false on failure.
	 */
	tls.flush = function(c) {
	  for(var i = 0; i < c.records.length; ++i) {
	    var record = c.records[i];
	
	    // add record header and fragment
	    c.tlsData.putByte(record.type);
	    c.tlsData.putByte(record.version.major);
	    c.tlsData.putByte(record.version.minor);
	    c.tlsData.putInt16(record.fragment.length());
	    c.tlsData.putBuffer(c.records[i].fragment);
	  }
	  c.records = [];
	  return c.tlsDataReady(c);
	};
	
	/**
	 * Maps a pki.certificateError to a tls.Alert.Description.
	 *
	 * @param error the error to map.
	 *
	 * @return the alert description.
	 */
	var _certErrorToAlertDesc = function(error) {
	  switch(error) {
	  case true:
	    return true;
	  case forge.pki.certificateError.bad_certificate:
	    return tls.Alert.Description.bad_certificate;
	  case forge.pki.certificateError.unsupported_certificate:
	    return tls.Alert.Description.unsupported_certificate;
	  case forge.pki.certificateError.certificate_revoked:
	    return tls.Alert.Description.certificate_revoked;
	  case forge.pki.certificateError.certificate_expired:
	    return tls.Alert.Description.certificate_expired;
	  case forge.pki.certificateError.certificate_unknown:
	    return tls.Alert.Description.certificate_unknown;
	  case forge.pki.certificateError.unknown_ca:
	    return tls.Alert.Description.unknown_ca;
	  default:
	    return tls.Alert.Description.bad_certificate;
	  }
	};
	
	/**
	 * Maps a tls.Alert.Description to a pki.certificateError.
	 *
	 * @param desc the alert description.
	 *
	 * @return the certificate error.
	 */
	var _alertDescToCertError = function(desc) {
	  switch(desc) {
	  case true:
	    return true;
	  case tls.Alert.Description.bad_certificate:
	    return forge.pki.certificateError.bad_certificate;
	  case tls.Alert.Description.unsupported_certificate:
	    return forge.pki.certificateError.unsupported_certificate;
	  case tls.Alert.Description.certificate_revoked:
	    return forge.pki.certificateError.certificate_revoked;
	  case tls.Alert.Description.certificate_expired:
	    return forge.pki.certificateError.certificate_expired;
	  case tls.Alert.Description.certificate_unknown:
	    return forge.pki.certificateError.certificate_unknown;
	  case tls.Alert.Description.unknown_ca:
	    return forge.pki.certificateError.unknown_ca;
	  default:
	    return forge.pki.certificateError.bad_certificate;
	  }
	};
	
	/**
	 * Verifies a certificate chain against the given connection's
	 * Certificate Authority store.
	 *
	 * @param c the TLS connection.
	 * @param chain the certificate chain to verify, with the root or highest
	 *          authority at the end.
	 *
	 * @return true if successful, false if not.
	 */
	tls.verifyCertificateChain = function(c, chain) {
	  try {
	    // verify chain
	    forge.pki.verifyCertificateChain(c.caStore, chain,
	      function verify(vfd, depth, chain) {
	        // convert pki.certificateError to tls alert description
	        var desc = _certErrorToAlertDesc(vfd);
	
	        // call application callback
	        var ret = c.verify(c, vfd, depth, chain);
	        if(ret !== true) {
	          if(typeof ret === 'object' && !forge.util.isArray(ret)) {
	            // throw custom error
	            var error = new Error('The application rejected the certificate.');
	            error.send = true;
	            error.alert = {
	              level: tls.Alert.Level.fatal,
	              description: tls.Alert.Description.bad_certificate
	            };
	            if(ret.message) {
	              error.message = ret.message;
	            }
	            if(ret.alert) {
	              error.alert.description = ret.alert;
	            }
	            throw error;
	          }
	
	          // convert tls alert description to pki.certificateError
	          if(ret !== vfd) {
	            ret = _alertDescToCertError(ret);
	          }
	        }
	
	        return ret;
	      });
	  } catch(ex) {
	    // build tls error if not already customized
	    var err = ex;
	    if(typeof err !== 'object' || forge.util.isArray(err)) {
	      err = {
	        send: true,
	        alert: {
	          level: tls.Alert.Level.fatal,
	          description: _certErrorToAlertDesc(ex)
	        }
	      };
	    }
	    if(!('send' in err)) {
	      err.send = true;
	    }
	    if(!('alert' in err)) {
	      err.alert = {
	        level: tls.Alert.Level.fatal,
	        description: _certErrorToAlertDesc(err.error)
	      };
	    }
	
	    // send error
	    c.error(c, err);
	  }
	
	  return !c.fail;
	};
	
	/**
	 * Creates a new TLS session cache.
	 *
	 * @param cache optional map of session ID to cached session.
	 * @param capacity the maximum size for the cache (default: 100).
	 *
	 * @return the new TLS session cache.
	 */
	tls.createSessionCache = function(cache, capacity) {
	  var rval = null;
	
	  // assume input is already a session cache object
	  if(cache && cache.getSession && cache.setSession && cache.order) {
	    rval = cache;
	  } else {
	    // create cache
	    rval = {};
	    rval.cache = cache || {};
	    rval.capacity = Math.max(capacity || 100, 1);
	    rval.order = [];
	
	    // store order for sessions, delete session overflow
	    for(var key in cache) {
	      if(rval.order.length <= capacity) {
	        rval.order.push(key);
	      } else {
	        delete cache[key];
	      }
	    }
	
	    // get a session from a session ID (or get any session)
	    rval.getSession = function(sessionId) {
	      var session = null;
	      var key = null;
	
	      // if session ID provided, use it
	      if(sessionId) {
	        key = forge.util.bytesToHex(sessionId);
	      } else if(rval.order.length > 0) {
	        // get first session from cache
	        key = rval.order[0];
	      }
	
	      if(key !== null && key in rval.cache) {
	        // get cached session and remove from cache
	        session = rval.cache[key];
	        delete rval.cache[key];
	        for(var i in rval.order) {
	          if(rval.order[i] === key) {
	            rval.order.splice(i, 1);
	            break;
	          }
	        }
	      }
	
	      return session;
	    };
	
	    // set a session in the cache
	    rval.setSession = function(sessionId, session) {
	      // remove session from cache if at capacity
	      if(rval.order.length === rval.capacity) {
	        var key = rval.order.shift();
	        delete rval.cache[key];
	      }
	      // add session to cache
	      var key = forge.util.bytesToHex(sessionId);
	      rval.order.push(key);
	      rval.cache[key] = session;
	    };
	  }
	
	  return rval;
	};
	
	/**
	 * Creates a new TLS connection.
	 *
	 * See public createConnection() docs for more details.
	 *
	 * @param options the options for this connection.
	 *
	 * @return the new TLS connection.
	 */
	tls.createConnection = function(options) {
	  var caStore = null;
	  if(options.caStore) {
	    // if CA store is an array, convert it to a CA store object
	    if(forge.util.isArray(options.caStore)) {
	      caStore = forge.pki.createCaStore(options.caStore);
	    } else {
	      caStore = options.caStore;
	    }
	  } else {
	    // create empty CA store
	    caStore = forge.pki.createCaStore();
	  }
	
	  // setup default cipher suites
	  var cipherSuites = options.cipherSuites || null;
	  if(cipherSuites === null) {
	    cipherSuites = [];
	    for(var key in tls.CipherSuites) {
	      cipherSuites.push(tls.CipherSuites[key]);
	    }
	  }
	
	  // set default entity
	  var entity = (options.server || false) ?
	    tls.ConnectionEnd.server : tls.ConnectionEnd.client;
	
	  // create session cache if requested
	  var sessionCache = options.sessionCache ?
	    tls.createSessionCache(options.sessionCache) : null;
	
	  // create TLS connection
	  var c = {
	    version: {major: tls.Version.major, minor: tls.Version.minor},
	    entity: entity,
	    sessionId: options.sessionId,
	    caStore: caStore,
	    sessionCache: sessionCache,
	    cipherSuites: cipherSuites,
	    connected: options.connected,
	    virtualHost: options.virtualHost || null,
	    verifyClient: options.verifyClient || false,
	    verify: options.verify || function(cn, vfd, dpth, cts) {return vfd;},
	    getCertificate: options.getCertificate || null,
	    getPrivateKey: options.getPrivateKey || null,
	    getSignature: options.getSignature || null,
	    input: forge.util.createBuffer(),
	    tlsData: forge.util.createBuffer(),
	    data: forge.util.createBuffer(),
	    tlsDataReady: options.tlsDataReady,
	    dataReady: options.dataReady,
	    heartbeatReceived: options.heartbeatReceived,
	    closed: options.closed,
	    error: function(c, ex) {
	      // set origin if not set
	      ex.origin = ex.origin ||
	        ((c.entity === tls.ConnectionEnd.client) ? 'client' : 'server');
	
	      // send TLS alert
	      if(ex.send) {
	        tls.queue(c, tls.createAlert(c, ex.alert));
	        tls.flush(c);
	      }
	
	      // error is fatal by default
	      var fatal = (ex.fatal !== false);
	      if(fatal) {
	        // set fail flag
	        c.fail = true;
	      }
	
	      // call error handler first
	      options.error(c, ex);
	
	      if(fatal) {
	        // fatal error, close connection, do not clear fail
	        c.close(false);
	      }
	    },
	    deflate: options.deflate || null,
	    inflate: options.inflate || null
	  };
	
	  /**
	   * Resets a closed TLS connection for reuse. Called in c.close().
	   *
	   * @param clearFail true to clear the fail flag (default: true).
	   */
	  c.reset = function(clearFail) {
	    c.version = {major: tls.Version.major, minor: tls.Version.minor};
	    c.record = null;
	    c.session = null;
	    c.peerCertificate = null;
	    c.state = {
	      pending: null,
	      current: null
	    };
	    c.expect = (c.entity === tls.ConnectionEnd.client) ? SHE : CHE;
	    c.fragmented = null;
	    c.records = [];
	    c.open = false;
	    c.handshakes = 0;
	    c.handshaking = false;
	    c.isConnected = false;
	    c.fail = !(clearFail || typeof(clearFail) === 'undefined');
	    c.input.clear();
	    c.tlsData.clear();
	    c.data.clear();
	    c.state.current = tls.createConnectionState(c);
	  };
	
	  // do initial reset of connection
	  c.reset();
	
	  /**
	   * Updates the current TLS engine state based on the given record.
	   *
	   * @param c the TLS connection.
	   * @param record the TLS record to act on.
	   */
	  var _update = function(c, record) {
	    // get record handler (align type in table by subtracting lowest)
	    var aligned = record.type - tls.ContentType.change_cipher_spec;
	    var handlers = ctTable[c.entity][c.expect];
	    if(aligned in handlers) {
	      handlers[aligned](c, record);
	    } else {
	      // unexpected record
	      tls.handleUnexpected(c, record);
	    }
	  };
	
	  /**
	   * Reads the record header and initializes the next record on the given
	   * connection.
	   *
	   * @param c the TLS connection with the next record.
	   *
	   * @return 0 if the input data could be processed, otherwise the
	   *         number of bytes required for data to be processed.
	   */
	  var _readRecordHeader = function(c) {
	    var rval = 0;
	
	    // get input buffer and its length
	    var b = c.input;
	    var len = b.length();
	
	    // need at least 5 bytes to initialize a record
	    if(len < 5) {
	      rval = 5 - len;
	    } else {
	      // enough bytes for header
	      // initialize record
	      c.record = {
	        type: b.getByte(),
	        version: {
	          major: b.getByte(),
	          minor: b.getByte()
	        },
	        length: b.getInt16(),
	        fragment: forge.util.createBuffer(),
	        ready: false
	      };
	
	      // check record version
	      var compatibleVersion = (c.record.version.major === c.version.major);
	      if(compatibleVersion && c.session && c.session.version) {
	        // session version already set, require same minor version
	        compatibleVersion = (c.record.version.minor === c.version.minor);
	      }
	      if(!compatibleVersion) {
	        c.error(c, {
	          message: 'Incompatible TLS version.',
	          send: true,
	          alert: {
	            level: tls.Alert.Level.fatal,
	            description: tls.Alert.Description.protocol_version
	          }
	        });
	      }
	    }
	
	    return rval;
	  };
	
	  /**
	   * Reads the next record's contents and appends its message to any
	   * previously fragmented message.
	   *
	   * @param c the TLS connection with the next record.
	   *
	   * @return 0 if the input data could be processed, otherwise the
	   *         number of bytes required for data to be processed.
	   */
	  var _readRecord = function(c) {
	    var rval = 0;
	
	    // ensure there is enough input data to get the entire record
	    var b = c.input;
	    var len = b.length();
	    if(len < c.record.length) {
	      // not enough data yet, return how much is required
	      rval = c.record.length - len;
	    } else {
	      // there is enough data to parse the pending record
	      // fill record fragment and compact input buffer
	      c.record.fragment.putBytes(b.getBytes(c.record.length));
	      b.compact();
	
	      // update record using current read state
	      var s = c.state.current.read;
	      if(s.update(c, c.record)) {
	        // see if there is a previously fragmented message that the
	        // new record's message fragment should be appended to
	        if(c.fragmented !== null) {
	          // if the record type matches a previously fragmented
	          // record, append the record fragment to it
	          if(c.fragmented.type === c.record.type) {
	            // concatenate record fragments
	            c.fragmented.fragment.putBuffer(c.record.fragment);
	            c.record = c.fragmented;
	          } else {
	            // error, invalid fragmented record
	            c.error(c, {
	              message: 'Invalid fragmented record.',
	              send: true,
	              alert: {
	                level: tls.Alert.Level.fatal,
	                description:
	                  tls.Alert.Description.unexpected_message
	              }
	            });
	          }
	        }
	
	        // record is now ready
	        c.record.ready = true;
	      }
	    }
	
	    return rval;
	  };
	
	  /**
	   * Performs a handshake using the TLS Handshake Protocol, as a client.
	   *
	   * This method should only be called if the connection is in client mode.
	   *
	   * @param sessionId the session ID to use, null to start a new one.
	   */
	  c.handshake = function(sessionId) {
	    // error to call this in non-client mode
	    if(c.entity !== tls.ConnectionEnd.client) {
	      // not fatal error
	      c.error(c, {
	        message: 'Cannot initiate handshake as a server.',
	        fatal: false
	      });
	    } else if(c.handshaking) {
	      // handshake is already in progress, fail but not fatal error
	      c.error(c, {
	        message: 'Handshake already in progress.',
	        fatal: false
	      });
	    } else {
	      // clear fail flag on reuse
	      if(c.fail && !c.open && c.handshakes === 0) {
	        c.fail = false;
	      }
	
	      // now handshaking
	      c.handshaking = true;
	
	      // default to blank (new session)
	      sessionId = sessionId || '';
	
	      // if a session ID was specified, try to find it in the cache
	      var session = null;
	      if(sessionId.length > 0) {
	        if(c.sessionCache) {
	          session = c.sessionCache.getSession(sessionId);
	        }
	
	        // matching session not found in cache, clear session ID
	        if(session === null) {
	          sessionId = '';
	        }
	      }
	
	      // no session given, grab a session from the cache, if available
	      if(sessionId.length === 0 && c.sessionCache) {
	        session = c.sessionCache.getSession();
	        if(session !== null) {
	          sessionId = session.id;
	        }
	      }
	
	      // set up session
	      c.session = {
	        id: sessionId,
	        version: null,
	        cipherSuite: null,
	        compressionMethod: null,
	        serverCertificate: null,
	        certificateRequest: null,
	        clientCertificate: null,
	        sp: {},
	        md5: forge.md.md5.create(),
	        sha1: forge.md.sha1.create()
	      };
	
	      // use existing session information
	      if(session) {
	        // only update version on connection, session version not yet set
	        c.version = session.version;
	        c.session.sp = session.sp;
	      }
	
	      // generate new client random
	      c.session.sp.client_random = tls.createRandom().getBytes();
	
	      // connection now open
	      c.open = true;
	
	      // send hello
	      tls.queue(c, tls.createRecord(c, {
	        type: tls.ContentType.handshake,
	        data: tls.createClientHello(c)
	      }));
	      tls.flush(c);
	    }
	  };
	
	  /**
	   * Called when TLS protocol data has been received from somewhere and should
	   * be processed by the TLS engine.
	   *
	   * @param data the TLS protocol data, as a string, to process.
	   *
	   * @return 0 if the data could be processed, otherwise the number of bytes
	   *         required for data to be processed.
	   */
	  c.process = function(data) {
	    var rval = 0;
	
	    // buffer input data
	    if(data) {
	      c.input.putBytes(data);
	    }
	
	    // process next record if no failure, process will be called after
	    // each record is handled (since handling can be asynchronous)
	    if(!c.fail) {
	      // reset record if ready and now empty
	      if(c.record !== null &&
	        c.record.ready && c.record.fragment.isEmpty()) {
	        c.record = null;
	      }
	
	      // if there is no pending record, try to read record header
	      if(c.record === null) {
	        rval = _readRecordHeader(c);
	      }
	
	      // read the next record (if record not yet ready)
	      if(!c.fail && c.record !== null && !c.record.ready) {
	        rval = _readRecord(c);
	      }
	
	      // record ready to be handled, update engine state
	      if(!c.fail && c.record !== null && c.record.ready) {
	        _update(c, c.record);
	      }
	    }
	
	    return rval;
	  };
	
	  /**
	   * Requests that application data be packaged into a TLS record. The
	   * tlsDataReady handler will be called when the TLS record(s) have been
	   * prepared.
	   *
	   * @param data the application data, as a raw 'binary' encoded string, to
	   *          be sent; to send utf-16/utf-8 string data, use the return value
	   *          of util.encodeUtf8(str).
	   *
	   * @return true on success, false on failure.
	   */
	  c.prepare = function(data) {
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.application_data,
	      data: forge.util.createBuffer(data)
	    }));
	    return tls.flush(c);
	  };
	
	  /**
	   * Requests that a heartbeat request be packaged into a TLS record for
	   * transmission. The tlsDataReady handler will be called when TLS record(s)
	   * have been prepared.
	   *
	   * When a heartbeat response has been received, the heartbeatReceived
	   * handler will be called with the matching payload. This handler can
	   * be used to clear a retransmission timer, etc.
	   *
	   * @param payload the heartbeat data to send as the payload in the message.
	   * @param [payloadLength] the payload length to use, defaults to the
	   *          actual payload length.
	   *
	   * @return true on success, false on failure.
	   */
	  c.prepareHeartbeatRequest = function(payload, payloadLength) {
	    if(payload instanceof forge.util.ByteBuffer) {
	      payload = payload.bytes();
	    }
	    if(typeof payloadLength === 'undefined') {
	      payloadLength = payload.length;
	    }
	    c.expectedHeartbeatPayload = payload;
	    tls.queue(c, tls.createRecord(c, {
	      type: tls.ContentType.heartbeat,
	      data: tls.createHeartbeat(
	        tls.HeartbeatMessageType.heartbeat_request, payload, payloadLength)
	    }));
	    return tls.flush(c);
	  };
	
	  /**
	   * Closes the connection (sends a close_notify alert).
	   *
	   * @param clearFail true to clear the fail flag (default: true).
	   */
	  c.close = function(clearFail) {
	    // save session if connection didn't fail
	    if(!c.fail && c.sessionCache && c.session) {
	      // only need to preserve session ID, version, and security params
	      var session = {
	        id: c.session.id,
	        version: c.session.version,
	        sp: c.session.sp
	      };
	      session.sp.keys = null;
	      c.sessionCache.setSession(session.id, session);
	    }
	
	    if(c.open) {
	      // connection no longer open, clear input
	      c.open = false;
	      c.input.clear();
	
	      // if connected or handshaking, send an alert
	      if(c.isConnected || c.handshaking) {
	        c.isConnected = c.handshaking = false;
	
	        // send close_notify alert
	        tls.queue(c, tls.createAlert(c, {
	          level: tls.Alert.Level.warning,
	          description: tls.Alert.Description.close_notify
	        }));
	        tls.flush(c);
	      }
	
	      // call handler
	      c.closed(c);
	    }
	
	    // reset TLS connection, do not clear fail flag
	    c.reset(clearFail);
	  };
	
	  return c;
	};
	
	  'require',
	  'module',
	  './asn1',
	  './hmac',
	  './md',
	  './pem',
	  './pki',
	  './random',
	  './util'
	
	/* TLS API */
	var forge = {
	  tls : module.exports || {},
	  asn1 : __webpack_require__(36),
	  hmac : __webpack_require__(40),
	  md : __webpack_require__(41),
	  pem : __webpack_require__(38),
	  pki : __webpack_require__(57),
	  random : __webpack_require__(49),
	  util : __webpack_require__(34)
	};
	
	// setup SHA1
	__webpack_require__(43);
	
	// setup MD5
	__webpack_require__(42);
	
	// expose non-functions
	for(var key in tls) {
	  if(typeof tls[key] !== 'function') {
	    forge.tls[key] = tls[key];
	  }
	}
	
	// expose prf_tls1 for testing
	forge.tls.prf_tls1 = prf_TLS1;
	
	// expose sha1 hmac method
	forge.tls.hmac_sha1 = hmac_sha1;
	
	// expose session cache creation
	forge.tls.createSessionCache = tls.createSessionCache;
	
	/**
	 * Creates a new TLS connection. This does not make any assumptions about the
	 * transport layer that TLS is working on top of, ie: it does not assume there
	 * is a TCP/IP connection or establish one. A TLS connection is totally
	 * abstracted away from the layer is runs on top of, it merely establishes a
	 * secure channel between a client" and a "server".
	 *
	 * A TLS connection contains 4 connection states: pending read and write, and
	 * current read and write.
	 *
	 * At initialization, the current read and write states will be null. Only once
	 * the security parameters have been set and the keys have been generated can
	 * the pending states be converted into current states. Current states will be
	 * updated for each record processed.
	 *
	 * A custom certificate verify callback may be provided to check information
	 * like the common name on the server's certificate. It will be called for
	 * every certificate in the chain. It has the following signature:
	 *
	 * variable func(c, certs, index, preVerify)
	 * Where:
	 * c         The TLS connection
	 * verified  Set to true if certificate was verified, otherwise the alert
	 *           tls.Alert.Description for why the certificate failed.
	 * depth     The current index in the chain, where 0 is the server's cert.
	 * certs     The certificate chain, *NOTE* if the server was anonymous then
	 *           the chain will be empty.
	 *
	 * The function returns true on success and on failure either the appropriate
	 * tls.Alert.Description or an object with 'alert' set to the appropriate
	 * tls.Alert.Description and 'message' set to a custom error message. If true
	 * is not returned then the connection will abort using, in order of
	 * availability, first the returned alert description, second the preVerify
	 * alert description, and lastly the default 'bad_certificate'.
	 *
	 * There are three callbacks that can be used to make use of client-side
	 * certificates where each takes the TLS connection as the first parameter:
	 *
	 * getCertificate(conn, hint)
	 *   The second parameter is a hint as to which certificate should be
	 *   returned. If the connection entity is a client, then the hint will be
	 *   the CertificateRequest message from the server that is part of the
	 *   TLS protocol. If the connection entity is a server, then it will be
	 *   the servername list provided via an SNI extension the ClientHello, if
	 *   one was provided (empty array if not). The hint can be examined to
	 *   determine which certificate to use (advanced). Most implementations
	 *   will just return a certificate. The return value must be a
	 *   PEM-formatted certificate or an array of PEM-formatted certificates
	 *   that constitute a certificate chain, with the first in the array/chain
	 *   being the client's certificate.
	 * getPrivateKey(conn, certificate)
	 *   The second parameter is an forge.pki X.509 certificate object that
	 *   is associated with the requested private key. The return value must
	 *   be a PEM-formatted private key.
	 * getSignature(conn, bytes, callback)
	 *   This callback can be used instead of getPrivateKey if the private key
	 *   is not directly accessible in javascript or should not be. For
	 *   instance, a secure external web service could provide the signature
	 *   in exchange for appropriate credentials. The second parameter is a
	 *   string of bytes to be signed that are part of the TLS protocol. These
	 *   bytes are used to verify that the private key for the previously
	 *   provided client-side certificate is accessible to the client. The
	 *   callback is a function that takes 2 parameters, the TLS connection
	 *   and the RSA encrypted (signed) bytes as a string. This callback must
	 *   be called once the signature is ready.
	 *
	 * @param options the options for this connection:
	 *   server: true if the connection is server-side, false for client.
	 *   sessionId: a session ID to reuse, null for a new connection.
	 *   caStore: an array of certificates to trust.
	 *   sessionCache: a session cache to use.
	 *   cipherSuites: an optional array of cipher suites to use,
	 *     see tls.CipherSuites.
	 *   connected: function(conn) called when the first handshake completes.
	 *   virtualHost: the virtual server name to use in a TLS SNI extension.
	 *   verifyClient: true to require a client certificate in server mode,
	 *     'optional' to request one, false not to (default: false).
	 *   verify: a handler used to custom verify certificates in the chain.
	 *   getCertificate: an optional callback used to get a certificate or
	 *     a chain of certificates (as an array).
	 *   getPrivateKey: an optional callback used to get a private key.
	 *   getSignature: an optional callback used to get a signature.
	 *   tlsDataReady: function(conn) called when TLS protocol data has been
	 *     prepared and is ready to be used (typically sent over a socket
	 *     connection to its destination), read from conn.tlsData buffer.
	 *   dataReady: function(conn) called when application data has
	 *     been parsed from a TLS record and should be consumed by the
	 *     application, read from conn.data buffer.
	 *   closed: function(conn) called when the connection has been closed.
	 *   error: function(conn, error) called when there was an error.
	 *   deflate: function(inBytes) if provided, will deflate TLS records using
	 *     the deflate algorithm if the server supports it.
	 *   inflate: function(inBytes) if provided, will inflate TLS records using
	 *     the deflate algorithm if the server supports it.
	 *
	 * @return the new TLS connection.
	 */
	forge.tls.createConnection = tls.createConnection;
	
	})();


/***/ },
/* 65 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * util/databuffer.js - Forge-compatible Buffer based on Node.js Buffers
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    base64url = __webpack_require__(66);
	
	/**
	 *
	 */
	function DataBuffer(b, options) {
	  options = options || {};
	
	  // treat (views of) (Array)Buffers special
	  // NOTE: default implementation creates copies, but efficiently
	  //       wherever possible
	  if (Buffer.isBuffer(b)) {
	    this.data = b;
	  } else if (forge.util.isArrayBuffer(b)) {
	    b = new Uint8Array(b);
	    this.data = new Buffer(b);
	  } else if (forge.util.isArrayBufferView(b)) {
	    b = new Uint8Array(b.buffer, b.byteOffset, b.byteLength);
	    this.data = new Buffer(b);
	  }
	
	  if (this.data) {
	    this.write = this.data.length;
	    b = undefined;
	  }
	
	  // setup growth rate
	  this.growSize = options.growSize || DataBuffer.DEFAULT_GROW_SIZE;
	
	  // initialize pointers and data
	  this.write = this.write || 0;
	  this.read = this.read || 0;
	  if (b) {
	    this.putBytes(b);
	  } else if (!this.data) {
	    this.accommodate(0);
	  }
	
	  // massage read/write pointers
	  options.readOffset = ("readOffset" in options) ?
	                       options.readOffset :
	                       this.read;
	  this.write = ("writeOffset" in options) ?
	               options.writeOffset :
	               this.write;
	  this.read = Math.min(options.readOffset, this.write);
	}
	DataBuffer.DEFAULT_GROW_SIZE = 16;
	
	DataBuffer.prototype.length = function() {
	  return this.write - this.read;
	};
	DataBuffer.prototype.available = function() {
	  return this.data.length - this.write;
	};
	DataBuffer.prototype.isEmpty = function() {
	  return this.length() <= 0;
	};
	
	DataBuffer.prototype.accommodate = function(length) {
	  if (!this.data) {
	    // initializes a new buffer
	    length = Math.max(this.write + length, this.growSize);
	
	    this.data = new Buffer(length);
	  } else if (this.available() < length) {
	    length = Math.max(length, this.growSize);
	
	    // create a new empty buffer, and copy current one into it
	    var src = this.data;
	    var dst = new Buffer(src.length + length);
	    src.copy(dst, 0);
	
	    // set data as the new buffer
	    this.data = dst;
	  }
	  // ensure the rest is 0
	  this.data.fill(0, this.write);
	
	  return this;
	};
	DataBuffer.prototype.clear = function() {
	  this.read = this.write = 0;
	  this.data = new Buffer(0);
	  return this;
	};
	DataBuffer.prototype.truncate = function(count) {
	  // chop off <count> bytes from the end
	  this.write = this.read + Math.max(0, this.length() - count);
	  // ensure the remainder is 0
	  this.data.fill(0, this.write);
	  return this;
	};
	DataBuffer.prototype.compact = function() {
	  if (this.read > 0) {
	    if (this.write === this.read) {
	      this.read = this.write = 0;
	    } else {
	      this.data.copy(this.data, 0, this.read, this.write);
	      this.write = this.write - this.read;
	      this.read = 0;
	    }
	    // ensure remainder is 0
	    this.data.fill(0, this.write);
	  }
	  return this;
	};
	DataBuffer.prototype.copy = function() {
	  return new DataBuffer(this, {
	    readOffset: this.read,
	    writeOffset: this.write,
	    growSize: this.growSize
	  });
	};
	
	DataBuffer.prototype.equals = function(test) {
	  if (!DataBuffer.isBuffer(test)) {
	    return false;
	  }
	
	  if (test.length() !== this.length()) {
	    return false;
	  }
	
	  var rval = true,
	      delta = this.read - test.read;
	  // constant time
	  for (var idx = test.read; test.write > idx; idx++) {
	    rval = rval && (this.data[idx + delta] === test.data[idx]);
	  }
	  return rval;
	};
	DataBuffer.prototype.at = function(idx) {
	  return this.data[this.read + idx];
	};
	DataBuffer.prototype.setAt = function(idx, b) {
	  this.data[this.read + idx] = b;
	  return this;
	};
	DataBuffer.prototype.last = function() {
	  return this.data[this.write - 1];
	};
	DataBuffer.prototype.bytes = function(count) {
	  var rval;
	  if (undefined === count) {
	    count = this.length();
	  } else if (count) {
	    count = Math.min(count, this.length());
	  }
	
	  if (0 === count) {
	    rval = "";
	  } else {
	    var begin = this.read,
	        end = begin + count,
	        data = this.data.slice(begin, end);
	    rval = String.fromCharCode.apply(null, data);
	  }
	
	  return rval;
	};
	DataBuffer.prototype.buffer = function(count) {
	  var rval;
	  if (undefined === count) {
	    count = this.length();
	  } else if (count) {
	    count = Math.min(count, this.length());
	  }
	
	  if (0 === count) {
	    rval = new ArrayBuffer(0);
	  } else {
	    var begin = this.read,
	        end = begin + count,
	        data = this.data.slice(begin, end);
	    rval = new Uint8Array(end - begin);
	    rval.set(data);
	  }
	
	  return rval;
	};
	DataBuffer.prototype.native = function(count) {
	  var rval;
	  if ("undefined" === typeof count) {
	    count = this.length();
	  } else if (count) {
	    count = Math.min(count, this.length());
	  }
	
	  if (0 === count) {
	    rval = new Buffer(0);
	  } else {
	    var begin = this.read,
	        end = begin + count;
	    rval = this.data.slice(begin, end);
	  }
	
	  return rval;
	};
	
	DataBuffer.prototype.toHex = function() {
	  return this.toString("hex");
	};
	DataBuffer.prototype.toString = function(encoding) {
	  // short circuit empty string
	  if (0 === this.length()) {
	    return "";
	  }
	
	  var view = this.data.slice(this.read, this.write);
	  encoding = encoding || "utf8";
	  // special cases, then built-in support
	  switch (encoding) {
	    case "raw":
	      return view.toString("binary");
	    case "base64url":
	      return base64url.encode(view);
	    case "utf16":
	      return view.toString("ucs2");
	    default:
	      return view.toString(encoding);
	  }
	};
	
	DataBuffer.prototype.fillWithByte = function(b, n) {
	  if (!n) {
	    n = this.available();
	  }
	  this.accommodate(n);
	  this.data.fill(b, this.write, this.write + n);
	  this.write += n;
	
	  return this;
	};
	
	DataBuffer.prototype.getBuffer = function(count) {
	  var rval = this.buffer(count);
	  this.read += rval.byteLength;
	
	  return rval;
	};
	DataBuffer.prototype.putBuffer = function(bytes) {
	  return this.putBytes(bytes);
	};
	
	DataBuffer.prototype.getBytes = function(count) {
	  var rval = this.bytes(count);
	  this.read += rval.length;
	  return rval;
	};
	DataBuffer.prototype.putBytes = function(bytes, encoding) {
	  if ("string" === typeof bytes) {
	    // fixup encoding
	    encoding = encoding || "binary";
	    switch (encoding) {
	      case "utf16":
	        // treat as UCS-2/UTF-16BE
	        encoding = "ucs-2";
	        break;
	      case "raw":
	        encoding = "binary";
	        break;
	      case "base64url":
	        // NOTE: this returns a Buffer
	        bytes = base64url.decode(bytes);
	        break;
	    }
	
	    // replace bytes with decoded Buffer (if not already)
	    if (!Buffer.isBuffer(bytes)) {
	      bytes = new Buffer(bytes, encoding);
	    }
	  }
	
	  var src, dst;
	  if (bytes instanceof DataBuffer) {
	    // be slightly more efficient
	    var orig = bytes;
	    bytes = orig.data.slice(orig.read, orig.write);
	    orig.read = orig.write;
	  } else if (bytes instanceof forge.util.ByteStringBuffer) {
	    bytes = bytes.getBytes();
	  }
	
	  // process array
	  if (Buffer.isBuffer(bytes)) {
	    src = bytes;
	  } else if (Array.isArray(bytes)) {
	    src = new Buffer(bytes);
	  } else if (forge.util.isArrayBuffer(bytes)) {
	    src = new Uint8Array(bytes);
	    src = new Buffer(src);
	  } else if (forge.util.isArrayBufferView(bytes)) {
	    src = (bytes instanceof Uint8Array) ?
	              bytes :
	              new Uint8Array(bytes.buffer,
	                             bytes.byteOffset,
	                             bytes.byteLength);
	    src = new Buffer(src);
	  } else {
	    throw new TypeError("invalid source type");
	  }
	
	  this.accommodate(src.length);
	  dst = this.data;
	  src.copy(dst, this.write);
	  this.write += src.length;
	
	  return this;
	};
	
	DataBuffer.prototype.getNative = function(count) {
	  var rval = this.native(count);
	  this.read += rval.length;
	  return rval;
	};
	DataBuffer.prototype.putNative = DataBuffer.prototype.putBuffer;
	
	DataBuffer.prototype.getByte = function() {
	  var b = this.data[this.read];
	  this.read = Math.min(this.read + 1, this.write);
	  return b;
	};
	DataBuffer.prototype.putByte = function(b) {
	  this.accommodate(1);
	  this.data[this.write] = b & 0xff;
	  this.write++;
	
	  return this;
	};
	
	DataBuffer.prototype.getInt16 = function() {
	  var n = (this.data[this.read] << 8) ^
	          (this.data[this.read + 1]);
	  this.read = Math.min(this.read + 2, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt16 = function(n) {
	  this.accommodate(2);
	  this.data[this.write] = (n >>> 8) & 0xff;
	  this.data[this.write + 1] = n & 0xff;
	  this.write += 2;
	  return this;
	};
	
	DataBuffer.prototype.getInt24 = function() {
	  var n = (this.data[this.read] << 16) ^
	          (this.data[this.read + 1] << 8) ^
	          this.data[this.read + 2];
	  this.read = Math.min(this.read + 3, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt24 = function(n) {
	  this.accommodate(3);
	  this.data[this.write] = (n >>> 16) & 0xff;
	  this.data[this.write + 1] = (n >>> 8) & 0xff;
	  this.data[this.write + 2] = n & 0xff;
	  this.write += 3;
	  return this;
	};
	
	DataBuffer.prototype.getInt32 = function() {
	  var n = (this.data[this.read] << 24) ^
	          (this.data[this.read + 1] << 16) ^
	          (this.data[this.read + 2] << 8) ^
	          this.data[this.read + 3];
	  this.read = Math.min(this.read + 4, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt32 = function(n) {
	  this.accommodate(4);
	  this.data[this.write] = (n >>> 24) & 0xff;
	  this.data[this.write + 1] = (n >>> 16) & 0xff;
	  this.data[this.write + 2] = (n >>> 8) & 0xff;
	  this.data[this.write + 3] = n & 0xff;
	  this.write += 4;
	  return this;
	};
	
	DataBuffer.prototype.getInt16Le = function() {
	  var n = (this.data[this.read + 1] << 8) ^
	          this.data[this.read];
	  this.read = Math.min(this.read + 2, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt16Le = function(n) {
	  this.accommodate(2);
	  this.data[this.write + 1] = (n >>> 8) & 0xff;
	  this.data[this.write] = n & 0xff;
	  this.write += 2;
	  return this;
	};
	
	DataBuffer.prototype.getInt24Le = function() {
	  var n = (this.data[this.read + 2] << 16) ^
	          (this.data[this.read + 1] << 8) ^
	          this.data[this.read];
	  this.read = Math.min(this.read + 3, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt24Le = function(n) {
	  this.accommodate(3);
	  this.data[this.write + 2] = (n >>> 16) & 0xff;
	  this.data[this.write + 1] = (n >>> 8) & 0xff;
	  this.data[this.write] = n & 0xff;
	  this.write += 3;
	  return this;
	};
	DataBuffer.prototype.getInt32Le = function() {
	  var n = (this.data[this.read + 3] << 24) ^
	          (this.data[this.read + 2] << 16) ^
	          (this.data[this.read + 1] << 8) ^
	          this.data[this.read];
	  this.read = Math.min(this.read + 4, this.write);
	  return n;
	};
	DataBuffer.prototype.putInt32Le = function(n) {
	  this.accommodate(4);
	  this.data[this.write + 3] = (n >>> 24) & 0xff;
	  this.data[this.write + 2] = (n >>> 16) & 0xff;
	  this.data[this.write + 1] = (n >>> 8) & 0xff;
	  this.data[this.write] = n & 0xff;
	  this.write += 4;
	  return this;
	};
	
	DataBuffer.prototype.getInt = function(bits) {
	  var rval = 0;
	  do {
	    rval = (rval << 8) | this.getByte();
	    bits -= 8;
	  } while (bits > 0);
	  return rval;
	};
	DataBuffer.prototype.putInt = function(n, bits) {
	  this.accommodate(Math.ceil(bits / 8));
	  do {
	    bits -= 8;
	    this.putByte((n >> bits) & 0xff);
	  } while (bits > 0);
	  return this;
	};
	
	DataBuffer.prototype.putSignedInt = function(n, bits) {
	  if (n < 0) {
	    n += 2 << (bits - 1);
	  }
	  return this.putInt(n, bits);
	};
	
	DataBuffer.prototype.putString = function(str) {
	  return this.putBytes(str, "utf16");
	};
	
	DataBuffer.isBuffer = function(test) {
	  return (test instanceof DataBuffer);
	};
	DataBuffer.asBuffer = function(orig) {
	  return DataBuffer.isBuffer(orig) ?
	         orig :
	         orig ?
	         new DataBuffer(orig) :
	         new DataBuffer();
	};
	
	module.exports = forge.util.ByteBuffer = DataBuffer;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 66 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * util/base64url.js - Implementation of web-safe Base64 Encoder/Decoder
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var impl = __webpack_require__(67);
	
	/**
	 * @namespace base64url
	 * @description
	 * Provides methods to encode and decode data according to the
	 * base64url alphabet.
	 */
	var base64url = {
	  /**
	   * @function
	   * Encodes the input to base64url.
	   *
	   * If {input} is a Buffer, then {encoding} is ignored. Otherwise,
	   * {encoding} can be one of "binary", "base64", "hex", "utf8".
	   *
	   * @param {Buffer|String} input The data to encode.
	   * @param {String} [encoding = binary] The input encoding format.
	   * @returns {String} the base64url encoding of {input}.
	   */
	  encode: impl.encode,
	  /**
	   * @function
	   * Decodes the input from base64url.
	   *
	   * @param {String} input The data to decode.
	   * @returns {Buffer|String} the base64url decoding of {input}.
	   */
	  decode: impl.decode
	};
	
	module.exports = base64url;


/***/ },
/* 67 */
/***/ function(module, exports, __webpack_require__) {

	
	module.exports = __webpack_require__(68);

/***/ },
/* 68 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * urlsafe-base64
	 */
	
	/**
	 * Module Dependencies
	 */
	
	// None yet!
	
	/**
	 * Library version.
	 */
	
	exports.version = '1.0.0';
	
	/**
	 * .encode
	 *
	 * return an encoded Buffer as URL Safe Base64.  If buffer is a string,
	 * it is coerced into a Buffer, optionally using the specified encoding.
	 *
	 * Note: This function encodes to the RFC 4648 Spec where '+' is encoded
	 *       as '-' and '/' is encoded as '_'. The padding character '=' is
	 *       removed.
	 *
	 * @param {Buffer|String} buffer
	 * @param {String} [encoding] The encoding of buffer if it is a string.
	 * @return {String}
	 * @api public
	 */
	
	exports.encode = function encode(buffer, encoding) {
	  if (buffer instanceof ArrayBuffer) {
	    buffer = new Uint8Array(buffer);
	  }
	  if (!Buffer.isBuffer(buffer)) {
	    buffer = new Buffer(buffer, encoding);
	  }
	
	  return buffer.toString('base64')
	    .replace(/\+/g, '-') // Convert '+' to '-'
	    .replace(/\//g, '_') // Convert '/' to '_'
	    .replace(/=+$/, ''); // Remove ending '='
	
	};
	
	/**
	 * .decode
	 *
	 * return an decoded URL Safe Base64 as Buffer
	 *
	 * @param {String}
	 * @return {Buffer}
	 * @api public
	 */
	
	exports.decode = function decode(base64) {
	
	  // Add removed at end '='
	  base64 += Array(5 - base64.length % 4).join('=');
	
	  base64 = base64
	    .replace(/\-/g, '+') // Convert '-' to '+'
	    .replace(/\_/g, '/'); // Convert '_' to '/'
	
	  return new Buffer(base64, 'base64');
	
	};
	
	/**
	 * .validate
	 *
	 * Validates a string if it is URL Safe Base64 encoded.
	 *
	 * @param {String}
	 * @return {Boolean}
	 * @api public
	 */
	
	exports.validate = function validate(base64) {
	
	  return /^[A-Za-z0-9\-_]+$/.test(base64);
	
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 69 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/sha.js - Cryptographic Secure Hash Algorithms, versions 1 and 2
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    helpers = __webpack_require__(26);
	
	function hashDigestFN(hash) {
	  var md = hash.replace("SHA-", "SHA").toLowerCase();
	
	  var alg = {
	    name: hash
	  };
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(pdata /* props */) {
	    var digest = forge.md[md].create();
	    digest.update(pdata);
	    digest = digest.digest().native();
	
	    return Promise.resolve(digest);
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto = function(pdata /* props */) {
	    var promise;
	    promise = helpers.subtleCrypto.digest(alg, pdata);
	    promise = promise.then(function(result) {
	      result = new Buffer(result);
	      return result;
	    });
	    return promise;
	  };
	
	  // ### nodejs Implementation
	  var nodejs = function(pdata /* props */) {
	    var digest = helpers.nodeCrypto.createHash(md);
	    digest.update(pdata);
	    return digest.digest();
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	// Public API
	// * [name].digest
	var sha = {};
	[
	  "SHA-1",
	  "SHA-256",
	  "SHA-384",
	  "SHA-512"
	].forEach(function(name) {
	  sha[name] = {
	    digest: hashDigestFN(name)
	  };
	});
	
	module.exports = sha;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 70 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * util/index.js - Utilities Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30);
	
	var util;
	
	function asBuffer(input, encoding) {
	  if (Buffer.isBuffer(input)) {
	    return input;
	  }
	
	  if ("string" === typeof input) {
	    encoding = encoding || "binary";
	    if ("base64url" === encoding) {
	      return util.base64url.decode(input);
	    }
	    return new Buffer(input, encoding);
	  }
	
	  // assume input is an Array, ArrayBuffer, or ArrayBufferView
	  if (forge.util.isArrayBufferView(input)) {
	    input = (input instanceof Uint8Array) ?
	            input :
	            new Uint8Array(input.buffer, input.byteOffset, input.byteOffset + input.byteLength);
	  } else if (forge.util.isArrayBuffer(input)) {
	    input = new Uint8Array(input);
	  }
	
	  var output;
	  output = new Buffer(input);
	
	  return output;
	}
	
	function randomBytes(len) {
	  return new Buffer(forge.random.getBytes(len), "binary");
	}
	
	util = {
	  base64url: __webpack_require__(66),
	  utf8: __webpack_require__(71),
	  asBuffer: asBuffer,
	  randomBytes: randomBytes
	};
	module.exports = util;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 71 */
/***/ function(module, exports) {

	/*!
	 * util/utf8.js - Implementation of UTF-8 Encoder/Decoder
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var utf8 = exports;
	
	utf8.encode = function(input) {
	  var output = encodeURIComponent(input || "");
	  output = output.replace(/\%([0-9a-fA-F]{2})/g, function(m, code) {
	    code = parseInt(code, 16);
	    return String.fromCharCode(code);
	  });
	
	  return output;
	};
	utf8.decode = function(input) {
	  var output = (input || "").replace(/[\u0080-\u00ff]/g, function(m) {
	    var code = (0x100 | m.charCodeAt(0)).toString(16).substring(1);
	    return "%" + code;
	  });
	  output = decodeURIComponent(output);
	
	  return output;
	};


/***/ },
/* 72 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/aes-gcm.js - AES-GCM Encryption and Key-Wrapping
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var helpers = __webpack_require__(26),
	    CONSTANTS = __webpack_require__(29),
	    GCM = __webpack_require__(73);
	
	function gcmEncryptFN(size) {
	  function commonChecks(key, iv) {
	    if (size !== (key.length << 3)) {
	       throw new Error("invalid key size");
	    }
	    if (12 !== iv.length) {
	      throw new Error("invalid iv");
	    }
	  }
	
	  // ### 'fallback' implementation -- uses forge
	  var fallback = function(key, pdata, props) {
	    var iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0),
	        cipher,
	        cdata;
	
	    // validate inputs
	    try {
	      commonChecks(key, iv, adata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    // setup cipher
	    cipher = GCM.createCipher({
	      key: key,
	      iv: iv,
	      additionalData: adata
	    });
	    // ciphertext is the same length as plaintext
	    cdata = new Buffer(pdata.length);
	
	    var promise = new Promise(function(resolve, reject) {
	      var amt = CONSTANTS.CHUNK_SIZE,
	          clen = 0,
	          poff = 0;
	
	      (function doChunk() {
	        var plen = Math.min(amt, pdata.length - poff);
	        clen += cipher.update(pdata,
	                              poff,
	                              plen,
	                              cdata,
	                              clen);
	        poff += plen;
	        if (pdata.length > poff) {
	          setTimeout(doChunk, 0);
	          return;
	        }
	
	        // finish it
	        clen += cipher.finish(cdata, clen);
	        if (clen !== pdata.length) {
	          reject(new Error("encryption failed"));
	          return;
	        }
	
	        // resolve with output
	        var tag = cipher.tag;
	        resolve({
	          data: cdata,
	          tag: tag
	        });
	      })();
	    });
	
	    return promise;
	  };
	
	  // ### WebCryptoAPI implementation
	  // TODO: cache CryptoKey sooner
	  var webcrypto = function(key, pdata, props) {
	    var iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0);
	
	    try {
	      commonChecks(key, iv, adata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = {
	      name: "AES-GCM"
	    };
	    var promise;
	    promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["encrypt"]);
	    promise = promise.then(function(key) {
	      alg.iv = iv;
	      alg.tagLength = 128;
	      if (adata.length) {
	        alg.additionalData = adata;
	      }
	
	      return helpers.subtleCrypto.encrypt(alg, key, pdata);
	    });
	    promise = promise.then(function(result) {
	      var tagStart = result.byteLength - 16;
	
	      var tag = result.slice(tagStart);
	      tag = new Buffer(tag);
	
	      var cdata = result.slice(0, tagStart);
	      cdata = new Buffer(cdata);
	
	      return {
	        data: cdata,
	        tag: tag
	      };
	    });
	
	    return promise;
	  };
	
	  // ### NodeJS implementation
	  var nodejs = function(key, pdata, props) {
	    var iv = props.iv || new Buffer(0),
	        adata = props.aad || props.adata || new Buffer(0);
	
	    try {
	      commonChecks(key, iv, adata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = "aes-" + (key.length * 8) + "-gcm";
	    var cipher;
	    try {
	      cipher = helpers.nodeCrypto.createCipheriv(alg, key, iv);
	    } catch (err) {
	      throw new Error("unsupported algorithm: " + alg);
	    }
	    if ("function" !== typeof cipher.setAAD) {
	      throw new Error("unsupported algorithm: " + alg);
	    }
	    if (adata.length) {
	      cipher.setAAD(adata);
	    }
	
	    var cdata = Buffer.concat([
	      cipher.update(pdata),
	      cipher.final()
	    ]);
	    var tag = cipher.getAuthTag();
	
	    return {
	      data: cdata,
	      tag: tag
	    };
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	function gcmDecryptFN(size) {
	  function commonChecks(key, iv, tag) {
	    if (size !== (key.length << 3)) {
	      throw new Error("invalid key size");
	    }
	    if (12 !== iv.length) {
	      throw new Error("invalid iv");
	    }
	    if (16 !== tag.length) {
	      throw new Error("invalid tag length");
	    }
	  }
	
	  // ### fallback implementation -- uses forge
	  var fallback = function(key, cdata, props) {
	    var adata = props.aad || props.adata || new Buffer(0),
	        iv = props.iv || new Buffer(0),
	        tag = props.tag || props.mac || new Buffer(0),
	        cipher,
	        pdata;
	
	    // validate inputs
	    try {
	      commonChecks(key, iv, tag);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    // setup cipher
	    cipher = GCM.createDecipher({
	      key: key,
	      iv: iv,
	      additionalData: adata,
	      tag: tag
	    });
	    // plaintext is the same length as ciphertext
	    pdata = new Buffer(cdata.length);
	
	    var promise = new Promise(function(resolve, reject) {
	      var amt = CONSTANTS.CHUNK_SIZE,
	          plen = 0,
	          coff = 0;
	
	      (function doChunk() {
	        var clen = Math.min(amt, cdata.length - coff);
	        plen += cipher.update(cdata,
	                              coff,
	                              clen,
	                              pdata,
	                              plen);
	        coff += clen;
	        if (cdata.length > coff) {
	          setTimeout(doChunk, 0);
	          return;
	        }
	
	        try {
	          plen += cipher.finish(pdata, plen);
	        } catch (err) {
	          reject(new Error("decryption failed"));
	          return;
	        }
	
	        if (plen !== cdata.length) {
	          reject(new Error("decryption failed"));
	          return;
	        }
	
	        // resolve with output
	        resolve(pdata);
	      })();
	    });
	
	    return promise;
	  };
	
	  // ### WebCryptoAPI implementation
	  // TODO: cache CryptoKey sooner
	  var webcrypto = function(key, cdata, props) {
	    var adata = props.aad || props.adata || new Buffer(0),
	        iv = props.iv || new Buffer(0),
	        tag = props.tag || props.mac || new Buffer(0);
	
	    // validate inputs
	    try {
	      commonChecks(key, iv, tag);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = {
	      name: "AES-GCM"
	    };
	    var promise;
	    promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["decrypt"]);
	    promise = promise.then(function(key) {
	      alg.iv = iv;
	      alg.tagLength = 128;
	      if (adata.length) {
	        alg.additionalData = adata;
	      }
	
	      // concatenate cdata and tag
	      cdata = Buffer.concat([cdata, tag], cdata.length + tag.length);
	
	      return helpers.subtleCrypto.decrypt(alg, key, cdata);
	    });
	    promise = promise.then(function(pdata) {
	      pdata = new Buffer(pdata);
	      return pdata;
	    });
	
	    return promise;
	  };
	
	  var nodejs = function(key, cdata, props) {
	    var adata = props.aad || props.adata || new Buffer(0),
	        iv = props.iv || new Buffer(0),
	        tag = props.tag || props.mac || new Buffer(0);
	
	    // validate inputs
	    try {
	      commonChecks(key, iv, tag);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = "aes-" + (key.length * 8) + "-gcm";
	    var cipher;
	    try {
	      cipher = helpers.nodeCrypto.createDecipheriv(alg, key, iv);
	    } catch(err) {
	      throw new Error("unsupported algorithm: " + alg);
	    }
	    if ("function" !== typeof cipher.setAAD) {
	      throw new Error("unsupported algorithm: " + alg);
	    }
	    cipher.setAuthTag(tag);
	    if (adata.length) {
	      cipher.setAAD(adata);
	    }
	
	    try {
	      var pdata = Buffer.concat([
	        cipher.update(cdata),
	        cipher.final()
	      ]);
	
	      return pdata;
	    } catch (err) {
	      throw new Error("decryption failed");
	    }
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	// ### Public API
	// * [name].encrypt
	// * [name].decrypt
	var aesGcm = {};
	[
	  "A128GCM",
	  "A192GCM",
	  "A256GCM",
	  "A128GCMKW",
	  "A192GCMKW",
	  "A256GCMKW"
	].forEach(function(alg) {
	  var size = parseInt(/A(\d+)GCM(?:KW)?/g.exec(alg)[1]);
	  aesGcm[alg] = {
	    encrypt: gcmEncryptFN(size),
	    decrypt: gcmDecryptFN(size)
	  };
	});
	
	module.exports = aesGcm;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 73 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * deps/ciphermodes/gcm/index.js - AES-GCM implementation Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	 "use strict";
	
	var Long = __webpack_require__(74),
	    forge = __webpack_require__(30),
	    multipliers = __webpack_require__(75),
	    helpers = __webpack_require__(76),
	    pack = __webpack_require__(78),
	    DataBuffer = __webpack_require__(65),
	    cipherHelpers = __webpack_require__(79);
	
	var BLOCK_SIZE = 16;
	
	// ### GCM Mode
	// ### Constructor
	function Gcm(options) {
	  options = options || {};
	
	  this.name = "GCM";
	  this.cipher = options.cipher;
	  this.blockSize = this.blockSize || 16;
	}
	
	// ### exports
	module.exports = {
	  createCipher: function(options) {
	    var alg = new forge.aes.Algorithm("AES-GCM", Gcm);
	    alg.initialize({
	      key: new DataBuffer(options.key)
	    });
	    alg.mode.start(options);
	
	    return alg.mode;
	  },
	  createDecipher: function(options) {
	    var alg = new forge.aes.Algorithm("AES-GCM", Gcm);
	    alg.initialize({
	      key: new DataBuffer(options.key)
	    });
	    alg.mode._decrypt = true;
	    alg.mode.start(options);
	
	    return alg.mode;
	  }
	};
	
	// ### Public API
	Gcm.prototype.start = function(options) {
	  this.tag = null;
	
	  options = options || {};
	
	  if (!("iv" in options)) {
	    throw new Error("Gcm needs ParametersWithIV or AEADParameters");
	  }
	  this.nonce = options.iv;
	  if (this.nonce == null || this.nonce.length < 1) {
	    throw new Error("IV must be at least 1 byte");
	  }
	
	  // TODO: variable tagLength?
	  this.tagLength = 16;
	
	  // TODO: validate tag
	  if ("tag" in options) {
	    this.tag = new Buffer(options.tag);
	  }
	
	  var bufLength = !this._decrypt ?
	                  this.blockSize :
	                  (this.blockSize + this.tagLength);
	  this.bufBlock = new Buffer(bufLength);
	  this.bufBlock.fill(0);
	
	  var multiplier = options.multiplier;
	  if (multiplier == null) {
	    multiplier = new (multipliers["8k"])();
	  }
	  this.multiplier = multiplier;
	
	  this.H = this.zeroBlock();
	  cipherHelpers.encrypt(this.cipher, this.H, 0, this.H, 0);
	
	  // GcmMultiplier tables don"t change unless the key changes
	  // (and are expensive to init)
	  this.multiplier.init(this.H);
	  this.exp = null;
	
	  this.J0 = this.zeroBlock();
	
	  if (this.nonce.length === 12) {
	    this.nonce.copy(this.J0, 0, 0, this.nonce.length);
	    this.J0[this.blockSize - 1] = 0x01;
	  } else {
	    this.gHASH(this.J0, this.nonce, this.nonce.length);
	    var X = this.zeroBlock();
	    pack.longToBigEndian(new Long(this.nonce.length).
	                         multiply(8), X, 8);
	    this.gHASHBlock(this.J0, X);
	  }
	
	  this.S = this.zeroBlock();
	  this.SAt = this.zeroBlock();
	  this.SAtPre = this.zeroBlock();
	  this.atBlock = this.zeroBlock();
	  this.atBlockPos = 0;
	  this.atLength = Long.ZERO;
	  this.atLengthPre = Long.ZERO;
	  this.counter = new Buffer(this.J0);
	  this.bufOff = 0;
	  this.totalLength = Long.ZERO;
	
	  if ("additionalData" in options) {
	    this.processAADBytes(options.additionalData, 0, options.additionalData.length);
	  }
	};
	
	Gcm.prototype.update = function(inV, inOff, len, out, outOff) {
	  var resultLen = 0;
	
	  while (len > 0) {
	    var inLen = Math.min(len, this.bufBlock.length - this.bufOff);
	    inV.copy(this.bufBlock, this.bufOff, inOff, inOff + inLen);
	    len -= inLen;
	    inOff += inLen;
	    this.bufOff += inLen;
	    if (this.bufOff === this.bufBlock.length) {
	      this.outputBlock(out, outOff + resultLen);
	      resultLen += this.blockSize;
	    }
	  }
	
	  return resultLen;
	};
	Gcm.prototype.finish = function(out, outOff) {
	  var resultLen = 0;
	
	  if (this._decrypt) {
	    // append tag
	    resultLen += this.update(this.tag, 0, this.tag.length, out, outOff);
	  }
	
	  if (this.totalLength.isZero()) {
	    this.initCipher();
	  }
	
	  var extra = this.bufOff;
	  if (this._decrypt) {
	    if (extra < this.tagLength) {
	      throw new Error("data too short");
	    }
	    extra -= this.tagLength;
	  }
	
	  if (extra > 0) {
	    this.gCTRPartial(this.bufBlock, 0, extra, out, outOff + resultLen);
	    resultLen += extra;
	  }
	
	  this.atLength = this.atLength.add(this.atBlockPos);
	
	  // Final gHASH
	  var X = this.zeroBlock();
	  pack.longToBigEndian(this.atLength.multiply(8),
	                       X,
	                       0);
	  pack.longToBigEndian(this.totalLength.multiply(8),
	                       X,
	                       8);
	
	  this.gHASHBlock(this.S, X);
	
	  // TODO Fix this if tagLength becomes configurable
	  // T = MSBt(GCTRk(J0,S))
	  var tag = new Buffer(this.blockSize);
	  tag.fill(0);
	  cipherHelpers.encrypt(this.cipher, this.J0, 0, tag, 0);
	  this.xor(tag, this.S);
	
	  if (this._decrypt) {
	    if (!helpers.arrayEqual(this.tag, tag)) {
	      throw new Error("mac check in Gcm failed");
	    }
	  } else {
	    // We place into tag our calculated value for T
	    this.tag = new Buffer(this.tagLength);
	    tag.copy(this.tag, 0, 0, this.tagLength);
	  }
	
	  return resultLen;
	};
	
	// ### "Internal" Helper Functions
	Gcm.prototype.initCipher = function() {
	  if (this.atLength.greaterThan(Long.ZERO)) {
	    this.SAt.copy(this.SAtPre, 0, 0, this.blockSize);
	    this.atLengthPre = this.atLength.add(Long.ZERO);
	  }
	
	  // Finish hash for partial AAD block
	  if (this.atBlockPos > 0) {
	    this.gHASHPartial(this.SAtPre, this.atBlock, 0, this.atBlockPos);
	    this.atLengthPre = this.atLengthPre.add(this.atBlockPos);
	  }
	
	  if (this.atLengthPre.greaterThan(Long.ZERO)) {
	    this.SAtPre.copy(this.S, 0, 0, this.blockSize);
	  }
	};
	
	Gcm.prototype.outputBlock = function(output, offset) {
	  if (this.totalLength.isZero()) {
	    this.initCipher();
	  }
	  this.gCTRBlock(this.bufBlock, output, offset);
	  if (!this._decrypt) {
	    this.bufOff = 0;
	  } else {
	    this.bufBlock.copy(this.bufBlock, 0, this.blockSize, this.blockSize + this.tagLength);
	    this.bufOff = this.tagLength;
	  }
	};
	
	Gcm.prototype.processAADBytes = function(inV, inOff, len) {
	  for (var i = 0; i < len; ++i) {
	    this.atBlock[this.atBlockPos] = inV[inOff + i];
	    if (++this.atBlockPos === this.blockSize) {
	      // Hash each block as it fills
	      this.gHASHBlock(this.SAt, this.atBlock);
	      this.atBlockPos = 0;
	      this.atLength = this.atLength.add(this.blockSize);
	    }
	  }
	};
	
	Gcm.prototype.getNextCounterBlock = function() {
	  for (var i = 15; i >= 12; --i) {
	    var b = ((this.counter[i] + 1) & 0xff);
	    this.counter[i] = b;
	
	    if (b !== 0) {
	      break;
	    }
	  }
	
	  // encrypt counter
	  var outb = new Buffer(this.blockSize);
	  outb.fill(0);
	  cipherHelpers.encrypt(this.cipher, this.counter, 0, outb, 0);
	
	  return outb;
	};
	
	Gcm.prototype.gCTRBlock = function(block, out, outOff) {
	  var tmp = this.getNextCounterBlock();
	
	  this.xor(tmp, block);
	  tmp.copy(out, outOff, 0, this.blockSize);
	
	  this.gHASHBlock(this.S, !this._decrypt ? tmp : block);
	
	  this.totalLength = this.totalLength.add(this.blockSize);
	};
	Gcm.prototype.gCTRPartial = function(buf, off, len, out, outOff) {
	  var tmp = this.getNextCounterBlock();
	
	  this.xor(tmp, buf, off, len);
	  tmp.copy(out, outOff, 0, len);
	
	  this.gHASHPartial(this.S, !this._decrypt ? tmp : buf, 0, len);
	
	  this.totalLength = this.totalLength.add(len);
	};
	
	Gcm.prototype.gHASHBlock = function(Y, b) {
	  this.xor(Y, b);
	  this.multiplier.multiplyH(Y);
	};
	Gcm.prototype.gHASHPartial = function(Y, b, off, len) {
	  this.xor(Y, b, off, len);
	  this.multiplier.multiplyH(Y);
	};
	
	Gcm.prototype.xor = function(block, val, off, len) {
	  switch (arguments.length) {
	    case 2:
	      for (var i = 15; i >= 0; --i) {
	        block[i] ^= val[i];
	      }
	      break;
	    case 4:
	      while (len-- > 0) {
	        block[len] ^= val[off + len];
	      }
	      break;
	    default:
	      throw new TypeError("Expected 2 or 4 arguments.");
	  }
	
	  return block;
	};
	
	Gcm.prototype.zeroBlock = function() {
	  var block = new Buffer(BLOCK_SIZE);
	  block.fill(0);
	  return block;
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 74 */
/***/ function(module, exports, __webpack_require__) {

	var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/* WEBPACK VAR INJECTION */(function(module) {/*
	 Copyright 2013 Daniel Wirtz <dcode@dcode.io>
	 Copyright 2009 The Closure Library Authors. All Rights Reserved.
	
	 Licensed under the Apache License, Version 2.0 (the "License");
	 you may not use this file except in compliance with the License.
	 You may obtain a copy of the License at
	
	 http://www.apache.org/licenses/LICENSE-2.0
	
	 Unless required by applicable law or agreed to in writing, software
	 distributed under the License is distributed on an "AS-IS" BASIS,
	 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 See the License for the specific language governing permissions and
	 limitations under the License.
	 */
	
	/**
	 * @license long.js (c) 2013 Daniel Wirtz <dcode@dcode.io>
	 * Released under the Apache License, Version 2.0
	 * see: https://github.com/dcodeIO/long.js for details
	 */
	(function(global, factory) {
	
	    /* AMD */ if ("function" === 'function' && __webpack_require__(23)["amd"])
	        !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_FACTORY__ = (factory), __WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ? (__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__), __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	    /* CommonJS */ else if ("function" === 'function' && typeof module === "object" && module && module["exports"])
	        module["exports"] = factory();
	    /* Global */ else
	        (global["dcodeIO"] = global["dcodeIO"] || {})["Long"] = factory();
	
	})(this, function() {
	    "use strict";
	
	    /**
	     * Constructs a 64 bit two's-complement integer, given its low and high 32 bit values as *signed* integers.
	     *  See the from* functions below for more convenient ways of constructing Longs.
	     * @exports Long
	     * @class A Long class for representing a 64 bit two's-complement integer value.
	     * @param {number} low The low (signed) 32 bits of the long
	     * @param {number} high The high (signed) 32 bits of the long
	     * @param {boolean=} unsigned Whether unsigned or not, defaults to `false` for signed
	     * @constructor
	     */
	    function Long(low, high, unsigned) {
	
	        /**
	         * The low 32 bits as a signed value.
	         * @type {number}
	         */
	        this.low = low | 0;
	
	        /**
	         * The high 32 bits as a signed value.
	         * @type {number}
	         */
	        this.high = high | 0;
	
	        /**
	         * Whether unsigned or not.
	         * @type {boolean}
	         */
	        this.unsigned = !!unsigned;
	    }
	
	    // The internal representation of a long is the two given signed, 32-bit values.
	    // We use 32-bit pieces because these are the size of integers on which
	    // Javascript performs bit-operations.  For operations like addition and
	    // multiplication, we split each number into 16 bit pieces, which can easily be
	    // multiplied within Javascript's floating-point representation without overflow
	    // or change in sign.
	    //
	    // In the algorithms below, we frequently reduce the negative case to the
	    // positive case by negating the input(s) and then post-processing the result.
	    // Note that we must ALWAYS check specially whether those values are MIN_VALUE
	    // (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
	    // a positive number, it overflows back into a negative).  Not handling this
	    // case would often result in infinite recursion.
	    //
	    // Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the from*
	    // methods on which they depend.
	
	    /**
	     * An indicator used to reliably determine if an object is a Long or not.
	     * @type {boolean}
	     * @const
	     * @private
	     */
	    Long.prototype.__isLong__;
	
	    Object.defineProperty(Long.prototype, "__isLong__", {
	        value: true,
	        enumerable: false,
	        configurable: false
	    });
	
	    /**
	     * @function
	     * @param {*} obj Object
	     * @returns {boolean}
	     * @inner
	     */
	    function isLong(obj) {
	        return (obj && obj["__isLong__"]) === true;
	    }
	
	    /**
	     * Tests if the specified object is a Long.
	     * @function
	     * @param {*} obj Object
	     * @returns {boolean}
	     */
	    Long.isLong = isLong;
	
	    /**
	     * A cache of the Long representations of small integer values.
	     * @type {!Object}
	     * @inner
	     */
	    var INT_CACHE = {};
	
	    /**
	     * A cache of the Long representations of small unsigned integer values.
	     * @type {!Object}
	     * @inner
	     */
	    var UINT_CACHE = {};
	
	    /**
	     * @param {number} value
	     * @param {boolean=} unsigned
	     * @returns {!Long}
	     * @inner
	     */
	    function fromInt(value, unsigned) {
	        var obj, cachedObj, cache;
	        if (unsigned) {
	            value >>>= 0;
	            if (cache = (0 <= value && value < 256)) {
	                cachedObj = UINT_CACHE[value];
	                if (cachedObj)
	                    return cachedObj;
	            }
	            obj = fromBits(value, (value | 0) < 0 ? -1 : 0, true);
	            if (cache)
	                UINT_CACHE[value] = obj;
	            return obj;
	        } else {
	            value |= 0;
	            if (cache = (-128 <= value && value < 128)) {
	                cachedObj = INT_CACHE[value];
	                if (cachedObj)
	                    return cachedObj;
	            }
	            obj = fromBits(value, value < 0 ? -1 : 0, false);
	            if (cache)
	                INT_CACHE[value] = obj;
	            return obj;
	        }
	    }
	
	    /**
	     * Returns a Long representing the given 32 bit integer value.
	     * @function
	     * @param {number} value The 32 bit integer in question
	     * @param {boolean=} unsigned Whether unsigned or not, defaults to `false` for signed
	     * @returns {!Long} The corresponding Long value
	     */
	    Long.fromInt = fromInt;
	
	    /**
	     * @param {number} value
	     * @param {boolean=} unsigned
	     * @returns {!Long}
	     * @inner
	     */
	    function fromNumber(value, unsigned) {
	        if (isNaN(value) || !isFinite(value))
	            return unsigned ? UZERO : ZERO;
	        if (unsigned) {
	            if (value < 0)
	                return UZERO;
	            if (value >= TWO_PWR_64_DBL)
	                return MAX_UNSIGNED_VALUE;
	        } else {
	            if (value <= -TWO_PWR_63_DBL)
	                return MIN_VALUE;
	            if (value + 1 >= TWO_PWR_63_DBL)
	                return MAX_VALUE;
	        }
	        if (value < 0)
	            return fromNumber(-value, unsigned).neg();
	        return fromBits((value % TWO_PWR_32_DBL) | 0, (value / TWO_PWR_32_DBL) | 0, unsigned);
	    }
	
	    /**
	     * Returns a Long representing the given value, provided that it is a finite number. Otherwise, zero is returned.
	     * @function
	     * @param {number} value The number in question
	     * @param {boolean=} unsigned Whether unsigned or not, defaults to `false` for signed
	     * @returns {!Long} The corresponding Long value
	     */
	    Long.fromNumber = fromNumber;
	
	    /**
	     * @param {number} lowBits
	     * @param {number} highBits
	     * @param {boolean=} unsigned
	     * @returns {!Long}
	     * @inner
	     */
	    function fromBits(lowBits, highBits, unsigned) {
	        return new Long(lowBits, highBits, unsigned);
	    }
	
	    /**
	     * Returns a Long representing the 64 bit integer that comes by concatenating the given low and high bits. Each is
	     *  assumed to use 32 bits.
	     * @function
	     * @param {number} lowBits The low 32 bits
	     * @param {number} highBits The high 32 bits
	     * @param {boolean=} unsigned Whether unsigned or not, defaults to `false` for signed
	     * @returns {!Long} The corresponding Long value
	     */
	    Long.fromBits = fromBits;
	
	    /**
	     * @function
	     * @param {number} base
	     * @param {number} exponent
	     * @returns {number}
	     * @inner
	     */
	    var pow_dbl = Math.pow; // Used 4 times (4*8 to 15+4)
	
	    /**
	     * @param {string} str
	     * @param {(boolean|number)=} unsigned
	     * @param {number=} radix
	     * @returns {!Long}
	     * @inner
	     */
	    function fromString(str, unsigned, radix) {
	        if (str.length === 0)
	            throw Error('empty string');
	        if (str === "NaN" || str === "Infinity" || str === "+Infinity" || str === "-Infinity")
	            return ZERO;
	        if (typeof unsigned === 'number') {
	            // For goog.math.long compatibility
	            radix = unsigned,
	            unsigned = false;
	        } else {
	            unsigned = !! unsigned;
	        }
	        radix = radix || 10;
	        if (radix < 2 || 36 < radix)
	            throw RangeError('radix');
	
	        var p;
	        if ((p = str.indexOf('-')) > 0)
	            throw Error('interior hyphen');
	        else if (p === 0) {
	            return fromString(str.substring(1), unsigned, radix).neg();
	        }
	
	        // Do several (8) digits each time through the loop, so as to
	        // minimize the calls to the very expensive emulated div.
	        var radixToPower = fromNumber(pow_dbl(radix, 8));
	
	        var result = ZERO;
	        for (var i = 0; i < str.length; i += 8) {
	            var size = Math.min(8, str.length - i),
	                value = parseInt(str.substring(i, i + size), radix);
	            if (size < 8) {
	                var power = fromNumber(pow_dbl(radix, size));
	                result = result.mul(power).add(fromNumber(value));
	            } else {
	                result = result.mul(radixToPower);
	                result = result.add(fromNumber(value));
	            }
	        }
	        result.unsigned = unsigned;
	        return result;
	    }
	
	    /**
	     * Returns a Long representation of the given string, written using the specified radix.
	     * @function
	     * @param {string} str The textual representation of the Long
	     * @param {(boolean|number)=} unsigned Whether unsigned or not, defaults to `false` for signed
	     * @param {number=} radix The radix in which the text is written (2-36), defaults to 10
	     * @returns {!Long} The corresponding Long value
	     */
	    Long.fromString = fromString;
	
	    /**
	     * @function
	     * @param {!Long|number|string|!{low: number, high: number, unsigned: boolean}} val
	     * @returns {!Long}
	     * @inner
	     */
	    function fromValue(val) {
	        if (val /* is compatible */ instanceof Long)
	            return val;
	        if (typeof val === 'number')
	            return fromNumber(val);
	        if (typeof val === 'string')
	            return fromString(val);
	        // Throws for non-objects, converts non-instanceof Long:
	        return fromBits(val.low, val.high, val.unsigned);
	    }
	
	    /**
	     * Converts the specified value to a Long.
	     * @function
	     * @param {!Long|number|string|!{low: number, high: number, unsigned: boolean}} val Value
	     * @returns {!Long}
	     */
	    Long.fromValue = fromValue;
	
	    // NOTE: the compiler should inline these constant values below and then remove these variables, so there should be
	    // no runtime penalty for these.
	
	    /**
	     * @type {number}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_16_DBL = 1 << 16;
	
	    /**
	     * @type {number}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_24_DBL = 1 << 24;
	
	    /**
	     * @type {number}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_32_DBL = TWO_PWR_16_DBL * TWO_PWR_16_DBL;
	
	    /**
	     * @type {number}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_64_DBL = TWO_PWR_32_DBL * TWO_PWR_32_DBL;
	
	    /**
	     * @type {number}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_63_DBL = TWO_PWR_64_DBL / 2;
	
	    /**
	     * @type {!Long}
	     * @const
	     * @inner
	     */
	    var TWO_PWR_24 = fromInt(TWO_PWR_24_DBL);
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var ZERO = fromInt(0);
	
	    /**
	     * Signed zero.
	     * @type {!Long}
	     */
	    Long.ZERO = ZERO;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var UZERO = fromInt(0, true);
	
	    /**
	     * Unsigned zero.
	     * @type {!Long}
	     */
	    Long.UZERO = UZERO;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var ONE = fromInt(1);
	
	    /**
	     * Signed one.
	     * @type {!Long}
	     */
	    Long.ONE = ONE;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var UONE = fromInt(1, true);
	
	    /**
	     * Unsigned one.
	     * @type {!Long}
	     */
	    Long.UONE = UONE;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var NEG_ONE = fromInt(-1);
	
	    /**
	     * Signed negative one.
	     * @type {!Long}
	     */
	    Long.NEG_ONE = NEG_ONE;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var MAX_VALUE = fromBits(0xFFFFFFFF|0, 0x7FFFFFFF|0, false);
	
	    /**
	     * Maximum signed value.
	     * @type {!Long}
	     */
	    Long.MAX_VALUE = MAX_VALUE;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var MAX_UNSIGNED_VALUE = fromBits(0xFFFFFFFF|0, 0xFFFFFFFF|0, true);
	
	    /**
	     * Maximum unsigned value.
	     * @type {!Long}
	     */
	    Long.MAX_UNSIGNED_VALUE = MAX_UNSIGNED_VALUE;
	
	    /**
	     * @type {!Long}
	     * @inner
	     */
	    var MIN_VALUE = fromBits(0, 0x80000000|0, false);
	
	    /**
	     * Minimum signed value.
	     * @type {!Long}
	     */
	    Long.MIN_VALUE = MIN_VALUE;
	
	    /**
	     * @alias Long.prototype
	     * @inner
	     */
	    var LongPrototype = Long.prototype;
	
	    /**
	     * Converts the Long to a 32 bit integer, assuming it is a 32 bit integer.
	     * @returns {number}
	     */
	    LongPrototype.toInt = function toInt() {
	        return this.unsigned ? this.low >>> 0 : this.low;
	    };
	
	    /**
	     * Converts the Long to a the nearest floating-point representation of this value (double, 53 bit mantissa).
	     * @returns {number}
	     */
	    LongPrototype.toNumber = function toNumber() {
	        if (this.unsigned)
	            return ((this.high >>> 0) * TWO_PWR_32_DBL) + (this.low >>> 0);
	        return this.high * TWO_PWR_32_DBL + (this.low >>> 0);
	    };
	
	    /**
	     * Converts the Long to a string written in the specified radix.
	     * @param {number=} radix Radix (2-36), defaults to 10
	     * @returns {string}
	     * @override
	     * @throws {RangeError} If `radix` is out of range
	     */
	    LongPrototype.toString = function toString(radix) {
	        radix = radix || 10;
	        if (radix < 2 || 36 < radix)
	            throw RangeError('radix');
	        if (this.isZero())
	            return '0';
	        if (this.isNegative()) { // Unsigned Longs are never negative
	            if (this.eq(MIN_VALUE)) {
	                // We need to change the Long value before it can be negated, so we remove
	                // the bottom-most digit in this base and then recurse to do the rest.
	                var radixLong = fromNumber(radix),
	                    div = this.div(radixLong),
	                    rem1 = div.mul(radixLong).sub(this);
	                return div.toString(radix) + rem1.toInt().toString(radix);
	            } else
	                return '-' + this.neg().toString(radix);
	        }
	
	        // Do several (6) digits each time through the loop, so as to
	        // minimize the calls to the very expensive emulated div.
	        var radixToPower = fromNumber(pow_dbl(radix, 6), this.unsigned),
	            rem = this;
	        var result = '';
	        while (true) {
	            var remDiv = rem.div(radixToPower),
	                intval = rem.sub(remDiv.mul(radixToPower)).toInt() >>> 0,
	                digits = intval.toString(radix);
	            rem = remDiv;
	            if (rem.isZero())
	                return digits + result;
	            else {
	                while (digits.length < 6)
	                    digits = '0' + digits;
	                result = '' + digits + result;
	            }
	        }
	    };
	
	    /**
	     * Gets the high 32 bits as a signed integer.
	     * @returns {number} Signed high bits
	     */
	    LongPrototype.getHighBits = function getHighBits() {
	        return this.high;
	    };
	
	    /**
	     * Gets the high 32 bits as an unsigned integer.
	     * @returns {number} Unsigned high bits
	     */
	    LongPrototype.getHighBitsUnsigned = function getHighBitsUnsigned() {
	        return this.high >>> 0;
	    };
	
	    /**
	     * Gets the low 32 bits as a signed integer.
	     * @returns {number} Signed low bits
	     */
	    LongPrototype.getLowBits = function getLowBits() {
	        return this.low;
	    };
	
	    /**
	     * Gets the low 32 bits as an unsigned integer.
	     * @returns {number} Unsigned low bits
	     */
	    LongPrototype.getLowBitsUnsigned = function getLowBitsUnsigned() {
	        return this.low >>> 0;
	    };
	
	    /**
	     * Gets the number of bits needed to represent the absolute value of this Long.
	     * @returns {number}
	     */
	    LongPrototype.getNumBitsAbs = function getNumBitsAbs() {
	        if (this.isNegative()) // Unsigned Longs are never negative
	            return this.eq(MIN_VALUE) ? 64 : this.neg().getNumBitsAbs();
	        var val = this.high != 0 ? this.high : this.low;
	        for (var bit = 31; bit > 0; bit--)
	            if ((val & (1 << bit)) != 0)
	                break;
	        return this.high != 0 ? bit + 33 : bit + 1;
	    };
	
	    /**
	     * Tests if this Long's value equals zero.
	     * @returns {boolean}
	     */
	    LongPrototype.isZero = function isZero() {
	        return this.high === 0 && this.low === 0;
	    };
	
	    /**
	     * Tests if this Long's value is negative.
	     * @returns {boolean}
	     */
	    LongPrototype.isNegative = function isNegative() {
	        return !this.unsigned && this.high < 0;
	    };
	
	    /**
	     * Tests if this Long's value is positive.
	     * @returns {boolean}
	     */
	    LongPrototype.isPositive = function isPositive() {
	        return this.unsigned || this.high >= 0;
	    };
	
	    /**
	     * Tests if this Long's value is odd.
	     * @returns {boolean}
	     */
	    LongPrototype.isOdd = function isOdd() {
	        return (this.low & 1) === 1;
	    };
	
	    /**
	     * Tests if this Long's value is even.
	     * @returns {boolean}
	     */
	    LongPrototype.isEven = function isEven() {
	        return (this.low & 1) === 0;
	    };
	
	    /**
	     * Tests if this Long's value equals the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.equals = function equals(other) {
	        if (!isLong(other))
	            other = fromValue(other);
	        if (this.unsigned !== other.unsigned && (this.high >>> 31) === 1 && (other.high >>> 31) === 1)
	            return false;
	        return this.high === other.high && this.low === other.low;
	    };
	
	    /**
	     * Tests if this Long's value equals the specified's. This is an alias of {@link Long#equals}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.eq = LongPrototype.equals;
	
	    /**
	     * Tests if this Long's value differs from the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.notEquals = function notEquals(other) {
	        return !this.eq(/* validates */ other);
	    };
	
	    /**
	     * Tests if this Long's value differs from the specified's. This is an alias of {@link Long#notEquals}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.neq = LongPrototype.notEquals;
	
	    /**
	     * Tests if this Long's value is less than the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.lessThan = function lessThan(other) {
	        return this.comp(/* validates */ other) < 0;
	    };
	
	    /**
	     * Tests if this Long's value is less than the specified's. This is an alias of {@link Long#lessThan}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.lt = LongPrototype.lessThan;
	
	    /**
	     * Tests if this Long's value is less than or equal the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.lessThanOrEqual = function lessThanOrEqual(other) {
	        return this.comp(/* validates */ other) <= 0;
	    };
	
	    /**
	     * Tests if this Long's value is less than or equal the specified's. This is an alias of {@link Long#lessThanOrEqual}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.lte = LongPrototype.lessThanOrEqual;
	
	    /**
	     * Tests if this Long's value is greater than the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.greaterThan = function greaterThan(other) {
	        return this.comp(/* validates */ other) > 0;
	    };
	
	    /**
	     * Tests if this Long's value is greater than the specified's. This is an alias of {@link Long#greaterThan}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.gt = LongPrototype.greaterThan;
	
	    /**
	     * Tests if this Long's value is greater than or equal the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.greaterThanOrEqual = function greaterThanOrEqual(other) {
	        return this.comp(/* validates */ other) >= 0;
	    };
	
	    /**
	     * Tests if this Long's value is greater than or equal the specified's. This is an alias of {@link Long#greaterThanOrEqual}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {boolean}
	     */
	    LongPrototype.gte = LongPrototype.greaterThanOrEqual;
	
	    /**
	     * Compares this Long's value with the specified's.
	     * @param {!Long|number|string} other Other value
	     * @returns {number} 0 if they are the same, 1 if the this is greater and -1
	     *  if the given one is greater
	     */
	    LongPrototype.compare = function compare(other) {
	        if (!isLong(other))
	            other = fromValue(other);
	        if (this.eq(other))
	            return 0;
	        var thisNeg = this.isNegative(),
	            otherNeg = other.isNegative();
	        if (thisNeg && !otherNeg)
	            return -1;
	        if (!thisNeg && otherNeg)
	            return 1;
	        // At this point the sign bits are the same
	        if (!this.unsigned)
	            return this.sub(other).isNegative() ? -1 : 1;
	        // Both are positive if at least one is unsigned
	        return (other.high >>> 0) > (this.high >>> 0) || (other.high === this.high && (other.low >>> 0) > (this.low >>> 0)) ? -1 : 1;
	    };
	
	    /**
	     * Compares this Long's value with the specified's. This is an alias of {@link Long#compare}.
	     * @function
	     * @param {!Long|number|string} other Other value
	     * @returns {number} 0 if they are the same, 1 if the this is greater and -1
	     *  if the given one is greater
	     */
	    LongPrototype.comp = LongPrototype.compare;
	
	    /**
	     * Negates this Long's value.
	     * @returns {!Long} Negated Long
	     */
	    LongPrototype.negate = function negate() {
	        if (!this.unsigned && this.eq(MIN_VALUE))
	            return MIN_VALUE;
	        return this.not().add(ONE);
	    };
	
	    /**
	     * Negates this Long's value. This is an alias of {@link Long#negate}.
	     * @function
	     * @returns {!Long} Negated Long
	     */
	    LongPrototype.neg = LongPrototype.negate;
	
	    /**
	     * Returns the sum of this and the specified Long.
	     * @param {!Long|number|string} addend Addend
	     * @returns {!Long} Sum
	     */
	    LongPrototype.add = function add(addend) {
	        if (!isLong(addend))
	            addend = fromValue(addend);
	
	        // Divide each number into 4 chunks of 16 bits, and then sum the chunks.
	
	        var a48 = this.high >>> 16;
	        var a32 = this.high & 0xFFFF;
	        var a16 = this.low >>> 16;
	        var a00 = this.low & 0xFFFF;
	
	        var b48 = addend.high >>> 16;
	        var b32 = addend.high & 0xFFFF;
	        var b16 = addend.low >>> 16;
	        var b00 = addend.low & 0xFFFF;
	
	        var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
	        c00 += a00 + b00;
	        c16 += c00 >>> 16;
	        c00 &= 0xFFFF;
	        c16 += a16 + b16;
	        c32 += c16 >>> 16;
	        c16 &= 0xFFFF;
	        c32 += a32 + b32;
	        c48 += c32 >>> 16;
	        c32 &= 0xFFFF;
	        c48 += a48 + b48;
	        c48 &= 0xFFFF;
	        return fromBits((c16 << 16) | c00, (c48 << 16) | c32, this.unsigned);
	    };
	
	    /**
	     * Returns the difference of this and the specified Long.
	     * @param {!Long|number|string} subtrahend Subtrahend
	     * @returns {!Long} Difference
	     */
	    LongPrototype.subtract = function subtract(subtrahend) {
	        if (!isLong(subtrahend))
	            subtrahend = fromValue(subtrahend);
	        return this.add(subtrahend.neg());
	    };
	
	    /**
	     * Returns the difference of this and the specified Long. This is an alias of {@link Long#subtract}.
	     * @function
	     * @param {!Long|number|string} subtrahend Subtrahend
	     * @returns {!Long} Difference
	     */
	    LongPrototype.sub = LongPrototype.subtract;
	
	    /**
	     * Returns the product of this and the specified Long.
	     * @param {!Long|number|string} multiplier Multiplier
	     * @returns {!Long} Product
	     */
	    LongPrototype.multiply = function multiply(multiplier) {
	        if (this.isZero())
	            return ZERO;
	        if (!isLong(multiplier))
	            multiplier = fromValue(multiplier);
	        if (multiplier.isZero())
	            return ZERO;
	        if (this.eq(MIN_VALUE))
	            return multiplier.isOdd() ? MIN_VALUE : ZERO;
	        if (multiplier.eq(MIN_VALUE))
	            return this.isOdd() ? MIN_VALUE : ZERO;
	
	        if (this.isNegative()) {
	            if (multiplier.isNegative())
	                return this.neg().mul(multiplier.neg());
	            else
	                return this.neg().mul(multiplier).neg();
	        } else if (multiplier.isNegative())
	            return this.mul(multiplier.neg()).neg();
	
	        // If both longs are small, use float multiplication
	        if (this.lt(TWO_PWR_24) && multiplier.lt(TWO_PWR_24))
	            return fromNumber(this.toNumber() * multiplier.toNumber(), this.unsigned);
	
	        // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
	        // We can skip products that would overflow.
	
	        var a48 = this.high >>> 16;
	        var a32 = this.high & 0xFFFF;
	        var a16 = this.low >>> 16;
	        var a00 = this.low & 0xFFFF;
	
	        var b48 = multiplier.high >>> 16;
	        var b32 = multiplier.high & 0xFFFF;
	        var b16 = multiplier.low >>> 16;
	        var b00 = multiplier.low & 0xFFFF;
	
	        var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
	        c00 += a00 * b00;
	        c16 += c00 >>> 16;
	        c00 &= 0xFFFF;
	        c16 += a16 * b00;
	        c32 += c16 >>> 16;
	        c16 &= 0xFFFF;
	        c16 += a00 * b16;
	        c32 += c16 >>> 16;
	        c16 &= 0xFFFF;
	        c32 += a32 * b00;
	        c48 += c32 >>> 16;
	        c32 &= 0xFFFF;
	        c32 += a16 * b16;
	        c48 += c32 >>> 16;
	        c32 &= 0xFFFF;
	        c32 += a00 * b32;
	        c48 += c32 >>> 16;
	        c32 &= 0xFFFF;
	        c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
	        c48 &= 0xFFFF;
	        return fromBits((c16 << 16) | c00, (c48 << 16) | c32, this.unsigned);
	    };
	
	    /**
	     * Returns the product of this and the specified Long. This is an alias of {@link Long#multiply}.
	     * @function
	     * @param {!Long|number|string} multiplier Multiplier
	     * @returns {!Long} Product
	     */
	    LongPrototype.mul = LongPrototype.multiply;
	
	    /**
	     * Returns this Long divided by the specified. The result is signed if this Long is signed or
	     *  unsigned if this Long is unsigned.
	     * @param {!Long|number|string} divisor Divisor
	     * @returns {!Long} Quotient
	     */
	    LongPrototype.divide = function divide(divisor) {
	        if (!isLong(divisor))
	            divisor = fromValue(divisor);
	        if (divisor.isZero())
	            throw Error('division by zero');
	        if (this.isZero())
	            return this.unsigned ? UZERO : ZERO;
	        var approx, rem, res;
	        if (!this.unsigned) {
	            // This section is only relevant for signed longs and is derived from the
	            // closure library as a whole.
	            if (this.eq(MIN_VALUE)) {
	                if (divisor.eq(ONE) || divisor.eq(NEG_ONE))
	                    return MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
	                else if (divisor.eq(MIN_VALUE))
	                    return ONE;
	                else {
	                    // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
	                    var halfThis = this.shr(1);
	                    approx = halfThis.div(divisor).shl(1);
	                    if (approx.eq(ZERO)) {
	                        return divisor.isNegative() ? ONE : NEG_ONE;
	                    } else {
	                        rem = this.sub(divisor.mul(approx));
	                        res = approx.add(rem.div(divisor));
	                        return res;
	                    }
	                }
	            } else if (divisor.eq(MIN_VALUE))
	                return this.unsigned ? UZERO : ZERO;
	            if (this.isNegative()) {
	                if (divisor.isNegative())
	                    return this.neg().div(divisor.neg());
	                return this.neg().div(divisor).neg();
	            } else if (divisor.isNegative())
	                return this.div(divisor.neg()).neg();
	            res = ZERO;
	        } else {
	            // The algorithm below has not been made for unsigned longs. It's therefore
	            // required to take special care of the MSB prior to running it.
	            if (!divisor.unsigned)
	                divisor = divisor.toUnsigned();
	            if (divisor.gt(this))
	                return UZERO;
	            if (divisor.gt(this.shru(1))) // 15 >>> 1 = 7 ; with divisor = 8 ; true
	                return UONE;
	            res = UZERO;
	        }
	
	        // Repeat the following until the remainder is less than other:  find a
	        // floating-point that approximates remainder / other *from below*, add this
	        // into the result, and subtract it from the remainder.  It is critical that
	        // the approximate value is less than or equal to the real value so that the
	        // remainder never becomes negative.
	        rem = this;
	        while (rem.gte(divisor)) {
	            // Approximate the result of division. This may be a little greater or
	            // smaller than the actual value.
	            approx = Math.max(1, Math.floor(rem.toNumber() / divisor.toNumber()));
	
	            // We will tweak the approximate result by changing it in the 48-th digit or
	            // the smallest non-fractional digit, whichever is larger.
	            var log2 = Math.ceil(Math.log(approx) / Math.LN2),
	                delta = (log2 <= 48) ? 1 : pow_dbl(2, log2 - 48),
	
	            // Decrease the approximation until it is smaller than the remainder.  Note
	            // that if it is too large, the product overflows and is negative.
	                approxRes = fromNumber(approx),
	                approxRem = approxRes.mul(divisor);
	            while (approxRem.isNegative() || approxRem.gt(rem)) {
	                approx -= delta;
	                approxRes = fromNumber(approx, this.unsigned);
	                approxRem = approxRes.mul(divisor);
	            }
	
	            // We know the answer can't be zero... and actually, zero would cause
	            // infinite recursion since we would make no progress.
	            if (approxRes.isZero())
	                approxRes = ONE;
	
	            res = res.add(approxRes);
	            rem = rem.sub(approxRem);
	        }
	        return res;
	    };
	
	    /**
	     * Returns this Long divided by the specified. This is an alias of {@link Long#divide}.
	     * @function
	     * @param {!Long|number|string} divisor Divisor
	     * @returns {!Long} Quotient
	     */
	    LongPrototype.div = LongPrototype.divide;
	
	    /**
	     * Returns this Long modulo the specified.
	     * @param {!Long|number|string} divisor Divisor
	     * @returns {!Long} Remainder
	     */
	    LongPrototype.modulo = function modulo(divisor) {
	        if (!isLong(divisor))
	            divisor = fromValue(divisor);
	        return this.sub(this.div(divisor).mul(divisor));
	    };
	
	    /**
	     * Returns this Long modulo the specified. This is an alias of {@link Long#modulo}.
	     * @function
	     * @param {!Long|number|string} divisor Divisor
	     * @returns {!Long} Remainder
	     */
	    LongPrototype.mod = LongPrototype.modulo;
	
	    /**
	     * Returns the bitwise NOT of this Long.
	     * @returns {!Long}
	     */
	    LongPrototype.not = function not() {
	        return fromBits(~this.low, ~this.high, this.unsigned);
	    };
	
	    /**
	     * Returns the bitwise AND of this Long and the specified.
	     * @param {!Long|number|string} other Other Long
	     * @returns {!Long}
	     */
	    LongPrototype.and = function and(other) {
	        if (!isLong(other))
	            other = fromValue(other);
	        return fromBits(this.low & other.low, this.high & other.high, this.unsigned);
	    };
	
	    /**
	     * Returns the bitwise OR of this Long and the specified.
	     * @param {!Long|number|string} other Other Long
	     * @returns {!Long}
	     */
	    LongPrototype.or = function or(other) {
	        if (!isLong(other))
	            other = fromValue(other);
	        return fromBits(this.low | other.low, this.high | other.high, this.unsigned);
	    };
	
	    /**
	     * Returns the bitwise XOR of this Long and the given one.
	     * @param {!Long|number|string} other Other Long
	     * @returns {!Long}
	     */
	    LongPrototype.xor = function xor(other) {
	        if (!isLong(other))
	            other = fromValue(other);
	        return fromBits(this.low ^ other.low, this.high ^ other.high, this.unsigned);
	    };
	
	    /**
	     * Returns this Long with bits shifted to the left by the given amount.
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shiftLeft = function shiftLeft(numBits) {
	        if (isLong(numBits))
	            numBits = numBits.toInt();
	        if ((numBits &= 63) === 0)
	            return this;
	        else if (numBits < 32)
	            return fromBits(this.low << numBits, (this.high << numBits) | (this.low >>> (32 - numBits)), this.unsigned);
	        else
	            return fromBits(0, this.low << (numBits - 32), this.unsigned);
	    };
	
	    /**
	     * Returns this Long with bits shifted to the left by the given amount. This is an alias of {@link Long#shiftLeft}.
	     * @function
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shl = LongPrototype.shiftLeft;
	
	    /**
	     * Returns this Long with bits arithmetically shifted to the right by the given amount.
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shiftRight = function shiftRight(numBits) {
	        if (isLong(numBits))
	            numBits = numBits.toInt();
	        if ((numBits &= 63) === 0)
	            return this;
	        else if (numBits < 32)
	            return fromBits((this.low >>> numBits) | (this.high << (32 - numBits)), this.high >> numBits, this.unsigned);
	        else
	            return fromBits(this.high >> (numBits - 32), this.high >= 0 ? 0 : -1, this.unsigned);
	    };
	
	    /**
	     * Returns this Long with bits arithmetically shifted to the right by the given amount. This is an alias of {@link Long#shiftRight}.
	     * @function
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shr = LongPrototype.shiftRight;
	
	    /**
	     * Returns this Long with bits logically shifted to the right by the given amount.
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shiftRightUnsigned = function shiftRightUnsigned(numBits) {
	        if (isLong(numBits))
	            numBits = numBits.toInt();
	        numBits &= 63;
	        if (numBits === 0)
	            return this;
	        else {
	            var high = this.high;
	            if (numBits < 32) {
	                var low = this.low;
	                return fromBits((low >>> numBits) | (high << (32 - numBits)), high >>> numBits, this.unsigned);
	            } else if (numBits === 32)
	                return fromBits(high, 0, this.unsigned);
	            else
	                return fromBits(high >>> (numBits - 32), 0, this.unsigned);
	        }
	    };
	
	    /**
	     * Returns this Long with bits logically shifted to the right by the given amount. This is an alias of {@link Long#shiftRightUnsigned}.
	     * @function
	     * @param {number|!Long} numBits Number of bits
	     * @returns {!Long} Shifted Long
	     */
	    LongPrototype.shru = LongPrototype.shiftRightUnsigned;
	
	    /**
	     * Converts this Long to signed.
	     * @returns {!Long} Signed long
	     */
	    LongPrototype.toSigned = function toSigned() {
	        if (!this.unsigned)
	            return this;
	        return fromBits(this.low, this.high, false);
	    };
	
	    /**
	     * Converts this Long to unsigned.
	     * @returns {!Long} Unsigned long
	     */
	    LongPrototype.toUnsigned = function toUnsigned() {
	        if (this.unsigned)
	            return this;
	        return fromBits(this.low, this.high, true);
	    };
	
	    /**
	     * Converts this Long to its byte representation.
	     * @param {boolean=} le Whether little or big endian, defaults to big endian
	     * @returns {!Array.<number>} Byte representation
	     */
	    LongPrototype.toBytes = function(le) {
	        return le ? this.toBytesLE() : this.toBytesBE();
	    }
	
	    /**
	     * Converts this Long to its little endian byte representation.
	     * @returns {!Array.<number>} Little endian byte representation
	     */
	    LongPrototype.toBytesLE = function() {
	        var hi = this.high,
	            lo = this.low;
	        return [
	             lo         & 0xff,
	            (lo >>>  8) & 0xff,
	            (lo >>> 16) & 0xff,
	            (lo >>> 24) & 0xff,
	             hi         & 0xff,
	            (hi >>>  8) & 0xff,
	            (hi >>> 16) & 0xff,
	            (hi >>> 24) & 0xff
	        ];
	    }
	
	    /**
	     * Converts this Long to its big endian byte representation.
	     * @returns {!Array.<number>} Big endian byte representation
	     */
	    LongPrototype.toBytesBE = function() {
	        var hi = this.high,
	            lo = this.low;
	        return [
	            (hi >>> 24) & 0xff,
	            (hi >>> 16) & 0xff,
	            (hi >>>  8) & 0xff,
	             hi         & 0xff,
	            (lo >>> 24) & 0xff,
	            (lo >>> 16) & 0xff,
	            (lo >>>  8) & 0xff,
	             lo         & 0xff
	        ];
	    }
	
	    return Long;
	});
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(21)(module)))

/***/ },
/* 75 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * deps/ciphermodes/gcm/multipliers.js - AES-GCM Multipliers
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	 "use strict";
	
	var helpers = __webpack_require__(76),
	    pack = __webpack_require__(78);
	
	
	// ### 8K Table Multiplier
	function Gcm8KMultiplier() {
	  this.H = [];
	  this.M = null;
	}
	
	Gcm8KMultiplier.prototype.init = function(H) {
	  var i, j, k;
	  if (this.M == null) {
	    // sc: I realize this UGLY...
	    //M = new int[32][16][4];
	    this.M = [];
	    for (i = 0; i < 32; ++i) {
	      this.M[i] = [];
	      for (j = 0; j < 16; ++j) {
	        this.M[i][j] = [];
	        for (k = 0; k < 4; ++k) {
	          this.M[i][j][k] = 0;
	        }
	      }
	    }
	  } else if (helpers.arrayEqual(this.H, H)) {
	    return;
	  }
	
	  this.H = H.slice();
	
	  // M[0][0] is ZEROES;
	  // M[1][0] is ZEROES;
	  helpers.asInts(H, this.M[1][8]);
	
	  for (j = 4; j >= 1; j >>= 1) {
	    helpers.multiplyP(this.M[1][j + j], this.M[1][j]);
	  }
	  helpers.multiplyP(this.M[1][1], this.M[0][8]);
	
	  for (j = 4; j >= 1; j >>= 1) {
	    helpers.multiplyP(this.M[0][j + j], this.M[0][j]);
	  }
	
	  i = 0;
	  for (;;) {
	    for (j = 2; j < 16; j += j) {
	      for (k = 1; k < j; ++k) {
	        helpers.xor(this.M[i][j], this.M[i][k], this.M[i][j + k]);
	      }
	    }
	
	    if (++i === 32) {
	      return;
	    }
	
	    if (i > 1) {
	      // M[i][0] is ZEROES;
	      for (j = 8; j > 0; j >>= 1) {
	        helpers.multiplyP8(this.M[i - 2][j], this.M[i][j]);
	      }
	    }
	  }
	};
	Gcm8KMultiplier.prototype.multiplyH = function(x) {
	  var z = [];
	  for (var i = 15; i >= 0; --i) {
	    var m = this.M[i + i][x[i] & 0x0f];
	    z[0] ^= m[0];
	    z[1] ^= m[1];
	    z[2] ^= m[2];
	    z[3] ^= m[3];
	    m = this.M[i + i + 1][(x[i] & 0xf0) >>> 4];
	    z[0] ^= m[0];
	    z[1] ^= m[1];
	    z[2] ^= m[2];
	    z[3] ^= m[3];
	  }
	
	  pack.intToBigEndian(z, x, 0);
	};
	
	
	module.exports = {
	  "8k": Gcm8KMultiplier
	};


/***/ },
/* 76 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * deps/ciphermodes/gcm/helpers.js - AES-GCM Helper Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var Long = __webpack_require__(74),
	    fill = __webpack_require__(77),
	    pack = __webpack_require__(78);
	
	var E1 = 0xe1000000,
	    E1B = 0xe1,
	    E1L = new Long(E1 >> 8);
	
	function generateLookup() {
	  var lookup = [];
	
	  for (var c = 0; c < 256; ++c) {
	    var v = 0;
	    for (var i = 7; i >= 0; --i) {
	      if ((c & (1 << i)) !== 0) {
	        v ^= (E1 >>> (7 - i));
	      }
	    }
	    lookup.push(v);
	  }
	
	  return lookup;
	}
	
	var helpers = module.exports = {
	  // ### Constants
	  E1: E1,
	  E1B: E1B,
	  E1L: E1L,
	  LOOKUP: generateLookup(),
	
	  // ### Array Helpers
	  arrayCopy: function(src, srcPos, dest, destPos, length) {
	    // Start by checking for negatives since arrays in JS auto-expand
	    if (srcPos < 0 || destPos < 0 || length < 0) {
	      throw new TypeError("Invalid input.");
	    }
	
	    if (dest instanceof Uint8Array) {
	      // Check for overflow if dest is a typed-array
	      if (destPos >= dest.length || (destPos + length) > dest.length) {
	        throw new TypeError("Invalid input.");
	      }
	
	      if (srcPos !== 0 || length < src.length) {
	        if (src instanceof Uint8Array) {
	          src = src.subarray(srcPos, srcPos + length);
	        } else {
	          src = src.slice(srcPos, srcPos + length);
	        }
	      }
	
	      dest.set(src, destPos);
	    } else {
	      for (var i = 0; i < length; ++i) {
	        dest[destPos + i] = src[srcPos + i];
	      }
	    }
	  },
	  arrayEqual: function(a1, a2) {
	    a1 = a1 || [];
	    a2 = a2 || [];
	
	    var len = Math.min(a1.length, a2.length),
	        result = (a1.length === a2.length);
	
	    for (var idx = 0; idx < len; idx++) {
	      result = result &&
	               ("undefined" !== typeof a1[idx]) &&
	               ("undefined" !== typeof a2[idx]) &&
	               (a1[idx] === a2[idx]);
	    }
	
	    return result;
	  },
	
	  // ### Conversions
	  asBytes: function(x, z) {
	    switch (arguments.length) {
	      case 1:
	        z = new Buffer(16);
	        z.fill(0);
	        pack.intToBigEndian(x, z, 0);
	        return z;
	      case 2:
	        pack.intToBigEndian(x, z, 0);
	        break;
	      default:
	        throw new TypeError("Expected 1 or 2 arguments.");
	    }
	  },
	  asInts: function(x, z) {
	    switch (arguments.length) {
	      case 1:
	        z = [];
	        fill(z, 0, 0, 4);
	        pack.bigEndianToInt(x, 0, z);
	        return z;
	      case 2:
	        pack.bigEndianToInt(x, 0, z);
	        break;
	      default:
	        throw new TypeError("Expected 1 or 2 arguments.");
	    }
	  },
	  oneAsInts: function() {
	    var tmp = [];
	    for (var c = 0; c < 4; ++c) {
	        tmp.push(1 << 31);
	    }
	    return tmp;
	  },
	
	  // ## Bit-wise
	  shiftRight: function(x, z) {
	    var b, c;
	    switch (arguments.length) {
	      case 1:
	        b = x[0];
	        x[0] = b >>> 1;
	        c = b << 31;
	        b = x[1];
	        x[1] = (b >>> 1) | c;
	        c = b << 31;
	        b = x[2];
	        x[2] = (b >>> 1) | c;
	        c = b << 31;
	        b = x[3];
	        x[3] = (b >>> 1) | c;
	        return (b << 31) & 0xffffffff;
	      case 2:
	        b = x[0];
	        z[0] = b >>> 1;
	        c = b << 31;
	        b = x[1];
	        z[1] = (b >>> 1) | c;
	        c = b << 31;
	        b = x[2];
	        z[2] = (b >>> 1) | c;
	        c = b << 31;
	        b = x[3];
	        z[3] = (b >>> 1) | c;
	        return (b << 31) & 0xffffffff;
	      default:
	        throw new TypeError("Expected 1 or 2 arguments.");
	    }
	  },
	  shiftRightN: function(x, n, z) {
	    var nInv, b, c;
	    switch (arguments.length) {
	      case 2:
	        b = x[0];
	        nInv = 32 - n;
	        x[0] = b >>> n;
	        c = b << nInv;
	        b = x[1];
	        x[1] = (b >>> n) | c;
	        c = b << nInv;
	        b = x[2];
	        x[2] = (b >>> n) | c;
	        c = b << nInv;
	        b = x[3];
	        x[3] = (b >>> n) | c;
	        return b << nInv;
	      case 3:
	        b = x[0];
	        nInv = 32 - n;
	        z[0] = b >>> n;
	        c = b << nInv;
	        b = x[1];
	        z[1] = (b >>> n) | c;
	        c = b << nInv;
	        b = x[2];
	        z[2] = (b >>> n) | c;
	        c = b << nInv;
	        b = x[3];
	        z[3] = (b >>> n) | c;
	        return b << nInv;
	      default:
	        throw new TypeError("Expected 2 or 3 arguments.");
	    }
	  },
	  xor: function(x, y, z) {
	    switch (arguments.length) {
	      case 2:
	        x[0] ^= y[0];
	        x[1] ^= y[1];
	        x[2] ^= y[2];
	        x[3] ^= y[3];
	        break;
	      case 3:
	        z[0] = x[0] ^ y[0];
	        z[1] = x[1] ^ y[1];
	        z[2] = x[2] ^ y[2];
	        z[3] = x[3] ^ y[3];
	        break;
	      default:
	        throw new TypeError("Expected 2 or 3 arguments.");
	    }
	  },
	
	  multiply: function(x, y) {
	    var r0 = x.slice();
	    var r1 = [];
	
	    for (var i = 0; i < 4; ++i) {
	      var bits = y[i];
	      for (var j = 31; j >= 0; --j) {
	        if ((bits & (1 << j)) !== 0) {
	          helpers.xor(r1, r0);
	        }
	
	        if (helpers.shiftRight(r0) !== 0) {
	          r0[0] ^= helpers.E1;
	        }
	      }
	    }
	
	    helpers.arrayCopy(r1, 0, x, 0, 4);
	  },
	  multiplyP: function(x, y) {
	    switch (arguments.length) {
	      case 1:
	        if (helpers.shiftRight(x) !== 0) {
	          x[0] ^= helpers.E1;
	        }
	        break;
	      case 2:
	        if (helpers.shiftRight(x, y) !== 0) {
	          y[0] ^= helpers.E1;
	        }
	        break;
	      default:
	        throw new TypeError("Expected 1 or 2 arguments.");
	    }
	  },
	  multiplyP8: function(x, y) {
	    var c;
	    switch (arguments.length) {
	      case 1:
	        c = helpers.shiftRightN(x, 8);
	        x[0] ^= helpers.LOOKUP[c >>> 24];
	        break;
	      case 2:
	        c = helpers.shiftRightN(x, 8, y);
	        y[0] ^= helpers.LOOKUP[c >>> 24];
	        break;
	      default:
	        throw new TypeError("Expected 1 or 2 arguments.");
	    }
	  }
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 77 */
/***/ function(module, exports) {

	/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0,
	    MAX_SAFE_INTEGER = 9007199254740991,
	    MAX_INTEGER = 1.7976931348623157e+308,
	    NAN = 0 / 0;
	
	/** Used as references for the maximum length and index of an array. */
	var MAX_ARRAY_LENGTH = 4294967295;
	
	/** `Object#toString` result references. */
	var funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    symbolTag = '[object Symbol]';
	
	/** Used to match leading and trailing whitespace. */
	var reTrim = /^\s+|\s+$/g;
	
	/** Used to detect bad signed hexadecimal string values. */
	var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
	
	/** Used to detect binary string values. */
	var reIsBinary = /^0b[01]+$/i;
	
	/** Used to detect octal string values. */
	var reIsOctal = /^0o[0-7]+$/i;
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/** Built-in method references without a dependency on `root`. */
	var freeParseInt = parseInt;
	
	/** Used for built-in method references. */
	var objectProto = Object.prototype;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/**
	 * The base implementation of `_.clamp` which doesn't coerce arguments.
	 *
	 * @private
	 * @param {number} number The number to clamp.
	 * @param {number} [lower] The lower bound.
	 * @param {number} upper The upper bound.
	 * @returns {number} Returns the clamped number.
	 */
	function baseClamp(number, lower, upper) {
	  if (number === number) {
	    if (upper !== undefined) {
	      number = number <= upper ? number : upper;
	    }
	    if (lower !== undefined) {
	      number = number >= lower ? number : lower;
	    }
	  }
	  return number;
	}
	
	/**
	 * The base implementation of `_.fill` without an iteratee call guard.
	 *
	 * @private
	 * @param {Array} array The array to fill.
	 * @param {*} value The value to fill `array` with.
	 * @param {number} [start=0] The start position.
	 * @param {number} [end=array.length] The end position.
	 * @returns {Array} Returns `array`.
	 */
	function baseFill(array, value, start, end) {
	  var length = array.length;
	
	  start = toInteger(start);
	  if (start < 0) {
	    start = -start > length ? 0 : (length + start);
	  }
	  end = (end === undefined || end > length) ? length : toInteger(end);
	  if (end < 0) {
	    end += length;
	  }
	  end = start > end ? 0 : toLength(end);
	  while (start < end) {
	    array[start++] = value;
	  }
	  return array;
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if the given arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
	 *  else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index;
	  if (type == 'number'
	        ? (isArrayLike(object) && isIndex(index, object.length))
	        : (type == 'string' && index in object)
	      ) {
	    return eq(object[index], value);
	  }
	  return false;
	}
	
	/**
	 * Fills elements of `array` with `value` from `start` up to, but not
	 * including, `end`.
	 *
	 * **Note:** This method mutates `array`.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.2.0
	 * @category Array
	 * @param {Array} array The array to fill.
	 * @param {*} value The value to fill `array` with.
	 * @param {number} [start=0] The start position.
	 * @param {number} [end=array.length] The end position.
	 * @returns {Array} Returns `array`.
	 * @example
	 *
	 * var array = [1, 2, 3];
	 *
	 * _.fill(array, 'a');
	 * console.log(array);
	 * // => ['a', 'a', 'a']
	 *
	 * _.fill(Array(3), 2);
	 * // => [2, 2, 2]
	 *
	 * _.fill([4, 6, 8, 10], '*', 1, 3);
	 * // => [4, '*', '*', 10]
	 */
	function fill(array, value, start, end) {
	  var length = array ? array.length : 0;
	  if (!length) {
	    return [];
	  }
	  if (start && typeof start != 'number' && isIterateeCall(array, value, start)) {
	    start = 0;
	    end = length;
	  }
	  return baseFill(array, value, start, end);
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Checks if `value` is classified as a `Symbol` primitive or object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
	 * @example
	 *
	 * _.isSymbol(Symbol.iterator);
	 * // => true
	 *
	 * _.isSymbol('abc');
	 * // => false
	 */
	function isSymbol(value) {
	  return typeof value == 'symbol' ||
	    (isObjectLike(value) && objectToString.call(value) == symbolTag);
	}
	
	/**
	 * Converts `value` to a finite number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.12.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted number.
	 * @example
	 *
	 * _.toFinite(3.2);
	 * // => 3.2
	 *
	 * _.toFinite(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toFinite(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toFinite('3.2');
	 * // => 3.2
	 */
	function toFinite(value) {
	  if (!value) {
	    return value === 0 ? value : 0;
	  }
	  value = toNumber(value);
	  if (value === INFINITY || value === -INFINITY) {
	    var sign = (value < 0 ? -1 : 1);
	    return sign * MAX_INTEGER;
	  }
	  return value === value ? value : 0;
	}
	
	/**
	 * Converts `value` to an integer.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted integer.
	 * @example
	 *
	 * _.toInteger(3.2);
	 * // => 3
	 *
	 * _.toInteger(Number.MIN_VALUE);
	 * // => 0
	 *
	 * _.toInteger(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toInteger('3.2');
	 * // => 3
	 */
	function toInteger(value) {
	  var result = toFinite(value),
	      remainder = result % 1;
	
	  return result === result ? (remainder ? result - remainder : result) : 0;
	}
	
	/**
	 * Converts `value` to an integer suitable for use as the length of an
	 * array-like object.
	 *
	 * **Note:** This method is based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted integer.
	 * @example
	 *
	 * _.toLength(3.2);
	 * // => 3
	 *
	 * _.toLength(Number.MIN_VALUE);
	 * // => 0
	 *
	 * _.toLength(Infinity);
	 * // => 4294967295
	 *
	 * _.toLength('3.2');
	 * // => 3
	 */
	function toLength(value) {
	  return value ? baseClamp(toInteger(value), 0, MAX_ARRAY_LENGTH) : 0;
	}
	
	/**
	 * Converts `value` to a number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to process.
	 * @returns {number} Returns the number.
	 * @example
	 *
	 * _.toNumber(3.2);
	 * // => 3.2
	 *
	 * _.toNumber(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toNumber(Infinity);
	 * // => Infinity
	 *
	 * _.toNumber('3.2');
	 * // => 3.2
	 */
	function toNumber(value) {
	  if (typeof value == 'number') {
	    return value;
	  }
	  if (isSymbol(value)) {
	    return NAN;
	  }
	  if (isObject(value)) {
	    var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
	    value = isObject(other) ? (other + '') : other;
	  }
	  if (typeof value != 'string') {
	    return value === 0 ? value : +value;
	  }
	  value = value.replace(reTrim, '');
	  var isBinary = reIsBinary.test(value);
	  return (isBinary || reIsOctal.test(value))
	    ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
	    : (reIsBadHex.test(value) ? NAN : +value);
	}
	
	module.exports = fill;


/***/ },
/* 78 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * deps/ciphermodes/pack.js - Pack/Unpack Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var Long = __webpack_require__(74);
	
	var pack = module.exports = {
	  intToBigEndian: function(n, bs, off) {
	    if (typeof n === "number") {
	      switch (arguments.length) {
	        case 1:
	          bs = new Buffer(4);
	          bs.fill(0);
	          pack.intToBigEndian(n, bs, 0);
	          break;
	        case 3:
	          bs[off] = 0xff & (n >>> 24);
	          bs[++off] = 0xff & (n >>> 16);
	          bs[++off] = 0xff & (n >>> 8);
	          bs[++off] = 0xff & (n);
	          break;
	        default:
	          throw new TypeError("Expected 1 or 3 arguments.");
	      }
	    } else {
	      switch (arguments.length) {
	        case 1:
	          bs = new Buffer(4 * n.length);
	          bs.fill(0);
	          pack.intToBigEndian(n, bs, 0);
	          break;
	        case 3:
	          for (var i = 0; i < n.length; ++i) {
	            pack.intToBigEndian(n[i], bs, off);
	            off += 4;
	          }
	          break;
	        default:
	          throw new TypeError("Expected 1 or 3 arguments.");
	      }
	    }
	
	    return bs;
	  },
	  longToBigEndian: function(n, bs, off) {
	    if (!Array.isArray(n)) {
	      // Single
	      switch (arguments.length) {
	        case 1:
	          bs = new Buffer(8);
	          bs.fill(0);
	          pack.longToBigEndian(n, bs, 0);
	          break;
	        case 3:
	          var lo = n.low,
	              hi = n.high;
	          pack.intToBigEndian(hi, bs, off);
	          pack.intToBigEndian(lo, bs, off + 4);
	          break;
	        default:
	          throw new TypeError("Expected 1 or 3 arguments.");
	      }
	    } else {
	      // Array
	      switch (arguments.length) {
	        case 1:
	          bs = new Buffer(8 * n.length);
	          bs.fill(0);
	          pack.longToBigEndian(n, bs, 0);
	          break;
	        case 3:
	          for (var i = 0; i < n.length; ++i) {
	            pack.longToBigEndian(n[i], bs, off);
	            off += 8;
	          }
	          break;
	        default:
	          throw new TypeError("Expected 1 or 3 arguments.");
	      }
	    }
	
	    return bs;
	  },
	
	  bigEndianToInt: function(bs, off, ns) {
	    switch (arguments.length) {
	      case 2:
	        var n = bs[off] << 24;
	        n |= (bs[++off] & 0xff) << 16;
	        n |= (bs[++off] & 0xff) << 8;
	        n |= (bs[++off] & 0xff);
	        return n;
	      case 3:
	        for (var i = 0; i < ns.length; ++i) {
	          ns[i] = pack.bigEndianToInt(bs, off);
	          off += 4;
	        }
	        break;
	      default:
	        throw new TypeError("Expected 2 or 3 arguments.");
	    }
	  },
	  bigEndianToLong: function(bs, off, ns) {
	    switch (arguments.length) {
	      case 2:
	        var hi = pack.bigEndianToInt(bs, off);
	        var lo = pack.bigEndianToInt(bs, off + 4);
	        var num = new Long(lo, hi);
	        return num;
	      case 3:
	        for (var i = 0; i < ns.length; ++i) {
	          ns[i] = pack.bigEndianToLong(bs, off);
	          off += 8;
	        }
	        break;
	      default:
	        throw new TypeError("Expected 2 or 3 arguments.");
	    }
	  }
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 79 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * deps/ciphermodes/helpers.js - Cipher Helper Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var pack = __webpack_require__(78);
	
	function doEncrypt(cipher, inb, inOff, outb, outOff) {
	  var input = new Array(4),
	      output = new Array(4);
	
	  pack.bigEndianToInt(inb, inOff, input);
	  cipher.encrypt(input, output);
	  pack.intToBigEndian(output, outb, outOff);
	}
	
	module.exports = {
	  encrypt: doEncrypt
	};


/***/ },
/* 80 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/aes-kw.js - AES-KW Key-Wrapping
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var helpers = __webpack_require__(26),
	    forge = __webpack_require__(30),
	    DataBuffer = __webpack_require__(65);
	
	var A0 = new Buffer("a6a6a6a6a6a6a6a6", "hex");
	
	// ### helpers
	function xor(a, b) {
	  var len = Math.max(a.length, b.length);
	  var result = new Buffer(len);
	  for (var idx = 0; len > idx; idx++) {
	    result[idx] = (a[idx] || 0) ^ (b[idx] || 0);
	  }
	  return result;
	}
	
	function split(input, size) {
	  var output = [];
	  for (var idx = 0; input.length > idx; idx += size) {
	    output.push(input.slice(idx, idx + size));
	  }
	  return output;
	}
	
	function longToBigEndian(input) {
	  var hi = Math.floor(input / 4294967296),
	      lo = input % 4294967296;
	  var output = new Buffer(8);
	  output[0] = 0xff & (hi >>> 24);
	  output[1] = 0xff & (hi >>> 16);
	  output[2] = 0xff & (hi >>> 8);
	  output[3] = 0xff & (hi >>> 0);
	  output[4] = 0xff & (lo >>> 24);
	  output[5] = 0xff & (lo >>> 16);
	  output[6] = 0xff & (lo >>> 8);
	  output[7] = 0xff & (lo >>> 0);
	  return output;
	}
	
	function kwEncryptFN(size) {
	  function commonChecks(key, data) {
	    if (size !== (key.length << 3)) {
	      throw new Error("invalid key size");
	    }
	    if (0 < data.length && 0 !== (data.length % 8)) {
	      throw new Error("invalid data length");
	    }
	  }
	
	  // ### 'fallback' implementation -- uses forge
	  var fallback = function(key, pdata) {
	    try {
	      commonChecks(key, pdata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    // setup cipher
	    var cipher = forge.cipher.createCipher("AES", new DataBuffer(key));
	
	    // split input into chunks
	    var R = split(pdata, 8);
	    var A,
	        B,
	        count;
	    A = A0;
	    for (var jdx = 0; 6 > jdx; jdx++) {
	      for (var idx = 0; R.length > idx; idx++) {
	        count = (R.length * jdx) + idx + 1;
	        B = Buffer.concat([A, R[idx]]);
	        cipher.start();
	        cipher.update(new DataBuffer(B));
	        cipher.finish();
	        B = cipher.output.native();
	
	        A = xor(B.slice(0, 8),
	                longToBigEndian(count));
	        R[idx] = B.slice(8, 16);
	      }
	    }
	    R = [A].concat(R);
	    var cdata = Buffer.concat(R);
	    return Promise.resolve({
	      data: cdata
	    });
	  };
	  // ### WebCryptoAPI implementation
	  var webcrypto = function(key, pdata) {
	    try {
	      commonChecks(key, pdata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = {
	      name: "AES-KW"
	    };
	    var promise = [
	      helpers.subtleCrypto.importKey("raw", pdata, { name: "HMAC", hash: "SHA-256" }, true, ["sign"]),
	      helpers.subtleCrypto.importKey("raw", key, alg, true, ["wrapKey"])
	    ];
	    promise = Promise.all(promise);
	    promise = promise.then(function(keys) {
	      return helpers.subtleCrypto.wrapKey("raw",
	                                          keys[0], // key
	                                          keys[1], // wrappingKey
	                                          alg);
	    });
	    promise = promise.then(function(result) {
	      result = new Buffer(result);
	
	      return {
	        data: result
	      };
	    });
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	function kwDecryptFN(size) {
	  function commonChecks(key, data) {
	    if (size !== (key.length << 3)) {
	      throw new Error("invalid key size");
	    }
	    if (0 < (data.length - 8) && 0 !== (data.length % 8)) {
	      throw new Error("invalid data length");
	    }
	  }
	
	  // ### 'fallback' implementation -- uses forge
	  var fallback = function(key, cdata) {
	    try {
	      commonChecks(key, cdata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    // setup cipher
	    var cipher = forge.cipher.createDecipher("AES", new DataBuffer(key));
	
	    // prepare inputs
	    var R = split(cdata, 8),
	        A,
	        B,
	        count;
	    A = R[0];
	    R = R.slice(1);
	    for (var jdx = 5; 0 <= jdx; --jdx) {
	      for (var idx = R.length - 1; 0 <= idx; --idx) {
	        count = (R.length * jdx) + idx + 1;
	        B = xor(A,
	                longToBigEndian(count));
	        B = Buffer.concat([B, R[idx]]);
	        cipher.start();
	        cipher.update(new DataBuffer(B));
	        cipher.finish();
	        B = cipher.output.native();
	
	        A = B.slice(0, 8);
	        R[idx] = B.slice(8, 16);
	      }
	    }
	    if (A.toString() !== A0.toString()) {
	      return Promise.reject(new Error("decryption failed"));
	    }
	    var pdata = Buffer.concat(R);
	    return Promise.resolve(pdata);
	  };
	  // ### WebCryptoAPI implementation
	  var webcrypto = function(key, cdata) {
	    try {
	      commonChecks(key, cdata);
	    } catch (err) {
	      return Promise.reject(err);
	    }
	
	    var alg = {
	      name: "AES-KW"
	    };
	    var promise = helpers.subtleCrypto.importKey("raw", key, alg, true, ["unwrapKey"]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.unwrapKey("raw", cdata, key, alg, {name: "HMAC", hash: "SHA-256"}, true, ["sign"]);
	    });
	    promise = promise.then(function(result) {
	      // unwrapped CryptoKey -- extract raw
	      return helpers.subtleCrypto.exportKey("raw", result);
	    });
	    promise = promise.then(function(result) {
	      result = new Buffer(result);
	      return result;
	    });
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	// ### Public API
	// * [name].encrypt
	// * [name].decrypt
	var aesKw = {};
	[
	  "A128KW",
	  "A192KW",
	  "A256KW"
	].forEach(function(alg) {
	  var size = parseInt(/A(\d+)KW/g.exec(alg)[1]);
	  aesKw[alg] = {
	    encrypt: kwEncryptFN(size),
	    decrypt: kwDecryptFN(size)
	  };
	});
	
	module.exports = aesKw;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 81 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/concat.js - Concat Key Derivation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var CONSTANTS = __webpack_require__(29),
	    sha = __webpack_require__(69);
	
	function concatDeriveFn(name) {
	  name = name.replace("CONCAT-", "");
	
	  // NOTE: no nodejs/webcrypto/fallback model, since ConcatKDF is
	  //       implemented using the SHA algorithms
	
	  var fn = function(key, props) {
	    props = props || {};
	
	    var keyLen = props.length,
	        hashLen = CONSTANTS.HASHLENGTH[name];
	    if (!keyLen) {
	      return Promise.reject(new Error("invalid key length"));
	    }
	
	    // setup otherInfo
	    if (!props.otherInfo) {
	      return Promise.reject(new Error("invalid otherInfo"));
	    }
	    var otherInfo = props.otherInfo;
	
	    var op = sha[name].digest;
	    var N = Math.ceil(keyLen / hashLen),
	        idx = 0,
	        okm = [];
	    function step() {
	      if (N === idx++) {
	        return Buffer.concat(okm).slice(0, keyLen);
	      }
	
	      var T = new Buffer(4 + key.length + otherInfo.length);
	      T.writeUInt32BE(idx, 0);
	      key.copy(T, 4);
	      otherInfo.copy(T, 4 + key.length);
	      return op(T).then(function(result) {
	        okm.push(result);
	        return step();
	      });
	    }
	
	    return step();
	  };
	
	  return fn;
	}
	
	// Public API
	// * [name].derive
	var concat = {};
	[
	  "CONCAT-SHA-1",
	  "CONCAT-SHA-256",
	  "CONCAT-SHA-384",
	  "CONCAT-SHA-512"
	].forEach(function(name) {
	  concat[name] = {
	    derive: concatDeriveFn(name)
	  };
	});
	
	module.exports = concat;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 82 */
/***/ function(module, exports) {

	/*!
	 * algorithms/dir.js - Direct key mode
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	function dirEncryptFN(key) {
	  // NOTE: pdata unused
	  // NOTE: props unused
	  return Promise.resolve({
	    data: key,
	    once: true,
	    direct: true
	  });
	}
	function dirDecryptFN(key) {
	  // NOTE: pdata unused
	  // NOTE: props unused
	  return Promise.resolve(key);
	}
	
	// ### Public API
	// * [name].encrypt
	// * [name].decrypt
	var direct = {
	  dir: {
	    encrypt: dirEncryptFN,
	    decrypt: dirDecryptFN
	  }
	};
	
	module.exports = direct;


/***/ },
/* 83 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/ecdh.js - Elliptic Curve Diffie-Hellman algorithms
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    merge = __webpack_require__(85),
	    omit = __webpack_require__(88),
	    pick = __webpack_require__(89),
	    util = __webpack_require__(70),
	    ecUtil = __webpack_require__(90),
	    hkdf = __webpack_require__(95),
	    concat = __webpack_require__(81),
	    aesKw = __webpack_require__(80),
	    helpers = __webpack_require__(26),
	    CONSTANTS = __webpack_require__(29);
	
	function idealHash(curve) {
	  switch (curve) {
	    case "P-256":
	      return "SHA-256";
	    case "P-384":
	      return "SHA-384";
	    case "P-521":
	      return "SHA-512";
	    default:
	      throw new Error("unsupported curve: " + curve);
	  }
	}
	
	// ### Exported
	var ecdh = module.exports = {};
	
	// ### Derivation algorithms
	// ### "raw" ECDH
	function ecdhDeriveFn() {
	  var alg = {
	    name: "ECDH"
	  };
	
	  // ### fallback implementation -- uses ecc + forge
	  var fallback = function(key, props) {
	    props = props || {};
	    var keyLen = props.length || 0;
	    // assume {key} is privateKey
	    var privKey = ecUtil.convertToForge(key, false);
	    // assume {props.public} is publicKey
	    if (!props.public) {
	      return Promise.reject(new Error("invalid EC public key"));
	    }
	    var pubKey = ecUtil.convertToForge(props.public, true);
	    var secret = privKey.computeSecret(pubKey);
	    if (keyLen) {
	      // truncate to requested key length
	      if (secret.length < keyLen) {
	        return Promise.reject(new Error("key length too large: " + keyLen));
	      }
	      secret = secret.slice(0, keyLen);
	    }
	    return Promise.resolve(secret);
	  };
	
	  // ### WebCryptoAPI implementation
	  // TODO: cache CryptoKey sooner
	  var webcrypto = function(key, props) {
	    key = key || {};
	    props = props || {};
	
	    var keyLen = props.length || 0,
	        algParams = merge(clone(alg), {
	          namedCurve: key.crv
	        });
	
	    // assume {key} is privateKey
	    if (!keyLen) {
	      // calculate key length from private key size
	      keyLen = key.d.length;
	    }
	    var privKey = ecUtil.convertToJWK(key, false);
	    privKey = helpers.subtleCrypto.importKey("jwk",
	                                             privKey,
	                                             algParams,
	                                             false,
	                                             [ "deriveBits" ]);
	
	    // assume {props.public} is publicKey
	    if (!props.public) {
	      return Promise.reject(new Error("invalid EC public key"));
	    }
	    var pubKey = ecUtil.convertToJWK(props.public, true);
	    pubKey = helpers.subtleCrypto.importKey("jwk",
	                                            pubKey,
	                                            algParams,
	                                            false,
	                                            []);
	
	    var promise = Promise.all([privKey, pubKey]);
	    promise = promise.then(function(keypair) {
	      var privKey = keypair[0],
	          pubKey = keypair[1];
	
	      var algParams = merge(clone(alg), {
	        public: pubKey
	      });
	      return helpers.subtleCrypto.deriveBits(algParams, privKey, keyLen * 8);
	    });
	    promise = promise.then(function(result) {
	      result = new Buffer(result);
	      return result;
	    });
	    return promise;
	  };
	
	  var nodejs = function(key, props) {
	    if ("function" !== typeof helpers.nodeCrypto.createECDH) {
	      throw new Error("unsupported algorithm: ECDH");
	    }
	
	    props = props || {};
	    var keyLen = props.length || 0;
	    var curve;
	    switch (key.crv) {
	      case "P-256":
	        curve = "prime256v1";
	        break;
	      case "P-384":
	        curve = "secp384r1";
	        break;
	      case "P-521":
	        curve = "secp521r1";
	        break;
	      default:
	        return Promise.reject(new Error("invalid curve: " + curve));
	    }
	
	    // assume {key} is privateKey
	    var privKey = ecUtil.convertToBuffer(key, false);
	
	    // assume {props.public} is publicKey
	    var pubKey = ecUtil.convertToBuffer(props.public, true);
	
	    var ecdh = helpers.nodeCrypto.createECDH(curve);
	    // dummy call so computeSecret doesn't fail
	    ecdh.generateKeys();
	    ecdh.setPrivateKey(privKey);
	    var secret = ecdh.computeSecret(pubKey);
	    if (keyLen) {
	      if (secret.length < keyLen) {
	        return Promise.reject(new Error("key length too large: " + keyLen));
	      }
	      secret = secret.slice(0, keyLen);
	    }
	    return Promise.resolve(secret);
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	function ecdhConcatDeriveFn() {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	
	  var fn = function(key, props) {
	    props = props || {};
	
	    var hash;
	    try {
	      hash = props.hash || idealHash(key.crv);
	      if (!hash) {
	        throw new Error("invalid hash: " + hash);
	      }
	      hash.toUpperCase();
	    } catch (ex) {
	      return Promise.reject(ex);
	    }
	
	    var params = ["public"];
	    // derive shared secret
	    // NOTE: whitelist items from {props} for ECDH
	    var promise = ecdh.ECDH.derive(key, pick(props, params));
	    // expand
	    promise = promise.then(function(shared) {
	      // NOTE: blacklist items from {props} for ECDH
	      return concat["CONCAT-" + hash].derive(shared, omit(props, params));
	    });
	    return promise;
	  };
	
	  return fn;
	}
	
	function ecdhHkdfDeriveFn() {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	
	  var fn = function(key, props) {
	    props = props || {};
	
	    var hash;
	    try {
	      hash = props.hash || idealHash(key.crv);
	      if (!hash) {
	        throw new Error("invalid hash: " + hash);
	      }
	      hash.toUpperCase();
	    } catch (ex) {
	      return Promise.reject(ex);
	    }
	
	    var params = ["public"];
	    // derive shared secret
	    // NOTE: whitelist items from {props} for ECDH
	    var promise = ecdh.ECDH.derive(key, pick(props, params));
	    // extract-and-expand
	    promise = promise.then(function(shared) {
	      // NOTE: blacklist items from {props} for ECDH
	      return hkdf["HKDF-" + hash].derive(shared, omit(props, params));
	    });
	    return promise;
	  };
	
	  return fn;
	}
	
	// ### Wrap/Unwrap algorithms
	function doEcdhesCommonDerive(privKey, pubKey, props) {
	  function prependLen(input) {
	    return Buffer.concat([
	      helpers.int32ToBuffer(input.length),
	      input
	    ]);
	  }
	
	  var algId = props.algorithm || "",
	      keyLen = CONSTANTS.KEYLENGTH[algId],
	      apu = util.asBuffer(props.apu || "", "base64url"),
	      apv = util.asBuffer(props.apv || "", "base64url");
	  var otherInfo = Buffer.concat([
	    prependLen(new Buffer(algId, "utf8")),
	    prependLen(apu),
	    prependLen(apv),
	    helpers.int32ToBuffer(keyLen)
	  ]);
	
	  var params = {
	    public: pubKey,
	    length: keyLen / 8,
	    hash: "SHA-256",
	    otherInfo: otherInfo
	  };
	  return ecdh["ECDH-CONCAT"].derive(privKey, params);
	}
	
	function ecdhesDirEncryptFn() {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	  var fn = function(key, pdata, props) {
	    props = props || {};
	
	    // {props.epk} is private
	    if (!props.epk || !props.epk.d) {
	      return Promise.reject(new Error("missing ephemeral private key"));
	    }
	    var epk = ecUtil.convertToObj(props.epk, false);
	
	    // {key} is public
	    if (!key || !key.x || !key.y) {
	      return Promise.reject(new Error("missing static public key"));
	    }
	    var spk = ecUtil.convertToObj(key, true);
	
	    // derive ECDH shared
	    var promise = doEcdhesCommonDerive(epk, spk, {
	      algorithm: props.enc,
	      apu: props.apu,
	      apv: props.apv
	    });
	    promise = promise.then(function(shared) {
	      return {
	        data: shared,
	        once: true,
	        direct: true
	      };
	    });
	    return promise;
	  };
	
	  return fn;
	}
	function ecdhesDirDecryptFn() {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	  var fn = function(key, cdata, props) {
	    props = props || {};
	
	    // {props.epk} is public
	    if (!props.epk || !props.epk.x || !props.epk.y) {
	      return Promise.reject(new Error("missing ephemeral public key"));
	    }
	    var epk = ecUtil.convertToObj(props.epk, true);
	
	    // {key} is private
	    if (!key || !key.d) {
	      return Promise.reject(new Error("missing static private key"));
	    }
	    var spk = ecUtil.convertToObj(key, false);
	
	    // derive ECDH shared
	    var promise = doEcdhesCommonDerive(spk, epk, {
	      algorithm: props.enc,
	      apu: props.apu,
	      apv: props.apv
	    });
	    promise = promise.then(function(shared) {
	      return shared;
	    });
	    return promise;
	  };
	
	  return fn;
	}
	
	function ecdhesKwEncryptFn(wrap) {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	  var fn = function(key, pdata, props) {
	    props = props || {};
	
	    // {props.epk} is private
	    if (!props.epk || !props.epk.d) {
	      return Promise.reject(new Error("missing ephemeral private key"));
	    }
	    var epk = ecUtil.convertToObj(props.epk, false);
	
	    // {key} is public
	    if (!key || !key.x || !key.y) {
	      return Promise.reject(new Error("missing static public key"));
	    }
	    var spk = ecUtil.convertToObj(key, true);
	
	    // derive ECDH shared
	    var promise = doEcdhesCommonDerive(epk, spk, {
	      algorithm: props.alg,
	      apu: props.apu,
	      apv: props.apv
	    });
	    promise = promise.then(function(shared) {
	      // wrap provided key with ECDH shared
	      return wrap(shared, pdata);
	    });
	    return promise;
	  };
	
	  return fn;
	}
	
	function ecdhesKwDecryptFn(unwrap) {
	  // NOTE: no nodejs/webcrypto/fallback model, since this algorithm is
	  //       implemented using other primitives
	  var fn = function(key, cdata, props) {
	    props = props || {};
	
	    // {props.epk} is public
	    if (!props.epk || !props.epk.x || !props.epk.y) {
	      return Promise.reject(new Error("missing ephemeral public key"));
	    }
	    var epk = ecUtil.convertToObj(props.epk, true);
	
	    // {key} is private
	    if (!key || !key.d) {
	      return Promise.reject(new Error("missing static private key"));
	    }
	    var spk = ecUtil.convertToObj(key, false);
	
	    // derive ECDH shared
	    var promise = doEcdhesCommonDerive(spk, epk, {
	      algorithm: props.alg,
	      apu: props.apu,
	      apv: props.apv
	    });
	    promise = promise.then(function(shared) {
	      // unwrap provided key with ECDH shared
	      return unwrap(shared, cdata);
	    });
	    return promise;
	  };
	
	  return fn;
	}
	
	// ### Public API
	// * [name].derive
	[
	  "ECDH",
	  "ECDH-HKDF",
	  "ECDH-CONCAT"
	].forEach(function(name) {
	  var kdf = /^ECDH(?:-(\w+))?$/g.exec(name || "")[1];
	  var op = ecdh[name] = ecdh[name] || {};
	  switch (kdf || "") {
	    case "CONCAT":
	      op.derive = ecdhConcatDeriveFn();
	      break;
	    case "HKDF":
	      op.derive = ecdhHkdfDeriveFn();
	      break;
	    case "":
	      op.derive = ecdhDeriveFn();
	      break;
	    default:
	      op.derive = null;
	  }
	});
	
	// * [name].encrypt
	// * [name].decrypt
	[
	  "ECDH-ES",
	  "ECDH-ES+A128KW",
	  "ECDH-ES+A192KW",
	  "ECDH-ES+A256KW"
	].forEach(function(name) {
	  var kw = /^ECDH-ES(?:\+(.+))?/g.exec(name || "")[1];
	  var op = ecdh[name] = ecdh[name] || {};
	  if (!kw) {
	    op.encrypt = ecdhesDirEncryptFn();
	    op.decrypt = ecdhesDirDecryptFn();
	  } else {
	    kw = aesKw[kw];
	    if (kw) {
	      op.encrypt = ecdhesKwEncryptFn(kw.encrypt);
	      op.decrypt = ecdhesKwDecryptFn(kw.decrypt);
	    } else {
	      op.ecrypt = op.decrypt = null;
	    }
	  }
	});
	//*/
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 84 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global, module) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;
	
	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    arrayTag = '[object Array]',
	    boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    errorTag = '[object Error]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    objectTag = '[object Object]',
	    promiseTag = '[object Promise]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    symbolTag = '[object Symbol]',
	    weakMapTag = '[object WeakMap]';
	
	var arrayBufferTag = '[object ArrayBuffer]',
	    dataViewTag = '[object DataView]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to match `RegExp` flags from their coerced string values. */
	var reFlags = /\w*$/;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/** Used to identify `toStringTag` values supported by `_.clone`. */
	var cloneableTags = {};
	cloneableTags[argsTag] = cloneableTags[arrayTag] =
	cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] =
	cloneableTags[boolTag] = cloneableTags[dateTag] =
	cloneableTags[float32Tag] = cloneableTags[float64Tag] =
	cloneableTags[int8Tag] = cloneableTags[int16Tag] =
	cloneableTags[int32Tag] = cloneableTags[mapTag] =
	cloneableTags[numberTag] = cloneableTags[objectTag] =
	cloneableTags[regexpTag] = cloneableTags[setTag] =
	cloneableTags[stringTag] = cloneableTags[symbolTag] =
	cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
	cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
	cloneableTags[errorTag] = cloneableTags[funcTag] =
	cloneableTags[weakMapTag] = false;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/** Detect free variable `exports`. */
	var freeExports = typeof exports == 'object' && exports && !exports.nodeType && exports;
	
	/** Detect free variable `module`. */
	var freeModule = freeExports && typeof module == 'object' && module && !module.nodeType && module;
	
	/** Detect the popular CommonJS extension `module.exports`. */
	var moduleExports = freeModule && freeModule.exports === freeExports;
	
	/**
	 * Adds the key-value `pair` to `map`.
	 *
	 * @private
	 * @param {Object} map The map to modify.
	 * @param {Array} pair The key-value pair to add.
	 * @returns {Object} Returns `map`.
	 */
	function addMapEntry(map, pair) {
	  // Don't return `map.set` because it's not chainable in IE 11.
	  map.set(pair[0], pair[1]);
	  return map;
	}
	
	/**
	 * Adds `value` to `set`.
	 *
	 * @private
	 * @param {Object} set The set to modify.
	 * @param {*} value The value to add.
	 * @returns {Object} Returns `set`.
	 */
	function addSetEntry(set, value) {
	  // Don't return `set.add` because it's not chainable in IE 11.
	  set.add(value);
	  return set;
	}
	
	/**
	 * A specialized version of `_.forEach` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns `array`.
	 */
	function arrayEach(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (iteratee(array[index], index, array) === false) {
	      break;
	    }
	  }
	  return array;
	}
	
	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;
	
	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}
	
	/**
	 * A specialized version of `_.reduce` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @param {*} [accumulator] The initial value.
	 * @param {boolean} [initAccum] Specify using the first element of `array` as
	 *  the initial value.
	 * @returns {*} Returns the accumulated value.
	 */
	function arrayReduce(array, iteratee, accumulator, initAccum) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  if (initAccum && length) {
	    accumulator = array[++index];
	  }
	  while (++index < length) {
	    accumulator = iteratee(accumulator, array[index], index, array);
	  }
	  return accumulator;
	}
	
	/**
	 * The base implementation of `_.times` without support for iteratee shorthands
	 * or max array length checks.
	 *
	 * @private
	 * @param {number} n The number of times to invoke `iteratee`.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the array of results.
	 */
	function baseTimes(n, iteratee) {
	  var index = -1,
	      result = Array(n);
	
	  while (++index < n) {
	    result[index] = iteratee(index);
	  }
	  return result;
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/**
	 * Converts `map` to its key-value pairs.
	 *
	 * @private
	 * @param {Object} map The map to convert.
	 * @returns {Array} Returns the key-value pairs.
	 */
	function mapToArray(map) {
	  var index = -1,
	      result = Array(map.size);
	
	  map.forEach(function(value, key) {
	    result[++index] = [key, value];
	  });
	  return result;
	}
	
	/**
	 * Creates a unary function that invokes `func` with its argument transformed.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {Function} transform The argument transform.
	 * @returns {Function} Returns the new function.
	 */
	function overArg(func, transform) {
	  return function(arg) {
	    return func(transform(arg));
	  };
	}
	
	/**
	 * Converts `set` to an array of its values.
	 *
	 * @private
	 * @param {Object} set The set to convert.
	 * @returns {Array} Returns the values.
	 */
	function setToArray(set) {
	  var index = -1,
	      result = Array(set.size);
	
	  set.forEach(function(value) {
	    result[++index] = value;
	  });
	  return result;
	}
	
	/** Used for built-in method references. */
	var arrayProto = Array.prototype,
	    funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var Buffer = moduleExports ? root.Buffer : undefined,
	    Symbol = root.Symbol,
	    Uint8Array = root.Uint8Array,
	    getPrototype = overArg(Object.getPrototypeOf, Object),
	    objectCreate = Object.create,
	    propertyIsEnumerable = objectProto.propertyIsEnumerable,
	    splice = arrayProto.splice;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeGetSymbols = Object.getOwnPropertySymbols,
	    nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
	    nativeKeys = overArg(Object.keys, Object);
	
	/* Built-in method references that are verified to be native. */
	var DataView = getNative(root, 'DataView'),
	    Map = getNative(root, 'Map'),
	    Promise = getNative(root, 'Promise'),
	    Set = getNative(root, 'Set'),
	    WeakMap = getNative(root, 'WeakMap'),
	    nativeCreate = getNative(Object, 'create');
	
	/** Used to detect maps, sets, and weakmaps. */
	var dataViewCtorString = toSource(DataView),
	    mapCtorString = toSource(Map),
	    promiseCtorString = toSource(Promise),
	    setCtorString = toSource(Set),
	    weakMapCtorString = toSource(WeakMap);
	
	/** Used to convert symbols to primitives and strings. */
	var symbolProto = Symbol ? Symbol.prototype : undefined,
	    symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;
	
	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	}
	
	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  return this.has(key) && delete this.__data__[key];
	}
	
	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}
	
	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}
	
	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
	  return this;
	}
	
	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;
	
	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	}
	
	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  return true;
	}
	
	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  return index < 0 ? undefined : data[index][1];
	}
	
	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}
	
	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}
	
	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;
	
	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.__data__ = {
	    'hash': new Hash,
	    'map': new (Map || ListCache),
	    'string': new Hash
	  };
	}
	
	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  return getMapData(this, key)['delete'](key);
	}
	
	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}
	
	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}
	
	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  getMapData(this, key).set(key, value);
	  return this;
	}
	
	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;
	
	/**
	 * Creates a stack cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Stack(entries) {
	  this.__data__ = new ListCache(entries);
	}
	
	/**
	 * Removes all key-value entries from the stack.
	 *
	 * @private
	 * @name clear
	 * @memberOf Stack
	 */
	function stackClear() {
	  this.__data__ = new ListCache;
	}
	
	/**
	 * Removes `key` and its value from the stack.
	 *
	 * @private
	 * @name delete
	 * @memberOf Stack
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function stackDelete(key) {
	  return this.__data__['delete'](key);
	}
	
	/**
	 * Gets the stack value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Stack
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function stackGet(key) {
	  return this.__data__.get(key);
	}
	
	/**
	 * Checks if a stack value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Stack
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function stackHas(key) {
	  return this.__data__.has(key);
	}
	
	/**
	 * Sets the stack `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Stack
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the stack cache instance.
	 */
	function stackSet(key, value) {
	  var cache = this.__data__;
	  if (cache instanceof ListCache) {
	    var pairs = cache.__data__;
	    if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
	      pairs.push([key, value]);
	      return this;
	    }
	    cache = this.__data__ = new MapCache(pairs);
	  }
	  cache.set(key, value);
	  return this;
	}
	
	// Add methods to `Stack`.
	Stack.prototype.clear = stackClear;
	Stack.prototype['delete'] = stackDelete;
	Stack.prototype.get = stackGet;
	Stack.prototype.has = stackHas;
	Stack.prototype.set = stackSet;
	
	/**
	 * Creates an array of the enumerable property names of the array-like `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @param {boolean} inherited Specify returning inherited property names.
	 * @returns {Array} Returns the array of property names.
	 */
	function arrayLikeKeys(value, inherited) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  // Safari 9 makes `arguments.length` enumerable in strict mode.
	  var result = (isArray(value) || isArguments(value))
	    ? baseTimes(value.length, String)
	    : [];
	
	  var length = result.length,
	      skipIndexes = !!length;
	
	  for (var key in value) {
	    if ((inherited || hasOwnProperty.call(value, key)) &&
	        !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Assigns `value` to `key` of `object` if the existing value is not equivalent
	 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function assignValue(object, key, value) {
	  var objValue = object[key];
	  if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
	      (value === undefined && !(key in object))) {
	    object[key] = value;
	  }
	}
	
	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.assign` without support for multiple sources
	 * or `customizer` functions.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @returns {Object} Returns `object`.
	 */
	function baseAssign(object, source) {
	  return object && copyObject(source, keys(source), object);
	}
	
	/**
	 * The base implementation of `_.clone` and `_.cloneDeep` which tracks
	 * traversed objects.
	 *
	 * @private
	 * @param {*} value The value to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @param {boolean} [isFull] Specify a clone including symbols.
	 * @param {Function} [customizer] The function to customize cloning.
	 * @param {string} [key] The key of `value`.
	 * @param {Object} [object] The parent object of `value`.
	 * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
	 * @returns {*} Returns the cloned value.
	 */
	function baseClone(value, isDeep, isFull, customizer, key, object, stack) {
	  var result;
	  if (customizer) {
	    result = object ? customizer(value, key, object, stack) : customizer(value);
	  }
	  if (result !== undefined) {
	    return result;
	  }
	  if (!isObject(value)) {
	    return value;
	  }
	  var isArr = isArray(value);
	  if (isArr) {
	    result = initCloneArray(value);
	    if (!isDeep) {
	      return copyArray(value, result);
	    }
	  } else {
	    var tag = getTag(value),
	        isFunc = tag == funcTag || tag == genTag;
	
	    if (isBuffer(value)) {
	      return cloneBuffer(value, isDeep);
	    }
	    if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
	      if (isHostObject(value)) {
	        return object ? value : {};
	      }
	      result = initCloneObject(isFunc ? {} : value);
	      if (!isDeep) {
	        return copySymbols(value, baseAssign(result, value));
	      }
	    } else {
	      if (!cloneableTags[tag]) {
	        return object ? value : {};
	      }
	      result = initCloneByTag(value, tag, baseClone, isDeep);
	    }
	  }
	  // Check for circular references and return its corresponding clone.
	  stack || (stack = new Stack);
	  var stacked = stack.get(value);
	  if (stacked) {
	    return stacked;
	  }
	  stack.set(value, result);
	
	  if (!isArr) {
	    var props = isFull ? getAllKeys(value) : keys(value);
	  }
	  arrayEach(props || value, function(subValue, key) {
	    if (props) {
	      key = subValue;
	      subValue = value[key];
	    }
	    // Recursively populate clone (susceptible to call stack limits).
	    assignValue(result, key, baseClone(subValue, isDeep, isFull, customizer, key, value, stack));
	  });
	  return result;
	}
	
	/**
	 * The base implementation of `_.create` without support for assigning
	 * properties to the created object.
	 *
	 * @private
	 * @param {Object} prototype The object to inherit from.
	 * @returns {Object} Returns the new object.
	 */
	function baseCreate(proto) {
	  return isObject(proto) ? objectCreate(proto) : {};
	}
	
	/**
	 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
	 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @param {Function} symbolsFunc The function to get the symbols of `object`.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function baseGetAllKeys(object, keysFunc, symbolsFunc) {
	  var result = keysFunc(object);
	  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
	}
	
	/**
	 * The base implementation of `getTag`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	function baseGetTag(value) {
	  return objectToString.call(value);
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeys(object) {
	  if (!isPrototype(object)) {
	    return nativeKeys(object);
	  }
	  var result = [];
	  for (var key in Object(object)) {
	    if (hasOwnProperty.call(object, key) && key != 'constructor') {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Creates a clone of  `buffer`.
	 *
	 * @private
	 * @param {Buffer} buffer The buffer to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Buffer} Returns the cloned buffer.
	 */
	function cloneBuffer(buffer, isDeep) {
	  if (isDeep) {
	    return buffer.slice();
	  }
	  var result = new buffer.constructor(buffer.length);
	  buffer.copy(result);
	  return result;
	}
	
	/**
	 * Creates a clone of `arrayBuffer`.
	 *
	 * @private
	 * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
	 * @returns {ArrayBuffer} Returns the cloned array buffer.
	 */
	function cloneArrayBuffer(arrayBuffer) {
	  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
	  new Uint8Array(result).set(new Uint8Array(arrayBuffer));
	  return result;
	}
	
	/**
	 * Creates a clone of `dataView`.
	 *
	 * @private
	 * @param {Object} dataView The data view to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned data view.
	 */
	function cloneDataView(dataView, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
	  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
	}
	
	/**
	 * Creates a clone of `map`.
	 *
	 * @private
	 * @param {Object} map The map to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned map.
	 */
	function cloneMap(map, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(mapToArray(map), true) : mapToArray(map);
	  return arrayReduce(array, addMapEntry, new map.constructor);
	}
	
	/**
	 * Creates a clone of `regexp`.
	 *
	 * @private
	 * @param {Object} regexp The regexp to clone.
	 * @returns {Object} Returns the cloned regexp.
	 */
	function cloneRegExp(regexp) {
	  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
	  result.lastIndex = regexp.lastIndex;
	  return result;
	}
	
	/**
	 * Creates a clone of `set`.
	 *
	 * @private
	 * @param {Object} set The set to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned set.
	 */
	function cloneSet(set, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(setToArray(set), true) : setToArray(set);
	  return arrayReduce(array, addSetEntry, new set.constructor);
	}
	
	/**
	 * Creates a clone of the `symbol` object.
	 *
	 * @private
	 * @param {Object} symbol The symbol object to clone.
	 * @returns {Object} Returns the cloned symbol object.
	 */
	function cloneSymbol(symbol) {
	  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
	}
	
	/**
	 * Creates a clone of `typedArray`.
	 *
	 * @private
	 * @param {Object} typedArray The typed array to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned typed array.
	 */
	function cloneTypedArray(typedArray, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
	  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
	}
	
	/**
	 * Copies the values of `source` to `array`.
	 *
	 * @private
	 * @param {Array} source The array to copy values from.
	 * @param {Array} [array=[]] The array to copy values to.
	 * @returns {Array} Returns `array`.
	 */
	function copyArray(source, array) {
	  var index = -1,
	      length = source.length;
	
	  array || (array = Array(length));
	  while (++index < length) {
	    array[index] = source[index];
	  }
	  return array;
	}
	
	/**
	 * Copies properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy properties from.
	 * @param {Array} props The property identifiers to copy.
	 * @param {Object} [object={}] The object to copy properties to.
	 * @param {Function} [customizer] The function to customize copied values.
	 * @returns {Object} Returns `object`.
	 */
	function copyObject(source, props, object, customizer) {
	  object || (object = {});
	
	  var index = -1,
	      length = props.length;
	
	  while (++index < length) {
	    var key = props[index];
	
	    var newValue = customizer
	      ? customizer(object[key], source[key], key, object, source)
	      : undefined;
	
	    assignValue(object, key, newValue === undefined ? source[key] : newValue);
	  }
	  return object;
	}
	
	/**
	 * Copies own symbol properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy symbols from.
	 * @param {Object} [object={}] The object to copy symbols to.
	 * @returns {Object} Returns `object`.
	 */
	function copySymbols(source, object) {
	  return copyObject(source, getSymbols(source), object);
	}
	
	/**
	 * Creates an array of own enumerable property names and symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function getAllKeys(object) {
	  return baseGetAllKeys(object, keys, getSymbols);
	}
	
	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key)
	    ? data[typeof key == 'string' ? 'string' : 'hash']
	    : data.map;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Creates an array of the own enumerable symbol properties of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbols = nativeGetSymbols ? overArg(nativeGetSymbols, Object) : stubArray;
	
	/**
	 * Gets the `toStringTag` of `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	var getTag = baseGetTag;
	
	// Fallback for data views, maps, sets, and weak maps in IE 11,
	// for data views in Edge < 14, and promises in Node.js.
	if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
	    (Map && getTag(new Map) != mapTag) ||
	    (Promise && getTag(Promise.resolve()) != promiseTag) ||
	    (Set && getTag(new Set) != setTag) ||
	    (WeakMap && getTag(new WeakMap) != weakMapTag)) {
	  getTag = function(value) {
	    var result = objectToString.call(value),
	        Ctor = result == objectTag ? value.constructor : undefined,
	        ctorString = Ctor ? toSource(Ctor) : undefined;
	
	    if (ctorString) {
	      switch (ctorString) {
	        case dataViewCtorString: return dataViewTag;
	        case mapCtorString: return mapTag;
	        case promiseCtorString: return promiseTag;
	        case setCtorString: return setTag;
	        case weakMapCtorString: return weakMapTag;
	      }
	    }
	    return result;
	  };
	}
	
	/**
	 * Initializes an array clone.
	 *
	 * @private
	 * @param {Array} array The array to clone.
	 * @returns {Array} Returns the initialized clone.
	 */
	function initCloneArray(array) {
	  var length = array.length,
	      result = array.constructor(length);
	
	  // Add properties assigned by `RegExp#exec`.
	  if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
	    result.index = array.index;
	    result.input = array.input;
	  }
	  return result;
	}
	
	/**
	 * Initializes an object clone.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneObject(object) {
	  return (typeof object.constructor == 'function' && !isPrototype(object))
	    ? baseCreate(getPrototype(object))
	    : {};
	}
	
	/**
	 * Initializes an object clone based on its `toStringTag`.
	 *
	 * **Note:** This function only supports cloning values with tags of
	 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @param {string} tag The `toStringTag` of the object to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneByTag(object, tag, cloneFunc, isDeep) {
	  var Ctor = object.constructor;
	  switch (tag) {
	    case arrayBufferTag:
	      return cloneArrayBuffer(object);
	
	    case boolTag:
	    case dateTag:
	      return new Ctor(+object);
	
	    case dataViewTag:
	      return cloneDataView(object, isDeep);
	
	    case float32Tag: case float64Tag:
	    case int8Tag: case int16Tag: case int32Tag:
	    case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
	      return cloneTypedArray(object, isDeep);
	
	    case mapTag:
	      return cloneMap(object, isDeep, cloneFunc);
	
	    case numberTag:
	    case stringTag:
	      return new Ctor(object);
	
	    case regexpTag:
	      return cloneRegExp(object);
	
	    case setTag:
	      return cloneSet(object, isDeep, cloneFunc);
	
	    case symbolTag:
	      return cloneSymbol(object);
	  }
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value;
	  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
	    ? (value !== '__proto__')
	    : (value === null);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Checks if `value` is likely a prototype object.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
	 */
	function isPrototype(value) {
	  var Ctor = value && value.constructor,
	      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;
	
	  return value === proto;
	}
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Creates a shallow clone of `value`.
	 *
	 * **Note:** This method is loosely based on the
	 * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
	 * and supports cloning arrays, array buffers, booleans, date objects, maps,
	 * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
	 * arrays. The own enumerable properties of `arguments` objects are cloned
	 * as plain objects. An empty object is returned for uncloneable values such
	 * as error objects, functions, DOM nodes, and WeakMaps.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to clone.
	 * @returns {*} Returns the cloned value.
	 * @see _.cloneDeep
	 * @example
	 *
	 * var objects = [{ 'a': 1 }, { 'b': 2 }];
	 *
	 * var shallow = _.clone(objects);
	 * console.log(shallow[0] === objects[0]);
	 * // => true
	 */
	function clone(value) {
	  return baseClone(value, false, true);
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is a buffer.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.3.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
	 * @example
	 *
	 * _.isBuffer(new Buffer(2));
	 * // => true
	 *
	 * _.isBuffer(new Uint8Array(2));
	 * // => false
	 */
	var isBuffer = nativeIsBuffer || stubFalse;
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Creates an array of the own enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects. See the
	 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * for more details.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keys(new Foo);
	 * // => ['a', 'b'] (iteration order is not guaranteed)
	 *
	 * _.keys('hi');
	 * // => ['0', '1']
	 */
	function keys(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
	}
	
	/**
	 * This method returns a new empty array.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {Array} Returns the new empty array.
	 * @example
	 *
	 * var arrays = _.times(2, _.stubArray);
	 *
	 * console.log(arrays);
	 * // => [[], []]
	 *
	 * console.log(arrays[0] === arrays[1]);
	 * // => false
	 */
	function stubArray() {
	  return [];
	}
	
	/**
	 * This method returns `false`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {boolean} Returns `false`.
	 * @example
	 *
	 * _.times(2, _.stubFalse);
	 * // => [false, false]
	 */
	function stubFalse() {
	  return false;
	}
	
	module.exports = clone;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }()), __webpack_require__(21)(module)))

/***/ },
/* 85 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * util/utf8.js - Implementation of UTF-8 Encoder/Decoder
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var partialRight = __webpack_require__(86),
	    merge = __webpack_require__(87);
	
	var typedArrayCtors = (function() {
	  var ctors = [];
	  if ("undefined" !== typeof Uint8ClampedArray) {
	    ctors.push(Uint8ClampedArray);
	  }
	  if ("undefined" !== typeof Uint8Array) {
	    ctors.push(Uint8Array);
	  }
	  if ("undefined" !== typeof Uint16Array) {
	    ctors.push(Uint16Array);
	  }
	  if ("undefined" !== typeof Uint32Array) {
	    ctors.push(Uint32Array);
	  }
	  if ("undefined" !== typeof Float32Array) {
	    ctors.push(Float32Array);
	  }
	  if ("undefined" !== typeof Float64Array) {
	    ctors.push(Float64Array);
	  }
	  return ctors;
	})();
	
	function findTypedArrayFor(ta) {
	  var ctor;
	  for (var idx = 0; !ctor && typedArrayCtors.length > idx; idx++) {
	    if (ta instanceof typedArrayCtors[idx]) {
	      ctor = typedArrayCtors[idx];
	    }
	  }
	  return ctor;
	}
	
	function mergeBuffer(a, b) {
	  // TODO: should this be a copy, or the reference itself?
	  if (Buffer.isBuffer(b)) {
	    b = new Buffer(b);
	  } else {
	    var Ctor = findTypedArrayFor(b);
	    b = Ctor ?
	        new Ctor(b, b.byteOffset, b.byteLength) :
	        undefined;
	  }
	
	  // TODO: QUESTION: create a merged <whatever-a-is>??
	  // for now, a is b
	  a = b;
	
	  return b;
	}
	
	module.exports = partialRight(merge, mergeBuffer);
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 86 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as the `TypeError` message for "Functions" methods. */
	var FUNC_ERROR_TEXT = 'Expected a function';
	
	/** Used as the internal argument placeholder. */
	var PLACEHOLDER = '__lodash_placeholder__';
	
	/** Used to compose bitmasks for function metadata. */
	var BIND_FLAG = 1,
	    BIND_KEY_FLAG = 2,
	    CURRY_BOUND_FLAG = 4,
	    CURRY_FLAG = 8,
	    CURRY_RIGHT_FLAG = 16,
	    PARTIAL_FLAG = 32,
	    PARTIAL_RIGHT_FLAG = 64,
	    ARY_FLAG = 128,
	    REARG_FLAG = 256,
	    FLIP_FLAG = 512;
	
	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0,
	    MAX_SAFE_INTEGER = 9007199254740991,
	    MAX_INTEGER = 1.7976931348623157e+308,
	    NAN = 0 / 0;
	
	/** Used to associate wrap methods with their bit flags. */
	var wrapFlags = [
	  ['ary', ARY_FLAG],
	  ['bind', BIND_FLAG],
	  ['bindKey', BIND_KEY_FLAG],
	  ['curry', CURRY_FLAG],
	  ['curryRight', CURRY_RIGHT_FLAG],
	  ['flip', FLIP_FLAG],
	  ['partial', PARTIAL_FLAG],
	  ['partialRight', PARTIAL_RIGHT_FLAG],
	  ['rearg', REARG_FLAG]
	];
	
	/** `Object#toString` result references. */
	var funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    symbolTag = '[object Symbol]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to match leading and trailing whitespace. */
	var reTrim = /^\s+|\s+$/g;
	
	/** Used to match wrap detail comments. */
	var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,
	    reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/,
	    reSplitDetails = /,? & /;
	
	/** Used to detect bad signed hexadecimal string values. */
	var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
	
	/** Used to detect binary string values. */
	var reIsBinary = /^0b[01]+$/i;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Used to detect octal string values. */
	var reIsOctal = /^0o[0-7]+$/i;
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/** Built-in method references without a dependency on `root`. */
	var freeParseInt = parseInt;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * A specialized version of `_.forEach` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns `array`.
	 */
	function arrayEach(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (iteratee(array[index], index, array) === false) {
	      break;
	    }
	  }
	  return array;
	}
	
	/**
	 * A specialized version of `_.includes` for arrays without support for
	 * specifying an index to search from.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludes(array, value) {
	  var length = array ? array.length : 0;
	  return !!length && baseIndexOf(array, value, 0) > -1;
	}
	
	/**
	 * The base implementation of `_.findIndex` and `_.findLastIndex` without
	 * support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} predicate The function invoked per iteration.
	 * @param {number} fromIndex The index to search from.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseFindIndex(array, predicate, fromIndex, fromRight) {
	  var length = array.length,
	      index = fromIndex + (fromRight ? 1 : -1);
	
	  while ((fromRight ? index-- : ++index < length)) {
	    if (predicate(array[index], index, array)) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOf(array, value, fromIndex) {
	  if (value !== value) {
	    return baseFindIndex(array, baseIsNaN, fromIndex);
	  }
	  var index = fromIndex - 1,
	      length = array.length;
	
	  while (++index < length) {
	    if (array[index] === value) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.isNaN` without support for number objects.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
	 */
	function baseIsNaN(value) {
	  return value !== value;
	}
	
	/**
	 * Gets the number of `placeholder` occurrences in `array`.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} placeholder The placeholder to search for.
	 * @returns {number} Returns the placeholder count.
	 */
	function countHolders(array, placeholder) {
	  var length = array.length,
	      result = 0;
	
	  while (length--) {
	    if (array[length] === placeholder) {
	      result++;
	    }
	  }
	  return result;
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/**
	 * Replaces all `placeholder` elements in `array` with an internal placeholder
	 * and returns an array of their indexes.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {*} placeholder The placeholder to replace.
	 * @returns {Array} Returns the new array of placeholder indexes.
	 */
	function replaceHolders(array, placeholder) {
	  var index = -1,
	      length = array.length,
	      resIndex = 0,
	      result = [];
	
	  while (++index < length) {
	    var value = array[index];
	    if (value === placeholder || value === PLACEHOLDER) {
	      array[index] = PLACEHOLDER;
	      result[resIndex++] = index;
	    }
	  }
	  return result;
	}
	
	/** Used for built-in method references. */
	var funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var objectCreate = Object.create;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeMax = Math.max,
	    nativeMin = Math.min;
	
	/* Used to set `toString` methods. */
	var defineProperty = (function() {
	  var func = getNative(Object, 'defineProperty'),
	      name = getNative.name;
	
	  return (name && name.length > 2) ? func : undefined;
	}());
	
	/**
	 * The base implementation of `_.create` without support for assigning
	 * properties to the created object.
	 *
	 * @private
	 * @param {Object} prototype The object to inherit from.
	 * @returns {Object} Returns the new object.
	 */
	function baseCreate(proto) {
	  return isObject(proto) ? objectCreate(proto) : {};
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Creates an array that is the composition of partially applied arguments,
	 * placeholders, and provided arguments into a single array of arguments.
	 *
	 * @private
	 * @param {Array} args The provided arguments.
	 * @param {Array} partials The arguments to prepend to those provided.
	 * @param {Array} holders The `partials` placeholder indexes.
	 * @params {boolean} [isCurried] Specify composing for a curried function.
	 * @returns {Array} Returns the new array of composed arguments.
	 */
	function composeArgs(args, partials, holders, isCurried) {
	  var argsIndex = -1,
	      argsLength = args.length,
	      holdersLength = holders.length,
	      leftIndex = -1,
	      leftLength = partials.length,
	      rangeLength = nativeMax(argsLength - holdersLength, 0),
	      result = Array(leftLength + rangeLength),
	      isUncurried = !isCurried;
	
	  while (++leftIndex < leftLength) {
	    result[leftIndex] = partials[leftIndex];
	  }
	  while (++argsIndex < holdersLength) {
	    if (isUncurried || argsIndex < argsLength) {
	      result[holders[argsIndex]] = args[argsIndex];
	    }
	  }
	  while (rangeLength--) {
	    result[leftIndex++] = args[argsIndex++];
	  }
	  return result;
	}
	
	/**
	 * This function is like `composeArgs` except that the arguments composition
	 * is tailored for `_.partialRight`.
	 *
	 * @private
	 * @param {Array} args The provided arguments.
	 * @param {Array} partials The arguments to append to those provided.
	 * @param {Array} holders The `partials` placeholder indexes.
	 * @params {boolean} [isCurried] Specify composing for a curried function.
	 * @returns {Array} Returns the new array of composed arguments.
	 */
	function composeArgsRight(args, partials, holders, isCurried) {
	  var argsIndex = -1,
	      argsLength = args.length,
	      holdersIndex = -1,
	      holdersLength = holders.length,
	      rightIndex = -1,
	      rightLength = partials.length,
	      rangeLength = nativeMax(argsLength - holdersLength, 0),
	      result = Array(rangeLength + rightLength),
	      isUncurried = !isCurried;
	
	  while (++argsIndex < rangeLength) {
	    result[argsIndex] = args[argsIndex];
	  }
	  var offset = argsIndex;
	  while (++rightIndex < rightLength) {
	    result[offset + rightIndex] = partials[rightIndex];
	  }
	  while (++holdersIndex < holdersLength) {
	    if (isUncurried || argsIndex < argsLength) {
	      result[offset + holders[holdersIndex]] = args[argsIndex++];
	    }
	  }
	  return result;
	}
	
	/**
	 * Copies the values of `source` to `array`.
	 *
	 * @private
	 * @param {Array} source The array to copy values from.
	 * @param {Array} [array=[]] The array to copy values to.
	 * @returns {Array} Returns `array`.
	 */
	function copyArray(source, array) {
	  var index = -1,
	      length = source.length;
	
	  array || (array = Array(length));
	  while (++index < length) {
	    array[index] = source[index];
	  }
	  return array;
	}
	
	/**
	 * Creates a function that wraps `func` to invoke it with the optional `this`
	 * binding of `thisArg`.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @param {*} [thisArg] The `this` binding of `func`.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createBind(func, bitmask, thisArg) {
	  var isBind = bitmask & BIND_FLAG,
	      Ctor = createCtor(func);
	
	  function wrapper() {
	    var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
	    return fn.apply(isBind ? thisArg : this, arguments);
	  }
	  return wrapper;
	}
	
	/**
	 * Creates a function that produces an instance of `Ctor` regardless of
	 * whether it was invoked as part of a `new` expression or by `call` or `apply`.
	 *
	 * @private
	 * @param {Function} Ctor The constructor to wrap.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createCtor(Ctor) {
	  return function() {
	    // Use a `switch` statement to work with class constructors. See
	    // http://ecma-international.org/ecma-262/7.0/#sec-ecmascript-function-objects-call-thisargument-argumentslist
	    // for more details.
	    var args = arguments;
	    switch (args.length) {
	      case 0: return new Ctor;
	      case 1: return new Ctor(args[0]);
	      case 2: return new Ctor(args[0], args[1]);
	      case 3: return new Ctor(args[0], args[1], args[2]);
	      case 4: return new Ctor(args[0], args[1], args[2], args[3]);
	      case 5: return new Ctor(args[0], args[1], args[2], args[3], args[4]);
	      case 6: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
	      case 7: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
	    }
	    var thisBinding = baseCreate(Ctor.prototype),
	        result = Ctor.apply(thisBinding, args);
	
	    // Mimic the constructor's `return` behavior.
	    // See https://es5.github.io/#x13.2.2 for more details.
	    return isObject(result) ? result : thisBinding;
	  };
	}
	
	/**
	 * Creates a function that wraps `func` to enable currying.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @param {number} arity The arity of `func`.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createCurry(func, bitmask, arity) {
	  var Ctor = createCtor(func);
	
	  function wrapper() {
	    var length = arguments.length,
	        args = Array(length),
	        index = length,
	        placeholder = getHolder(wrapper);
	
	    while (index--) {
	      args[index] = arguments[index];
	    }
	    var holders = (length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder)
	      ? []
	      : replaceHolders(args, placeholder);
	
	    length -= holders.length;
	    if (length < arity) {
	      return createRecurry(
	        func, bitmask, createHybrid, wrapper.placeholder, undefined,
	        args, holders, undefined, undefined, arity - length);
	    }
	    var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
	    return apply(fn, this, args);
	  }
	  return wrapper;
	}
	
	/**
	 * Creates a function that wraps `func` to invoke it with optional `this`
	 * binding of `thisArg`, partial application, and currying.
	 *
	 * @private
	 * @param {Function|string} func The function or method name to wrap.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @param {*} [thisArg] The `this` binding of `func`.
	 * @param {Array} [partials] The arguments to prepend to those provided to
	 *  the new function.
	 * @param {Array} [holders] The `partials` placeholder indexes.
	 * @param {Array} [partialsRight] The arguments to append to those provided
	 *  to the new function.
	 * @param {Array} [holdersRight] The `partialsRight` placeholder indexes.
	 * @param {Array} [argPos] The argument positions of the new function.
	 * @param {number} [ary] The arity cap of `func`.
	 * @param {number} [arity] The arity of `func`.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary, arity) {
	  var isAry = bitmask & ARY_FLAG,
	      isBind = bitmask & BIND_FLAG,
	      isBindKey = bitmask & BIND_KEY_FLAG,
	      isCurried = bitmask & (CURRY_FLAG | CURRY_RIGHT_FLAG),
	      isFlip = bitmask & FLIP_FLAG,
	      Ctor = isBindKey ? undefined : createCtor(func);
	
	  function wrapper() {
	    var length = arguments.length,
	        args = Array(length),
	        index = length;
	
	    while (index--) {
	      args[index] = arguments[index];
	    }
	    if (isCurried) {
	      var placeholder = getHolder(wrapper),
	          holdersCount = countHolders(args, placeholder);
	    }
	    if (partials) {
	      args = composeArgs(args, partials, holders, isCurried);
	    }
	    if (partialsRight) {
	      args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
	    }
	    length -= holdersCount;
	    if (isCurried && length < arity) {
	      var newHolders = replaceHolders(args, placeholder);
	      return createRecurry(
	        func, bitmask, createHybrid, wrapper.placeholder, thisArg,
	        args, newHolders, argPos, ary, arity - length
	      );
	    }
	    var thisBinding = isBind ? thisArg : this,
	        fn = isBindKey ? thisBinding[func] : func;
	
	    length = args.length;
	    if (argPos) {
	      args = reorder(args, argPos);
	    } else if (isFlip && length > 1) {
	      args.reverse();
	    }
	    if (isAry && ary < length) {
	      args.length = ary;
	    }
	    if (this && this !== root && this instanceof wrapper) {
	      fn = Ctor || createCtor(fn);
	    }
	    return fn.apply(thisBinding, args);
	  }
	  return wrapper;
	}
	
	/**
	 * Creates a function that wraps `func` to invoke it with the `this` binding
	 * of `thisArg` and `partials` prepended to the arguments it receives.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} partials The arguments to prepend to those provided to
	 *  the new function.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createPartial(func, bitmask, thisArg, partials) {
	  var isBind = bitmask & BIND_FLAG,
	      Ctor = createCtor(func);
	
	  function wrapper() {
	    var argsIndex = -1,
	        argsLength = arguments.length,
	        leftIndex = -1,
	        leftLength = partials.length,
	        args = Array(leftLength + argsLength),
	        fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
	
	    while (++leftIndex < leftLength) {
	      args[leftIndex] = partials[leftIndex];
	    }
	    while (argsLength--) {
	      args[leftIndex++] = arguments[++argsIndex];
	    }
	    return apply(fn, isBind ? thisArg : this, args);
	  }
	  return wrapper;
	}
	
	/**
	 * Creates a function that wraps `func` to continue currying.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @param {Function} wrapFunc The function to create the `func` wrapper.
	 * @param {*} placeholder The placeholder value.
	 * @param {*} [thisArg] The `this` binding of `func`.
	 * @param {Array} [partials] The arguments to prepend to those provided to
	 *  the new function.
	 * @param {Array} [holders] The `partials` placeholder indexes.
	 * @param {Array} [argPos] The argument positions of the new function.
	 * @param {number} [ary] The arity cap of `func`.
	 * @param {number} [arity] The arity of `func`.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary, arity) {
	  var isCurry = bitmask & CURRY_FLAG,
	      newHolders = isCurry ? holders : undefined,
	      newHoldersRight = isCurry ? undefined : holders,
	      newPartials = isCurry ? partials : undefined,
	      newPartialsRight = isCurry ? undefined : partials;
	
	  bitmask |= (isCurry ? PARTIAL_FLAG : PARTIAL_RIGHT_FLAG);
	  bitmask &= ~(isCurry ? PARTIAL_RIGHT_FLAG : PARTIAL_FLAG);
	
	  if (!(bitmask & CURRY_BOUND_FLAG)) {
	    bitmask &= ~(BIND_FLAG | BIND_KEY_FLAG);
	  }
	
	  var result = wrapFunc(func, bitmask, thisArg, newPartials, newHolders, newPartialsRight, newHoldersRight, argPos, ary, arity);
	  result.placeholder = placeholder;
	  return setWrapToString(result, func, bitmask);
	}
	
	/**
	 * Creates a function that either curries or invokes `func` with optional
	 * `this` binding and partially applied arguments.
	 *
	 * @private
	 * @param {Function|string} func The function or method name to wrap.
	 * @param {number} bitmask The bitmask flags.
	 *  The bitmask may be composed of the following flags:
	 *     1 - `_.bind`
	 *     2 - `_.bindKey`
	 *     4 - `_.curry` or `_.curryRight` of a bound function
	 *     8 - `_.curry`
	 *    16 - `_.curryRight`
	 *    32 - `_.partial`
	 *    64 - `_.partialRight`
	 *   128 - `_.rearg`
	 *   256 - `_.ary`
	 *   512 - `_.flip`
	 * @param {*} [thisArg] The `this` binding of `func`.
	 * @param {Array} [partials] The arguments to be partially applied.
	 * @param {Array} [holders] The `partials` placeholder indexes.
	 * @param {Array} [argPos] The argument positions of the new function.
	 * @param {number} [ary] The arity cap of `func`.
	 * @param {number} [arity] The arity of `func`.
	 * @returns {Function} Returns the new wrapped function.
	 */
	function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary, arity) {
	  var isBindKey = bitmask & BIND_KEY_FLAG;
	  if (!isBindKey && typeof func != 'function') {
	    throw new TypeError(FUNC_ERROR_TEXT);
	  }
	  var length = partials ? partials.length : 0;
	  if (!length) {
	    bitmask &= ~(PARTIAL_FLAG | PARTIAL_RIGHT_FLAG);
	    partials = holders = undefined;
	  }
	  ary = ary === undefined ? ary : nativeMax(toInteger(ary), 0);
	  arity = arity === undefined ? arity : toInteger(arity);
	  length -= holders ? holders.length : 0;
	
	  if (bitmask & PARTIAL_RIGHT_FLAG) {
	    var partialsRight = partials,
	        holdersRight = holders;
	
	    partials = holders = undefined;
	  }
	
	  var newData = [
	    func, bitmask, thisArg, partials, holders, partialsRight, holdersRight,
	    argPos, ary, arity
	  ];
	
	  func = newData[0];
	  bitmask = newData[1];
	  thisArg = newData[2];
	  partials = newData[3];
	  holders = newData[4];
	  arity = newData[9] = newData[9] == null
	    ? (isBindKey ? 0 : func.length)
	    : nativeMax(newData[9] - length, 0);
	
	  if (!arity && bitmask & (CURRY_FLAG | CURRY_RIGHT_FLAG)) {
	    bitmask &= ~(CURRY_FLAG | CURRY_RIGHT_FLAG);
	  }
	  if (!bitmask || bitmask == BIND_FLAG) {
	    var result = createBind(func, bitmask, thisArg);
	  } else if (bitmask == CURRY_FLAG || bitmask == CURRY_RIGHT_FLAG) {
	    result = createCurry(func, bitmask, arity);
	  } else if ((bitmask == PARTIAL_FLAG || bitmask == (BIND_FLAG | PARTIAL_FLAG)) && !holders.length) {
	    result = createPartial(func, bitmask, thisArg, partials);
	  } else {
	    result = createHybrid.apply(undefined, newData);
	  }
	  return setWrapToString(result, func, bitmask);
	}
	
	/**
	 * Gets the argument placeholder value for `func`.
	 *
	 * @private
	 * @param {Function} func The function to inspect.
	 * @returns {*} Returns the placeholder value.
	 */
	function getHolder(func) {
	  var object = func;
	  return object.placeholder;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Extracts wrapper details from the `source` body comment.
	 *
	 * @private
	 * @param {string} source The source to inspect.
	 * @returns {Array} Returns the wrapper details.
	 */
	function getWrapDetails(source) {
	  var match = source.match(reWrapDetails);
	  return match ? match[1].split(reSplitDetails) : [];
	}
	
	/**
	 * Inserts wrapper `details` in a comment at the top of the `source` body.
	 *
	 * @private
	 * @param {string} source The source to modify.
	 * @returns {Array} details The details to insert.
	 * @returns {string} Returns the modified source.
	 */
	function insertWrapDetails(source, details) {
	  var length = details.length,
	      lastIndex = length - 1;
	
	  details[lastIndex] = (length > 1 ? '& ' : '') + details[lastIndex];
	  details = details.join(length > 2 ? ', ' : ' ');
	  return source.replace(reWrapComment, '{\n/* [wrapped with ' + details + '] */\n');
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Reorder `array` according to the specified indexes where the element at
	 * the first index is assigned as the first element, the element at
	 * the second index is assigned as the second element, and so on.
	 *
	 * @private
	 * @param {Array} array The array to reorder.
	 * @param {Array} indexes The arranged array indexes.
	 * @returns {Array} Returns `array`.
	 */
	function reorder(array, indexes) {
	  var arrLength = array.length,
	      length = nativeMin(indexes.length, arrLength),
	      oldArray = copyArray(array);
	
	  while (length--) {
	    var index = indexes[length];
	    array[length] = isIndex(index, arrLength) ? oldArray[index] : undefined;
	  }
	  return array;
	}
	
	/**
	 * Sets the `toString` method of `wrapper` to mimic the source of `reference`
	 * with wrapper details in a comment at the top of the source body.
	 *
	 * @private
	 * @param {Function} wrapper The function to modify.
	 * @param {Function} reference The reference function.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @returns {Function} Returns `wrapper`.
	 */
	var setWrapToString = !defineProperty ? identity : function(wrapper, reference, bitmask) {
	  var source = (reference + '');
	  return defineProperty(wrapper, 'toString', {
	    'configurable': true,
	    'enumerable': false,
	    'value': constant(insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)))
	  });
	};
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Updates wrapper `details` based on `bitmask` flags.
	 *
	 * @private
	 * @returns {Array} details The details to modify.
	 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
	 * @returns {Array} Returns `details`.
	 */
	function updateWrapDetails(details, bitmask) {
	  arrayEach(wrapFlags, function(pair) {
	    var value = '_.' + pair[0];
	    if ((bitmask & pair[1]) && !arrayIncludes(details, value)) {
	      details.push(value);
	    }
	  });
	  return details.sort();
	}
	
	/**
	 * This method is like `_.partial` except that partially applied arguments
	 * are appended to the arguments it receives.
	 *
	 * The `_.partialRight.placeholder` value, which defaults to `_` in monolithic
	 * builds, may be used as a placeholder for partially applied arguments.
	 *
	 * **Note:** This method doesn't set the "length" property of partially
	 * applied functions.
	 *
	 * @static
	 * @memberOf _
	 * @since 1.0.0
	 * @category Function
	 * @param {Function} func The function to partially apply arguments to.
	 * @param {...*} [partials] The arguments to be partially applied.
	 * @returns {Function} Returns the new partially applied function.
	 * @example
	 *
	 * function greet(greeting, name) {
	 *   return greeting + ' ' + name;
	 * }
	 *
	 * var greetFred = _.partialRight(greet, 'fred');
	 * greetFred('hi');
	 * // => 'hi fred'
	 *
	 * // Partially applied with placeholders.
	 * var sayHelloTo = _.partialRight(greet, 'hello', _);
	 * sayHelloTo('fred');
	 * // => 'hello fred'
	 */
	var partialRight = baseRest(function(func, partials) {
	  var holders = replaceHolders(partials, getHolder(partialRight));
	  return createWrap(func, PARTIAL_RIGHT_FLAG, undefined, partials, holders);
	});
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Checks if `value` is classified as a `Symbol` primitive or object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
	 * @example
	 *
	 * _.isSymbol(Symbol.iterator);
	 * // => true
	 *
	 * _.isSymbol('abc');
	 * // => false
	 */
	function isSymbol(value) {
	  return typeof value == 'symbol' ||
	    (isObjectLike(value) && objectToString.call(value) == symbolTag);
	}
	
	/**
	 * Converts `value` to a finite number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.12.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted number.
	 * @example
	 *
	 * _.toFinite(3.2);
	 * // => 3.2
	 *
	 * _.toFinite(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toFinite(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toFinite('3.2');
	 * // => 3.2
	 */
	function toFinite(value) {
	  if (!value) {
	    return value === 0 ? value : 0;
	  }
	  value = toNumber(value);
	  if (value === INFINITY || value === -INFINITY) {
	    var sign = (value < 0 ? -1 : 1);
	    return sign * MAX_INTEGER;
	  }
	  return value === value ? value : 0;
	}
	
	/**
	 * Converts `value` to an integer.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted integer.
	 * @example
	 *
	 * _.toInteger(3.2);
	 * // => 3
	 *
	 * _.toInteger(Number.MIN_VALUE);
	 * // => 0
	 *
	 * _.toInteger(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toInteger('3.2');
	 * // => 3
	 */
	function toInteger(value) {
	  var result = toFinite(value),
	      remainder = result % 1;
	
	  return result === result ? (remainder ? result - remainder : result) : 0;
	}
	
	/**
	 * Converts `value` to a number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to process.
	 * @returns {number} Returns the number.
	 * @example
	 *
	 * _.toNumber(3.2);
	 * // => 3.2
	 *
	 * _.toNumber(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toNumber(Infinity);
	 * // => Infinity
	 *
	 * _.toNumber('3.2');
	 * // => 3.2
	 */
	function toNumber(value) {
	  if (typeof value == 'number') {
	    return value;
	  }
	  if (isSymbol(value)) {
	    return NAN;
	  }
	  if (isObject(value)) {
	    var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
	    value = isObject(other) ? (other + '') : other;
	  }
	  if (typeof value != 'string') {
	    return value === 0 ? value : +value;
	  }
	  value = value.replace(reTrim, '');
	  var isBinary = reIsBinary.test(value);
	  return (isBinary || reIsOctal.test(value))
	    ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
	    : (reIsBadHex.test(value) ? NAN : +value);
	}
	
	/**
	 * Creates a function that returns `value`.
	 *
	 * @static
	 * @memberOf _
	 * @since 2.4.0
	 * @category Util
	 * @param {*} value The value to return from the new function.
	 * @returns {Function} Returns the new constant function.
	 * @example
	 *
	 * var objects = _.times(2, _.constant({ 'a': 1 }));
	 *
	 * console.log(objects);
	 * // => [{ 'a': 1 }, { 'a': 1 }]
	 *
	 * console.log(objects[0] === objects[1]);
	 * // => true
	 */
	function constant(value) {
	  return function() {
	    return value;
	  };
	}
	
	/**
	 * This method returns the first argument it receives.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Util
	 * @param {*} value Any value.
	 * @returns {*} Returns `value`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 *
	 * console.log(_.identity(object) === object);
	 * // => true
	 */
	function identity(value) {
	  return value;
	}
	
	// Assign default placeholders.
	partialRight.placeholder = {};
	
	module.exports = partialRight;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 87 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global, module) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;
	
	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    arrayTag = '[object Array]',
	    boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    errorTag = '[object Error]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    objectTag = '[object Object]',
	    promiseTag = '[object Promise]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    symbolTag = '[object Symbol]',
	    weakMapTag = '[object WeakMap]';
	
	var arrayBufferTag = '[object ArrayBuffer]',
	    dataViewTag = '[object DataView]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to match `RegExp` flags from their coerced string values. */
	var reFlags = /\w*$/;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/** Used to identify `toStringTag` values of typed arrays. */
	var typedArrayTags = {};
	typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
	typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
	typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
	typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
	typedArrayTags[uint32Tag] = true;
	typedArrayTags[argsTag] = typedArrayTags[arrayTag] =
	typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
	typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
	typedArrayTags[errorTag] = typedArrayTags[funcTag] =
	typedArrayTags[mapTag] = typedArrayTags[numberTag] =
	typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
	typedArrayTags[setTag] = typedArrayTags[stringTag] =
	typedArrayTags[weakMapTag] = false;
	
	/** Used to identify `toStringTag` values supported by `_.clone`. */
	var cloneableTags = {};
	cloneableTags[argsTag] = cloneableTags[arrayTag] =
	cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] =
	cloneableTags[boolTag] = cloneableTags[dateTag] =
	cloneableTags[float32Tag] = cloneableTags[float64Tag] =
	cloneableTags[int8Tag] = cloneableTags[int16Tag] =
	cloneableTags[int32Tag] = cloneableTags[mapTag] =
	cloneableTags[numberTag] = cloneableTags[objectTag] =
	cloneableTags[regexpTag] = cloneableTags[setTag] =
	cloneableTags[stringTag] = cloneableTags[symbolTag] =
	cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
	cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
	cloneableTags[errorTag] = cloneableTags[funcTag] =
	cloneableTags[weakMapTag] = false;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/** Detect free variable `exports`. */
	var freeExports = typeof exports == 'object' && exports && !exports.nodeType && exports;
	
	/** Detect free variable `module`. */
	var freeModule = freeExports && typeof module == 'object' && module && !module.nodeType && module;
	
	/** Detect the popular CommonJS extension `module.exports`. */
	var moduleExports = freeModule && freeModule.exports === freeExports;
	
	/** Detect free variable `process` from Node.js. */
	var freeProcess = moduleExports && freeGlobal.process;
	
	/** Used to access faster Node.js helpers. */
	var nodeUtil = (function() {
	  try {
	    return freeProcess && freeProcess.binding('util');
	  } catch (e) {}
	}());
	
	/* Node.js helper references. */
	var nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;
	
	/**
	 * Adds the key-value `pair` to `map`.
	 *
	 * @private
	 * @param {Object} map The map to modify.
	 * @param {Array} pair The key-value pair to add.
	 * @returns {Object} Returns `map`.
	 */
	function addMapEntry(map, pair) {
	  // Don't return `map.set` because it's not chainable in IE 11.
	  map.set(pair[0], pair[1]);
	  return map;
	}
	
	/**
	 * Adds `value` to `set`.
	 *
	 * @private
	 * @param {Object} set The set to modify.
	 * @param {*} value The value to add.
	 * @returns {Object} Returns `set`.
	 */
	function addSetEntry(set, value) {
	  // Don't return `set.add` because it's not chainable in IE 11.
	  set.add(value);
	  return set;
	}
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * A specialized version of `_.forEach` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns `array`.
	 */
	function arrayEach(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (iteratee(array[index], index, array) === false) {
	      break;
	    }
	  }
	  return array;
	}
	
	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;
	
	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}
	
	/**
	 * A specialized version of `_.reduce` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @param {*} [accumulator] The initial value.
	 * @param {boolean} [initAccum] Specify using the first element of `array` as
	 *  the initial value.
	 * @returns {*} Returns the accumulated value.
	 */
	function arrayReduce(array, iteratee, accumulator, initAccum) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  if (initAccum && length) {
	    accumulator = array[++index];
	  }
	  while (++index < length) {
	    accumulator = iteratee(accumulator, array[index], index, array);
	  }
	  return accumulator;
	}
	
	/**
	 * The base implementation of `_.times` without support for iteratee shorthands
	 * or max array length checks.
	 *
	 * @private
	 * @param {number} n The number of times to invoke `iteratee`.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the array of results.
	 */
	function baseTimes(n, iteratee) {
	  var index = -1,
	      result = Array(n);
	
	  while (++index < n) {
	    result[index] = iteratee(index);
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.unary` without support for storing metadata.
	 *
	 * @private
	 * @param {Function} func The function to cap arguments for.
	 * @returns {Function} Returns the new capped function.
	 */
	function baseUnary(func) {
	  return function(value) {
	    return func(value);
	  };
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/**
	 * Converts `map` to its key-value pairs.
	 *
	 * @private
	 * @param {Object} map The map to convert.
	 * @returns {Array} Returns the key-value pairs.
	 */
	function mapToArray(map) {
	  var index = -1,
	      result = Array(map.size);
	
	  map.forEach(function(value, key) {
	    result[++index] = [key, value];
	  });
	  return result;
	}
	
	/**
	 * Creates a unary function that invokes `func` with its argument transformed.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {Function} transform The argument transform.
	 * @returns {Function} Returns the new function.
	 */
	function overArg(func, transform) {
	  return function(arg) {
	    return func(transform(arg));
	  };
	}
	
	/**
	 * Converts `set` to an array of its values.
	 *
	 * @private
	 * @param {Object} set The set to convert.
	 * @returns {Array} Returns the values.
	 */
	function setToArray(set) {
	  var index = -1,
	      result = Array(set.size);
	
	  set.forEach(function(value) {
	    result[++index] = value;
	  });
	  return result;
	}
	
	/** Used for built-in method references. */
	var arrayProto = Array.prototype,
	    funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/** Used to infer the `Object` constructor. */
	var objectCtorString = funcToString.call(Object);
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var Buffer = moduleExports ? root.Buffer : undefined,
	    Symbol = root.Symbol,
	    Uint8Array = root.Uint8Array,
	    getPrototype = overArg(Object.getPrototypeOf, Object),
	    objectCreate = Object.create,
	    propertyIsEnumerable = objectProto.propertyIsEnumerable,
	    splice = arrayProto.splice;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeGetSymbols = Object.getOwnPropertySymbols,
	    nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
	    nativeKeys = overArg(Object.keys, Object),
	    nativeMax = Math.max;
	
	/* Built-in method references that are verified to be native. */
	var DataView = getNative(root, 'DataView'),
	    Map = getNative(root, 'Map'),
	    Promise = getNative(root, 'Promise'),
	    Set = getNative(root, 'Set'),
	    WeakMap = getNative(root, 'WeakMap'),
	    nativeCreate = getNative(Object, 'create');
	
	/** Used to detect maps, sets, and weakmaps. */
	var dataViewCtorString = toSource(DataView),
	    mapCtorString = toSource(Map),
	    promiseCtorString = toSource(Promise),
	    setCtorString = toSource(Set),
	    weakMapCtorString = toSource(WeakMap);
	
	/** Used to convert symbols to primitives and strings. */
	var symbolProto = Symbol ? Symbol.prototype : undefined,
	    symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;
	
	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	}
	
	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  return this.has(key) && delete this.__data__[key];
	}
	
	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}
	
	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}
	
	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
	  return this;
	}
	
	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;
	
	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	}
	
	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  return true;
	}
	
	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  return index < 0 ? undefined : data[index][1];
	}
	
	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}
	
	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}
	
	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;
	
	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.__data__ = {
	    'hash': new Hash,
	    'map': new (Map || ListCache),
	    'string': new Hash
	  };
	}
	
	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  return getMapData(this, key)['delete'](key);
	}
	
	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}
	
	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}
	
	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  getMapData(this, key).set(key, value);
	  return this;
	}
	
	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;
	
	/**
	 * Creates a stack cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Stack(entries) {
	  this.__data__ = new ListCache(entries);
	}
	
	/**
	 * Removes all key-value entries from the stack.
	 *
	 * @private
	 * @name clear
	 * @memberOf Stack
	 */
	function stackClear() {
	  this.__data__ = new ListCache;
	}
	
	/**
	 * Removes `key` and its value from the stack.
	 *
	 * @private
	 * @name delete
	 * @memberOf Stack
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function stackDelete(key) {
	  return this.__data__['delete'](key);
	}
	
	/**
	 * Gets the stack value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Stack
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function stackGet(key) {
	  return this.__data__.get(key);
	}
	
	/**
	 * Checks if a stack value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Stack
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function stackHas(key) {
	  return this.__data__.has(key);
	}
	
	/**
	 * Sets the stack `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Stack
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the stack cache instance.
	 */
	function stackSet(key, value) {
	  var cache = this.__data__;
	  if (cache instanceof ListCache) {
	    var pairs = cache.__data__;
	    if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
	      pairs.push([key, value]);
	      return this;
	    }
	    cache = this.__data__ = new MapCache(pairs);
	  }
	  cache.set(key, value);
	  return this;
	}
	
	// Add methods to `Stack`.
	Stack.prototype.clear = stackClear;
	Stack.prototype['delete'] = stackDelete;
	Stack.prototype.get = stackGet;
	Stack.prototype.has = stackHas;
	Stack.prototype.set = stackSet;
	
	/**
	 * Creates an array of the enumerable property names of the array-like `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @param {boolean} inherited Specify returning inherited property names.
	 * @returns {Array} Returns the array of property names.
	 */
	function arrayLikeKeys(value, inherited) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  // Safari 9 makes `arguments.length` enumerable in strict mode.
	  var result = (isArray(value) || isArguments(value))
	    ? baseTimes(value.length, String)
	    : [];
	
	  var length = result.length,
	      skipIndexes = !!length;
	
	  for (var key in value) {
	    if ((inherited || hasOwnProperty.call(value, key)) &&
	        !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * This function is like `assignValue` except that it doesn't assign
	 * `undefined` values.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function assignMergeValue(object, key, value) {
	  if ((value !== undefined && !eq(object[key], value)) ||
	      (typeof key == 'number' && value === undefined && !(key in object))) {
	    object[key] = value;
	  }
	}
	
	/**
	 * Assigns `value` to `key` of `object` if the existing value is not equivalent
	 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function assignValue(object, key, value) {
	  var objValue = object[key];
	  if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
	      (value === undefined && !(key in object))) {
	    object[key] = value;
	  }
	}
	
	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.assign` without support for multiple sources
	 * or `customizer` functions.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @returns {Object} Returns `object`.
	 */
	function baseAssign(object, source) {
	  return object && copyObject(source, keys(source), object);
	}
	
	/**
	 * The base implementation of `_.clone` and `_.cloneDeep` which tracks
	 * traversed objects.
	 *
	 * @private
	 * @param {*} value The value to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @param {boolean} [isFull] Specify a clone including symbols.
	 * @param {Function} [customizer] The function to customize cloning.
	 * @param {string} [key] The key of `value`.
	 * @param {Object} [object] The parent object of `value`.
	 * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
	 * @returns {*} Returns the cloned value.
	 */
	function baseClone(value, isDeep, isFull, customizer, key, object, stack) {
	  var result;
	  if (customizer) {
	    result = object ? customizer(value, key, object, stack) : customizer(value);
	  }
	  if (result !== undefined) {
	    return result;
	  }
	  if (!isObject(value)) {
	    return value;
	  }
	  var isArr = isArray(value);
	  if (isArr) {
	    result = initCloneArray(value);
	    if (!isDeep) {
	      return copyArray(value, result);
	    }
	  } else {
	    var tag = getTag(value),
	        isFunc = tag == funcTag || tag == genTag;
	
	    if (isBuffer(value)) {
	      return cloneBuffer(value, isDeep);
	    }
	    if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
	      if (isHostObject(value)) {
	        return object ? value : {};
	      }
	      result = initCloneObject(isFunc ? {} : value);
	      if (!isDeep) {
	        return copySymbols(value, baseAssign(result, value));
	      }
	    } else {
	      if (!cloneableTags[tag]) {
	        return object ? value : {};
	      }
	      result = initCloneByTag(value, tag, baseClone, isDeep);
	    }
	  }
	  // Check for circular references and return its corresponding clone.
	  stack || (stack = new Stack);
	  var stacked = stack.get(value);
	  if (stacked) {
	    return stacked;
	  }
	  stack.set(value, result);
	
	  if (!isArr) {
	    var props = isFull ? getAllKeys(value) : keys(value);
	  }
	  arrayEach(props || value, function(subValue, key) {
	    if (props) {
	      key = subValue;
	      subValue = value[key];
	    }
	    // Recursively populate clone (susceptible to call stack limits).
	    assignValue(result, key, baseClone(subValue, isDeep, isFull, customizer, key, value, stack));
	  });
	  return result;
	}
	
	/**
	 * The base implementation of `_.create` without support for assigning
	 * properties to the created object.
	 *
	 * @private
	 * @param {Object} prototype The object to inherit from.
	 * @returns {Object} Returns the new object.
	 */
	function baseCreate(proto) {
	  return isObject(proto) ? objectCreate(proto) : {};
	}
	
	/**
	 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
	 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @param {Function} symbolsFunc The function to get the symbols of `object`.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function baseGetAllKeys(object, keysFunc, symbolsFunc) {
	  var result = keysFunc(object);
	  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
	}
	
	/**
	 * The base implementation of `getTag`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	function baseGetTag(value) {
	  return objectToString.call(value);
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.isTypedArray` without Node.js optimizations.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
	 */
	function baseIsTypedArray(value) {
	  return isObjectLike(value) &&
	    isLength(value.length) && !!typedArrayTags[objectToString.call(value)];
	}
	
	/**
	 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeys(object) {
	  if (!isPrototype(object)) {
	    return nativeKeys(object);
	  }
	  var result = [];
	  for (var key in Object(object)) {
	    if (hasOwnProperty.call(object, key) && key != 'constructor') {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeysIn(object) {
	  if (!isObject(object)) {
	    return nativeKeysIn(object);
	  }
	  var isProto = isPrototype(object),
	      result = [];
	
	  for (var key in object) {
	    if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.merge` without support for multiple sources.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @param {number} srcIndex The index of `source`.
	 * @param {Function} [customizer] The function to customize merged values.
	 * @param {Object} [stack] Tracks traversed source values and their merged
	 *  counterparts.
	 */
	function baseMerge(object, source, srcIndex, customizer, stack) {
	  if (object === source) {
	    return;
	  }
	  if (!(isArray(source) || isTypedArray(source))) {
	    var props = baseKeysIn(source);
	  }
	  arrayEach(props || source, function(srcValue, key) {
	    if (props) {
	      key = srcValue;
	      srcValue = source[key];
	    }
	    if (isObject(srcValue)) {
	      stack || (stack = new Stack);
	      baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
	    }
	    else {
	      var newValue = customizer
	        ? customizer(object[key], srcValue, (key + ''), object, source, stack)
	        : undefined;
	
	      if (newValue === undefined) {
	        newValue = srcValue;
	      }
	      assignMergeValue(object, key, newValue);
	    }
	  });
	}
	
	/**
	 * A specialized version of `baseMerge` for arrays and objects which performs
	 * deep merges and tracks traversed objects enabling objects with circular
	 * references to be merged.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @param {string} key The key of the value to merge.
	 * @param {number} srcIndex The index of `source`.
	 * @param {Function} mergeFunc The function to merge values.
	 * @param {Function} [customizer] The function to customize assigned values.
	 * @param {Object} [stack] Tracks traversed source values and their merged
	 *  counterparts.
	 */
	function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
	  var objValue = object[key],
	      srcValue = source[key],
	      stacked = stack.get(srcValue);
	
	  if (stacked) {
	    assignMergeValue(object, key, stacked);
	    return;
	  }
	  var newValue = customizer
	    ? customizer(objValue, srcValue, (key + ''), object, source, stack)
	    : undefined;
	
	  var isCommon = newValue === undefined;
	
	  if (isCommon) {
	    newValue = srcValue;
	    if (isArray(srcValue) || isTypedArray(srcValue)) {
	      if (isArray(objValue)) {
	        newValue = objValue;
	      }
	      else if (isArrayLikeObject(objValue)) {
	        newValue = copyArray(objValue);
	      }
	      else {
	        isCommon = false;
	        newValue = baseClone(srcValue, true);
	      }
	    }
	    else if (isPlainObject(srcValue) || isArguments(srcValue)) {
	      if (isArguments(objValue)) {
	        newValue = toPlainObject(objValue);
	      }
	      else if (!isObject(objValue) || (srcIndex && isFunction(objValue))) {
	        isCommon = false;
	        newValue = baseClone(srcValue, true);
	      }
	      else {
	        newValue = objValue;
	      }
	    }
	    else {
	      isCommon = false;
	    }
	  }
	  if (isCommon) {
	    // Recursively merge objects and arrays (susceptible to call stack limits).
	    stack.set(srcValue, newValue);
	    mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
	    stack['delete'](srcValue);
	  }
	  assignMergeValue(object, key, newValue);
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Creates a clone of  `buffer`.
	 *
	 * @private
	 * @param {Buffer} buffer The buffer to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Buffer} Returns the cloned buffer.
	 */
	function cloneBuffer(buffer, isDeep) {
	  if (isDeep) {
	    return buffer.slice();
	  }
	  var result = new buffer.constructor(buffer.length);
	  buffer.copy(result);
	  return result;
	}
	
	/**
	 * Creates a clone of `arrayBuffer`.
	 *
	 * @private
	 * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
	 * @returns {ArrayBuffer} Returns the cloned array buffer.
	 */
	function cloneArrayBuffer(arrayBuffer) {
	  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
	  new Uint8Array(result).set(new Uint8Array(arrayBuffer));
	  return result;
	}
	
	/**
	 * Creates a clone of `dataView`.
	 *
	 * @private
	 * @param {Object} dataView The data view to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned data view.
	 */
	function cloneDataView(dataView, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
	  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
	}
	
	/**
	 * Creates a clone of `map`.
	 *
	 * @private
	 * @param {Object} map The map to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned map.
	 */
	function cloneMap(map, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(mapToArray(map), true) : mapToArray(map);
	  return arrayReduce(array, addMapEntry, new map.constructor);
	}
	
	/**
	 * Creates a clone of `regexp`.
	 *
	 * @private
	 * @param {Object} regexp The regexp to clone.
	 * @returns {Object} Returns the cloned regexp.
	 */
	function cloneRegExp(regexp) {
	  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
	  result.lastIndex = regexp.lastIndex;
	  return result;
	}
	
	/**
	 * Creates a clone of `set`.
	 *
	 * @private
	 * @param {Object} set The set to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned set.
	 */
	function cloneSet(set, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(setToArray(set), true) : setToArray(set);
	  return arrayReduce(array, addSetEntry, new set.constructor);
	}
	
	/**
	 * Creates a clone of the `symbol` object.
	 *
	 * @private
	 * @param {Object} symbol The symbol object to clone.
	 * @returns {Object} Returns the cloned symbol object.
	 */
	function cloneSymbol(symbol) {
	  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
	}
	
	/**
	 * Creates a clone of `typedArray`.
	 *
	 * @private
	 * @param {Object} typedArray The typed array to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned typed array.
	 */
	function cloneTypedArray(typedArray, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
	  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
	}
	
	/**
	 * Copies the values of `source` to `array`.
	 *
	 * @private
	 * @param {Array} source The array to copy values from.
	 * @param {Array} [array=[]] The array to copy values to.
	 * @returns {Array} Returns `array`.
	 */
	function copyArray(source, array) {
	  var index = -1,
	      length = source.length;
	
	  array || (array = Array(length));
	  while (++index < length) {
	    array[index] = source[index];
	  }
	  return array;
	}
	
	/**
	 * Copies properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy properties from.
	 * @param {Array} props The property identifiers to copy.
	 * @param {Object} [object={}] The object to copy properties to.
	 * @param {Function} [customizer] The function to customize copied values.
	 * @returns {Object} Returns `object`.
	 */
	function copyObject(source, props, object, customizer) {
	  object || (object = {});
	
	  var index = -1,
	      length = props.length;
	
	  while (++index < length) {
	    var key = props[index];
	
	    var newValue = customizer
	      ? customizer(object[key], source[key], key, object, source)
	      : undefined;
	
	    assignValue(object, key, newValue === undefined ? source[key] : newValue);
	  }
	  return object;
	}
	
	/**
	 * Copies own symbol properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy symbols from.
	 * @param {Object} [object={}] The object to copy symbols to.
	 * @returns {Object} Returns `object`.
	 */
	function copySymbols(source, object) {
	  return copyObject(source, getSymbols(source), object);
	}
	
	/**
	 * Creates a function like `_.assign`.
	 *
	 * @private
	 * @param {Function} assigner The function to assign values.
	 * @returns {Function} Returns the new assigner function.
	 */
	function createAssigner(assigner) {
	  return baseRest(function(object, sources) {
	    var index = -1,
	        length = sources.length,
	        customizer = length > 1 ? sources[length - 1] : undefined,
	        guard = length > 2 ? sources[2] : undefined;
	
	    customizer = (assigner.length > 3 && typeof customizer == 'function')
	      ? (length--, customizer)
	      : undefined;
	
	    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
	      customizer = length < 3 ? undefined : customizer;
	      length = 1;
	    }
	    object = Object(object);
	    while (++index < length) {
	      var source = sources[index];
	      if (source) {
	        assigner(object, source, index, customizer);
	      }
	    }
	    return object;
	  });
	}
	
	/**
	 * Creates an array of own enumerable property names and symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function getAllKeys(object) {
	  return baseGetAllKeys(object, keys, getSymbols);
	}
	
	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key)
	    ? data[typeof key == 'string' ? 'string' : 'hash']
	    : data.map;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Creates an array of the own enumerable symbol properties of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbols = nativeGetSymbols ? overArg(nativeGetSymbols, Object) : stubArray;
	
	/**
	 * Gets the `toStringTag` of `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	var getTag = baseGetTag;
	
	// Fallback for data views, maps, sets, and weak maps in IE 11,
	// for data views in Edge < 14, and promises in Node.js.
	if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
	    (Map && getTag(new Map) != mapTag) ||
	    (Promise && getTag(Promise.resolve()) != promiseTag) ||
	    (Set && getTag(new Set) != setTag) ||
	    (WeakMap && getTag(new WeakMap) != weakMapTag)) {
	  getTag = function(value) {
	    var result = objectToString.call(value),
	        Ctor = result == objectTag ? value.constructor : undefined,
	        ctorString = Ctor ? toSource(Ctor) : undefined;
	
	    if (ctorString) {
	      switch (ctorString) {
	        case dataViewCtorString: return dataViewTag;
	        case mapCtorString: return mapTag;
	        case promiseCtorString: return promiseTag;
	        case setCtorString: return setTag;
	        case weakMapCtorString: return weakMapTag;
	      }
	    }
	    return result;
	  };
	}
	
	/**
	 * Initializes an array clone.
	 *
	 * @private
	 * @param {Array} array The array to clone.
	 * @returns {Array} Returns the initialized clone.
	 */
	function initCloneArray(array) {
	  var length = array.length,
	      result = array.constructor(length);
	
	  // Add properties assigned by `RegExp#exec`.
	  if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
	    result.index = array.index;
	    result.input = array.input;
	  }
	  return result;
	}
	
	/**
	 * Initializes an object clone.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneObject(object) {
	  return (typeof object.constructor == 'function' && !isPrototype(object))
	    ? baseCreate(getPrototype(object))
	    : {};
	}
	
	/**
	 * Initializes an object clone based on its `toStringTag`.
	 *
	 * **Note:** This function only supports cloning values with tags of
	 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @param {string} tag The `toStringTag` of the object to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneByTag(object, tag, cloneFunc, isDeep) {
	  var Ctor = object.constructor;
	  switch (tag) {
	    case arrayBufferTag:
	      return cloneArrayBuffer(object);
	
	    case boolTag:
	    case dateTag:
	      return new Ctor(+object);
	
	    case dataViewTag:
	      return cloneDataView(object, isDeep);
	
	    case float32Tag: case float64Tag:
	    case int8Tag: case int16Tag: case int32Tag:
	    case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
	      return cloneTypedArray(object, isDeep);
	
	    case mapTag:
	      return cloneMap(object, isDeep, cloneFunc);
	
	    case numberTag:
	    case stringTag:
	      return new Ctor(object);
	
	    case regexpTag:
	      return cloneRegExp(object);
	
	    case setTag:
	      return cloneSet(object, isDeep, cloneFunc);
	
	    case symbolTag:
	      return cloneSymbol(object);
	  }
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if the given arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
	 *  else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index;
	  if (type == 'number'
	        ? (isArrayLike(object) && isIndex(index, object.length))
	        : (type == 'string' && index in object)
	      ) {
	    return eq(object[index], value);
	  }
	  return false;
	}
	
	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value;
	  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
	    ? (value !== '__proto__')
	    : (value === null);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Checks if `value` is likely a prototype object.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
	 */
	function isPrototype(value) {
	  var Ctor = value && value.constructor,
	      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;
	
	  return value === proto;
	}
	
	/**
	 * This function is like
	 * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * except that it includes inherited enumerable properties.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function nativeKeysIn(object) {
	  var result = [];
	  if (object != null) {
	    for (var key in Object(object)) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is a buffer.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.3.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
	 * @example
	 *
	 * _.isBuffer(new Buffer(2));
	 * // => true
	 *
	 * _.isBuffer(new Uint8Array(2));
	 * // => false
	 */
	var isBuffer = nativeIsBuffer || stubFalse;
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Checks if `value` is a plain object, that is, an object created by the
	 * `Object` constructor or one with a `[[Prototype]]` of `null`.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.8.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a plain object, else `false`.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 * }
	 *
	 * _.isPlainObject(new Foo);
	 * // => false
	 *
	 * _.isPlainObject([1, 2, 3]);
	 * // => false
	 *
	 * _.isPlainObject({ 'x': 0, 'y': 0 });
	 * // => true
	 *
	 * _.isPlainObject(Object.create(null));
	 * // => true
	 */
	function isPlainObject(value) {
	  if (!isObjectLike(value) ||
	      objectToString.call(value) != objectTag || isHostObject(value)) {
	    return false;
	  }
	  var proto = getPrototype(value);
	  if (proto === null) {
	    return true;
	  }
	  var Ctor = hasOwnProperty.call(proto, 'constructor') && proto.constructor;
	  return (typeof Ctor == 'function' &&
	    Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString);
	}
	
	/**
	 * Checks if `value` is classified as a typed array.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
	 * @example
	 *
	 * _.isTypedArray(new Uint8Array);
	 * // => true
	 *
	 * _.isTypedArray([]);
	 * // => false
	 */
	var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;
	
	/**
	 * Converts `value` to a plain object flattening inherited enumerable string
	 * keyed properties of `value` to own properties of the plain object.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {Object} Returns the converted plain object.
	 * @example
	 *
	 * function Foo() {
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.assign({ 'a': 1 }, new Foo);
	 * // => { 'a': 1, 'b': 2 }
	 *
	 * _.assign({ 'a': 1 }, _.toPlainObject(new Foo));
	 * // => { 'a': 1, 'b': 2, 'c': 3 }
	 */
	function toPlainObject(value) {
	  return copyObject(value, keysIn(value));
	}
	
	/**
	 * Creates an array of the own enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects. See the
	 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * for more details.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keys(new Foo);
	 * // => ['a', 'b'] (iteration order is not guaranteed)
	 *
	 * _.keys('hi');
	 * // => ['0', '1']
	 */
	function keys(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
	}
	
	/**
	 * Creates an array of the own and inherited enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keysIn(new Foo);
	 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
	 */
	function keysIn(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
	}
	
	/**
	 * This method is like `_.assign` except that it recursively merges own and
	 * inherited enumerable string keyed properties of source objects into the
	 * destination object. Source properties that resolve to `undefined` are
	 * skipped if a destination value exists. Array and plain object properties
	 * are merged recursively. Other objects and value types are overridden by
	 * assignment. Source objects are applied from left to right. Subsequent
	 * sources overwrite property assignments of previous sources.
	 *
	 * **Note:** This method mutates `object`.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.5.0
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} [sources] The source objects.
	 * @returns {Object} Returns `object`.
	 * @example
	 *
	 * var object = {
	 *   'a': [{ 'b': 2 }, { 'd': 4 }]
	 * };
	 *
	 * var other = {
	 *   'a': [{ 'c': 3 }, { 'e': 5 }]
	 * };
	 *
	 * _.merge(object, other);
	 * // => { 'a': [{ 'b': 2, 'c': 3 }, { 'd': 4, 'e': 5 }] }
	 */
	var merge = createAssigner(function(object, source, srcIndex) {
	  baseMerge(object, source, srcIndex);
	});
	
	/**
	 * This method returns a new empty array.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {Array} Returns the new empty array.
	 * @example
	 *
	 * var arrays = _.times(2, _.stubArray);
	 *
	 * console.log(arrays);
	 * // => [[], []]
	 *
	 * console.log(arrays[0] === arrays[1]);
	 * // => false
	 */
	function stubArray() {
	  return [];
	}
	
	/**
	 * This method returns `false`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {boolean} Returns `false`.
	 * @example
	 *
	 * _.times(2, _.stubFalse);
	 * // => [false, false]
	 */
	function stubFalse() {
	  return false;
	}
	
	module.exports = merge;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }()), __webpack_require__(21)(module)))

/***/ },
/* 88 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;
	
	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';
	
	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0,
	    MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    symbolTag = '[object Symbol]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * A specialized version of `_.includes` for arrays without support for
	 * specifying an index to search from.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludes(array, value) {
	  var length = array ? array.length : 0;
	  return !!length && baseIndexOf(array, value, 0) > -1;
	}
	
	/**
	 * This function is like `arrayIncludes` except that it accepts a comparator.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @param {Function} comparator The comparator invoked per element.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludesWith(array, value, comparator) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (comparator(value, array[index])) {
	      return true;
	    }
	  }
	  return false;
	}
	
	/**
	 * A specialized version of `_.map` for arrays without support for iteratee
	 * shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the new mapped array.
	 */
	function arrayMap(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0,
	      result = Array(length);
	
	  while (++index < length) {
	    result[index] = iteratee(array[index], index, array);
	  }
	  return result;
	}
	
	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;
	
	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}
	
	/**
	 * The base implementation of `_.findIndex` and `_.findLastIndex` without
	 * support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} predicate The function invoked per iteration.
	 * @param {number} fromIndex The index to search from.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseFindIndex(array, predicate, fromIndex, fromRight) {
	  var length = array.length,
	      index = fromIndex + (fromRight ? 1 : -1);
	
	  while ((fromRight ? index-- : ++index < length)) {
	    if (predicate(array[index], index, array)) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOf(array, value, fromIndex) {
	  if (value !== value) {
	    return baseFindIndex(array, baseIsNaN, fromIndex);
	  }
	  var index = fromIndex - 1,
	      length = array.length;
	
	  while (++index < length) {
	    if (array[index] === value) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.isNaN` without support for number objects.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
	 */
	function baseIsNaN(value) {
	  return value !== value;
	}
	
	/**
	 * The base implementation of `_.times` without support for iteratee shorthands
	 * or max array length checks.
	 *
	 * @private
	 * @param {number} n The number of times to invoke `iteratee`.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the array of results.
	 */
	function baseTimes(n, iteratee) {
	  var index = -1,
	      result = Array(n);
	
	  while (++index < n) {
	    result[index] = iteratee(index);
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.unary` without support for storing metadata.
	 *
	 * @private
	 * @param {Function} func The function to cap arguments for.
	 * @returns {Function} Returns the new capped function.
	 */
	function baseUnary(func) {
	  return function(value) {
	    return func(value);
	  };
	}
	
	/**
	 * Checks if a cache value for `key` exists.
	 *
	 * @private
	 * @param {Object} cache The cache to query.
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function cacheHas(cache, key) {
	  return cache.has(key);
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/**
	 * Creates a unary function that invokes `func` with its argument transformed.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {Function} transform The argument transform.
	 * @returns {Function} Returns the new function.
	 */
	function overArg(func, transform) {
	  return function(arg) {
	    return func(transform(arg));
	  };
	}
	
	/** Used for built-in method references. */
	var arrayProto = Array.prototype,
	    funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var Symbol = root.Symbol,
	    getPrototype = overArg(Object.getPrototypeOf, Object),
	    propertyIsEnumerable = objectProto.propertyIsEnumerable,
	    splice = arrayProto.splice,
	    spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeGetSymbols = Object.getOwnPropertySymbols,
	    nativeMax = Math.max;
	
	/* Built-in method references that are verified to be native. */
	var Map = getNative(root, 'Map'),
	    nativeCreate = getNative(Object, 'create');
	
	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	}
	
	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  return this.has(key) && delete this.__data__[key];
	}
	
	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}
	
	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}
	
	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
	  return this;
	}
	
	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;
	
	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	}
	
	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  return true;
	}
	
	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  return index < 0 ? undefined : data[index][1];
	}
	
	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}
	
	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}
	
	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;
	
	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.__data__ = {
	    'hash': new Hash,
	    'map': new (Map || ListCache),
	    'string': new Hash
	  };
	}
	
	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  return getMapData(this, key)['delete'](key);
	}
	
	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}
	
	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}
	
	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  getMapData(this, key).set(key, value);
	  return this;
	}
	
	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;
	
	/**
	 *
	 * Creates an array cache object to store unique values.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [values] The values to cache.
	 */
	function SetCache(values) {
	  var index = -1,
	      length = values ? values.length : 0;
	
	  this.__data__ = new MapCache;
	  while (++index < length) {
	    this.add(values[index]);
	  }
	}
	
	/**
	 * Adds `value` to the array cache.
	 *
	 * @private
	 * @name add
	 * @memberOf SetCache
	 * @alias push
	 * @param {*} value The value to cache.
	 * @returns {Object} Returns the cache instance.
	 */
	function setCacheAdd(value) {
	  this.__data__.set(value, HASH_UNDEFINED);
	  return this;
	}
	
	/**
	 * Checks if `value` is in the array cache.
	 *
	 * @private
	 * @name has
	 * @memberOf SetCache
	 * @param {*} value The value to search for.
	 * @returns {number} Returns `true` if `value` is found, else `false`.
	 */
	function setCacheHas(value) {
	  return this.__data__.has(value);
	}
	
	// Add methods to `SetCache`.
	SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
	SetCache.prototype.has = setCacheHas;
	
	/**
	 * Creates an array of the enumerable property names of the array-like `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @param {boolean} inherited Specify returning inherited property names.
	 * @returns {Array} Returns the array of property names.
	 */
	function arrayLikeKeys(value, inherited) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  // Safari 9 makes `arguments.length` enumerable in strict mode.
	  var result = (isArray(value) || isArguments(value))
	    ? baseTimes(value.length, String)
	    : [];
	
	  var length = result.length,
	      skipIndexes = !!length;
	
	  for (var key in value) {
	    if ((inherited || hasOwnProperty.call(value, key)) &&
	        !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of methods like `_.difference` without support
	 * for excluding multiple arrays or iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Array} values The values to exclude.
	 * @param {Function} [iteratee] The iteratee invoked per element.
	 * @param {Function} [comparator] The comparator invoked per element.
	 * @returns {Array} Returns the new array of filtered values.
	 */
	function baseDifference(array, values, iteratee, comparator) {
	  var index = -1,
	      includes = arrayIncludes,
	      isCommon = true,
	      length = array.length,
	      result = [],
	      valuesLength = values.length;
	
	  if (!length) {
	    return result;
	  }
	  if (iteratee) {
	    values = arrayMap(values, baseUnary(iteratee));
	  }
	  if (comparator) {
	    includes = arrayIncludesWith;
	    isCommon = false;
	  }
	  else if (values.length >= LARGE_ARRAY_SIZE) {
	    includes = cacheHas;
	    isCommon = false;
	    values = new SetCache(values);
	  }
	  outer:
	  while (++index < length) {
	    var value = array[index],
	        computed = iteratee ? iteratee(value) : value;
	
	    value = (comparator || value !== 0) ? value : 0;
	    if (isCommon && computed === computed) {
	      var valuesIndex = valuesLength;
	      while (valuesIndex--) {
	        if (values[valuesIndex] === computed) {
	          continue outer;
	        }
	      }
	      result.push(value);
	    }
	    else if (!includes(values, computed, comparator)) {
	      result.push(value);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.flatten` with support for restricting flattening.
	 *
	 * @private
	 * @param {Array} array The array to flatten.
	 * @param {number} depth The maximum recursion depth.
	 * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
	 * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
	 * @param {Array} [result=[]] The initial result value.
	 * @returns {Array} Returns the new flattened array.
	 */
	function baseFlatten(array, depth, predicate, isStrict, result) {
	  var index = -1,
	      length = array.length;
	
	  predicate || (predicate = isFlattenable);
	  result || (result = []);
	
	  while (++index < length) {
	    var value = array[index];
	    if (depth > 0 && predicate(value)) {
	      if (depth > 1) {
	        // Recursively flatten arrays (susceptible to call stack limits).
	        baseFlatten(value, depth - 1, predicate, isStrict, result);
	      } else {
	        arrayPush(result, value);
	      }
	    } else if (!isStrict) {
	      result[result.length] = value;
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
	 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @param {Function} symbolsFunc The function to get the symbols of `object`.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function baseGetAllKeys(object, keysFunc, symbolsFunc) {
	  var result = keysFunc(object);
	  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeysIn(object) {
	  if (!isObject(object)) {
	    return nativeKeysIn(object);
	  }
	  var isProto = isPrototype(object),
	      result = [];
	
	  for (var key in object) {
	    if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.pick` without support for individual
	 * property identifiers.
	 *
	 * @private
	 * @param {Object} object The source object.
	 * @param {string[]} props The property identifiers to pick.
	 * @returns {Object} Returns the new object.
	 */
	function basePick(object, props) {
	  object = Object(object);
	  return basePickBy(object, props, function(value, key) {
	    return key in object;
	  });
	}
	
	/**
	 * The base implementation of  `_.pickBy` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Object} object The source object.
	 * @param {string[]} props The property identifiers to pick from.
	 * @param {Function} predicate The function invoked per property.
	 * @returns {Object} Returns the new object.
	 */
	function basePickBy(object, props, predicate) {
	  var index = -1,
	      length = props.length,
	      result = {};
	
	  while (++index < length) {
	    var key = props[index],
	        value = object[key];
	
	    if (predicate(value, key)) {
	      result[key] = value;
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Creates an array of own and inherited enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function getAllKeysIn(object) {
	  return baseGetAllKeys(object, keysIn, getSymbolsIn);
	}
	
	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key)
	    ? data[typeof key == 'string' ? 'string' : 'hash']
	    : data.map;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Creates an array of the own enumerable symbol properties of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbols = nativeGetSymbols ? overArg(nativeGetSymbols, Object) : stubArray;
	
	/**
	 * Creates an array of the own and inherited enumerable symbol properties
	 * of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
	  var result = [];
	  while (object) {
	    arrayPush(result, getSymbols(object));
	    object = getPrototype(object);
	  }
	  return result;
	};
	
	/**
	 * Checks if `value` is a flattenable `arguments` object or array.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
	 */
	function isFlattenable(value) {
	  return isArray(value) || isArguments(value) ||
	    !!(spreadableSymbol && value && value[spreadableSymbol]);
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value;
	  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
	    ? (value !== '__proto__')
	    : (value === null);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Checks if `value` is likely a prototype object.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
	 */
	function isPrototype(value) {
	  var Ctor = value && value.constructor,
	      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;
	
	  return value === proto;
	}
	
	/**
	 * This function is like
	 * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * except that it includes inherited enumerable properties.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function nativeKeysIn(object) {
	  var result = [];
	  if (object != null) {
	    for (var key in Object(object)) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Converts `value` to a string key if it's not a string or symbol.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @returns {string|symbol} Returns the key.
	 */
	function toKey(value) {
	  if (typeof value == 'string' || isSymbol(value)) {
	    return value;
	  }
	  var result = (value + '');
	  return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
	}
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Checks if `value` is classified as a `Symbol` primitive or object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
	 * @example
	 *
	 * _.isSymbol(Symbol.iterator);
	 * // => true
	 *
	 * _.isSymbol('abc');
	 * // => false
	 */
	function isSymbol(value) {
	  return typeof value == 'symbol' ||
	    (isObjectLike(value) && objectToString.call(value) == symbolTag);
	}
	
	/**
	 * Creates an array of the own and inherited enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keysIn(new Foo);
	 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
	 */
	function keysIn(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
	}
	
	/**
	 * The opposite of `_.pick`; this method creates an object composed of the
	 * own and inherited enumerable string keyed properties of `object` that are
	 * not omitted.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The source object.
	 * @param {...(string|string[])} [props] The property identifiers to omit.
	 * @returns {Object} Returns the new object.
	 * @example
	 *
	 * var object = { 'a': 1, 'b': '2', 'c': 3 };
	 *
	 * _.omit(object, ['a', 'c']);
	 * // => { 'b': '2' }
	 */
	var omit = baseRest(function(object, props) {
	  if (object == null) {
	    return {};
	  }
	  props = arrayMap(baseFlatten(props, 1), toKey);
	  return basePick(object, baseDifference(getAllKeysIn(object), props));
	});
	
	/**
	 * This method returns a new empty array.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {Array} Returns the new empty array.
	 * @example
	 *
	 * var arrays = _.times(2, _.stubArray);
	 *
	 * console.log(arrays);
	 * // => [[], []]
	 *
	 * console.log(arrays[0] === arrays[1]);
	 * // => false
	 */
	function stubArray() {
	  return [];
	}
	
	module.exports = omit;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 89 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0,
	    MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    symbolTag = '[object Symbol]';
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * A specialized version of `_.map` for arrays without support for iteratee
	 * shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the new mapped array.
	 */
	function arrayMap(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0,
	      result = Array(length);
	
	  while (++index < length) {
	    result[index] = iteratee(array[index], index, array);
	  }
	  return result;
	}
	
	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;
	
	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}
	
	/** Used for built-in method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Built-in value references. */
	var Symbol = root.Symbol,
	    propertyIsEnumerable = objectProto.propertyIsEnumerable,
	    spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeMax = Math.max;
	
	/**
	 * The base implementation of `_.flatten` with support for restricting flattening.
	 *
	 * @private
	 * @param {Array} array The array to flatten.
	 * @param {number} depth The maximum recursion depth.
	 * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
	 * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
	 * @param {Array} [result=[]] The initial result value.
	 * @returns {Array} Returns the new flattened array.
	 */
	function baseFlatten(array, depth, predicate, isStrict, result) {
	  var index = -1,
	      length = array.length;
	
	  predicate || (predicate = isFlattenable);
	  result || (result = []);
	
	  while (++index < length) {
	    var value = array[index];
	    if (depth > 0 && predicate(value)) {
	      if (depth > 1) {
	        // Recursively flatten arrays (susceptible to call stack limits).
	        baseFlatten(value, depth - 1, predicate, isStrict, result);
	      } else {
	        arrayPush(result, value);
	      }
	    } else if (!isStrict) {
	      result[result.length] = value;
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.pick` without support for individual
	 * property identifiers.
	 *
	 * @private
	 * @param {Object} object The source object.
	 * @param {string[]} props The property identifiers to pick.
	 * @returns {Object} Returns the new object.
	 */
	function basePick(object, props) {
	  object = Object(object);
	  return basePickBy(object, props, function(value, key) {
	    return key in object;
	  });
	}
	
	/**
	 * The base implementation of  `_.pickBy` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Object} object The source object.
	 * @param {string[]} props The property identifiers to pick from.
	 * @param {Function} predicate The function invoked per property.
	 * @returns {Object} Returns the new object.
	 */
	function basePickBy(object, props, predicate) {
	  var index = -1,
	      length = props.length,
	      result = {};
	
	  while (++index < length) {
	    var key = props[index],
	        value = object[key];
	
	    if (predicate(value, key)) {
	      result[key] = value;
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Checks if `value` is a flattenable `arguments` object or array.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
	 */
	function isFlattenable(value) {
	  return isArray(value) || isArguments(value) ||
	    !!(spreadableSymbol && value && value[spreadableSymbol]);
	}
	
	/**
	 * Converts `value` to a string key if it's not a string or symbol.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @returns {string|symbol} Returns the key.
	 */
	function toKey(value) {
	  if (typeof value == 'string' || isSymbol(value)) {
	    return value;
	  }
	  var result = (value + '');
	  return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Checks if `value` is classified as a `Symbol` primitive or object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
	 * @example
	 *
	 * _.isSymbol(Symbol.iterator);
	 * // => true
	 *
	 * _.isSymbol('abc');
	 * // => false
	 */
	function isSymbol(value) {
	  return typeof value == 'symbol' ||
	    (isObjectLike(value) && objectToString.call(value) == symbolTag);
	}
	
	/**
	 * Creates an object composed of the picked `object` properties.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The source object.
	 * @param {...(string|string[])} [props] The property identifiers to pick.
	 * @returns {Object} Returns the new object.
	 * @example
	 *
	 * var object = { 'a': 1, 'b': '2', 'c': 3 };
	 *
	 * _.pick(object, ['a', 'c']);
	 * // => { 'a': 1, 'c': 3 }
	 */
	var pick = baseRest(function(object, props) {
	  return object == null ? {} : basePick(object, arrayMap(baseFlatten(props, 1), toKey));
	});
	
	module.exports = pick;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 90 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/ec-util.js - Elliptic Curve Utility Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    ecc = __webpack_require__(91),
	    forge = __webpack_require__(30),
	    util = __webpack_require__(70);
	
	var EC_KEYSIZES = {
	  "P-256": 256,
	  "P-384": 384,
	  "P-521": 521
	};
	
	function convertToForge(key, isPublic) {
	  var parts = isPublic ?
	              ["x", "y"] :
	              ["d"];
	  parts = parts.map(function(f) {
	    return new forge.jsbn.BigInteger(key[f].toString("hex"), 16);
	  });
	  // prefix with curve
	  parts = [key.crv].concat(parts);
	  var fn = isPublic ?
	           ecc.asPublicKey :
	           ecc.asPrivateKey;
	  return fn.apply(ecc, parts);
	}
	
	function convertToJWK(key, isPublic) {
	  var result = clone(key);
	  var parts = isPublic ?
	              ["x", "y"] :
	              ["x", "y", "d"];
	  parts.forEach(function(f) {
	    result[f] = util.base64url.encode(result[f]);
	  });
	
	  // remove potentially troublesome properties
	  delete result.key_ops;
	  delete result.use;
	  delete result.alg;
	
	  if (isPublic) {
	    delete result.d;
	  }
	
	  return result;
	}
	
	function convertToObj(key, isPublic) {
	  var result = clone(key);
	  var parts = isPublic ?
	              ["x", "y"] :
	              ["d"];
	  parts.forEach(function(f) {
	    // assume string if base64url-encoded
	    result[f] = util.asBuffer(result[f], "base64url");
	  });
	
	  return result;
	}
	
	var UNCOMPRESSED = new Buffer([0x04]);
	function convertToBuffer(key, isPublic) {
	  key = convertToObj(key, isPublic);
	  var result = isPublic ?
	               Buffer.concat([UNCOMPRESSED, key.x, key.y]) :
	               key.d;
	  return result;
	}
	
	function curveSize(crv) {
	  return EC_KEYSIZES[crv || ""] || NaN;
	}
	
	module.exports = {
	  convertToForge: convertToForge,
	  convertToJWK: convertToJWK,
	  convertToObj: convertToObj,
	  convertToBuffer: convertToBuffer,
	  curveSize: curveSize
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 91 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/**
	 * deps/ecc/index.js - Elliptic Curve Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    BigInteger = __webpack_require__(92).BigInteger,
	    ec = __webpack_require__(93),
	    CURVES = __webpack_require__(94);
	
	// ### Helpers
	function hex2bn(s) {
	  return new BigInteger(s, 16);
	}
	
	function bn2bin(bn, len) {
	  if (!len) {
	    len = Math.ceil(bn.bitLength() / 8);
	  }
	  len = len * 2;
	
	  var hex = bn.toString(16);
	  // truncate-left if too large
	  hex = hex.substring(Math.max(hex.length - len, 0));
	  // pad-left if too small
	  while (len > hex.length) {
	    hex = "0" + hex;
	  }
	
	  return new Buffer(hex, "hex");
	}
	function bin2bn(s) {
	  if ("string" === typeof s) {
	    s = new Buffer(s, "binary");
	  }
	  return hex2bn(s.toString("hex"));
	}
	
	function keySizeBytes(params) {
	  return Math.ceil(params.getN().bitLength() / 8);
	}
	
	function namedCurve(curve) {
	  var params = CURVES[curve];
	  if (!params) {
	    throw new TypeError("unsupported named curve: " + curve);
	  }
	
	  return params;
	}
	
	function normalizeEcdsa(params, md) {
	  var log2n = params.getN().bitLength(),
	      mdLen = md.length * 8;
	
	  var e = bin2bn(md);
	  if (log2n < mdLen) {
	    e = e.shiftRight(mdLen - log2n);
	  }
	
	  return e;
	}
	
	// ### EC Public Key
	
	/**
	 *
	 * @param {String} curve The named curve
	 * @param {BigInteger} x The X coordinate
	 * @param {BigInteger} y The Y coordinate
	 */
	function ECPublicKey(curve, x, y) {
	  var params = namedCurve(curve),
	      c = params.getCurve();
	  var key = new ec.ECPointFp(c,
	                             c.fromBigInteger(x),
	                             c.fromBigInteger(y));
	
	  this.curve = curve;
	  this.params = params;
	  this.point = key;
	
	  var size = keySizeBytes(params);
	  this.x = bn2bin(x, size);
	  this.y = bn2bin(y, size);
	}
	
	// ECDSA
	ECPublicKey.prototype.verify = function(md, sig) {
	  var N = this.params.getN(),
	      G = this.params.getG();
	
	  // prepare and validate (r, s)
	  var r = bin2bn(sig.r),
	      s = bin2bn(sig.s);
	  if (r.compareTo(BigInteger.ONE) < 0 || r.compareTo(N) >= 0) {
	    return false;
	  }
	  if (s.compareTo(BigInteger.ONE) < 0 || r.compareTo(N) >= 0) {
	    return false;
	  }
	
	  // normalize input
	  var e = normalizeEcdsa(this.params, md);
	  // verify (r, s)
	  var w = s.modInverse(N),
	      u1 = e.multiply(w).mod(N),
	      u2 = r.multiply(w).mod(N);
	
	  var v = G.multiplyTwo(u1, this.point, u2).getX().toBigInteger();
	  v = v.mod(N);
	
	  return v.equals(r);
	};
	
	// ### EC Private Key
	
	/**
	 * @param {String} curve The named curve
	 * @param {Buffer} key The private key value
	 */
	function ECPrivateKey(curve, key) {
	  var params = namedCurve(curve);
	  this.curve = curve;
	  this.params = params;
	
	  var size = keySizeBytes(params);
	  this.d = bn2bin(key, size);
	}
	
	ECPrivateKey.prototype.toPublicKey = function() {
	  var d = bin2bn(this.d);
	  var P = this.params.getG().multiply(d);
	  return new ECPublicKey(this.curve,
	                         P.getX().toBigInteger(),
	                         P.getY().toBigInteger());
	};
	
	// ECDSA
	ECPrivateKey.prototype.sign = function(md) {
	  var keysize = keySizeBytes(this.params),
	      N = this.params.getN(),
	      G = this.params.getG(),
	      e = normalizeEcdsa(this.params, md),
	      d = bin2bn(this.d);
	
	  var r, s;
	  var k, x1, z;
	  do {
	    do {
	      // determine random nonce
	      do {
	        k = bin2bn(forge.random.getBytes(keysize));
	      } while (k.equals(BigInteger.ZERO) || k.compareTo(N) >= 0);
	      // (x1, y1) = k * G
	      x1 = G.multiply(k).getX().toBigInteger();
	      // r = x1 mod N
	      r = x1.mod(N);
	    } while (r.equals(BigInteger.ZERO));
	    // s = (k^-1 * (e + r * d)) mod N
	    z = d.multiply(r);
	    z = e.add(z);
	    s = k.modInverse(N).multiply(z).mod(N);
	  } while (s.equals(BigInteger.ONE));
	
	  // convert (r, s) to bytes
	  var len = keySizeBytes(this.params);
	  r = bn2bin(r, len);
	  s = bn2bin(s, len);
	
	  return {
	    r: r,
	    s: s
	  };
	};
	
	// ECDH
	ECPrivateKey.prototype.computeSecret = function(pubkey) {
	  var d = bin2bn(this.d);
	  var S = pubkey.point.multiply(d).getX().toBigInteger();
	  S = bn2bin(S, keySizeBytes(this.params));
	  return S;
	};
	
	// ### Public API
	exports.generateKeyPair = function(curve) {
	  var params = namedCurve(curve),
	      n = params.getN();
	
	  // generate random within range [1, N-1)
	  var r = forge.random.getBytes(keySizeBytes(params));
	  r = bin2bn(r);
	
	  var n1 = n.subtract(BigInteger.ONE);
	  var d = r.mod(n1).add(BigInteger.ONE);
	
	  var privkey = new ECPrivateKey(curve, d),
	      pubkey = privkey.toPublicKey();
	
	  return {
	    "private": privkey,
	    "public": pubkey
	  };
	};
	
	exports.asPublicKey = function(curve, x, y) {
	  if ("string" === typeof x) {
	    x = hex2bn(x);
	  } else if (Buffer.isBuffer(x)) {
	    x = bin2bn(x);
	  }
	
	  if ("string" === typeof y) {
	    y = hex2bn(y);
	  } else if (Buffer.isBuffer(y)) {
	    y = bin2bn(y);
	  }
	
	  var pubkey = new ECPublicKey(curve, x, y);
	  return pubkey;
	};
	exports.asPrivateKey = function(curve, d) {
	  // Elaborate way to get to a Buffer from a (String|Buffer|BigInteger)
	  if ("string" === typeof d) {
	    d = hex2bn(d);
	  } else if (Buffer.isBuffer(d)) {
	    d = bin2bn(d);
	  }
	
	  var privkey = new ECPrivateKey(curve, d);
	  return privkey;
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 92 */
/***/ function(module, exports, __webpack_require__) {

	(function(){
	
	    // Copyright (c) 2005  Tom Wu
	    // All Rights Reserved.
	    // See "LICENSE" for details.
	
	    // Basic JavaScript BN library - subset useful for RSA encryption.
	
	    // Bits per digit
	    var dbits;
	
	    // JavaScript engine analysis
	    var canary = 0xdeadbeefcafe;
	    var j_lm = ((canary&0xffffff)==0xefcafe);
	
	    // (public) Constructor
	    function BigInteger(a,b,c) {
	      if(a != null)
	        if("number" == typeof a) this.fromNumber(a,b,c);
	        else if(b == null && "string" != typeof a) this.fromString(a,256);
	        else this.fromString(a,b);
	    }
	
	    // return new, unset BigInteger
	    function nbi() { return new BigInteger(null); }
	
	    // am: Compute w_j += (x*this_i), propagate carries,
	    // c is initial carry, returns final carry.
	    // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
	    // We need to select the fastest one that works in this environment.
	
	    // am1: use a single mult and divide to get the high bits,
	    // max digit bits should be 26 because
	    // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
	    function am1(i,x,w,j,c,n) {
	      while(--n >= 0) {
	        var v = x*this[i++]+w[j]+c;
	        c = Math.floor(v/0x4000000);
	        w[j++] = v&0x3ffffff;
	      }
	      return c;
	    }
	    // am2 avoids a big mult-and-extract completely.
	    // Max digit bits should be <= 30 because we do bitwise ops
	    // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
	    function am2(i,x,w,j,c,n) {
	      var xl = x&0x7fff, xh = x>>15;
	      while(--n >= 0) {
	        var l = this[i]&0x7fff;
	        var h = this[i++]>>15;
	        var m = xh*l+h*xl;
	        l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
	        c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
	        w[j++] = l&0x3fffffff;
	      }
	      return c;
	    }
	    // Alternately, set max digit bits to 28 since some
	    // browsers slow down when dealing with 32-bit numbers.
	    function am3(i,x,w,j,c,n) {
	      var xl = x&0x3fff, xh = x>>14;
	      while(--n >= 0) {
	        var l = this[i]&0x3fff;
	        var h = this[i++]>>14;
	        var m = xh*l+h*xl;
	        l = xl*l+((m&0x3fff)<<14)+w[j]+c;
	        c = (l>>28)+(m>>14)+xh*h;
	        w[j++] = l&0xfffffff;
	      }
	      return c;
	    }
	    var inBrowser = typeof navigator !== "undefined";
	    if(inBrowser && j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
	      BigInteger.prototype.am = am2;
	      dbits = 30;
	    }
	    else if(inBrowser && j_lm && (navigator.appName != "Netscape")) {
	      BigInteger.prototype.am = am1;
	      dbits = 26;
	    }
	    else { // Mozilla/Netscape seems to prefer am3
	      BigInteger.prototype.am = am3;
	      dbits = 28;
	    }
	
	    BigInteger.prototype.DB = dbits;
	    BigInteger.prototype.DM = ((1<<dbits)-1);
	    BigInteger.prototype.DV = (1<<dbits);
	
	    var BI_FP = 52;
	    BigInteger.prototype.FV = Math.pow(2,BI_FP);
	    BigInteger.prototype.F1 = BI_FP-dbits;
	    BigInteger.prototype.F2 = 2*dbits-BI_FP;
	
	    // Digit conversions
	    var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
	    var BI_RC = new Array();
	    var rr,vv;
	    rr = "0".charCodeAt(0);
	    for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
	    rr = "a".charCodeAt(0);
	    for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
	    rr = "A".charCodeAt(0);
	    for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
	
	    function int2char(n) { return BI_RM.charAt(n); }
	    function intAt(s,i) {
	      var c = BI_RC[s.charCodeAt(i)];
	      return (c==null)?-1:c;
	    }
	
	    // (protected) copy this to r
	    function bnpCopyTo(r) {
	      for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
	      r.t = this.t;
	      r.s = this.s;
	    }
	
	    // (protected) set from integer value x, -DV <= x < DV
	    function bnpFromInt(x) {
	      this.t = 1;
	      this.s = (x<0)?-1:0;
	      if(x > 0) this[0] = x;
	      else if(x < -1) this[0] = x+this.DV;
	      else this.t = 0;
	    }
	
	    // return bigint initialized to value
	    function nbv(i) { var r = nbi(); r.fromInt(i); return r; }
	
	    // (protected) set from string and radix
	    function bnpFromString(s,b) {
	      var k;
	      if(b == 16) k = 4;
	      else if(b == 8) k = 3;
	      else if(b == 256) k = 8; // byte array
	      else if(b == 2) k = 1;
	      else if(b == 32) k = 5;
	      else if(b == 4) k = 2;
	      else { this.fromRadix(s,b); return; }
	      this.t = 0;
	      this.s = 0;
	      var i = s.length, mi = false, sh = 0;
	      while(--i >= 0) {
	        var x = (k==8)?s[i]&0xff:intAt(s,i);
	        if(x < 0) {
	          if(s.charAt(i) == "-") mi = true;
	          continue;
	        }
	        mi = false;
	        if(sh == 0)
	          this[this.t++] = x;
	        else if(sh+k > this.DB) {
	          this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
	          this[this.t++] = (x>>(this.DB-sh));
	        }
	        else
	          this[this.t-1] |= x<<sh;
	        sh += k;
	        if(sh >= this.DB) sh -= this.DB;
	      }
	      if(k == 8 && (s[0]&0x80) != 0) {
	        this.s = -1;
	        if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
	      }
	      this.clamp();
	      if(mi) BigInteger.ZERO.subTo(this,this);
	    }
	
	    // (protected) clamp off excess high words
	    function bnpClamp() {
	      var c = this.s&this.DM;
	      while(this.t > 0 && this[this.t-1] == c) --this.t;
	    }
	
	    // (public) return string representation in given radix
	    function bnToString(b) {
	      if(this.s < 0) return "-"+this.negate().toString(b);
	      var k;
	      if(b == 16) k = 4;
	      else if(b == 8) k = 3;
	      else if(b == 2) k = 1;
	      else if(b == 32) k = 5;
	      else if(b == 4) k = 2;
	      else return this.toRadix(b);
	      var km = (1<<k)-1, d, m = false, r = "", i = this.t;
	      var p = this.DB-(i*this.DB)%k;
	      if(i-- > 0) {
	        if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
	        while(i >= 0) {
	          if(p < k) {
	            d = (this[i]&((1<<p)-1))<<(k-p);
	            d |= this[--i]>>(p+=this.DB-k);
	          }
	          else {
	            d = (this[i]>>(p-=k))&km;
	            if(p <= 0) { p += this.DB; --i; }
	          }
	          if(d > 0) m = true;
	          if(m) r += int2char(d);
	        }
	      }
	      return m?r:"0";
	    }
	
	    // (public) -this
	    function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }
	
	    // (public) |this|
	    function bnAbs() { return (this.s<0)?this.negate():this; }
	
	    // (public) return + if this > a, - if this < a, 0 if equal
	    function bnCompareTo(a) {
	      var r = this.s-a.s;
	      if(r != 0) return r;
	      var i = this.t;
	      r = i-a.t;
	      if(r != 0) return (this.s<0)?-r:r;
	      while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
	      return 0;
	    }
	
	    // returns bit length of the integer x
	    function nbits(x) {
	      var r = 1, t;
	      if((t=x>>>16) != 0) { x = t; r += 16; }
	      if((t=x>>8) != 0) { x = t; r += 8; }
	      if((t=x>>4) != 0) { x = t; r += 4; }
	      if((t=x>>2) != 0) { x = t; r += 2; }
	      if((t=x>>1) != 0) { x = t; r += 1; }
	      return r;
	    }
	
	    // (public) return the number of bits in "this"
	    function bnBitLength() {
	      if(this.t <= 0) return 0;
	      return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
	    }
	
	    // (protected) r = this << n*DB
	    function bnpDLShiftTo(n,r) {
	      var i;
	      for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
	      for(i = n-1; i >= 0; --i) r[i] = 0;
	      r.t = this.t+n;
	      r.s = this.s;
	    }
	
	    // (protected) r = this >> n*DB
	    function bnpDRShiftTo(n,r) {
	      for(var i = n; i < this.t; ++i) r[i-n] = this[i];
	      r.t = Math.max(this.t-n,0);
	      r.s = this.s;
	    }
	
	    // (protected) r = this << n
	    function bnpLShiftTo(n,r) {
	      var bs = n%this.DB;
	      var cbs = this.DB-bs;
	      var bm = (1<<cbs)-1;
	      var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
	      for(i = this.t-1; i >= 0; --i) {
	        r[i+ds+1] = (this[i]>>cbs)|c;
	        c = (this[i]&bm)<<bs;
	      }
	      for(i = ds-1; i >= 0; --i) r[i] = 0;
	      r[ds] = c;
	      r.t = this.t+ds+1;
	      r.s = this.s;
	      r.clamp();
	    }
	
	    // (protected) r = this >> n
	    function bnpRShiftTo(n,r) {
	      r.s = this.s;
	      var ds = Math.floor(n/this.DB);
	      if(ds >= this.t) { r.t = 0; return; }
	      var bs = n%this.DB;
	      var cbs = this.DB-bs;
	      var bm = (1<<bs)-1;
	      r[0] = this[ds]>>bs;
	      for(var i = ds+1; i < this.t; ++i) {
	        r[i-ds-1] |= (this[i]&bm)<<cbs;
	        r[i-ds] = this[i]>>bs;
	      }
	      if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
	      r.t = this.t-ds;
	      r.clamp();
	    }
	
	    // (protected) r = this - a
	    function bnpSubTo(a,r) {
	      var i = 0, c = 0, m = Math.min(a.t,this.t);
	      while(i < m) {
	        c += this[i]-a[i];
	        r[i++] = c&this.DM;
	        c >>= this.DB;
	      }
	      if(a.t < this.t) {
	        c -= a.s;
	        while(i < this.t) {
	          c += this[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += this.s;
	      }
	      else {
	        c += this.s;
	        while(i < a.t) {
	          c -= a[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c -= a.s;
	      }
	      r.s = (c<0)?-1:0;
	      if(c < -1) r[i++] = this.DV+c;
	      else if(c > 0) r[i++] = c;
	      r.t = i;
	      r.clamp();
	    }
	
	    // (protected) r = this * a, r != this,a (HAC 14.12)
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyTo(a,r) {
	      var x = this.abs(), y = a.abs();
	      var i = x.t;
	      r.t = i+y.t;
	      while(--i >= 0) r[i] = 0;
	      for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
	      r.s = 0;
	      r.clamp();
	      if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
	    }
	
	    // (protected) r = this^2, r != this (HAC 14.16)
	    function bnpSquareTo(r) {
	      var x = this.abs();
	      var i = r.t = 2*x.t;
	      while(--i >= 0) r[i] = 0;
	      for(i = 0; i < x.t-1; ++i) {
	        var c = x.am(i,x[i],r,2*i,0,1);
	        if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
	          r[i+x.t] -= x.DV;
	          r[i+x.t+1] = 1;
	        }
	      }
	      if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
	      r.s = 0;
	      r.clamp();
	    }
	
	    // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
	    // r != q, this != m.  q or r may be null.
	    function bnpDivRemTo(m,q,r) {
	      var pm = m.abs();
	      if(pm.t <= 0) return;
	      var pt = this.abs();
	      if(pt.t < pm.t) {
	        if(q != null) q.fromInt(0);
	        if(r != null) this.copyTo(r);
	        return;
	      }
	      if(r == null) r = nbi();
	      var y = nbi(), ts = this.s, ms = m.s;
	      var nsh = this.DB-nbits(pm[pm.t-1]);   // normalize modulus
	      if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
	      else { pm.copyTo(y); pt.copyTo(r); }
	      var ys = y.t;
	      var y0 = y[ys-1];
	      if(y0 == 0) return;
	      var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
	      var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
	      var i = r.t, j = i-ys, t = (q==null)?nbi():q;
	      y.dlShiftTo(j,t);
	      if(r.compareTo(t) >= 0) {
	        r[r.t++] = 1;
	        r.subTo(t,r);
	      }
	      BigInteger.ONE.dlShiftTo(ys,t);
	      t.subTo(y,y);  // "negative" y so we can replace sub with am later
	      while(y.t < ys) y[y.t++] = 0;
	      while(--j >= 0) {
	        // Estimate quotient digit
	        var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
	        if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {   // Try it out
	          y.dlShiftTo(j,t);
	          r.subTo(t,r);
	          while(r[i] < --qd) r.subTo(t,r);
	        }
	      }
	      if(q != null) {
	        r.drShiftTo(ys,q);
	        if(ts != ms) BigInteger.ZERO.subTo(q,q);
	      }
	      r.t = ys;
	      r.clamp();
	      if(nsh > 0) r.rShiftTo(nsh,r); // Denormalize remainder
	      if(ts < 0) BigInteger.ZERO.subTo(r,r);
	    }
	
	    // (public) this mod a
	    function bnMod(a) {
	      var r = nbi();
	      this.abs().divRemTo(a,null,r);
	      if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
	      return r;
	    }
	
	    // Modular reduction using "classic" algorithm
	    function Classic(m) { this.m = m; }
	    function cConvert(x) {
	      if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
	      else return x;
	    }
	    function cRevert(x) { return x; }
	    function cReduce(x) { x.divRemTo(this.m,null,x); }
	    function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	    function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    Classic.prototype.convert = cConvert;
	    Classic.prototype.revert = cRevert;
	    Classic.prototype.reduce = cReduce;
	    Classic.prototype.mulTo = cMulTo;
	    Classic.prototype.sqrTo = cSqrTo;
	
	    // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
	    // justification:
	    //         xy == 1 (mod m)
	    //         xy =  1+km
	    //   xy(2-xy) = (1+km)(1-km)
	    // x[y(2-xy)] = 1-k^2m^2
	    // x[y(2-xy)] == 1 (mod m^2)
	    // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
	    // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
	    // JS multiply "overflows" differently from C/C++, so care is needed here.
	    function bnpInvDigit() {
	      if(this.t < 1) return 0;
	      var x = this[0];
	      if((x&1) == 0) return 0;
	      var y = x&3;       // y == 1/x mod 2^2
	      y = (y*(2-(x&0xf)*y))&0xf; // y == 1/x mod 2^4
	      y = (y*(2-(x&0xff)*y))&0xff;   // y == 1/x mod 2^8
	      y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;    // y == 1/x mod 2^16
	      // last step - calculate inverse mod DV directly;
	      // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
	      y = (y*(2-x*y%this.DV))%this.DV;       // y == 1/x mod 2^dbits
	      // we really want the negative inverse, and -DV < y < DV
	      return (y>0)?this.DV-y:-y;
	    }
	
	    // Montgomery reduction
	    function Montgomery(m) {
	      this.m = m;
	      this.mp = m.invDigit();
	      this.mpl = this.mp&0x7fff;
	      this.mph = this.mp>>15;
	      this.um = (1<<(m.DB-15))-1;
	      this.mt2 = 2*m.t;
	    }
	
	    // xR mod m
	    function montConvert(x) {
	      var r = nbi();
	      x.abs().dlShiftTo(this.m.t,r);
	      r.divRemTo(this.m,null,r);
	      if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
	      return r;
	    }
	
	    // x/R mod m
	    function montRevert(x) {
	      var r = nbi();
	      x.copyTo(r);
	      this.reduce(r);
	      return r;
	    }
	
	    // x = x/R mod m (HAC 14.32)
	    function montReduce(x) {
	      while(x.t <= this.mt2) // pad x so am has enough room later
	        x[x.t++] = 0;
	      for(var i = 0; i < this.m.t; ++i) {
	        // faster way of calculating u0 = x[i]*mp mod DV
	        var j = x[i]&0x7fff;
	        var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
	        // use am to combine the multiply-shift-add into one call
	        j = i+this.m.t;
	        x[j] += this.m.am(0,u0,x,i,0,this.m.t);
	        // propagate carry
	        while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
	      }
	      x.clamp();
	      x.drShiftTo(this.m.t,x);
	      if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
	    }
	
	    // r = "x^2/R mod m"; x != r
	    function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    // r = "xy/R mod m"; x,y != r
	    function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	
	    Montgomery.prototype.convert = montConvert;
	    Montgomery.prototype.revert = montRevert;
	    Montgomery.prototype.reduce = montReduce;
	    Montgomery.prototype.mulTo = montMulTo;
	    Montgomery.prototype.sqrTo = montSqrTo;
	
	    // (protected) true iff this is even
	    function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }
	
	    // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
	    function bnpExp(e,z) {
	      if(e > 0xffffffff || e < 1) return BigInteger.ONE;
	      var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
	      g.copyTo(r);
	      while(--i >= 0) {
	        z.sqrTo(r,r2);
	        if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
	        else { var t = r; r = r2; r2 = t; }
	      }
	      return z.revert(r);
	    }
	
	    // (public) this^e % m, 0 <= e < 2^32
	    function bnModPowInt(e,m) {
	      var z;
	      if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
	      return this.exp(e,z);
	    }
	
	    // protected
	    BigInteger.prototype.copyTo = bnpCopyTo;
	    BigInteger.prototype.fromInt = bnpFromInt;
	    BigInteger.prototype.fromString = bnpFromString;
	    BigInteger.prototype.clamp = bnpClamp;
	    BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
	    BigInteger.prototype.drShiftTo = bnpDRShiftTo;
	    BigInteger.prototype.lShiftTo = bnpLShiftTo;
	    BigInteger.prototype.rShiftTo = bnpRShiftTo;
	    BigInteger.prototype.subTo = bnpSubTo;
	    BigInteger.prototype.multiplyTo = bnpMultiplyTo;
	    BigInteger.prototype.squareTo = bnpSquareTo;
	    BigInteger.prototype.divRemTo = bnpDivRemTo;
	    BigInteger.prototype.invDigit = bnpInvDigit;
	    BigInteger.prototype.isEven = bnpIsEven;
	    BigInteger.prototype.exp = bnpExp;
	
	    // public
	    BigInteger.prototype.toString = bnToString;
	    BigInteger.prototype.negate = bnNegate;
	    BigInteger.prototype.abs = bnAbs;
	    BigInteger.prototype.compareTo = bnCompareTo;
	    BigInteger.prototype.bitLength = bnBitLength;
	    BigInteger.prototype.mod = bnMod;
	    BigInteger.prototype.modPowInt = bnModPowInt;
	
	    // "constants"
	    BigInteger.ZERO = nbv(0);
	    BigInteger.ONE = nbv(1);
	
	    // Copyright (c) 2005-2009  Tom Wu
	    // All Rights Reserved.
	    // See "LICENSE" for details.
	
	    // Extended JavaScript BN functions, required for RSA private ops.
	
	    // Version 1.1: new BigInteger("0", 10) returns "proper" zero
	    // Version 1.2: square() API, isProbablePrime fix
	
	    // (public)
	    function bnClone() { var r = nbi(); this.copyTo(r); return r; }
	
	    // (public) return value as integer
	    function bnIntValue() {
	      if(this.s < 0) {
	        if(this.t == 1) return this[0]-this.DV;
	        else if(this.t == 0) return -1;
	      }
	      else if(this.t == 1) return this[0];
	      else if(this.t == 0) return 0;
	      // assumes 16 < DB < 32
	      return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
	    }
	
	    // (public) return value as byte
	    function bnByteValue() { return (this.t==0)?this.s:(this[0]<<24)>>24; }
	
	    // (public) return value as short (assumes DB>=16)
	    function bnShortValue() { return (this.t==0)?this.s:(this[0]<<16)>>16; }
	
	    // (protected) return x s.t. r^x < DV
	    function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }
	
	    // (public) 0 if this == 0, 1 if this > 0
	    function bnSigNum() {
	      if(this.s < 0) return -1;
	      else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
	      else return 1;
	    }
	
	    // (protected) convert to radix string
	    function bnpToRadix(b) {
	      if(b == null) b = 10;
	      if(this.signum() == 0 || b < 2 || b > 36) return "0";
	      var cs = this.chunkSize(b);
	      var a = Math.pow(b,cs);
	      var d = nbv(a), y = nbi(), z = nbi(), r = "";
	      this.divRemTo(d,y,z);
	      while(y.signum() > 0) {
	        r = (a+z.intValue()).toString(b).substr(1) + r;
	        y.divRemTo(d,y,z);
	      }
	      return z.intValue().toString(b) + r;
	    }
	
	    // (protected) convert from radix string
	    function bnpFromRadix(s,b) {
	      this.fromInt(0);
	      if(b == null) b = 10;
	      var cs = this.chunkSize(b);
	      var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
	      for(var i = 0; i < s.length; ++i) {
	        var x = intAt(s,i);
	        if(x < 0) {
	          if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
	          continue;
	        }
	        w = b*w+x;
	        if(++j >= cs) {
	          this.dMultiply(d);
	          this.dAddOffset(w,0);
	          j = 0;
	          w = 0;
	        }
	      }
	      if(j > 0) {
	        this.dMultiply(Math.pow(b,j));
	        this.dAddOffset(w,0);
	      }
	      if(mi) BigInteger.ZERO.subTo(this,this);
	    }
	
	    // (protected) alternate constructor
	    function bnpFromNumber(a,b,c) {
	      if("number" == typeof b) {
	        // new BigInteger(int,int,RNG)
	        if(a < 2) this.fromInt(1);
	        else {
	          this.fromNumber(a,c);
	          if(!this.testBit(a-1))	// force MSB set
	            this.bitwiseTo(BigInteger.ONE.shiftLeft(a-1),op_or,this);
	          if(this.isEven()) this.dAddOffset(1,0); // force odd
	          while(!this.isProbablePrime(b)) {
	            this.dAddOffset(2,0);
	            if(this.bitLength() > a) this.subTo(BigInteger.ONE.shiftLeft(a-1),this);
	          }
	        }
	      }
	      else {
	        // new BigInteger(int,RNG)
	        var x = new Array(), t = a&7;
	        x.length = (a>>3)+1;
	        b.nextBytes(x);
	        if(t > 0) x[0] &= ((1<<t)-1); else x[0] = 0;
	        this.fromString(x,256);
	      }
	    }
	
	    // (public) convert to bigendian byte array
	    function bnToByteArray() {
	      var i = this.t, r = new Array();
	      r[0] = this.s;
	      var p = this.DB-(i*this.DB)%8, d, k = 0;
	      if(i-- > 0) {
	        if(p < this.DB && (d = this[i]>>p) != (this.s&this.DM)>>p)
	          r[k++] = d|(this.s<<(this.DB-p));
	        while(i >= 0) {
	          if(p < 8) {
	            d = (this[i]&((1<<p)-1))<<(8-p);
	            d |= this[--i]>>(p+=this.DB-8);
	          }
	          else {
	            d = (this[i]>>(p-=8))&0xff;
	            if(p <= 0) { p += this.DB; --i; }
	          }
	          if((d&0x80) != 0) d |= -256;
	          if(k == 0 && (this.s&0x80) != (d&0x80)) ++k;
	          if(k > 0 || d != this.s) r[k++] = d;
	        }
	      }
	      return r;
	    }
	
	    function bnEquals(a) { return(this.compareTo(a)==0); }
	    function bnMin(a) { return(this.compareTo(a)<0)?this:a; }
	    function bnMax(a) { return(this.compareTo(a)>0)?this:a; }
	
	    // (protected) r = this op a (bitwise)
	    function bnpBitwiseTo(a,op,r) {
	      var i, f, m = Math.min(a.t,this.t);
	      for(i = 0; i < m; ++i) r[i] = op(this[i],a[i]);
	      if(a.t < this.t) {
	        f = a.s&this.DM;
	        for(i = m; i < this.t; ++i) r[i] = op(this[i],f);
	        r.t = this.t;
	      }
	      else {
	        f = this.s&this.DM;
	        for(i = m; i < a.t; ++i) r[i] = op(f,a[i]);
	        r.t = a.t;
	      }
	      r.s = op(this.s,a.s);
	      r.clamp();
	    }
	
	    // (public) this & a
	    function op_and(x,y) { return x&y; }
	    function bnAnd(a) { var r = nbi(); this.bitwiseTo(a,op_and,r); return r; }
	
	    // (public) this | a
	    function op_or(x,y) { return x|y; }
	    function bnOr(a) { var r = nbi(); this.bitwiseTo(a,op_or,r); return r; }
	
	    // (public) this ^ a
	    function op_xor(x,y) { return x^y; }
	    function bnXor(a) { var r = nbi(); this.bitwiseTo(a,op_xor,r); return r; }
	
	    // (public) this & ~a
	    function op_andnot(x,y) { return x&~y; }
	    function bnAndNot(a) { var r = nbi(); this.bitwiseTo(a,op_andnot,r); return r; }
	
	    // (public) ~this
	    function bnNot() {
	      var r = nbi();
	      for(var i = 0; i < this.t; ++i) r[i] = this.DM&~this[i];
	      r.t = this.t;
	      r.s = ~this.s;
	      return r;
	    }
	
	    // (public) this << n
	    function bnShiftLeft(n) {
	      var r = nbi();
	      if(n < 0) this.rShiftTo(-n,r); else this.lShiftTo(n,r);
	      return r;
	    }
	
	    // (public) this >> n
	    function bnShiftRight(n) {
	      var r = nbi();
	      if(n < 0) this.lShiftTo(-n,r); else this.rShiftTo(n,r);
	      return r;
	    }
	
	    // return index of lowest 1-bit in x, x < 2^31
	    function lbit(x) {
	      if(x == 0) return -1;
	      var r = 0;
	      if((x&0xffff) == 0) { x >>= 16; r += 16; }
	      if((x&0xff) == 0) { x >>= 8; r += 8; }
	      if((x&0xf) == 0) { x >>= 4; r += 4; }
	      if((x&3) == 0) { x >>= 2; r += 2; }
	      if((x&1) == 0) ++r;
	      return r;
	    }
	
	    // (public) returns index of lowest 1-bit (or -1 if none)
	    function bnGetLowestSetBit() {
	      for(var i = 0; i < this.t; ++i)
	        if(this[i] != 0) return i*this.DB+lbit(this[i]);
	      if(this.s < 0) return this.t*this.DB;
	      return -1;
	    }
	
	    // return number of 1 bits in x
	    function cbit(x) {
	      var r = 0;
	      while(x != 0) { x &= x-1; ++r; }
	      return r;
	    }
	
	    // (public) return number of set bits
	    function bnBitCount() {
	      var r = 0, x = this.s&this.DM;
	      for(var i = 0; i < this.t; ++i) r += cbit(this[i]^x);
	      return r;
	    }
	
	    // (public) true iff nth bit is set
	    function bnTestBit(n) {
	      var j = Math.floor(n/this.DB);
	      if(j >= this.t) return(this.s!=0);
	      return((this[j]&(1<<(n%this.DB)))!=0);
	    }
	
	    // (protected) this op (1<<n)
	    function bnpChangeBit(n,op) {
	      var r = BigInteger.ONE.shiftLeft(n);
	      this.bitwiseTo(r,op,r);
	      return r;
	    }
	
	    // (public) this | (1<<n)
	    function bnSetBit(n) { return this.changeBit(n,op_or); }
	
	    // (public) this & ~(1<<n)
	    function bnClearBit(n) { return this.changeBit(n,op_andnot); }
	
	    // (public) this ^ (1<<n)
	    function bnFlipBit(n) { return this.changeBit(n,op_xor); }
	
	    // (protected) r = this + a
	    function bnpAddTo(a,r) {
	      var i = 0, c = 0, m = Math.min(a.t,this.t);
	      while(i < m) {
	        c += this[i]+a[i];
	        r[i++] = c&this.DM;
	        c >>= this.DB;
	      }
	      if(a.t < this.t) {
	        c += a.s;
	        while(i < this.t) {
	          c += this[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += this.s;
	      }
	      else {
	        c += this.s;
	        while(i < a.t) {
	          c += a[i];
	          r[i++] = c&this.DM;
	          c >>= this.DB;
	        }
	        c += a.s;
	      }
	      r.s = (c<0)?-1:0;
	      if(c > 0) r[i++] = c;
	      else if(c < -1) r[i++] = this.DV+c;
	      r.t = i;
	      r.clamp();
	    }
	
	    // (public) this + a
	    function bnAdd(a) { var r = nbi(); this.addTo(a,r); return r; }
	
	    // (public) this - a
	    function bnSubtract(a) { var r = nbi(); this.subTo(a,r); return r; }
	
	    // (public) this * a
	    function bnMultiply(a) { var r = nbi(); this.multiplyTo(a,r); return r; }
	
	    // (public) this^2
	    function bnSquare() { var r = nbi(); this.squareTo(r); return r; }
	
	    // (public) this / a
	    function bnDivide(a) { var r = nbi(); this.divRemTo(a,r,null); return r; }
	
	    // (public) this % a
	    function bnRemainder(a) { var r = nbi(); this.divRemTo(a,null,r); return r; }
	
	    // (public) [this/a,this%a]
	    function bnDivideAndRemainder(a) {
	      var q = nbi(), r = nbi();
	      this.divRemTo(a,q,r);
	      return new Array(q,r);
	    }
	
	    // (protected) this *= n, this >= 0, 1 < n < DV
	    function bnpDMultiply(n) {
	      this[this.t] = this.am(0,n-1,this,0,0,this.t);
	      ++this.t;
	      this.clamp();
	    }
	
	    // (protected) this += n << w words, this >= 0
	    function bnpDAddOffset(n,w) {
	      if(n == 0) return;
	      while(this.t <= w) this[this.t++] = 0;
	      this[w] += n;
	      while(this[w] >= this.DV) {
	        this[w] -= this.DV;
	        if(++w >= this.t) this[this.t++] = 0;
	        ++this[w];
	      }
	    }
	
	    // A "null" reducer
	    function NullExp() {}
	    function nNop(x) { return x; }
	    function nMulTo(x,y,r) { x.multiplyTo(y,r); }
	    function nSqrTo(x,r) { x.squareTo(r); }
	
	    NullExp.prototype.convert = nNop;
	    NullExp.prototype.revert = nNop;
	    NullExp.prototype.mulTo = nMulTo;
	    NullExp.prototype.sqrTo = nSqrTo;
	
	    // (public) this^e
	    function bnPow(e) { return this.exp(e,new NullExp()); }
	
	    // (protected) r = lower n words of "this * a", a.t <= n
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyLowerTo(a,n,r) {
	      var i = Math.min(this.t+a.t,n);
	      r.s = 0; // assumes a,this >= 0
	      r.t = i;
	      while(i > 0) r[--i] = 0;
	      var j;
	      for(j = r.t-this.t; i < j; ++i) r[i+this.t] = this.am(0,a[i],r,i,0,this.t);
	      for(j = Math.min(a.t,n); i < j; ++i) this.am(0,a[i],r,i,0,n-i);
	      r.clamp();
	    }
	
	    // (protected) r = "this * a" without lower n words, n > 0
	    // "this" should be the larger one if appropriate.
	    function bnpMultiplyUpperTo(a,n,r) {
	      --n;
	      var i = r.t = this.t+a.t-n;
	      r.s = 0; // assumes a,this >= 0
	      while(--i >= 0) r[i] = 0;
	      for(i = Math.max(n-this.t,0); i < a.t; ++i)
	        r[this.t+i-n] = this.am(n-i,a[i],r,0,0,this.t+i-n);
	      r.clamp();
	      r.drShiftTo(1,r);
	    }
	
	    // Barrett modular reduction
	    function Barrett(m) {
	      // setup Barrett
	      this.r2 = nbi();
	      this.q3 = nbi();
	      BigInteger.ONE.dlShiftTo(2*m.t,this.r2);
	      this.mu = this.r2.divide(m);
	      this.m = m;
	    }
	
	    function barrettConvert(x) {
	      if(x.s < 0 || x.t > 2*this.m.t) return x.mod(this.m);
	      else if(x.compareTo(this.m) < 0) return x;
	      else { var r = nbi(); x.copyTo(r); this.reduce(r); return r; }
	    }
	
	    function barrettRevert(x) { return x; }
	
	    // x = x mod m (HAC 14.42)
	    function barrettReduce(x) {
	      x.drShiftTo(this.m.t-1,this.r2);
	      if(x.t > this.m.t+1) { x.t = this.m.t+1; x.clamp(); }
	      this.mu.multiplyUpperTo(this.r2,this.m.t+1,this.q3);
	      this.m.multiplyLowerTo(this.q3,this.m.t+1,this.r2);
	      while(x.compareTo(this.r2) < 0) x.dAddOffset(1,this.m.t+1);
	      x.subTo(this.r2,x);
	      while(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
	    }
	
	    // r = x^2 mod m; x != r
	    function barrettSqrTo(x,r) { x.squareTo(r); this.reduce(r); }
	
	    // r = x*y mod m; x,y != r
	    function barrettMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
	
	    Barrett.prototype.convert = barrettConvert;
	    Barrett.prototype.revert = barrettRevert;
	    Barrett.prototype.reduce = barrettReduce;
	    Barrett.prototype.mulTo = barrettMulTo;
	    Barrett.prototype.sqrTo = barrettSqrTo;
	
	    // (public) this^e % m (HAC 14.85)
	    function bnModPow(e,m) {
	      var i = e.bitLength(), k, r = nbv(1), z;
	      if(i <= 0) return r;
	      else if(i < 18) k = 1;
	      else if(i < 48) k = 3;
	      else if(i < 144) k = 4;
	      else if(i < 768) k = 5;
	      else k = 6;
	      if(i < 8)
	        z = new Classic(m);
	      else if(m.isEven())
	        z = new Barrett(m);
	      else
	        z = new Montgomery(m);
	
	      // precomputation
	      var g = new Array(), n = 3, k1 = k-1, km = (1<<k)-1;
	      g[1] = z.convert(this);
	      if(k > 1) {
	        var g2 = nbi();
	        z.sqrTo(g[1],g2);
	        while(n <= km) {
	          g[n] = nbi();
	          z.mulTo(g2,g[n-2],g[n]);
	          n += 2;
	        }
	      }
	
	      var j = e.t-1, w, is1 = true, r2 = nbi(), t;
	      i = nbits(e[j])-1;
	      while(j >= 0) {
	        if(i >= k1) w = (e[j]>>(i-k1))&km;
	        else {
	          w = (e[j]&((1<<(i+1))-1))<<(k1-i);
	          if(j > 0) w |= e[j-1]>>(this.DB+i-k1);
	        }
	
	        n = k;
	        while((w&1) == 0) { w >>= 1; --n; }
	        if((i -= n) < 0) { i += this.DB; --j; }
	        if(is1) {	// ret == 1, don't bother squaring or multiplying it
	          g[w].copyTo(r);
	          is1 = false;
	        }
	        else {
	          while(n > 1) { z.sqrTo(r,r2); z.sqrTo(r2,r); n -= 2; }
	          if(n > 0) z.sqrTo(r,r2); else { t = r; r = r2; r2 = t; }
	          z.mulTo(r2,g[w],r);
	        }
	
	        while(j >= 0 && (e[j]&(1<<i)) == 0) {
	          z.sqrTo(r,r2); t = r; r = r2; r2 = t;
	          if(--i < 0) { i = this.DB-1; --j; }
	        }
	      }
	      return z.revert(r);
	    }
	
	    // (public) gcd(this,a) (HAC 14.54)
	    function bnGCD(a) {
	      var x = (this.s<0)?this.negate():this.clone();
	      var y = (a.s<0)?a.negate():a.clone();
	      if(x.compareTo(y) < 0) { var t = x; x = y; y = t; }
	      var i = x.getLowestSetBit(), g = y.getLowestSetBit();
	      if(g < 0) return x;
	      if(i < g) g = i;
	      if(g > 0) {
	        x.rShiftTo(g,x);
	        y.rShiftTo(g,y);
	      }
	      while(x.signum() > 0) {
	        if((i = x.getLowestSetBit()) > 0) x.rShiftTo(i,x);
	        if((i = y.getLowestSetBit()) > 0) y.rShiftTo(i,y);
	        if(x.compareTo(y) >= 0) {
	          x.subTo(y,x);
	          x.rShiftTo(1,x);
	        }
	        else {
	          y.subTo(x,y);
	          y.rShiftTo(1,y);
	        }
	      }
	      if(g > 0) y.lShiftTo(g,y);
	      return y;
	    }
	
	    // (protected) this % n, n < 2^26
	    function bnpModInt(n) {
	      if(n <= 0) return 0;
	      var d = this.DV%n, r = (this.s<0)?n-1:0;
	      if(this.t > 0)
	        if(d == 0) r = this[0]%n;
	        else for(var i = this.t-1; i >= 0; --i) r = (d*r+this[i])%n;
	      return r;
	    }
	
	    // (public) 1/this % m (HAC 14.61)
	    function bnModInverse(m) {
	      var ac = m.isEven();
	      if((this.isEven() && ac) || m.signum() == 0) return BigInteger.ZERO;
	      var u = m.clone(), v = this.clone();
	      var a = nbv(1), b = nbv(0), c = nbv(0), d = nbv(1);
	      while(u.signum() != 0) {
	        while(u.isEven()) {
	          u.rShiftTo(1,u);
	          if(ac) {
	            if(!a.isEven() || !b.isEven()) { a.addTo(this,a); b.subTo(m,b); }
	            a.rShiftTo(1,a);
	          }
	          else if(!b.isEven()) b.subTo(m,b);
	          b.rShiftTo(1,b);
	        }
	        while(v.isEven()) {
	          v.rShiftTo(1,v);
	          if(ac) {
	            if(!c.isEven() || !d.isEven()) { c.addTo(this,c); d.subTo(m,d); }
	            c.rShiftTo(1,c);
	          }
	          else if(!d.isEven()) d.subTo(m,d);
	          d.rShiftTo(1,d);
	        }
	        if(u.compareTo(v) >= 0) {
	          u.subTo(v,u);
	          if(ac) a.subTo(c,a);
	          b.subTo(d,b);
	        }
	        else {
	          v.subTo(u,v);
	          if(ac) c.subTo(a,c);
	          d.subTo(b,d);
	        }
	      }
	      if(v.compareTo(BigInteger.ONE) != 0) return BigInteger.ZERO;
	      if(d.compareTo(m) >= 0) return d.subtract(m);
	      if(d.signum() < 0) d.addTo(m,d); else return d;
	      if(d.signum() < 0) return d.add(m); else return d;
	    }
	
	    var lowprimes = [2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79,83,89,97,101,103,107,109,113,127,131,137,139,149,151,157,163,167,173,179,181,191,193,197,199,211,223,227,229,233,239,241,251,257,263,269,271,277,281,283,293,307,311,313,317,331,337,347,349,353,359,367,373,379,383,389,397,401,409,419,421,431,433,439,443,449,457,461,463,467,479,487,491,499,503,509,521,523,541,547,557,563,569,571,577,587,593,599,601,607,613,617,619,631,641,643,647,653,659,661,673,677,683,691,701,709,719,727,733,739,743,751,757,761,769,773,787,797,809,811,821,823,827,829,839,853,857,859,863,877,881,883,887,907,911,919,929,937,941,947,953,967,971,977,983,991,997];
	    var lplim = (1<<26)/lowprimes[lowprimes.length-1];
	
	    // (public) test primality with certainty >= 1-.5^t
	    function bnIsProbablePrime(t) {
	      var i, x = this.abs();
	      if(x.t == 1 && x[0] <= lowprimes[lowprimes.length-1]) {
	        for(i = 0; i < lowprimes.length; ++i)
	          if(x[0] == lowprimes[i]) return true;
	        return false;
	      }
	      if(x.isEven()) return false;
	      i = 1;
	      while(i < lowprimes.length) {
	        var m = lowprimes[i], j = i+1;
	        while(j < lowprimes.length && m < lplim) m *= lowprimes[j++];
	        m = x.modInt(m);
	        while(i < j) if(m%lowprimes[i++] == 0) return false;
	      }
	      return x.millerRabin(t);
	    }
	
	    // (protected) true if probably prime (HAC 4.24, Miller-Rabin)
	    function bnpMillerRabin(t) {
	      var n1 = this.subtract(BigInteger.ONE);
	      var k = n1.getLowestSetBit();
	      if(k <= 0) return false;
	      var r = n1.shiftRight(k);
	      t = (t+1)>>1;
	      if(t > lowprimes.length) t = lowprimes.length;
	      var a = nbi();
	      for(var i = 0; i < t; ++i) {
	        //Pick bases at random, instead of starting at 2
	        a.fromInt(lowprimes[Math.floor(Math.random()*lowprimes.length)]);
	        var y = a.modPow(r,this);
	        if(y.compareTo(BigInteger.ONE) != 0 && y.compareTo(n1) != 0) {
	          var j = 1;
	          while(j++ < k && y.compareTo(n1) != 0) {
	            y = y.modPowInt(2,this);
	            if(y.compareTo(BigInteger.ONE) == 0) return false;
	          }
	          if(y.compareTo(n1) != 0) return false;
	        }
	      }
	      return true;
	    }
	
	    // protected
	    BigInteger.prototype.chunkSize = bnpChunkSize;
	    BigInteger.prototype.toRadix = bnpToRadix;
	    BigInteger.prototype.fromRadix = bnpFromRadix;
	    BigInteger.prototype.fromNumber = bnpFromNumber;
	    BigInteger.prototype.bitwiseTo = bnpBitwiseTo;
	    BigInteger.prototype.changeBit = bnpChangeBit;
	    BigInteger.prototype.addTo = bnpAddTo;
	    BigInteger.prototype.dMultiply = bnpDMultiply;
	    BigInteger.prototype.dAddOffset = bnpDAddOffset;
	    BigInteger.prototype.multiplyLowerTo = bnpMultiplyLowerTo;
	    BigInteger.prototype.multiplyUpperTo = bnpMultiplyUpperTo;
	    BigInteger.prototype.modInt = bnpModInt;
	    BigInteger.prototype.millerRabin = bnpMillerRabin;
	
	    // public
	    BigInteger.prototype.clone = bnClone;
	    BigInteger.prototype.intValue = bnIntValue;
	    BigInteger.prototype.byteValue = bnByteValue;
	    BigInteger.prototype.shortValue = bnShortValue;
	    BigInteger.prototype.signum = bnSigNum;
	    BigInteger.prototype.toByteArray = bnToByteArray;
	    BigInteger.prototype.equals = bnEquals;
	    BigInteger.prototype.min = bnMin;
	    BigInteger.prototype.max = bnMax;
	    BigInteger.prototype.and = bnAnd;
	    BigInteger.prototype.or = bnOr;
	    BigInteger.prototype.xor = bnXor;
	    BigInteger.prototype.andNot = bnAndNot;
	    BigInteger.prototype.not = bnNot;
	    BigInteger.prototype.shiftLeft = bnShiftLeft;
	    BigInteger.prototype.shiftRight = bnShiftRight;
	    BigInteger.prototype.getLowestSetBit = bnGetLowestSetBit;
	    BigInteger.prototype.bitCount = bnBitCount;
	    BigInteger.prototype.testBit = bnTestBit;
	    BigInteger.prototype.setBit = bnSetBit;
	    BigInteger.prototype.clearBit = bnClearBit;
	    BigInteger.prototype.flipBit = bnFlipBit;
	    BigInteger.prototype.add = bnAdd;
	    BigInteger.prototype.subtract = bnSubtract;
	    BigInteger.prototype.multiply = bnMultiply;
	    BigInteger.prototype.divide = bnDivide;
	    BigInteger.prototype.remainder = bnRemainder;
	    BigInteger.prototype.divideAndRemainder = bnDivideAndRemainder;
	    BigInteger.prototype.modPow = bnModPow;
	    BigInteger.prototype.modInverse = bnModInverse;
	    BigInteger.prototype.pow = bnPow;
	    BigInteger.prototype.gcd = bnGCD;
	    BigInteger.prototype.isProbablePrime = bnIsProbablePrime;
	
	    // JSBN-specific extension
	    BigInteger.prototype.square = bnSquare;
	
	    // Expose the Barrett function
	    BigInteger.prototype.Barrett = Barrett
	
	    // BigInteger interfaces not implemented in jsbn:
	
	    // BigInteger(int signum, byte[] magnitude)
	    // double doubleValue()
	    // float floatValue()
	    // int hashCode()
	    // long longValue()
	    // static BigInteger valueOf(long val)
	
		// Random number generator - requires a PRNG backend, e.g. prng4.js
	
		// For best results, put code like
		// <body onClick='rng_seed_time();' onKeyPress='rng_seed_time();'>
		// in your main HTML document.
	
		var rng_state;
		var rng_pool;
		var rng_pptr;
	
		// Mix in a 32-bit integer into the pool
		function rng_seed_int(x) {
		  rng_pool[rng_pptr++] ^= x & 255;
		  rng_pool[rng_pptr++] ^= (x >> 8) & 255;
		  rng_pool[rng_pptr++] ^= (x >> 16) & 255;
		  rng_pool[rng_pptr++] ^= (x >> 24) & 255;
		  if(rng_pptr >= rng_psize) rng_pptr -= rng_psize;
		}
	
		// Mix in the current time (w/milliseconds) into the pool
		function rng_seed_time() {
		  rng_seed_int(new Date().getTime());
		}
	
		// Initialize the pool with junk if needed.
		if(rng_pool == null) {
		  rng_pool = new Array();
		  rng_pptr = 0;
		  var t;
		  if(typeof window !== "undefined" && window.crypto) {
			if (window.crypto.getRandomValues) {
			  // Use webcrypto if available
			  var ua = new Uint8Array(32);
			  window.crypto.getRandomValues(ua);
			  for(t = 0; t < 32; ++t)
				rng_pool[rng_pptr++] = ua[t];
			}
			else if(navigator.appName == "Netscape" && navigator.appVersion < "5") {
			  // Extract entropy (256 bits) from NS4 RNG if available
			  var z = window.crypto.random(32);
			  for(t = 0; t < z.length; ++t)
				rng_pool[rng_pptr++] = z.charCodeAt(t) & 255;
			}
		  }
		  while(rng_pptr < rng_psize) {  // extract some randomness from Math.random()
			t = Math.floor(65536 * Math.random());
			rng_pool[rng_pptr++] = t >>> 8;
			rng_pool[rng_pptr++] = t & 255;
		  }
		  rng_pptr = 0;
		  rng_seed_time();
		  //rng_seed_int(window.screenX);
		  //rng_seed_int(window.screenY);
		}
	
		function rng_get_byte() {
		  if(rng_state == null) {
			rng_seed_time();
			rng_state = prng_newstate();
			rng_state.init(rng_pool);
			for(rng_pptr = 0; rng_pptr < rng_pool.length; ++rng_pptr)
			  rng_pool[rng_pptr] = 0;
			rng_pptr = 0;
			//rng_pool = null;
		  }
		  // TODO: allow reseeding after first request
		  return rng_state.next();
		}
	
		function rng_get_bytes(ba) {
		  var i;
		  for(i = 0; i < ba.length; ++i) ba[i] = rng_get_byte();
		}
	
		function SecureRandom() {}
	
		SecureRandom.prototype.nextBytes = rng_get_bytes;
	
		// prng4.js - uses Arcfour as a PRNG
	
		function Arcfour() {
		  this.i = 0;
		  this.j = 0;
		  this.S = new Array();
		}
	
		// Initialize arcfour context from key, an array of ints, each from [0..255]
		function ARC4init(key) {
		  var i, j, t;
		  for(i = 0; i < 256; ++i)
			this.S[i] = i;
		  j = 0;
		  for(i = 0; i < 256; ++i) {
			j = (j + this.S[i] + key[i % key.length]) & 255;
			t = this.S[i];
			this.S[i] = this.S[j];
			this.S[j] = t;
		  }
		  this.i = 0;
		  this.j = 0;
		}
	
		function ARC4next() {
		  var t;
		  this.i = (this.i + 1) & 255;
		  this.j = (this.j + this.S[this.i]) & 255;
		  t = this.S[this.i];
		  this.S[this.i] = this.S[this.j];
		  this.S[this.j] = t;
		  return this.S[(t + this.S[this.i]) & 255];
		}
	
		Arcfour.prototype.init = ARC4init;
		Arcfour.prototype.next = ARC4next;
	
		// Plug in your RNG constructor here
		function prng_newstate() {
		  return new Arcfour();
		}
	
		// Pool size must be a multiple of 4 and greater than 32.
		// An array of bytes the size of the pool will be passed to init()
		var rng_psize = 256;
	
	    if (true) {
	        exports = module.exports = {
				BigInteger: BigInteger,
				SecureRandom: SecureRandom,
			};
	    } else {
	        this.BigInteger = BigInteger;
	        this.SecureRandom = SecureRandom;
	    }
	
	}).call(this);


/***/ },
/* 93 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * deps/ecc/math.js - Elliptic Curve Math
	 * Original Copyright (c) 2003-2005  Tom Wu.
	 * Modifications Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 *
	 * Ported from Tom Wu, which is ported from BouncyCastle
	 * Modified to reuse existing external NPM modules, restricted to the
	 * NIST//SECG/X9.62 prime curves only, and formatted to match project
	 * coding styles.
	 */
	"use strict";
	
	// Basic Javascript Elliptic Curve implementation
	// Ported loosely from BouncyCastle's Java EC code
	// Only Fp curves implemented for now
	
	// Requires jsbn.js and jsbn2.js
	var jsbn = __webpack_require__(92);
	
	var BigInteger = jsbn.BigInteger,
	    Barrett = BigInteger.prototype.Barrett;
	
	// ----------------
	// ECFieldElementFp
	
	// constructor
	function ECFieldElementFp(q, x) {
	  this.x = x;
	  // TODO if(x.compareTo(q) >= 0) error
	  this.q = q;
	}
	
	function feFpEquals(other) {
	  if (other === this) {
	    return true;
	  }
	  return (this.q.equals(other.q) && this.x.equals(other.x));
	}
	
	function feFpToBigInteger() {
	  return this.x;
	}
	
	function feFpNegate() {
	  return new ECFieldElementFp(this.q, this.x.negate().mod(this.q));
	}
	
	function feFpAdd(b) {
	  return new ECFieldElementFp(this.q, this.x.add(b.toBigInteger()).mod(this.q));
	}
	
	function feFpSubtract(b) {
	  return new ECFieldElementFp(this.q, this.x.subtract(b.toBigInteger()).mod(this.q));
	}
	
	function feFpMultiply(b) {
	  return new ECFieldElementFp(this.q, this.x.multiply(b.toBigInteger()).mod(this.q));
	}
	
	function feFpSquare() {
	  return new ECFieldElementFp(this.q, this.x.square().mod(this.q));
	}
	
	function feFpDivide(b) {
	  return new ECFieldElementFp(this.q, this.x.multiply(b.toBigInteger().modInverse(this.q)).mod(this.q));
	}
	
	ECFieldElementFp.prototype.equals = feFpEquals;
	ECFieldElementFp.prototype.toBigInteger = feFpToBigInteger;
	ECFieldElementFp.prototype.negate = feFpNegate;
	ECFieldElementFp.prototype.add = feFpAdd;
	ECFieldElementFp.prototype.subtract = feFpSubtract;
	ECFieldElementFp.prototype.multiply = feFpMultiply;
	ECFieldElementFp.prototype.square = feFpSquare;
	ECFieldElementFp.prototype.divide = feFpDivide;
	
	// ----------------
	// ECPointFp
	
	// constructor
	function ECPointFp(curve, x, y, z) {
	  this.curve = curve;
	  this.x = x;
	  this.y = y;
	  // Projective coordinates: either zinv == null or z * zinv == 1
	  // z and zinv are just BigIntegers, not fieldElements
	  if (!z) {
	    this.z = BigInteger.ONE;
	  } else {
	    this.z = z;
	  }
	  this.zinv = null;
	  //TODO: compression flag
	}
	
	function pointFpGetX() {
	  if(!this.zinv) {
	    this.zinv = this.z.modInverse(this.curve.q);
	  }
	  var r = this.x.toBigInteger().multiply(this.zinv);
	  this.curve.reduce(r);
	  return this.curve.fromBigInteger(r);
	}
	
	function pointFpGetY() {
	  if(!this.zinv) {
	    this.zinv = this.z.modInverse(this.curve.q);
	  }
	  var r = this.y.toBigInteger().multiply(this.zinv);
	  this.curve.reduce(r);
	  return this.curve.fromBigInteger(r);
	}
	
	function pointFpEquals(other) {
	  if (other === this) {
	    return true;
	  }
	  if (this.isInfinity()) {
	    return other.isInfinity();
	  }
	  if (other.isInfinity()) {
	    return this.isInfinity();
	  }
	  var u, v;
	  // u = Y2 * Z1 - Y1 * Z2
	  u = other.y.toBigInteger().multiply(this.z).subtract(this.y.toBigInteger().multiply(other.z)).mod(this.curve.q);
	  if (!u.equals(BigInteger.ZERO)) {
	    return false;
	  }
	  // v = X2 * Z1 - X1 * Z2
	  v = other.x.toBigInteger().multiply(this.z).subtract(this.x.toBigInteger().multiply(other.z)).mod(this.curve.q);
	  return v.equals(BigInteger.ZERO);
	}
	
	function pointFpIsInfinity() {
	  if ((this.x == null) && (this.y == null)) {
	    return true;
	  }
	  return (this.z.equals(BigInteger.ZERO) && !this.y.toBigInteger().equals(BigInteger.ZERO));
	}
	
	function pointFpNegate() {
	    return new ECPointFp(this.curve, this.x, this.y.negate(), this.z);
	}
	
	function pointFpAdd(b) {
	  if (this.isInfinity()) {
	    return b;
	  }
	  if (b.isInfinity()) {
	    return this;
	  }
	
	  // u = Y2 * Z1 - Y1 * Z2
	  var u = b.y.toBigInteger().multiply(this.z).subtract(this.y.toBigInteger().multiply(b.z)).mod(this.curve.q);
	  // v = X2 * Z1 - X1 * Z2
	  var v = b.x.toBigInteger().multiply(this.z).subtract(this.x.toBigInteger().multiply(b.z)).mod(this.curve.q);
	
	  if (BigInteger.ZERO.equals(v)) {
	    if (BigInteger.ZERO.equals(u)) {
	      return this.twice(); // this == b, so double
	    }
	    return this.curve.getInfinity(); // this = -b, so infinity
	  }
	
	  var THREE = new BigInteger("3");
	  var x1 = this.x.toBigInteger();
	  var y1 = this.y.toBigInteger();
	
	  var v2 = v.square();
	  var v3 = v2.multiply(v);
	  var x1v2 = x1.multiply(v2);
	  var zu2 = u.square().multiply(this.z);
	
	  // x3 = v * (z2 * (z1 * u^2 - 2 * x1 * v^2) - v^3)
	  var x3 = zu2.subtract(x1v2.shiftLeft(1)).multiply(b.z).subtract(v3).multiply(v).mod(this.curve.q);
	  // y3 = z2 * (3 * x1 * u * v^2 - y1 * v^3 - z1 * u^3) + u * v^3
	  var y3 = x1v2.multiply(THREE).multiply(u).subtract(y1.multiply(v3)).subtract(zu2.multiply(u)).multiply(b.z).add(u.multiply(v3)).mod(this.curve.q);
	  // z3 = v^3 * z1 * z2
	  var z3 = v3.multiply(this.z).multiply(b.z).mod(this.curve.q);
	
	  return new ECPointFp(this.curve, this.curve.fromBigInteger(x3), this.curve.fromBigInteger(y3), z3);
	}
	
	function pointFpTwice() {
	  if(this.isInfinity()) {
	    return this;
	  }
	  if (this.y.toBigInteger().signum() === 0) {
	    return this.curve.getInfinity();
	  }
	
	  // TODO: optimized handling of constants
	  var THREE = new BigInteger("3");
	  var x1 = this.x.toBigInteger();
	  var y1 = this.y.toBigInteger();
	
	  var y1z1 = y1.multiply(this.z);
	  var y1sqz1 = y1z1.multiply(y1).mod(this.curve.q);
	  var a = this.curve.a.toBigInteger();
	
	  // w = 3 * x1^2 + a * z1^2
	  var w = x1.square().multiply(THREE);
	  if (!BigInteger.ZERO.equals(a)) {
	    w = w.add(this.z.square().multiply(a));
	  }
	  w = w.mod(this.curve.q);
	  //this.curve.reduce(w);
	  // x3 = 2 * y1 * z1 * (w^2 - 8 * x1 * y1^2 * z1)
	  var x3 = w.square().subtract(x1.shiftLeft(3).multiply(y1sqz1)).shiftLeft(1).multiply(y1z1).mod(this.curve.q);
	  // y3 = 4 * y1^2 * z1 * (3 * w * x1 - 2 * y1^2 * z1) - w^3
	  var y3 = w.multiply(THREE).multiply(x1).subtract(y1sqz1.shiftLeft(1)).shiftLeft(2).multiply(y1sqz1).subtract(w.square().multiply(w)).mod(this.curve.q);
	  // z3 = 8 * (y1 * z1)^3
	  var z3 = y1z1.square().multiply(y1z1).shiftLeft(3).mod(this.curve.q);
	
	  return new ECPointFp(this.curve, this.curve.fromBigInteger(x3), this.curve.fromBigInteger(y3), z3);
	}
	
	// Simple NAF (Non-Adjacent Form) multiplication algorithm
	// TODO: modularize the multiplication algorithm
	function pointFpMultiply(k) {
	  if (this.isInfinity()) {
	    return this;
	  }
	  if (k.signum() === 0) {
	    return this.curve.getInfinity();
	  }
	
	  var e = k;
	  var h = e.multiply(new BigInteger("3"));
	
	  var neg = this.negate();
	  var R = this;
	
	  var i;
	  for(i = h.bitLength() - 2; i > 0; --i) {
	    R = R.twice();
	
	    var hBit = h.testBit(i);
	    var eBit = e.testBit(i);
	
	    if (hBit !== eBit) {
	      R = R.add(hBit ? this : neg);
	    }
	  }
	
	  return R;
	}
	
	// Compute this*j + x*k (simultaneous multiplication)
	function pointFpMultiplyTwo(j, x, k) {
	  var i;
	  if (j.bitLength() > k.bitLength()) {
	    i = j.bitLength() - 1;
	  } else {
	    i = k.bitLength() - 1;
	  }
	
	  var R = this.curve.getInfinity();
	  var both = this.add(x);
	  while (i >= 0) {
	    R = R.twice();
	    if (j.testBit(i)) {
	      if (k.testBit(i)) {
	        R = R.add(both);
	      }
	      else {
	        R = R.add(this);
	      }
	    }
	    else {
	      if (k.testBit(i)) {
	        R = R.add(x);
	      }
	    }
	    --i;
	  }
	
	  return R;
	}
	
	ECPointFp.prototype.getX = pointFpGetX;
	ECPointFp.prototype.getY = pointFpGetY;
	ECPointFp.prototype.equals = pointFpEquals;
	ECPointFp.prototype.isInfinity = pointFpIsInfinity;
	ECPointFp.prototype.negate = pointFpNegate;
	ECPointFp.prototype.add = pointFpAdd;
	ECPointFp.prototype.twice = pointFpTwice;
	ECPointFp.prototype.multiply = pointFpMultiply;
	ECPointFp.prototype.multiplyTwo = pointFpMultiplyTwo;
	
	// ----------------
	// ECCurveFp
	
	// constructor
	function ECCurveFp(q, a, b) {
	  this.q = q;
	  this.a = this.fromBigInteger(a);
	  this.b = this.fromBigInteger(b);
	  this.infinity = new ECPointFp(this, null, null);
	  this.reducer = new Barrett(this.q);
	}
	
	function curveFpGetQ() {
	  return this.q;
	}
	
	function curveFpGetA() {
	  return this.a;
	}
	
	function curveFpGetB() {
	  return this.b;
	}
	
	function curveFpEquals(other) {
	  if (other === this) {
	    return true;
	  }
	  return (this.q.equals(other.q) && this.a.equals(other.a) && this.b.equals(other.b));
	}
	
	function curveFpGetInfinity() {
	  return this.infinity;
	}
	
	function curveFpFromBigInteger(x) {
	  return new ECFieldElementFp(this.q, x);
	}
	
	function curveReduce(x) {
	  this.reducer.reduce(x);
	}
	
	// for now, work with hex strings because they're easier in JS
	function curveFpDecodePointHex(s) {
	  switch (parseInt(s.substring(0, 2), 16)) {
	    // first byte
	    case 0:
	      return this.infinity;
	    case 2:
	    case 3:
	      // point compression not supported yet
	      return null;
	    case 4:
	    case 6:
	    case 7:
	      var len = (s.length - 2) / 2;
	      var xHex = s.substr(2, len);
	      var yHex = s.substr(len + 2, len);
	
	      return new ECPointFp(this,
	                           this.fromBigInteger(new BigInteger(xHex, 16)),
	                           this.fromBigInteger(new BigInteger(yHex, 16)));
	
	    default: // unsupported
	      return null;
	    }
	}
	
	function curveFpEncodePointHex(p) {
	  if (p.isInfinity()) {
	    return "00";
	  }
	  var xHex = p.getX().toBigInteger().toString(16);
	  var yHex = p.getY().toBigInteger().toString(16);
	  var oLen = this.getQ().toString(16).length;
	  if ((oLen % 2) !== 0) {
	    oLen++;
	  }
	  while (xHex.length < oLen) {
	    xHex = "0" + xHex;
	  }
	  while (yHex.length < oLen) {
	    yHex = "0" + yHex;
	  }
	  return "04" + xHex + yHex;
	}
	
	ECCurveFp.prototype.getQ = curveFpGetQ;
	ECCurveFp.prototype.getA = curveFpGetA;
	ECCurveFp.prototype.getB = curveFpGetB;
	ECCurveFp.prototype.equals = curveFpEquals;
	ECCurveFp.prototype.getInfinity = curveFpGetInfinity;
	ECCurveFp.prototype.fromBigInteger = curveFpFromBigInteger;
	ECCurveFp.prototype.reduce = curveReduce;
	ECCurveFp.prototype.decodePointHex = curveFpDecodePointHex;
	ECCurveFp.prototype.encodePointHex = curveFpEncodePointHex;
	
	// Exports
	module.exports = {
	  ECFieldElementFp: ECFieldElementFp,
	  ECPointFp: ECPointFp,
	  ECCurveFp: ECCurveFp
	};


/***/ },
/* 94 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * deps/ecc/curves.js - Elliptic Curve NIST/SECG/X9.62 Parameters
	 * Original Copyright (c) 2003-2005  Tom Wu.
	 * Modifications Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 *
	 * Ported from Tom Wu, which is ported from BouncyCastle
	 * Modified to reuse existing external NPM modules, restricted to the
	 * NIST//SECG/X9.62 prime curves only, and formatted to match project
	 * coding styles.
	 */
	"use strict";
	
	// Named EC curves
	
	var BigInteger = __webpack_require__(92).BigInteger,
	    ec = __webpack_require__(93);
	
	// ----------------
	// X9ECParameters
	
	// constructor
	function X9ECParameters(curve, g, n, h) {
	  this.curve = curve;
	  this.g = g;
	  this.n = n;
	  this.h = h;
	}
	
	function x9getCurve() {
	  return this.curve;
	}
	
	function x9getG() {
	  return this.g;
	}
	
	function x9getN() {
	  return this.n;
	}
	
	function x9getH() {
	  return this.h;
	}
	
	X9ECParameters.prototype.getCurve = x9getCurve;
	X9ECParameters.prototype.getG = x9getG;
	X9ECParameters.prototype.getN = x9getN;
	X9ECParameters.prototype.getH = x9getH;
	
	// ----------------
	// SECNamedCurves
	
	function fromHex(s) { return new BigInteger(s, 16); }
	
	function secp256r1() {
	  // p = 2^224 (2^32 - 1) + 2^192 + 2^96 - 1
	  var p = fromHex("FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF");
	  var a = fromHex("FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFC");
	  var b = fromHex("5AC635D8AA3A93E7B3EBBD55769886BC651D06B0CC53B0F63BCE3C3E27D2604B");
	  var n = fromHex("FFFFFFFF00000000FFFFFFFFFFFFFFFFBCE6FAADA7179E84F3B9CAC2FC632551");
	  var h = BigInteger.ONE;
	  var curve = new ec.ECCurveFp(p, a, b);
	  var G = curve.decodePointHex("04"
	              + "6B17D1F2E12C4247F8BCE6E563A440F277037D812DEB33A0F4A13945D898C296"
	              + "4FE342E2FE1A7F9B8EE7EB4A7C0F9E162BCE33576B315ECECBB6406837BF51F5");
	  return new X9ECParameters(curve, G, n, h);
	}
	
	function secp384r1() {
	  // p = 2^384 - 2^128 - 2^96 + 2^32 - 1
	  var p = fromHex("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFF0000000000000000FFFFFFFF");
	  var a = fromHex("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFF0000000000000000FFFFFFFC");
	  var b = fromHex("B3312FA7E23EE7E4988E056BE3F82D19181D9C6EFE8141120314088F5013875AC656398D8A2ED19D2A85C8EDD3EC2AEF");
	  var n = fromHex("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC7634D81F4372DDF581A0DB248B0A77AECEC196ACCC52973");
	  var h = BigInteger.ONE;
	  var curve = new ec.ECCurveFp(p, a, b);
	  var G = curve.decodePointHex("04"
	              + "AA87CA22BE8B05378EB1C71EF320AD746E1D3B628BA79B9859F741E082542A385502F25DBF55296C3A545E3872760AB7"
	              + "3617DE4A96262C6F5D9E98BF9292DC29F8F41DBD289A147CE9DA3113B5F0B8C00A60B1CE1D7E819D7A431D7C90EA0E5F");
	  return new X9ECParameters(curve, G, n, h);
	}
	
	function secp521r1() {
	  // p = 2^521 - 1
	  var p = fromHex("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF");
	  var a = fromHex("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC");
	  var b = fromHex("0051953EB9618E1C9A1F929A21A0B68540EEA2DA725B99B315F3B8B489918EF109E156193951EC7E937B1652C0BD3BB1BF073573DF883D2C34F1EF451FD46B503F00");
	  var n = fromHex("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFA51868783BF2F966B7FCC0148F709A5D03BB5C9B8899C47AEBB6FB71E91386409");
	  var h = BigInteger.ONE;
	  var curve = new ec.ECCurveFp(p, a, b);
	  var G = curve.decodePointHex("04"
	                + "00C6858E06B70404E9CD9E3ECB662395B4429C648139053FB521F828AF606B4D3DBAA14B5E77EFE75928FE1DC127A2FFA8DE3348B3C1856A429BF97E7E31C2E5BD66"
	                + "011839296A789A3BC0045C8A5FB42C7D1BD998F54449579B446817AFBD17273E662C97EE72995EF42640C550B9013FAD0761353C7086A272C24088BE94769FD16650");
	  return new X9ECParameters(curve, G, n, h);
	}
	
	// ----------------
	// Public API
	
	var CURVES = module.exports = {
	  "secp256r1": secp256r1(),
	  "secp384r1": secp384r1(),
	  "secp521r1": secp521r1()
	};
	
	// also export NIST names
	CURVES["P-256"] = CURVES.secp256r1;
	CURVES["P-384"] = CURVES.secp384r1;
	CURVES["P-521"] = CURVES.secp521r1;


/***/ },
/* 95 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/hkdf.js - HMAC-based Extract-and-Expand Key Derivation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var CONSTANTS = __webpack_require__(29),
	    hmac = __webpack_require__(28);
	
	function hkdfDeriveFn(name) {
	  var hash = name.replace("HKDF-", ""),
	      op = name.replace("HKDF-SHA-", "HS");
	
	  // NOTE: no nodejs/webcrypto/fallback model, since this HKDF is
	  //       implemented using the HMAC algorithms
	
	  var fn = function(key, props) {
	    var hashLen = CONSTANTS.HASHLENGTH[hash] / 8;
	
	    if ("string" === typeof op) {
	      op = hmac[op].sign;
	    }
	
	    // prepare options
	    props = props || {};
	    var salt = props.salt;
	    if (!salt || 0 === salt.length) {
	      salt = new Buffer(hashLen);
	      salt.fill(0);
	    }
	    var info = props.info || new Buffer(0);
	    var keyLen = props.length || hashLen;
	
	    var promise;
	
	    // Setup Expansion
	    var N = Math.ceil(keyLen / hashLen),
	        okm = [],
	        idx = 0;
	    function expand(key, T) {
	      if (N === idx++) {
	        return Buffer.concat(okm).slice(0, keyLen);
	      }
	
	      if (!T) {
	        T = new Buffer(0);
	      }
	      T = Buffer.concat([T, info, new Buffer([idx])]);
	      T = op(key, T, { loose: true });
	      T = T.then(function(result) {
	        T = result.mac;
	        okm.push(T);
	
	        return expand(key, T);
	      });
	      return T;
	    }
	
	    // Step 1: Extract
	    promise = op(salt, key, { loose: true });
	    promise = promise.then(function(result) {
	      // Step 2: Expand
	      return expand(result.mac);
	    });
	
	    return promise;
	  };
	
	  return fn;
	}
	
	// Public API
	// * [name].derive
	var hkdf = {};
	[
	  "HKDF-SHA-1",
	  "HKDF-SHA-256",
	  "HKDF-SHA-384",
	  "HKDF-SHA-512"
	].forEach(function(name) {
	  hkdf[name] = {
	    derive: hkdfDeriveFn(name)
	  };
	});
	
	module.exports = hkdf;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 96 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/ecdsa.js - Elliptic Curve Digitial Signature Algorithms
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var ecUtil = __webpack_require__(90),
	    helpers = __webpack_require__(26),
	    sha = __webpack_require__(69);
	
	function idealCurve(hash) {
	  switch (hash) {
	    case "SHA-256":
	      return "P-256";
	    case "SHA-384":
	      return "P-384";
	    case "SHA-512":
	      return "P-521";
	    default:
	      throw new Error("unsupported hash: " + hash);
	  }
	}
	
	function ecdsaSignFN(hash) {
	  var curve = idealCurve(hash);
	
	  // ### Fallback implementation -- uses forge
	  var fallback = function(key, pdata /*, props */) {
	    if (curve !== key.crv) {
	      return Promise.reject(new Error("invalid curve"));
	    }
	    var pk = ecUtil.convertToForge(key, false);
	
	    var promise;
	    // generate hash
	    promise = sha[hash].digest(pdata);
	    // sign hash
	    promise = promise.then(function(result) {
	      result = pk.sign(result);
	      result = Buffer.concat([result.r, result.s]);
	      return {
	        data: pdata,
	        mac: result
	      };
	    });
	    return promise;
	  };
	
	  // ### WebCrypto API implementation
	  var webcrypto = function(key, pdata /*, props */) {
	    if (curve !== key.crv) {
	      return Promise.reject(new Error("invalid curve"));
	    }
	    var pk = ecUtil.convertToJWK(key, false);
	
	    var promise;
	    var alg = {
	      name: "ECDSA",
	      namedCurve: pk.crv,
	      hash: {
	        name: hash
	      }
	    };
	    promise = helpers.subtleCrypto.importKey("jwk",
	                                             pk,
	                                             alg,
	                                             true,
	                                             [ "sign" ]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.sign(alg, key, pdata);
	    });
	    promise = promise.then(function(result) {
	      result = new Buffer(result);
	      return {
	        data: pdata,
	        mac: result
	      };
	    });
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	function ecdsaVerifyFN(hash) {
	  var curve = idealCurve(hash);
	
	  // ### Fallback implementation -- uses forge
	  var fallback = function(key, pdata, mac /*, props */) {
	    if (curve !== key.crv) {
	      return Promise.reject(new Error("invalid curve"));
	    }
	    var pk = ecUtil.convertToForge(key, true);
	
	    var promise;
	    // generate hash
	    promise = sha[hash].digest(pdata);
	    // verify hash
	    promise = promise.then(function(result) {
	      var len = mac.length / 2;
	      var rs = {
	        r: mac.slice(0, len),
	        s: mac.slice(len)
	      };
	      if (!pk.verify(result, rs)) {
	        return Promise.reject(new Error("verification failed"));
	      }
	      return {
	        data: pdata,
	        mac: mac,
	        valid: true
	      };
	    });
	    return promise;
	  };
	
	  // ### WebCrypto API implementation
	  var webcrypto = function(key, pdata, mac /* , props */) {
	    if (curve !== key.crv) {
	      return Promise.reject(new Error("invalid curve"));
	    }
	    var pk = ecUtil.convertToJWK(key, true);
	
	    var promise;
	    var alg = {
	      name: "ECDSA",
	      namedCurve: pk.crv,
	      hash: {
	        name: hash
	      }
	    };
	    promise = helpers.subtleCrypto.importKey("jwk",
	                                             pk,
	                                             alg,
	                                             true,
	                                             ["verify"]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.verify(alg, key, mac, pdata);
	    });
	    promise = promise.then(function(result) {
	      if (!result) {
	        return Promise.reject(new Error("verification failed"));
	      }
	      return {
	        data: pdata,
	        mac: mac,
	        valid: true
	      };
	    });
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	// ### Public API
	var ecdsa = {};
	
	// * [name].sign
	// * [name].verify
	[
	  "ES256",
	  "ES384",
	  "ES512"
	].forEach(function(name) {
	  var hash = name.replace(/ES(\d+)/g, function(m, size) {
	    return "SHA-" + size;
	  });
	  ecdsa[name] = {
	    sign: ecdsaSignFN(hash),
	    verify: ecdsaVerifyFN(hash)
	  };
	});
	
	module.exports = ecdsa;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 97 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/pbes2.js - Password-Based Encryption (v2) Algorithms
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    util = __webpack_require__(70),
	    helpers = __webpack_require__(26),
	    CONSTANTS = __webpack_require__(29),
	    KW = __webpack_require__(80);
	
	var NULL_BUFFER = new Buffer([0]);
	
	function fixSalt(hmac, kw, salt) {
	  var alg = "PBES2-" + hmac + "+" + kw;
	  var output = [
	    new Buffer(alg, "utf8"),
	    NULL_BUFFER,
	    salt
	  ];
	  return Buffer.concat(output);
	}
	
	function pbes2EncryptFN(hmac, kw) {
	  var keyLen = CONSTANTS.KEYLENGTH[kw] / 8;
	
	  var fallback = function(key, pdata, props) {
	    props = props || {};
	
	    var salt = util.asBuffer(props.p2s || new Buffer(0), "base64url"),
	        itrs = props.p2c || 0;
	
	    if (0 >= itrs) {
	      return Promise.reject(new Error("invalid iteration count"));
	    }
	
	    if (8 > salt.length) {
	      return Promise.reject(new Error("salt too small"));
	    }
	    salt = fixSalt(hmac, kw, salt);
	
	    var promise;
	
	    // STEP 1: derive shared key
	    promise = new Promise(function(resolve, reject) {
	      var md = forge.md[hmac.replace("HS", "SHA").toLowerCase()].create();
	      var cb = function(err, dk) {
	        if (err) {
	          reject(err);
	        } else {
	          dk = new Buffer(dk, "binary");
	          resolve(dk);
	        }
	      };
	
	      forge.pkcs5.pbkdf2(key.toString("binary"),
	                         salt.toString("binary"),
	                         itrs,
	                         keyLen,
	                         md,
	                         cb);
	    });
	
	    // STEP 2: encrypt cek
	    promise = promise.then(function(dk) {
	      return KW[kw].encrypt(dk, pdata);
	    });
	    return promise;
	  };
	
	  // NOTE: WebCrypto API missing until there's better support
	  var webcrypto = null;
	
	  var nodejs = function(key, pdata, props) {
	    if (6 > helpers.nodeCrypto.pbkdf2.length) {
	      throw new Error("unsupported algorithm: PBES2-" + hmac + "+" + kw);
	    }
	
	    props = props || {};
	
	    var salt = util.asBuffer(props.p2s || new Buffer(0), "base64url"),
	        itrs = props.p2c || 0;
	
	    if (0 >= itrs) {
	      return Promise.reject(new Error("invalid iteration count"));
	    }
	
	    if (8 > salt.length) {
	      return Promise.reject(new Error("salt too small"));
	    }
	    salt = fixSalt(hmac, kw, salt);
	
	    var promise;
	
	    // STEP 1: derive shared key
	    var hash = hmac.replace("HS", "SHA");
	    promise = new Promise(function(resolve, reject) {
	      function cb(err, dk) {
	        if (err) {
	          reject(err);
	        } else {
	          resolve(dk);
	        }
	      }
	      helpers.nodeCrypto.pbkdf2(key, salt, itrs, keyLen, hash, cb);
	    });
	
	    // STEP 2: encrypt cek
	    promise = promise.then(function(dk) {
	      return KW[kw].encrypt(dk, pdata);
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	function pbes2DecryptFN(hmac, kw) {
	  var keyLen = CONSTANTS.KEYLENGTH[kw] / 8;
	
	  var fallback = function(key, cdata, props) {
	    props = props || {};
	
	    var salt = util.asBuffer(props.p2s || new Buffer(0), "base64url"),
	        itrs = props.p2c || 0;
	
	    if (0 >= itrs) {
	      return Promise.reject(new Error("invalid iteration count"));
	    }
	
	    if (8 > salt.length) {
	      return Promise.reject(new Error("salt too small"));
	    }
	    salt = fixSalt(hmac, kw, salt);
	
	    var promise;
	
	    // STEP 1: derived shared key
	    promise = new Promise(function(resolve, reject) {
	      var md = forge.md[hmac.replace("HS", "SHA").toLowerCase()].create();
	      var cb = function(err, dk) {
	        if (err) {
	          reject(err);
	        } else {
	          dk = new Buffer(dk, "binary");
	          resolve(dk);
	        }
	      };
	
	      forge.pkcs5.pbkdf2(key.toString("binary"),
	                         salt.toString("binary"),
	                         itrs,
	                         keyLen,
	                         md,
	                         cb);
	    });
	
	    // STEP 2: decrypt cek
	    promise = promise.then(function(dk) {
	      return KW[kw].decrypt(dk, cdata);
	    });
	    return promise;
	  };
	
	  // NOTE: WebCrypto API missing until there's better support
	  var webcrypto = null;
	
	  var nodejs = function(key, cdata, props) {
	    if (6 > helpers.nodeCrypto.pbkdf2.length) {
	      throw new Error("unsupported algorithm: PBES2-" + hmac + "+" + kw);
	    }
	
	    props = props || {};
	
	    var salt = util.asBuffer(props.p2s || new Buffer(0), "base64url"),
	        itrs = props.p2c || 0;
	
	    if (0 >= itrs) {
	      return Promise.reject(new Error("invalid iteration count"));
	    }
	
	    if (8 > salt.length) {
	      return Promise.reject(new Error("salt too small"));
	    }
	    salt = fixSalt(hmac, kw, salt);
	
	    var promise;
	
	    // STEP 1: derive shared key
	    var hash = hmac.replace("HS", "SHA");
	    promise = new Promise(function(resolve, reject) {
	      function cb(err, dk) {
	        if (err) {
	          reject(err);
	        } else {
	          resolve(dk);
	        }
	      }
	      helpers.nodeCrypto.pbkdf2(key, salt, itrs, keyLen, hash, cb);
	    });
	
	    // STEP 2: decrypt cek
	    promise = promise.then(function(dk) {
	      return KW[kw].decrypt(dk, cdata);
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(nodejs, webcrypto, fallback);
	}
	
	// ### Public API
	// [name].encrypt
	// [name].decrypt
	var pbes2 = {};
	[
	  "PBES2-HS256+A128KW",
	  "PBES2-HS384+A192KW",
	  "PBES2-HS512+A256KW"
	].forEach(function(alg) {
	  var parts = /PBES2-(HS\d+)\+(A\d+KW)/g.exec(alg);
	  var hmac = parts[1],
	      kw = parts[2];
	  pbes2[alg] = {
	    encrypt: pbes2EncryptFN(hmac, kw),
	    decrypt: pbes2DecryptFN(hmac, kw)
	  };
	});
	
	module.exports = pbes2;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 98 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/rsassa.js - RSA Signatures
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    helpers = __webpack_require__(26),
	    DataBuffer = __webpack_require__(65),
	    rsaUtil = __webpack_require__(99);
	
	// ### RSAES-PKCS1-v1_5
	
	// ### RSAES-OAEP
	function rsaesEncryptFn(name) {
	  var alg = {
	    name: name
	  };
	
	  if ("RSA-OAEP-256" === name) {
	    alg.name = "RSA-OAEP";
	    alg.hash = {
	      name: "SHA-256"
	    };
	  } else if ("RSA-OAEP" === name) {
	    alg.hash = {
	      name: "SHA-1"
	    };
	  } else {
	    alg.name = "RSAES-PKCS1-v1_5";
	  }
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(key, pdata) {
	    // convert pdata to byte string
	    pdata = new DataBuffer(pdata).bytes();
	
	    // encrypt it
	    var pki = rsaUtil.convertToForge(key, true),
	        params = {};
	    if ("RSA-OAEP" === alg.name) {
	      params.md = alg.hash.name.toLowerCase().replace(/\-/g, "");
	      params.md = forge.md[params.md].create();
	    }
	    var cdata = pki.encrypt(pdata, alg.name.toUpperCase(), params);
	
	    // convert cdata to Buffer
	    cdata = new DataBuffer(cdata).native();
	
	    return Promise.resolve({
	      data: cdata
	    });
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto;
	  if ("RSAES-PKCS1-v1_5" !== alg.name) {
	    webcrypto = function(key, pdata) {
	      key = rsaUtil.convertToJWK(key, true);
	      var promise;
	      promise = helpers.subtleCrypto.importKey("jwk", key, alg, true, ["encrypt"]);
	      promise = promise.then(function(key) {
	        return helpers.subtleCrypto.encrypt(alg, key, pdata);
	      });
	      promise = promise.then(function(result) {
	        var cdata = new Buffer(result);
	        return {
	          data: cdata
	        };
	      });
	
	      return promise;
	    };
	  } else {
	    webcrypto = null;
	  }
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	function rsaesDecryptFn(name) {
	  var alg = {
	    name: name
	  };
	
	  if ("RSA-OAEP-256" === name) {
	    alg.name = "RSA-OAEP";
	    alg.hash = {
	      name: "SHA-256"
	    };
	  } else if ("RSA-OAEP" === name) {
	    alg.hash = {
	      name: "SHA-1"
	    };
	  } else {
	    alg.name = "RSAES-PKCS1-v1_5";
	  }
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(key, cdata) {
	    // convert cdata to byte string
	    cdata = new DataBuffer(cdata).bytes();
	
	    // decrypt it
	    var pki = rsaUtil.convertToForge(key, false),
	        params = {};
	    if ("RSA-OAEP" === alg.name) {
	      params.md = alg.hash.name.toLowerCase().replace(/\-/g, "");
	      params.md = forge.md[params.md].create();
	    }
	    var pdata = pki.decrypt(cdata, alg.name.toUpperCase(), params);
	
	    // convert pdata to Buffer
	    pdata = new DataBuffer(pdata).native();
	
	    return Promise.resolve(pdata);
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto;
	  if ("RSAES-PKCS1-v1_5" !== alg.name) {
	    webcrypto = function(key, pdata) {
	      key = rsaUtil.convertToJWK(key, false);
	      var promise;
	      promise = helpers.subtleCrypto.importKey("jwk", key, alg, true, ["decrypt"]);
	      promise = promise.then(function(key) {
	        return helpers.subtleCrypto.decrypt(alg, key, pdata);
	      });
	      promise = promise.then(function(result) {
	        var pdata = new Buffer(result);
	        return pdata;
	      });
	
	      return promise;
	    };
	  } else {
	    webcrypto = null;
	  }
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	// ### Public API
	// * [name].encrypt
	// * [name].decrypt
	var rsaes = {};
	[
	  "RSA-OAEP",
	  "RSA-OAEP-256",
	  "RSA1_5"
	].forEach(function(name) {
	  rsaes[name] = {
	    encrypt: rsaesEncryptFn(name),
	    decrypt: rsaesDecryptFn(name)
	  };
	});
	
	module.exports = rsaes;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 99 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * algorithms/rsa-util.js - RSA Utility Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    forge = __webpack_require__(30),
	    util = __webpack_require__(70);
	
	// ### RSA-specific Helpers
	function convertToForge(key, isPublic) {
	  var parts = isPublic ?
	              ["n", "e"] :
	              ["n", "e", "d", "p", "q", "dp", "dq", "qi"];
	  parts = parts.map(function(f) {
	    return new forge.jsbn.BigInteger(key[f].toString("hex"), 16);
	  });
	
	  var fn = isPublic ?
	           forge.pki.rsa.setPublicKey :
	           forge.pki.rsa.setPrivateKey;
	  return fn.apply(forge.pki.rsa, parts);
	}
	function convertToJWK(key, isPublic) {
	  var result = clone(key);
	  var parts = isPublic ?
	              ["n", "e"] :
	              ["n", "e", "d", "p", "q", "dp", "dq", "qi"];
	  parts.forEach(function(f) {
	    result[f] = util.base64url.encode(result[f]);
	  });
	
	  // remove potentially troublesome properties
	  delete result.key_ops;
	  delete result.use;
	  delete result.alg;
	
	  if (isPublic) {
	    delete result.d;
	    delete result.p;
	    delete result.q;
	    delete result.dp;
	    delete result.dq;
	    delete result.qi;
	  }
	
	  return result;
	}
	
	module.exports = {
	  convertToForge: convertToForge,
	  convertToJWK: convertToJWK
	};


/***/ },
/* 100 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * algorithms/rsassa.js - RSA Signatures
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc.  See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    CONSTANTS = __webpack_require__(29),
	    helpers = __webpack_require__(26),
	    rsaUtil = __webpack_require__(99);
	
	// ### RSASSA-PKCS1-v1_5
	
	function rsassaV15SignFn(name) {
	  var md = name.replace("RS", "SHA").toLowerCase(),
	      hash = name.replace("RS", "SHA-");
	
	  var alg = {
	    name: "RSASSA-PKCS1-V1_5",
	    hash: {
	      name: hash
	    }
	  };
	
	  // ### Fallback Implementation -- uses forge
	  var fallback = function(key, pdata) {
	    // create the digest
	    var digest = forge.md[md].create();
	    digest.start();
	    digest.update(pdata);
	
	    // sign it
	    var pki = rsaUtil.convertToForge(key, false);
	    var sig = pki.sign(digest, "RSASSA-PKCS1-V1_5");
	    sig = new Buffer(sig, "binary");
	
	    return Promise.resolve({
	      data: pdata,
	      mac: sig
	    });
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto = function(key, pdata) {
	    key = rsaUtil.convertToJWK(key, false);
	    var promise;
	    promise = helpers.subtleCrypto.importKey("jwk", key, alg, true, ["sign"]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.sign(alg, key, pdata);
	    });
	    promise = promise.then(function(result) {
	      var sig = new Buffer(result);
	      return {
	        data: pdata,
	        mac: sig
	      };
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	function rsassaV15VerifyFn(name) {
	  var md = name.replace("RS", "SHA").toLowerCase(),
	      hash = name.replace("RS", "SHA-");
	  var alg = {
	    name: "RSASSA-PKCS1-V1_5",
	    hash: {
	      name: hash
	    }
	  };
	
	  // ### Fallback implementation -- uses forge
	  var fallback = function(key, pdata, mac) {
	    // create the digest
	    var digest = forge.md[md].create();
	    digest.start();
	    digest.update(pdata);
	    digest = digest.digest().bytes();
	
	    // verify it
	    var pki = rsaUtil.convertToForge(key, true);
	    var sig = mac.toString("binary");
	    var result = pki.verify(digest, sig, "RSASSA-PKCS1-V1_5");
	    if (!result) {
	      return Promise.reject(new Error("verification failed"));
	    }
	    return Promise.resolve({
	      data: pdata,
	      mac: mac,
	      valid: true
	    });
	  };
	
	  // ### WebCryptoAPI Implementation
	  var webcrypto = function(key, pdata, mac) {
	    key = rsaUtil.convertToJWK(key, true);
	    var promise;
	    promise = helpers.subtleCrypto.importKey("jwk", key, alg, true, ["verify"]);
	    promise = promise.then(function(key) {
	      return helpers.subtleCrypto.verify(alg, key, mac, pdata);
	    });
	    promise = promise.then(function(result) {
	      if (!result) {
	        return Promise.reject(new Error("verification failed"));
	      }
	
	      return {
	        data: pdata,
	        mac: mac,
	        valid: true
	      };
	    });
	
	    return promise;
	  };
	
	  return helpers.setupFallback(null, webcrypto, fallback);
	}
	
	// ### RSA-PSS
	// NOTE: no WebCryptoAPI variant -- too many browsers don't
	// implement it yet (e.g., Firefox, Safari)
	
	function rsassaPssSignFn(name) {
	  var md = name.replace("PS", "SHA").toLowerCase(),
	      hash = name.replace("PS", "SHA-");
	
	  return function(key, pdata) {
	    // create the digest
	    var digest = forge.md[md].create();
	    digest.start();
	    digest.update(pdata);
	
	    // setup padding
	    var pss = forge.pss.create({
	      md: forge.md[md].create(),
	      mgf: forge.mgf.mgf1.create(forge.md[md].create()),
	      saltLength: CONSTANTS.HASHLENGTH[hash] / 8
	    });
	
	    // sign it
	    var pki = rsaUtil.convertToForge(key, false);
	    var sig = pki.sign(digest, pss);
	    sig = new Buffer(sig, "binary");
	
	    return Promise.resolve({
	      data: pdata,
	      mac: sig
	    });
	  };
	}
	
	function rsassaPssVerifyFn(name) {
	  var md = name.replace("PS", "SHA").toLowerCase(),
	      hash = name.replace("PS", "SHA-");
	
	  // ### Fallback implementation -- uses forge
	  return function(key, pdata, mac) {
	    // create the digest
	    var digest = forge.md[md].create();
	    digest.start();
	    digest.update(pdata);
	    digest = digest.digest().bytes();
	
	    // setup padding
	    var pss = forge.pss.create({
	      md: forge.md[md].create(),
	      mgf: forge.mgf.mgf1.create(forge.md[md].create()),
	      saltLength: CONSTANTS.HASHLENGTH[hash] / 8
	    });
	
	    // verify it
	    var pki = rsaUtil.convertToForge(key, true);
	    var sig = mac.toString("binary");
	    var result = pki.verify(digest, sig, pss);
	    if (!result) {
	      return Promise.reject(new Error("verification failed"));
	    }
	    return Promise.resolve({
	      data: pdata,
	      mac: mac,
	      valid: true
	    });
	  };
	}
	
	// ### Public API
	// * [name].sign
	// * [name].verify
	var rsassa = {};
	[
	  "PS256",
	  "PS384",
	  "PS512"
	].forEach(function(name) {
	  rsassa[name] = {
	    sign: rsassaPssSignFn(name),
	    verify: rsassaPssVerifyFn(name)
	  };
	});
	
	[
	  "RS256",
	  "RS384",
	  "RS512"
	].forEach(function(name) {
	  rsassa[name] = {
	    sign: rsassaV15SignFn(name),
	    verify: rsassaV15VerifyFn(name)
	  };
	});
	
	module.exports = rsassa;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 101 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * jwe/index.js - JSON Web Encryption (JWE) Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var JWE = {
	  createEncrypt: __webpack_require__(102).createEncrypt,
	  createDecrypt: __webpack_require__(152).createDecrypt
	};
	
	module.exports = JWE;


/***/ },
/* 102 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwe/encrypt.js - Encrypt to a JWE
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var assign = __webpack_require__(103),
	    clone = __webpack_require__(84),
	    util = __webpack_require__(70),
	    generateCEK = __webpack_require__(104).generateCEK,
	    JWK = __webpack_require__(105),
	    slice = __webpack_require__(104).slice,
	    zlib = __webpack_require__(118),
	    CONSTANTS = __webpack_require__(29);
	
	var DEFAULTS = __webpack_require__(151);
	
	/**
	 * @class JWE.Encrypter
	 * @classdesc
	 * Generator of encrypted data.
	 *
	 * @description
	 * **NOTE:** This class cannot be instantiated directly. Instead call {@link
	 * JWE.createEncrypt}.
	 */
	function JWEEncrypter(cfg, fields, recipients) {
	  var finalized = false,
	    format = cfg.format || "general",
	    protectAll = !!cfg.protectAll,
	    content = new Buffer(0);
	
	  /**
	   * @member {String} JWE.Encrypter#zip
	   * @readonly
	   * @description
	   * Indicates the compression algorithm applied to the plaintext
	   * before it is encrypted.  The possible values are:
	   *
	   * + **`"DEF"`**: Compress the plaintext using the DEFLATE algorithm.
	   * + **`""`**: Do not compress the plaintext.
	   */
	  Object.defineProperty(this, "zip", {
	    get: function() {
	      return fields.zip || "";
	    },
	    enumerable: true
	  });
	  /**
	   * @member {Boolean} JWE.Encrypter#compact
	   * @readonly
	   * @description
	   * Indicates whether the output of this encryption generator is
	   * using the Compact serialization (`true`) or the JSON
	   * serialization (`false`).
	   */
	  Object.defineProperty(this, "compact", {
	    get: function() { return "compact" === format; },
	    enumerable: true
	  });
	  /**
	   * @member {String} JWE.Encrypter#format
	   * @readonly
	   * @description
	   * Indicates the format the output of this encryption generator takes.
	   */
	  Object.defineProperty(this, "format", {
	    get: function() { return format; },
	    enumerable: true
	  });
	  /**
	   * @member {String[]} JWE.Encrypter#protected
	   * @readonly
	   * @description
	   * The header parameter names that are protected. Protected header fields
	   * are first serialized to UTF-8 then encoded as util.base64url, then used as
	   * the additional authenticated data in the encryption operation.
	   */
	  Object.defineProperty(this, "protected", {
	    get: function() {
	      return clone(cfg.protect);
	    },
	    enumerable: true
	  });
	  /**
	   * @member {Object} JWE.Encrypter#header
	   * @readonly
	   * @description
	   * The global header parameters, both protected and unprotected. Call
	   * {@link JWE.Encrypter#protected} to determine which parameters will
	   * be protected.
	   */
	  Object.defineProperty(this, "header", {
	    get: function() {
	      return clone(fields);
	    },
	    enumerable: true
	  });
	
	  /**
	   * @method JWE.Encrypter#update
	   * @description
	   * Updates the plaintext data for the encryption generator. The plaintext
	   * is appended to the end of any other plaintext already applied.
	   *
	   * If {data} is a Buffer, {encoding} is ignored. Otherwise, {data} is
	   * converted to a Buffer internally to {encoding}.
	   *
	   * @param {Buffer|String} [data] The plaintext to apply.
	   * @param {String} [encoding] The encoding of the plaintext.
	   * @returns {JWE.Encrypter} This encryption generator.
	   * @throws {Error} If ciphertext has already been generated.
	   */
	  Object.defineProperty(this, "update", {
	    value: function(data, encoding) {
	      if (finalized) {
	        throw new Error("already final");
	      }
	      if (data != null) {
	        data = util.asBuffer(data, encoding);
	        if (content.length) {
	          content = Buffer.concat([content, data],
	                      content.length + data.length);
	        } else {
	          content = data;
	        }
	      }
	
	      return this;
	    }
	  });
	  /**
	   * @method JWE.Encrypter#final
	   * @description
	   * Finishes the encryption operation.
	   *
	   * The returned Promise, when fulfilled, is the JSON Web Encryption (JWE)
	   * object, either in the Compact (if {@link JWE.Encrypter#compact} is
	   * `true`) or the JSON serialization.
	   *
	   * @param {Buffer|String} [data] The final plaintext data to apply.
	   * @param {String} [encoding] The encoding of the final plaintext data
	   *        (if any).
	   * @returns {Promise} A promise for the encryption operation.
	   * @throws {Error} If ciphertext has already been generated.
	   */
	  Object.defineProperty(this, "final", {
	    value: function(data, encoding) {
	      if (finalized) {
	        return Promise.reject(new Error("already final"));
	      }
	
	      // last-minute data
	      this.update(data, encoding);
	
	      // mark as done...ish
	      finalized = true;
	      var promise = Promise.resolve({});
	
	      // determine CEK and IV
	      var encAlg = fields.enc;
	      var encKey;
	      promise = promise.then(function(jwe) {
	        if (cfg.cek) {
	          encKey = JWK.asKey(cfg.cek);
	        }
	        return jwe;
	      });
	
	      // process recipients
	      promise = promise.then(function(jwe) {
	        var procR = function(r, one) {
	          var props = {};
	          props = assign(props, fields);
	          props = assign(props, r.header);
	
	          var algKey = r.key,
	              algAlg = props.alg;
	
	          // generate Ephemeral EC Key
	          var tks,
	              rpromise;
	          if (props.alg.indexOf("ECDH-ES") === 0) {
	            tks = algKey.keystore.temp();
	            if (r.epk) {
	              rpromise = Promise.resolve(r.epk).
	                then(function(epk) {
	                  r.header.epk = epk.toJSON(false, ["kid"]);
	                  props.epk = epk.toObject(true, ["kid"]);
	                });
	            } else {
	              rpromise = tks.generate("EC", algKey.get("crv")).
	                then(function(epk) {
	                  r.header.epk = epk.toJSON(false, ["kid"]);
	                  props.epk = epk.toObject(true, ["kid"]);
	                });
	            }
	          } else {
	            rpromise = Promise.resolve();
	          }
	
	          // encrypt the CEK
	          rpromise = rpromise.then(function() {
	            var cek,
	                p;
	            // special case 'alg=dir'
	            if ("dir" === algAlg && one) {
	              encKey = Promise.resolve(algKey);
	              p = encKey.then(function(jwk) {
	                // fixup encAlg
	                if (!encAlg) {
	                  props.enc = fields.enc = encAlg = jwk.algorithms(JWK.MODE_ENCRYPT)[0];
	                }
	                return {
	                  once: true,
	                  direct: true
	                };
	              });
	            } else {
	              if (!encKey) {
	                if (!encAlg) {
	                  props.enc = fields.enc = encAlg = cfg.contentAlg;
	                }
	                encKey = generateCEK(encAlg);
	              }
	              p = encKey.then(function(jwk) {
	                cek = jwk.get("k", true);
	                // algKey may or may not be a promise
	                return algKey;
	              });
	              p = p.then(function(algKey) {
	                return algKey.wrap(algAlg, cek, props);
	              });
	            }
	            return p;
	          });
	          rpromise = rpromise.then(function(wrapped) {
	            if (wrapped.once && !one) {
	              return Promise.reject(new Error("cannot use 'alg':'" + algAlg + "' with multiple recipients"));
	            }
	
	            var rjwe = {},
	                cek;
	            if (wrapped.data) {
	              cek = wrapped.data;
	              cek = util.base64url.encode(cek);
	            }
	
	            if (wrapped.direct && cek) {
	              // replace content key
	              encKey = JWK.asKey({
	                kty: "oct",
	                k: cek
	              });
	            } else if (cek) {
	              /* eslint camelcase: [0] */
	              rjwe.encrypted_key = cek;
	            }
	
	            if (r.header && Object.keys(r.header).length) {
	              rjwe.header = clone(r.header || {});
	            }
	            if (wrapped.header) {
	              rjwe.header = assign(rjwe.header || {},
	                                     wrapped.header);
	            }
	
	            return rjwe;
	           });
	           return rpromise;
	        };
	
	        var p = Promise.all(recipients);
	        p = p.then(function(rcpts) {
	          var single = (1 === rcpts.length);
	          rcpts = rcpts.map(function(r) {
	            return procR(r, single);
	          });
	          return Promise.all(rcpts);
	        });
	        p = p.then(function(rcpts) {
	          jwe.recipients = rcpts.filter(function(r) { return !!r; });
	          return jwe;
	        });
	        return p;
	      });
	
	      // normalize headers
	      var props = {};
	      promise = promise.then(function(jwe) {
	        var protect,
	          lenProtect,
	          unprotect,
	          lenUnprotect;
	
	        unprotect = clone(fields);
	        if ((protectAll && jwe.recipients.length === 1) || "compact" === format) {
	          // merge single recipient into fields
	          protect = assign(jwe.recipients[0].header || {},
	                     unprotect);
	          lenProtect = Object.keys(protect).length;
	
	          unprotect = undefined;
	          lenUnprotect = 0;
	
	          delete jwe.recipients[0].header;
	          if (Object.keys(jwe.recipients[0]).length === 0) {
	            jwe.recipients.splice(0, 1);
	          }
	        } else {
	          protect = {};
	          lenProtect = 0;
	          lenUnprotect = Object.keys(unprotect).length;
	          cfg.protect.forEach(function(f) {
	            if (!(f in unprotect)) {
	              return;
	            }
	            protect[f] = unprotect[f];
	            lenProtect++;
	
	            delete unprotect[f];
	            lenUnprotect--;
	          });
	        }
	
	        if (!jwe.recipients || jwe.recipients.length === 0) {
	          delete jwe.recipients;
	        }
	
	        // "serialize" (and setup merged props)
	        if (unprotect && lenUnprotect > 0) {
	          props = assign(props, unprotect);
	          jwe.unprotected = unprotect;
	        }
	        if (protect && lenProtect > 0) {
	          props = assign(props, protect);
	          protect = JSON.stringify(protect);
	          jwe.protected = util.base64url.encode(protect, "utf8");
	        }
	
	        return jwe;
	      });
	
	      // (OPTIONAL) compress plaintext
	      promise = promise.then(function(jwe) {
	        var pdata = content;
	        if (!props.zip) {
	          jwe.plaintext = pdata;
	          return jwe;
	        } else if (props.zip === "DEF") {
	          return new Promise(function(resolve, reject) {
	            zlib.deflateRaw(new Buffer(pdata, "binary"), function(err, data) {
	              if (err) {
	                reject(err);
	              }
	              else {
	                jwe.plaintext = data;
	                resolve(jwe);
	              }
	            });
	          });
	        }
	        return Promise.reject(new Error("unsupported 'zip' mode"));
	      });
	
	      // encrypt plaintext
	      promise = promise.then(function(jwe) {
	        props.adata = jwe.protected;
	        if ("aad" in cfg && cfg.aad != null) {
	          props.adata += "." + cfg.aad;
	          props.adata = new Buffer(props.adata, "utf8");
	        }
	        // calculate IV
	        var iv = cfg.iv ||
	                 util.randomBytes(CONSTANTS.NONCELENGTH[encAlg] / 8);
	        if ("string" === typeof iv) {
	          iv = util.base64url.decode(iv);
	        }
	        props.iv = iv;
	
	        if ("recipients" in jwe && jwe.recipients.length === 1) {
	          props.kdata = jwe.recipients[0].encrypted_key;
	        }
	
	        if ("epu" in cfg && cfg.epu != null) {
	          props.epu = cfg.epu;
	        }
	
	        if ("epv" in cfg && cfg.epv != null) {
	          props.epv = cfg.epv;
	        }
	
	        var pdata = jwe.plaintext;
	        delete jwe.plaintext;
	        return encKey.then(function(encKey) {
	          var p = encKey.encrypt(encAlg, pdata, props);
	          p = p.then(function(result) {
	            jwe.iv = util.base64url.encode(iv, "binary");
	            if ("aad" in cfg && cfg.aad != null) {
	             jwe.aad = cfg.aad;
	            }
	            jwe.ciphertext = util.base64url.encode(result.data, "binary");
	            jwe.tag = util.base64url.encode(result.tag, "binary");
	            return jwe;
	          });
	          return p;
	        });
	      });
	
	      // (OPTIONAL) compact/flattened results
	      switch (format) {
	        case "compact":
	          promise = promise.then(function(jwe) {
	            var compact = new Array(5);
	
	            compact[0] = jwe.protected;
	            if (jwe.recipients && jwe.recipients[0]) {
	              compact[1] = jwe.recipients[0].encrypted_key;
	            }
	
	            compact[2] = jwe.iv;
	            compact[3] = jwe.ciphertext;
	            compact[4] = jwe.tag;
	            compact = compact.join(".");
	
	            return compact;
	          });
	          break;
	        case "flattened":
	          promise = promise.then(function(jwe) {
	            var flattened = {},
	                rcpt = jwe.recipients && jwe.recipients[0];
	
	            if (jwe.protected) {
	              flattened.protected = jwe.protected;
	            }
	            if (jwe.unprotected) {
	              flattened.unprotected = jwe.unprotected;
	            }
	            ["header", "encrypted_key"].forEach(function(f) {
	              if (!rcpt) { return; }
	              if (!(f in rcpt)) { return; }
	              flattened[f] = rcpt[f];
	            });
	            if (jwe.aad) {
	              flattened.aad = jwe.aad;
	            }
	            flattened.iv = jwe.iv;
	            flattened.ciphertext = jwe.ciphertext;
	            flattened.tag = jwe.tag;
	
	            return flattened;
	          });
	          break;
	      }
	
	      return promise;
	    }
	  });
	}
	
	function createEncrypt(opts, rcpts) {
	  // fixup recipients
	  var options = opts,
	    rcptStart = 1,
	    rcptList = rcpts;
	
	  if (arguments.length === 0) {
	    throw new Error("at least one recipient must be provided");
	  }
	  if (arguments.length === 1) {
	    // assume opts is the recipient list
	    rcptList = opts;
	    rcptStart = 0;
	    options = {};
	  } else if (JWK.isKey(opts) ||
	        (opts && "kty" in opts) ||
	        (opts && "key" in opts &&
	        (JWK.isKey(opts.key) || "kty" in opts.key))) {
	    rcptList = opts;
	    rcptStart = 0;
	    options = {};
	  } else {
	    options = clone(opts);
	  }
	  if (!Array.isArray(rcptList)) {
	    rcptList = slice(arguments, rcptStart);
	  }
	
	  // fixup options
	  options = assign(clone(DEFAULTS), options);
	
	  // setup header fields
	  var fields = clone(options.fields || {});
	  if (options.zip) {
	    fields.zip = (typeof options.zip === "boolean") ?
	           (options.zip ? "DEF" : false) :
	           options.zip;
	  }
	  options.format = (options.compact ? "compact" : options.format) || "general";
	  switch (options.format) {
	    case "compact":
	      if ("aad" in opts) {
	        throw new Error("additional authenticated data cannot be used for compact serialization");
	      }
	      /* eslint no-fallthrough: [0] */
	    case "flattened":
	      if (rcptList.length > 1) {
	        throw new Error("too many recipients for compact serialization");
	      }
	      break;
	  }
	
	  // note protected fields (globally)
	  // protected fields are global only
	  var protectAll = false;
	  if ("compact" === options.format || "*" === options.protect) {
	    protectAll = true;
	    options.protect = Object.keys(fields).concat("enc");
	  } else if (typeof options.protect === "string") {
	    options.protect = [options.protect];
	  } else if (Array.isArray(options.protect)) {
	    options.protect = options.protect.concat();
	  } else if (!options.protect) {
	    options.protect = [];
	  } else {
	    throw new Error("protect must be a list of fields");
	  }
	
	  if (protectAll && 1 < rcptList.length) {
	    throw new Error("too many recipients to protect all header parameters");
	  }
	
	  rcptList = rcptList.map(function(r, idx) {
	    var p;
	
	    // resolve a key
	    if (r && "kty" in r) {
	      p = JWK.asKey(r);
	      p = p.then(function(k) {
	        return {
	          key: k
	        };
	      });
	    } else if (r) {
	      p = JWK.asKey(r.key);
	      p = p.then(function(k) {
	        return {
	          header: r.header,
	          reference: r.reference,
	          key: k
	        };
	      });
	    } else {
	      p = Promise.reject(new Error("missing key for recipient " + idx));
	    }
	
	    // convert ephemeral key (if present)
	    if (r.epk) {
	      p = p.then(function(recipient) {
	        return JWK.asKey(r.epk).
	          then(function(epk) {
	            recipient.epk = epk;
	            return recipient;
	          });
	      });
	    }
	
	    // resolve the complete recipient
	    p = p.then(function(recipient) {
	      var key = recipient.key;
	
	      // prepare the recipient header
	      var header = recipient.header || {};
	      recipient.header = header;
	      var props = {};
	      props = assign(props, fields);
	      props = assign(props, recipient.header);
	
	      // ensure key protection algorithm is set
	      if (!props.alg) {
	        props.alg = key.algorithms(JWK.MODE_WRAP)[0];
	      }
	      header.alg = props.alg;
	
	      // determine the key reference
	      var ref = recipient.reference;
	      delete recipient.reference;
	      if (undefined === ref) {
	        // header already contains the key reference
	        ref = ["kid", "jku", "x5c", "x5t", "x5u"].some(function(k) {
	          return (k in header);
	        });
	        ref = !ref ? "kid" : null;
	      } else if ("boolean" === typeof ref) {
	        // explicit (positive | negative) request for key reference
	        ref = ref ? "kid" : null;
	      }
	      var jwk;
	      if (ref) {
	        jwk = key.toJSON();
	        if ("jwk" === ref) {
	          header.jwk = jwk;
	        } else if (ref in jwk) {
	          header[ref] = jwk[ref];
	        }
	      }
	
	      // freeze recipient
	      recipient = Object.freeze(recipient);
	      return recipient;
	    });
	
	    return p;
	  });
	
	  // create and configure encryption
	  var cfg = {
	    aad: ("aad" in options) ? util.base64url.encode(options.aad || "") : null,
	    contentAlg: options.contentAlg,
	    format: options.format,
	    protect: options.protect,
	    cek: options.cek,
	    iv: options.iv,
	    protectAll: protectAll
	  };
	  var enc = new JWEEncrypter(cfg, fields, rcptList);
	
	  return enc;
	}
	
	module.exports = {
	  encrypter: JWEEncrypter,
	  createEncrypt: createEncrypt
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 103 */
/***/ function(module, exports) {

	/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]';
	
	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * The base implementation of `_.times` without support for iteratee shorthands
	 * or max array length checks.
	 *
	 * @private
	 * @param {number} n The number of times to invoke `iteratee`.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the array of results.
	 */
	function baseTimes(n, iteratee) {
	  var index = -1,
	      result = Array(n);
	
	  while (++index < n) {
	    result[index] = iteratee(index);
	  }
	  return result;
	}
	
	/**
	 * Creates a unary function that invokes `func` with its argument transformed.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {Function} transform The argument transform.
	 * @returns {Function} Returns the new function.
	 */
	function overArg(func, transform) {
	  return function(arg) {
	    return func(transform(arg));
	  };
	}
	
	/** Used for built-in method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Built-in value references. */
	var propertyIsEnumerable = objectProto.propertyIsEnumerable;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeKeys = overArg(Object.keys, Object),
	    nativeMax = Math.max;
	
	/** Detect if properties shadowing those on `Object.prototype` are non-enumerable. */
	var nonEnumShadows = !propertyIsEnumerable.call({ 'valueOf': 1 }, 'valueOf');
	
	/**
	 * Creates an array of the enumerable property names of the array-like `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @param {boolean} inherited Specify returning inherited property names.
	 * @returns {Array} Returns the array of property names.
	 */
	function arrayLikeKeys(value, inherited) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  // Safari 9 makes `arguments.length` enumerable in strict mode.
	  var result = (isArray(value) || isArguments(value))
	    ? baseTimes(value.length, String)
	    : [];
	
	  var length = result.length,
	      skipIndexes = !!length;
	
	  for (var key in value) {
	    if ((inherited || hasOwnProperty.call(value, key)) &&
	        !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * Assigns `value` to `key` of `object` if the existing value is not equivalent
	 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function assignValue(object, key, value) {
	  var objValue = object[key];
	  if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
	      (value === undefined && !(key in object))) {
	    object[key] = value;
	  }
	}
	
	/**
	 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeys(object) {
	  if (!isPrototype(object)) {
	    return nativeKeys(object);
	  }
	  var result = [];
	  for (var key in Object(object)) {
	    if (hasOwnProperty.call(object, key) && key != 'constructor') {
	      result.push(key);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Copies properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy properties from.
	 * @param {Array} props The property identifiers to copy.
	 * @param {Object} [object={}] The object to copy properties to.
	 * @param {Function} [customizer] The function to customize copied values.
	 * @returns {Object} Returns `object`.
	 */
	function copyObject(source, props, object, customizer) {
	  object || (object = {});
	
	  var index = -1,
	      length = props.length;
	
	  while (++index < length) {
	    var key = props[index];
	
	    var newValue = customizer
	      ? customizer(object[key], source[key], key, object, source)
	      : undefined;
	
	    assignValue(object, key, newValue === undefined ? source[key] : newValue);
	  }
	  return object;
	}
	
	/**
	 * Creates a function like `_.assign`.
	 *
	 * @private
	 * @param {Function} assigner The function to assign values.
	 * @returns {Function} Returns the new assigner function.
	 */
	function createAssigner(assigner) {
	  return baseRest(function(object, sources) {
	    var index = -1,
	        length = sources.length,
	        customizer = length > 1 ? sources[length - 1] : undefined,
	        guard = length > 2 ? sources[2] : undefined;
	
	    customizer = (assigner.length > 3 && typeof customizer == 'function')
	      ? (length--, customizer)
	      : undefined;
	
	    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
	      customizer = length < 3 ? undefined : customizer;
	      length = 1;
	    }
	    object = Object(object);
	    while (++index < length) {
	      var source = sources[index];
	      if (source) {
	        assigner(object, source, index, customizer);
	      }
	    }
	    return object;
	  });
	}
	
	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length &&
	    (typeof value == 'number' || reIsUint.test(value)) &&
	    (value > -1 && value % 1 == 0 && value < length);
	}
	
	/**
	 * Checks if the given arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
	 *  else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index;
	  if (type == 'number'
	        ? (isArrayLike(object) && isIndex(index, object.length))
	        : (type == 'string' && index in object)
	      ) {
	    return eq(object[index], value);
	  }
	  return false;
	}
	
	/**
	 * Checks if `value` is likely a prototype object.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
	 */
	function isPrototype(value) {
	  var Ctor = value && value.constructor,
	      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;
	
	  return value === proto;
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	/**
	 * Assigns own enumerable string keyed properties of source objects to the
	 * destination object. Source objects are applied from left to right.
	 * Subsequent sources overwrite property assignments of previous sources.
	 *
	 * **Note:** This method mutates `object` and is loosely based on
	 * [`Object.assign`](https://mdn.io/Object/assign).
	 *
	 * @static
	 * @memberOf _
	 * @since 0.10.0
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} [sources] The source objects.
	 * @returns {Object} Returns `object`.
	 * @see _.assignIn
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 * }
	 *
	 * function Bar() {
	 *   this.c = 3;
	 * }
	 *
	 * Foo.prototype.b = 2;
	 * Bar.prototype.d = 4;
	 *
	 * _.assign({ 'a': 0 }, new Foo, new Bar);
	 * // => { 'a': 1, 'c': 3 }
	 */
	var assign = createAssigner(function(object, source) {
	  if (nonEnumShadows || isPrototype(source) || isArrayLike(source)) {
	    copyObject(source, keys(source), object);
	    return;
	  }
	  for (var key in source) {
	    if (hasOwnProperty.call(source, key)) {
	      assignValue(object, key, source[key]);
	    }
	  }
	});
	
	/**
	 * Creates an array of the own enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects. See the
	 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * for more details.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keys(new Foo);
	 * // => ['a', 'b'] (iteration order is not guaranteed)
	 *
	 * _.keys('hi');
	 * // => ['0', '1']
	 */
	function keys(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
	}
	
	module.exports = assign;


/***/ },
/* 104 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * jwe/helpers.js - JWE Internal Helper Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var CONSTANTS = __webpack_require__(29),
	    JWK = __webpack_require__(105);
	
	module.exports = {
	  slice: function(input, start) {
	    return Array.prototype.slice.call(input, start || 0);
	  },
	  generateCEK: function(enc) {
	    var ks = JWK.createKeyStore();
	    var len = CONSTANTS.KEYLENGTH[enc];
	
	    if (len) {
	        return ks.generate("oct", len);
	    }
	
	    throw new Error("unsupported encryption algorithm");
	  }
	};


/***/ },
/* 105 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * jwk/index.js - JSON Web Key (JWK) Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var JWKStore = __webpack_require__(106);
	
	// Public API -- Key and KeyStore methods
	Object.keys(JWKStore.KeyStore).forEach(function(name) {
	  exports[name] = JWKStore.KeyStore[name];
	});
	
	// Public API -- constants
	var CONSTANTS = __webpack_require__(113);
	Object.keys(CONSTANTS).forEach(function(name) {
	  exports[name] = CONSTANTS[name];
	});
	
	// Registered Key Types
	__webpack_require__(115);
	__webpack_require__(116);
	__webpack_require__(117);


/***/ },
/* 106 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/keystore.js - JWK KeyStore Implementation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    merge = __webpack_require__(85),
	    forge = __webpack_require__(30),
	    util = __webpack_require__(70);
	
	var JWK = {
	  BaseKey: __webpack_require__(107),
	  helpers: __webpack_require__(114)
	};
	
	/**
	 * @class JWK.KeyStoreRegistry
	 * @classdesc
	 * A registry of JWK.Key types that can be used.
	 *
	 * @description
	 * **NOTE:** This constructor cannot be called directly. Instead use the
	 * global {JWK.registry}
	 */
	var JWKRegistry = function() {
	  var types = {};
	
	  Object.defineProperty(this, "register", {
	    value: function(factory) {
	      if (!factory || "string" !== typeof factory.kty || !factory.kty) {
	        throw new Error("invalid Key factory");
	      }
	
	      var kty = factory.kty;
	      types[kty] = factory;
	      return this;
	    }
	  });
	  Object.defineProperty(this, "unregister", {
	    value: function(factory) {
	      if (!factory || "string" !== typeof factory.kty || !factory.kty) {
	        throw new Error("invalid Key factory");
	      }
	
	      var kty = factory.kty;
	      if (factory === types[kty]) {
	        delete types[kty];
	      }
	      return this;
	    }
	  });
	
	  Object.defineProperty(this, "get", {
	    value: function(kty) {
	      return types[kty || ""] || undefined;
	    }
	  });
	  Object.defineProperty(this, "all", {
	    value: function() {
	      return Object.keys(types).map(function(t) { return types[t]; });
	    }
	  });
	};
	
	// Globals
	var GLOBAL_REGISTRY = new JWKRegistry();
	
	// importer
	function processCert(input) {
	  // convert certIssuer to readable attributes
	  ["certIssuer", "certSubject"].forEach(function(field) {
	    /* eslint new-cap: [0] */
	    var attrs = forge.pki.RDNAttributesAsArray(input[field]);
	    var result = input[field] = {};
	    attrs.forEach(function(a) {
	      result[a.name || a.type] = a.value;
	    });
	  });
	
	  return input;
	}
	
	function fromPEM(input) {
	  var result = {};
	  var pems = forge.pem.decode(input);
	  var found = pems.some(function(p) {
	    switch (p.type) {
	      case "CERTIFICATE":
	        result.form = "pkix";
	        break;
	      case "PUBLIC KEY":
	        result.form = "spki";
	        break;
	      case "PRIVATE KEY":
	        result.form = "pkcs8";
	        break;
	      case "EC PRIVATE KEY":
	        /* eslint no-fallthrough: [0] */
	      case "RSA PRIVATE KEY":
	        result.form = "private";
	        break;
	      default:
	        return false;
	    }
	
	    result.body = p.body;
	    return true;
	  });
	  if (!found) {
	    throw new Error("supported PEM type not found");
	  }
	  return result;
	}
	function importFrom(registry, input) {
	  // form can be one of:
	  //  'private' | 'pkcs8' | 'public' | 'spki' | 'pkix' | 'x509'
	  var capture = {},
	      errors = [],
	      result;
	
	  // conver from DER to ASN1
	  var form = input.form,
	      der = input.body,
	      thumbprint = null;
	  input = forge.asn1.fromDer(der);
	  switch(form) {
	    case "private":
	      registry.all().some(function(factory) {
	        if (result) {
	          return false;
	        }
	        if (!factory.validators) {
	          return false;
	        }
	
	        var oid = factory.validators.oid,
	            validator = factory.validators.privateKey;
	        if (!validator) {
	          return false;
	        }
	        capture = {};
	        errors = [];
	        result = forge.asn1.validate(input, validator, capture, errors);
	        if (result) {
	          capture.keyOid = forge.asn1.oidToDer(oid);
	          capture.parsed = true;
	        }
	        return result;
	      });
	      capture.type = "private";
	      break;
	    case "pkcs8":
	      result = forge.asn1.validate(input, JWK.helpers.validators.privateKey, capture, errors);
	      capture.type = "private";
	      break;
	    case "public":
	      // eslint no-fallthrough: [0] */
	    case "spki":
	      result = forge.asn1.validate(input, JWK.helpers.validators.publicKey, capture, errors);
	      capture.type = "public";
	      break;
	    case "pkix":
	      /* eslint no-fallthrough: [0] */
	    case "x509":
	      result = forge.asn1.validate(input, JWK.helpers.validators.certificate, capture, errors);
	      if (result) {
	        capture = processCert(capture);
	        var md = forge.md.sha1.create();
	        md.update(der);
	        thumbprint = util.base64url.encode(new Buffer(md.digest().toHex(), "hex"));
	      }
	      capture.type = "public";
	      break;
	  }
	  if (!result) {
	    return null;
	  }
	
	  // convert oids
	  if (capture.keyOid) {
	    capture.keyOid = forge.asn1.derToOid(capture.keyOid);
	  }
	
	  // find and invoke the importer
	  result = null;
	  GLOBAL_REGISTRY.all().forEach(function(factory) {
	    if (result) {
	      return;
	    }
	    if (!factory) {
	      return;
	    }
	    if ("function" !== typeof factory.import) {
	      return;
	    }
	    result = factory.import(capture);
	  });
	  if (result && capture.certSubject && capture.certSubject.commonName) {
	    result.kid = capture.certSubject.commonName;
	  }
	  if (result && thumbprint) {
	    result.x5t = thumbprint;
	  }
	  return result;
	}
	
	/**
	 * @class JWK.KeyStore
	 * @classdesc
	 * Represents a collection of Keys.
	 *
	 * @description
	 * **NOTE:** This constructor cannot be called directly. Instead call {@link
	 * JWK.createKeyStore}.
	 */
	var JWKStore = function(registry, parent) {
	  var keysets = {};
	
	  /**
	   * @method JWK.KeyStore#generate
	   * @description
	   * Generates a new random Key into this KeyStore.
	   *
	   * The type of {size} depends on the value of {kty}:
	   *
	   * + **`EC`**: String naming the curve to use, which can be one of:
	   *   `"P-256"`, `"P-384"`, or `"P-521"` (default is **`"P-256"`**).
	   * + **`RSA`**: Number describing the size of the key, in bits (default is
	   *   **`2048`**).
	   * + **`oct`**: Number describing the size of the key, in bits (default is
	   *   **`256`**).
	   *
	   * Any properties in {props} are applied before the key is generated,
	   * and are expected to be data types acceptable in JSON.  This allows the
	   * generated key to have a specific key identifier, or to specify its
	   * acceptable usage.
	   *
	   * The returned Promise, when fulfilled, returns the generated Key.
	   *
	   * @param {String} kty The type of generated key
	   * @param {String|Number} [size] The size of the generated key
	   * @param {Object} [props] Additional properties to apply to the generated
	   *        key.
	   * @returns {Promise} The promise for the generated Key
	   * @throws {Error} If {kty} is not supported
	   */
	  Object.defineProperty(this, "generate", {
	    value: function(kty, size, props) {
	      var keytype = registry.get(kty);
	      if (!keytype) {
	        return Promise.reject(new Error("unsupported key type"));
	      }
	
	      props = clone(props || {});
	      props.kty = kty;
	
	      var self = this,
	          promise = keytype.generate(size);
	      return promise.then(function(jwk) {
	        jwk = merge(props, jwk, {
	          kty: kty
	        });
	        return self.add(jwk);
	      });
	    }
	  });
	  /**
	   * @method JWK.KeyStore#add
	   * @description
	   * Adds a Key to this KeyStore. If {jwk} is a string, it is first
	   * parsed into a plain JSON object. If {jwk} is already an instance
	   * of JWK.Key, its (public) JSON representation is first obtained
	   * then applied to a new JWK.Key object within this KeyStore.
	   *
	   * @param {String|Object} jwk The JSON Web Key (JWK)
	   * @param {String} [form] The format of a String key to expect
	   * @param {Object} [extras] extra jwk fields inserted when importing from a non json string (eg "pem")
	   * @returns {Promise} The promise for the added key
	   */
	  Object.defineProperty(this, "add", {
	    value: function(jwk, form, extras) {
	      extras = extras || {};
	
	      var factors;
	      if (Buffer.isBuffer(jwk) || typeof jwk === "string") {
	        // form can be 'json', 'pkcs8', 'spki', 'pkix', 'x509', 'pem'
	        form = (form || "json").toLowerCase();
	        if ("json" === form) {
	          jwk = JSON.parse(jwk.toString("utf8"));
	        } else {
	          try {
	            if ("pem" === form) {
	              // convert *first* PEM -> DER
	              factors = fromPEM(jwk);
	            } else {
	              factors = {
	                body: jwk.toString("binary"),
	                form: form
	              };
	            }
	            jwk = importFrom(registry, factors);
	            if (!jwk) {
	              throw new Error("no importer for key");
	            }
	            Object.keys(extras).forEach(function(field){
	              jwk[field] = extras[field];
	            });
	          } catch (err) {
	            return Promise.reject(err);
	          }
	        }
	      } else if (JWKStore.isKey(jwk)) {
	        // assume a complete duplicate is desired
	        jwk = jwk.toJSON(true);
	      }
	
	      var keytype = registry.get(jwk.kty);
	      if (!keytype) {
	        return Promise.reject(new Error("unsupported key type"));
	      }
	
	      var self = this,
	          promise = keytype.prepare(jwk);
	      return promise.then(function(cfg) {
	        return new JWK.BaseKey(jwk.kty, self, jwk, cfg);
	      }).then(function(jwk) {
	        var kid = jwk.kid || "";
	        var keys = keysets[kid] = keysets[kid] || [];
	        keys.push(jwk);
	
	        return jwk;
	      });
	    }
	  });
	  /**
	   * @method JWK.KeyStore#remove
	   * @description
	   * Removes a Key from this KeyStore.
	   *
	   * **NOTE:** The removed Key's {keystore} property is not changed.
	   *
	   * @param {JWK.Key} jwk The key to remove.
	   */
	  Object.defineProperty(this, "remove", {
	    value: function(jwk) {
	      if (!jwk) {
	        return;
	      }
	
	      var keys = keysets[jwk.kid];
	      if (!keys) {
	        return;
	      }
	
	      var pos = keys.indexOf(jwk);
	      if (pos === -1) {
	        return;
	      }
	
	      keys.splice(pos, 1);
	      if (!keys.length) {
	        delete keysets[jwk.kid];
	      }
	    }
	  });
	
	  /**
	   * @method JWK.KeyStore#all
	   * @description
	   * Retrieves all of the contained Keys that optinally match all of the
	   * given properties.
	   *
	   * If {props} are specified, this method only returns Keys which exactly
	   * match the given properties. The properties can be any of the
	   * following:
	   *
	   * + **alg**: The algorithm for the Key.
	   * + **use**: The usage for the Key.
	   * + **kid**: The identifier for the Key.
	   *
	   * If no properties are given, this method returns all of the Keys for this
	   * KeyStore.
	   *
	   * @param {Object} [props] The properties to match against
	   * @param {Boolean} [local = false] `true` if only the Keys
	   *        directly contained by this KeyStore should be returned, or
	   *        `false` if it should return all Keys of this KeyStore and
	   *        its ancestors.
	   * @returns {JWK.Key[]} The list of matching Keys, or an empty array if no
	   *          matches are found.
	   */
	  Object.defineProperty(this, "all", {
	    value: function(props, local) {
	      props = props || {};
	
	      var candidates = [];
	      var matches = function(key) {
	        // match on 'kty'
	        if (props.kty &&
	            key.kty &&
	            props.kty !== key.kty) {
	          return false;
	        }
	        // match on 'use'
	        if (props.use &&
	            key.use &&
	            props.use !== key.use) {
	          return false;
	        }
	        // match on 'alg'
	        if (props.alg) {
	          if (props.alg !== "dir" &&
	              key.alg &&
	              props.alg !== key.alg) {
	            return false;
	          }
	          return key.supports(props.alg);
	        }
	        //TODO: match on 'key_ops'
	
	        return true;
	      };
	      Object.keys(keysets).forEach(function(id) {
	        if (props.kid && props.kid !== id) {
	          return;
	        }
	
	        var keys = keysets[id].filter(matches);
	        if (keys.length) {
	          candidates = candidates.concat(keys);
	        }
	      });
	
	      if (!local && parent) {
	        candidates = candidates.concat(parent.all(props));
	      }
	
	      return candidates;
	    }
	  });
	  /**
	   * @method JWK.KeyStore#get
	   * @description
	   * Retrieves the contained Key matching the given {kid}, and optionally
	   * all of the given properties.  This method equivalent to calling
	   * {@link JWK.Store#all}, then returning the first Key whose
	   * "kid" is {kid}. If {kid} is undefined, then the first Key that
	   * is returned from `all()` is returned.
	   *
	   * @param {String} [kid] The key identifier to match against.
	   * @param {Object} [props] The properties to match against.
	   * @param {Boolean} [local = false] `true` if only the Keys
	   *        directly contained by this KeyStore should be returned, or
	   *        `false` if it should return all Keys of this KeyStore and
	   *        its ancestors.
	   * @returns {JWK.Key} The Key matching {kid} and {props}, or `null`
	   *          if no match is found.
	   */
	  Object.defineProperty(this, "get", {
	    value: function(kid, props, local) {
	      // reconcile arguments
	      if (typeof kid === "boolean") {
	        local = kid;
	        props = kid = null;
	      } else if (typeof kid === "object") {
	        local = props;
	        props = kid;
	        kid = null;
	      }
	
	      // fixup props
	      props = props || {};
	      if (kid) {
	        props.kid = kid;
	      }
	
	      var candidates = this.all(props, true);
	      if (!candidates.length && parent && !local) {
	        candidates = parent.get(props, local);
	      }
	      return candidates[0] || null;
	    }
	  });
	
	  /**
	   * @method JWK.KeyStore#temp
	   * @description
	   * Creates a temporary KeyStore based on this KeyStore.
	   *
	   * @returns {JWK.KeyStore} The temporary KeyStore.
	   */
	  Object.defineProperty(this, "temp", {
	    value: function() {
	      return new JWKStore(registry, this);
	    }
	  });
	
	  /**
	   * @method JWK.KeyStore#toJSON
	   * @description
	   * Generates a JSON representation of this KeyStore, which conforms
	   * to a JWK Set from {I-D.ietf-jose-json-web-key}.
	   *
	   * @param {Boolean} [isPrivate = false] `true` if the private fields
	   *        of stored keys are to be included.
	   * @returns {Object} The JSON representation of this KeyStore.
	   */
	  Object.defineProperty(this, "toJSON", {
	    value: function(isPrivate) {
	      var keys = [];
	
	      Object.keys(keysets).forEach(function(kid) {
	        var items = keysets[kid].map(function(k) {
	          return k.toJSON(isPrivate);
	        });
	        keys = keys.concat(items);
	      });
	
	      return {
	        keys: keys
	      };
	    }
	  });
	};
	
	/**
	 * Determines if the given object is an instance of JWK.KeyStore.
	 *
	 * @param {Object} obj The object to test
	 * @returns {Boolean} `true` if {obj} is an instance of JWK.KeyStore,
	 *          and `false` otherwise.
	 */
	JWKStore.isKeyStore = function(obj) {
	  if (!obj) {
	    return false;
	  }
	
	  if ("object" !== typeof obj) {
	    return false;
	  }
	
	  if ("function" !== typeof obj.get ||
	      "function" !== typeof obj.all ||
	      "function" !== typeof obj.generate ||
	      "function" !== typeof obj.add ||
	      "function" !== typeof obj.remove) {
	    return false;
	  }
	
	  return true;
	};
	
	/**
	 * Creates a new empty KeyStore.
	 *
	 * @returns {JWK.KeyStore} The empty KeyStore.
	 */
	JWKStore.createKeyStore = function() {
	  return new JWKStore(GLOBAL_REGISTRY);
	};
	
	/**
	 * Coerces the given object into a KeyStore. This method uses the following
	 * algorithm to coerce {ks}:
	 *
	 * 1. if {ks} is an instance of JWK.KeyStore, it is returned directly
	 * 2. if {ks} is a string, it is parsed into a JSON value
	 * 3. if {ks} is an array, it creates a new JWK.KeyStore and calls {@link
	 *    JWK.KeyStore#add} for each element in the {ks} array.
	 * 4. if {ks} is a JSON object, it creates a new JWK.KeyStore and calls {@link
	 *    JWK.KeyStore#add} for each element in the "keys" property.
	 *
	 * @param {Object|String} ks The value to coerce into a
	 *        KeyStore
	 * @returns {Promise(JWK.KeyStore)} A promise for the coerced KeyStore.
	 */
	JWKStore.asKeyStore = function(ks) {
	  if (JWKStore.isKeyStore(ks)) {
	    return Promise.resolve(ks);
	  }
	
	  var store = JWKStore.createKeyStore(),
	      keys;
	
	  if (typeof ks === "string") {
	    ks = JSON.parse(ks);
	  }
	
	  if (Array.isArray(ks)) {
	    keys = ks;
	  } else if ("keys" in ks) {
	    keys = ks.keys;
	  } else {
	    return Promise.reject(new Error("invalid keystore"));
	  }
	
	  keys = keys.map(function(k) {
	    return store.add(k);
	  });
	
	  var promise = Promise.all(keys);
	  promise = promise.then(function() {
	    return store;
	  });
	
	  return promise;
	};
	
	
	/**
	 * Determines if the given object is a JWK.Key instance.
	 *
	 * @param {Object} obj The object to test
	 * @returns `true` if {obj} is a JWK.Key
	 */
	JWKStore.isKey = function(obj) {
	  if (!obj) {
	    return false;
	  }
	
	  if ("object" !== typeof obj) {
	    return false;
	  }
	
	  if (!JWKStore.isKeyStore(obj.keystore)) {
	    return false;
	  }
	
	  if ("string" !== typeof obj.kty ||
	      "number" !== typeof obj.length ||
	      "function" !== typeof obj.algorithms ||
	      "function" !== typeof obj.supports ||
	      "function" !== typeof obj.encrypt ||
	      "function" !== typeof obj.decrypt ||
	      "function" !== typeof obj.wrap ||
	      "function" !== typeof obj.unwrap ||
	      "function" !== typeof obj.sign ||
	      "function" !== typeof obj.verify) {
	    return false;
	  }
	
	  return true;
	};
	
	/**
	 * Coerces the given object into a Key. If {key} is an instance of JWK.Key,
	 * it is returned directly. Otherwise, this method first creates a new
	 * JWK.KeyStore and calls {@link JWK.KeyStore#add} on this new KeyStore.
	 *
	 * @param {Object|String} key The value to coerce into a Key
	 * @param {String} [form] The format of a String Key to expect
	 * @param {Object} [extras] extra jwk fields inserted when importing from a non json string (eg "pem")
	 * @returns {Promise(JWK.Key)} A promise for the coerced Key.
	 */
	JWKStore.asKey = function(key, form, extras) {
	  if (JWKStore.isKey(key)) {
	    return Promise.resolve(key);
	  }
	
	  var ks = JWKStore.createKeyStore();
	  key = ks.add(key, form, extras);
	
	  return key;
	};
	
	module.exports = {
	  KeyRegistry: JWKRegistry,
	  KeyStore: JWKStore,
	  registry: GLOBAL_REGISTRY
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 107 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/basekey.js - JWK Key Base Class Implementation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var assign = __webpack_require__(103),
	    clone = __webpack_require__(84),
	    flatten = __webpack_require__(108),
	    intersection = __webpack_require__(109),
	    merge = __webpack_require__(85),
	    omit = __webpack_require__(88),
	    pick = __webpack_require__(89),
	    uniq = __webpack_require__(110),
	    uuid = __webpack_require__(111);
	
	var ALGORITHMS = __webpack_require__(24),
	    CONSTANTS = __webpack_require__(113),
	    HELPERS = __webpack_require__(114),
	    UTIL = __webpack_require__(70);
	
	/**
	 * @class JWK.Key
	 * @classdesc
	 * Represents a JSON Web Key instance.
	 *
	 * @description
	 * **NOTE:** This class cannot be instantiated directly. Instead call
	 * {@link JWK.asKey}, {@link JWK.KeyStore#add}, or
	 * {@link JWK.KeyStore#generate}.
	 */
	var JWKBaseKeyObject = function(kty, ks, props, cfg) {
	  // ### validate/coerce arguments ###
	  if (!kty) {
	    throw new Error("kty cannot be null");
	  }
	
	  if (!ks) {
	    throw new Error("keystore cannot be null");
	  }
	
	  if (!props) {
	    throw new Error("props cannot be null");
	  } else if ("string" === typeof props) {
	    props = JSON.parse(props);
	  }
	
	  if (!cfg) {
	    throw new Error("cfg cannot be null");
	  }
	
	  var excluded = [];
	  var keys = {},
	      json = {},
	      prints,
	      kid;
	
	  props = clone(props);
	  // strip thumbprints if present
	  prints = assign({}, props[HELPERS.INTERNALS.THUMBPRINT_KEY] || {});
	  delete props[HELPERS.INTERNALS.THUMBPRINT_KEY];
	  Object.keys(prints).forEach(function(a) {
	    var h = prints[a];
	    if (!kid) {
	      kid = h;
	      if (Buffer.isBuffer(kid)) {
	        kid = UTIL.base64url.encode(kid);
	      }
	    }
	    if (!Buffer.isBuffer(h)) {
	      h = UTIL.base64url.decode(h);
	      prints[a] = h;
	    }
	  });
	
	  // force certain values
	  props.kty = kty;
	  props.kid = props.kid || kid || uuid();
	
	  // setup base info
	  var included = Object.keys(HELPERS.COMMON_PROPS).map(function(p) {
	    return HELPERS.COMMON_PROPS[p].name;
	  });
	  json.base = pick(props, included);
	  excluded = excluded.concat(Object.keys(json.base));
	
	  // setup public information
	  json.public = clone(props);
	  keys.public = cfg.publicKey(json.public);
	  if (keys.public) {
	    // exclude public values from extra
	    excluded = excluded.concat(Object.keys(json.public));
	  }
	
	  // setup private information
	  json.private = clone(props);
	  keys.private = cfg.privateKey(json.private);
	  if (keys.private) {
	    // exclude private values from extra
	    excluded = excluded.concat(Object.keys(json.private));
	  }
	
	  // setup extra information
	  json.extra = omit(props, excluded);
	
	  // TODO: validate 'alg' against supported algorithms
	
	  // setup calculated values
	  var keyLen;
	  if (keys.public && ("length" in keys.public)) {
	    keyLen = keys.public.length;
	  } else if (keys.private && ("length" in keys.private)) {
	    keyLen = keys.private.length;
	  } else {
	    keyLen = NaN;
	  }
	
	  // ### Public Properties ###
	  /**
	   * @member {JWK.KeyStore} JWK.Key#keystore
	   * @description
	   * The owning keystore.
	   */
	  Object.defineProperty(this, "keystore", {
	    value: ks,
	    enumerable: true
	  });
	  /**
	   * @member {Number} JWK.Key#length
	   * @description
	   * The size of this Key, in bits.
	   */
	  Object.defineProperty(this, "length", {
	    value: keyLen,
	    enumerable: true
	  });
	  /**
	   * @member {String} JWK.Key#kty
	   * @description
	   * The type of Key.
	   */
	  Object.defineProperty(this, "kty", {
	    value: kty,
	    enumerable: true
	  });
	
	  /**
	   * @member {String} JWK.Key#kid
	   * @description
	   * The identifier for this Key.
	   */
	  Object.defineProperty(this, "kid", {
	    value: json.base.kid,
	    enumerable: true
	  });
	  /**
	   * @member {String} JWK.Key#use
	   * @description
	   * The usage for this Key.
	   */
	  Object.defineProperty(this, "use", {
	    value: json.base.use || "",
	    enumerable: true
	  });
	  /**
	   * @member {String} JWK.Key#alg
	   * @description
	   * The sole algorithm this key can be used for.
	   */
	  Object.defineProperty(this, "alg", {
	    value: json.base.alg || "",
	    enumerable: true
	  });
	
	  // ### Public Methods ###
	  /**
	   * Generates the thumbprint of this Key.
	   *
	   * @param {String} [] The hash algorithm to use
	   * @returns {Promise} The promise for the thumbprint generation.
	   */
	  Object.defineProperty(this, "thumbprint", {
	    value: function(hash) {
	      hash = (hash || HELPERS.INTERNALS.THUMBPRINT_HASH).toUpperCase();
	      if (prints[hash]) {
	        // return cached value
	        return Promise.resolve(prints[hash]);
	      }
	      var p = HELPERS.thumbprint(cfg, json, hash);
	      p = p.then(function(result) {
	        if (result) {
	          prints[hash] = result;
	        }
	        return result;
	      });
	      return p;
	    }
	  });
	  /**
	   * @method JWK.Key#algorithms
	   * @description
	   * The possible algorithms this Key can be used for. The returned
	   * list is not any particular order, but is filtered based on the
	   * Key's intended usage.
	   *
	   * @param {String} mode The operation mode
	   * @returns {String[]} The list of supported algorithms
	   * @see JWK.Key#supports
	   */
	  Object.defineProperty(this, "algorithms", {
	    value: function(mode) {
	      var modes = [];
	      if (!this.use || this.use === "sig") {
	        if (!mode || CONSTANTS.MODE_SIGN === mode) {
	          modes.push(CONSTANTS.MODE_SIGN);
	        }
	        if (!mode || CONSTANTS.MODE_VERIFY === mode) {
	          modes.push(CONSTANTS.MODE_VERIFY);
	        }
	      }
	      if (!this.use || this.use === "enc") {
	        if (!mode || CONSTANTS.MODE_ENCRYPT === mode) {
	          modes.push(CONSTANTS.MODE_ENCRYPT);
	        }
	        if (!mode || CONSTANTS.MODE_DECRYPT === mode) {
	          modes.push(CONSTANTS.MODE_DECRYPT);
	        }
	        if (!mode || CONSTANTS.MODE_WRAP === mode) {
	          modes.push(CONSTANTS.MODE_WRAP);
	        }
	        if (!mode || CONSTANTS.MODE_UNWRAP === mode) {
	          modes.push(CONSTANTS.MODE_UNWRAP);
	        }
	      }
	
	      var self = this;
	      var algs = modes.map(function(m) {
	        return cfg.algorithms.call(self, keys, m);
	      });
	      algs = flatten(algs);
	      algs = uniq(algs);
	      if (this.alg) {
	        // TODO: fix this correctly
	        var valid;
	        if ("oct" === kty) {
	          valid = [this.alg, "dir"];
	        } else {
	          valid = [this.alg];
	        }
	        algs = intersection(algs, valid);
	      }
	
	      return algs;
	    }
	  });
	  /**
	   * @method JWK.Key#supports
	   * @description
	   * Determines if the given algorithm is supported.
	   *
	   * @param {String} alg The algorithm in question
	   * @param {String} [mode] The operation mode
	   * @returns {Boolean} `true` if {alg} is supported, and `false` otherwise.
	   * @see JWK.Key#algorithms
	   */
	  Object.defineProperty(this, "supports", {
	    value: function(alg, mode) {
	      return (this.algorithms(mode).indexOf(alg) !== -1);
	    }
	  });
	  /**
	   * @method JWK.Key#has
	   * @description
	   * Determines if this Key contains the given parameter.
	   *
	   * @param {String} name The name of the parameter
	   * @param {Boolean} [isPrivate=false] `true` if private parameters should be
	   *        checked.
	   * @returns {Boolean} `true` if the given parameter is present; `false`
	   *          otherwise.
	   */
	  Object.defineProperty(this, "has", {
	    value: function(name, isPrivate) {
	      var contains = false;
	      contains = contains || !!(json.base &&
	                                (name in json.base));
	      contains = contains || !!(keys.public &&
	                                (name in keys.public));
	      contains = contains || !!(json.extra &&
	                                (name in json.extra));
	      contains = contains || !!(isPrivate &&
	                                keys.private &&
	                                (name in keys.private));
	      // TODO: check for export restrictions
	
	      return contains;
	    }
	  });
	  /**
	   * @method JWK.Key#get
	   * @description
	   * Retrieves the value of the given parameter. The value returned by this
	   * method is in its natural format, which might not exactly match its
	   * JSON encoding (e.g., a binary string rather than a base64url-encoded
	   * string).
	   *
	   * **NOTE:** This method can return `false`. Call
	   * {@link JWK.Key#has} to determine if the parameter is present.
	   *
	   * @param {String} name The name of the parameter
	   * @param {Boolean} [isPrivate=false] `true` if private parameters should
	   *        be checked.
	   * @returns {any} The value of the named parameter, or undefined if
	   *          it is not present.
	   */
	  Object.defineProperty(this, "get", {
	    value: function(name, isPrivate) {
	      var src;
	      if (json.base && (name in json.base)) {
	        src = json.base;
	      } else if (keys.public && (name in keys.public)) {
	        src = keys.public;
	      } else if (json.extra && (name in json.extra)) {
	        src = json.extra;
	      } else if (isPrivate && keys.private && (name in keys.private)) {
	        // TODO: check for export restrictions
	        src = keys.private;
	      }
	
	      return src && src[name] || null;
	    }
	  });
	  /**
	   * @method JWK.Key#toJSON
	   * @description
	   * Returns the JSON representation of this Key.  All properties of the
	   * returned JSON object are properly encoded (e.g., base64url encoding for
	   * any binary strings).
	   *
	   * @param {Boolean} [isPrivate=false] `true` if private parameters should be
	   *        included.
	   * @param {String[]} [excluded] The list of parameters to exclude from
	   *        the returned JSON.
	   * @returns {Object} The plain JSON object
	   */
	  Object.defineProperty(this, "toJSON", {
	    value: function(isPrivate, excluded) {
	      // coerce arguments
	      if (Array.isArray(isPrivate)) {
	        excluded = isPrivate;
	        isPrivate = false;
	      }
	      var result = {};
	
	      // TODO: check for export restrictions
	      result = merge(result,
	                       json.base,
	                       json.public,
	                       ("boolean" === typeof isPrivate && isPrivate) ? json.private : {},
	                       json.extra);
	      result = omit(result, excluded || []);
	
	      return result;
	    }
	  });
	
	  /**
	   * @method JWK.Key#toPEM
	   * @description
	   * Returns the PEM representation of this Key as a string.
	   *
	   * @param {Boolean} [isPrivate=false] `true` if private parameters should be
	   *        included.
	   * @returns {string} The PEM-encoded string
	   */
	  Object.defineProperty(this, "toPEM", {
	    value: function(isPrivate) {
	      if (isPrivate === null) {
	        isPrivate = false;
	      }
	
	      if (!cfg.convertToPEM) {
	        throw new Error("Unsupported key type for PEM encoding");
	      }
	      var k = (isPrivate) ? keys.private : keys.public;
	      if (!k) {
	        throw new Error("Invalid key");
	      }
	      return cfg.convertToPEM.call(this, k, isPrivate);
	    }
	  });
	
	  /**
	   * @method JWK.Key#toObject
	   * @description
	   * Returns the plain object representing this Key.  All properties of the
	   * returned object are in their natural encoding (e.g., binary strings
	   * instead of base64url encoded).
	   *
	   * @param {Boolean} [isPrivate=false] `true` if private parameters should be
	   *        included.
	   * @param {String[]} [excluded] The list of parameters to exclude from
	   *        the returned object.
	   * @returns {Object} The plain Object.
	   */
	  Object.defineProperty(this, "toObject", {
	    value: function(isPrivate, excluded) {
	      // coerce arguments
	      if (Array.isArray(isPrivate)) {
	        excluded = isPrivate;
	        isPrivate = false;
	      }
	      var result = {};
	
	      // TODO: check for export restrictions
	      result = merge(result,
	                       json.base,
	                       keys.public,
	                       ("boolean" === typeof isPrivate && isPrivate) ? keys.private : {},
	                       json.extra);
	      result = omit(result, (excluded || []).concat("length"));
	
	      return result;
	    }
	  });
	
	  /**
	   * @method JWK.Key#sign
	   * @description
	   * Sign the given data using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive signing operation; the output is
	   * _**NOT**_ a JSON Web Signature (JWS) object.
	   *
	   * The Promise, when fulfilled, returns an Object with the following
	   * properties:
	   *
	   * + **data**: The data that was signed (and should be equal to {data}).
	   * + **mac**: The signature or message authentication code (MAC).
	   *
	   * @param {String} alg The signing algorithm
	   * @param {String|Buffer} data The data to sign
	   * @param {Object} [props] Additional properties for the signing
	   *        algorithm.
	   * @returns {Promise} The promise for the signing operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         this Key does not contain the appropriate parameters.
	   */
	  Object.defineProperty(this, "sign", {
	    value: function(alg, data, props) {
	      // validate appropriateness
	      if (this.algorithms("sign").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.signKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.signProps) {
	        props = merge(props, cfg.signProps.call(this, alg, props));
	      }
	      return ALGORITHMS.sign(alg, k, data, props);
	    }
	  });
	  /**
	   * @method JWK.Key#verify
	   * @description
	   * Verify the given data and signature using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive verification operation; the input is
	   * _**NOT**_ a JSON Web Signature.</p>
	   *
	   * The Promise, when fulfilled, returns an Object with the following
	   * properties:
	   *
	   * + **data**: The data that was verified (and should be equal to
	   *   {data}).
	   * + **mac**: The signature or MAC that was verified (and should be equal
	   *   to {mac}).
	   * + **valid**: `true` if {mac} is valid for {data}.
	   *
	   * @param {String} alg The verification algorithm
	   * @param {String|Buffer} data The data to verify
	   * @param {String|Buffer} mac The signature or MAC to verify
	   * @param {Object} [props] Additional properties for the verification
	   *        algorithm.
	   * @returns {Promise} The promise for the verification operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         the Key does not contain the appropriate properties.
	   */
	  Object.defineProperty(this, "verify", {
	    value: function(alg, data, mac, props) {
	      // validate appropriateness
	      if (this.algorithms("verify").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.verifyKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.verifyProps) {
	        props = merge(props, cfg.verifyProps.call(this, alg, props));
	      }
	      return ALGORITHMS.verify(alg, k, data, mac, props);
	    }
	  });
	
	  /**
	   * @method JWK.Key#encrypt
	   * @description
	   * Encrypts the given data using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive encryption operation; the output is
	   * _**NOT**_ a JSON Web Encryption (JWE) object.
	   *
	   * **NOTE:** This operation is treated as distinct from {@link
	   * JWK.Key#wrap}, as different algorithms and properties are often
	   * used for wrapping a key versues encrypting arbitrary data.
	   *
	   * The Promise, when fulfilled, returns an object with the following
	   * properties:
	   *
	   * + **data**: The ciphertext data
	   * + **mac**: The associated message authentication code (MAC).
	   *
	   * @param {String} alg The encryption algorithm
	   * @param {Buffer|String} data The data to encrypt
	   * @param {Object} [props] Additional properties for the encryption
	   *        algorithm.
	   * @returns {Promise} The promise for the encryption operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         this Key does not contain the appropriate parameters.
	   */
	  Object.defineProperty(this, "encrypt", {
	    value: function(alg, data, props) {
	      // validate appropriateness
	      if (this.algorithms("encrypt").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.encryptKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.encryptProps) {
	        props = merge(props, cfg.encryptProps.call(this, alg, props));
	      }
	      return ALGORITHMS.encrypt(alg, k, data, props);
	    }
	  });
	  /**
	   * @method JWK.Key#decrypt
	   * @description
	   * Decrypts the given data using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive decryption operation; the input is
	   * _**NOT**_ a JSON Web Encryption (JWE) object.
	   *
	   * **NOTE:** This operation is treated as distinct from {@link
	   * JWK.Key#unwrap}, as different algorithms and properties are often used
	   * for unwrapping a key versues decrypting arbitrary data.
	   *
	   * The Promise, when fulfilled, returns the plaintext data.
	   *
	   * @param {String} alg The decryption algorithm.
	   * @param {Buffer|String} data The data to decypt.
	   * @param {Object} [props] Additional data for the decryption operation.
	   * @returns {Promise} The promise for the decryption operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         the Key does not contain the appropriate properties.
	   */
	  Object.defineProperty(this, "decrypt", {
	    value: function(alg, data, props) {
	      // validate appropriateness
	      if (this.algorithms("decrypt").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.decryptKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.decryptProps) {
	        props = merge(props, cfg.decryptProps.call(this, alg, props));
	      }
	      return ALGORITHMS.decrypt(alg, k, data, props);
	    }
	  });
	
	  /**
	   * @method JWK.Key#wrap
	   * @description
	   * Wraps the given key using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive encryption operation; the output is
	   * _**NOT**_ a JSON Web Encryption (JWE) object.
	   *
	   * **NOTE:** This operation is treated as distinct from {@link
	   * JWK.Key#encrypt}, as different algorithms and properties are
	   * often used for wrapping a key versues encrypting arbitrary data.
	   *
	   * The Promise, when fulfilled, returns an object with the following
	   * properties:
	   *
	   * + **data**: The ciphertext data
	   * + **headers**: The additional header parameters to apply to a JWE.
	   *
	   * @param {String} alg The encryption algorithm
	   * @param {Buffer|String} data The data to encrypt
	   * @param {Object} [props] Additional properties for the encryption
	   *        algorithm.
	   * @returns {Promise} The promise for the encryption operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         this Key does not contain the appropriate parameters.
	   */
	  Object.defineProperty(this, "wrap", {
	    value: function(alg, data, props) {
	      // validate appropriateness
	      if (this.algorithms("wrap").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.wrapKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.wrapProps) {
	        props = merge(props, cfg.wrapProps.call(this, alg, props));
	      }
	      return ALGORITHMS.encrypt(alg, k, data, props);
	    }
	  });
	  /**
	   * @method JWK.Key#unwrap
	   * @description
	   * Unwraps the given key using the specified algorithm.
	   *
	   * **NOTE:** This is the primitive unwrap operation; the input is
	   * _**NOT**_ a JSON Web Encryption (JWE) object.
	   *
	   * **NOTE:** This operation is treated as distinct from {@link
	   * JWK.Key#decrypt}, as different algorithms and properties are often used
	   * for unwrapping a key versues decrypting arbitrary data.
	   *
	   * The Promise, when fulfilled, returns the unwrapped key.
	   *
	   * @param {String} alg The unwrap algorithm.
	   * @param {Buffer|String} data The data to unwrap.
	   * @param {Object} [props] Additional data for the unwrap operation.
	   * @returns {Promise} The promise for the unwrap operation.
	   * @throws {Error} If {alg} is not appropriate for this Key; or if
	   *         the Key does not contain the appropriate properties.
	   */
	  Object.defineProperty(this, "unwrap", {
	    value: function(alg, data, props) {
	      // validate appropriateness
	      if (this.algorithms("unwrap").indexOf(alg) === -1) {
	        return Promise.reject(new Error("unsupported algorithm"));
	      }
	      var k = cfg.unwrapKey.call(this, alg, keys);
	      if (!k) {
	        return Promise.reject(new Error("improper key"));
	      }
	
	      // prepare properties (if any)
	      props = (props) ?
	              clone(props) :
	              {};
	      if (cfg.unwrapProps) {
	        props = merge(props, cfg.unwrapProps.call(this, alg, props));
	      }
	      return ALGORITHMS.decrypt(alg, k, data, props);
	    }
	  });
	};
	
	module.exports = JWKBaseKeyObject;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 108 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]';
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;
	
	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}
	
	/** Used for built-in method references. */
	var objectProto = Object.prototype;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Built-in value references. */
	var Symbol = root.Symbol,
	    propertyIsEnumerable = objectProto.propertyIsEnumerable,
	    spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined;
	
	/**
	 * The base implementation of `_.flatten` with support for restricting flattening.
	 *
	 * @private
	 * @param {Array} array The array to flatten.
	 * @param {number} depth The maximum recursion depth.
	 * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
	 * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
	 * @param {Array} [result=[]] The initial result value.
	 * @returns {Array} Returns the new flattened array.
	 */
	function baseFlatten(array, depth, predicate, isStrict, result) {
	  var index = -1,
	      length = array.length;
	
	  predicate || (predicate = isFlattenable);
	  result || (result = []);
	
	  while (++index < length) {
	    var value = array[index];
	    if (depth > 0 && predicate(value)) {
	      if (depth > 1) {
	        // Recursively flatten arrays (susceptible to call stack limits).
	        baseFlatten(value, depth - 1, predicate, isStrict, result);
	      } else {
	        arrayPush(result, value);
	      }
	    } else if (!isStrict) {
	      result[result.length] = value;
	    }
	  }
	  return result;
	}
	
	/**
	 * Checks if `value` is a flattenable `arguments` object or array.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
	 */
	function isFlattenable(value) {
	  return isArray(value) || isArguments(value) ||
	    !!(spreadableSymbol && value && value[spreadableSymbol]);
	}
	
	/**
	 * Flattens `array` a single level deep.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Array
	 * @param {Array} array The array to flatten.
	 * @returns {Array} Returns the new flattened array.
	 * @example
	 *
	 * _.flatten([1, [2, [3, [4]], 5]]);
	 * // => [1, 2, [3, [4]], 5]
	 */
	function flatten(array) {
	  var length = array ? array.length : 0;
	  return length ? baseFlatten(array, 1) : [];
	}
	
	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	function isArguments(value) {
	  // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
	  return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
	    (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
	}
	
	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	module.exports = flatten;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 109 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';
	
	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;
	
	/** `Object#toString` result references. */
	var funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0: return func.call(thisArg);
	    case 1: return func.call(thisArg, args[0]);
	    case 2: return func.call(thisArg, args[0], args[1]);
	    case 3: return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}
	
	/**
	 * A specialized version of `_.includes` for arrays without support for
	 * specifying an index to search from.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludes(array, value) {
	  var length = array ? array.length : 0;
	  return !!length && baseIndexOf(array, value, 0) > -1;
	}
	
	/**
	 * This function is like `arrayIncludes` except that it accepts a comparator.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @param {Function} comparator The comparator invoked per element.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludesWith(array, value, comparator) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (comparator(value, array[index])) {
	      return true;
	    }
	  }
	  return false;
	}
	
	/**
	 * A specialized version of `_.map` for arrays without support for iteratee
	 * shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the new mapped array.
	 */
	function arrayMap(array, iteratee) {
	  var index = -1,
	      length = array ? array.length : 0,
	      result = Array(length);
	
	  while (++index < length) {
	    result[index] = iteratee(array[index], index, array);
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.findIndex` and `_.findLastIndex` without
	 * support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} predicate The function invoked per iteration.
	 * @param {number} fromIndex The index to search from.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseFindIndex(array, predicate, fromIndex, fromRight) {
	  var length = array.length,
	      index = fromIndex + (fromRight ? 1 : -1);
	
	  while ((fromRight ? index-- : ++index < length)) {
	    if (predicate(array[index], index, array)) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOf(array, value, fromIndex) {
	  if (value !== value) {
	    return baseFindIndex(array, baseIsNaN, fromIndex);
	  }
	  var index = fromIndex - 1,
	      length = array.length;
	
	  while (++index < length) {
	    if (array[index] === value) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.isNaN` without support for number objects.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
	 */
	function baseIsNaN(value) {
	  return value !== value;
	}
	
	/**
	 * The base implementation of `_.unary` without support for storing metadata.
	 *
	 * @private
	 * @param {Function} func The function to cap arguments for.
	 * @returns {Function} Returns the new capped function.
	 */
	function baseUnary(func) {
	  return function(value) {
	    return func(value);
	  };
	}
	
	/**
	 * Checks if a cache value for `key` exists.
	 *
	 * @private
	 * @param {Object} cache The cache to query.
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function cacheHas(cache, key) {
	  return cache.has(key);
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/** Used for built-in method references. */
	var arrayProto = Array.prototype,
	    funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var splice = arrayProto.splice;
	
	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeMax = Math.max,
	    nativeMin = Math.min;
	
	/* Built-in method references that are verified to be native. */
	var Map = getNative(root, 'Map'),
	    nativeCreate = getNative(Object, 'create');
	
	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	}
	
	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  return this.has(key) && delete this.__data__[key];
	}
	
	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}
	
	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}
	
	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
	  return this;
	}
	
	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;
	
	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	}
	
	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  return true;
	}
	
	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  return index < 0 ? undefined : data[index][1];
	}
	
	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}
	
	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}
	
	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;
	
	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.__data__ = {
	    'hash': new Hash,
	    'map': new (Map || ListCache),
	    'string': new Hash
	  };
	}
	
	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  return getMapData(this, key)['delete'](key);
	}
	
	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}
	
	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}
	
	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  getMapData(this, key).set(key, value);
	  return this;
	}
	
	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;
	
	/**
	 *
	 * Creates an array cache object to store unique values.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [values] The values to cache.
	 */
	function SetCache(values) {
	  var index = -1,
	      length = values ? values.length : 0;
	
	  this.__data__ = new MapCache;
	  while (++index < length) {
	    this.add(values[index]);
	  }
	}
	
	/**
	 * Adds `value` to the array cache.
	 *
	 * @private
	 * @name add
	 * @memberOf SetCache
	 * @alias push
	 * @param {*} value The value to cache.
	 * @returns {Object} Returns the cache instance.
	 */
	function setCacheAdd(value) {
	  this.__data__.set(value, HASH_UNDEFINED);
	  return this;
	}
	
	/**
	 * Checks if `value` is in the array cache.
	 *
	 * @private
	 * @name has
	 * @memberOf SetCache
	 * @param {*} value The value to search for.
	 * @returns {number} Returns `true` if `value` is found, else `false`.
	 */
	function setCacheHas(value) {
	  return this.__data__.has(value);
	}
	
	// Add methods to `SetCache`.
	SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
	SetCache.prototype.has = setCacheHas;
	
	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of methods like `_.intersection`, without support
	 * for iteratee shorthands, that accepts an array of arrays to inspect.
	 *
	 * @private
	 * @param {Array} arrays The arrays to inspect.
	 * @param {Function} [iteratee] The iteratee invoked per element.
	 * @param {Function} [comparator] The comparator invoked per element.
	 * @returns {Array} Returns the new array of shared values.
	 */
	function baseIntersection(arrays, iteratee, comparator) {
	  var includes = comparator ? arrayIncludesWith : arrayIncludes,
	      length = arrays[0].length,
	      othLength = arrays.length,
	      othIndex = othLength,
	      caches = Array(othLength),
	      maxLength = Infinity,
	      result = [];
	
	  while (othIndex--) {
	    var array = arrays[othIndex];
	    if (othIndex && iteratee) {
	      array = arrayMap(array, baseUnary(iteratee));
	    }
	    maxLength = nativeMin(array.length, maxLength);
	    caches[othIndex] = !comparator && (iteratee || (length >= 120 && array.length >= 120))
	      ? new SetCache(othIndex && array)
	      : undefined;
	  }
	  array = arrays[0];
	
	  var index = -1,
	      seen = caches[0];
	
	  outer:
	  while (++index < length && result.length < maxLength) {
	    var value = array[index],
	        computed = iteratee ? iteratee(value) : value;
	
	    value = (comparator || value !== 0) ? value : 0;
	    if (!(seen
	          ? cacheHas(seen, computed)
	          : includes(result, computed, comparator)
	        )) {
	      othIndex = othLength;
	      while (--othIndex) {
	        var cache = caches[othIndex];
	        if (!(cache
	              ? cacheHas(cache, computed)
	              : includes(arrays[othIndex], computed, comparator))
	            ) {
	          continue outer;
	        }
	      }
	      if (seen) {
	        seen.push(computed);
	      }
	      result.push(value);
	    }
	  }
	  return result;
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
	  return function() {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);
	
	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = array;
	    return apply(func, this, otherArgs);
	  };
	}
	
	/**
	 * Casts `value` to an empty array if it's not an array like object.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @returns {Array|Object} Returns the cast array-like object.
	 */
	function castArrayLikeObject(value) {
	  return isArrayLikeObject(value) ? value : [];
	}
	
	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key)
	    ? data[typeof key == 'string' ? 'string' : 'hash']
	    : data.map;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value;
	  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
	    ? (value !== '__proto__')
	    : (value === null);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Creates an array of unique values that are included in all given arrays
	 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons. The order of result values is determined by the
	 * order they occur in the first array.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Array
	 * @param {...Array} [arrays] The arrays to inspect.
	 * @returns {Array} Returns the new array of intersecting values.
	 * @example
	 *
	 * _.intersection([2, 1], [2, 3]);
	 * // => [2]
	 */
	var intersection = baseRest(function(arrays) {
	  var mapped = arrayMap(arrays, castArrayLikeObject);
	  return (mapped.length && mapped[0] === arrays[0])
	    ? baseIntersection(mapped)
	    : [];
	});
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}
	
	/**
	 * This method is like `_.isArrayLike` except that it also checks if `value`
	 * is an object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array-like object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArrayLikeObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLikeObject(document.body.children);
	 * // => true
	 *
	 * _.isArrayLikeObject('abc');
	 * // => false
	 *
	 * _.isArrayLikeObject(_.noop);
	 * // => false
	 */
	function isArrayLikeObject(value) {
	  return isObjectLike(value) && isArrayLike(value);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' &&
	    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return !!value && typeof value == 'object';
	}
	
	module.exports = intersection;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 110 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {/**
	 * lodash (Custom Build) <https://lodash.com/>
	 * Build: `lodash modularize exports="npm" -o ./`
	 * Copyright jQuery Foundation and other contributors <https://jquery.org/>
	 * Released under MIT license <https://lodash.com/license>
	 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
	 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
	 */
	
	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;
	
	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';
	
	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0;
	
	/** `Object#toString` result references. */
	var funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]';
	
	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
	
	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;
	
	/** Detect free variable `global` from Node.js. */
	var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;
	
	/** Detect free variable `self`. */
	var freeSelf = typeof self == 'object' && self && self.Object === Object && self;
	
	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();
	
	/**
	 * A specialized version of `_.includes` for arrays without support for
	 * specifying an index to search from.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludes(array, value) {
	  var length = array ? array.length : 0;
	  return !!length && baseIndexOf(array, value, 0) > -1;
	}
	
	/**
	 * This function is like `arrayIncludes` except that it accepts a comparator.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @param {Function} comparator The comparator invoked per element.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludesWith(array, value, comparator) {
	  var index = -1,
	      length = array ? array.length : 0;
	
	  while (++index < length) {
	    if (comparator(value, array[index])) {
	      return true;
	    }
	  }
	  return false;
	}
	
	/**
	 * The base implementation of `_.findIndex` and `_.findLastIndex` without
	 * support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} predicate The function invoked per iteration.
	 * @param {number} fromIndex The index to search from.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseFindIndex(array, predicate, fromIndex, fromRight) {
	  var length = array.length,
	      index = fromIndex + (fromRight ? 1 : -1);
	
	  while ((fromRight ? index-- : ++index < length)) {
	    if (predicate(array[index], index, array)) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOf(array, value, fromIndex) {
	  if (value !== value) {
	    return baseFindIndex(array, baseIsNaN, fromIndex);
	  }
	  var index = fromIndex - 1,
	      length = array.length;
	
	  while (++index < length) {
	    if (array[index] === value) {
	      return index;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.isNaN` without support for number objects.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
	 */
	function baseIsNaN(value) {
	  return value !== value;
	}
	
	/**
	 * Checks if a cache value for `key` exists.
	 *
	 * @private
	 * @param {Object} cache The cache to query.
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function cacheHas(cache, key) {
	  return cache.has(key);
	}
	
	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}
	
	/**
	 * Checks if `value` is a host object in IE < 9.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
	 */
	function isHostObject(value) {
	  // Many host objects are `Object` objects that can coerce to strings
	  // despite having improperly defined `toString` methods.
	  var result = false;
	  if (value != null && typeof value.toString != 'function') {
	    try {
	      result = !!(value + '');
	    } catch (e) {}
	  }
	  return result;
	}
	
	/**
	 * Converts `set` to an array of its values.
	 *
	 * @private
	 * @param {Object} set The set to convert.
	 * @returns {Array} Returns the values.
	 */
	function setToArray(set) {
	  var index = -1,
	      result = Array(set.size);
	
	  set.forEach(function(value) {
	    result[++index] = value;
	  });
	  return result;
	}
	
	/** Used for built-in method references. */
	var arrayProto = Array.prototype,
	    funcProto = Function.prototype,
	    objectProto = Object.prototype;
	
	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];
	
	/** Used to detect methods masquerading as native. */
	var maskSrcKey = (function() {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? ('Symbol(src)_1.' + uid) : '';
	}());
	
	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;
	
	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;
	
	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objectToString = objectProto.toString;
	
	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' +
	  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
	  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
	);
	
	/** Built-in value references. */
	var splice = arrayProto.splice;
	
	/* Built-in method references that are verified to be native. */
	var Map = getNative(root, 'Map'),
	    Set = getNative(root, 'Set'),
	    nativeCreate = getNative(Object, 'create');
	
	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	}
	
	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  return this.has(key) && delete this.__data__[key];
	}
	
	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}
	
	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}
	
	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
	  return this;
	}
	
	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;
	
	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	}
	
	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  return true;
	}
	
	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  return index < 0 ? undefined : data[index][1];
	}
	
	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}
	
	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);
	
	  if (index < 0) {
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}
	
	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;
	
	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	  var index = -1,
	      length = entries ? entries.length : 0;
	
	  this.clear();
	  while (++index < length) {
	    var entry = entries[index];
	    this.set(entry[0], entry[1]);
	  }
	}
	
	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.__data__ = {
	    'hash': new Hash,
	    'map': new (Map || ListCache),
	    'string': new Hash
	  };
	}
	
	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  return getMapData(this, key)['delete'](key);
	}
	
	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}
	
	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}
	
	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  getMapData(this, key).set(key, value);
	  return this;
	}
	
	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;
	
	/**
	 *
	 * Creates an array cache object to store unique values.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [values] The values to cache.
	 */
	function SetCache(values) {
	  var index = -1,
	      length = values ? values.length : 0;
	
	  this.__data__ = new MapCache;
	  while (++index < length) {
	    this.add(values[index]);
	  }
	}
	
	/**
	 * Adds `value` to the array cache.
	 *
	 * @private
	 * @name add
	 * @memberOf SetCache
	 * @alias push
	 * @param {*} value The value to cache.
	 * @returns {Object} Returns the cache instance.
	 */
	function setCacheAdd(value) {
	  this.__data__.set(value, HASH_UNDEFINED);
	  return this;
	}
	
	/**
	 * Checks if `value` is in the array cache.
	 *
	 * @private
	 * @name has
	 * @memberOf SetCache
	 * @param {*} value The value to search for.
	 * @returns {number} Returns `true` if `value` is found, else `false`.
	 */
	function setCacheHas(value) {
	  return this.__data__.has(value);
	}
	
	// Add methods to `SetCache`.
	SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
	SetCache.prototype.has = setCacheHas;
	
	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}
	
	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}
	
	/**
	 * The base implementation of `_.uniqBy` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} [iteratee] The iteratee invoked per element.
	 * @param {Function} [comparator] The comparator invoked per element.
	 * @returns {Array} Returns the new duplicate free array.
	 */
	function baseUniq(array, iteratee, comparator) {
	  var index = -1,
	      includes = arrayIncludes,
	      length = array.length,
	      isCommon = true,
	      result = [],
	      seen = result;
	
	  if (comparator) {
	    isCommon = false;
	    includes = arrayIncludesWith;
	  }
	  else if (length >= LARGE_ARRAY_SIZE) {
	    var set = iteratee ? null : createSet(array);
	    if (set) {
	      return setToArray(set);
	    }
	    isCommon = false;
	    includes = cacheHas;
	    seen = new SetCache;
	  }
	  else {
	    seen = iteratee ? [] : result;
	  }
	  outer:
	  while (++index < length) {
	    var value = array[index],
	        computed = iteratee ? iteratee(value) : value;
	
	    value = (comparator || value !== 0) ? value : 0;
	    if (isCommon && computed === computed) {
	      var seenIndex = seen.length;
	      while (seenIndex--) {
	        if (seen[seenIndex] === computed) {
	          continue outer;
	        }
	      }
	      if (iteratee) {
	        seen.push(computed);
	      }
	      result.push(value);
	    }
	    else if (!includes(seen, computed, comparator)) {
	      if (seen !== result) {
	        seen.push(computed);
	      }
	      result.push(value);
	    }
	  }
	  return result;
	}
	
	/**
	 * Creates a set object of `values`.
	 *
	 * @private
	 * @param {Array} values The values to add to the set.
	 * @returns {Object} Returns the new set.
	 */
	var createSet = !(Set && (1 / setToArray(new Set([,-0]))[1]) == INFINITY) ? noop : function(values) {
	  return new Set(values);
	};
	
	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key)
	    ? data[typeof key == 'string' ? 'string' : 'hash']
	    : data.map;
	}
	
	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}
	
	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value;
	  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
	    ? (value !== '__proto__')
	    : (value === null);
	}
	
	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && (maskSrcKey in func);
	}
	
	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to process.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return (func + '');
	    } catch (e) {}
	  }
	  return '';
	}
	
	/**
	 * Creates a duplicate-free version of an array, using
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons, in which only the first occurrence of each
	 * element is kept.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Array
	 * @param {Array} array The array to inspect.
	 * @returns {Array} Returns the new duplicate free array.
	 * @example
	 *
	 * _.uniq([2, 1, 2]);
	 * // => [2, 1]
	 */
	function uniq(array) {
	  return (array && array.length)
	    ? baseUniq(array)
	    : [];
	}
	
	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || (value !== value && other !== other);
	}
	
	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in Safari 8-9 which returns 'object' for typed array and other constructors.
	  var tag = isObject(value) ? objectToString.call(value) : '';
	  return tag == funcTag || tag == genTag;
	}
	
	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value;
	  return !!value && (type == 'object' || type == 'function');
	}
	
	/**
	 * This method returns `undefined`.
	 *
	 * @static
	 * @memberOf _
	 * @since 2.3.0
	 * @category Util
	 * @example
	 *
	 * _.times(2, _.noop);
	 * // => [undefined, undefined]
	 */
	function noop() {
	  // No operation performed.
	}
	
	module.exports = uniq;
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 111 */
/***/ function(module, exports, __webpack_require__) {

	//     uuid.js
	//
	//     Copyright (c) 2010-2012 Robert Kieffer
	//     MIT License - http://opensource.org/licenses/mit-license.php
	
	// Unique ID creation requires a high quality random # generator.  We feature
	// detect to determine the best RNG source, normalizing to a function that
	// returns 128-bits of randomness, since that's what's usually required
	var _rng = __webpack_require__(112);
	
	// Maps for number <-> hex string conversion
	var _byteToHex = [];
	var _hexToByte = {};
	for (var i = 0; i < 256; i++) {
	  _byteToHex[i] = (i + 0x100).toString(16).substr(1);
	  _hexToByte[_byteToHex[i]] = i;
	}
	
	// **`parse()` - Parse a UUID into it's component bytes**
	function parse(s, buf, offset) {
	  var i = (buf && offset) || 0, ii = 0;
	
	  buf = buf || [];
	  s.toLowerCase().replace(/[0-9a-f]{2}/g, function(oct) {
	    if (ii < 16) { // Don't overflow!
	      buf[i + ii++] = _hexToByte[oct];
	    }
	  });
	
	  // Zero out remaining bytes if string was short
	  while (ii < 16) {
	    buf[i + ii++] = 0;
	  }
	
	  return buf;
	}
	
	// **`unparse()` - Convert UUID byte array (ala parse()) into a string**
	function unparse(buf, offset) {
	  var i = offset || 0, bth = _byteToHex;
	  return  bth[buf[i++]] + bth[buf[i++]] +
	          bth[buf[i++]] + bth[buf[i++]] + '-' +
	          bth[buf[i++]] + bth[buf[i++]] + '-' +
	          bth[buf[i++]] + bth[buf[i++]] + '-' +
	          bth[buf[i++]] + bth[buf[i++]] + '-' +
	          bth[buf[i++]] + bth[buf[i++]] +
	          bth[buf[i++]] + bth[buf[i++]] +
	          bth[buf[i++]] + bth[buf[i++]];
	}
	
	// **`v1()` - Generate time-based UUID**
	//
	// Inspired by https://github.com/LiosK/UUID.js
	// and http://docs.python.org/library/uuid.html
	
	// random #'s we need to init node and clockseq
	var _seedBytes = _rng();
	
	// Per 4.5, create and 48-bit node id, (47 random bits + multicast bit = 1)
	var _nodeId = [
	  _seedBytes[0] | 0x01,
	  _seedBytes[1], _seedBytes[2], _seedBytes[3], _seedBytes[4], _seedBytes[5]
	];
	
	// Per 4.2.2, randomize (14 bit) clockseq
	var _clockseq = (_seedBytes[6] << 8 | _seedBytes[7]) & 0x3fff;
	
	// Previous uuid creation time
	var _lastMSecs = 0, _lastNSecs = 0;
	
	// See https://github.com/broofa/node-uuid for API details
	function v1(options, buf, offset) {
	  var i = buf && offset || 0;
	  var b = buf || [];
	
	  options = options || {};
	
	  var clockseq = options.clockseq !== undefined ? options.clockseq : _clockseq;
	
	  // UUID timestamps are 100 nano-second units since the Gregorian epoch,
	  // (1582-10-15 00:00).  JSNumbers aren't precise enough for this, so
	  // time is handled internally as 'msecs' (integer milliseconds) and 'nsecs'
	  // (100-nanoseconds offset from msecs) since unix epoch, 1970-01-01 00:00.
	  var msecs = options.msecs !== undefined ? options.msecs : new Date().getTime();
	
	  // Per 4.2.1.2, use count of uuid's generated during the current clock
	  // cycle to simulate higher resolution clock
	  var nsecs = options.nsecs !== undefined ? options.nsecs : _lastNSecs + 1;
	
	  // Time since last uuid creation (in msecs)
	  var dt = (msecs - _lastMSecs) + (nsecs - _lastNSecs)/10000;
	
	  // Per 4.2.1.2, Bump clockseq on clock regression
	  if (dt < 0 && options.clockseq === undefined) {
	    clockseq = clockseq + 1 & 0x3fff;
	  }
	
	  // Reset nsecs if clock regresses (new clockseq) or we've moved onto a new
	  // time interval
	  if ((dt < 0 || msecs > _lastMSecs) && options.nsecs === undefined) {
	    nsecs = 0;
	  }
	
	  // Per 4.2.1.2 Throw error if too many uuids are requested
	  if (nsecs >= 10000) {
	    throw new Error('uuid.v1(): Can\'t create more than 10M uuids/sec');
	  }
	
	  _lastMSecs = msecs;
	  _lastNSecs = nsecs;
	  _clockseq = clockseq;
	
	  // Per 4.1.4 - Convert from unix epoch to Gregorian epoch
	  msecs += 12219292800000;
	
	  // `time_low`
	  var tl = ((msecs & 0xfffffff) * 10000 + nsecs) % 0x100000000;
	  b[i++] = tl >>> 24 & 0xff;
	  b[i++] = tl >>> 16 & 0xff;
	  b[i++] = tl >>> 8 & 0xff;
	  b[i++] = tl & 0xff;
	
	  // `time_mid`
	  var tmh = (msecs / 0x100000000 * 10000) & 0xfffffff;
	  b[i++] = tmh >>> 8 & 0xff;
	  b[i++] = tmh & 0xff;
	
	  // `time_high_and_version`
	  b[i++] = tmh >>> 24 & 0xf | 0x10; // include version
	  b[i++] = tmh >>> 16 & 0xff;
	
	  // `clock_seq_hi_and_reserved` (Per 4.2.2 - include variant)
	  b[i++] = clockseq >>> 8 | 0x80;
	
	  // `clock_seq_low`
	  b[i++] = clockseq & 0xff;
	
	  // `node`
	  var node = options.node || _nodeId;
	  for (var n = 0; n < 6; n++) {
	    b[i + n] = node[n];
	  }
	
	  return buf ? buf : unparse(b);
	}
	
	// **`v4()` - Generate random UUID**
	
	// See https://github.com/broofa/node-uuid for API details
	function v4(options, buf, offset) {
	  // Deprecated - 'format' argument, as supported in v1.2
	  var i = buf && offset || 0;
	
	  if (typeof(options) == 'string') {
	    buf = options == 'binary' ? new Array(16) : null;
	    options = null;
	  }
	  options = options || {};
	
	  var rnds = options.random || (options.rng || _rng)();
	
	  // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`
	  rnds[6] = (rnds[6] & 0x0f) | 0x40;
	  rnds[8] = (rnds[8] & 0x3f) | 0x80;
	
	  // Copy bytes to buffer, if provided
	  if (buf) {
	    for (var ii = 0; ii < 16; ii++) {
	      buf[i + ii] = rnds[ii];
	    }
	  }
	
	  return buf || unparse(rnds);
	}
	
	// Export public API
	var uuid = v4;
	uuid.v1 = v1;
	uuid.v4 = v4;
	uuid.parse = parse;
	uuid.unparse = unparse;
	
	module.exports = uuid;


/***/ },
/* 112 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {
	var rng;
	
	if (global.crypto && crypto.getRandomValues) {
	  // WHATWG crypto-based RNG - http://wiki.whatwg.org/wiki/Crypto
	  // Moderately fast, high quality
	  var _rnds8 = new Uint8Array(16);
	  rng = function whatwgRNG() {
	    crypto.getRandomValues(_rnds8);
	    return _rnds8;
	  };
	}
	
	if (!rng) {
	  // Math.random()-based (RNG)
	  //
	  // If all else fails, use Math.random().  It's fast, but is of unspecified
	  // quality.
	  var  _rnds = new Array(16);
	  rng = function() {
	    for (var i = 0, r; i < 16; i++) {
	      if ((i & 0x03) === 0) r = Math.random() * 0x100000000;
	      _rnds[i] = r >>> ((i & 0x03) << 3) & 0xff;
	    }
	
	    return _rnds;
	  };
	}
	
	module.exports = rng;
	
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 113 */
/***/ function(module, exports) {

	/*!
	 * jwk/constants.js - Constants for JWKs
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	module.exports = {
	  MODE_SIGN: "sign",
	  MODE_VERIFY: "verify",
	  MODE_ENCRYPT: "encrypt",
	  MODE_DECRYPT: "decrypt",
	  MODE_WRAP: "wrap",
	  MODE_UNWRAP: "unwrap"
	};


/***/ },
/* 114 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/helpers.js - JWK Internal Helper Functions and Constants
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    util = __webpack_require__(70),
	    forge = __webpack_require__(30);
	
	var ALGORITHMS = __webpack_require__(24);
	
	// ### ASN.1 Validators
	// Adapted from digitalbazaar/node-forge/js/asn1.js
	// PrivateKeyInfo
	var privateKeyValidator = {
	  name: "PrivateKeyInfo",
	  tagClass: forge.asn1.Class.UNIVERSAL,
	  type: forge.asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [
	    {
	      // Version (INTEGER)
	      name: "PrivateKeyInfo.version",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.INTEGER,
	      constructed: false,
	      capture: "keyVersion"
	    },
	    {
	      name: "PrivateKeyInfo.privateKeyAlgorithm",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.SEQUENCE,
	      constructed: true,
	      value: [
	        {
	          name: "AlgorithmIdentifier.algorithm",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.OID,
	          constructed: false,
	          capture: "keyOid"
	        },
	        {
	          name: "AlgorithmIdentifier.parameters",
	          captureAsn1: "keyParams"
	        }
	      ]
	    },
	    {
	      name: "PrivateKeyInfo",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.OCTETSTRING,
	      constructed: false,
	      capture: "keyValue"
	    }
	  ]
	};
	// Adapted from digitalbazaar/node-forge/x509.js
	var publicKeyValidator = {
	  name: "SubjectPublicKeyInfo",
	  tagClass: forge.asn1.Class.UNIVERSAL,
	  type: forge.asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [
	    {
	      name: "SubjectPublicKeyInfo.AlgorithmIdentifier",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.SEQUENCE,
	      constructed: true,
	      value: [
	        {
	          name: "AlgorithmIdentifier.algorithm",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.OID,
	          constructed: false,
	          capture: "keyOid"
	        },
	        {
	          name: "AlgorithmIdentifier.parameters",
	          captureAsn1: "keyParams"
	        }
	      ]
	    },
	    {
	      name: "SubjectPublicKeyInfo.subjectPublicKey",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.BITSTRING,
	      constructed: false,
	      capture: "keyValue"
	    }
	  ]
	};
	// Adapted from digitalbazaar/node-forge/x509.js
	var X509CertificateValidator = {
	  name: "Certificate",
	  tagClass: forge.asn1.Class.UNIVERSAL,
	  type: forge.asn1.Type.SEQUENCE,
	  constructed: true,
	  value: [
	    {
	      name: "Certificate.TBSCertificate",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.SEQUENCE,
	      constructed: true,
	      captureAsn1: "certificate",
	      value: [
	        {
	          name: "Certificate.TBSCertificate.version",
	          tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	          type: 0,
	          constructed: true,
	          optional: true,
	          value: [
	            {
	              name: "Certificate.TBSCertificate.version.integer",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.INTEGER,
	              constructed: false,
	              capture: "certVersion"
	            }
	          ]
	        },
	        {
	          name: "Certificate.TBSCertificate.serialNumber",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.INTEGER,
	          constructed: false,
	          capture: "certSerialNumber"
	        },
	        {
	          name: "Certificate.TBSCertificate.signature",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.SEQUENCE,
	          constructed: true,
	          value: [
	            {
	              name: "Certificate.TBSCertificate.signature.algorithm",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.OID,
	              constructed: false,
	              capture: "certSignatureOid"
	            }, {
	              name: "Certificate.TBSCertificate.signature.parameters",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              optional: true,
	              captureAsn1: "certSignatureParams"
	            }
	          ]
	        },
	        {
	          name: "Certificate.TBSCertificate.issuer",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.SEQUENCE,
	          constructed: true,
	          captureAsn1: "certIssuer"
	        },
	        {
	          name: "Certificate.TBSCertificate.validity",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.SEQUENCE,
	          constructed: true,
	          // Note: UTC and generalized times may both appear so the capture
	          // names are based on their detected order, the names used below
	          // are only for the common case, which validity time really means
	          // "notBefore" and which means "notAfter" will be determined by order
	          value: [
	            {
	              // notBefore (Time) (UTC time case)
	              name: "Certificate.TBSCertificate.validity.notBefore (utc)",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.UTCTIME,
	              constructed: false,
	              optional: true,
	              capture: "certValidity1UTCTime"
	            },
	            {
	              // notBefore (Time) (generalized time case)
	              name: "Certificate.TBSCertificate.validity.notBefore (generalized)",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.GENERALIZEDTIME,
	              constructed: false,
	              optional: true,
	              capture: "certValidity2GeneralizedTime"
	            },
	            {
	              // notAfter (Time) (only UTC time is supported)
	              name: "Certificate.TBSCertificate.validity.notAfter (utc)",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.UTCTIME,
	              constructed: false,
	              optional: true,
	              capture: "certValidity3UTCTime"
	            },
	            {
	              // notAfter (Time) (only UTC time is supported)
	              name: "Certificate.TBSCertificate.validity.notAfter (generalized)",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.GENERALIZEDTIME,
	              constructed: false,
	              optional: true,
	              capture: "certValidity4GeneralizedTime"
	            }
	          ]
	        }, {
	          // Name (subject) (RDNSequence)
	          name: "Certificate.TBSCertificate.subject",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.SEQUENCE,
	          constructed: true,
	          captureAsn1: "certSubject"
	        },
	        // SubjectPublicKeyInfo
	        publicKeyValidator,
	        {
	          // issuerUniqueID (optional)
	          name: "Certificate.TBSCertificate.issuerUniqueID",
	          tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	          type: 1,
	          constructed: true,
	          optional: true,
	          value: [
	            {
	              name: "Certificate.TBSCertificate.issuerUniqueID.id",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.BITSTRING,
	              constructed: false,
	              capture: "certIssuerUniqueId"
	            }
	          ]
	        },
	        {
	          // subjectUniqueID (optional)
	          name: "Certificate.TBSCertificate.subjectUniqueID",
	          tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	          type: 2,
	          constructed: true,
	          optional: true,
	          value: [
	            {
	              name: "Certificate.TBSCertificate.subjectUniqueID.id",
	              tagClass: forge.asn1.Class.UNIVERSAL,
	              type: forge.asn1.Type.BITSTRING,
	              constructed: false,
	              capture: "certSubjectUniqueId"
	            }
	          ]
	        },
	        {
	          // Extensions (optional)
	          name: "Certificate.TBSCertificate.extensions",
	          tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	          type: 3,
	          constructed: true,
	          captureAsn1: "certExtensions",
	          optional: true
	        }
	      ]
	    },
	    {
	      // AlgorithmIdentifier (signature algorithm)
	      name: "Certificate.signatureAlgorithm",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.SEQUENCE,
	      constructed: true,
	      value: [
	        {
	          // algorithm
	          name: "Certificate.signatureAlgorithm.algorithm",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          type: forge.asn1.Type.OID,
	          constructed: false,
	          capture: "certSignatureOid"
	        },
	        {
	          name: "Certificate.TBSCertificate.signature.parameters",
	          tagClass: forge.asn1.Class.UNIVERSAL,
	          optional: true,
	          captureAsn1: "certSignatureParams"
	        }
	      ]
	    },
	    {
	      // SignatureValue
	      name: "Certificate.signatureValue",
	      tagClass: forge.asn1.Class.UNIVERSAL,
	      type: forge.asn1.Type.BITSTRING,
	      constructed: false,
	      capture: "certSignature"
	    }
	  ]
	};
	
	var INTERNALS = {
	  THUMBPRINT_KEY: "internal\u0000thumbprint",
	  THUMBPRINT_HASH: "SHA-256"
	};
	
	module.exports = {
	  validators: {
	    privateKey: privateKeyValidator,
	    publicKey: publicKeyValidator,
	    certificate: X509CertificateValidator
	  },
	
	  thumbprint: function(cfg, json, hash) {
	    if ("function" !== typeof cfg.thumbprint) {
	      return Promise.reject(new Error("thumbprint not supported"));
	    }
	
	    hash = (hash || INTERNALS.THUMBPRINT_HASH).toUpperCase();
	    var fields = cfg.thumbprint(json);
	    var input = Object.keys(fields).
	                sort().
	                map(function(k) {
	      var v = fields[k];
	      if (Buffer.isBuffer(v)) {
	        v = util.base64url.encode(v);
	      }
	      return JSON.stringify(k) + ":" + JSON.stringify(v);
	    });
	    input = "{" + input.join(",") + "}";
	    try {
	      return ALGORITHMS.digest(hash, new Buffer(input, "utf8"));
	    } catch (err) {
	      return Promise.reject(err);
	    }
	  },
	  unpackProps: function(props, allowed) {
	    var output;
	
	    // apply all of the existing values
	    allowed.forEach(function(cfg) {
	      if (!(cfg.name in props)) {
	        return;
	      }
	      output = output || {};
	      var value = props[cfg.name];
	      switch (cfg.type) {
	        case "binary":
	          if (Buffer.isBuffer(value)) {
	            value = value;
	            props[cfg.name] = util.base64url.encode(value);
	          } else {
	            value = util.base64url.decode(value);
	          }
	          break;
	        case "string":
	        case "number":
	        case "boolean":
	          value = value;
	          break;
	        case "array":
	          value = [].concat(value);
	          break;
	        case "object":
	          value = clone(value);
	          break;
	        default:
	          // TODO: deep clone?
	          value = value;
	          break;
	      }
	      output[cfg.name] = value;
	    });
	
	    // remove any from json that didn't apply
	    var check = output || {};
	    Object.keys(props).
	           forEach(function(n) {
	              if (n in check) { return; }
	              delete props[n];
	           });
	
	    return output;
	  },
	  COMMON_PROPS: [
	    {name: "kty", type: "string"},
	    {name: "kid", type: "string"},
	    {name: "use", type: "string"},
	    {name: "alg", type: "string"},
	    {name: "x5c", type: "array"},
	    {name: "x5t", type: "binary"},
	    {name: "x5u", type: "string"},
	    {name: "key_ops", type: "array"}
	  ],
	  INTERNALS: INTERNALS
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 115 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/octkey.js - Symmetric Octet Key Representation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var util = __webpack_require__(70);
	
	var JWK = {
	  BaseKey: __webpack_require__(107),
	  helpers: __webpack_require__(114)
	};
	
	var SIG_ALGS = [
	  "HS256",
	  "HS384",
	  "HS512"
	];
	var ENC_ALGS = [
	  "A128GCM",
	  "A192GCM",
	  "A256GCM",
	  "A128CBC-HS256",
	  "A192CBC-HS384",
	  "A256CBC-HS512",
	  "A128CBC+HS256",
	  "A192CBC+HS384",
	  "A256CBC+HS512"
	];
	var WRAP_ALGS = [
	  "A128KW",
	  "A192KW",
	  "A256KW",
	  "A128GCMKW",
	  "A192GCMKW",
	  "A256GCMKW",
	  "PBES2-HS256+A128KW",
	  "PBES2-HS384+A192KW",
	  "PBES2-HS512+A256KW",
	  "dir"
	];
	
	function adjustDecryptProps(alg, props) {
	  if ("iv" in props) {
	    props.iv = Buffer.isBuffer(props.iv) ?
	               props.iv :
	               util.base64url.decode(props.iv || "");
	  }
	  if ("adata" in props) {
	    props.adata = Buffer.isBuffer(props.adata) ?
	                  props.adata :
	                  new Buffer(props.adata || "", "utf8");
	  }
	  if ("mac" in props) {
	    props.mac = Buffer.isBuffer(props.mac) ?
	                props.mac :
	                util.base64url.decode(props.mac || "");
	  }
	  if ("tag" in props) {
	    props.tag = Buffer.isBuffer(props.tag) ?
	                props.tag :
	                util.base64url.decode(props.tag || "");
	  }
	
	  return props;
	}
	function adjustEncryptProps(alg, props) {
	  if ("iv" in props) {
	    props.iv = Buffer.isBuffer(props.iv) ?
	               props.iv :
	               util.base64url.decode(props.iv || "");
	  }
	  if ("adata" in props) {
	    props.adata = Buffer.isBuffer(props.adata) ?
	                  props.adata :
	                  new Buffer(props.adata || "", "utf8");
	  }
	
	  return props;
	}
	
	var JWKOctetCfg = {
	  publicKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	    ]);
	
	    var pk;
	    pk = JWK.helpers.unpackProps(props, fields);
	
	    return pk;
	  },
	  privateKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	      {name: "k", type: "binary"}
	    ]);
	
	    var pk;
	    pk = JWK.helpers.unpackProps(props, fields);
	    if (pk && pk.k) {
	      pk.length = pk.k.length * 8;
	    } else {
	      pk = undefined;
	    }
	
	    return pk;
	  },
	
	  thumbprint: function(json) {
	    if (json.private) {
	      json = json.private;
	    }
	    var fields;
	    fields = {
	      k: json.k || "",
	      kty: "oct"
	    };
	    return fields;
	  },
	  algorithms: function(keys, mode) {
	    var len = keys.private && (keys.private.k.length * 8);
	    var mins = [256, 384, 512];
	
	    if (!len) {
	      return [];
	    }
	    switch (mode) {
	      case "encrypt":
	      case "decrypt":
	        return ENC_ALGS.filter(function(a) {
	          return (a === ("A" + (len / 2) + "CBC-HS" + len)) ||
	                 (a === ("A" + (len / 2) + "CBC+HS" + len)) ||
	                 (a === ("A" + len + "GCM"));
	        });
	      case "sign":
	      case "verify":
	        // TODO: allow for HS{less-than-keysize}
	        return SIG_ALGS.filter(function(a) {
	          var result = false;
	          mins.forEach(function(m) {
	            if (m > len) { return; }
	            result = result | (a === ("HS" + m));
	          });
	          return result;
	        });
	      case "wrap":
	      case "unwrap":
	        return WRAP_ALGS.filter(function(a) {
	          return (a === ("A" + len + "KW")) ||
	                 (a === ("A" + len + "GCMKW")) ||
	                 (a.indexOf("PBES2-") === 0) ||
	                 (a === "dir");
	        });
	    }
	
	    return [];
	  },
	  encryptKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  },
	  encryptProps: adjustEncryptProps,
	
	  decryptKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  },
	  decryptProps: adjustDecryptProps,
	
	  wrapKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  },
	  wrapProps: adjustEncryptProps,
	
	  unwrapKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  },
	  unwrapProps: adjustDecryptProps,
	
	  signKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  },
	  verifyKey: function(alg, keys) {
	    return keys.private && keys.private.k;
	  }
	};
	
	// Factory
	var JWKOctetFactory = {
	  kty: "oct",
	  prepare: function(props) {
	    // TODO: validate key properties
	    var cfg = JWKOctetCfg;
	    var p = Promise.resolve(props);
	    p = p.then(function(json) {
	      return JWK.helpers.thumbprint(cfg, json);
	    });
	    p = p.then(function(hash) {
	      var prints = {};
	      prints[JWK.helpers.INTERNALS.THUMBPRINT_HASH] = hash;
	      props[JWK.helpers.INTERNALS.THUMBPRINT_KEY] = prints;
	      return cfg;
	    });
	    return p;
	  },
	  generate: function(size) {
	    // TODO: validate key sizes
	    var key = util.randomBytes(size / 8);
	
	    return Promise.resolve({
	      k: key
	    });
	  }
	};
	
	// public API
	module.exports = Object.freeze({
	  config: JWKOctetCfg,
	  factory: JWKOctetFactory
	});
	
	// registration
	(function(REGISTRY) {
	  REGISTRY.register(JWKOctetFactory);
	})(__webpack_require__(106).registry);
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 116 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/rsa.js - RSA Key Representation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var forge = __webpack_require__(30),
	    rsau = __webpack_require__(99);
	
	var JWK = {
	  BaseKey: __webpack_require__(107),
	  helpers: __webpack_require__(114)
	};
	
	var SIG_ALGS = [
	  "RS256",
	  "RS384",
	  "RS512",
	  "PS256",
	  "PS384",
	  "PS512"
	];
	var WRAP_ALGS = [
	  "RSA-OAEP",
	  "RSA-OAEP-256",
	  "RSA1_5"
	];
	
	var JWKRsaCfg = {
	  publicKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	      {name: "n", type: "binary"},
	      {name: "e", type: "binary"}
	    ]);
	    var pk;
	    pk = JWK.helpers.unpackProps(props, fields);
	    if (pk && pk.n && pk.e) {
	      pk.length = pk.n.length * 8;
	    } else {
	      delete pk.e;
	      delete pk.n;
	    }
	
	    return pk;
	  },
	  privateKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	      {name: "n", type: "binary"},
	      {name: "e", type: "binary"},
	      {name: "d", type: "binary"},
	      {name: "p", type: "binary"},
	      {name: "q", type: "binary"},
	      {name: "dp", type: "binary"},
	      {name: "dq", type: "binary"},
	      {name: "qi", type: "binary"}
	    ]);
	
	    var pk;
	    pk = JWK.helpers.unpackProps(props, fields);
	    if (pk && pk.d && pk.n && pk.e && pk.p && pk.q && pk.dp && pk.dq && pk.qi) {
	      pk.length = pk.d.length * 8;
	    } else {
	      pk = undefined;
	    }
	
	    return pk;
	  },
	  thumbprint: function(json) {
	    if (json.public) {
	      json = json.public;
	    }
	    var fields = {
	      e: json.e,
	      kty: "RSA",
	      n: json.n
	    };
	    return fields;
	  },
	  algorithms: function(keys, mode) {
	    switch (mode) {
	    case "encrypt":
	    case "decrypt":
	      return [];
	    case "wrap":
	      return (keys.public && WRAP_ALGS.slice()) || [];
	    case "unwrap":
	      return (keys.private && WRAP_ALGS.slice()) || [];
	    case "sign":
	      return (keys.private && SIG_ALGS.slice()) || [];
	    case "verify":
	      return (keys.public && SIG_ALGS.slice()) || [];
	    }
	
	    return [];
	  },
	
	  wrapKey: function(alg, keys) {
	    return keys.public;
	  },
	  unwrapKey: function(alg, keys) {
	    return keys.private;
	  },
	
	  signKey: function(alg, keys) {
	    return keys.private;
	  },
	  verifyKey: function(alg, keys) {
	    return keys.public;
	  },
	
	  convertToPEM: function(key, isPrivate) {
	    var k = rsau.convertToForge(key, !isPrivate);
	    if (!isPrivate) {
	      return forge.pki.publicKeyToPem(k);
	    }
	    return forge.pki.privateKeyToPem(k);
	  }
	};
	
	function convertBNtoBuffer(bn) {
	  bn = bn.toString(16);
	  if (bn.length % 2) {
	    bn = "0" + bn;
	  }
	  return new Buffer(bn, "hex");
	}
	
	// Adapted from digitalbaazar/node-forge/js/rsa.js
	var validators = {
	  oid: "1.2.840.113549.1.1.1",
	  privateKey: {
	    name: "RSAPrivateKey",
	    tagClass: forge.asn1.Class.UNIVERSAL,
	    type: forge.asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [
	      {
	        // Version (INTEGER)
	        name: "RSAPrivateKey.version",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "version"
	      },
	      {
	        // modulus (n)
	        name: "RSAPrivateKey.modulus",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "n"
	      },
	      {
	        // publicExponent (e)
	        name: "RSAPrivateKey.publicExponent",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "e"
	      },
	      {
	        // privateExponent (d)
	        name: "RSAPrivateKey.privateExponent",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "d"
	      },
	      {
	        // prime1 (p)
	        name: "RSAPrivateKey.prime1",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "p"
	      },
	      {
	        // prime2 (q)
	        name: "RSAPrivateKey.prime2",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "q"
	      },
	      {
	        // exponent1 (d mod (p-1))
	        name: "RSAPrivateKey.exponent1",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "dp"
	      },
	      {
	        // exponent2 (d mod (q-1))
	        name: "RSAPrivateKey.exponent2",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "dq"
	      },
	      {
	        // coefficient ((inverse of q) mod p)
	        name: "RSAPrivateKey.coefficient",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "qi"
	      }
	    ]
	  },
	  publicKey: {
	    // RSAPublicKey
	    name: "RSAPublicKey",
	    tagClass: forge.asn1.Class.UNIVERSAL,
	    type: forge.asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [
	      {
	        // modulus (n)
	        name: "RSAPublicKey.modulus",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "n"
	      },
	      {
	        // publicExponent (e)
	        name: "RSAPublicKey.exponent",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false,
	        capture: "e"
	      }
	    ]
	  }
	};
	
	// Factory
	var JWKRsaFactory = {
	  kty: "RSA",
	  validators: validators,
	  prepare: function(props) {
	    // TODO: validate key properties
	    var cfg = JWKRsaCfg;
	    var p = Promise.resolve(props);
	    p = p.then(function(json) {
	      return JWK.helpers.thumbprint(cfg, json);
	    });
	    p = p.then(function(hash) {
	      var prints = {};
	      prints[JWK.helpers.INTERNALS.THUMBPRINT_HASH] = hash;
	      props[JWK.helpers.INTERNALS.THUMBPRINT_KEY] = prints;
	      return cfg;
	    });
	    return p;
	  },
	  generate: function(size) {
	    // TODO: validate key sizes
	    var key = forge.pki.rsa.generateKeyPair({
	      bits: size,
	      e: 0x010001
	    });
	    key = key.privateKey;
	
	    // convert to JSON-ish
	    var result = {};
	    [
	      "e",
	      "n",
	      "d",
	      "p",
	      "q",
	      {incoming: "dP", outgoing: "dp"},
	      {incoming: "dQ", outgoing: "dq"},
	      {incoming: "qInv", outgoing: "qi"}
	    ].forEach(function(f) {
	      var incoming,
	          outgoing;
	
	      if ("string" === typeof f) {
	        incoming = outgoing = f;
	      } else {
	        incoming = f.incoming;
	        outgoing = f.outgoing;
	      }
	
	      if (incoming in key) {
	        result[outgoing] = convertBNtoBuffer(key[incoming]);
	      }
	    });
	
	    return Promise.resolve(result);
	  },
	  import: function(input) {
	    if (validators.oid !== input.keyOid) {
	      return null;
	    }
	
	    if (!input.parsed) {
	      // coerce capture.keyValue to DER
	      if ("string" === typeof input.keyValue) {
	        input.keyValue = forge.asn1.fromDer(input.keyValue);
	      } else if (Array.isArray(input.keyValue)) {
	        input.keyValue = input.keyValue[0];
	      }
	      // capture key factors
	      var validator = ("private" === input.type) ?
	                      validators.privateKey :
	                      validators.publicKey;
	      var capture = {},
	          errors = [];
	      if (!forge.asn1.validate(input.keyValue, validator, capture, errors)) {
	        return null;
	      }
	      input = capture;
	    }
	
	    // convert factors to Buffers
	    var output = {
	      kty: "RSA"
	    };
	    ["n", "e", "d", "p", "q", "dp", "dq", "qi"].forEach(function(f) {
	      if (!(f in input)) {
	        return;
	      }
	      var b = new Buffer(input[f], "binary");
	      // remove leading zero padding if any
	      if (0 === b[0]) {
	        b = b.slice(1);
	      }
	      output[f] = b;
	    });
	    return output;
	  }
	};
	
	// public API
	module.exports = Object.freeze({
	  config: JWKRsaCfg,
	  factory: JWKRsaFactory
	});
	
	// registration
	(function(REGISTRY) {
	  REGISTRY.register(JWKRsaFactory);
	})(__webpack_require__(106).registry);
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 117 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwk/rsa.js - RSA Key Representation
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var ecutil = __webpack_require__(90),
	    forge = __webpack_require__(30),
	    depsecc = __webpack_require__(91);
	
	var JWK = {
	  BaseKey: __webpack_require__(107),
	  helpers: __webpack_require__(114)
	};
	
	var SIG_ALGS = [
	  "ES256",
	  "ES384",
	  "ES512"
	];
	var WRAP_ALGS = [
	  "ECDH-ES",
	  "ECDH-ES+A128KW",
	  "ECDH-ES+A192KW",
	  "ECDH-ES+A256KW"
	];
	
	var EC_OID = "1.2.840.10045.2.1";
	function oidToCurveName(oid) {
	  switch (oid) {
	    case "1.2.840.10045.3.1.7":
	      return "P-256";
	    case "1.3.132.0.34":
	      return "P-384";
	    case "1.3.132.0.35":
	      return "P-521";
	    default:
	      return null;
	  }
	}
	function curveNameToOid(crv) {
	  switch (crv) {
	    case "P-256":
	      return "1.2.840.10045.3.1.7";
	    case "P-384":
	      return "1.3.132.0.34";
	    case "P-521":
	      return "1.3.132.0.35";
	    default:
	      return null;
	  }
	}
	
	var JWKEcCfg = {
	  publicKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	      {name: "crv", type: "string"},
	      {name: "x", type: "binary"},
	      {name: "y", type: "binary"}
	    ]);
	    var pk = JWK.helpers.unpackProps(props, fields);
	    if (pk && pk.crv && pk.x && pk.y) {
	      pk.length = ecutil.curveSize(pk.crv);
	    } else {
	      delete pk.crv;
	      delete pk.x;
	      delete pk.y;
	    }
	
	    return pk;
	  },
	  privateKey: function(props) {
	    var fields = JWK.helpers.COMMON_PROPS.concat([
	      {name: "crv", type: "string"},
	      {name: "x", type: "binary"},
	      {name: "y", type: "binary"},
	      {name: "d", type: "binary"}
	    ]);
	    var pk = JWK.helpers.unpackProps(props, fields);
	    if (pk && pk.crv && pk.x && pk.y && pk.d) {
	      pk.length = ecutil.curveSize(pk.crv);
	    } else {
	      pk = undefined;
	    }
	
	    return pk;
	  },
	  thumbprint: function(json) {
	    if (json.public) {
	      json = json.public;
	    }
	    var fields = {
	      crv: json.crv,
	      kty: "EC",
	      x: json.x,
	      y: json.y
	    };
	    return fields;
	  },
	  algorithms: function(keys, mode) {
	    var len = (keys.public && keys.public.length) ||
	              (keys.private && keys.private.length) ||
	              0;
	    // NOTE: 521 is the actual, but 512 is the expected
	    if (len === 521) {
	        len = 512;
	    }
	
	    switch (mode) {
	      case "encrypt":
	      case "decrypt":
	        return [];
	      case "wrap":
	        return (keys.public && WRAP_ALGS) || [];
	      case "unwrap":
	        return (keys.private && WRAP_ALGS) || [];
	      case "sign":
	        if (!keys.private) {
	          return [];
	        }
	        return SIG_ALGS.filter(function(a) {
	          return (a === ("ES" + len));
	        });
	      case "verify":
	        if (!keys.public) {
	          return [];
	        }
	        return SIG_ALGS.filter(function(a) {
	          return (a === ("ES" + len));
	        });
	    }
	  },
	
	  encryptKey: function(alg, keys) {
	    return keys.public;
	  },
	  decryptKey: function(alg, keys) {
	    return keys.private;
	  },
	
	  wrapKey: function(alg, keys) {
	    return keys.public;
	  },
	  unwrapKey: function(alg, keys) {
	    return keys.private;
	  },
	
	  signKey: function(alg, keys) {
	    return keys.private;
	  },
	  verifyKey: function(alg, keys) {
	    return keys.public;
	  },
	
	  convertToPEM: function(key, isPrivate) {
	    // curveName to OID
	    var oid = key.crv;
	    oid = curveNameToOid(oid);
	    oid = forge.asn1.oidToDer(oid);
	    // key as bytes
	    var type,
	        pub,
	        asn1;
	    if (isPrivate) {
	      type = "EC PRIVATE KEY";
	      pub = Buffer.concat([
	        new Buffer([0x00, 0x04]),
	        key.x,
	        key.y
	      ]).toString("binary");
	      key = key.d.toString("binary");
	      asn1 = forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.SEQUENCE, true, [
	        forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.INTEGER, false, "\u0001"),
	        forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.OCTETSTRING, false, key),
	        forge.asn1.create(forge.asn1.Class.CONTEXT_SPECIFIC, 0, true, [
	          forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.OID, false, oid.bytes())
	        ]),
	        forge.asn1.create(forge.asn1.Class.CONTEXT_SPECIFIC, 1, true, [
	          forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.BITSTRING, false, pub)
	        ])
	      ]);
	    } else {
	      type = "PUBLIC KEY";
	      key = Buffer.concat([
	        new Buffer([0x00, 0x04]),
	        key.x,
	        key.y
	      ]).toString("binary");
	      asn1 = forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.SEQUENCE, true, [
	        forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.SEQUENCE, true, [
	          forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.OID, false, forge.asn1.oidToDer(EC_OID).bytes()),
	          forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.OID, false, oid.bytes())
	        ]),
	        forge.asn1.create(forge.asn1.Class.UNIVERSAL, forge.asn1.Type.BITSTRING, false, key)
	      ]);
	    }
	    asn1 = forge.asn1.toDer(asn1).bytes();
	    var pem = forge.pem.encode({
	      type: type,
	      body: asn1
	    });
	    return pem;
	  }
	};
	
	// Inspired by digitalbaazar/node-forge/js/rsa.js
	var validators = {
	  oid: EC_OID,
	  privateKey: {
	    // ECPrivateKey
	    name: "ECPrivateKey",
	    tagClass: forge.asn1.Class.UNIVERSAL,
	    type: forge.asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [
	      {
	        // EC version
	        name: "ECPrivateKey.version",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false
	      },
	      {
	        // private value (d)
	        name: "ECPrivateKey.private",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.OCTETSTRING,
	        constructed: false,
	        capture: "d"
	      },
	      {
	        // EC parameters
	        tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	        name: "ECPrivateKey.parameters",
	        constructed: true,
	        value: [
	          {
	            // namedCurve (crv)
	            name: "ECPrivateKey.namedCurve",
	            tagClass: forge.asn1.Class.UNIVERSAL,
	            type: forge.asn1.Type.OID,
	            constructed: false,
	            capture: "crv"
	          }
	        ]
	      },
	      {
	        // publicKey
	        name: "ECPrivateKey.publicKey",
	        tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	        constructed: true,
	        value: [
	          {
	            name: "ECPrivateKey.point",
	            tagClass: forge.asn1.Class.UNIVERSAL,
	            type: forge.asn1.Type.BITSTRING,
	            constructed: false,
	            capture: "point"
	          }
	        ]
	      }
	    ]
	  },
	  embeddedPrivateKey: {
	    // ECPrivateKey
	    name: "ECPrivateKey",
	    tagClass: forge.asn1.Class.UNIVERSAL,
	    type: forge.asn1.Type.SEQUENCE,
	    constructed: true,
	    value: [
	      {
	        // EC version
	        name: "ECPrivateKey.version",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.INTEGER,
	        constructed: false
	      },
	      {
	        // private value (d)
	        name: "ECPrivateKey.private",
	        tagClass: forge.asn1.Class.UNIVERSAL,
	        type: forge.asn1.Type.OCTETSTRING,
	        constructed: false,
	        capture: "d"
	      },
	      {
	        // publicKey
	        name: "ECPrivateKey.publicKey",
	        tagClass: forge.asn1.Class.CONTEXT_SPECIFIC,
	        constructed: true,
	        value: [
	          {
	            name: "ECPrivateKey.point",
	            tagClass: forge.asn1.Class.UNIVERSAL,
	            type: forge.asn1.Type.BITSTRING,
	            constructed: false,
	            capture: "point"
	          }
	        ]
	      }
	    ]
	  }
	};
	
	var JWKEcFactory = {
	  kty: "EC",
	  validators: validators,
	  prepare: function(props) {
	    // TODO: validate key properties
	    var cfg = JWKEcCfg;
	    var p = Promise.resolve(props);
	    p = p.then(function(json) {
	      return JWK.helpers.thumbprint(cfg, json);
	    });
	    p = p.then(function(hash) {
	      var prints = {};
	      prints[JWK.helpers.INTERNALS.THUMBPRINT_HASH] = hash;
	      props[JWK.helpers.INTERNALS.THUMBPRINT_KEY] = prints;
	      return cfg;
	    });
	    return p;
	  },
	  generate: function(size) {
	    var keypair = depsecc.generateKeyPair(size);
	    var result = {
	      "crv": size,
	      "x": keypair.public.x,
	      "y": keypair.public.y,
	      "d": keypair.private.d
	    };
	    return Promise.resolve(result);
	  },
	  import: function(input) {
	    if (validators.oid !== input.keyOid) {
	      return null;
	    }
	
	    // coerce key params to OID
	    var crv;
	    if (input.keyParams && forge.asn1.Type.OID === input.keyParams.type) {
	      crv = forge.asn1.derToOid(input.keyParams.value);
	      crv = oidToCurveName(crv);
	    } else if (input.crv) {
	      crv = forge.asn1.derToOid(input.crv);
	      crv = oidToCurveName(crv);
	    }
	    if (!crv) {
	      return null;
	    }
	
	    if (!input.parsed) {
	      var capture = {},
	          errors = [];
	      if ("private" === input.type) {
	        // coerce capture.value to DER *iff* private
	        if ("string" === typeof input.keyValue) {
	          input.keyValue = forge.asn1.fromDer(input.keyValue);
	        } else if (Array.isArray(input.keyValue)) {
	          input.keyValue = input.keyValue[0];
	        }
	
	        if (!forge.asn1.validate(input.keyValue,
	                                 validators.embeddedPrivateKey,
	                                 capture,
	                                 errors)) {
	          return null;
	        }
	      } else {
	        capture.point = input.keyValue;
	      }
	      input = capture;
	    }
	
	    // convert factors to Buffers
	    var output = {
	      kty: "EC",
	      crv: crv
	    };
	    if (input.d) {
	      output.d = new Buffer(input.d, "binary");
	    }
	    if (input.point) {
	      var pt = new Buffer(input.point, "binary");
	      // only support uncompressed
	      if (4 !== pt.readUInt16BE(0)) {
	        return null;
	      }
	      pt = pt.slice(2);
	      var len = pt.length / 2;
	      output.x = pt.slice(0, len);
	      output.y = pt.slice(len);
	    }
	    return output;
	  }
	};
	// public API
	module.exports = Object.freeze({
	  config: JWKEcCfg,
	  factory: JWKEcFactory
	});
	
	// registration
	(function(REGISTRY) {
	  REGISTRY.register(JWKEcFactory);
	})(__webpack_require__(106).registry);
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 118 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer, process) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	var Transform = __webpack_require__(119);
	
	var binding = __webpack_require__(136);
	var util = __webpack_require__(148);
	var assert = __webpack_require__(150).ok;
	
	// zlib doesn't provide these, so kludge them in following the same
	// const naming scheme zlib uses.
	binding.Z_MIN_WINDOWBITS = 8;
	binding.Z_MAX_WINDOWBITS = 15;
	binding.Z_DEFAULT_WINDOWBITS = 15;
	
	// fewer than 64 bytes per chunk is stupid.
	// technically it could work with as few as 8, but even 64 bytes
	// is absurdly low.  Usually a MB or more is best.
	binding.Z_MIN_CHUNK = 64;
	binding.Z_MAX_CHUNK = Infinity;
	binding.Z_DEFAULT_CHUNK = (16 * 1024);
	
	binding.Z_MIN_MEMLEVEL = 1;
	binding.Z_MAX_MEMLEVEL = 9;
	binding.Z_DEFAULT_MEMLEVEL = 8;
	
	binding.Z_MIN_LEVEL = -1;
	binding.Z_MAX_LEVEL = 9;
	binding.Z_DEFAULT_LEVEL = binding.Z_DEFAULT_COMPRESSION;
	
	// expose all the zlib constants
	Object.keys(binding).forEach(function(k) {
	  if (k.match(/^Z/)) exports[k] = binding[k];
	});
	
	// translation table for return codes.
	exports.codes = {
	  Z_OK: binding.Z_OK,
	  Z_STREAM_END: binding.Z_STREAM_END,
	  Z_NEED_DICT: binding.Z_NEED_DICT,
	  Z_ERRNO: binding.Z_ERRNO,
	  Z_STREAM_ERROR: binding.Z_STREAM_ERROR,
	  Z_DATA_ERROR: binding.Z_DATA_ERROR,
	  Z_MEM_ERROR: binding.Z_MEM_ERROR,
	  Z_BUF_ERROR: binding.Z_BUF_ERROR,
	  Z_VERSION_ERROR: binding.Z_VERSION_ERROR
	};
	
	Object.keys(exports.codes).forEach(function(k) {
	  exports.codes[exports.codes[k]] = k;
	});
	
	exports.Deflate = Deflate;
	exports.Inflate = Inflate;
	exports.Gzip = Gzip;
	exports.Gunzip = Gunzip;
	exports.DeflateRaw = DeflateRaw;
	exports.InflateRaw = InflateRaw;
	exports.Unzip = Unzip;
	
	exports.createDeflate = function(o) {
	  return new Deflate(o);
	};
	
	exports.createInflate = function(o) {
	  return new Inflate(o);
	};
	
	exports.createDeflateRaw = function(o) {
	  return new DeflateRaw(o);
	};
	
	exports.createInflateRaw = function(o) {
	  return new InflateRaw(o);
	};
	
	exports.createGzip = function(o) {
	  return new Gzip(o);
	};
	
	exports.createGunzip = function(o) {
	  return new Gunzip(o);
	};
	
	exports.createUnzip = function(o) {
	  return new Unzip(o);
	};
	
	
	// Convenience methods.
	// compress/decompress a string or buffer in one step.
	exports.deflate = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new Deflate(opts), buffer, callback);
	};
	
	exports.deflateSync = function(buffer, opts) {
	  return zlibBufferSync(new Deflate(opts), buffer);
	};
	
	exports.gzip = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new Gzip(opts), buffer, callback);
	};
	
	exports.gzipSync = function(buffer, opts) {
	  return zlibBufferSync(new Gzip(opts), buffer);
	};
	
	exports.deflateRaw = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new DeflateRaw(opts), buffer, callback);
	};
	
	exports.deflateRawSync = function(buffer, opts) {
	  return zlibBufferSync(new DeflateRaw(opts), buffer);
	};
	
	exports.unzip = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new Unzip(opts), buffer, callback);
	};
	
	exports.unzipSync = function(buffer, opts) {
	  return zlibBufferSync(new Unzip(opts), buffer);
	};
	
	exports.inflate = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new Inflate(opts), buffer, callback);
	};
	
	exports.inflateSync = function(buffer, opts) {
	  return zlibBufferSync(new Inflate(opts), buffer);
	};
	
	exports.gunzip = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new Gunzip(opts), buffer, callback);
	};
	
	exports.gunzipSync = function(buffer, opts) {
	  return zlibBufferSync(new Gunzip(opts), buffer);
	};
	
	exports.inflateRaw = function(buffer, opts, callback) {
	  if (typeof opts === 'function') {
	    callback = opts;
	    opts = {};
	  }
	  return zlibBuffer(new InflateRaw(opts), buffer, callback);
	};
	
	exports.inflateRawSync = function(buffer, opts) {
	  return zlibBufferSync(new InflateRaw(opts), buffer);
	};
	
	function zlibBuffer(engine, buffer, callback) {
	  var buffers = [];
	  var nread = 0;
	
	  engine.on('error', onError);
	  engine.on('end', onEnd);
	
	  engine.end(buffer);
	  flow();
	
	  function flow() {
	    var chunk;
	    while (null !== (chunk = engine.read())) {
	      buffers.push(chunk);
	      nread += chunk.length;
	    }
	    engine.once('readable', flow);
	  }
	
	  function onError(err) {
	    engine.removeListener('end', onEnd);
	    engine.removeListener('readable', flow);
	    callback(err);
	  }
	
	  function onEnd() {
	    var buf = Buffer.concat(buffers, nread);
	    buffers = [];
	    callback(null, buf);
	    engine.close();
	  }
	}
	
	function zlibBufferSync(engine, buffer) {
	  if (typeof buffer === 'string')
	    buffer = new Buffer(buffer);
	  if (!Buffer.isBuffer(buffer))
	    throw new TypeError('Not a string or buffer');
	
	  var flushFlag = binding.Z_FINISH;
	
	  return engine._processChunk(buffer, flushFlag);
	}
	
	// generic zlib
	// minimal 2-byte header
	function Deflate(opts) {
	  if (!(this instanceof Deflate)) return new Deflate(opts);
	  Zlib.call(this, opts, binding.DEFLATE);
	}
	
	function Inflate(opts) {
	  if (!(this instanceof Inflate)) return new Inflate(opts);
	  Zlib.call(this, opts, binding.INFLATE);
	}
	
	
	
	// gzip - bigger header, same deflate compression
	function Gzip(opts) {
	  if (!(this instanceof Gzip)) return new Gzip(opts);
	  Zlib.call(this, opts, binding.GZIP);
	}
	
	function Gunzip(opts) {
	  if (!(this instanceof Gunzip)) return new Gunzip(opts);
	  Zlib.call(this, opts, binding.GUNZIP);
	}
	
	
	
	// raw - no header
	function DeflateRaw(opts) {
	  if (!(this instanceof DeflateRaw)) return new DeflateRaw(opts);
	  Zlib.call(this, opts, binding.DEFLATERAW);
	}
	
	function InflateRaw(opts) {
	  if (!(this instanceof InflateRaw)) return new InflateRaw(opts);
	  Zlib.call(this, opts, binding.INFLATERAW);
	}
	
	
	// auto-detect header.
	function Unzip(opts) {
	  if (!(this instanceof Unzip)) return new Unzip(opts);
	  Zlib.call(this, opts, binding.UNZIP);
	}
	
	
	// the Zlib class they all inherit from
	// This thing manages the queue of requests, and returns
	// true or false if there is anything in the queue when
	// you call the .write() method.
	
	function Zlib(opts, mode) {
	  this._opts = opts = opts || {};
	  this._chunkSize = opts.chunkSize || exports.Z_DEFAULT_CHUNK;
	
	  Transform.call(this, opts);
	
	  if (opts.flush) {
	    if (opts.flush !== binding.Z_NO_FLUSH &&
	        opts.flush !== binding.Z_PARTIAL_FLUSH &&
	        opts.flush !== binding.Z_SYNC_FLUSH &&
	        opts.flush !== binding.Z_FULL_FLUSH &&
	        opts.flush !== binding.Z_FINISH &&
	        opts.flush !== binding.Z_BLOCK) {
	      throw new Error('Invalid flush flag: ' + opts.flush);
	    }
	  }
	  this._flushFlag = opts.flush || binding.Z_NO_FLUSH;
	
	  if (opts.chunkSize) {
	    if (opts.chunkSize < exports.Z_MIN_CHUNK ||
	        opts.chunkSize > exports.Z_MAX_CHUNK) {
	      throw new Error('Invalid chunk size: ' + opts.chunkSize);
	    }
	  }
	
	  if (opts.windowBits) {
	    if (opts.windowBits < exports.Z_MIN_WINDOWBITS ||
	        opts.windowBits > exports.Z_MAX_WINDOWBITS) {
	      throw new Error('Invalid windowBits: ' + opts.windowBits);
	    }
	  }
	
	  if (opts.level) {
	    if (opts.level < exports.Z_MIN_LEVEL ||
	        opts.level > exports.Z_MAX_LEVEL) {
	      throw new Error('Invalid compression level: ' + opts.level);
	    }
	  }
	
	  if (opts.memLevel) {
	    if (opts.memLevel < exports.Z_MIN_MEMLEVEL ||
	        opts.memLevel > exports.Z_MAX_MEMLEVEL) {
	      throw new Error('Invalid memLevel: ' + opts.memLevel);
	    }
	  }
	
	  if (opts.strategy) {
	    if (opts.strategy != exports.Z_FILTERED &&
	        opts.strategy != exports.Z_HUFFMAN_ONLY &&
	        opts.strategy != exports.Z_RLE &&
	        opts.strategy != exports.Z_FIXED &&
	        opts.strategy != exports.Z_DEFAULT_STRATEGY) {
	      throw new Error('Invalid strategy: ' + opts.strategy);
	    }
	  }
	
	  if (opts.dictionary) {
	    if (!Buffer.isBuffer(opts.dictionary)) {
	      throw new Error('Invalid dictionary: it should be a Buffer instance');
	    }
	  }
	
	  this._binding = new binding.Zlib(mode);
	
	  var self = this;
	  this._hadError = false;
	  this._binding.onerror = function(message, errno) {
	    // there is no way to cleanly recover.
	    // continuing only obscures problems.
	    self._binding = null;
	    self._hadError = true;
	
	    var error = new Error(message);
	    error.errno = errno;
	    error.code = exports.codes[errno];
	    self.emit('error', error);
	  };
	
	  var level = exports.Z_DEFAULT_COMPRESSION;
	  if (typeof opts.level === 'number') level = opts.level;
	
	  var strategy = exports.Z_DEFAULT_STRATEGY;
	  if (typeof opts.strategy === 'number') strategy = opts.strategy;
	
	  this._binding.init(opts.windowBits || exports.Z_DEFAULT_WINDOWBITS,
	                     level,
	                     opts.memLevel || exports.Z_DEFAULT_MEMLEVEL,
	                     strategy,
	                     opts.dictionary);
	
	  this._buffer = new Buffer(this._chunkSize);
	  this._offset = 0;
	  this._closed = false;
	  this._level = level;
	  this._strategy = strategy;
	
	  this.once('end', this.close);
	}
	
	util.inherits(Zlib, Transform);
	
	Zlib.prototype.params = function(level, strategy, callback) {
	  if (level < exports.Z_MIN_LEVEL ||
	      level > exports.Z_MAX_LEVEL) {
	    throw new RangeError('Invalid compression level: ' + level);
	  }
	  if (strategy != exports.Z_FILTERED &&
	      strategy != exports.Z_HUFFMAN_ONLY &&
	      strategy != exports.Z_RLE &&
	      strategy != exports.Z_FIXED &&
	      strategy != exports.Z_DEFAULT_STRATEGY) {
	    throw new TypeError('Invalid strategy: ' + strategy);
	  }
	
	  if (this._level !== level || this._strategy !== strategy) {
	    var self = this;
	    this.flush(binding.Z_SYNC_FLUSH, function() {
	      self._binding.params(level, strategy);
	      if (!self._hadError) {
	        self._level = level;
	        self._strategy = strategy;
	        if (callback) callback();
	      }
	    });
	  } else {
	    process.nextTick(callback);
	  }
	};
	
	Zlib.prototype.reset = function() {
	  return this._binding.reset();
	};
	
	// This is the _flush function called by the transform class,
	// internally, when the last chunk has been written.
	Zlib.prototype._flush = function(callback) {
	  this._transform(new Buffer(0), '', callback);
	};
	
	Zlib.prototype.flush = function(kind, callback) {
	  var ws = this._writableState;
	
	  if (typeof kind === 'function' || (kind === void 0 && !callback)) {
	    callback = kind;
	    kind = binding.Z_FULL_FLUSH;
	  }
	
	  if (ws.ended) {
	    if (callback)
	      process.nextTick(callback);
	  } else if (ws.ending) {
	    if (callback)
	      this.once('end', callback);
	  } else if (ws.needDrain) {
	    var self = this;
	    this.once('drain', function() {
	      self.flush(callback);
	    });
	  } else {
	    this._flushFlag = kind;
	    this.write(new Buffer(0), '', callback);
	  }
	};
	
	Zlib.prototype.close = function(callback) {
	  if (callback)
	    process.nextTick(callback);
	
	  if (this._closed)
	    return;
	
	  this._closed = true;
	
	  this._binding.close();
	
	  var self = this;
	  process.nextTick(function() {
	    self.emit('close');
	  });
	};
	
	Zlib.prototype._transform = function(chunk, encoding, cb) {
	  var flushFlag;
	  var ws = this._writableState;
	  var ending = ws.ending || ws.ended;
	  var last = ending && (!chunk || ws.length === chunk.length);
	
	  if (!chunk === null && !Buffer.isBuffer(chunk))
	    return cb(new Error('invalid input'));
	
	  // If it's the last chunk, or a final flush, we use the Z_FINISH flush flag.
	  // If it's explicitly flushing at some other time, then we use
	  // Z_FULL_FLUSH. Otherwise, use Z_NO_FLUSH for maximum compression
	  // goodness.
	  if (last)
	    flushFlag = binding.Z_FINISH;
	  else {
	    flushFlag = this._flushFlag;
	    // once we've flushed the last of the queue, stop flushing and
	    // go back to the normal behavior.
	    if (chunk.length >= ws.length) {
	      this._flushFlag = this._opts.flush || binding.Z_NO_FLUSH;
	    }
	  }
	
	  var self = this;
	  this._processChunk(chunk, flushFlag, cb);
	};
	
	Zlib.prototype._processChunk = function(chunk, flushFlag, cb) {
	  var availInBefore = chunk && chunk.length;
	  var availOutBefore = this._chunkSize - this._offset;
	  var inOff = 0;
	
	  var self = this;
	
	  var async = typeof cb === 'function';
	
	  if (!async) {
	    var buffers = [];
	    var nread = 0;
	
	    var error;
	    this.on('error', function(er) {
	      error = er;
	    });
	
	    do {
	      var res = this._binding.writeSync(flushFlag,
	                                        chunk, // in
	                                        inOff, // in_off
	                                        availInBefore, // in_len
	                                        this._buffer, // out
	                                        this._offset, //out_off
	                                        availOutBefore); // out_len
	    } while (!this._hadError && callback(res[0], res[1]));
	
	    if (this._hadError) {
	      throw error;
	    }
	
	    var buf = Buffer.concat(buffers, nread);
	    this.close();
	
	    return buf;
	  }
	
	  var req = this._binding.write(flushFlag,
	                                chunk, // in
	                                inOff, // in_off
	                                availInBefore, // in_len
	                                this._buffer, // out
	                                this._offset, //out_off
	                                availOutBefore); // out_len
	
	  req.buffer = chunk;
	  req.callback = callback;
	
	  function callback(availInAfter, availOutAfter) {
	    if (self._hadError)
	      return;
	
	    var have = availOutBefore - availOutAfter;
	    assert(have >= 0, 'have should not go down');
	
	    if (have > 0) {
	      var out = self._buffer.slice(self._offset, self._offset + have);
	      self._offset += have;
	      // serve some output to the consumer.
	      if (async) {
	        self.push(out);
	      } else {
	        buffers.push(out);
	        nread += out.length;
	      }
	    }
	
	    // exhausted the output buffer, or used all the input create a new one.
	    if (availOutAfter === 0 || self._offset >= self._chunkSize) {
	      availOutBefore = self._chunkSize;
	      self._offset = 0;
	      self._buffer = new Buffer(self._chunkSize);
	    }
	
	    if (availOutAfter === 0) {
	      // Not actually done.  Need to reprocess.
	      // Also, update the availInBefore to the availInAfter value,
	      // so that if we have to hit it a third (fourth, etc.) time,
	      // it'll have the correct byte counts.
	      inOff += (availInBefore - availInAfter);
	      availInBefore = availInAfter;
	
	      if (!async)
	        return true;
	
	      var newReq = self._binding.write(flushFlag,
	                                       chunk,
	                                       inOff,
	                                       availInBefore,
	                                       self._buffer,
	                                       self._offset,
	                                       self._chunkSize);
	      newReq.callback = callback; // this same function
	      newReq.buffer = chunk;
	      return;
	    }
	
	    if (!async)
	      return false;
	
	    // finished with the chunk.
	    cb();
	  }
	};
	
	util.inherits(Deflate, Zlib);
	util.inherits(Inflate, Zlib);
	util.inherits(Gzip, Zlib);
	util.inherits(Gunzip, Zlib);
	util.inherits(DeflateRaw, Zlib);
	util.inherits(InflateRaw, Zlib);
	util.inherits(Unzip, Zlib);
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer, __webpack_require__(20)))

/***/ },
/* 119 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(120)


/***/ },
/* 120 */
/***/ function(module, exports, __webpack_require__) {

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	
	// a transform stream is a readable/writable stream where you do
	// something with the data.  Sometimes it's called a "filter",
	// but that's not a great name for it, since that implies a thing where
	// some bits pass through, and others are simply ignored.  (That would
	// be a valid example of a transform, of course.)
	//
	// While the output is causally related to the input, it's not a
	// necessarily symmetric or synchronous transformation.  For example,
	// a zlib stream might take multiple plain-text writes(), and then
	// emit a single compressed chunk some time in the future.
	//
	// Here's how this works:
	//
	// The Transform stream has all the aspects of the readable and writable
	// stream classes.  When you write(chunk), that calls _write(chunk,cb)
	// internally, and returns false if there's a lot of pending writes
	// buffered up.  When you call read(), that calls _read(n) until
	// there's enough pending readable data buffered up.
	//
	// In a transform stream, the written data is placed in a buffer.  When
	// _read(n) is called, it transforms the queued up data, calling the
	// buffered _write cb's as it consumes chunks.  If consuming a single
	// written chunk would result in multiple output chunks, then the first
	// outputted bit calls the readcb, and subsequent chunks just go into
	// the read buffer, and will cause it to emit 'readable' if necessary.
	//
	// This way, back-pressure is actually determined by the reading side,
	// since _read has to be called to start processing a new chunk.  However,
	// a pathological inflate type of transform can cause excessive buffering
	// here.  For example, imagine a stream where every byte of input is
	// interpreted as an integer from 0-255, and then results in that many
	// bytes of output.  Writing the 4 bytes {ff,ff,ff,ff} would result in
	// 1kb of data being output.  In this case, you could write a very small
	// amount of input, and end up with a very large amount of output.  In
	// such a pathological inflating mechanism, there'd be no way to tell
	// the system to stop doing the transform.  A single 4MB write could
	// cause the system to run out of memory.
	//
	// However, even in such a pathological case, only a single written chunk
	// would be consumed, and then the rest would wait (un-transformed) until
	// the results of the previous transformed chunk were consumed.
	
	module.exports = Transform;
	
	var Duplex = __webpack_require__(121);
	
	/*<replacement>*/
	var util = __webpack_require__(122);
	util.inherits = __webpack_require__(123);
	/*</replacement>*/
	
	util.inherits(Transform, Duplex);
	
	
	function TransformState(options, stream) {
	  this.afterTransform = function(er, data) {
	    return afterTransform(stream, er, data);
	  };
	
	  this.needTransform = false;
	  this.transforming = false;
	  this.writecb = null;
	  this.writechunk = null;
	}
	
	function afterTransform(stream, er, data) {
	  var ts = stream._transformState;
	  ts.transforming = false;
	
	  var cb = ts.writecb;
	
	  if (!cb)
	    return stream.emit('error', new Error('no writecb in Transform class'));
	
	  ts.writechunk = null;
	  ts.writecb = null;
	
	  if (!util.isNullOrUndefined(data))
	    stream.push(data);
	
	  if (cb)
	    cb(er);
	
	  var rs = stream._readableState;
	  rs.reading = false;
	  if (rs.needReadable || rs.length < rs.highWaterMark) {
	    stream._read(rs.highWaterMark);
	  }
	}
	
	
	function Transform(options) {
	  if (!(this instanceof Transform))
	    return new Transform(options);
	
	  Duplex.call(this, options);
	
	  this._transformState = new TransformState(options, this);
	
	  // when the writable side finishes, then flush out anything remaining.
	  var stream = this;
	
	  // start out asking for a readable event once data is transformed.
	  this._readableState.needReadable = true;
	
	  // we have implemented the _read method, and done the other things
	  // that Readable wants before the first _read call, so unset the
	  // sync guard flag.
	  this._readableState.sync = false;
	
	  this.once('prefinish', function() {
	    if (util.isFunction(this._flush))
	      this._flush(function(er) {
	        done(stream, er);
	      });
	    else
	      done(stream);
	  });
	}
	
	Transform.prototype.push = function(chunk, encoding) {
	  this._transformState.needTransform = false;
	  return Duplex.prototype.push.call(this, chunk, encoding);
	};
	
	// This is the part where you do stuff!
	// override this function in implementation classes.
	// 'chunk' is an input chunk.
	//
	// Call `push(newChunk)` to pass along transformed output
	// to the readable side.  You may call 'push' zero or more times.
	//
	// Call `cb(err)` when you are done with this chunk.  If you pass
	// an error, then that'll put the hurt on the whole operation.  If you
	// never call cb(), then you'll never get another chunk.
	Transform.prototype._transform = function(chunk, encoding, cb) {
	  throw new Error('not implemented');
	};
	
	Transform.prototype._write = function(chunk, encoding, cb) {
	  var ts = this._transformState;
	  ts.writecb = cb;
	  ts.writechunk = chunk;
	  ts.writeencoding = encoding;
	  if (!ts.transforming) {
	    var rs = this._readableState;
	    if (ts.needTransform ||
	        rs.needReadable ||
	        rs.length < rs.highWaterMark)
	      this._read(rs.highWaterMark);
	  }
	};
	
	// Doesn't matter what the args are here.
	// _transform does all the work.
	// That we got here means that the readable side wants more data.
	Transform.prototype._read = function(n) {
	  var ts = this._transformState;
	
	  if (!util.isNull(ts.writechunk) && ts.writecb && !ts.transforming) {
	    ts.transforming = true;
	    this._transform(ts.writechunk, ts.writeencoding, ts.afterTransform);
	  } else {
	    // mark that we need a transform, so that any data that comes in
	    // will get processed, now that we've asked for it.
	    ts.needTransform = true;
	  }
	};
	
	
	function done(stream, er) {
	  if (er)
	    return stream.emit('error', er);
	
	  // if there's nothing in the write buffer, then that means
	  // that nothing more will ever be provided
	  var ws = stream._writableState;
	  var ts = stream._transformState;
	
	  if (ws.length)
	    throw new Error('calling transform done when ws.length != 0');
	
	  if (ts.transforming)
	    throw new Error('calling transform done when still transforming');
	
	  return stream.push(null);
	}


/***/ },
/* 121 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	// a duplex stream is just a stream that is both readable and writable.
	// Since JS doesn't have multiple prototypal inheritance, this class
	// prototypally inherits from Readable, and then parasitically from
	// Writable.
	
	module.exports = Duplex;
	
	/*<replacement>*/
	var objectKeys = Object.keys || function (obj) {
	  var keys = [];
	  for (var key in obj) keys.push(key);
	  return keys;
	}
	/*</replacement>*/
	
	
	/*<replacement>*/
	var util = __webpack_require__(122);
	util.inherits = __webpack_require__(123);
	/*</replacement>*/
	
	var Readable = __webpack_require__(124);
	var Writable = __webpack_require__(129);
	
	util.inherits(Duplex, Readable);
	
	forEach(objectKeys(Writable.prototype), function(method) {
	  if (!Duplex.prototype[method])
	    Duplex.prototype[method] = Writable.prototype[method];
	});
	
	function Duplex(options) {
	  if (!(this instanceof Duplex))
	    return new Duplex(options);
	
	  Readable.call(this, options);
	  Writable.call(this, options);
	
	  if (options && options.readable === false)
	    this.readable = false;
	
	  if (options && options.writable === false)
	    this.writable = false;
	
	  this.allowHalfOpen = true;
	  if (options && options.allowHalfOpen === false)
	    this.allowHalfOpen = false;
	
	  this.once('end', onend);
	}
	
	// the no-half-open enforcer
	function onend() {
	  // if we allow half-open state, or if the writable side ended,
	  // then we're ok.
	  if (this.allowHalfOpen || this._writableState.ended)
	    return;
	
	  // no more data can be written.
	  // But allow more writes to happen in this tick.
	  process.nextTick(this.end.bind(this));
	}
	
	function forEach (xs, f) {
	  for (var i = 0, l = xs.length; i < l; i++) {
	    f(xs[i], i);
	  }
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 122 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	// NOTE: These type checking functions intentionally don't use `instanceof`
	// because it is fragile and can be easily faked with `Object.create()`.
	
	function isArray(arg) {
	  if (Array.isArray) {
	    return Array.isArray(arg);
	  }
	  return objectToString(arg) === '[object Array]';
	}
	exports.isArray = isArray;
	
	function isBoolean(arg) {
	  return typeof arg === 'boolean';
	}
	exports.isBoolean = isBoolean;
	
	function isNull(arg) {
	  return arg === null;
	}
	exports.isNull = isNull;
	
	function isNullOrUndefined(arg) {
	  return arg == null;
	}
	exports.isNullOrUndefined = isNullOrUndefined;
	
	function isNumber(arg) {
	  return typeof arg === 'number';
	}
	exports.isNumber = isNumber;
	
	function isString(arg) {
	  return typeof arg === 'string';
	}
	exports.isString = isString;
	
	function isSymbol(arg) {
	  return typeof arg === 'symbol';
	}
	exports.isSymbol = isSymbol;
	
	function isUndefined(arg) {
	  return arg === void 0;
	}
	exports.isUndefined = isUndefined;
	
	function isRegExp(re) {
	  return objectToString(re) === '[object RegExp]';
	}
	exports.isRegExp = isRegExp;
	
	function isObject(arg) {
	  return typeof arg === 'object' && arg !== null;
	}
	exports.isObject = isObject;
	
	function isDate(d) {
	  return objectToString(d) === '[object Date]';
	}
	exports.isDate = isDate;
	
	function isError(e) {
	  return (objectToString(e) === '[object Error]' || e instanceof Error);
	}
	exports.isError = isError;
	
	function isFunction(arg) {
	  return typeof arg === 'function';
	}
	exports.isFunction = isFunction;
	
	function isPrimitive(arg) {
	  return arg === null ||
	         typeof arg === 'boolean' ||
	         typeof arg === 'number' ||
	         typeof arg === 'string' ||
	         typeof arg === 'symbol' ||  // ES6 symbol
	         typeof arg === 'undefined';
	}
	exports.isPrimitive = isPrimitive;
	
	exports.isBuffer = Buffer.isBuffer;
	
	function objectToString(o) {
	  return Object.prototype.toString.call(o);
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 123 */
/***/ function(module, exports) {

	if (typeof Object.create === 'function') {
	  // implementation from standard node.js 'util' module
	  module.exports = function inherits(ctor, superCtor) {
	    ctor.super_ = superCtor
	    ctor.prototype = Object.create(superCtor.prototype, {
	      constructor: {
	        value: ctor,
	        enumerable: false,
	        writable: true,
	        configurable: true
	      }
	    });
	  };
	} else {
	  // old school shim for old browsers
	  module.exports = function inherits(ctor, superCtor) {
	    ctor.super_ = superCtor
	    var TempCtor = function () {}
	    TempCtor.prototype = superCtor.prototype
	    ctor.prototype = new TempCtor()
	    ctor.prototype.constructor = ctor
	  }
	}


/***/ },
/* 124 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	module.exports = Readable;
	
	/*<replacement>*/
	var isArray = __webpack_require__(125);
	/*</replacement>*/
	
	
	/*<replacement>*/
	var Buffer = __webpack_require__(1).Buffer;
	/*</replacement>*/
	
	Readable.ReadableState = ReadableState;
	
	var EE = __webpack_require__(126).EventEmitter;
	
	/*<replacement>*/
	if (!EE.listenerCount) EE.listenerCount = function(emitter, type) {
	  return emitter.listeners(type).length;
	};
	/*</replacement>*/
	
	var Stream = __webpack_require__(127);
	
	/*<replacement>*/
	var util = __webpack_require__(122);
	util.inherits = __webpack_require__(123);
	/*</replacement>*/
	
	var StringDecoder;
	
	
	/*<replacement>*/
	var debug = __webpack_require__(134);
	if (debug && debug.debuglog) {
	  debug = debug.debuglog('stream');
	} else {
	  debug = function () {};
	}
	/*</replacement>*/
	
	
	util.inherits(Readable, Stream);
	
	function ReadableState(options, stream) {
	  var Duplex = __webpack_require__(121);
	
	  options = options || {};
	
	  // the point at which it stops calling _read() to fill the buffer
	  // Note: 0 is a valid value, means "don't call _read preemptively ever"
	  var hwm = options.highWaterMark;
	  var defaultHwm = options.objectMode ? 16 : 16 * 1024;
	  this.highWaterMark = (hwm || hwm === 0) ? hwm : defaultHwm;
	
	  // cast to ints.
	  this.highWaterMark = ~~this.highWaterMark;
	
	  this.buffer = [];
	  this.length = 0;
	  this.pipes = null;
	  this.pipesCount = 0;
	  this.flowing = null;
	  this.ended = false;
	  this.endEmitted = false;
	  this.reading = false;
	
	  // a flag to be able to tell if the onwrite cb is called immediately,
	  // or on a later tick.  We set this to true at first, because any
	  // actions that shouldn't happen until "later" should generally also
	  // not happen before the first write call.
	  this.sync = true;
	
	  // whenever we return null, then we set a flag to say
	  // that we're awaiting a 'readable' event emission.
	  this.needReadable = false;
	  this.emittedReadable = false;
	  this.readableListening = false;
	
	
	  // object stream flag. Used to make read(n) ignore n and to
	  // make all the buffer merging and length checks go away
	  this.objectMode = !!options.objectMode;
	
	  if (stream instanceof Duplex)
	    this.objectMode = this.objectMode || !!options.readableObjectMode;
	
	  // Crypto is kind of old and crusty.  Historically, its default string
	  // encoding is 'binary' so we have to make this configurable.
	  // Everything else in the universe uses 'utf8', though.
	  this.defaultEncoding = options.defaultEncoding || 'utf8';
	
	  // when piping, we only care about 'readable' events that happen
	  // after read()ing all the bytes and not getting any pushback.
	  this.ranOut = false;
	
	  // the number of writers that are awaiting a drain event in .pipe()s
	  this.awaitDrain = 0;
	
	  // if true, a maybeReadMore has been scheduled
	  this.readingMore = false;
	
	  this.decoder = null;
	  this.encoding = null;
	  if (options.encoding) {
	    if (!StringDecoder)
	      StringDecoder = __webpack_require__(135).StringDecoder;
	    this.decoder = new StringDecoder(options.encoding);
	    this.encoding = options.encoding;
	  }
	}
	
	function Readable(options) {
	  var Duplex = __webpack_require__(121);
	
	  if (!(this instanceof Readable))
	    return new Readable(options);
	
	  this._readableState = new ReadableState(options, this);
	
	  // legacy
	  this.readable = true;
	
	  Stream.call(this);
	}
	
	// Manually shove something into the read() buffer.
	// This returns true if the highWaterMark has not been hit yet,
	// similar to how Writable.write() returns true if you should
	// write() some more.
	Readable.prototype.push = function(chunk, encoding) {
	  var state = this._readableState;
	
	  if (util.isString(chunk) && !state.objectMode) {
	    encoding = encoding || state.defaultEncoding;
	    if (encoding !== state.encoding) {
	      chunk = new Buffer(chunk, encoding);
	      encoding = '';
	    }
	  }
	
	  return readableAddChunk(this, state, chunk, encoding, false);
	};
	
	// Unshift should *always* be something directly out of read()
	Readable.prototype.unshift = function(chunk) {
	  var state = this._readableState;
	  return readableAddChunk(this, state, chunk, '', true);
	};
	
	function readableAddChunk(stream, state, chunk, encoding, addToFront) {
	  var er = chunkInvalid(state, chunk);
	  if (er) {
	    stream.emit('error', er);
	  } else if (util.isNullOrUndefined(chunk)) {
	    state.reading = false;
	    if (!state.ended)
	      onEofChunk(stream, state);
	  } else if (state.objectMode || chunk && chunk.length > 0) {
	    if (state.ended && !addToFront) {
	      var e = new Error('stream.push() after EOF');
	      stream.emit('error', e);
	    } else if (state.endEmitted && addToFront) {
	      var e = new Error('stream.unshift() after end event');
	      stream.emit('error', e);
	    } else {
	      if (state.decoder && !addToFront && !encoding)
	        chunk = state.decoder.write(chunk);
	
	      if (!addToFront)
	        state.reading = false;
	
	      // if we want the data now, just emit it.
	      if (state.flowing && state.length === 0 && !state.sync) {
	        stream.emit('data', chunk);
	        stream.read(0);
	      } else {
	        // update the buffer info.
	        state.length += state.objectMode ? 1 : chunk.length;
	        if (addToFront)
	          state.buffer.unshift(chunk);
	        else
	          state.buffer.push(chunk);
	
	        if (state.needReadable)
	          emitReadable(stream);
	      }
	
	      maybeReadMore(stream, state);
	    }
	  } else if (!addToFront) {
	    state.reading = false;
	  }
	
	  return needMoreData(state);
	}
	
	
	
	// if it's past the high water mark, we can push in some more.
	// Also, if we have no data yet, we can stand some
	// more bytes.  This is to work around cases where hwm=0,
	// such as the repl.  Also, if the push() triggered a
	// readable event, and the user called read(largeNumber) such that
	// needReadable was set, then we ought to push more, so that another
	// 'readable' event will be triggered.
	function needMoreData(state) {
	  return !state.ended &&
	         (state.needReadable ||
	          state.length < state.highWaterMark ||
	          state.length === 0);
	}
	
	// backwards compatibility.
	Readable.prototype.setEncoding = function(enc) {
	  if (!StringDecoder)
	    StringDecoder = __webpack_require__(135).StringDecoder;
	  this._readableState.decoder = new StringDecoder(enc);
	  this._readableState.encoding = enc;
	  return this;
	};
	
	// Don't raise the hwm > 128MB
	var MAX_HWM = 0x800000;
	function roundUpToNextPowerOf2(n) {
	  if (n >= MAX_HWM) {
	    n = MAX_HWM;
	  } else {
	    // Get the next highest power of 2
	    n--;
	    for (var p = 1; p < 32; p <<= 1) n |= n >> p;
	    n++;
	  }
	  return n;
	}
	
	function howMuchToRead(n, state) {
	  if (state.length === 0 && state.ended)
	    return 0;
	
	  if (state.objectMode)
	    return n === 0 ? 0 : 1;
	
	  if (isNaN(n) || util.isNull(n)) {
	    // only flow one buffer at a time
	    if (state.flowing && state.buffer.length)
	      return state.buffer[0].length;
	    else
	      return state.length;
	  }
	
	  if (n <= 0)
	    return 0;
	
	  // If we're asking for more than the target buffer level,
	  // then raise the water mark.  Bump up to the next highest
	  // power of 2, to prevent increasing it excessively in tiny
	  // amounts.
	  if (n > state.highWaterMark)
	    state.highWaterMark = roundUpToNextPowerOf2(n);
	
	  // don't have that much.  return null, unless we've ended.
	  if (n > state.length) {
	    if (!state.ended) {
	      state.needReadable = true;
	      return 0;
	    } else
	      return state.length;
	  }
	
	  return n;
	}
	
	// you can override either this method, or the async _read(n) below.
	Readable.prototype.read = function(n) {
	  debug('read', n);
	  var state = this._readableState;
	  var nOrig = n;
	
	  if (!util.isNumber(n) || n > 0)
	    state.emittedReadable = false;
	
	  // if we're doing read(0) to trigger a readable event, but we
	  // already have a bunch of data in the buffer, then just trigger
	  // the 'readable' event and move on.
	  if (n === 0 &&
	      state.needReadable &&
	      (state.length >= state.highWaterMark || state.ended)) {
	    debug('read: emitReadable', state.length, state.ended);
	    if (state.length === 0 && state.ended)
	      endReadable(this);
	    else
	      emitReadable(this);
	    return null;
	  }
	
	  n = howMuchToRead(n, state);
	
	  // if we've ended, and we're now clear, then finish it up.
	  if (n === 0 && state.ended) {
	    if (state.length === 0)
	      endReadable(this);
	    return null;
	  }
	
	  // All the actual chunk generation logic needs to be
	  // *below* the call to _read.  The reason is that in certain
	  // synthetic stream cases, such as passthrough streams, _read
	  // may be a completely synchronous operation which may change
	  // the state of the read buffer, providing enough data when
	  // before there was *not* enough.
	  //
	  // So, the steps are:
	  // 1. Figure out what the state of things will be after we do
	  // a read from the buffer.
	  //
	  // 2. If that resulting state will trigger a _read, then call _read.
	  // Note that this may be asynchronous, or synchronous.  Yes, it is
	  // deeply ugly to write APIs this way, but that still doesn't mean
	  // that the Readable class should behave improperly, as streams are
	  // designed to be sync/async agnostic.
	  // Take note if the _read call is sync or async (ie, if the read call
	  // has returned yet), so that we know whether or not it's safe to emit
	  // 'readable' etc.
	  //
	  // 3. Actually pull the requested chunks out of the buffer and return.
	
	  // if we need a readable event, then we need to do some reading.
	  var doRead = state.needReadable;
	  debug('need readable', doRead);
	
	  // if we currently have less than the highWaterMark, then also read some
	  if (state.length === 0 || state.length - n < state.highWaterMark) {
	    doRead = true;
	    debug('length less than watermark', doRead);
	  }
	
	  // however, if we've ended, then there's no point, and if we're already
	  // reading, then it's unnecessary.
	  if (state.ended || state.reading) {
	    doRead = false;
	    debug('reading or ended', doRead);
	  }
	
	  if (doRead) {
	    debug('do read');
	    state.reading = true;
	    state.sync = true;
	    // if the length is currently zero, then we *need* a readable event.
	    if (state.length === 0)
	      state.needReadable = true;
	    // call internal read method
	    this._read(state.highWaterMark);
	    state.sync = false;
	  }
	
	  // If _read pushed data synchronously, then `reading` will be false,
	  // and we need to re-evaluate how much data we can return to the user.
	  if (doRead && !state.reading)
	    n = howMuchToRead(nOrig, state);
	
	  var ret;
	  if (n > 0)
	    ret = fromList(n, state);
	  else
	    ret = null;
	
	  if (util.isNull(ret)) {
	    state.needReadable = true;
	    n = 0;
	  }
	
	  state.length -= n;
	
	  // If we have nothing in the buffer, then we want to know
	  // as soon as we *do* get something into the buffer.
	  if (state.length === 0 && !state.ended)
	    state.needReadable = true;
	
	  // If we tried to read() past the EOF, then emit end on the next tick.
	  if (nOrig !== n && state.ended && state.length === 0)
	    endReadable(this);
	
	  if (!util.isNull(ret))
	    this.emit('data', ret);
	
	  return ret;
	};
	
	function chunkInvalid(state, chunk) {
	  var er = null;
	  if (!util.isBuffer(chunk) &&
	      !util.isString(chunk) &&
	      !util.isNullOrUndefined(chunk) &&
	      !state.objectMode) {
	    er = new TypeError('Invalid non-string/buffer chunk');
	  }
	  return er;
	}
	
	
	function onEofChunk(stream, state) {
	  if (state.decoder && !state.ended) {
	    var chunk = state.decoder.end();
	    if (chunk && chunk.length) {
	      state.buffer.push(chunk);
	      state.length += state.objectMode ? 1 : chunk.length;
	    }
	  }
	  state.ended = true;
	
	  // emit 'readable' now to make sure it gets picked up.
	  emitReadable(stream);
	}
	
	// Don't emit readable right away in sync mode, because this can trigger
	// another read() call => stack overflow.  This way, it might trigger
	// a nextTick recursion warning, but that's not so bad.
	function emitReadable(stream) {
	  var state = stream._readableState;
	  state.needReadable = false;
	  if (!state.emittedReadable) {
	    debug('emitReadable', state.flowing);
	    state.emittedReadable = true;
	    if (state.sync)
	      process.nextTick(function() {
	        emitReadable_(stream);
	      });
	    else
	      emitReadable_(stream);
	  }
	}
	
	function emitReadable_(stream) {
	  debug('emit readable');
	  stream.emit('readable');
	  flow(stream);
	}
	
	
	// at this point, the user has presumably seen the 'readable' event,
	// and called read() to consume some data.  that may have triggered
	// in turn another _read(n) call, in which case reading = true if
	// it's in progress.
	// However, if we're not ended, or reading, and the length < hwm,
	// then go ahead and try to read some more preemptively.
	function maybeReadMore(stream, state) {
	  if (!state.readingMore) {
	    state.readingMore = true;
	    process.nextTick(function() {
	      maybeReadMore_(stream, state);
	    });
	  }
	}
	
	function maybeReadMore_(stream, state) {
	  var len = state.length;
	  while (!state.reading && !state.flowing && !state.ended &&
	         state.length < state.highWaterMark) {
	    debug('maybeReadMore read 0');
	    stream.read(0);
	    if (len === state.length)
	      // didn't get any data, stop spinning.
	      break;
	    else
	      len = state.length;
	  }
	  state.readingMore = false;
	}
	
	// abstract method.  to be overridden in specific implementation classes.
	// call cb(er, data) where data is <= n in length.
	// for virtual (non-string, non-buffer) streams, "length" is somewhat
	// arbitrary, and perhaps not very meaningful.
	Readable.prototype._read = function(n) {
	  this.emit('error', new Error('not implemented'));
	};
	
	Readable.prototype.pipe = function(dest, pipeOpts) {
	  var src = this;
	  var state = this._readableState;
	
	  switch (state.pipesCount) {
	    case 0:
	      state.pipes = dest;
	      break;
	    case 1:
	      state.pipes = [state.pipes, dest];
	      break;
	    default:
	      state.pipes.push(dest);
	      break;
	  }
	  state.pipesCount += 1;
	  debug('pipe count=%d opts=%j', state.pipesCount, pipeOpts);
	
	  var doEnd = (!pipeOpts || pipeOpts.end !== false) &&
	              dest !== process.stdout &&
	              dest !== process.stderr;
	
	  var endFn = doEnd ? onend : cleanup;
	  if (state.endEmitted)
	    process.nextTick(endFn);
	  else
	    src.once('end', endFn);
	
	  dest.on('unpipe', onunpipe);
	  function onunpipe(readable) {
	    debug('onunpipe');
	    if (readable === src) {
	      cleanup();
	    }
	  }
	
	  function onend() {
	    debug('onend');
	    dest.end();
	  }
	
	  // when the dest drains, it reduces the awaitDrain counter
	  // on the source.  This would be more elegant with a .once()
	  // handler in flow(), but adding and removing repeatedly is
	  // too slow.
	  var ondrain = pipeOnDrain(src);
	  dest.on('drain', ondrain);
	
	  function cleanup() {
	    debug('cleanup');
	    // cleanup event handlers once the pipe is broken
	    dest.removeListener('close', onclose);
	    dest.removeListener('finish', onfinish);
	    dest.removeListener('drain', ondrain);
	    dest.removeListener('error', onerror);
	    dest.removeListener('unpipe', onunpipe);
	    src.removeListener('end', onend);
	    src.removeListener('end', cleanup);
	    src.removeListener('data', ondata);
	
	    // if the reader is waiting for a drain event from this
	    // specific writer, then it would cause it to never start
	    // flowing again.
	    // So, if this is awaiting a drain, then we just call it now.
	    // If we don't know, then assume that we are waiting for one.
	    if (state.awaitDrain &&
	        (!dest._writableState || dest._writableState.needDrain))
	      ondrain();
	  }
	
	  src.on('data', ondata);
	  function ondata(chunk) {
	    debug('ondata');
	    var ret = dest.write(chunk);
	    if (false === ret) {
	      debug('false write response, pause',
	            src._readableState.awaitDrain);
	      src._readableState.awaitDrain++;
	      src.pause();
	    }
	  }
	
	  // if the dest has an error, then stop piping into it.
	  // however, don't suppress the throwing behavior for this.
	  function onerror(er) {
	    debug('onerror', er);
	    unpipe();
	    dest.removeListener('error', onerror);
	    if (EE.listenerCount(dest, 'error') === 0)
	      dest.emit('error', er);
	  }
	  // This is a brutally ugly hack to make sure that our error handler
	  // is attached before any userland ones.  NEVER DO THIS.
	  if (!dest._events || !dest._events.error)
	    dest.on('error', onerror);
	  else if (isArray(dest._events.error))
	    dest._events.error.unshift(onerror);
	  else
	    dest._events.error = [onerror, dest._events.error];
	
	
	
	  // Both close and finish should trigger unpipe, but only once.
	  function onclose() {
	    dest.removeListener('finish', onfinish);
	    unpipe();
	  }
	  dest.once('close', onclose);
	  function onfinish() {
	    debug('onfinish');
	    dest.removeListener('close', onclose);
	    unpipe();
	  }
	  dest.once('finish', onfinish);
	
	  function unpipe() {
	    debug('unpipe');
	    src.unpipe(dest);
	  }
	
	  // tell the dest that it's being piped to
	  dest.emit('pipe', src);
	
	  // start the flow if it hasn't been started already.
	  if (!state.flowing) {
	    debug('pipe resume');
	    src.resume();
	  }
	
	  return dest;
	};
	
	function pipeOnDrain(src) {
	  return function() {
	    var state = src._readableState;
	    debug('pipeOnDrain', state.awaitDrain);
	    if (state.awaitDrain)
	      state.awaitDrain--;
	    if (state.awaitDrain === 0 && EE.listenerCount(src, 'data')) {
	      state.flowing = true;
	      flow(src);
	    }
	  };
	}
	
	
	Readable.prototype.unpipe = function(dest) {
	  var state = this._readableState;
	
	  // if we're not piping anywhere, then do nothing.
	  if (state.pipesCount === 0)
	    return this;
	
	  // just one destination.  most common case.
	  if (state.pipesCount === 1) {
	    // passed in one, but it's not the right one.
	    if (dest && dest !== state.pipes)
	      return this;
	
	    if (!dest)
	      dest = state.pipes;
	
	    // got a match.
	    state.pipes = null;
	    state.pipesCount = 0;
	    state.flowing = false;
	    if (dest)
	      dest.emit('unpipe', this);
	    return this;
	  }
	
	  // slow case. multiple pipe destinations.
	
	  if (!dest) {
	    // remove all.
	    var dests = state.pipes;
	    var len = state.pipesCount;
	    state.pipes = null;
	    state.pipesCount = 0;
	    state.flowing = false;
	
	    for (var i = 0; i < len; i++)
	      dests[i].emit('unpipe', this);
	    return this;
	  }
	
	  // try to find the right one.
	  var i = indexOf(state.pipes, dest);
	  if (i === -1)
	    return this;
	
	  state.pipes.splice(i, 1);
	  state.pipesCount -= 1;
	  if (state.pipesCount === 1)
	    state.pipes = state.pipes[0];
	
	  dest.emit('unpipe', this);
	
	  return this;
	};
	
	// set up data events if they are asked for
	// Ensure readable listeners eventually get something
	Readable.prototype.on = function(ev, fn) {
	  var res = Stream.prototype.on.call(this, ev, fn);
	
	  // If listening to data, and it has not explicitly been paused,
	  // then call resume to start the flow of data on the next tick.
	  if (ev === 'data' && false !== this._readableState.flowing) {
	    this.resume();
	  }
	
	  if (ev === 'readable' && this.readable) {
	    var state = this._readableState;
	    if (!state.readableListening) {
	      state.readableListening = true;
	      state.emittedReadable = false;
	      state.needReadable = true;
	      if (!state.reading) {
	        var self = this;
	        process.nextTick(function() {
	          debug('readable nexttick read 0');
	          self.read(0);
	        });
	      } else if (state.length) {
	        emitReadable(this, state);
	      }
	    }
	  }
	
	  return res;
	};
	Readable.prototype.addListener = Readable.prototype.on;
	
	// pause() and resume() are remnants of the legacy readable stream API
	// If the user uses them, then switch into old mode.
	Readable.prototype.resume = function() {
	  var state = this._readableState;
	  if (!state.flowing) {
	    debug('resume');
	    state.flowing = true;
	    if (!state.reading) {
	      debug('resume read 0');
	      this.read(0);
	    }
	    resume(this, state);
	  }
	  return this;
	};
	
	function resume(stream, state) {
	  if (!state.resumeScheduled) {
	    state.resumeScheduled = true;
	    process.nextTick(function() {
	      resume_(stream, state);
	    });
	  }
	}
	
	function resume_(stream, state) {
	  state.resumeScheduled = false;
	  stream.emit('resume');
	  flow(stream);
	  if (state.flowing && !state.reading)
	    stream.read(0);
	}
	
	Readable.prototype.pause = function() {
	  debug('call pause flowing=%j', this._readableState.flowing);
	  if (false !== this._readableState.flowing) {
	    debug('pause');
	    this._readableState.flowing = false;
	    this.emit('pause');
	  }
	  return this;
	};
	
	function flow(stream) {
	  var state = stream._readableState;
	  debug('flow', state.flowing);
	  if (state.flowing) {
	    do {
	      var chunk = stream.read();
	    } while (null !== chunk && state.flowing);
	  }
	}
	
	// wrap an old-style stream as the async data source.
	// This is *not* part of the readable stream interface.
	// It is an ugly unfortunate mess of history.
	Readable.prototype.wrap = function(stream) {
	  var state = this._readableState;
	  var paused = false;
	
	  var self = this;
	  stream.on('end', function() {
	    debug('wrapped end');
	    if (state.decoder && !state.ended) {
	      var chunk = state.decoder.end();
	      if (chunk && chunk.length)
	        self.push(chunk);
	    }
	
	    self.push(null);
	  });
	
	  stream.on('data', function(chunk) {
	    debug('wrapped data');
	    if (state.decoder)
	      chunk = state.decoder.write(chunk);
	    if (!chunk || !state.objectMode && !chunk.length)
	      return;
	
	    var ret = self.push(chunk);
	    if (!ret) {
	      paused = true;
	      stream.pause();
	    }
	  });
	
	  // proxy all the other methods.
	  // important when wrapping filters and duplexes.
	  for (var i in stream) {
	    if (util.isFunction(stream[i]) && util.isUndefined(this[i])) {
	      this[i] = function(method) { return function() {
	        return stream[method].apply(stream, arguments);
	      }}(i);
	    }
	  }
	
	  // proxy certain important events.
	  var events = ['error', 'close', 'destroy', 'pause', 'resume'];
	  forEach(events, function(ev) {
	    stream.on(ev, self.emit.bind(self, ev));
	  });
	
	  // when we try to consume some more bytes, simply unpause the
	  // underlying stream.
	  self._read = function(n) {
	    debug('wrapped _read', n);
	    if (paused) {
	      paused = false;
	      stream.resume();
	    }
	  };
	
	  return self;
	};
	
	
	
	// exposed for testing purposes only.
	Readable._fromList = fromList;
	
	// Pluck off n bytes from an array of buffers.
	// Length is the combined lengths of all the buffers in the list.
	function fromList(n, state) {
	  var list = state.buffer;
	  var length = state.length;
	  var stringMode = !!state.decoder;
	  var objectMode = !!state.objectMode;
	  var ret;
	
	  // nothing in the list, definitely empty.
	  if (list.length === 0)
	    return null;
	
	  if (length === 0)
	    ret = null;
	  else if (objectMode)
	    ret = list.shift();
	  else if (!n || n >= length) {
	    // read it all, truncate the array.
	    if (stringMode)
	      ret = list.join('');
	    else
	      ret = Buffer.concat(list, length);
	    list.length = 0;
	  } else {
	    // read just some of it.
	    if (n < list[0].length) {
	      // just take a part of the first list item.
	      // slice is the same for buffers and strings.
	      var buf = list[0];
	      ret = buf.slice(0, n);
	      list[0] = buf.slice(n);
	    } else if (n === list[0].length) {
	      // first list is a perfect match
	      ret = list.shift();
	    } else {
	      // complex case.
	      // we have enough to cover it, but it spans past the first buffer.
	      if (stringMode)
	        ret = '';
	      else
	        ret = new Buffer(n);
	
	      var c = 0;
	      for (var i = 0, l = list.length; i < l && c < n; i++) {
	        var buf = list[0];
	        var cpy = Math.min(n - c, buf.length);
	
	        if (stringMode)
	          ret += buf.slice(0, cpy);
	        else
	          buf.copy(ret, c, 0, cpy);
	
	        if (cpy < buf.length)
	          list[0] = buf.slice(cpy);
	        else
	          list.shift();
	
	        c += cpy;
	      }
	    }
	  }
	
	  return ret;
	}
	
	function endReadable(stream) {
	  var state = stream._readableState;
	
	  // If we get here before consuming all the bytes, then that is a
	  // bug in node.  Should never happen.
	  if (state.length > 0)
	    throw new Error('endReadable called on non-empty stream');
	
	  if (!state.endEmitted) {
	    state.ended = true;
	    process.nextTick(function() {
	      // Check that we didn't get one last unshift.
	      if (!state.endEmitted && state.length === 0) {
	        state.endEmitted = true;
	        stream.readable = false;
	        stream.emit('end');
	      }
	    });
	  }
	}
	
	function forEach (xs, f) {
	  for (var i = 0, l = xs.length; i < l; i++) {
	    f(xs[i], i);
	  }
	}
	
	function indexOf (xs, x) {
	  for (var i = 0, l = xs.length; i < l; i++) {
	    if (xs[i] === x) return i;
	  }
	  return -1;
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 125 */
/***/ function(module, exports) {

	module.exports = Array.isArray || function (arr) {
	  return Object.prototype.toString.call(arr) == '[object Array]';
	};


/***/ },
/* 126 */
/***/ function(module, exports) {

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	function EventEmitter() {
	  this._events = this._events || {};
	  this._maxListeners = this._maxListeners || undefined;
	}
	module.exports = EventEmitter;
	
	// Backwards-compat with node 0.10.x
	EventEmitter.EventEmitter = EventEmitter;
	
	EventEmitter.prototype._events = undefined;
	EventEmitter.prototype._maxListeners = undefined;
	
	// By default EventEmitters will print a warning if more than 10 listeners are
	// added to it. This is a useful default which helps finding memory leaks.
	EventEmitter.defaultMaxListeners = 10;
	
	// Obviously not all Emitters should be limited to 10. This function allows
	// that to be increased. Set to zero for unlimited.
	EventEmitter.prototype.setMaxListeners = function(n) {
	  if (!isNumber(n) || n < 0 || isNaN(n))
	    throw TypeError('n must be a positive number');
	  this._maxListeners = n;
	  return this;
	};
	
	EventEmitter.prototype.emit = function(type) {
	  var er, handler, len, args, i, listeners;
	
	  if (!this._events)
	    this._events = {};
	
	  // If there is no 'error' event listener then throw.
	  if (type === 'error') {
	    if (!this._events.error ||
	        (isObject(this._events.error) && !this._events.error.length)) {
	      er = arguments[1];
	      if (er instanceof Error) {
	        throw er; // Unhandled 'error' event
	      } else {
	        // At least give some kind of context to the user
	        var err = new Error('Uncaught, unspecified "error" event. (' + er + ')');
	        err.context = er;
	        throw err;
	      }
	    }
	  }
	
	  handler = this._events[type];
	
	  if (isUndefined(handler))
	    return false;
	
	  if (isFunction(handler)) {
	    switch (arguments.length) {
	      // fast cases
	      case 1:
	        handler.call(this);
	        break;
	      case 2:
	        handler.call(this, arguments[1]);
	        break;
	      case 3:
	        handler.call(this, arguments[1], arguments[2]);
	        break;
	      // slower
	      default:
	        args = Array.prototype.slice.call(arguments, 1);
	        handler.apply(this, args);
	    }
	  } else if (isObject(handler)) {
	    args = Array.prototype.slice.call(arguments, 1);
	    listeners = handler.slice();
	    len = listeners.length;
	    for (i = 0; i < len; i++)
	      listeners[i].apply(this, args);
	  }
	
	  return true;
	};
	
	EventEmitter.prototype.addListener = function(type, listener) {
	  var m;
	
	  if (!isFunction(listener))
	    throw TypeError('listener must be a function');
	
	  if (!this._events)
	    this._events = {};
	
	  // To avoid recursion in the case that type === "newListener"! Before
	  // adding it to the listeners, first emit "newListener".
	  if (this._events.newListener)
	    this.emit('newListener', type,
	              isFunction(listener.listener) ?
	              listener.listener : listener);
	
	  if (!this._events[type])
	    // Optimize the case of one listener. Don't need the extra array object.
	    this._events[type] = listener;
	  else if (isObject(this._events[type]))
	    // If we've already got an array, just append.
	    this._events[type].push(listener);
	  else
	    // Adding the second element, need to change to array.
	    this._events[type] = [this._events[type], listener];
	
	  // Check for listener leak
	  if (isObject(this._events[type]) && !this._events[type].warned) {
	    if (!isUndefined(this._maxListeners)) {
	      m = this._maxListeners;
	    } else {
	      m = EventEmitter.defaultMaxListeners;
	    }
	
	    if (m && m > 0 && this._events[type].length > m) {
	      this._events[type].warned = true;
	      console.error('(node) warning: possible EventEmitter memory ' +
	                    'leak detected. %d listeners added. ' +
	                    'Use emitter.setMaxListeners() to increase limit.',
	                    this._events[type].length);
	      if (typeof console.trace === 'function') {
	        // not supported in IE 10
	        console.trace();
	      }
	    }
	  }
	
	  return this;
	};
	
	EventEmitter.prototype.on = EventEmitter.prototype.addListener;
	
	EventEmitter.prototype.once = function(type, listener) {
	  if (!isFunction(listener))
	    throw TypeError('listener must be a function');
	
	  var fired = false;
	
	  function g() {
	    this.removeListener(type, g);
	
	    if (!fired) {
	      fired = true;
	      listener.apply(this, arguments);
	    }
	  }
	
	  g.listener = listener;
	  this.on(type, g);
	
	  return this;
	};
	
	// emits a 'removeListener' event iff the listener was removed
	EventEmitter.prototype.removeListener = function(type, listener) {
	  var list, position, length, i;
	
	  if (!isFunction(listener))
	    throw TypeError('listener must be a function');
	
	  if (!this._events || !this._events[type])
	    return this;
	
	  list = this._events[type];
	  length = list.length;
	  position = -1;
	
	  if (list === listener ||
	      (isFunction(list.listener) && list.listener === listener)) {
	    delete this._events[type];
	    if (this._events.removeListener)
	      this.emit('removeListener', type, listener);
	
	  } else if (isObject(list)) {
	    for (i = length; i-- > 0;) {
	      if (list[i] === listener ||
	          (list[i].listener && list[i].listener === listener)) {
	        position = i;
	        break;
	      }
	    }
	
	    if (position < 0)
	      return this;
	
	    if (list.length === 1) {
	      list.length = 0;
	      delete this._events[type];
	    } else {
	      list.splice(position, 1);
	    }
	
	    if (this._events.removeListener)
	      this.emit('removeListener', type, listener);
	  }
	
	  return this;
	};
	
	EventEmitter.prototype.removeAllListeners = function(type) {
	  var key, listeners;
	
	  if (!this._events)
	    return this;
	
	  // not listening for removeListener, no need to emit
	  if (!this._events.removeListener) {
	    if (arguments.length === 0)
	      this._events = {};
	    else if (this._events[type])
	      delete this._events[type];
	    return this;
	  }
	
	  // emit removeListener for all listeners on all events
	  if (arguments.length === 0) {
	    for (key in this._events) {
	      if (key === 'removeListener') continue;
	      this.removeAllListeners(key);
	    }
	    this.removeAllListeners('removeListener');
	    this._events = {};
	    return this;
	  }
	
	  listeners = this._events[type];
	
	  if (isFunction(listeners)) {
	    this.removeListener(type, listeners);
	  } else if (listeners) {
	    // LIFO order
	    while (listeners.length)
	      this.removeListener(type, listeners[listeners.length - 1]);
	  }
	  delete this._events[type];
	
	  return this;
	};
	
	EventEmitter.prototype.listeners = function(type) {
	  var ret;
	  if (!this._events || !this._events[type])
	    ret = [];
	  else if (isFunction(this._events[type]))
	    ret = [this._events[type]];
	  else
	    ret = this._events[type].slice();
	  return ret;
	};
	
	EventEmitter.prototype.listenerCount = function(type) {
	  if (this._events) {
	    var evlistener = this._events[type];
	
	    if (isFunction(evlistener))
	      return 1;
	    else if (evlistener)
	      return evlistener.length;
	  }
	  return 0;
	};
	
	EventEmitter.listenerCount = function(emitter, type) {
	  return emitter.listenerCount(type);
	};
	
	function isFunction(arg) {
	  return typeof arg === 'function';
	}
	
	function isNumber(arg) {
	  return typeof arg === 'number';
	}
	
	function isObject(arg) {
	  return typeof arg === 'object' && arg !== null;
	}
	
	function isUndefined(arg) {
	  return arg === void 0;
	}


/***/ },
/* 127 */
/***/ function(module, exports, __webpack_require__) {

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	module.exports = Stream;
	
	var EE = __webpack_require__(126).EventEmitter;
	var inherits = __webpack_require__(123);
	
	inherits(Stream, EE);
	Stream.Readable = __webpack_require__(128);
	Stream.Writable = __webpack_require__(131);
	Stream.Duplex = __webpack_require__(132);
	Stream.Transform = __webpack_require__(119);
	Stream.PassThrough = __webpack_require__(133);
	
	// Backwards-compat with node 0.4.x
	Stream.Stream = Stream;
	
	
	
	// old-style streams.  Note that the pipe method (the only relevant
	// part of this class) is overridden in the Readable class.
	
	function Stream() {
	  EE.call(this);
	}
	
	Stream.prototype.pipe = function(dest, options) {
	  var source = this;
	
	  function ondata(chunk) {
	    if (dest.writable) {
	      if (false === dest.write(chunk) && source.pause) {
	        source.pause();
	      }
	    }
	  }
	
	  source.on('data', ondata);
	
	  function ondrain() {
	    if (source.readable && source.resume) {
	      source.resume();
	    }
	  }
	
	  dest.on('drain', ondrain);
	
	  // If the 'end' option is not supplied, dest.end() will be called when
	  // source gets the 'end' or 'close' events.  Only dest.end() once.
	  if (!dest._isStdio && (!options || options.end !== false)) {
	    source.on('end', onend);
	    source.on('close', onclose);
	  }
	
	  var didOnEnd = false;
	  function onend() {
	    if (didOnEnd) return;
	    didOnEnd = true;
	
	    dest.end();
	  }
	
	
	  function onclose() {
	    if (didOnEnd) return;
	    didOnEnd = true;
	
	    if (typeof dest.destroy === 'function') dest.destroy();
	  }
	
	  // don't leave dangling pipes when there are errors.
	  function onerror(er) {
	    cleanup();
	    if (EE.listenerCount(this, 'error') === 0) {
	      throw er; // Unhandled stream error in pipe.
	    }
	  }
	
	  source.on('error', onerror);
	  dest.on('error', onerror);
	
	  // remove all the event listeners that were added.
	  function cleanup() {
	    source.removeListener('data', ondata);
	    dest.removeListener('drain', ondrain);
	
	    source.removeListener('end', onend);
	    source.removeListener('close', onclose);
	
	    source.removeListener('error', onerror);
	    dest.removeListener('error', onerror);
	
	    source.removeListener('end', cleanup);
	    source.removeListener('close', cleanup);
	
	    dest.removeListener('close', cleanup);
	  }
	
	  source.on('end', cleanup);
	  source.on('close', cleanup);
	
	  dest.on('close', cleanup);
	
	  dest.emit('pipe', source);
	
	  // Allow for unix-like usage: A.pipe(B).pipe(C)
	  return dest;
	};


/***/ },
/* 128 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {exports = module.exports = __webpack_require__(124);
	exports.Stream = __webpack_require__(127);
	exports.Readable = exports;
	exports.Writable = __webpack_require__(129);
	exports.Duplex = __webpack_require__(121);
	exports.Transform = __webpack_require__(120);
	exports.PassThrough = __webpack_require__(130);
	if (!process.browser && process.env.READABLE_STREAM === 'disable') {
	  module.exports = __webpack_require__(127);
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 129 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	// A bit simpler than readable streams.
	// Implement an async ._write(chunk, cb), and it'll handle all
	// the drain event emission and buffering.
	
	module.exports = Writable;
	
	/*<replacement>*/
	var Buffer = __webpack_require__(1).Buffer;
	/*</replacement>*/
	
	Writable.WritableState = WritableState;
	
	
	/*<replacement>*/
	var util = __webpack_require__(122);
	util.inherits = __webpack_require__(123);
	/*</replacement>*/
	
	var Stream = __webpack_require__(127);
	
	util.inherits(Writable, Stream);
	
	function WriteReq(chunk, encoding, cb) {
	  this.chunk = chunk;
	  this.encoding = encoding;
	  this.callback = cb;
	}
	
	function WritableState(options, stream) {
	  var Duplex = __webpack_require__(121);
	
	  options = options || {};
	
	  // the point at which write() starts returning false
	  // Note: 0 is a valid value, means that we always return false if
	  // the entire buffer is not flushed immediately on write()
	  var hwm = options.highWaterMark;
	  var defaultHwm = options.objectMode ? 16 : 16 * 1024;
	  this.highWaterMark = (hwm || hwm === 0) ? hwm : defaultHwm;
	
	  // object stream flag to indicate whether or not this stream
	  // contains buffers or objects.
	  this.objectMode = !!options.objectMode;
	
	  if (stream instanceof Duplex)
	    this.objectMode = this.objectMode || !!options.writableObjectMode;
	
	  // cast to ints.
	  this.highWaterMark = ~~this.highWaterMark;
	
	  this.needDrain = false;
	  // at the start of calling end()
	  this.ending = false;
	  // when end() has been called, and returned
	  this.ended = false;
	  // when 'finish' is emitted
	  this.finished = false;
	
	  // should we decode strings into buffers before passing to _write?
	  // this is here so that some node-core streams can optimize string
	  // handling at a lower level.
	  var noDecode = options.decodeStrings === false;
	  this.decodeStrings = !noDecode;
	
	  // Crypto is kind of old and crusty.  Historically, its default string
	  // encoding is 'binary' so we have to make this configurable.
	  // Everything else in the universe uses 'utf8', though.
	  this.defaultEncoding = options.defaultEncoding || 'utf8';
	
	  // not an actual buffer we keep track of, but a measurement
	  // of how much we're waiting to get pushed to some underlying
	  // socket or file.
	  this.length = 0;
	
	  // a flag to see when we're in the middle of a write.
	  this.writing = false;
	
	  // when true all writes will be buffered until .uncork() call
	  this.corked = 0;
	
	  // a flag to be able to tell if the onwrite cb is called immediately,
	  // or on a later tick.  We set this to true at first, because any
	  // actions that shouldn't happen until "later" should generally also
	  // not happen before the first write call.
	  this.sync = true;
	
	  // a flag to know if we're processing previously buffered items, which
	  // may call the _write() callback in the same tick, so that we don't
	  // end up in an overlapped onwrite situation.
	  this.bufferProcessing = false;
	
	  // the callback that's passed to _write(chunk,cb)
	  this.onwrite = function(er) {
	    onwrite(stream, er);
	  };
	
	  // the callback that the user supplies to write(chunk,encoding,cb)
	  this.writecb = null;
	
	  // the amount that is being written when _write is called.
	  this.writelen = 0;
	
	  this.buffer = [];
	
	  // number of pending user-supplied write callbacks
	  // this must be 0 before 'finish' can be emitted
	  this.pendingcb = 0;
	
	  // emit prefinish if the only thing we're waiting for is _write cbs
	  // This is relevant for synchronous Transform streams
	  this.prefinished = false;
	
	  // True if the error was already emitted and should not be thrown again
	  this.errorEmitted = false;
	}
	
	function Writable(options) {
	  var Duplex = __webpack_require__(121);
	
	  // Writable ctor is applied to Duplexes, though they're not
	  // instanceof Writable, they're instanceof Readable.
	  if (!(this instanceof Writable) && !(this instanceof Duplex))
	    return new Writable(options);
	
	  this._writableState = new WritableState(options, this);
	
	  // legacy.
	  this.writable = true;
	
	  Stream.call(this);
	}
	
	// Otherwise people can pipe Writable streams, which is just wrong.
	Writable.prototype.pipe = function() {
	  this.emit('error', new Error('Cannot pipe. Not readable.'));
	};
	
	
	function writeAfterEnd(stream, state, cb) {
	  var er = new Error('write after end');
	  // TODO: defer error events consistently everywhere, not just the cb
	  stream.emit('error', er);
	  process.nextTick(function() {
	    cb(er);
	  });
	}
	
	// If we get something that is not a buffer, string, null, or undefined,
	// and we're not in objectMode, then that's an error.
	// Otherwise stream chunks are all considered to be of length=1, and the
	// watermarks determine how many objects to keep in the buffer, rather than
	// how many bytes or characters.
	function validChunk(stream, state, chunk, cb) {
	  var valid = true;
	  if (!util.isBuffer(chunk) &&
	      !util.isString(chunk) &&
	      !util.isNullOrUndefined(chunk) &&
	      !state.objectMode) {
	    var er = new TypeError('Invalid non-string/buffer chunk');
	    stream.emit('error', er);
	    process.nextTick(function() {
	      cb(er);
	    });
	    valid = false;
	  }
	  return valid;
	}
	
	Writable.prototype.write = function(chunk, encoding, cb) {
	  var state = this._writableState;
	  var ret = false;
	
	  if (util.isFunction(encoding)) {
	    cb = encoding;
	    encoding = null;
	  }
	
	  if (util.isBuffer(chunk))
	    encoding = 'buffer';
	  else if (!encoding)
	    encoding = state.defaultEncoding;
	
	  if (!util.isFunction(cb))
	    cb = function() {};
	
	  if (state.ended)
	    writeAfterEnd(this, state, cb);
	  else if (validChunk(this, state, chunk, cb)) {
	    state.pendingcb++;
	    ret = writeOrBuffer(this, state, chunk, encoding, cb);
	  }
	
	  return ret;
	};
	
	Writable.prototype.cork = function() {
	  var state = this._writableState;
	
	  state.corked++;
	};
	
	Writable.prototype.uncork = function() {
	  var state = this._writableState;
	
	  if (state.corked) {
	    state.corked--;
	
	    if (!state.writing &&
	        !state.corked &&
	        !state.finished &&
	        !state.bufferProcessing &&
	        state.buffer.length)
	      clearBuffer(this, state);
	  }
	};
	
	function decodeChunk(state, chunk, encoding) {
	  if (!state.objectMode &&
	      state.decodeStrings !== false &&
	      util.isString(chunk)) {
	    chunk = new Buffer(chunk, encoding);
	  }
	  return chunk;
	}
	
	// if we're already writing something, then just put this
	// in the queue, and wait our turn.  Otherwise, call _write
	// If we return false, then we need a drain event, so set that flag.
	function writeOrBuffer(stream, state, chunk, encoding, cb) {
	  chunk = decodeChunk(state, chunk, encoding);
	  if (util.isBuffer(chunk))
	    encoding = 'buffer';
	  var len = state.objectMode ? 1 : chunk.length;
	
	  state.length += len;
	
	  var ret = state.length < state.highWaterMark;
	  // we must ensure that previous needDrain will not be reset to false.
	  if (!ret)
	    state.needDrain = true;
	
	  if (state.writing || state.corked)
	    state.buffer.push(new WriteReq(chunk, encoding, cb));
	  else
	    doWrite(stream, state, false, len, chunk, encoding, cb);
	
	  return ret;
	}
	
	function doWrite(stream, state, writev, len, chunk, encoding, cb) {
	  state.writelen = len;
	  state.writecb = cb;
	  state.writing = true;
	  state.sync = true;
	  if (writev)
	    stream._writev(chunk, state.onwrite);
	  else
	    stream._write(chunk, encoding, state.onwrite);
	  state.sync = false;
	}
	
	function onwriteError(stream, state, sync, er, cb) {
	  if (sync)
	    process.nextTick(function() {
	      state.pendingcb--;
	      cb(er);
	    });
	  else {
	    state.pendingcb--;
	    cb(er);
	  }
	
	  stream._writableState.errorEmitted = true;
	  stream.emit('error', er);
	}
	
	function onwriteStateUpdate(state) {
	  state.writing = false;
	  state.writecb = null;
	  state.length -= state.writelen;
	  state.writelen = 0;
	}
	
	function onwrite(stream, er) {
	  var state = stream._writableState;
	  var sync = state.sync;
	  var cb = state.writecb;
	
	  onwriteStateUpdate(state);
	
	  if (er)
	    onwriteError(stream, state, sync, er, cb);
	  else {
	    // Check if we're actually ready to finish, but don't emit yet
	    var finished = needFinish(stream, state);
	
	    if (!finished &&
	        !state.corked &&
	        !state.bufferProcessing &&
	        state.buffer.length) {
	      clearBuffer(stream, state);
	    }
	
	    if (sync) {
	      process.nextTick(function() {
	        afterWrite(stream, state, finished, cb);
	      });
	    } else {
	      afterWrite(stream, state, finished, cb);
	    }
	  }
	}
	
	function afterWrite(stream, state, finished, cb) {
	  if (!finished)
	    onwriteDrain(stream, state);
	  state.pendingcb--;
	  cb();
	  finishMaybe(stream, state);
	}
	
	// Must force callback to be called on nextTick, so that we don't
	// emit 'drain' before the write() consumer gets the 'false' return
	// value, and has a chance to attach a 'drain' listener.
	function onwriteDrain(stream, state) {
	  if (state.length === 0 && state.needDrain) {
	    state.needDrain = false;
	    stream.emit('drain');
	  }
	}
	
	
	// if there's something in the buffer waiting, then process it
	function clearBuffer(stream, state) {
	  state.bufferProcessing = true;
	
	  if (stream._writev && state.buffer.length > 1) {
	    // Fast case, write everything using _writev()
	    var cbs = [];
	    for (var c = 0; c < state.buffer.length; c++)
	      cbs.push(state.buffer[c].callback);
	
	    // count the one we are adding, as well.
	    // TODO(isaacs) clean this up
	    state.pendingcb++;
	    doWrite(stream, state, true, state.length, state.buffer, '', function(err) {
	      for (var i = 0; i < cbs.length; i++) {
	        state.pendingcb--;
	        cbs[i](err);
	      }
	    });
	
	    // Clear buffer
	    state.buffer = [];
	  } else {
	    // Slow case, write chunks one-by-one
	    for (var c = 0; c < state.buffer.length; c++) {
	      var entry = state.buffer[c];
	      var chunk = entry.chunk;
	      var encoding = entry.encoding;
	      var cb = entry.callback;
	      var len = state.objectMode ? 1 : chunk.length;
	
	      doWrite(stream, state, false, len, chunk, encoding, cb);
	
	      // if we didn't call the onwrite immediately, then
	      // it means that we need to wait until it does.
	      // also, that means that the chunk and cb are currently
	      // being processed, so move the buffer counter past them.
	      if (state.writing) {
	        c++;
	        break;
	      }
	    }
	
	    if (c < state.buffer.length)
	      state.buffer = state.buffer.slice(c);
	    else
	      state.buffer.length = 0;
	  }
	
	  state.bufferProcessing = false;
	}
	
	Writable.prototype._write = function(chunk, encoding, cb) {
	  cb(new Error('not implemented'));
	
	};
	
	Writable.prototype._writev = null;
	
	Writable.prototype.end = function(chunk, encoding, cb) {
	  var state = this._writableState;
	
	  if (util.isFunction(chunk)) {
	    cb = chunk;
	    chunk = null;
	    encoding = null;
	  } else if (util.isFunction(encoding)) {
	    cb = encoding;
	    encoding = null;
	  }
	
	  if (!util.isNullOrUndefined(chunk))
	    this.write(chunk, encoding);
	
	  // .end() fully uncorks
	  if (state.corked) {
	    state.corked = 1;
	    this.uncork();
	  }
	
	  // ignore unnecessary end() calls.
	  if (!state.ending && !state.finished)
	    endWritable(this, state, cb);
	};
	
	
	function needFinish(stream, state) {
	  return (state.ending &&
	          state.length === 0 &&
	          !state.finished &&
	          !state.writing);
	}
	
	function prefinish(stream, state) {
	  if (!state.prefinished) {
	    state.prefinished = true;
	    stream.emit('prefinish');
	  }
	}
	
	function finishMaybe(stream, state) {
	  var need = needFinish(stream, state);
	  if (need) {
	    if (state.pendingcb === 0) {
	      prefinish(stream, state);
	      state.finished = true;
	      stream.emit('finish');
	    } else
	      prefinish(stream, state);
	  }
	  return need;
	}
	
	function endWritable(stream, state, cb) {
	  state.ending = true;
	  finishMaybe(stream, state);
	  if (cb) {
	    if (state.finished)
	      process.nextTick(cb);
	    else
	      stream.once('finish', cb);
	  }
	  state.ended = true;
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20)))

/***/ },
/* 130 */
/***/ function(module, exports, __webpack_require__) {

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	// a passthrough stream.
	// basically just the most minimal sort of Transform stream.
	// Every written chunk gets output as-is.
	
	module.exports = PassThrough;
	
	var Transform = __webpack_require__(120);
	
	/*<replacement>*/
	var util = __webpack_require__(122);
	util.inherits = __webpack_require__(123);
	/*</replacement>*/
	
	util.inherits(PassThrough, Transform);
	
	function PassThrough(options) {
	  if (!(this instanceof PassThrough))
	    return new PassThrough(options);
	
	  Transform.call(this, options);
	}
	
	PassThrough.prototype._transform = function(chunk, encoding, cb) {
	  cb(null, chunk);
	};


/***/ },
/* 131 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(129)


/***/ },
/* 132 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(121)


/***/ },
/* 133 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(130)


/***/ },
/* 134 */
/***/ function(module, exports) {

	/* (ignored) */

/***/ },
/* 135 */
/***/ function(module, exports, __webpack_require__) {

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	var Buffer = __webpack_require__(1).Buffer;
	
	var isBufferEncoding = Buffer.isEncoding
	  || function(encoding) {
	       switch (encoding && encoding.toLowerCase()) {
	         case 'hex': case 'utf8': case 'utf-8': case 'ascii': case 'binary': case 'base64': case 'ucs2': case 'ucs-2': case 'utf16le': case 'utf-16le': case 'raw': return true;
	         default: return false;
	       }
	     }
	
	
	function assertEncoding(encoding) {
	  if (encoding && !isBufferEncoding(encoding)) {
	    throw new Error('Unknown encoding: ' + encoding);
	  }
	}
	
	// StringDecoder provides an interface for efficiently splitting a series of
	// buffers into a series of JS strings without breaking apart multi-byte
	// characters. CESU-8 is handled as part of the UTF-8 encoding.
	//
	// @TODO Handling all encodings inside a single object makes it very difficult
	// to reason about this code, so it should be split up in the future.
	// @TODO There should be a utf8-strict encoding that rejects invalid UTF-8 code
	// points as used by CESU-8.
	var StringDecoder = exports.StringDecoder = function(encoding) {
	  this.encoding = (encoding || 'utf8').toLowerCase().replace(/[-_]/, '');
	  assertEncoding(encoding);
	  switch (this.encoding) {
	    case 'utf8':
	      // CESU-8 represents each of Surrogate Pair by 3-bytes
	      this.surrogateSize = 3;
	      break;
	    case 'ucs2':
	    case 'utf16le':
	      // UTF-16 represents each of Surrogate Pair by 2-bytes
	      this.surrogateSize = 2;
	      this.detectIncompleteChar = utf16DetectIncompleteChar;
	      break;
	    case 'base64':
	      // Base-64 stores 3 bytes in 4 chars, and pads the remainder.
	      this.surrogateSize = 3;
	      this.detectIncompleteChar = base64DetectIncompleteChar;
	      break;
	    default:
	      this.write = passThroughWrite;
	      return;
	  }
	
	  // Enough space to store all bytes of a single character. UTF-8 needs 4
	  // bytes, but CESU-8 may require up to 6 (3 bytes per surrogate).
	  this.charBuffer = new Buffer(6);
	  // Number of bytes received for the current incomplete multi-byte character.
	  this.charReceived = 0;
	  // Number of bytes expected for the current incomplete multi-byte character.
	  this.charLength = 0;
	};
	
	
	// write decodes the given buffer and returns it as JS string that is
	// guaranteed to not contain any partial multi-byte characters. Any partial
	// character found at the end of the buffer is buffered up, and will be
	// returned when calling write again with the remaining bytes.
	//
	// Note: Converting a Buffer containing an orphan surrogate to a String
	// currently works, but converting a String to a Buffer (via `new Buffer`, or
	// Buffer#write) will replace incomplete surrogates with the unicode
	// replacement character. See https://codereview.chromium.org/121173009/ .
	StringDecoder.prototype.write = function(buffer) {
	  var charStr = '';
	  // if our last write ended with an incomplete multibyte character
	  while (this.charLength) {
	    // determine how many remaining bytes this buffer has to offer for this char
	    var available = (buffer.length >= this.charLength - this.charReceived) ?
	        this.charLength - this.charReceived :
	        buffer.length;
	
	    // add the new bytes to the char buffer
	    buffer.copy(this.charBuffer, this.charReceived, 0, available);
	    this.charReceived += available;
	
	    if (this.charReceived < this.charLength) {
	      // still not enough chars in this buffer? wait for more ...
	      return '';
	    }
	
	    // remove bytes belonging to the current character from the buffer
	    buffer = buffer.slice(available, buffer.length);
	
	    // get the character that was split
	    charStr = this.charBuffer.slice(0, this.charLength).toString(this.encoding);
	
	    // CESU-8: lead surrogate (D800-DBFF) is also the incomplete character
	    var charCode = charStr.charCodeAt(charStr.length - 1);
	    if (charCode >= 0xD800 && charCode <= 0xDBFF) {
	      this.charLength += this.surrogateSize;
	      charStr = '';
	      continue;
	    }
	    this.charReceived = this.charLength = 0;
	
	    // if there are no more bytes in this buffer, just emit our char
	    if (buffer.length === 0) {
	      return charStr;
	    }
	    break;
	  }
	
	  // determine and set charLength / charReceived
	  this.detectIncompleteChar(buffer);
	
	  var end = buffer.length;
	  if (this.charLength) {
	    // buffer the incomplete character bytes we got
	    buffer.copy(this.charBuffer, 0, buffer.length - this.charReceived, end);
	    end -= this.charReceived;
	  }
	
	  charStr += buffer.toString(this.encoding, 0, end);
	
	  var end = charStr.length - 1;
	  var charCode = charStr.charCodeAt(end);
	  // CESU-8: lead surrogate (D800-DBFF) is also the incomplete character
	  if (charCode >= 0xD800 && charCode <= 0xDBFF) {
	    var size = this.surrogateSize;
	    this.charLength += size;
	    this.charReceived += size;
	    this.charBuffer.copy(this.charBuffer, size, 0, size);
	    buffer.copy(this.charBuffer, 0, 0, size);
	    return charStr.substring(0, end);
	  }
	
	  // or just emit the charStr
	  return charStr;
	};
	
	// detectIncompleteChar determines if there is an incomplete UTF-8 character at
	// the end of the given buffer. If so, it sets this.charLength to the byte
	// length that character, and sets this.charReceived to the number of bytes
	// that are available for this character.
	StringDecoder.prototype.detectIncompleteChar = function(buffer) {
	  // determine how many bytes we have to check at the end of this buffer
	  var i = (buffer.length >= 3) ? 3 : buffer.length;
	
	  // Figure out if one of the last i bytes of our buffer announces an
	  // incomplete char.
	  for (; i > 0; i--) {
	    var c = buffer[buffer.length - i];
	
	    // See http://en.wikipedia.org/wiki/UTF-8#Description
	
	    // 110XXXXX
	    if (i == 1 && c >> 5 == 0x06) {
	      this.charLength = 2;
	      break;
	    }
	
	    // 1110XXXX
	    if (i <= 2 && c >> 4 == 0x0E) {
	      this.charLength = 3;
	      break;
	    }
	
	    // 11110XXX
	    if (i <= 3 && c >> 3 == 0x1E) {
	      this.charLength = 4;
	      break;
	    }
	  }
	  this.charReceived = i;
	};
	
	StringDecoder.prototype.end = function(buffer) {
	  var res = '';
	  if (buffer && buffer.length)
	    res = this.write(buffer);
	
	  if (this.charReceived) {
	    var cr = this.charReceived;
	    var buf = this.charBuffer;
	    var enc = this.encoding;
	    res += buf.slice(0, cr).toString(enc);
	  }
	
	  return res;
	};
	
	function passThroughWrite(buffer) {
	  return buffer.toString(this.encoding);
	}
	
	function utf16DetectIncompleteChar(buffer) {
	  this.charReceived = buffer.length % 2;
	  this.charLength = this.charReceived ? 2 : 0;
	}
	
	function base64DetectIncompleteChar(buffer) {
	  this.charReceived = buffer.length % 3;
	  this.charLength = this.charReceived ? 3 : 0;
	}


/***/ },
/* 136 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process, Buffer) {var msg = __webpack_require__(137);
	var zstream = __webpack_require__(138);
	var zlib_deflate = __webpack_require__(139);
	var zlib_inflate = __webpack_require__(144);
	var constants = __webpack_require__(147);
	
	for (var key in constants) {
	  exports[key] = constants[key];
	}
	
	// zlib modes
	exports.NONE = 0;
	exports.DEFLATE = 1;
	exports.INFLATE = 2;
	exports.GZIP = 3;
	exports.GUNZIP = 4;
	exports.DEFLATERAW = 5;
	exports.INFLATERAW = 6;
	exports.UNZIP = 7;
	
	/**
	 * Emulate Node's zlib C++ layer for use by the JS layer in index.js
	 */
	function Zlib(mode) {
	  if (mode < exports.DEFLATE || mode > exports.UNZIP)
	    throw new TypeError("Bad argument");
	    
	  this.mode = mode;
	  this.init_done = false;
	  this.write_in_progress = false;
	  this.pending_close = false;
	  this.windowBits = 0;
	  this.level = 0;
	  this.memLevel = 0;
	  this.strategy = 0;
	  this.dictionary = null;
	}
	
	Zlib.prototype.init = function(windowBits, level, memLevel, strategy, dictionary) {
	  this.windowBits = windowBits;
	  this.level = level;
	  this.memLevel = memLevel;
	  this.strategy = strategy;
	  // dictionary not supported.
	  
	  if (this.mode === exports.GZIP || this.mode === exports.GUNZIP)
	    this.windowBits += 16;
	    
	  if (this.mode === exports.UNZIP)
	    this.windowBits += 32;
	    
	  if (this.mode === exports.DEFLATERAW || this.mode === exports.INFLATERAW)
	    this.windowBits = -this.windowBits;
	    
	  this.strm = new zstream();
	  
	  switch (this.mode) {
	    case exports.DEFLATE:
	    case exports.GZIP:
	    case exports.DEFLATERAW:
	      var status = zlib_deflate.deflateInit2(
	        this.strm,
	        this.level,
	        exports.Z_DEFLATED,
	        this.windowBits,
	        this.memLevel,
	        this.strategy
	      );
	      break;
	    case exports.INFLATE:
	    case exports.GUNZIP:
	    case exports.INFLATERAW:
	    case exports.UNZIP:
	      var status  = zlib_inflate.inflateInit2(
	        this.strm,
	        this.windowBits
	      );
	      break;
	    default:
	      throw new Error("Unknown mode " + this.mode);
	  }
	  
	  if (status !== exports.Z_OK) {
	    this._error(status);
	    return;
	  }
	  
	  this.write_in_progress = false;
	  this.init_done = true;
	};
	
	Zlib.prototype.params = function() {
	  throw new Error("deflateParams Not supported");
	};
	
	Zlib.prototype._writeCheck = function() {
	  if (!this.init_done)
	    throw new Error("write before init");
	    
	  if (this.mode === exports.NONE)
	    throw new Error("already finalized");
	    
	  if (this.write_in_progress)
	    throw new Error("write already in progress");
	    
	  if (this.pending_close)
	    throw new Error("close is pending");
	};
	
	Zlib.prototype.write = function(flush, input, in_off, in_len, out, out_off, out_len) {    
	  this._writeCheck();
	  this.write_in_progress = true;
	  
	  var self = this;
	  process.nextTick(function() {
	    self.write_in_progress = false;
	    var res = self._write(flush, input, in_off, in_len, out, out_off, out_len);
	    self.callback(res[0], res[1]);
	    
	    if (self.pending_close)
	      self.close();
	  });
	  
	  return this;
	};
	
	// set method for Node buffers, used by pako
	function bufferSet(data, offset) {
	  for (var i = 0; i < data.length; i++) {
	    this[offset + i] = data[i];
	  }
	}
	
	Zlib.prototype.writeSync = function(flush, input, in_off, in_len, out, out_off, out_len) {
	  this._writeCheck();
	  return this._write(flush, input, in_off, in_len, out, out_off, out_len);
	};
	
	Zlib.prototype._write = function(flush, input, in_off, in_len, out, out_off, out_len) {
	  this.write_in_progress = true;
	  
	  if (flush !== exports.Z_NO_FLUSH &&
	      flush !== exports.Z_PARTIAL_FLUSH &&
	      flush !== exports.Z_SYNC_FLUSH &&
	      flush !== exports.Z_FULL_FLUSH &&
	      flush !== exports.Z_FINISH &&
	      flush !== exports.Z_BLOCK) {
	    throw new Error("Invalid flush value");
	  }
	  
	  if (input == null) {
	    input = new Buffer(0);
	    in_len = 0;
	    in_off = 0;
	  }
	  
	  if (out._set)
	    out.set = out._set;
	  else
	    out.set = bufferSet;
	  
	  var strm = this.strm;
	  strm.avail_in = in_len;
	  strm.input = input;
	  strm.next_in = in_off;
	  strm.avail_out = out_len;
	  strm.output = out;
	  strm.next_out = out_off;
	  
	  switch (this.mode) {
	    case exports.DEFLATE:
	    case exports.GZIP:
	    case exports.DEFLATERAW:
	      var status = zlib_deflate.deflate(strm, flush);
	      break;
	    case exports.UNZIP:
	    case exports.INFLATE:
	    case exports.GUNZIP:
	    case exports.INFLATERAW:
	      var status = zlib_inflate.inflate(strm, flush);
	      break;
	    default:
	      throw new Error("Unknown mode " + this.mode);
	  }
	  
	  if (status !== exports.Z_STREAM_END && status !== exports.Z_OK) {
	    this._error(status);
	  }
	  
	  this.write_in_progress = false;
	  return [strm.avail_in, strm.avail_out];
	};
	
	Zlib.prototype.close = function() {
	  if (this.write_in_progress) {
	    this.pending_close = true;
	    return;
	  }
	  
	  this.pending_close = false;
	  
	  if (this.mode === exports.DEFLATE || this.mode === exports.GZIP || this.mode === exports.DEFLATERAW) {
	    zlib_deflate.deflateEnd(this.strm);
	  } else {
	    zlib_inflate.inflateEnd(this.strm);
	  }
	  
	  this.mode = exports.NONE;
	};
	
	Zlib.prototype.reset = function() {
	  switch (this.mode) {
	    case exports.DEFLATE:
	    case exports.DEFLATERAW:
	      var status = zlib_deflate.deflateReset(this.strm);
	      break;
	    case exports.INFLATE:
	    case exports.INFLATERAW:
	      var status = zlib_inflate.inflateReset(this.strm);
	      break;
	  }
	  
	  if (status !== exports.Z_OK) {
	    this._error(status);
	  }
	};
	
	Zlib.prototype._error = function(status) {
	  this.onerror(msg[status] + ': ' + this.strm.msg, status);
	  
	  this.write_in_progress = false;
	  if (this.pending_close)
	    this.close();
	};
	
	exports.Zlib = Zlib;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(20), __webpack_require__(1).Buffer))

/***/ },
/* 137 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  2:      'need dictionary',     /* Z_NEED_DICT       2  */
	  1:      'stream end',          /* Z_STREAM_END      1  */
	  0:      '',                    /* Z_OK              0  */
	  '-1':   'file error',          /* Z_ERRNO         (-1) */
	  '-2':   'stream error',        /* Z_STREAM_ERROR  (-2) */
	  '-3':   'data error',          /* Z_DATA_ERROR    (-3) */
	  '-4':   'insufficient memory', /* Z_MEM_ERROR     (-4) */
	  '-5':   'buffer error',        /* Z_BUF_ERROR     (-5) */
	  '-6':   'incompatible version' /* Z_VERSION_ERROR (-6) */
	};


/***/ },
/* 138 */
/***/ function(module, exports) {

	'use strict';
	
	
	function ZStream() {
	  /* next input byte */
	  this.input = null; // JS specific, because we have no pointers
	  this.next_in = 0;
	  /* number of bytes available at input */
	  this.avail_in = 0;
	  /* total number of input bytes read so far */
	  this.total_in = 0;
	  /* next output byte should be put there */
	  this.output = null; // JS specific, because we have no pointers
	  this.next_out = 0;
	  /* remaining free space at output */
	  this.avail_out = 0;
	  /* total number of bytes output so far */
	  this.total_out = 0;
	  /* last error message, NULL if no error */
	  this.msg = ''/*Z_NULL*/;
	  /* not visible by applications */
	  this.state = null;
	  /* best guess about the data type: binary or text */
	  this.data_type = 2/*Z_UNKNOWN*/;
	  /* adler32 value of the uncompressed data */
	  this.adler = 0;
	}
	
	module.exports = ZStream;


/***/ },
/* 139 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	var utils   = __webpack_require__(140);
	var trees   = __webpack_require__(141);
	var adler32 = __webpack_require__(142);
	var crc32   = __webpack_require__(143);
	var msg     = __webpack_require__(137);
	
	/* Public constants ==========================================================*/
	/* ===========================================================================*/
	
	
	/* Allowed flush values; see deflate() and inflate() below for details */
	var Z_NO_FLUSH      = 0;
	var Z_PARTIAL_FLUSH = 1;
	//var Z_SYNC_FLUSH    = 2;
	var Z_FULL_FLUSH    = 3;
	var Z_FINISH        = 4;
	var Z_BLOCK         = 5;
	//var Z_TREES         = 6;
	
	
	/* Return codes for the compression/decompression functions. Negative values
	 * are errors, positive values are used for special but normal events.
	 */
	var Z_OK            = 0;
	var Z_STREAM_END    = 1;
	//var Z_NEED_DICT     = 2;
	//var Z_ERRNO         = -1;
	var Z_STREAM_ERROR  = -2;
	var Z_DATA_ERROR    = -3;
	//var Z_MEM_ERROR     = -4;
	var Z_BUF_ERROR     = -5;
	//var Z_VERSION_ERROR = -6;
	
	
	/* compression levels */
	//var Z_NO_COMPRESSION      = 0;
	//var Z_BEST_SPEED          = 1;
	//var Z_BEST_COMPRESSION    = 9;
	var Z_DEFAULT_COMPRESSION = -1;
	
	
	var Z_FILTERED            = 1;
	var Z_HUFFMAN_ONLY        = 2;
	var Z_RLE                 = 3;
	var Z_FIXED               = 4;
	var Z_DEFAULT_STRATEGY    = 0;
	
	/* Possible values of the data_type field (though see inflate()) */
	//var Z_BINARY              = 0;
	//var Z_TEXT                = 1;
	//var Z_ASCII               = 1; // = Z_TEXT
	var Z_UNKNOWN             = 2;
	
	
	/* The deflate compression method */
	var Z_DEFLATED  = 8;
	
	/*============================================================================*/
	
	
	var MAX_MEM_LEVEL = 9;
	/* Maximum value for memLevel in deflateInit2 */
	var MAX_WBITS = 15;
	/* 32K LZ77 window */
	var DEF_MEM_LEVEL = 8;
	
	
	var LENGTH_CODES  = 29;
	/* number of length codes, not counting the special END_BLOCK code */
	var LITERALS      = 256;
	/* number of literal bytes 0..255 */
	var L_CODES       = LITERALS + 1 + LENGTH_CODES;
	/* number of Literal or Length codes, including the END_BLOCK code */
	var D_CODES       = 30;
	/* number of distance codes */
	var BL_CODES      = 19;
	/* number of codes used to transfer the bit lengths */
	var HEAP_SIZE     = 2 * L_CODES + 1;
	/* maximum heap size */
	var MAX_BITS  = 15;
	/* All codes must not exceed MAX_BITS bits */
	
	var MIN_MATCH = 3;
	var MAX_MATCH = 258;
	var MIN_LOOKAHEAD = (MAX_MATCH + MIN_MATCH + 1);
	
	var PRESET_DICT = 0x20;
	
	var INIT_STATE = 42;
	var EXTRA_STATE = 69;
	var NAME_STATE = 73;
	var COMMENT_STATE = 91;
	var HCRC_STATE = 103;
	var BUSY_STATE = 113;
	var FINISH_STATE = 666;
	
	var BS_NEED_MORE      = 1; /* block not completed, need more input or more output */
	var BS_BLOCK_DONE     = 2; /* block flush performed */
	var BS_FINISH_STARTED = 3; /* finish started, need only more output at next deflate */
	var BS_FINISH_DONE    = 4; /* finish done, accept no more input or output */
	
	var OS_CODE = 0x03; // Unix :) . Don't detect, use this default.
	
	function err(strm, errorCode) {
	  strm.msg = msg[errorCode];
	  return errorCode;
	}
	
	function rank(f) {
	  return ((f) << 1) - ((f) > 4 ? 9 : 0);
	}
	
	function zero(buf) { var len = buf.length; while (--len >= 0) { buf[len] = 0; } }
	
	
	/* =========================================================================
	 * Flush as much pending output as possible. All deflate() output goes
	 * through this function so some applications may wish to modify it
	 * to avoid allocating a large strm->output buffer and copying into it.
	 * (See also read_buf()).
	 */
	function flush_pending(strm) {
	  var s = strm.state;
	
	  //_tr_flush_bits(s);
	  var len = s.pending;
	  if (len > strm.avail_out) {
	    len = strm.avail_out;
	  }
	  if (len === 0) { return; }
	
	  utils.arraySet(strm.output, s.pending_buf, s.pending_out, len, strm.next_out);
	  strm.next_out += len;
	  s.pending_out += len;
	  strm.total_out += len;
	  strm.avail_out -= len;
	  s.pending -= len;
	  if (s.pending === 0) {
	    s.pending_out = 0;
	  }
	}
	
	
	function flush_block_only(s, last) {
	  trees._tr_flush_block(s, (s.block_start >= 0 ? s.block_start : -1), s.strstart - s.block_start, last);
	  s.block_start = s.strstart;
	  flush_pending(s.strm);
	}
	
	
	function put_byte(s, b) {
	  s.pending_buf[s.pending++] = b;
	}
	
	
	/* =========================================================================
	 * Put a short in the pending buffer. The 16-bit value is put in MSB order.
	 * IN assertion: the stream state is correct and there is enough room in
	 * pending_buf.
	 */
	function putShortMSB(s, b) {
	//  put_byte(s, (Byte)(b >> 8));
	//  put_byte(s, (Byte)(b & 0xff));
	  s.pending_buf[s.pending++] = (b >>> 8) & 0xff;
	  s.pending_buf[s.pending++] = b & 0xff;
	}
	
	
	/* ===========================================================================
	 * Read a new buffer from the current input stream, update the adler32
	 * and total number of bytes read.  All deflate() input goes through
	 * this function so some applications may wish to modify it to avoid
	 * allocating a large strm->input buffer and copying from it.
	 * (See also flush_pending()).
	 */
	function read_buf(strm, buf, start, size) {
	  var len = strm.avail_in;
	
	  if (len > size) { len = size; }
	  if (len === 0) { return 0; }
	
	  strm.avail_in -= len;
	
	  // zmemcpy(buf, strm->next_in, len);
	  utils.arraySet(buf, strm.input, strm.next_in, len, start);
	  if (strm.state.wrap === 1) {
	    strm.adler = adler32(strm.adler, buf, len, start);
	  }
	
	  else if (strm.state.wrap === 2) {
	    strm.adler = crc32(strm.adler, buf, len, start);
	  }
	
	  strm.next_in += len;
	  strm.total_in += len;
	
	  return len;
	}
	
	
	/* ===========================================================================
	 * Set match_start to the longest match starting at the given string and
	 * return its length. Matches shorter or equal to prev_length are discarded,
	 * in which case the result is equal to prev_length and match_start is
	 * garbage.
	 * IN assertions: cur_match is the head of the hash chain for the current
	 *   string (strstart) and its distance is <= MAX_DIST, and prev_length >= 1
	 * OUT assertion: the match length is not greater than s->lookahead.
	 */
	function longest_match(s, cur_match) {
	  var chain_length = s.max_chain_length;      /* max hash chain length */
	  var scan = s.strstart; /* current string */
	  var match;                       /* matched string */
	  var len;                           /* length of current match */
	  var best_len = s.prev_length;              /* best match length so far */
	  var nice_match = s.nice_match;             /* stop if match long enough */
	  var limit = (s.strstart > (s.w_size - MIN_LOOKAHEAD)) ?
	      s.strstart - (s.w_size - MIN_LOOKAHEAD) : 0/*NIL*/;
	
	  var _win = s.window; // shortcut
	
	  var wmask = s.w_mask;
	  var prev  = s.prev;
	
	  /* Stop when cur_match becomes <= limit. To simplify the code,
	   * we prevent matches with the string of window index 0.
	   */
	
	  var strend = s.strstart + MAX_MATCH;
	  var scan_end1  = _win[scan + best_len - 1];
	  var scan_end   = _win[scan + best_len];
	
	  /* The code is optimized for HASH_BITS >= 8 and MAX_MATCH-2 multiple of 16.
	   * It is easy to get rid of this optimization if necessary.
	   */
	  // Assert(s->hash_bits >= 8 && MAX_MATCH == 258, "Code too clever");
	
	  /* Do not waste too much time if we already have a good match: */
	  if (s.prev_length >= s.good_match) {
	    chain_length >>= 2;
	  }
	  /* Do not look for matches beyond the end of the input. This is necessary
	   * to make deflate deterministic.
	   */
	  if (nice_match > s.lookahead) { nice_match = s.lookahead; }
	
	  // Assert((ulg)s->strstart <= s->window_size-MIN_LOOKAHEAD, "need lookahead");
	
	  do {
	    // Assert(cur_match < s->strstart, "no future");
	    match = cur_match;
	
	    /* Skip to next match if the match length cannot increase
	     * or if the match length is less than 2.  Note that the checks below
	     * for insufficient lookahead only occur occasionally for performance
	     * reasons.  Therefore uninitialized memory will be accessed, and
	     * conditional jumps will be made that depend on those values.
	     * However the length of the match is limited to the lookahead, so
	     * the output of deflate is not affected by the uninitialized values.
	     */
	
	    if (_win[match + best_len]     !== scan_end  ||
	        _win[match + best_len - 1] !== scan_end1 ||
	        _win[match]                !== _win[scan] ||
	        _win[++match]              !== _win[scan + 1]) {
	      continue;
	    }
	
	    /* The check at best_len-1 can be removed because it will be made
	     * again later. (This heuristic is not always a win.)
	     * It is not necessary to compare scan[2] and match[2] since they
	     * are always equal when the other bytes match, given that
	     * the hash keys are equal and that HASH_BITS >= 8.
	     */
	    scan += 2;
	    match++;
	    // Assert(*scan == *match, "match[2]?");
	
	    /* We check for insufficient lookahead only every 8th comparison;
	     * the 256th check will be made at strstart+258.
	     */
	    do {
	      /*jshint noempty:false*/
	    } while (_win[++scan] === _win[++match] && _win[++scan] === _win[++match] &&
	             _win[++scan] === _win[++match] && _win[++scan] === _win[++match] &&
	             _win[++scan] === _win[++match] && _win[++scan] === _win[++match] &&
	             _win[++scan] === _win[++match] && _win[++scan] === _win[++match] &&
	             scan < strend);
	
	    // Assert(scan <= s->window+(unsigned)(s->window_size-1), "wild scan");
	
	    len = MAX_MATCH - (strend - scan);
	    scan = strend - MAX_MATCH;
	
	    if (len > best_len) {
	      s.match_start = cur_match;
	      best_len = len;
	      if (len >= nice_match) {
	        break;
	      }
	      scan_end1  = _win[scan + best_len - 1];
	      scan_end   = _win[scan + best_len];
	    }
	  } while ((cur_match = prev[cur_match & wmask]) > limit && --chain_length !== 0);
	
	  if (best_len <= s.lookahead) {
	    return best_len;
	  }
	  return s.lookahead;
	}
	
	
	/* ===========================================================================
	 * Fill the window when the lookahead becomes insufficient.
	 * Updates strstart and lookahead.
	 *
	 * IN assertion: lookahead < MIN_LOOKAHEAD
	 * OUT assertions: strstart <= window_size-MIN_LOOKAHEAD
	 *    At least one byte has been read, or avail_in == 0; reads are
	 *    performed for at least two bytes (required for the zip translate_eol
	 *    option -- not supported here).
	 */
	function fill_window(s) {
	  var _w_size = s.w_size;
	  var p, n, m, more, str;
	
	  //Assert(s->lookahead < MIN_LOOKAHEAD, "already enough lookahead");
	
	  do {
	    more = s.window_size - s.lookahead - s.strstart;
	
	    // JS ints have 32 bit, block below not needed
	    /* Deal with !@#$% 64K limit: */
	    //if (sizeof(int) <= 2) {
	    //    if (more == 0 && s->strstart == 0 && s->lookahead == 0) {
	    //        more = wsize;
	    //
	    //  } else if (more == (unsigned)(-1)) {
	    //        /* Very unlikely, but possible on 16 bit machine if
	    //         * strstart == 0 && lookahead == 1 (input done a byte at time)
	    //         */
	    //        more--;
	    //    }
	    //}
	
	
	    /* If the window is almost full and there is insufficient lookahead,
	     * move the upper half to the lower one to make room in the upper half.
	     */
	    if (s.strstart >= _w_size + (_w_size - MIN_LOOKAHEAD)) {
	
	      utils.arraySet(s.window, s.window, _w_size, _w_size, 0);
	      s.match_start -= _w_size;
	      s.strstart -= _w_size;
	      /* we now have strstart >= MAX_DIST */
	      s.block_start -= _w_size;
	
	      /* Slide the hash table (could be avoided with 32 bit values
	       at the expense of memory usage). We slide even when level == 0
	       to keep the hash table consistent if we switch back to level > 0
	       later. (Using level 0 permanently is not an optimal usage of
	       zlib, so we don't care about this pathological case.)
	       */
	
	      n = s.hash_size;
	      p = n;
	      do {
	        m = s.head[--p];
	        s.head[p] = (m >= _w_size ? m - _w_size : 0);
	      } while (--n);
	
	      n = _w_size;
	      p = n;
	      do {
	        m = s.prev[--p];
	        s.prev[p] = (m >= _w_size ? m - _w_size : 0);
	        /* If n is not on any hash chain, prev[n] is garbage but
	         * its value will never be used.
	         */
	      } while (--n);
	
	      more += _w_size;
	    }
	    if (s.strm.avail_in === 0) {
	      break;
	    }
	
	    /* If there was no sliding:
	     *    strstart <= WSIZE+MAX_DIST-1 && lookahead <= MIN_LOOKAHEAD - 1 &&
	     *    more == window_size - lookahead - strstart
	     * => more >= window_size - (MIN_LOOKAHEAD-1 + WSIZE + MAX_DIST-1)
	     * => more >= window_size - 2*WSIZE + 2
	     * In the BIG_MEM or MMAP case (not yet supported),
	     *   window_size == input_size + MIN_LOOKAHEAD  &&
	     *   strstart + s->lookahead <= input_size => more >= MIN_LOOKAHEAD.
	     * Otherwise, window_size == 2*WSIZE so more >= 2.
	     * If there was sliding, more >= WSIZE. So in all cases, more >= 2.
	     */
	    //Assert(more >= 2, "more < 2");
	    n = read_buf(s.strm, s.window, s.strstart + s.lookahead, more);
	    s.lookahead += n;
	
	    /* Initialize the hash value now that we have some input: */
	    if (s.lookahead + s.insert >= MIN_MATCH) {
	      str = s.strstart - s.insert;
	      s.ins_h = s.window[str];
	
	      /* UPDATE_HASH(s, s->ins_h, s->window[str + 1]); */
	      s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[str + 1]) & s.hash_mask;
	//#if MIN_MATCH != 3
	//        Call update_hash() MIN_MATCH-3 more times
	//#endif
	      while (s.insert) {
	        /* UPDATE_HASH(s, s->ins_h, s->window[str + MIN_MATCH-1]); */
	        s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[str + MIN_MATCH - 1]) & s.hash_mask;
	
	        s.prev[str & s.w_mask] = s.head[s.ins_h];
	        s.head[s.ins_h] = str;
	        str++;
	        s.insert--;
	        if (s.lookahead + s.insert < MIN_MATCH) {
	          break;
	        }
	      }
	    }
	    /* If the whole input has less than MIN_MATCH bytes, ins_h is garbage,
	     * but this is not important since only literal bytes will be emitted.
	     */
	
	  } while (s.lookahead < MIN_LOOKAHEAD && s.strm.avail_in !== 0);
	
	  /* If the WIN_INIT bytes after the end of the current data have never been
	   * written, then zero those bytes in order to avoid memory check reports of
	   * the use of uninitialized (or uninitialised as Julian writes) bytes by
	   * the longest match routines.  Update the high water mark for the next
	   * time through here.  WIN_INIT is set to MAX_MATCH since the longest match
	   * routines allow scanning to strstart + MAX_MATCH, ignoring lookahead.
	   */
	//  if (s.high_water < s.window_size) {
	//    var curr = s.strstart + s.lookahead;
	//    var init = 0;
	//
	//    if (s.high_water < curr) {
	//      /* Previous high water mark below current data -- zero WIN_INIT
	//       * bytes or up to end of window, whichever is less.
	//       */
	//      init = s.window_size - curr;
	//      if (init > WIN_INIT)
	//        init = WIN_INIT;
	//      zmemzero(s->window + curr, (unsigned)init);
	//      s->high_water = curr + init;
	//    }
	//    else if (s->high_water < (ulg)curr + WIN_INIT) {
	//      /* High water mark at or above current data, but below current data
	//       * plus WIN_INIT -- zero out to current data plus WIN_INIT, or up
	//       * to end of window, whichever is less.
	//       */
	//      init = (ulg)curr + WIN_INIT - s->high_water;
	//      if (init > s->window_size - s->high_water)
	//        init = s->window_size - s->high_water;
	//      zmemzero(s->window + s->high_water, (unsigned)init);
	//      s->high_water += init;
	//    }
	//  }
	//
	//  Assert((ulg)s->strstart <= s->window_size - MIN_LOOKAHEAD,
	//    "not enough room for search");
	}
	
	/* ===========================================================================
	 * Copy without compression as much as possible from the input stream, return
	 * the current block state.
	 * This function does not insert new strings in the dictionary since
	 * uncompressible data is probably not useful. This function is used
	 * only for the level=0 compression option.
	 * NOTE: this function should be optimized to avoid extra copying from
	 * window to pending_buf.
	 */
	function deflate_stored(s, flush) {
	  /* Stored blocks are limited to 0xffff bytes, pending_buf is limited
	   * to pending_buf_size, and each stored block has a 5 byte header:
	   */
	  var max_block_size = 0xffff;
	
	  if (max_block_size > s.pending_buf_size - 5) {
	    max_block_size = s.pending_buf_size - 5;
	  }
	
	  /* Copy as much as possible from input to output: */
	  for (;;) {
	    /* Fill the window as much as possible: */
	    if (s.lookahead <= 1) {
	
	      //Assert(s->strstart < s->w_size+MAX_DIST(s) ||
	      //  s->block_start >= (long)s->w_size, "slide too late");
	//      if (!(s.strstart < s.w_size + (s.w_size - MIN_LOOKAHEAD) ||
	//        s.block_start >= s.w_size)) {
	//        throw  new Error("slide too late");
	//      }
	
	      fill_window(s);
	      if (s.lookahead === 0 && flush === Z_NO_FLUSH) {
	        return BS_NEED_MORE;
	      }
	
	      if (s.lookahead === 0) {
	        break;
	      }
	      /* flush the current block */
	    }
	    //Assert(s->block_start >= 0L, "block gone");
	//    if (s.block_start < 0) throw new Error("block gone");
	
	    s.strstart += s.lookahead;
	    s.lookahead = 0;
	
	    /* Emit a stored block if pending_buf will be full: */
	    var max_start = s.block_start + max_block_size;
	
	    if (s.strstart === 0 || s.strstart >= max_start) {
	      /* strstart == 0 is possible when wraparound on 16-bit machine */
	      s.lookahead = s.strstart - max_start;
	      s.strstart = max_start;
	      /*** FLUSH_BLOCK(s, 0); ***/
	      flush_block_only(s, false);
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	      /***/
	
	
	    }
	    /* Flush if we may have to slide, otherwise block_start may become
	     * negative and the data will be gone:
	     */
	    if (s.strstart - s.block_start >= (s.w_size - MIN_LOOKAHEAD)) {
	      /*** FLUSH_BLOCK(s, 0); ***/
	      flush_block_only(s, false);
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	      /***/
	    }
	  }
	
	  s.insert = 0;
	
	  if (flush === Z_FINISH) {
	    /*** FLUSH_BLOCK(s, 1); ***/
	    flush_block_only(s, true);
	    if (s.strm.avail_out === 0) {
	      return BS_FINISH_STARTED;
	    }
	    /***/
	    return BS_FINISH_DONE;
	  }
	
	  if (s.strstart > s.block_start) {
	    /*** FLUSH_BLOCK(s, 0); ***/
	    flush_block_only(s, false);
	    if (s.strm.avail_out === 0) {
	      return BS_NEED_MORE;
	    }
	    /***/
	  }
	
	  return BS_NEED_MORE;
	}
	
	/* ===========================================================================
	 * Compress as much as possible from the input stream, return the current
	 * block state.
	 * This function does not perform lazy evaluation of matches and inserts
	 * new strings in the dictionary only for unmatched strings or for short
	 * matches. It is used only for the fast compression options.
	 */
	function deflate_fast(s, flush) {
	  var hash_head;        /* head of the hash chain */
	  var bflush;           /* set if current block must be flushed */
	
	  for (;;) {
	    /* Make sure that we always have enough lookahead, except
	     * at the end of the input file. We need MAX_MATCH bytes
	     * for the next match, plus MIN_MATCH bytes to insert the
	     * string following the next match.
	     */
	    if (s.lookahead < MIN_LOOKAHEAD) {
	      fill_window(s);
	      if (s.lookahead < MIN_LOOKAHEAD && flush === Z_NO_FLUSH) {
	        return BS_NEED_MORE;
	      }
	      if (s.lookahead === 0) {
	        break; /* flush the current block */
	      }
	    }
	
	    /* Insert the string window[strstart .. strstart+2] in the
	     * dictionary, and set hash_head to the head of the hash chain:
	     */
	    hash_head = 0/*NIL*/;
	    if (s.lookahead >= MIN_MATCH) {
	      /*** INSERT_STRING(s, s.strstart, hash_head); ***/
	      s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[s.strstart + MIN_MATCH - 1]) & s.hash_mask;
	      hash_head = s.prev[s.strstart & s.w_mask] = s.head[s.ins_h];
	      s.head[s.ins_h] = s.strstart;
	      /***/
	    }
	
	    /* Find the longest match, discarding those <= prev_length.
	     * At this point we have always match_length < MIN_MATCH
	     */
	    if (hash_head !== 0/*NIL*/ && ((s.strstart - hash_head) <= (s.w_size - MIN_LOOKAHEAD))) {
	      /* To simplify the code, we prevent matches with the string
	       * of window index 0 (in particular we have to avoid a match
	       * of the string with itself at the start of the input file).
	       */
	      s.match_length = longest_match(s, hash_head);
	      /* longest_match() sets match_start */
	    }
	    if (s.match_length >= MIN_MATCH) {
	      // check_match(s, s.strstart, s.match_start, s.match_length); // for debug only
	
	      /*** _tr_tally_dist(s, s.strstart - s.match_start,
	                     s.match_length - MIN_MATCH, bflush); ***/
	      bflush = trees._tr_tally(s, s.strstart - s.match_start, s.match_length - MIN_MATCH);
	
	      s.lookahead -= s.match_length;
	
	      /* Insert new strings in the hash table only if the match length
	       * is not too large. This saves time but degrades compression.
	       */
	      if (s.match_length <= s.max_lazy_match/*max_insert_length*/ && s.lookahead >= MIN_MATCH) {
	        s.match_length--; /* string at strstart already in table */
	        do {
	          s.strstart++;
	          /*** INSERT_STRING(s, s.strstart, hash_head); ***/
	          s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[s.strstart + MIN_MATCH - 1]) & s.hash_mask;
	          hash_head = s.prev[s.strstart & s.w_mask] = s.head[s.ins_h];
	          s.head[s.ins_h] = s.strstart;
	          /***/
	          /* strstart never exceeds WSIZE-MAX_MATCH, so there are
	           * always MIN_MATCH bytes ahead.
	           */
	        } while (--s.match_length !== 0);
	        s.strstart++;
	      } else
	      {
	        s.strstart += s.match_length;
	        s.match_length = 0;
	        s.ins_h = s.window[s.strstart];
	        /* UPDATE_HASH(s, s.ins_h, s.window[s.strstart+1]); */
	        s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[s.strstart + 1]) & s.hash_mask;
	
	//#if MIN_MATCH != 3
	//                Call UPDATE_HASH() MIN_MATCH-3 more times
	//#endif
	        /* If lookahead < MIN_MATCH, ins_h is garbage, but it does not
	         * matter since it will be recomputed at next deflate call.
	         */
	      }
	    } else {
	      /* No match, output a literal byte */
	      //Tracevv((stderr,"%c", s.window[s.strstart]));
	      /*** _tr_tally_lit(s, s.window[s.strstart], bflush); ***/
	      bflush = trees._tr_tally(s, 0, s.window[s.strstart]);
	
	      s.lookahead--;
	      s.strstart++;
	    }
	    if (bflush) {
	      /*** FLUSH_BLOCK(s, 0); ***/
	      flush_block_only(s, false);
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	      /***/
	    }
	  }
	  s.insert = ((s.strstart < (MIN_MATCH - 1)) ? s.strstart : MIN_MATCH - 1);
	  if (flush === Z_FINISH) {
	    /*** FLUSH_BLOCK(s, 1); ***/
	    flush_block_only(s, true);
	    if (s.strm.avail_out === 0) {
	      return BS_FINISH_STARTED;
	    }
	    /***/
	    return BS_FINISH_DONE;
	  }
	  if (s.last_lit) {
	    /*** FLUSH_BLOCK(s, 0); ***/
	    flush_block_only(s, false);
	    if (s.strm.avail_out === 0) {
	      return BS_NEED_MORE;
	    }
	    /***/
	  }
	  return BS_BLOCK_DONE;
	}
	
	/* ===========================================================================
	 * Same as above, but achieves better compression. We use a lazy
	 * evaluation for matches: a match is finally adopted only if there is
	 * no better match at the next window position.
	 */
	function deflate_slow(s, flush) {
	  var hash_head;          /* head of hash chain */
	  var bflush;              /* set if current block must be flushed */
	
	  var max_insert;
	
	  /* Process the input block. */
	  for (;;) {
	    /* Make sure that we always have enough lookahead, except
	     * at the end of the input file. We need MAX_MATCH bytes
	     * for the next match, plus MIN_MATCH bytes to insert the
	     * string following the next match.
	     */
	    if (s.lookahead < MIN_LOOKAHEAD) {
	      fill_window(s);
	      if (s.lookahead < MIN_LOOKAHEAD && flush === Z_NO_FLUSH) {
	        return BS_NEED_MORE;
	      }
	      if (s.lookahead === 0) { break; } /* flush the current block */
	    }
	
	    /* Insert the string window[strstart .. strstart+2] in the
	     * dictionary, and set hash_head to the head of the hash chain:
	     */
	    hash_head = 0/*NIL*/;
	    if (s.lookahead >= MIN_MATCH) {
	      /*** INSERT_STRING(s, s.strstart, hash_head); ***/
	      s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[s.strstart + MIN_MATCH - 1]) & s.hash_mask;
	      hash_head = s.prev[s.strstart & s.w_mask] = s.head[s.ins_h];
	      s.head[s.ins_h] = s.strstart;
	      /***/
	    }
	
	    /* Find the longest match, discarding those <= prev_length.
	     */
	    s.prev_length = s.match_length;
	    s.prev_match = s.match_start;
	    s.match_length = MIN_MATCH - 1;
	
	    if (hash_head !== 0/*NIL*/ && s.prev_length < s.max_lazy_match &&
	        s.strstart - hash_head <= (s.w_size - MIN_LOOKAHEAD)/*MAX_DIST(s)*/) {
	      /* To simplify the code, we prevent matches with the string
	       * of window index 0 (in particular we have to avoid a match
	       * of the string with itself at the start of the input file).
	       */
	      s.match_length = longest_match(s, hash_head);
	      /* longest_match() sets match_start */
	
	      if (s.match_length <= 5 &&
	         (s.strategy === Z_FILTERED || (s.match_length === MIN_MATCH && s.strstart - s.match_start > 4096/*TOO_FAR*/))) {
	
	        /* If prev_match is also MIN_MATCH, match_start is garbage
	         * but we will ignore the current match anyway.
	         */
	        s.match_length = MIN_MATCH - 1;
	      }
	    }
	    /* If there was a match at the previous step and the current
	     * match is not better, output the previous match:
	     */
	    if (s.prev_length >= MIN_MATCH && s.match_length <= s.prev_length) {
	      max_insert = s.strstart + s.lookahead - MIN_MATCH;
	      /* Do not insert strings in hash table beyond this. */
	
	      //check_match(s, s.strstart-1, s.prev_match, s.prev_length);
	
	      /***_tr_tally_dist(s, s.strstart - 1 - s.prev_match,
	                     s.prev_length - MIN_MATCH, bflush);***/
	      bflush = trees._tr_tally(s, s.strstart - 1 - s.prev_match, s.prev_length - MIN_MATCH);
	      /* Insert in hash table all strings up to the end of the match.
	       * strstart-1 and strstart are already inserted. If there is not
	       * enough lookahead, the last two strings are not inserted in
	       * the hash table.
	       */
	      s.lookahead -= s.prev_length - 1;
	      s.prev_length -= 2;
	      do {
	        if (++s.strstart <= max_insert) {
	          /*** INSERT_STRING(s, s.strstart, hash_head); ***/
	          s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[s.strstart + MIN_MATCH - 1]) & s.hash_mask;
	          hash_head = s.prev[s.strstart & s.w_mask] = s.head[s.ins_h];
	          s.head[s.ins_h] = s.strstart;
	          /***/
	        }
	      } while (--s.prev_length !== 0);
	      s.match_available = 0;
	      s.match_length = MIN_MATCH - 1;
	      s.strstart++;
	
	      if (bflush) {
	        /*** FLUSH_BLOCK(s, 0); ***/
	        flush_block_only(s, false);
	        if (s.strm.avail_out === 0) {
	          return BS_NEED_MORE;
	        }
	        /***/
	      }
	
	    } else if (s.match_available) {
	      /* If there was no match at the previous position, output a
	       * single literal. If there was a match but the current match
	       * is longer, truncate the previous match to a single literal.
	       */
	      //Tracevv((stderr,"%c", s->window[s->strstart-1]));
	      /*** _tr_tally_lit(s, s.window[s.strstart-1], bflush); ***/
	      bflush = trees._tr_tally(s, 0, s.window[s.strstart - 1]);
	
	      if (bflush) {
	        /*** FLUSH_BLOCK_ONLY(s, 0) ***/
	        flush_block_only(s, false);
	        /***/
	      }
	      s.strstart++;
	      s.lookahead--;
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	    } else {
	      /* There is no previous match to compare with, wait for
	       * the next step to decide.
	       */
	      s.match_available = 1;
	      s.strstart++;
	      s.lookahead--;
	    }
	  }
	  //Assert (flush != Z_NO_FLUSH, "no flush?");
	  if (s.match_available) {
	    //Tracevv((stderr,"%c", s->window[s->strstart-1]));
	    /*** _tr_tally_lit(s, s.window[s.strstart-1], bflush); ***/
	    bflush = trees._tr_tally(s, 0, s.window[s.strstart - 1]);
	
	    s.match_available = 0;
	  }
	  s.insert = s.strstart < MIN_MATCH - 1 ? s.strstart : MIN_MATCH - 1;
	  if (flush === Z_FINISH) {
	    /*** FLUSH_BLOCK(s, 1); ***/
	    flush_block_only(s, true);
	    if (s.strm.avail_out === 0) {
	      return BS_FINISH_STARTED;
	    }
	    /***/
	    return BS_FINISH_DONE;
	  }
	  if (s.last_lit) {
	    /*** FLUSH_BLOCK(s, 0); ***/
	    flush_block_only(s, false);
	    if (s.strm.avail_out === 0) {
	      return BS_NEED_MORE;
	    }
	    /***/
	  }
	
	  return BS_BLOCK_DONE;
	}
	
	
	/* ===========================================================================
	 * For Z_RLE, simply look for runs of bytes, generate matches only of distance
	 * one.  Do not maintain a hash table.  (It will be regenerated if this run of
	 * deflate switches away from Z_RLE.)
	 */
	function deflate_rle(s, flush) {
	  var bflush;            /* set if current block must be flushed */
	  var prev;              /* byte at distance one to match */
	  var scan, strend;      /* scan goes up to strend for length of run */
	
	  var _win = s.window;
	
	  for (;;) {
	    /* Make sure that we always have enough lookahead, except
	     * at the end of the input file. We need MAX_MATCH bytes
	     * for the longest run, plus one for the unrolled loop.
	     */
	    if (s.lookahead <= MAX_MATCH) {
	      fill_window(s);
	      if (s.lookahead <= MAX_MATCH && flush === Z_NO_FLUSH) {
	        return BS_NEED_MORE;
	      }
	      if (s.lookahead === 0) { break; } /* flush the current block */
	    }
	
	    /* See how many times the previous byte repeats */
	    s.match_length = 0;
	    if (s.lookahead >= MIN_MATCH && s.strstart > 0) {
	      scan = s.strstart - 1;
	      prev = _win[scan];
	      if (prev === _win[++scan] && prev === _win[++scan] && prev === _win[++scan]) {
	        strend = s.strstart + MAX_MATCH;
	        do {
	          /*jshint noempty:false*/
	        } while (prev === _win[++scan] && prev === _win[++scan] &&
	                 prev === _win[++scan] && prev === _win[++scan] &&
	                 prev === _win[++scan] && prev === _win[++scan] &&
	                 prev === _win[++scan] && prev === _win[++scan] &&
	                 scan < strend);
	        s.match_length = MAX_MATCH - (strend - scan);
	        if (s.match_length > s.lookahead) {
	          s.match_length = s.lookahead;
	        }
	      }
	      //Assert(scan <= s->window+(uInt)(s->window_size-1), "wild scan");
	    }
	
	    /* Emit match if have run of MIN_MATCH or longer, else emit literal */
	    if (s.match_length >= MIN_MATCH) {
	      //check_match(s, s.strstart, s.strstart - 1, s.match_length);
	
	      /*** _tr_tally_dist(s, 1, s.match_length - MIN_MATCH, bflush); ***/
	      bflush = trees._tr_tally(s, 1, s.match_length - MIN_MATCH);
	
	      s.lookahead -= s.match_length;
	      s.strstart += s.match_length;
	      s.match_length = 0;
	    } else {
	      /* No match, output a literal byte */
	      //Tracevv((stderr,"%c", s->window[s->strstart]));
	      /*** _tr_tally_lit(s, s.window[s.strstart], bflush); ***/
	      bflush = trees._tr_tally(s, 0, s.window[s.strstart]);
	
	      s.lookahead--;
	      s.strstart++;
	    }
	    if (bflush) {
	      /*** FLUSH_BLOCK(s, 0); ***/
	      flush_block_only(s, false);
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	      /***/
	    }
	  }
	  s.insert = 0;
	  if (flush === Z_FINISH) {
	    /*** FLUSH_BLOCK(s, 1); ***/
	    flush_block_only(s, true);
	    if (s.strm.avail_out === 0) {
	      return BS_FINISH_STARTED;
	    }
	    /***/
	    return BS_FINISH_DONE;
	  }
	  if (s.last_lit) {
	    /*** FLUSH_BLOCK(s, 0); ***/
	    flush_block_only(s, false);
	    if (s.strm.avail_out === 0) {
	      return BS_NEED_MORE;
	    }
	    /***/
	  }
	  return BS_BLOCK_DONE;
	}
	
	/* ===========================================================================
	 * For Z_HUFFMAN_ONLY, do not look for matches.  Do not maintain a hash table.
	 * (It will be regenerated if this run of deflate switches away from Huffman.)
	 */
	function deflate_huff(s, flush) {
	  var bflush;             /* set if current block must be flushed */
	
	  for (;;) {
	    /* Make sure that we have a literal to write. */
	    if (s.lookahead === 0) {
	      fill_window(s);
	      if (s.lookahead === 0) {
	        if (flush === Z_NO_FLUSH) {
	          return BS_NEED_MORE;
	        }
	        break;      /* flush the current block */
	      }
	    }
	
	    /* Output a literal byte */
	    s.match_length = 0;
	    //Tracevv((stderr,"%c", s->window[s->strstart]));
	    /*** _tr_tally_lit(s, s.window[s.strstart], bflush); ***/
	    bflush = trees._tr_tally(s, 0, s.window[s.strstart]);
	    s.lookahead--;
	    s.strstart++;
	    if (bflush) {
	      /*** FLUSH_BLOCK(s, 0); ***/
	      flush_block_only(s, false);
	      if (s.strm.avail_out === 0) {
	        return BS_NEED_MORE;
	      }
	      /***/
	    }
	  }
	  s.insert = 0;
	  if (flush === Z_FINISH) {
	    /*** FLUSH_BLOCK(s, 1); ***/
	    flush_block_only(s, true);
	    if (s.strm.avail_out === 0) {
	      return BS_FINISH_STARTED;
	    }
	    /***/
	    return BS_FINISH_DONE;
	  }
	  if (s.last_lit) {
	    /*** FLUSH_BLOCK(s, 0); ***/
	    flush_block_only(s, false);
	    if (s.strm.avail_out === 0) {
	      return BS_NEED_MORE;
	    }
	    /***/
	  }
	  return BS_BLOCK_DONE;
	}
	
	/* Values for max_lazy_match, good_match and max_chain_length, depending on
	 * the desired pack level (0..9). The values given below have been tuned to
	 * exclude worst case performance for pathological files. Better values may be
	 * found for specific files.
	 */
	function Config(good_length, max_lazy, nice_length, max_chain, func) {
	  this.good_length = good_length;
	  this.max_lazy = max_lazy;
	  this.nice_length = nice_length;
	  this.max_chain = max_chain;
	  this.func = func;
	}
	
	var configuration_table;
	
	configuration_table = [
	  /*      good lazy nice chain */
	  new Config(0, 0, 0, 0, deflate_stored),          /* 0 store only */
	  new Config(4, 4, 8, 4, deflate_fast),            /* 1 max speed, no lazy matches */
	  new Config(4, 5, 16, 8, deflate_fast),           /* 2 */
	  new Config(4, 6, 32, 32, deflate_fast),          /* 3 */
	
	  new Config(4, 4, 16, 16, deflate_slow),          /* 4 lazy matches */
	  new Config(8, 16, 32, 32, deflate_slow),         /* 5 */
	  new Config(8, 16, 128, 128, deflate_slow),       /* 6 */
	  new Config(8, 32, 128, 256, deflate_slow),       /* 7 */
	  new Config(32, 128, 258, 1024, deflate_slow),    /* 8 */
	  new Config(32, 258, 258, 4096, deflate_slow)     /* 9 max compression */
	];
	
	
	/* ===========================================================================
	 * Initialize the "longest match" routines for a new zlib stream
	 */
	function lm_init(s) {
	  s.window_size = 2 * s.w_size;
	
	  /*** CLEAR_HASH(s); ***/
	  zero(s.head); // Fill with NIL (= 0);
	
	  /* Set the default configuration parameters:
	   */
	  s.max_lazy_match = configuration_table[s.level].max_lazy;
	  s.good_match = configuration_table[s.level].good_length;
	  s.nice_match = configuration_table[s.level].nice_length;
	  s.max_chain_length = configuration_table[s.level].max_chain;
	
	  s.strstart = 0;
	  s.block_start = 0;
	  s.lookahead = 0;
	  s.insert = 0;
	  s.match_length = s.prev_length = MIN_MATCH - 1;
	  s.match_available = 0;
	  s.ins_h = 0;
	}
	
	
	function DeflateState() {
	  this.strm = null;            /* pointer back to this zlib stream */
	  this.status = 0;            /* as the name implies */
	  this.pending_buf = null;      /* output still pending */
	  this.pending_buf_size = 0;  /* size of pending_buf */
	  this.pending_out = 0;       /* next pending byte to output to the stream */
	  this.pending = 0;           /* nb of bytes in the pending buffer */
	  this.wrap = 0;              /* bit 0 true for zlib, bit 1 true for gzip */
	  this.gzhead = null;         /* gzip header information to write */
	  this.gzindex = 0;           /* where in extra, name, or comment */
	  this.method = Z_DEFLATED; /* can only be DEFLATED */
	  this.last_flush = -1;   /* value of flush param for previous deflate call */
	
	  this.w_size = 0;  /* LZ77 window size (32K by default) */
	  this.w_bits = 0;  /* log2(w_size)  (8..16) */
	  this.w_mask = 0;  /* w_size - 1 */
	
	  this.window = null;
	  /* Sliding window. Input bytes are read into the second half of the window,
	   * and move to the first half later to keep a dictionary of at least wSize
	   * bytes. With this organization, matches are limited to a distance of
	   * wSize-MAX_MATCH bytes, but this ensures that IO is always
	   * performed with a length multiple of the block size.
	   */
	
	  this.window_size = 0;
	  /* Actual size of window: 2*wSize, except when the user input buffer
	   * is directly used as sliding window.
	   */
	
	  this.prev = null;
	  /* Link to older string with same hash index. To limit the size of this
	   * array to 64K, this link is maintained only for the last 32K strings.
	   * An index in this array is thus a window index modulo 32K.
	   */
	
	  this.head = null;   /* Heads of the hash chains or NIL. */
	
	  this.ins_h = 0;       /* hash index of string to be inserted */
	  this.hash_size = 0;   /* number of elements in hash table */
	  this.hash_bits = 0;   /* log2(hash_size) */
	  this.hash_mask = 0;   /* hash_size-1 */
	
	  this.hash_shift = 0;
	  /* Number of bits by which ins_h must be shifted at each input
	   * step. It must be such that after MIN_MATCH steps, the oldest
	   * byte no longer takes part in the hash key, that is:
	   *   hash_shift * MIN_MATCH >= hash_bits
	   */
	
	  this.block_start = 0;
	  /* Window position at the beginning of the current output block. Gets
	   * negative when the window is moved backwards.
	   */
	
	  this.match_length = 0;      /* length of best match */
	  this.prev_match = 0;        /* previous match */
	  this.match_available = 0;   /* set if previous match exists */
	  this.strstart = 0;          /* start of string to insert */
	  this.match_start = 0;       /* start of matching string */
	  this.lookahead = 0;         /* number of valid bytes ahead in window */
	
	  this.prev_length = 0;
	  /* Length of the best match at previous step. Matches not greater than this
	   * are discarded. This is used in the lazy match evaluation.
	   */
	
	  this.max_chain_length = 0;
	  /* To speed up deflation, hash chains are never searched beyond this
	   * length.  A higher limit improves compression ratio but degrades the
	   * speed.
	   */
	
	  this.max_lazy_match = 0;
	  /* Attempt to find a better match only when the current match is strictly
	   * smaller than this value. This mechanism is used only for compression
	   * levels >= 4.
	   */
	  // That's alias to max_lazy_match, don't use directly
	  //this.max_insert_length = 0;
	  /* Insert new strings in the hash table only if the match length is not
	   * greater than this length. This saves time but degrades compression.
	   * max_insert_length is used only for compression levels <= 3.
	   */
	
	  this.level = 0;     /* compression level (1..9) */
	  this.strategy = 0;  /* favor or force Huffman coding*/
	
	  this.good_match = 0;
	  /* Use a faster search when the previous match is longer than this */
	
	  this.nice_match = 0; /* Stop searching when current match exceeds this */
	
	              /* used by trees.c: */
	
	  /* Didn't use ct_data typedef below to suppress compiler warning */
	
	  // struct ct_data_s dyn_ltree[HEAP_SIZE];   /* literal and length tree */
	  // struct ct_data_s dyn_dtree[2*D_CODES+1]; /* distance tree */
	  // struct ct_data_s bl_tree[2*BL_CODES+1];  /* Huffman tree for bit lengths */
	
	  // Use flat array of DOUBLE size, with interleaved fata,
	  // because JS does not support effective
	  this.dyn_ltree  = new utils.Buf16(HEAP_SIZE * 2);
	  this.dyn_dtree  = new utils.Buf16((2 * D_CODES + 1) * 2);
	  this.bl_tree    = new utils.Buf16((2 * BL_CODES + 1) * 2);
	  zero(this.dyn_ltree);
	  zero(this.dyn_dtree);
	  zero(this.bl_tree);
	
	  this.l_desc   = null;         /* desc. for literal tree */
	  this.d_desc   = null;         /* desc. for distance tree */
	  this.bl_desc  = null;         /* desc. for bit length tree */
	
	  //ush bl_count[MAX_BITS+1];
	  this.bl_count = new utils.Buf16(MAX_BITS + 1);
	  /* number of codes at each bit length for an optimal tree */
	
	  //int heap[2*L_CODES+1];      /* heap used to build the Huffman trees */
	  this.heap = new utils.Buf16(2 * L_CODES + 1);  /* heap used to build the Huffman trees */
	  zero(this.heap);
	
	  this.heap_len = 0;               /* number of elements in the heap */
	  this.heap_max = 0;               /* element of largest frequency */
	  /* The sons of heap[n] are heap[2*n] and heap[2*n+1]. heap[0] is not used.
	   * The same heap array is used to build all trees.
	   */
	
	  this.depth = new utils.Buf16(2 * L_CODES + 1); //uch depth[2*L_CODES+1];
	  zero(this.depth);
	  /* Depth of each subtree used as tie breaker for trees of equal frequency
	   */
	
	  this.l_buf = 0;          /* buffer index for literals or lengths */
	
	  this.lit_bufsize = 0;
	  /* Size of match buffer for literals/lengths.  There are 4 reasons for
	   * limiting lit_bufsize to 64K:
	   *   - frequencies can be kept in 16 bit counters
	   *   - if compression is not successful for the first block, all input
	   *     data is still in the window so we can still emit a stored block even
	   *     when input comes from standard input.  (This can also be done for
	   *     all blocks if lit_bufsize is not greater than 32K.)
	   *   - if compression is not successful for a file smaller than 64K, we can
	   *     even emit a stored file instead of a stored block (saving 5 bytes).
	   *     This is applicable only for zip (not gzip or zlib).
	   *   - creating new Huffman trees less frequently may not provide fast
	   *     adaptation to changes in the input data statistics. (Take for
	   *     example a binary file with poorly compressible code followed by
	   *     a highly compressible string table.) Smaller buffer sizes give
	   *     fast adaptation but have of course the overhead of transmitting
	   *     trees more frequently.
	   *   - I can't count above 4
	   */
	
	  this.last_lit = 0;      /* running index in l_buf */
	
	  this.d_buf = 0;
	  /* Buffer index for distances. To simplify the code, d_buf and l_buf have
	   * the same number of elements. To use different lengths, an extra flag
	   * array would be necessary.
	   */
	
	  this.opt_len = 0;       /* bit length of current block with optimal trees */
	  this.static_len = 0;    /* bit length of current block with static trees */
	  this.matches = 0;       /* number of string matches in current block */
	  this.insert = 0;        /* bytes at end of window left to insert */
	
	
	  this.bi_buf = 0;
	  /* Output buffer. bits are inserted starting at the bottom (least
	   * significant bits).
	   */
	  this.bi_valid = 0;
	  /* Number of valid bits in bi_buf.  All bits above the last valid bit
	   * are always zero.
	   */
	
	  // Used for window memory init. We safely ignore it for JS. That makes
	  // sense only for pointers and memory check tools.
	  //this.high_water = 0;
	  /* High water mark offset in window for initialized bytes -- bytes above
	   * this are set to zero in order to avoid memory check warnings when
	   * longest match routines access bytes past the input.  This is then
	   * updated to the new high water mark.
	   */
	}
	
	
	function deflateResetKeep(strm) {
	  var s;
	
	  if (!strm || !strm.state) {
	    return err(strm, Z_STREAM_ERROR);
	  }
	
	  strm.total_in = strm.total_out = 0;
	  strm.data_type = Z_UNKNOWN;
	
	  s = strm.state;
	  s.pending = 0;
	  s.pending_out = 0;
	
	  if (s.wrap < 0) {
	    s.wrap = -s.wrap;
	    /* was made negative by deflate(..., Z_FINISH); */
	  }
	  s.status = (s.wrap ? INIT_STATE : BUSY_STATE);
	  strm.adler = (s.wrap === 2) ?
	    0  // crc32(0, Z_NULL, 0)
	  :
	    1; // adler32(0, Z_NULL, 0)
	  s.last_flush = Z_NO_FLUSH;
	  trees._tr_init(s);
	  return Z_OK;
	}
	
	
	function deflateReset(strm) {
	  var ret = deflateResetKeep(strm);
	  if (ret === Z_OK) {
	    lm_init(strm.state);
	  }
	  return ret;
	}
	
	
	function deflateSetHeader(strm, head) {
	  if (!strm || !strm.state) { return Z_STREAM_ERROR; }
	  if (strm.state.wrap !== 2) { return Z_STREAM_ERROR; }
	  strm.state.gzhead = head;
	  return Z_OK;
	}
	
	
	function deflateInit2(strm, level, method, windowBits, memLevel, strategy) {
	  if (!strm) { // === Z_NULL
	    return Z_STREAM_ERROR;
	  }
	  var wrap = 1;
	
	  if (level === Z_DEFAULT_COMPRESSION) {
	    level = 6;
	  }
	
	  if (windowBits < 0) { /* suppress zlib wrapper */
	    wrap = 0;
	    windowBits = -windowBits;
	  }
	
	  else if (windowBits > 15) {
	    wrap = 2;           /* write gzip wrapper instead */
	    windowBits -= 16;
	  }
	
	
	  if (memLevel < 1 || memLevel > MAX_MEM_LEVEL || method !== Z_DEFLATED ||
	    windowBits < 8 || windowBits > 15 || level < 0 || level > 9 ||
	    strategy < 0 || strategy > Z_FIXED) {
	    return err(strm, Z_STREAM_ERROR);
	  }
	
	
	  if (windowBits === 8) {
	    windowBits = 9;
	  }
	  /* until 256-byte window bug fixed */
	
	  var s = new DeflateState();
	
	  strm.state = s;
	  s.strm = strm;
	
	  s.wrap = wrap;
	  s.gzhead = null;
	  s.w_bits = windowBits;
	  s.w_size = 1 << s.w_bits;
	  s.w_mask = s.w_size - 1;
	
	  s.hash_bits = memLevel + 7;
	  s.hash_size = 1 << s.hash_bits;
	  s.hash_mask = s.hash_size - 1;
	  s.hash_shift = ~~((s.hash_bits + MIN_MATCH - 1) / MIN_MATCH);
	
	  s.window = new utils.Buf8(s.w_size * 2);
	  s.head = new utils.Buf16(s.hash_size);
	  s.prev = new utils.Buf16(s.w_size);
	
	  // Don't need mem init magic for JS.
	  //s.high_water = 0;  /* nothing written to s->window yet */
	
	  s.lit_bufsize = 1 << (memLevel + 6); /* 16K elements by default */
	
	  s.pending_buf_size = s.lit_bufsize * 4;
	
	  //overlay = (ushf *) ZALLOC(strm, s->lit_bufsize, sizeof(ush)+2);
	  //s->pending_buf = (uchf *) overlay;
	  s.pending_buf = new utils.Buf8(s.pending_buf_size);
	
	  // It is offset from `s.pending_buf` (size is `s.lit_bufsize * 2`)
	  //s->d_buf = overlay + s->lit_bufsize/sizeof(ush);
	  s.d_buf = 1 * s.lit_bufsize;
	
	  //s->l_buf = s->pending_buf + (1+sizeof(ush))*s->lit_bufsize;
	  s.l_buf = (1 + 2) * s.lit_bufsize;
	
	  s.level = level;
	  s.strategy = strategy;
	  s.method = method;
	
	  return deflateReset(strm);
	}
	
	function deflateInit(strm, level) {
	  return deflateInit2(strm, level, Z_DEFLATED, MAX_WBITS, DEF_MEM_LEVEL, Z_DEFAULT_STRATEGY);
	}
	
	
	function deflate(strm, flush) {
	  var old_flush, s;
	  var beg, val; // for gzip header write only
	
	  if (!strm || !strm.state ||
	    flush > Z_BLOCK || flush < 0) {
	    return strm ? err(strm, Z_STREAM_ERROR) : Z_STREAM_ERROR;
	  }
	
	  s = strm.state;
	
	  if (!strm.output ||
	      (!strm.input && strm.avail_in !== 0) ||
	      (s.status === FINISH_STATE && flush !== Z_FINISH)) {
	    return err(strm, (strm.avail_out === 0) ? Z_BUF_ERROR : Z_STREAM_ERROR);
	  }
	
	  s.strm = strm; /* just in case */
	  old_flush = s.last_flush;
	  s.last_flush = flush;
	
	  /* Write the header */
	  if (s.status === INIT_STATE) {
	
	    if (s.wrap === 2) { // GZIP header
	      strm.adler = 0;  //crc32(0L, Z_NULL, 0);
	      put_byte(s, 31);
	      put_byte(s, 139);
	      put_byte(s, 8);
	      if (!s.gzhead) { // s->gzhead == Z_NULL
	        put_byte(s, 0);
	        put_byte(s, 0);
	        put_byte(s, 0);
	        put_byte(s, 0);
	        put_byte(s, 0);
	        put_byte(s, s.level === 9 ? 2 :
	                    (s.strategy >= Z_HUFFMAN_ONLY || s.level < 2 ?
	                     4 : 0));
	        put_byte(s, OS_CODE);
	        s.status = BUSY_STATE;
	      }
	      else {
	        put_byte(s, (s.gzhead.text ? 1 : 0) +
	                    (s.gzhead.hcrc ? 2 : 0) +
	                    (!s.gzhead.extra ? 0 : 4) +
	                    (!s.gzhead.name ? 0 : 8) +
	                    (!s.gzhead.comment ? 0 : 16)
	                );
	        put_byte(s, s.gzhead.time & 0xff);
	        put_byte(s, (s.gzhead.time >> 8) & 0xff);
	        put_byte(s, (s.gzhead.time >> 16) & 0xff);
	        put_byte(s, (s.gzhead.time >> 24) & 0xff);
	        put_byte(s, s.level === 9 ? 2 :
	                    (s.strategy >= Z_HUFFMAN_ONLY || s.level < 2 ?
	                     4 : 0));
	        put_byte(s, s.gzhead.os & 0xff);
	        if (s.gzhead.extra && s.gzhead.extra.length) {
	          put_byte(s, s.gzhead.extra.length & 0xff);
	          put_byte(s, (s.gzhead.extra.length >> 8) & 0xff);
	        }
	        if (s.gzhead.hcrc) {
	          strm.adler = crc32(strm.adler, s.pending_buf, s.pending, 0);
	        }
	        s.gzindex = 0;
	        s.status = EXTRA_STATE;
	      }
	    }
	    else // DEFLATE header
	    {
	      var header = (Z_DEFLATED + ((s.w_bits - 8) << 4)) << 8;
	      var level_flags = -1;
	
	      if (s.strategy >= Z_HUFFMAN_ONLY || s.level < 2) {
	        level_flags = 0;
	      } else if (s.level < 6) {
	        level_flags = 1;
	      } else if (s.level === 6) {
	        level_flags = 2;
	      } else {
	        level_flags = 3;
	      }
	      header |= (level_flags << 6);
	      if (s.strstart !== 0) { header |= PRESET_DICT; }
	      header += 31 - (header % 31);
	
	      s.status = BUSY_STATE;
	      putShortMSB(s, header);
	
	      /* Save the adler32 of the preset dictionary: */
	      if (s.strstart !== 0) {
	        putShortMSB(s, strm.adler >>> 16);
	        putShortMSB(s, strm.adler & 0xffff);
	      }
	      strm.adler = 1; // adler32(0L, Z_NULL, 0);
	    }
	  }
	
	//#ifdef GZIP
	  if (s.status === EXTRA_STATE) {
	    if (s.gzhead.extra/* != Z_NULL*/) {
	      beg = s.pending;  /* start of bytes to update crc */
	
	      while (s.gzindex < (s.gzhead.extra.length & 0xffff)) {
	        if (s.pending === s.pending_buf_size) {
	          if (s.gzhead.hcrc && s.pending > beg) {
	            strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	          }
	          flush_pending(strm);
	          beg = s.pending;
	          if (s.pending === s.pending_buf_size) {
	            break;
	          }
	        }
	        put_byte(s, s.gzhead.extra[s.gzindex] & 0xff);
	        s.gzindex++;
	      }
	      if (s.gzhead.hcrc && s.pending > beg) {
	        strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	      }
	      if (s.gzindex === s.gzhead.extra.length) {
	        s.gzindex = 0;
	        s.status = NAME_STATE;
	      }
	    }
	    else {
	      s.status = NAME_STATE;
	    }
	  }
	  if (s.status === NAME_STATE) {
	    if (s.gzhead.name/* != Z_NULL*/) {
	      beg = s.pending;  /* start of bytes to update crc */
	      //int val;
	
	      do {
	        if (s.pending === s.pending_buf_size) {
	          if (s.gzhead.hcrc && s.pending > beg) {
	            strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	          }
	          flush_pending(strm);
	          beg = s.pending;
	          if (s.pending === s.pending_buf_size) {
	            val = 1;
	            break;
	          }
	        }
	        // JS specific: little magic to add zero terminator to end of string
	        if (s.gzindex < s.gzhead.name.length) {
	          val = s.gzhead.name.charCodeAt(s.gzindex++) & 0xff;
	        } else {
	          val = 0;
	        }
	        put_byte(s, val);
	      } while (val !== 0);
	
	      if (s.gzhead.hcrc && s.pending > beg) {
	        strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	      }
	      if (val === 0) {
	        s.gzindex = 0;
	        s.status = COMMENT_STATE;
	      }
	    }
	    else {
	      s.status = COMMENT_STATE;
	    }
	  }
	  if (s.status === COMMENT_STATE) {
	    if (s.gzhead.comment/* != Z_NULL*/) {
	      beg = s.pending;  /* start of bytes to update crc */
	      //int val;
	
	      do {
	        if (s.pending === s.pending_buf_size) {
	          if (s.gzhead.hcrc && s.pending > beg) {
	            strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	          }
	          flush_pending(strm);
	          beg = s.pending;
	          if (s.pending === s.pending_buf_size) {
	            val = 1;
	            break;
	          }
	        }
	        // JS specific: little magic to add zero terminator to end of string
	        if (s.gzindex < s.gzhead.comment.length) {
	          val = s.gzhead.comment.charCodeAt(s.gzindex++) & 0xff;
	        } else {
	          val = 0;
	        }
	        put_byte(s, val);
	      } while (val !== 0);
	
	      if (s.gzhead.hcrc && s.pending > beg) {
	        strm.adler = crc32(strm.adler, s.pending_buf, s.pending - beg, beg);
	      }
	      if (val === 0) {
	        s.status = HCRC_STATE;
	      }
	    }
	    else {
	      s.status = HCRC_STATE;
	    }
	  }
	  if (s.status === HCRC_STATE) {
	    if (s.gzhead.hcrc) {
	      if (s.pending + 2 > s.pending_buf_size) {
	        flush_pending(strm);
	      }
	      if (s.pending + 2 <= s.pending_buf_size) {
	        put_byte(s, strm.adler & 0xff);
	        put_byte(s, (strm.adler >> 8) & 0xff);
	        strm.adler = 0; //crc32(0L, Z_NULL, 0);
	        s.status = BUSY_STATE;
	      }
	    }
	    else {
	      s.status = BUSY_STATE;
	    }
	  }
	//#endif
	
	  /* Flush as much pending output as possible */
	  if (s.pending !== 0) {
	    flush_pending(strm);
	    if (strm.avail_out === 0) {
	      /* Since avail_out is 0, deflate will be called again with
	       * more output space, but possibly with both pending and
	       * avail_in equal to zero. There won't be anything to do,
	       * but this is not an error situation so make sure we
	       * return OK instead of BUF_ERROR at next call of deflate:
	       */
	      s.last_flush = -1;
	      return Z_OK;
	    }
	
	    /* Make sure there is something to do and avoid duplicate consecutive
	     * flushes. For repeated and useless calls with Z_FINISH, we keep
	     * returning Z_STREAM_END instead of Z_BUF_ERROR.
	     */
	  } else if (strm.avail_in === 0 && rank(flush) <= rank(old_flush) &&
	    flush !== Z_FINISH) {
	    return err(strm, Z_BUF_ERROR);
	  }
	
	  /* User must not provide more input after the first FINISH: */
	  if (s.status === FINISH_STATE && strm.avail_in !== 0) {
	    return err(strm, Z_BUF_ERROR);
	  }
	
	  /* Start a new block or continue the current one.
	   */
	  if (strm.avail_in !== 0 || s.lookahead !== 0 ||
	    (flush !== Z_NO_FLUSH && s.status !== FINISH_STATE)) {
	    var bstate = (s.strategy === Z_HUFFMAN_ONLY) ? deflate_huff(s, flush) :
	      (s.strategy === Z_RLE ? deflate_rle(s, flush) :
	        configuration_table[s.level].func(s, flush));
	
	    if (bstate === BS_FINISH_STARTED || bstate === BS_FINISH_DONE) {
	      s.status = FINISH_STATE;
	    }
	    if (bstate === BS_NEED_MORE || bstate === BS_FINISH_STARTED) {
	      if (strm.avail_out === 0) {
	        s.last_flush = -1;
	        /* avoid BUF_ERROR next call, see above */
	      }
	      return Z_OK;
	      /* If flush != Z_NO_FLUSH && avail_out == 0, the next call
	       * of deflate should use the same flush parameter to make sure
	       * that the flush is complete. So we don't have to output an
	       * empty block here, this will be done at next call. This also
	       * ensures that for a very small output buffer, we emit at most
	       * one empty block.
	       */
	    }
	    if (bstate === BS_BLOCK_DONE) {
	      if (flush === Z_PARTIAL_FLUSH) {
	        trees._tr_align(s);
	      }
	      else if (flush !== Z_BLOCK) { /* FULL_FLUSH or SYNC_FLUSH */
	
	        trees._tr_stored_block(s, 0, 0, false);
	        /* For a full flush, this empty block will be recognized
	         * as a special marker by inflate_sync().
	         */
	        if (flush === Z_FULL_FLUSH) {
	          /*** CLEAR_HASH(s); ***/             /* forget history */
	          zero(s.head); // Fill with NIL (= 0);
	
	          if (s.lookahead === 0) {
	            s.strstart = 0;
	            s.block_start = 0;
	            s.insert = 0;
	          }
	        }
	      }
	      flush_pending(strm);
	      if (strm.avail_out === 0) {
	        s.last_flush = -1; /* avoid BUF_ERROR at next call, see above */
	        return Z_OK;
	      }
	    }
	  }
	  //Assert(strm->avail_out > 0, "bug2");
	  //if (strm.avail_out <= 0) { throw new Error("bug2");}
	
	  if (flush !== Z_FINISH) { return Z_OK; }
	  if (s.wrap <= 0) { return Z_STREAM_END; }
	
	  /* Write the trailer */
	  if (s.wrap === 2) {
	    put_byte(s, strm.adler & 0xff);
	    put_byte(s, (strm.adler >> 8) & 0xff);
	    put_byte(s, (strm.adler >> 16) & 0xff);
	    put_byte(s, (strm.adler >> 24) & 0xff);
	    put_byte(s, strm.total_in & 0xff);
	    put_byte(s, (strm.total_in >> 8) & 0xff);
	    put_byte(s, (strm.total_in >> 16) & 0xff);
	    put_byte(s, (strm.total_in >> 24) & 0xff);
	  }
	  else
	  {
	    putShortMSB(s, strm.adler >>> 16);
	    putShortMSB(s, strm.adler & 0xffff);
	  }
	
	  flush_pending(strm);
	  /* If avail_out is zero, the application will call deflate again
	   * to flush the rest.
	   */
	  if (s.wrap > 0) { s.wrap = -s.wrap; }
	  /* write the trailer only once! */
	  return s.pending !== 0 ? Z_OK : Z_STREAM_END;
	}
	
	function deflateEnd(strm) {
	  var status;
	
	  if (!strm/*== Z_NULL*/ || !strm.state/*== Z_NULL*/) {
	    return Z_STREAM_ERROR;
	  }
	
	  status = strm.state.status;
	  if (status !== INIT_STATE &&
	    status !== EXTRA_STATE &&
	    status !== NAME_STATE &&
	    status !== COMMENT_STATE &&
	    status !== HCRC_STATE &&
	    status !== BUSY_STATE &&
	    status !== FINISH_STATE
	  ) {
	    return err(strm, Z_STREAM_ERROR);
	  }
	
	  strm.state = null;
	
	  return status === BUSY_STATE ? err(strm, Z_DATA_ERROR) : Z_OK;
	}
	
	
	/* =========================================================================
	 * Initializes the compression dictionary from the given byte
	 * sequence without producing any compressed output.
	 */
	function deflateSetDictionary(strm, dictionary) {
	  var dictLength = dictionary.length;
	
	  var s;
	  var str, n;
	  var wrap;
	  var avail;
	  var next;
	  var input;
	  var tmpDict;
	
	  if (!strm/*== Z_NULL*/ || !strm.state/*== Z_NULL*/) {
	    return Z_STREAM_ERROR;
	  }
	
	  s = strm.state;
	  wrap = s.wrap;
	
	  if (wrap === 2 || (wrap === 1 && s.status !== INIT_STATE) || s.lookahead) {
	    return Z_STREAM_ERROR;
	  }
	
	  /* when using zlib wrappers, compute Adler-32 for provided dictionary */
	  if (wrap === 1) {
	    /* adler32(strm->adler, dictionary, dictLength); */
	    strm.adler = adler32(strm.adler, dictionary, dictLength, 0);
	  }
	
	  s.wrap = 0;   /* avoid computing Adler-32 in read_buf */
	
	  /* if dictionary would fill window, just replace the history */
	  if (dictLength >= s.w_size) {
	    if (wrap === 0) {            /* already empty otherwise */
	      /*** CLEAR_HASH(s); ***/
	      zero(s.head); // Fill with NIL (= 0);
	      s.strstart = 0;
	      s.block_start = 0;
	      s.insert = 0;
	    }
	    /* use the tail */
	    // dictionary = dictionary.slice(dictLength - s.w_size);
	    tmpDict = new utils.Buf8(s.w_size);
	    utils.arraySet(tmpDict, dictionary, dictLength - s.w_size, s.w_size, 0);
	    dictionary = tmpDict;
	    dictLength = s.w_size;
	  }
	  /* insert dictionary into window and hash */
	  avail = strm.avail_in;
	  next = strm.next_in;
	  input = strm.input;
	  strm.avail_in = dictLength;
	  strm.next_in = 0;
	  strm.input = dictionary;
	  fill_window(s);
	  while (s.lookahead >= MIN_MATCH) {
	    str = s.strstart;
	    n = s.lookahead - (MIN_MATCH - 1);
	    do {
	      /* UPDATE_HASH(s, s->ins_h, s->window[str + MIN_MATCH-1]); */
	      s.ins_h = ((s.ins_h << s.hash_shift) ^ s.window[str + MIN_MATCH - 1]) & s.hash_mask;
	
	      s.prev[str & s.w_mask] = s.head[s.ins_h];
	
	      s.head[s.ins_h] = str;
	      str++;
	    } while (--n);
	    s.strstart = str;
	    s.lookahead = MIN_MATCH - 1;
	    fill_window(s);
	  }
	  s.strstart += s.lookahead;
	  s.block_start = s.strstart;
	  s.insert = s.lookahead;
	  s.lookahead = 0;
	  s.match_length = s.prev_length = MIN_MATCH - 1;
	  s.match_available = 0;
	  strm.next_in = next;
	  strm.input = input;
	  strm.avail_in = avail;
	  s.wrap = wrap;
	  return Z_OK;
	}
	
	
	exports.deflateInit = deflateInit;
	exports.deflateInit2 = deflateInit2;
	exports.deflateReset = deflateReset;
	exports.deflateResetKeep = deflateResetKeep;
	exports.deflateSetHeader = deflateSetHeader;
	exports.deflate = deflate;
	exports.deflateEnd = deflateEnd;
	exports.deflateSetDictionary = deflateSetDictionary;
	exports.deflateInfo = 'pako deflate (from Nodeca project)';
	
	/* Not implemented
	exports.deflateBound = deflateBound;
	exports.deflateCopy = deflateCopy;
	exports.deflateParams = deflateParams;
	exports.deflatePending = deflatePending;
	exports.deflatePrime = deflatePrime;
	exports.deflateTune = deflateTune;
	*/


/***/ },
/* 140 */
/***/ function(module, exports) {

	'use strict';
	
	
	var TYPED_OK =  (typeof Uint8Array !== 'undefined') &&
	                (typeof Uint16Array !== 'undefined') &&
	                (typeof Int32Array !== 'undefined');
	
	
	exports.assign = function (obj /*from1, from2, from3, ...*/) {
	  var sources = Array.prototype.slice.call(arguments, 1);
	  while (sources.length) {
	    var source = sources.shift();
	    if (!source) { continue; }
	
	    if (typeof source !== 'object') {
	      throw new TypeError(source + 'must be non-object');
	    }
	
	    for (var p in source) {
	      if (source.hasOwnProperty(p)) {
	        obj[p] = source[p];
	      }
	    }
	  }
	
	  return obj;
	};
	
	
	// reduce buffer size, avoiding mem copy
	exports.shrinkBuf = function (buf, size) {
	  if (buf.length === size) { return buf; }
	  if (buf.subarray) { return buf.subarray(0, size); }
	  buf.length = size;
	  return buf;
	};
	
	
	var fnTyped = {
	  arraySet: function (dest, src, src_offs, len, dest_offs) {
	    if (src.subarray && dest.subarray) {
	      dest.set(src.subarray(src_offs, src_offs + len), dest_offs);
	      return;
	    }
	    // Fallback to ordinary array
	    for (var i = 0; i < len; i++) {
	      dest[dest_offs + i] = src[src_offs + i];
	    }
	  },
	  // Join array of chunks to single array.
	  flattenChunks: function (chunks) {
	    var i, l, len, pos, chunk, result;
	
	    // calculate data length
	    len = 0;
	    for (i = 0, l = chunks.length; i < l; i++) {
	      len += chunks[i].length;
	    }
	
	    // join chunks
	    result = new Uint8Array(len);
	    pos = 0;
	    for (i = 0, l = chunks.length; i < l; i++) {
	      chunk = chunks[i];
	      result.set(chunk, pos);
	      pos += chunk.length;
	    }
	
	    return result;
	  }
	};
	
	var fnUntyped = {
	  arraySet: function (dest, src, src_offs, len, dest_offs) {
	    for (var i = 0; i < len; i++) {
	      dest[dest_offs + i] = src[src_offs + i];
	    }
	  },
	  // Join array of chunks to single array.
	  flattenChunks: function (chunks) {
	    return [].concat.apply([], chunks);
	  }
	};
	
	
	// Enable/Disable typed arrays use, for testing
	//
	exports.setTyped = function (on) {
	  if (on) {
	    exports.Buf8  = Uint8Array;
	    exports.Buf16 = Uint16Array;
	    exports.Buf32 = Int32Array;
	    exports.assign(exports, fnTyped);
	  } else {
	    exports.Buf8  = Array;
	    exports.Buf16 = Array;
	    exports.Buf32 = Array;
	    exports.assign(exports, fnUntyped);
	  }
	};
	
	exports.setTyped(TYPED_OK);


/***/ },
/* 141 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	
	var utils = __webpack_require__(140);
	
	/* Public constants ==========================================================*/
	/* ===========================================================================*/
	
	
	//var Z_FILTERED          = 1;
	//var Z_HUFFMAN_ONLY      = 2;
	//var Z_RLE               = 3;
	var Z_FIXED               = 4;
	//var Z_DEFAULT_STRATEGY  = 0;
	
	/* Possible values of the data_type field (though see inflate()) */
	var Z_BINARY              = 0;
	var Z_TEXT                = 1;
	//var Z_ASCII             = 1; // = Z_TEXT
	var Z_UNKNOWN             = 2;
	
	/*============================================================================*/
	
	
	function zero(buf) { var len = buf.length; while (--len >= 0) { buf[len] = 0; } }
	
	// From zutil.h
	
	var STORED_BLOCK = 0;
	var STATIC_TREES = 1;
	var DYN_TREES    = 2;
	/* The three kinds of block type */
	
	var MIN_MATCH    = 3;
	var MAX_MATCH    = 258;
	/* The minimum and maximum match lengths */
	
	// From deflate.h
	/* ===========================================================================
	 * Internal compression state.
	 */
	
	var LENGTH_CODES  = 29;
	/* number of length codes, not counting the special END_BLOCK code */
	
	var LITERALS      = 256;
	/* number of literal bytes 0..255 */
	
	var L_CODES       = LITERALS + 1 + LENGTH_CODES;
	/* number of Literal or Length codes, including the END_BLOCK code */
	
	var D_CODES       = 30;
	/* number of distance codes */
	
	var BL_CODES      = 19;
	/* number of codes used to transfer the bit lengths */
	
	var HEAP_SIZE     = 2 * L_CODES + 1;
	/* maximum heap size */
	
	var MAX_BITS      = 15;
	/* All codes must not exceed MAX_BITS bits */
	
	var Buf_size      = 16;
	/* size of bit buffer in bi_buf */
	
	
	/* ===========================================================================
	 * Constants
	 */
	
	var MAX_BL_BITS = 7;
	/* Bit length codes must not exceed MAX_BL_BITS bits */
	
	var END_BLOCK   = 256;
	/* end of block literal code */
	
	var REP_3_6     = 16;
	/* repeat previous bit length 3-6 times (2 bits of repeat count) */
	
	var REPZ_3_10   = 17;
	/* repeat a zero length 3-10 times  (3 bits of repeat count) */
	
	var REPZ_11_138 = 18;
	/* repeat a zero length 11-138 times  (7 bits of repeat count) */
	
	/* eslint-disable comma-spacing,array-bracket-spacing */
	var extra_lbits =   /* extra bits for each length code */
	  [0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0];
	
	var extra_dbits =   /* extra bits for each distance code */
	  [0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13];
	
	var extra_blbits =  /* extra bits for each bit length code */
	  [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7];
	
	var bl_order =
	  [16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15];
	/* eslint-enable comma-spacing,array-bracket-spacing */
	
	/* The lengths of the bit length codes are sent in order of decreasing
	 * probability, to avoid transmitting the lengths for unused bit length codes.
	 */
	
	/* ===========================================================================
	 * Local data. These are initialized only once.
	 */
	
	// We pre-fill arrays with 0 to avoid uninitialized gaps
	
	var DIST_CODE_LEN = 512; /* see definition of array dist_code below */
	
	// !!!! Use flat array insdead of structure, Freq = i*2, Len = i*2+1
	var static_ltree  = new Array((L_CODES + 2) * 2);
	zero(static_ltree);
	/* The static literal tree. Since the bit lengths are imposed, there is no
	 * need for the L_CODES extra codes used during heap construction. However
	 * The codes 286 and 287 are needed to build a canonical tree (see _tr_init
	 * below).
	 */
	
	var static_dtree  = new Array(D_CODES * 2);
	zero(static_dtree);
	/* The static distance tree. (Actually a trivial tree since all codes use
	 * 5 bits.)
	 */
	
	var _dist_code    = new Array(DIST_CODE_LEN);
	zero(_dist_code);
	/* Distance codes. The first 256 values correspond to the distances
	 * 3 .. 258, the last 256 values correspond to the top 8 bits of
	 * the 15 bit distances.
	 */
	
	var _length_code  = new Array(MAX_MATCH - MIN_MATCH + 1);
	zero(_length_code);
	/* length code for each normalized match length (0 == MIN_MATCH) */
	
	var base_length   = new Array(LENGTH_CODES);
	zero(base_length);
	/* First normalized length for each code (0 = MIN_MATCH) */
	
	var base_dist     = new Array(D_CODES);
	zero(base_dist);
	/* First normalized distance for each code (0 = distance of 1) */
	
	
	function StaticTreeDesc(static_tree, extra_bits, extra_base, elems, max_length) {
	
	  this.static_tree  = static_tree;  /* static tree or NULL */
	  this.extra_bits   = extra_bits;   /* extra bits for each code or NULL */
	  this.extra_base   = extra_base;   /* base index for extra_bits */
	  this.elems        = elems;        /* max number of elements in the tree */
	  this.max_length   = max_length;   /* max bit length for the codes */
	
	  // show if `static_tree` has data or dummy - needed for monomorphic objects
	  this.has_stree    = static_tree && static_tree.length;
	}
	
	
	var static_l_desc;
	var static_d_desc;
	var static_bl_desc;
	
	
	function TreeDesc(dyn_tree, stat_desc) {
	  this.dyn_tree = dyn_tree;     /* the dynamic tree */
	  this.max_code = 0;            /* largest code with non zero frequency */
	  this.stat_desc = stat_desc;   /* the corresponding static tree */
	}
	
	
	
	function d_code(dist) {
	  return dist < 256 ? _dist_code[dist] : _dist_code[256 + (dist >>> 7)];
	}
	
	
	/* ===========================================================================
	 * Output a short LSB first on the stream.
	 * IN assertion: there is enough room in pendingBuf.
	 */
	function put_short(s, w) {
	//    put_byte(s, (uch)((w) & 0xff));
	//    put_byte(s, (uch)((ush)(w) >> 8));
	  s.pending_buf[s.pending++] = (w) & 0xff;
	  s.pending_buf[s.pending++] = (w >>> 8) & 0xff;
	}
	
	
	/* ===========================================================================
	 * Send a value on a given number of bits.
	 * IN assertion: length <= 16 and value fits in length bits.
	 */
	function send_bits(s, value, length) {
	  if (s.bi_valid > (Buf_size - length)) {
	    s.bi_buf |= (value << s.bi_valid) & 0xffff;
	    put_short(s, s.bi_buf);
	    s.bi_buf = value >> (Buf_size - s.bi_valid);
	    s.bi_valid += length - Buf_size;
	  } else {
	    s.bi_buf |= (value << s.bi_valid) & 0xffff;
	    s.bi_valid += length;
	  }
	}
	
	
	function send_code(s, c, tree) {
	  send_bits(s, tree[c * 2]/*.Code*/, tree[c * 2 + 1]/*.Len*/);
	}
	
	
	/* ===========================================================================
	 * Reverse the first len bits of a code, using straightforward code (a faster
	 * method would use a table)
	 * IN assertion: 1 <= len <= 15
	 */
	function bi_reverse(code, len) {
	  var res = 0;
	  do {
	    res |= code & 1;
	    code >>>= 1;
	    res <<= 1;
	  } while (--len > 0);
	  return res >>> 1;
	}
	
	
	/* ===========================================================================
	 * Flush the bit buffer, keeping at most 7 bits in it.
	 */
	function bi_flush(s) {
	  if (s.bi_valid === 16) {
	    put_short(s, s.bi_buf);
	    s.bi_buf = 0;
	    s.bi_valid = 0;
	
	  } else if (s.bi_valid >= 8) {
	    s.pending_buf[s.pending++] = s.bi_buf & 0xff;
	    s.bi_buf >>= 8;
	    s.bi_valid -= 8;
	  }
	}
	
	
	/* ===========================================================================
	 * Compute the optimal bit lengths for a tree and update the total bit length
	 * for the current block.
	 * IN assertion: the fields freq and dad are set, heap[heap_max] and
	 *    above are the tree nodes sorted by increasing frequency.
	 * OUT assertions: the field len is set to the optimal bit length, the
	 *     array bl_count contains the frequencies for each bit length.
	 *     The length opt_len is updated; static_len is also updated if stree is
	 *     not null.
	 */
	function gen_bitlen(s, desc)
	//    deflate_state *s;
	//    tree_desc *desc;    /* the tree descriptor */
	{
	  var tree            = desc.dyn_tree;
	  var max_code        = desc.max_code;
	  var stree           = desc.stat_desc.static_tree;
	  var has_stree       = desc.stat_desc.has_stree;
	  var extra           = desc.stat_desc.extra_bits;
	  var base            = desc.stat_desc.extra_base;
	  var max_length      = desc.stat_desc.max_length;
	  var h;              /* heap index */
	  var n, m;           /* iterate over the tree elements */
	  var bits;           /* bit length */
	  var xbits;          /* extra bits */
	  var f;              /* frequency */
	  var overflow = 0;   /* number of elements with bit length too large */
	
	  for (bits = 0; bits <= MAX_BITS; bits++) {
	    s.bl_count[bits] = 0;
	  }
	
	  /* In a first pass, compute the optimal bit lengths (which may
	   * overflow in the case of the bit length tree).
	   */
	  tree[s.heap[s.heap_max] * 2 + 1]/*.Len*/ = 0; /* root of the heap */
	
	  for (h = s.heap_max + 1; h < HEAP_SIZE; h++) {
	    n = s.heap[h];
	    bits = tree[tree[n * 2 + 1]/*.Dad*/ * 2 + 1]/*.Len*/ + 1;
	    if (bits > max_length) {
	      bits = max_length;
	      overflow++;
	    }
	    tree[n * 2 + 1]/*.Len*/ = bits;
	    /* We overwrite tree[n].Dad which is no longer needed */
	
	    if (n > max_code) { continue; } /* not a leaf node */
	
	    s.bl_count[bits]++;
	    xbits = 0;
	    if (n >= base) {
	      xbits = extra[n - base];
	    }
	    f = tree[n * 2]/*.Freq*/;
	    s.opt_len += f * (bits + xbits);
	    if (has_stree) {
	      s.static_len += f * (stree[n * 2 + 1]/*.Len*/ + xbits);
	    }
	  }
	  if (overflow === 0) { return; }
	
	  // Trace((stderr,"\nbit length overflow\n"));
	  /* This happens for example on obj2 and pic of the Calgary corpus */
	
	  /* Find the first bit length which could increase: */
	  do {
	    bits = max_length - 1;
	    while (s.bl_count[bits] === 0) { bits--; }
	    s.bl_count[bits]--;      /* move one leaf down the tree */
	    s.bl_count[bits + 1] += 2; /* move one overflow item as its brother */
	    s.bl_count[max_length]--;
	    /* The brother of the overflow item also moves one step up,
	     * but this does not affect bl_count[max_length]
	     */
	    overflow -= 2;
	  } while (overflow > 0);
	
	  /* Now recompute all bit lengths, scanning in increasing frequency.
	   * h is still equal to HEAP_SIZE. (It is simpler to reconstruct all
	   * lengths instead of fixing only the wrong ones. This idea is taken
	   * from 'ar' written by Haruhiko Okumura.)
	   */
	  for (bits = max_length; bits !== 0; bits--) {
	    n = s.bl_count[bits];
	    while (n !== 0) {
	      m = s.heap[--h];
	      if (m > max_code) { continue; }
	      if (tree[m * 2 + 1]/*.Len*/ !== bits) {
	        // Trace((stderr,"code %d bits %d->%d\n", m, tree[m].Len, bits));
	        s.opt_len += (bits - tree[m * 2 + 1]/*.Len*/) * tree[m * 2]/*.Freq*/;
	        tree[m * 2 + 1]/*.Len*/ = bits;
	      }
	      n--;
	    }
	  }
	}
	
	
	/* ===========================================================================
	 * Generate the codes for a given tree and bit counts (which need not be
	 * optimal).
	 * IN assertion: the array bl_count contains the bit length statistics for
	 * the given tree and the field len is set for all tree elements.
	 * OUT assertion: the field code is set for all tree elements of non
	 *     zero code length.
	 */
	function gen_codes(tree, max_code, bl_count)
	//    ct_data *tree;             /* the tree to decorate */
	//    int max_code;              /* largest code with non zero frequency */
	//    ushf *bl_count;            /* number of codes at each bit length */
	{
	  var next_code = new Array(MAX_BITS + 1); /* next code value for each bit length */
	  var code = 0;              /* running code value */
	  var bits;                  /* bit index */
	  var n;                     /* code index */
	
	  /* The distribution counts are first used to generate the code values
	   * without bit reversal.
	   */
	  for (bits = 1; bits <= MAX_BITS; bits++) {
	    next_code[bits] = code = (code + bl_count[bits - 1]) << 1;
	  }
	  /* Check that the bit counts in bl_count are consistent. The last code
	   * must be all ones.
	   */
	  //Assert (code + bl_count[MAX_BITS]-1 == (1<<MAX_BITS)-1,
	  //        "inconsistent bit counts");
	  //Tracev((stderr,"\ngen_codes: max_code %d ", max_code));
	
	  for (n = 0;  n <= max_code; n++) {
	    var len = tree[n * 2 + 1]/*.Len*/;
	    if (len === 0) { continue; }
	    /* Now reverse the bits */
	    tree[n * 2]/*.Code*/ = bi_reverse(next_code[len]++, len);
	
	    //Tracecv(tree != static_ltree, (stderr,"\nn %3d %c l %2d c %4x (%x) ",
	    //     n, (isgraph(n) ? n : ' '), len, tree[n].Code, next_code[len]-1));
	  }
	}
	
	
	/* ===========================================================================
	 * Initialize the various 'constant' tables.
	 */
	function tr_static_init() {
	  var n;        /* iterates over tree elements */
	  var bits;     /* bit counter */
	  var length;   /* length value */
	  var code;     /* code value */
	  var dist;     /* distance index */
	  var bl_count = new Array(MAX_BITS + 1);
	  /* number of codes at each bit length for an optimal tree */
	
	  // do check in _tr_init()
	  //if (static_init_done) return;
	
	  /* For some embedded targets, global variables are not initialized: */
	/*#ifdef NO_INIT_GLOBAL_POINTERS
	  static_l_desc.static_tree = static_ltree;
	  static_l_desc.extra_bits = extra_lbits;
	  static_d_desc.static_tree = static_dtree;
	  static_d_desc.extra_bits = extra_dbits;
	  static_bl_desc.extra_bits = extra_blbits;
	#endif*/
	
	  /* Initialize the mapping length (0..255) -> length code (0..28) */
	  length = 0;
	  for (code = 0; code < LENGTH_CODES - 1; code++) {
	    base_length[code] = length;
	    for (n = 0; n < (1 << extra_lbits[code]); n++) {
	      _length_code[length++] = code;
	    }
	  }
	  //Assert (length == 256, "tr_static_init: length != 256");
	  /* Note that the length 255 (match length 258) can be represented
	   * in two different ways: code 284 + 5 bits or code 285, so we
	   * overwrite length_code[255] to use the best encoding:
	   */
	  _length_code[length - 1] = code;
	
	  /* Initialize the mapping dist (0..32K) -> dist code (0..29) */
	  dist = 0;
	  for (code = 0; code < 16; code++) {
	    base_dist[code] = dist;
	    for (n = 0; n < (1 << extra_dbits[code]); n++) {
	      _dist_code[dist++] = code;
	    }
	  }
	  //Assert (dist == 256, "tr_static_init: dist != 256");
	  dist >>= 7; /* from now on, all distances are divided by 128 */
	  for (; code < D_CODES; code++) {
	    base_dist[code] = dist << 7;
	    for (n = 0; n < (1 << (extra_dbits[code] - 7)); n++) {
	      _dist_code[256 + dist++] = code;
	    }
	  }
	  //Assert (dist == 256, "tr_static_init: 256+dist != 512");
	
	  /* Construct the codes of the static literal tree */
	  for (bits = 0; bits <= MAX_BITS; bits++) {
	    bl_count[bits] = 0;
	  }
	
	  n = 0;
	  while (n <= 143) {
	    static_ltree[n * 2 + 1]/*.Len*/ = 8;
	    n++;
	    bl_count[8]++;
	  }
	  while (n <= 255) {
	    static_ltree[n * 2 + 1]/*.Len*/ = 9;
	    n++;
	    bl_count[9]++;
	  }
	  while (n <= 279) {
	    static_ltree[n * 2 + 1]/*.Len*/ = 7;
	    n++;
	    bl_count[7]++;
	  }
	  while (n <= 287) {
	    static_ltree[n * 2 + 1]/*.Len*/ = 8;
	    n++;
	    bl_count[8]++;
	  }
	  /* Codes 286 and 287 do not exist, but we must include them in the
	   * tree construction to get a canonical Huffman tree (longest code
	   * all ones)
	   */
	  gen_codes(static_ltree, L_CODES + 1, bl_count);
	
	  /* The static distance tree is trivial: */
	  for (n = 0; n < D_CODES; n++) {
	    static_dtree[n * 2 + 1]/*.Len*/ = 5;
	    static_dtree[n * 2]/*.Code*/ = bi_reverse(n, 5);
	  }
	
	  // Now data ready and we can init static trees
	  static_l_desc = new StaticTreeDesc(static_ltree, extra_lbits, LITERALS + 1, L_CODES, MAX_BITS);
	  static_d_desc = new StaticTreeDesc(static_dtree, extra_dbits, 0,          D_CODES, MAX_BITS);
	  static_bl_desc = new StaticTreeDesc(new Array(0), extra_blbits, 0,         BL_CODES, MAX_BL_BITS);
	
	  //static_init_done = true;
	}
	
	
	/* ===========================================================================
	 * Initialize a new block.
	 */
	function init_block(s) {
	  var n; /* iterates over tree elements */
	
	  /* Initialize the trees. */
	  for (n = 0; n < L_CODES;  n++) { s.dyn_ltree[n * 2]/*.Freq*/ = 0; }
	  for (n = 0; n < D_CODES;  n++) { s.dyn_dtree[n * 2]/*.Freq*/ = 0; }
	  for (n = 0; n < BL_CODES; n++) { s.bl_tree[n * 2]/*.Freq*/ = 0; }
	
	  s.dyn_ltree[END_BLOCK * 2]/*.Freq*/ = 1;
	  s.opt_len = s.static_len = 0;
	  s.last_lit = s.matches = 0;
	}
	
	
	/* ===========================================================================
	 * Flush the bit buffer and align the output on a byte boundary
	 */
	function bi_windup(s)
	{
	  if (s.bi_valid > 8) {
	    put_short(s, s.bi_buf);
	  } else if (s.bi_valid > 0) {
	    //put_byte(s, (Byte)s->bi_buf);
	    s.pending_buf[s.pending++] = s.bi_buf;
	  }
	  s.bi_buf = 0;
	  s.bi_valid = 0;
	}
	
	/* ===========================================================================
	 * Copy a stored block, storing first the length and its
	 * one's complement if requested.
	 */
	function copy_block(s, buf, len, header)
	//DeflateState *s;
	//charf    *buf;    /* the input data */
	//unsigned len;     /* its length */
	//int      header;  /* true if block header must be written */
	{
	  bi_windup(s);        /* align on byte boundary */
	
	  if (header) {
	    put_short(s, len);
	    put_short(s, ~len);
	  }
	//  while (len--) {
	//    put_byte(s, *buf++);
	//  }
	  utils.arraySet(s.pending_buf, s.window, buf, len, s.pending);
	  s.pending += len;
	}
	
	/* ===========================================================================
	 * Compares to subtrees, using the tree depth as tie breaker when
	 * the subtrees have equal frequency. This minimizes the worst case length.
	 */
	function smaller(tree, n, m, depth) {
	  var _n2 = n * 2;
	  var _m2 = m * 2;
	  return (tree[_n2]/*.Freq*/ < tree[_m2]/*.Freq*/ ||
	         (tree[_n2]/*.Freq*/ === tree[_m2]/*.Freq*/ && depth[n] <= depth[m]));
	}
	
	/* ===========================================================================
	 * Restore the heap property by moving down the tree starting at node k,
	 * exchanging a node with the smallest of its two sons if necessary, stopping
	 * when the heap property is re-established (each father smaller than its
	 * two sons).
	 */
	function pqdownheap(s, tree, k)
	//    deflate_state *s;
	//    ct_data *tree;  /* the tree to restore */
	//    int k;               /* node to move down */
	{
	  var v = s.heap[k];
	  var j = k << 1;  /* left son of k */
	  while (j <= s.heap_len) {
	    /* Set j to the smallest of the two sons: */
	    if (j < s.heap_len &&
	      smaller(tree, s.heap[j + 1], s.heap[j], s.depth)) {
	      j++;
	    }
	    /* Exit if v is smaller than both sons */
	    if (smaller(tree, v, s.heap[j], s.depth)) { break; }
	
	    /* Exchange v with the smallest son */
	    s.heap[k] = s.heap[j];
	    k = j;
	
	    /* And continue down the tree, setting j to the left son of k */
	    j <<= 1;
	  }
	  s.heap[k] = v;
	}
	
	
	// inlined manually
	// var SMALLEST = 1;
	
	/* ===========================================================================
	 * Send the block data compressed using the given Huffman trees
	 */
	function compress_block(s, ltree, dtree)
	//    deflate_state *s;
	//    const ct_data *ltree; /* literal tree */
	//    const ct_data *dtree; /* distance tree */
	{
	  var dist;           /* distance of matched string */
	  var lc;             /* match length or unmatched char (if dist == 0) */
	  var lx = 0;         /* running index in l_buf */
	  var code;           /* the code to send */
	  var extra;          /* number of extra bits to send */
	
	  if (s.last_lit !== 0) {
	    do {
	      dist = (s.pending_buf[s.d_buf + lx * 2] << 8) | (s.pending_buf[s.d_buf + lx * 2 + 1]);
	      lc = s.pending_buf[s.l_buf + lx];
	      lx++;
	
	      if (dist === 0) {
	        send_code(s, lc, ltree); /* send a literal byte */
	        //Tracecv(isgraph(lc), (stderr," '%c' ", lc));
	      } else {
	        /* Here, lc is the match length - MIN_MATCH */
	        code = _length_code[lc];
	        send_code(s, code + LITERALS + 1, ltree); /* send the length code */
	        extra = extra_lbits[code];
	        if (extra !== 0) {
	          lc -= base_length[code];
	          send_bits(s, lc, extra);       /* send the extra length bits */
	        }
	        dist--; /* dist is now the match distance - 1 */
	        code = d_code(dist);
	        //Assert (code < D_CODES, "bad d_code");
	
	        send_code(s, code, dtree);       /* send the distance code */
	        extra = extra_dbits[code];
	        if (extra !== 0) {
	          dist -= base_dist[code];
	          send_bits(s, dist, extra);   /* send the extra distance bits */
	        }
	      } /* literal or match pair ? */
	
	      /* Check that the overlay between pending_buf and d_buf+l_buf is ok: */
	      //Assert((uInt)(s->pending) < s->lit_bufsize + 2*lx,
	      //       "pendingBuf overflow");
	
	    } while (lx < s.last_lit);
	  }
	
	  send_code(s, END_BLOCK, ltree);
	}
	
	
	/* ===========================================================================
	 * Construct one Huffman tree and assigns the code bit strings and lengths.
	 * Update the total bit length for the current block.
	 * IN assertion: the field freq is set for all tree elements.
	 * OUT assertions: the fields len and code are set to the optimal bit length
	 *     and corresponding code. The length opt_len is updated; static_len is
	 *     also updated if stree is not null. The field max_code is set.
	 */
	function build_tree(s, desc)
	//    deflate_state *s;
	//    tree_desc *desc; /* the tree descriptor */
	{
	  var tree     = desc.dyn_tree;
	  var stree    = desc.stat_desc.static_tree;
	  var has_stree = desc.stat_desc.has_stree;
	  var elems    = desc.stat_desc.elems;
	  var n, m;          /* iterate over heap elements */
	  var max_code = -1; /* largest code with non zero frequency */
	  var node;          /* new node being created */
	
	  /* Construct the initial heap, with least frequent element in
	   * heap[SMALLEST]. The sons of heap[n] are heap[2*n] and heap[2*n+1].
	   * heap[0] is not used.
	   */
	  s.heap_len = 0;
	  s.heap_max = HEAP_SIZE;
	
	  for (n = 0; n < elems; n++) {
	    if (tree[n * 2]/*.Freq*/ !== 0) {
	      s.heap[++s.heap_len] = max_code = n;
	      s.depth[n] = 0;
	
	    } else {
	      tree[n * 2 + 1]/*.Len*/ = 0;
	    }
	  }
	
	  /* The pkzip format requires that at least one distance code exists,
	   * and that at least one bit should be sent even if there is only one
	   * possible code. So to avoid special checks later on we force at least
	   * two codes of non zero frequency.
	   */
	  while (s.heap_len < 2) {
	    node = s.heap[++s.heap_len] = (max_code < 2 ? ++max_code : 0);
	    tree[node * 2]/*.Freq*/ = 1;
	    s.depth[node] = 0;
	    s.opt_len--;
	
	    if (has_stree) {
	      s.static_len -= stree[node * 2 + 1]/*.Len*/;
	    }
	    /* node is 0 or 1 so it does not have extra bits */
	  }
	  desc.max_code = max_code;
	
	  /* The elements heap[heap_len/2+1 .. heap_len] are leaves of the tree,
	   * establish sub-heaps of increasing lengths:
	   */
	  for (n = (s.heap_len >> 1/*int /2*/); n >= 1; n--) { pqdownheap(s, tree, n); }
	
	  /* Construct the Huffman tree by repeatedly combining the least two
	   * frequent nodes.
	   */
	  node = elems;              /* next internal node of the tree */
	  do {
	    //pqremove(s, tree, n);  /* n = node of least frequency */
	    /*** pqremove ***/
	    n = s.heap[1/*SMALLEST*/];
	    s.heap[1/*SMALLEST*/] = s.heap[s.heap_len--];
	    pqdownheap(s, tree, 1/*SMALLEST*/);
	    /***/
	
	    m = s.heap[1/*SMALLEST*/]; /* m = node of next least frequency */
	
	    s.heap[--s.heap_max] = n; /* keep the nodes sorted by frequency */
	    s.heap[--s.heap_max] = m;
	
	    /* Create a new node father of n and m */
	    tree[node * 2]/*.Freq*/ = tree[n * 2]/*.Freq*/ + tree[m * 2]/*.Freq*/;
	    s.depth[node] = (s.depth[n] >= s.depth[m] ? s.depth[n] : s.depth[m]) + 1;
	    tree[n * 2 + 1]/*.Dad*/ = tree[m * 2 + 1]/*.Dad*/ = node;
	
	    /* and insert the new node in the heap */
	    s.heap[1/*SMALLEST*/] = node++;
	    pqdownheap(s, tree, 1/*SMALLEST*/);
	
	  } while (s.heap_len >= 2);
	
	  s.heap[--s.heap_max] = s.heap[1/*SMALLEST*/];
	
	  /* At this point, the fields freq and dad are set. We can now
	   * generate the bit lengths.
	   */
	  gen_bitlen(s, desc);
	
	  /* The field len is now set, we can generate the bit codes */
	  gen_codes(tree, max_code, s.bl_count);
	}
	
	
	/* ===========================================================================
	 * Scan a literal or distance tree to determine the frequencies of the codes
	 * in the bit length tree.
	 */
	function scan_tree(s, tree, max_code)
	//    deflate_state *s;
	//    ct_data *tree;   /* the tree to be scanned */
	//    int max_code;    /* and its largest code of non zero frequency */
	{
	  var n;                     /* iterates over all tree elements */
	  var prevlen = -1;          /* last emitted length */
	  var curlen;                /* length of current code */
	
	  var nextlen = tree[0 * 2 + 1]/*.Len*/; /* length of next code */
	
	  var count = 0;             /* repeat count of the current code */
	  var max_count = 7;         /* max repeat count */
	  var min_count = 4;         /* min repeat count */
	
	  if (nextlen === 0) {
	    max_count = 138;
	    min_count = 3;
	  }
	  tree[(max_code + 1) * 2 + 1]/*.Len*/ = 0xffff; /* guard */
	
	  for (n = 0; n <= max_code; n++) {
	    curlen = nextlen;
	    nextlen = tree[(n + 1) * 2 + 1]/*.Len*/;
	
	    if (++count < max_count && curlen === nextlen) {
	      continue;
	
	    } else if (count < min_count) {
	      s.bl_tree[curlen * 2]/*.Freq*/ += count;
	
	    } else if (curlen !== 0) {
	
	      if (curlen !== prevlen) { s.bl_tree[curlen * 2]/*.Freq*/++; }
	      s.bl_tree[REP_3_6 * 2]/*.Freq*/++;
	
	    } else if (count <= 10) {
	      s.bl_tree[REPZ_3_10 * 2]/*.Freq*/++;
	
	    } else {
	      s.bl_tree[REPZ_11_138 * 2]/*.Freq*/++;
	    }
	
	    count = 0;
	    prevlen = curlen;
	
	    if (nextlen === 0) {
	      max_count = 138;
	      min_count = 3;
	
	    } else if (curlen === nextlen) {
	      max_count = 6;
	      min_count = 3;
	
	    } else {
	      max_count = 7;
	      min_count = 4;
	    }
	  }
	}
	
	
	/* ===========================================================================
	 * Send a literal or distance tree in compressed form, using the codes in
	 * bl_tree.
	 */
	function send_tree(s, tree, max_code)
	//    deflate_state *s;
	//    ct_data *tree; /* the tree to be scanned */
	//    int max_code;       /* and its largest code of non zero frequency */
	{
	  var n;                     /* iterates over all tree elements */
	  var prevlen = -1;          /* last emitted length */
	  var curlen;                /* length of current code */
	
	  var nextlen = tree[0 * 2 + 1]/*.Len*/; /* length of next code */
	
	  var count = 0;             /* repeat count of the current code */
	  var max_count = 7;         /* max repeat count */
	  var min_count = 4;         /* min repeat count */
	
	  /* tree[max_code+1].Len = -1; */  /* guard already set */
	  if (nextlen === 0) {
	    max_count = 138;
	    min_count = 3;
	  }
	
	  for (n = 0; n <= max_code; n++) {
	    curlen = nextlen;
	    nextlen = tree[(n + 1) * 2 + 1]/*.Len*/;
	
	    if (++count < max_count && curlen === nextlen) {
	      continue;
	
	    } else if (count < min_count) {
	      do { send_code(s, curlen, s.bl_tree); } while (--count !== 0);
	
	    } else if (curlen !== 0) {
	      if (curlen !== prevlen) {
	        send_code(s, curlen, s.bl_tree);
	        count--;
	      }
	      //Assert(count >= 3 && count <= 6, " 3_6?");
	      send_code(s, REP_3_6, s.bl_tree);
	      send_bits(s, count - 3, 2);
	
	    } else if (count <= 10) {
	      send_code(s, REPZ_3_10, s.bl_tree);
	      send_bits(s, count - 3, 3);
	
	    } else {
	      send_code(s, REPZ_11_138, s.bl_tree);
	      send_bits(s, count - 11, 7);
	    }
	
	    count = 0;
	    prevlen = curlen;
	    if (nextlen === 0) {
	      max_count = 138;
	      min_count = 3;
	
	    } else if (curlen === nextlen) {
	      max_count = 6;
	      min_count = 3;
	
	    } else {
	      max_count = 7;
	      min_count = 4;
	    }
	  }
	}
	
	
	/* ===========================================================================
	 * Construct the Huffman tree for the bit lengths and return the index in
	 * bl_order of the last bit length code to send.
	 */
	function build_bl_tree(s) {
	  var max_blindex;  /* index of last bit length code of non zero freq */
	
	  /* Determine the bit length frequencies for literal and distance trees */
	  scan_tree(s, s.dyn_ltree, s.l_desc.max_code);
	  scan_tree(s, s.dyn_dtree, s.d_desc.max_code);
	
	  /* Build the bit length tree: */
	  build_tree(s, s.bl_desc);
	  /* opt_len now includes the length of the tree representations, except
	   * the lengths of the bit lengths codes and the 5+5+4 bits for the counts.
	   */
	
	  /* Determine the number of bit length codes to send. The pkzip format
	   * requires that at least 4 bit length codes be sent. (appnote.txt says
	   * 3 but the actual value used is 4.)
	   */
	  for (max_blindex = BL_CODES - 1; max_blindex >= 3; max_blindex--) {
	    if (s.bl_tree[bl_order[max_blindex] * 2 + 1]/*.Len*/ !== 0) {
	      break;
	    }
	  }
	  /* Update opt_len to include the bit length tree and counts */
	  s.opt_len += 3 * (max_blindex + 1) + 5 + 5 + 4;
	  //Tracev((stderr, "\ndyn trees: dyn %ld, stat %ld",
	  //        s->opt_len, s->static_len));
	
	  return max_blindex;
	}
	
	
	/* ===========================================================================
	 * Send the header for a block using dynamic Huffman trees: the counts, the
	 * lengths of the bit length codes, the literal tree and the distance tree.
	 * IN assertion: lcodes >= 257, dcodes >= 1, blcodes >= 4.
	 */
	function send_all_trees(s, lcodes, dcodes, blcodes)
	//    deflate_state *s;
	//    int lcodes, dcodes, blcodes; /* number of codes for each tree */
	{
	  var rank;                    /* index in bl_order */
	
	  //Assert (lcodes >= 257 && dcodes >= 1 && blcodes >= 4, "not enough codes");
	  //Assert (lcodes <= L_CODES && dcodes <= D_CODES && blcodes <= BL_CODES,
	  //        "too many codes");
	  //Tracev((stderr, "\nbl counts: "));
	  send_bits(s, lcodes - 257, 5); /* not +255 as stated in appnote.txt */
	  send_bits(s, dcodes - 1,   5);
	  send_bits(s, blcodes - 4,  4); /* not -3 as stated in appnote.txt */
	  for (rank = 0; rank < blcodes; rank++) {
	    //Tracev((stderr, "\nbl code %2d ", bl_order[rank]));
	    send_bits(s, s.bl_tree[bl_order[rank] * 2 + 1]/*.Len*/, 3);
	  }
	  //Tracev((stderr, "\nbl tree: sent %ld", s->bits_sent));
	
	  send_tree(s, s.dyn_ltree, lcodes - 1); /* literal tree */
	  //Tracev((stderr, "\nlit tree: sent %ld", s->bits_sent));
	
	  send_tree(s, s.dyn_dtree, dcodes - 1); /* distance tree */
	  //Tracev((stderr, "\ndist tree: sent %ld", s->bits_sent));
	}
	
	
	/* ===========================================================================
	 * Check if the data type is TEXT or BINARY, using the following algorithm:
	 * - TEXT if the two conditions below are satisfied:
	 *    a) There are no non-portable control characters belonging to the
	 *       "black list" (0..6, 14..25, 28..31).
	 *    b) There is at least one printable character belonging to the
	 *       "white list" (9 {TAB}, 10 {LF}, 13 {CR}, 32..255).
	 * - BINARY otherwise.
	 * - The following partially-portable control characters form a
	 *   "gray list" that is ignored in this detection algorithm:
	 *   (7 {BEL}, 8 {BS}, 11 {VT}, 12 {FF}, 26 {SUB}, 27 {ESC}).
	 * IN assertion: the fields Freq of dyn_ltree are set.
	 */
	function detect_data_type(s) {
	  /* black_mask is the bit mask of black-listed bytes
	   * set bits 0..6, 14..25, and 28..31
	   * 0xf3ffc07f = binary 11110011111111111100000001111111
	   */
	  var black_mask = 0xf3ffc07f;
	  var n;
	
	  /* Check for non-textual ("black-listed") bytes. */
	  for (n = 0; n <= 31; n++, black_mask >>>= 1) {
	    if ((black_mask & 1) && (s.dyn_ltree[n * 2]/*.Freq*/ !== 0)) {
	      return Z_BINARY;
	    }
	  }
	
	  /* Check for textual ("white-listed") bytes. */
	  if (s.dyn_ltree[9 * 2]/*.Freq*/ !== 0 || s.dyn_ltree[10 * 2]/*.Freq*/ !== 0 ||
	      s.dyn_ltree[13 * 2]/*.Freq*/ !== 0) {
	    return Z_TEXT;
	  }
	  for (n = 32; n < LITERALS; n++) {
	    if (s.dyn_ltree[n * 2]/*.Freq*/ !== 0) {
	      return Z_TEXT;
	    }
	  }
	
	  /* There are no "black-listed" or "white-listed" bytes:
	   * this stream either is empty or has tolerated ("gray-listed") bytes only.
	   */
	  return Z_BINARY;
	}
	
	
	var static_init_done = false;
	
	/* ===========================================================================
	 * Initialize the tree data structures for a new zlib stream.
	 */
	function _tr_init(s)
	{
	
	  if (!static_init_done) {
	    tr_static_init();
	    static_init_done = true;
	  }
	
	  s.l_desc  = new TreeDesc(s.dyn_ltree, static_l_desc);
	  s.d_desc  = new TreeDesc(s.dyn_dtree, static_d_desc);
	  s.bl_desc = new TreeDesc(s.bl_tree, static_bl_desc);
	
	  s.bi_buf = 0;
	  s.bi_valid = 0;
	
	  /* Initialize the first block of the first file: */
	  init_block(s);
	}
	
	
	/* ===========================================================================
	 * Send a stored block
	 */
	function _tr_stored_block(s, buf, stored_len, last)
	//DeflateState *s;
	//charf *buf;       /* input block */
	//ulg stored_len;   /* length of input block */
	//int last;         /* one if this is the last block for a file */
	{
	  send_bits(s, (STORED_BLOCK << 1) + (last ? 1 : 0), 3);    /* send block type */
	  copy_block(s, buf, stored_len, true); /* with header */
	}
	
	
	/* ===========================================================================
	 * Send one empty static block to give enough lookahead for inflate.
	 * This takes 10 bits, of which 7 may remain in the bit buffer.
	 */
	function _tr_align(s) {
	  send_bits(s, STATIC_TREES << 1, 3);
	  send_code(s, END_BLOCK, static_ltree);
	  bi_flush(s);
	}
	
	
	/* ===========================================================================
	 * Determine the best encoding for the current block: dynamic trees, static
	 * trees or store, and output the encoded block to the zip file.
	 */
	function _tr_flush_block(s, buf, stored_len, last)
	//DeflateState *s;
	//charf *buf;       /* input block, or NULL if too old */
	//ulg stored_len;   /* length of input block */
	//int last;         /* one if this is the last block for a file */
	{
	  var opt_lenb, static_lenb;  /* opt_len and static_len in bytes */
	  var max_blindex = 0;        /* index of last bit length code of non zero freq */
	
	  /* Build the Huffman trees unless a stored block is forced */
	  if (s.level > 0) {
	
	    /* Check if the file is binary or text */
	    if (s.strm.data_type === Z_UNKNOWN) {
	      s.strm.data_type = detect_data_type(s);
	    }
	
	    /* Construct the literal and distance trees */
	    build_tree(s, s.l_desc);
	    // Tracev((stderr, "\nlit data: dyn %ld, stat %ld", s->opt_len,
	    //        s->static_len));
	
	    build_tree(s, s.d_desc);
	    // Tracev((stderr, "\ndist data: dyn %ld, stat %ld", s->opt_len,
	    //        s->static_len));
	    /* At this point, opt_len and static_len are the total bit lengths of
	     * the compressed block data, excluding the tree representations.
	     */
	
	    /* Build the bit length tree for the above two trees, and get the index
	     * in bl_order of the last bit length code to send.
	     */
	    max_blindex = build_bl_tree(s);
	
	    /* Determine the best encoding. Compute the block lengths in bytes. */
	    opt_lenb = (s.opt_len + 3 + 7) >>> 3;
	    static_lenb = (s.static_len + 3 + 7) >>> 3;
	
	    // Tracev((stderr, "\nopt %lu(%lu) stat %lu(%lu) stored %lu lit %u ",
	    //        opt_lenb, s->opt_len, static_lenb, s->static_len, stored_len,
	    //        s->last_lit));
	
	    if (static_lenb <= opt_lenb) { opt_lenb = static_lenb; }
	
	  } else {
	    // Assert(buf != (char*)0, "lost buf");
	    opt_lenb = static_lenb = stored_len + 5; /* force a stored block */
	  }
	
	  if ((stored_len + 4 <= opt_lenb) && (buf !== -1)) {
	    /* 4: two words for the lengths */
	
	    /* The test buf != NULL is only necessary if LIT_BUFSIZE > WSIZE.
	     * Otherwise we can't have processed more than WSIZE input bytes since
	     * the last block flush, because compression would have been
	     * successful. If LIT_BUFSIZE <= WSIZE, it is never too late to
	     * transform a block into a stored block.
	     */
	    _tr_stored_block(s, buf, stored_len, last);
	
	  } else if (s.strategy === Z_FIXED || static_lenb === opt_lenb) {
	
	    send_bits(s, (STATIC_TREES << 1) + (last ? 1 : 0), 3);
	    compress_block(s, static_ltree, static_dtree);
	
	  } else {
	    send_bits(s, (DYN_TREES << 1) + (last ? 1 : 0), 3);
	    send_all_trees(s, s.l_desc.max_code + 1, s.d_desc.max_code + 1, max_blindex + 1);
	    compress_block(s, s.dyn_ltree, s.dyn_dtree);
	  }
	  // Assert (s->compressed_len == s->bits_sent, "bad compressed size");
	  /* The above check is made mod 2^32, for files larger than 512 MB
	   * and uLong implemented on 32 bits.
	   */
	  init_block(s);
	
	  if (last) {
	    bi_windup(s);
	  }
	  // Tracev((stderr,"\ncomprlen %lu(%lu) ", s->compressed_len>>3,
	  //       s->compressed_len-7*last));
	}
	
	/* ===========================================================================
	 * Save the match info and tally the frequency counts. Return true if
	 * the current block must be flushed.
	 */
	function _tr_tally(s, dist, lc)
	//    deflate_state *s;
	//    unsigned dist;  /* distance of matched string */
	//    unsigned lc;    /* match length-MIN_MATCH or unmatched char (if dist==0) */
	{
	  //var out_length, in_length, dcode;
	
	  s.pending_buf[s.d_buf + s.last_lit * 2]     = (dist >>> 8) & 0xff;
	  s.pending_buf[s.d_buf + s.last_lit * 2 + 1] = dist & 0xff;
	
	  s.pending_buf[s.l_buf + s.last_lit] = lc & 0xff;
	  s.last_lit++;
	
	  if (dist === 0) {
	    /* lc is the unmatched char */
	    s.dyn_ltree[lc * 2]/*.Freq*/++;
	  } else {
	    s.matches++;
	    /* Here, lc is the match length - MIN_MATCH */
	    dist--;             /* dist = match distance - 1 */
	    //Assert((ush)dist < (ush)MAX_DIST(s) &&
	    //       (ush)lc <= (ush)(MAX_MATCH-MIN_MATCH) &&
	    //       (ush)d_code(dist) < (ush)D_CODES,  "_tr_tally: bad match");
	
	    s.dyn_ltree[(_length_code[lc] + LITERALS + 1) * 2]/*.Freq*/++;
	    s.dyn_dtree[d_code(dist) * 2]/*.Freq*/++;
	  }
	
	// (!) This block is disabled in zlib defailts,
	// don't enable it for binary compatibility
	
	//#ifdef TRUNCATE_BLOCK
	//  /* Try to guess if it is profitable to stop the current block here */
	//  if ((s.last_lit & 0x1fff) === 0 && s.level > 2) {
	//    /* Compute an upper bound for the compressed length */
	//    out_length = s.last_lit*8;
	//    in_length = s.strstart - s.block_start;
	//
	//    for (dcode = 0; dcode < D_CODES; dcode++) {
	//      out_length += s.dyn_dtree[dcode*2]/*.Freq*/ * (5 + extra_dbits[dcode]);
	//    }
	//    out_length >>>= 3;
	//    //Tracev((stderr,"\nlast_lit %u, in %ld, out ~%ld(%ld%%) ",
	//    //       s->last_lit, in_length, out_length,
	//    //       100L - out_length*100L/in_length));
	//    if (s.matches < (s.last_lit>>1)/*int /2*/ && out_length < (in_length>>1)/*int /2*/) {
	//      return true;
	//    }
	//  }
	//#endif
	
	  return (s.last_lit === s.lit_bufsize - 1);
	  /* We avoid equality with lit_bufsize because of wraparound at 64K
	   * on 16 bit machines and because stored blocks are restricted to
	   * 64K-1 bytes.
	   */
	}
	
	exports._tr_init  = _tr_init;
	exports._tr_stored_block = _tr_stored_block;
	exports._tr_flush_block  = _tr_flush_block;
	exports._tr_tally = _tr_tally;
	exports._tr_align = _tr_align;


/***/ },
/* 142 */
/***/ function(module, exports) {

	'use strict';
	
	// Note: adler32 takes 12% for level 0 and 2% for level 6.
	// It doesn't worth to make additional optimizationa as in original.
	// Small size is preferable.
	
	function adler32(adler, buf, len, pos) {
	  var s1 = (adler & 0xffff) |0,
	      s2 = ((adler >>> 16) & 0xffff) |0,
	      n = 0;
	
	  while (len !== 0) {
	    // Set limit ~ twice less than 5552, to keep
	    // s2 in 31-bits, because we force signed ints.
	    // in other case %= will fail.
	    n = len > 2000 ? 2000 : len;
	    len -= n;
	
	    do {
	      s1 = (s1 + buf[pos++]) |0;
	      s2 = (s2 + s1) |0;
	    } while (--n);
	
	    s1 %= 65521;
	    s2 %= 65521;
	  }
	
	  return (s1 | (s2 << 16)) |0;
	}
	
	
	module.exports = adler32;


/***/ },
/* 143 */
/***/ function(module, exports) {

	'use strict';
	
	// Note: we can't get significant speed boost here.
	// So write code to minimize size - no pregenerated tables
	// and array tools dependencies.
	
	
	// Use ordinary array, since untyped makes no boost here
	function makeTable() {
	  var c, table = [];
	
	  for (var n = 0; n < 256; n++) {
	    c = n;
	    for (var k = 0; k < 8; k++) {
	      c = ((c & 1) ? (0xEDB88320 ^ (c >>> 1)) : (c >>> 1));
	    }
	    table[n] = c;
	  }
	
	  return table;
	}
	
	// Create table on load. Just 255 signed longs. Not a problem.
	var crcTable = makeTable();
	
	
	function crc32(crc, buf, len, pos) {
	  var t = crcTable,
	      end = pos + len;
	
	  crc ^= -1;
	
	  for (var i = pos; i < end; i++) {
	    crc = (crc >>> 8) ^ t[(crc ^ buf[i]) & 0xFF];
	  }
	
	  return (crc ^ (-1)); // >>> 0;
	}
	
	
	module.exports = crc32;


/***/ },
/* 144 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	
	var utils         = __webpack_require__(140);
	var adler32       = __webpack_require__(142);
	var crc32         = __webpack_require__(143);
	var inflate_fast  = __webpack_require__(145);
	var inflate_table = __webpack_require__(146);
	
	var CODES = 0;
	var LENS = 1;
	var DISTS = 2;
	
	/* Public constants ==========================================================*/
	/* ===========================================================================*/
	
	
	/* Allowed flush values; see deflate() and inflate() below for details */
	//var Z_NO_FLUSH      = 0;
	//var Z_PARTIAL_FLUSH = 1;
	//var Z_SYNC_FLUSH    = 2;
	//var Z_FULL_FLUSH    = 3;
	var Z_FINISH        = 4;
	var Z_BLOCK         = 5;
	var Z_TREES         = 6;
	
	
	/* Return codes for the compression/decompression functions. Negative values
	 * are errors, positive values are used for special but normal events.
	 */
	var Z_OK            = 0;
	var Z_STREAM_END    = 1;
	var Z_NEED_DICT     = 2;
	//var Z_ERRNO         = -1;
	var Z_STREAM_ERROR  = -2;
	var Z_DATA_ERROR    = -3;
	var Z_MEM_ERROR     = -4;
	var Z_BUF_ERROR     = -5;
	//var Z_VERSION_ERROR = -6;
	
	/* The deflate compression method */
	var Z_DEFLATED  = 8;
	
	
	/* STATES ====================================================================*/
	/* ===========================================================================*/
	
	
	var    HEAD = 1;       /* i: waiting for magic header */
	var    FLAGS = 2;      /* i: waiting for method and flags (gzip) */
	var    TIME = 3;       /* i: waiting for modification time (gzip) */
	var    OS = 4;         /* i: waiting for extra flags and operating system (gzip) */
	var    EXLEN = 5;      /* i: waiting for extra length (gzip) */
	var    EXTRA = 6;      /* i: waiting for extra bytes (gzip) */
	var    NAME = 7;       /* i: waiting for end of file name (gzip) */
	var    COMMENT = 8;    /* i: waiting for end of comment (gzip) */
	var    HCRC = 9;       /* i: waiting for header crc (gzip) */
	var    DICTID = 10;    /* i: waiting for dictionary check value */
	var    DICT = 11;      /* waiting for inflateSetDictionary() call */
	var        TYPE = 12;      /* i: waiting for type bits, including last-flag bit */
	var        TYPEDO = 13;    /* i: same, but skip check to exit inflate on new block */
	var        STORED = 14;    /* i: waiting for stored size (length and complement) */
	var        COPY_ = 15;     /* i/o: same as COPY below, but only first time in */
	var        COPY = 16;      /* i/o: waiting for input or output to copy stored block */
	var        TABLE = 17;     /* i: waiting for dynamic block table lengths */
	var        LENLENS = 18;   /* i: waiting for code length code lengths */
	var        CODELENS = 19;  /* i: waiting for length/lit and distance code lengths */
	var            LEN_ = 20;      /* i: same as LEN below, but only first time in */
	var            LEN = 21;       /* i: waiting for length/lit/eob code */
	var            LENEXT = 22;    /* i: waiting for length extra bits */
	var            DIST = 23;      /* i: waiting for distance code */
	var            DISTEXT = 24;   /* i: waiting for distance extra bits */
	var            MATCH = 25;     /* o: waiting for output space to copy string */
	var            LIT = 26;       /* o: waiting for output space to write literal */
	var    CHECK = 27;     /* i: waiting for 32-bit check value */
	var    LENGTH = 28;    /* i: waiting for 32-bit length (gzip) */
	var    DONE = 29;      /* finished check, done -- remain here until reset */
	var    BAD = 30;       /* got a data error -- remain here until reset */
	var    MEM = 31;       /* got an inflate() memory error -- remain here until reset */
	var    SYNC = 32;      /* looking for synchronization bytes to restart inflate() */
	
	/* ===========================================================================*/
	
	
	
	var ENOUGH_LENS = 852;
	var ENOUGH_DISTS = 592;
	//var ENOUGH =  (ENOUGH_LENS+ENOUGH_DISTS);
	
	var MAX_WBITS = 15;
	/* 32K LZ77 window */
	var DEF_WBITS = MAX_WBITS;
	
	
	function zswap32(q) {
	  return  (((q >>> 24) & 0xff) +
	          ((q >>> 8) & 0xff00) +
	          ((q & 0xff00) << 8) +
	          ((q & 0xff) << 24));
	}
	
	
	function InflateState() {
	  this.mode = 0;             /* current inflate mode */
	  this.last = false;          /* true if processing last block */
	  this.wrap = 0;              /* bit 0 true for zlib, bit 1 true for gzip */
	  this.havedict = false;      /* true if dictionary provided */
	  this.flags = 0;             /* gzip header method and flags (0 if zlib) */
	  this.dmax = 0;              /* zlib header max distance (INFLATE_STRICT) */
	  this.check = 0;             /* protected copy of check value */
	  this.total = 0;             /* protected copy of output count */
	  // TODO: may be {}
	  this.head = null;           /* where to save gzip header information */
	
	  /* sliding window */
	  this.wbits = 0;             /* log base 2 of requested window size */
	  this.wsize = 0;             /* window size or zero if not using window */
	  this.whave = 0;             /* valid bytes in the window */
	  this.wnext = 0;             /* window write index */
	  this.window = null;         /* allocated sliding window, if needed */
	
	  /* bit accumulator */
	  this.hold = 0;              /* input bit accumulator */
	  this.bits = 0;              /* number of bits in "in" */
	
	  /* for string and stored block copying */
	  this.length = 0;            /* literal or length of data to copy */
	  this.offset = 0;            /* distance back to copy string from */
	
	  /* for table and code decoding */
	  this.extra = 0;             /* extra bits needed */
	
	  /* fixed and dynamic code tables */
	  this.lencode = null;          /* starting table for length/literal codes */
	  this.distcode = null;         /* starting table for distance codes */
	  this.lenbits = 0;           /* index bits for lencode */
	  this.distbits = 0;          /* index bits for distcode */
	
	  /* dynamic table building */
	  this.ncode = 0;             /* number of code length code lengths */
	  this.nlen = 0;              /* number of length code lengths */
	  this.ndist = 0;             /* number of distance code lengths */
	  this.have = 0;              /* number of code lengths in lens[] */
	  this.next = null;              /* next available space in codes[] */
	
	  this.lens = new utils.Buf16(320); /* temporary storage for code lengths */
	  this.work = new utils.Buf16(288); /* work area for code table building */
	
	  /*
	   because we don't have pointers in js, we use lencode and distcode directly
	   as buffers so we don't need codes
	  */
	  //this.codes = new utils.Buf32(ENOUGH);       /* space for code tables */
	  this.lendyn = null;              /* dynamic table for length/literal codes (JS specific) */
	  this.distdyn = null;             /* dynamic table for distance codes (JS specific) */
	  this.sane = 0;                   /* if false, allow invalid distance too far */
	  this.back = 0;                   /* bits back of last unprocessed length/lit */
	  this.was = 0;                    /* initial length of match */
	}
	
	function inflateResetKeep(strm) {
	  var state;
	
	  if (!strm || !strm.state) { return Z_STREAM_ERROR; }
	  state = strm.state;
	  strm.total_in = strm.total_out = state.total = 0;
	  strm.msg = ''; /*Z_NULL*/
	  if (state.wrap) {       /* to support ill-conceived Java test suite */
	    strm.adler = state.wrap & 1;
	  }
	  state.mode = HEAD;
	  state.last = 0;
	  state.havedict = 0;
	  state.dmax = 32768;
	  state.head = null/*Z_NULL*/;
	  state.hold = 0;
	  state.bits = 0;
	  //state.lencode = state.distcode = state.next = state.codes;
	  state.lencode = state.lendyn = new utils.Buf32(ENOUGH_LENS);
	  state.distcode = state.distdyn = new utils.Buf32(ENOUGH_DISTS);
	
	  state.sane = 1;
	  state.back = -1;
	  //Tracev((stderr, "inflate: reset\n"));
	  return Z_OK;
	}
	
	function inflateReset(strm) {
	  var state;
	
	  if (!strm || !strm.state) { return Z_STREAM_ERROR; }
	  state = strm.state;
	  state.wsize = 0;
	  state.whave = 0;
	  state.wnext = 0;
	  return inflateResetKeep(strm);
	
	}
	
	function inflateReset2(strm, windowBits) {
	  var wrap;
	  var state;
	
	  /* get the state */
	  if (!strm || !strm.state) { return Z_STREAM_ERROR; }
	  state = strm.state;
	
	  /* extract wrap request from windowBits parameter */
	  if (windowBits < 0) {
	    wrap = 0;
	    windowBits = -windowBits;
	  }
	  else {
	    wrap = (windowBits >> 4) + 1;
	    if (windowBits < 48) {
	      windowBits &= 15;
	    }
	  }
	
	  /* set number of window bits, free window if different */
	  if (windowBits && (windowBits < 8 || windowBits > 15)) {
	    return Z_STREAM_ERROR;
	  }
	  if (state.window !== null && state.wbits !== windowBits) {
	    state.window = null;
	  }
	
	  /* update state and reset the rest of it */
	  state.wrap = wrap;
	  state.wbits = windowBits;
	  return inflateReset(strm);
	}
	
	function inflateInit2(strm, windowBits) {
	  var ret;
	  var state;
	
	  if (!strm) { return Z_STREAM_ERROR; }
	  //strm.msg = Z_NULL;                 /* in case we return an error */
	
	  state = new InflateState();
	
	  //if (state === Z_NULL) return Z_MEM_ERROR;
	  //Tracev((stderr, "inflate: allocated\n"));
	  strm.state = state;
	  state.window = null/*Z_NULL*/;
	  ret = inflateReset2(strm, windowBits);
	  if (ret !== Z_OK) {
	    strm.state = null/*Z_NULL*/;
	  }
	  return ret;
	}
	
	function inflateInit(strm) {
	  return inflateInit2(strm, DEF_WBITS);
	}
	
	
	/*
	 Return state with length and distance decoding tables and index sizes set to
	 fixed code decoding.  Normally this returns fixed tables from inffixed.h.
	 If BUILDFIXED is defined, then instead this routine builds the tables the
	 first time it's called, and returns those tables the first time and
	 thereafter.  This reduces the size of the code by about 2K bytes, in
	 exchange for a little execution time.  However, BUILDFIXED should not be
	 used for threaded applications, since the rewriting of the tables and virgin
	 may not be thread-safe.
	 */
	var virgin = true;
	
	var lenfix, distfix; // We have no pointers in JS, so keep tables separate
	
	function fixedtables(state) {
	  /* build fixed huffman tables if first call (may not be thread safe) */
	  if (virgin) {
	    var sym;
	
	    lenfix = new utils.Buf32(512);
	    distfix = new utils.Buf32(32);
	
	    /* literal/length table */
	    sym = 0;
	    while (sym < 144) { state.lens[sym++] = 8; }
	    while (sym < 256) { state.lens[sym++] = 9; }
	    while (sym < 280) { state.lens[sym++] = 7; }
	    while (sym < 288) { state.lens[sym++] = 8; }
	
	    inflate_table(LENS,  state.lens, 0, 288, lenfix,   0, state.work, { bits: 9 });
	
	    /* distance table */
	    sym = 0;
	    while (sym < 32) { state.lens[sym++] = 5; }
	
	    inflate_table(DISTS, state.lens, 0, 32,   distfix, 0, state.work, { bits: 5 });
	
	    /* do this just once */
	    virgin = false;
	  }
	
	  state.lencode = lenfix;
	  state.lenbits = 9;
	  state.distcode = distfix;
	  state.distbits = 5;
	}
	
	
	/*
	 Update the window with the last wsize (normally 32K) bytes written before
	 returning.  If window does not exist yet, create it.  This is only called
	 when a window is already in use, or when output has been written during this
	 inflate call, but the end of the deflate stream has not been reached yet.
	 It is also called to create a window for dictionary data when a dictionary
	 is loaded.
	
	 Providing output buffers larger than 32K to inflate() should provide a speed
	 advantage, since only the last 32K of output is copied to the sliding window
	 upon return from inflate(), and since all distances after the first 32K of
	 output will fall in the output data, making match copies simpler and faster.
	 The advantage may be dependent on the size of the processor's data caches.
	 */
	function updatewindow(strm, src, end, copy) {
	  var dist;
	  var state = strm.state;
	
	  /* if it hasn't been done already, allocate space for the window */
	  if (state.window === null) {
	    state.wsize = 1 << state.wbits;
	    state.wnext = 0;
	    state.whave = 0;
	
	    state.window = new utils.Buf8(state.wsize);
	  }
	
	  /* copy state->wsize or less output bytes into the circular window */
	  if (copy >= state.wsize) {
	    utils.arraySet(state.window, src, end - state.wsize, state.wsize, 0);
	    state.wnext = 0;
	    state.whave = state.wsize;
	  }
	  else {
	    dist = state.wsize - state.wnext;
	    if (dist > copy) {
	      dist = copy;
	    }
	    //zmemcpy(state->window + state->wnext, end - copy, dist);
	    utils.arraySet(state.window, src, end - copy, dist, state.wnext);
	    copy -= dist;
	    if (copy) {
	      //zmemcpy(state->window, end - copy, copy);
	      utils.arraySet(state.window, src, end - copy, copy, 0);
	      state.wnext = copy;
	      state.whave = state.wsize;
	    }
	    else {
	      state.wnext += dist;
	      if (state.wnext === state.wsize) { state.wnext = 0; }
	      if (state.whave < state.wsize) { state.whave += dist; }
	    }
	  }
	  return 0;
	}
	
	function inflate(strm, flush) {
	  var state;
	  var input, output;          // input/output buffers
	  var next;                   /* next input INDEX */
	  var put;                    /* next output INDEX */
	  var have, left;             /* available input and output */
	  var hold;                   /* bit buffer */
	  var bits;                   /* bits in bit buffer */
	  var _in, _out;              /* save starting available input and output */
	  var copy;                   /* number of stored or match bytes to copy */
	  var from;                   /* where to copy match bytes from */
	  var from_source;
	  var here = 0;               /* current decoding table entry */
	  var here_bits, here_op, here_val; // paked "here" denormalized (JS specific)
	  //var last;                   /* parent table entry */
	  var last_bits, last_op, last_val; // paked "last" denormalized (JS specific)
	  var len;                    /* length to copy for repeats, bits to drop */
	  var ret;                    /* return code */
	  var hbuf = new utils.Buf8(4);    /* buffer for gzip header crc calculation */
	  var opts;
	
	  var n; // temporary var for NEED_BITS
	
	  var order = /* permutation of code lengths */
	    [ 16, 17, 18, 0, 8, 7, 9, 6, 10, 5, 11, 4, 12, 3, 13, 2, 14, 1, 15 ];
	
	
	  if (!strm || !strm.state || !strm.output ||
	      (!strm.input && strm.avail_in !== 0)) {
	    return Z_STREAM_ERROR;
	  }
	
	  state = strm.state;
	  if (state.mode === TYPE) { state.mode = TYPEDO; }    /* skip check */
	
	
	  //--- LOAD() ---
	  put = strm.next_out;
	  output = strm.output;
	  left = strm.avail_out;
	  next = strm.next_in;
	  input = strm.input;
	  have = strm.avail_in;
	  hold = state.hold;
	  bits = state.bits;
	  //---
	
	  _in = have;
	  _out = left;
	  ret = Z_OK;
	
	  inf_leave: // goto emulation
	  for (;;) {
	    switch (state.mode) {
	    case HEAD:
	      if (state.wrap === 0) {
	        state.mode = TYPEDO;
	        break;
	      }
	      //=== NEEDBITS(16);
	      while (bits < 16) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      if ((state.wrap & 2) && hold === 0x8b1f) {  /* gzip header */
	        state.check = 0/*crc32(0L, Z_NULL, 0)*/;
	        //=== CRC2(state.check, hold);
	        hbuf[0] = hold & 0xff;
	        hbuf[1] = (hold >>> 8) & 0xff;
	        state.check = crc32(state.check, hbuf, 2, 0);
	        //===//
	
	        //=== INITBITS();
	        hold = 0;
	        bits = 0;
	        //===//
	        state.mode = FLAGS;
	        break;
	      }
	      state.flags = 0;           /* expect zlib header */
	      if (state.head) {
	        state.head.done = false;
	      }
	      if (!(state.wrap & 1) ||   /* check if zlib header allowed */
	        (((hold & 0xff)/*BITS(8)*/ << 8) + (hold >> 8)) % 31) {
	        strm.msg = 'incorrect header check';
	        state.mode = BAD;
	        break;
	      }
	      if ((hold & 0x0f)/*BITS(4)*/ !== Z_DEFLATED) {
	        strm.msg = 'unknown compression method';
	        state.mode = BAD;
	        break;
	      }
	      //--- DROPBITS(4) ---//
	      hold >>>= 4;
	      bits -= 4;
	      //---//
	      len = (hold & 0x0f)/*BITS(4)*/ + 8;
	      if (state.wbits === 0) {
	        state.wbits = len;
	      }
	      else if (len > state.wbits) {
	        strm.msg = 'invalid window size';
	        state.mode = BAD;
	        break;
	      }
	      state.dmax = 1 << len;
	      //Tracev((stderr, "inflate:   zlib header ok\n"));
	      strm.adler = state.check = 1/*adler32(0L, Z_NULL, 0)*/;
	      state.mode = hold & 0x200 ? DICTID : TYPE;
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      break;
	    case FLAGS:
	      //=== NEEDBITS(16); */
	      while (bits < 16) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      state.flags = hold;
	      if ((state.flags & 0xff) !== Z_DEFLATED) {
	        strm.msg = 'unknown compression method';
	        state.mode = BAD;
	        break;
	      }
	      if (state.flags & 0xe000) {
	        strm.msg = 'unknown header flags set';
	        state.mode = BAD;
	        break;
	      }
	      if (state.head) {
	        state.head.text = ((hold >> 8) & 1);
	      }
	      if (state.flags & 0x0200) {
	        //=== CRC2(state.check, hold);
	        hbuf[0] = hold & 0xff;
	        hbuf[1] = (hold >>> 8) & 0xff;
	        state.check = crc32(state.check, hbuf, 2, 0);
	        //===//
	      }
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      state.mode = TIME;
	      /* falls through */
	    case TIME:
	      //=== NEEDBITS(32); */
	      while (bits < 32) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      if (state.head) {
	        state.head.time = hold;
	      }
	      if (state.flags & 0x0200) {
	        //=== CRC4(state.check, hold)
	        hbuf[0] = hold & 0xff;
	        hbuf[1] = (hold >>> 8) & 0xff;
	        hbuf[2] = (hold >>> 16) & 0xff;
	        hbuf[3] = (hold >>> 24) & 0xff;
	        state.check = crc32(state.check, hbuf, 4, 0);
	        //===
	      }
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      state.mode = OS;
	      /* falls through */
	    case OS:
	      //=== NEEDBITS(16); */
	      while (bits < 16) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      if (state.head) {
	        state.head.xflags = (hold & 0xff);
	        state.head.os = (hold >> 8);
	      }
	      if (state.flags & 0x0200) {
	        //=== CRC2(state.check, hold);
	        hbuf[0] = hold & 0xff;
	        hbuf[1] = (hold >>> 8) & 0xff;
	        state.check = crc32(state.check, hbuf, 2, 0);
	        //===//
	      }
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      state.mode = EXLEN;
	      /* falls through */
	    case EXLEN:
	      if (state.flags & 0x0400) {
	        //=== NEEDBITS(16); */
	        while (bits < 16) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        state.length = hold;
	        if (state.head) {
	          state.head.extra_len = hold;
	        }
	        if (state.flags & 0x0200) {
	          //=== CRC2(state.check, hold);
	          hbuf[0] = hold & 0xff;
	          hbuf[1] = (hold >>> 8) & 0xff;
	          state.check = crc32(state.check, hbuf, 2, 0);
	          //===//
	        }
	        //=== INITBITS();
	        hold = 0;
	        bits = 0;
	        //===//
	      }
	      else if (state.head) {
	        state.head.extra = null/*Z_NULL*/;
	      }
	      state.mode = EXTRA;
	      /* falls through */
	    case EXTRA:
	      if (state.flags & 0x0400) {
	        copy = state.length;
	        if (copy > have) { copy = have; }
	        if (copy) {
	          if (state.head) {
	            len = state.head.extra_len - state.length;
	            if (!state.head.extra) {
	              // Use untyped array for more conveniend processing later
	              state.head.extra = new Array(state.head.extra_len);
	            }
	            utils.arraySet(
	              state.head.extra,
	              input,
	              next,
	              // extra field is limited to 65536 bytes
	              // - no need for additional size check
	              copy,
	              /*len + copy > state.head.extra_max - len ? state.head.extra_max : copy,*/
	              len
	            );
	            //zmemcpy(state.head.extra + len, next,
	            //        len + copy > state.head.extra_max ?
	            //        state.head.extra_max - len : copy);
	          }
	          if (state.flags & 0x0200) {
	            state.check = crc32(state.check, input, copy, next);
	          }
	          have -= copy;
	          next += copy;
	          state.length -= copy;
	        }
	        if (state.length) { break inf_leave; }
	      }
	      state.length = 0;
	      state.mode = NAME;
	      /* falls through */
	    case NAME:
	      if (state.flags & 0x0800) {
	        if (have === 0) { break inf_leave; }
	        copy = 0;
	        do {
	          // TODO: 2 or 1 bytes?
	          len = input[next + copy++];
	          /* use constant limit because in js we should not preallocate memory */
	          if (state.head && len &&
	              (state.length < 65536 /*state.head.name_max*/)) {
	            state.head.name += String.fromCharCode(len);
	          }
	        } while (len && copy < have);
	
	        if (state.flags & 0x0200) {
	          state.check = crc32(state.check, input, copy, next);
	        }
	        have -= copy;
	        next += copy;
	        if (len) { break inf_leave; }
	      }
	      else if (state.head) {
	        state.head.name = null;
	      }
	      state.length = 0;
	      state.mode = COMMENT;
	      /* falls through */
	    case COMMENT:
	      if (state.flags & 0x1000) {
	        if (have === 0) { break inf_leave; }
	        copy = 0;
	        do {
	          len = input[next + copy++];
	          /* use constant limit because in js we should not preallocate memory */
	          if (state.head && len &&
	              (state.length < 65536 /*state.head.comm_max*/)) {
	            state.head.comment += String.fromCharCode(len);
	          }
	        } while (len && copy < have);
	        if (state.flags & 0x0200) {
	          state.check = crc32(state.check, input, copy, next);
	        }
	        have -= copy;
	        next += copy;
	        if (len) { break inf_leave; }
	      }
	      else if (state.head) {
	        state.head.comment = null;
	      }
	      state.mode = HCRC;
	      /* falls through */
	    case HCRC:
	      if (state.flags & 0x0200) {
	        //=== NEEDBITS(16); */
	        while (bits < 16) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        if (hold !== (state.check & 0xffff)) {
	          strm.msg = 'header crc mismatch';
	          state.mode = BAD;
	          break;
	        }
	        //=== INITBITS();
	        hold = 0;
	        bits = 0;
	        //===//
	      }
	      if (state.head) {
	        state.head.hcrc = ((state.flags >> 9) & 1);
	        state.head.done = true;
	      }
	      strm.adler = state.check = 0;
	      state.mode = TYPE;
	      break;
	    case DICTID:
	      //=== NEEDBITS(32); */
	      while (bits < 32) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      strm.adler = state.check = zswap32(hold);
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      state.mode = DICT;
	      /* falls through */
	    case DICT:
	      if (state.havedict === 0) {
	        //--- RESTORE() ---
	        strm.next_out = put;
	        strm.avail_out = left;
	        strm.next_in = next;
	        strm.avail_in = have;
	        state.hold = hold;
	        state.bits = bits;
	        //---
	        return Z_NEED_DICT;
	      }
	      strm.adler = state.check = 1/*adler32(0L, Z_NULL, 0)*/;
	      state.mode = TYPE;
	      /* falls through */
	    case TYPE:
	      if (flush === Z_BLOCK || flush === Z_TREES) { break inf_leave; }
	      /* falls through */
	    case TYPEDO:
	      if (state.last) {
	        //--- BYTEBITS() ---//
	        hold >>>= bits & 7;
	        bits -= bits & 7;
	        //---//
	        state.mode = CHECK;
	        break;
	      }
	      //=== NEEDBITS(3); */
	      while (bits < 3) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      state.last = (hold & 0x01)/*BITS(1)*/;
	      //--- DROPBITS(1) ---//
	      hold >>>= 1;
	      bits -= 1;
	      //---//
	
	      switch ((hold & 0x03)/*BITS(2)*/) {
	      case 0:                             /* stored block */
	        //Tracev((stderr, "inflate:     stored block%s\n",
	        //        state.last ? " (last)" : ""));
	        state.mode = STORED;
	        break;
	      case 1:                             /* fixed block */
	        fixedtables(state);
	        //Tracev((stderr, "inflate:     fixed codes block%s\n",
	        //        state.last ? " (last)" : ""));
	        state.mode = LEN_;             /* decode codes */
	        if (flush === Z_TREES) {
	          //--- DROPBITS(2) ---//
	          hold >>>= 2;
	          bits -= 2;
	          //---//
	          break inf_leave;
	        }
	        break;
	      case 2:                             /* dynamic block */
	        //Tracev((stderr, "inflate:     dynamic codes block%s\n",
	        //        state.last ? " (last)" : ""));
	        state.mode = TABLE;
	        break;
	      case 3:
	        strm.msg = 'invalid block type';
	        state.mode = BAD;
	      }
	      //--- DROPBITS(2) ---//
	      hold >>>= 2;
	      bits -= 2;
	      //---//
	      break;
	    case STORED:
	      //--- BYTEBITS() ---// /* go to byte boundary */
	      hold >>>= bits & 7;
	      bits -= bits & 7;
	      //---//
	      //=== NEEDBITS(32); */
	      while (bits < 32) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      if ((hold & 0xffff) !== ((hold >>> 16) ^ 0xffff)) {
	        strm.msg = 'invalid stored block lengths';
	        state.mode = BAD;
	        break;
	      }
	      state.length = hold & 0xffff;
	      //Tracev((stderr, "inflate:       stored length %u\n",
	      //        state.length));
	      //=== INITBITS();
	      hold = 0;
	      bits = 0;
	      //===//
	      state.mode = COPY_;
	      if (flush === Z_TREES) { break inf_leave; }
	      /* falls through */
	    case COPY_:
	      state.mode = COPY;
	      /* falls through */
	    case COPY:
	      copy = state.length;
	      if (copy) {
	        if (copy > have) { copy = have; }
	        if (copy > left) { copy = left; }
	        if (copy === 0) { break inf_leave; }
	        //--- zmemcpy(put, next, copy); ---
	        utils.arraySet(output, input, next, copy, put);
	        //---//
	        have -= copy;
	        next += copy;
	        left -= copy;
	        put += copy;
	        state.length -= copy;
	        break;
	      }
	      //Tracev((stderr, "inflate:       stored end\n"));
	      state.mode = TYPE;
	      break;
	    case TABLE:
	      //=== NEEDBITS(14); */
	      while (bits < 14) {
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	      }
	      //===//
	      state.nlen = (hold & 0x1f)/*BITS(5)*/ + 257;
	      //--- DROPBITS(5) ---//
	      hold >>>= 5;
	      bits -= 5;
	      //---//
	      state.ndist = (hold & 0x1f)/*BITS(5)*/ + 1;
	      //--- DROPBITS(5) ---//
	      hold >>>= 5;
	      bits -= 5;
	      //---//
	      state.ncode = (hold & 0x0f)/*BITS(4)*/ + 4;
	      //--- DROPBITS(4) ---//
	      hold >>>= 4;
	      bits -= 4;
	      //---//
	//#ifndef PKZIP_BUG_WORKAROUND
	      if (state.nlen > 286 || state.ndist > 30) {
	        strm.msg = 'too many length or distance symbols';
	        state.mode = BAD;
	        break;
	      }
	//#endif
	      //Tracev((stderr, "inflate:       table sizes ok\n"));
	      state.have = 0;
	      state.mode = LENLENS;
	      /* falls through */
	    case LENLENS:
	      while (state.have < state.ncode) {
	        //=== NEEDBITS(3);
	        while (bits < 3) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        state.lens[order[state.have++]] = (hold & 0x07);//BITS(3);
	        //--- DROPBITS(3) ---//
	        hold >>>= 3;
	        bits -= 3;
	        //---//
	      }
	      while (state.have < 19) {
	        state.lens[order[state.have++]] = 0;
	      }
	      // We have separate tables & no pointers. 2 commented lines below not needed.
	      //state.next = state.codes;
	      //state.lencode = state.next;
	      // Switch to use dynamic table
	      state.lencode = state.lendyn;
	      state.lenbits = 7;
	
	      opts = { bits: state.lenbits };
	      ret = inflate_table(CODES, state.lens, 0, 19, state.lencode, 0, state.work, opts);
	      state.lenbits = opts.bits;
	
	      if (ret) {
	        strm.msg = 'invalid code lengths set';
	        state.mode = BAD;
	        break;
	      }
	      //Tracev((stderr, "inflate:       code lengths ok\n"));
	      state.have = 0;
	      state.mode = CODELENS;
	      /* falls through */
	    case CODELENS:
	      while (state.have < state.nlen + state.ndist) {
	        for (;;) {
	          here = state.lencode[hold & ((1 << state.lenbits) - 1)];/*BITS(state.lenbits)*/
	          here_bits = here >>> 24;
	          here_op = (here >>> 16) & 0xff;
	          here_val = here & 0xffff;
	
	          if ((here_bits) <= bits) { break; }
	          //--- PULLBYTE() ---//
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	          //---//
	        }
	        if (here_val < 16) {
	          //--- DROPBITS(here.bits) ---//
	          hold >>>= here_bits;
	          bits -= here_bits;
	          //---//
	          state.lens[state.have++] = here_val;
	        }
	        else {
	          if (here_val === 16) {
	            //=== NEEDBITS(here.bits + 2);
	            n = here_bits + 2;
	            while (bits < n) {
	              if (have === 0) { break inf_leave; }
	              have--;
	              hold += input[next++] << bits;
	              bits += 8;
	            }
	            //===//
	            //--- DROPBITS(here.bits) ---//
	            hold >>>= here_bits;
	            bits -= here_bits;
	            //---//
	            if (state.have === 0) {
	              strm.msg = 'invalid bit length repeat';
	              state.mode = BAD;
	              break;
	            }
	            len = state.lens[state.have - 1];
	            copy = 3 + (hold & 0x03);//BITS(2);
	            //--- DROPBITS(2) ---//
	            hold >>>= 2;
	            bits -= 2;
	            //---//
	          }
	          else if (here_val === 17) {
	            //=== NEEDBITS(here.bits + 3);
	            n = here_bits + 3;
	            while (bits < n) {
	              if (have === 0) { break inf_leave; }
	              have--;
	              hold += input[next++] << bits;
	              bits += 8;
	            }
	            //===//
	            //--- DROPBITS(here.bits) ---//
	            hold >>>= here_bits;
	            bits -= here_bits;
	            //---//
	            len = 0;
	            copy = 3 + (hold & 0x07);//BITS(3);
	            //--- DROPBITS(3) ---//
	            hold >>>= 3;
	            bits -= 3;
	            //---//
	          }
	          else {
	            //=== NEEDBITS(here.bits + 7);
	            n = here_bits + 7;
	            while (bits < n) {
	              if (have === 0) { break inf_leave; }
	              have--;
	              hold += input[next++] << bits;
	              bits += 8;
	            }
	            //===//
	            //--- DROPBITS(here.bits) ---//
	            hold >>>= here_bits;
	            bits -= here_bits;
	            //---//
	            len = 0;
	            copy = 11 + (hold & 0x7f);//BITS(7);
	            //--- DROPBITS(7) ---//
	            hold >>>= 7;
	            bits -= 7;
	            //---//
	          }
	          if (state.have + copy > state.nlen + state.ndist) {
	            strm.msg = 'invalid bit length repeat';
	            state.mode = BAD;
	            break;
	          }
	          while (copy--) {
	            state.lens[state.have++] = len;
	          }
	        }
	      }
	
	      /* handle error breaks in while */
	      if (state.mode === BAD) { break; }
	
	      /* check for end-of-block code (better have one) */
	      if (state.lens[256] === 0) {
	        strm.msg = 'invalid code -- missing end-of-block';
	        state.mode = BAD;
	        break;
	      }
	
	      /* build code tables -- note: do not change the lenbits or distbits
	         values here (9 and 6) without reading the comments in inftrees.h
	         concerning the ENOUGH constants, which depend on those values */
	      state.lenbits = 9;
	
	      opts = { bits: state.lenbits };
	      ret = inflate_table(LENS, state.lens, 0, state.nlen, state.lencode, 0, state.work, opts);
	      // We have separate tables & no pointers. 2 commented lines below not needed.
	      // state.next_index = opts.table_index;
	      state.lenbits = opts.bits;
	      // state.lencode = state.next;
	
	      if (ret) {
	        strm.msg = 'invalid literal/lengths set';
	        state.mode = BAD;
	        break;
	      }
	
	      state.distbits = 6;
	      //state.distcode.copy(state.codes);
	      // Switch to use dynamic table
	      state.distcode = state.distdyn;
	      opts = { bits: state.distbits };
	      ret = inflate_table(DISTS, state.lens, state.nlen, state.ndist, state.distcode, 0, state.work, opts);
	      // We have separate tables & no pointers. 2 commented lines below not needed.
	      // state.next_index = opts.table_index;
	      state.distbits = opts.bits;
	      // state.distcode = state.next;
	
	      if (ret) {
	        strm.msg = 'invalid distances set';
	        state.mode = BAD;
	        break;
	      }
	      //Tracev((stderr, 'inflate:       codes ok\n'));
	      state.mode = LEN_;
	      if (flush === Z_TREES) { break inf_leave; }
	      /* falls through */
	    case LEN_:
	      state.mode = LEN;
	      /* falls through */
	    case LEN:
	      if (have >= 6 && left >= 258) {
	        //--- RESTORE() ---
	        strm.next_out = put;
	        strm.avail_out = left;
	        strm.next_in = next;
	        strm.avail_in = have;
	        state.hold = hold;
	        state.bits = bits;
	        //---
	        inflate_fast(strm, _out);
	        //--- LOAD() ---
	        put = strm.next_out;
	        output = strm.output;
	        left = strm.avail_out;
	        next = strm.next_in;
	        input = strm.input;
	        have = strm.avail_in;
	        hold = state.hold;
	        bits = state.bits;
	        //---
	
	        if (state.mode === TYPE) {
	          state.back = -1;
	        }
	        break;
	      }
	      state.back = 0;
	      for (;;) {
	        here = state.lencode[hold & ((1 << state.lenbits) - 1)];  /*BITS(state.lenbits)*/
	        here_bits = here >>> 24;
	        here_op = (here >>> 16) & 0xff;
	        here_val = here & 0xffff;
	
	        if (here_bits <= bits) { break; }
	        //--- PULLBYTE() ---//
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	        //---//
	      }
	      if (here_op && (here_op & 0xf0) === 0) {
	        last_bits = here_bits;
	        last_op = here_op;
	        last_val = here_val;
	        for (;;) {
	          here = state.lencode[last_val +
	                  ((hold & ((1 << (last_bits + last_op)) - 1))/*BITS(last.bits + last.op)*/ >> last_bits)];
	          here_bits = here >>> 24;
	          here_op = (here >>> 16) & 0xff;
	          here_val = here & 0xffff;
	
	          if ((last_bits + here_bits) <= bits) { break; }
	          //--- PULLBYTE() ---//
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	          //---//
	        }
	        //--- DROPBITS(last.bits) ---//
	        hold >>>= last_bits;
	        bits -= last_bits;
	        //---//
	        state.back += last_bits;
	      }
	      //--- DROPBITS(here.bits) ---//
	      hold >>>= here_bits;
	      bits -= here_bits;
	      //---//
	      state.back += here_bits;
	      state.length = here_val;
	      if (here_op === 0) {
	        //Tracevv((stderr, here.val >= 0x20 && here.val < 0x7f ?
	        //        "inflate:         literal '%c'\n" :
	        //        "inflate:         literal 0x%02x\n", here.val));
	        state.mode = LIT;
	        break;
	      }
	      if (here_op & 32) {
	        //Tracevv((stderr, "inflate:         end of block\n"));
	        state.back = -1;
	        state.mode = TYPE;
	        break;
	      }
	      if (here_op & 64) {
	        strm.msg = 'invalid literal/length code';
	        state.mode = BAD;
	        break;
	      }
	      state.extra = here_op & 15;
	      state.mode = LENEXT;
	      /* falls through */
	    case LENEXT:
	      if (state.extra) {
	        //=== NEEDBITS(state.extra);
	        n = state.extra;
	        while (bits < n) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        state.length += hold & ((1 << state.extra) - 1)/*BITS(state.extra)*/;
	        //--- DROPBITS(state.extra) ---//
	        hold >>>= state.extra;
	        bits -= state.extra;
	        //---//
	        state.back += state.extra;
	      }
	      //Tracevv((stderr, "inflate:         length %u\n", state.length));
	      state.was = state.length;
	      state.mode = DIST;
	      /* falls through */
	    case DIST:
	      for (;;) {
	        here = state.distcode[hold & ((1 << state.distbits) - 1)];/*BITS(state.distbits)*/
	        here_bits = here >>> 24;
	        here_op = (here >>> 16) & 0xff;
	        here_val = here & 0xffff;
	
	        if ((here_bits) <= bits) { break; }
	        //--- PULLBYTE() ---//
	        if (have === 0) { break inf_leave; }
	        have--;
	        hold += input[next++] << bits;
	        bits += 8;
	        //---//
	      }
	      if ((here_op & 0xf0) === 0) {
	        last_bits = here_bits;
	        last_op = here_op;
	        last_val = here_val;
	        for (;;) {
	          here = state.distcode[last_val +
	                  ((hold & ((1 << (last_bits + last_op)) - 1))/*BITS(last.bits + last.op)*/ >> last_bits)];
	          here_bits = here >>> 24;
	          here_op = (here >>> 16) & 0xff;
	          here_val = here & 0xffff;
	
	          if ((last_bits + here_bits) <= bits) { break; }
	          //--- PULLBYTE() ---//
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	          //---//
	        }
	        //--- DROPBITS(last.bits) ---//
	        hold >>>= last_bits;
	        bits -= last_bits;
	        //---//
	        state.back += last_bits;
	      }
	      //--- DROPBITS(here.bits) ---//
	      hold >>>= here_bits;
	      bits -= here_bits;
	      //---//
	      state.back += here_bits;
	      if (here_op & 64) {
	        strm.msg = 'invalid distance code';
	        state.mode = BAD;
	        break;
	      }
	      state.offset = here_val;
	      state.extra = (here_op) & 15;
	      state.mode = DISTEXT;
	      /* falls through */
	    case DISTEXT:
	      if (state.extra) {
	        //=== NEEDBITS(state.extra);
	        n = state.extra;
	        while (bits < n) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        state.offset += hold & ((1 << state.extra) - 1)/*BITS(state.extra)*/;
	        //--- DROPBITS(state.extra) ---//
	        hold >>>= state.extra;
	        bits -= state.extra;
	        //---//
	        state.back += state.extra;
	      }
	//#ifdef INFLATE_STRICT
	      if (state.offset > state.dmax) {
	        strm.msg = 'invalid distance too far back';
	        state.mode = BAD;
	        break;
	      }
	//#endif
	      //Tracevv((stderr, "inflate:         distance %u\n", state.offset));
	      state.mode = MATCH;
	      /* falls through */
	    case MATCH:
	      if (left === 0) { break inf_leave; }
	      copy = _out - left;
	      if (state.offset > copy) {         /* copy from window */
	        copy = state.offset - copy;
	        if (copy > state.whave) {
	          if (state.sane) {
	            strm.msg = 'invalid distance too far back';
	            state.mode = BAD;
	            break;
	          }
	// (!) This block is disabled in zlib defailts,
	// don't enable it for binary compatibility
	//#ifdef INFLATE_ALLOW_INVALID_DISTANCE_TOOFAR_ARRR
	//          Trace((stderr, "inflate.c too far\n"));
	//          copy -= state.whave;
	//          if (copy > state.length) { copy = state.length; }
	//          if (copy > left) { copy = left; }
	//          left -= copy;
	//          state.length -= copy;
	//          do {
	//            output[put++] = 0;
	//          } while (--copy);
	//          if (state.length === 0) { state.mode = LEN; }
	//          break;
	//#endif
	        }
	        if (copy > state.wnext) {
	          copy -= state.wnext;
	          from = state.wsize - copy;
	        }
	        else {
	          from = state.wnext - copy;
	        }
	        if (copy > state.length) { copy = state.length; }
	        from_source = state.window;
	      }
	      else {                              /* copy from output */
	        from_source = output;
	        from = put - state.offset;
	        copy = state.length;
	      }
	      if (copy > left) { copy = left; }
	      left -= copy;
	      state.length -= copy;
	      do {
	        output[put++] = from_source[from++];
	      } while (--copy);
	      if (state.length === 0) { state.mode = LEN; }
	      break;
	    case LIT:
	      if (left === 0) { break inf_leave; }
	      output[put++] = state.length;
	      left--;
	      state.mode = LEN;
	      break;
	    case CHECK:
	      if (state.wrap) {
	        //=== NEEDBITS(32);
	        while (bits < 32) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          // Use '|' insdead of '+' to make sure that result is signed
	          hold |= input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        _out -= left;
	        strm.total_out += _out;
	        state.total += _out;
	        if (_out) {
	          strm.adler = state.check =
	              /*UPDATE(state.check, put - _out, _out);*/
	              (state.flags ? crc32(state.check, output, _out, put - _out) : adler32(state.check, output, _out, put - _out));
	
	        }
	        _out = left;
	        // NB: crc32 stored as signed 32-bit int, zswap32 returns signed too
	        if ((state.flags ? hold : zswap32(hold)) !== state.check) {
	          strm.msg = 'incorrect data check';
	          state.mode = BAD;
	          break;
	        }
	        //=== INITBITS();
	        hold = 0;
	        bits = 0;
	        //===//
	        //Tracev((stderr, "inflate:   check matches trailer\n"));
	      }
	      state.mode = LENGTH;
	      /* falls through */
	    case LENGTH:
	      if (state.wrap && state.flags) {
	        //=== NEEDBITS(32);
	        while (bits < 32) {
	          if (have === 0) { break inf_leave; }
	          have--;
	          hold += input[next++] << bits;
	          bits += 8;
	        }
	        //===//
	        if (hold !== (state.total & 0xffffffff)) {
	          strm.msg = 'incorrect length check';
	          state.mode = BAD;
	          break;
	        }
	        //=== INITBITS();
	        hold = 0;
	        bits = 0;
	        //===//
	        //Tracev((stderr, "inflate:   length matches trailer\n"));
	      }
	      state.mode = DONE;
	      /* falls through */
	    case DONE:
	      ret = Z_STREAM_END;
	      break inf_leave;
	    case BAD:
	      ret = Z_DATA_ERROR;
	      break inf_leave;
	    case MEM:
	      return Z_MEM_ERROR;
	    case SYNC:
	      /* falls through */
	    default:
	      return Z_STREAM_ERROR;
	    }
	  }
	
	  // inf_leave <- here is real place for "goto inf_leave", emulated via "break inf_leave"
	
	  /*
	     Return from inflate(), updating the total counts and the check value.
	     If there was no progress during the inflate() call, return a buffer
	     error.  Call updatewindow() to create and/or update the window state.
	     Note: a memory error from inflate() is non-recoverable.
	   */
	
	  //--- RESTORE() ---
	  strm.next_out = put;
	  strm.avail_out = left;
	  strm.next_in = next;
	  strm.avail_in = have;
	  state.hold = hold;
	  state.bits = bits;
	  //---
	
	  if (state.wsize || (_out !== strm.avail_out && state.mode < BAD &&
	                      (state.mode < CHECK || flush !== Z_FINISH))) {
	    if (updatewindow(strm, strm.output, strm.next_out, _out - strm.avail_out)) {
	      state.mode = MEM;
	      return Z_MEM_ERROR;
	    }
	  }
	  _in -= strm.avail_in;
	  _out -= strm.avail_out;
	  strm.total_in += _in;
	  strm.total_out += _out;
	  state.total += _out;
	  if (state.wrap && _out) {
	    strm.adler = state.check = /*UPDATE(state.check, strm.next_out - _out, _out);*/
	      (state.flags ? crc32(state.check, output, _out, strm.next_out - _out) : adler32(state.check, output, _out, strm.next_out - _out));
	  }
	  strm.data_type = state.bits + (state.last ? 64 : 0) +
	                    (state.mode === TYPE ? 128 : 0) +
	                    (state.mode === LEN_ || state.mode === COPY_ ? 256 : 0);
	  if (((_in === 0 && _out === 0) || flush === Z_FINISH) && ret === Z_OK) {
	    ret = Z_BUF_ERROR;
	  }
	  return ret;
	}
	
	function inflateEnd(strm) {
	
	  if (!strm || !strm.state /*|| strm->zfree == (free_func)0*/) {
	    return Z_STREAM_ERROR;
	  }
	
	  var state = strm.state;
	  if (state.window) {
	    state.window = null;
	  }
	  strm.state = null;
	  return Z_OK;
	}
	
	function inflateGetHeader(strm, head) {
	  var state;
	
	  /* check state */
	  if (!strm || !strm.state) { return Z_STREAM_ERROR; }
	  state = strm.state;
	  if ((state.wrap & 2) === 0) { return Z_STREAM_ERROR; }
	
	  /* save header structure */
	  state.head = head;
	  head.done = false;
	  return Z_OK;
	}
	
	function inflateSetDictionary(strm, dictionary) {
	  var dictLength = dictionary.length;
	
	  var state;
	  var dictid;
	  var ret;
	
	  /* check state */
	  if (!strm /* == Z_NULL */ || !strm.state /* == Z_NULL */) { return Z_STREAM_ERROR; }
	  state = strm.state;
	
	  if (state.wrap !== 0 && state.mode !== DICT) {
	    return Z_STREAM_ERROR;
	  }
	
	  /* check for correct dictionary identifier */
	  if (state.mode === DICT) {
	    dictid = 1; /* adler32(0, null, 0)*/
	    /* dictid = adler32(dictid, dictionary, dictLength); */
	    dictid = adler32(dictid, dictionary, dictLength, 0);
	    if (dictid !== state.check) {
	      return Z_DATA_ERROR;
	    }
	  }
	  /* copy dictionary to window using updatewindow(), which will amend the
	   existing dictionary if appropriate */
	  ret = updatewindow(strm, dictionary, dictLength, dictLength);
	  if (ret) {
	    state.mode = MEM;
	    return Z_MEM_ERROR;
	  }
	  state.havedict = 1;
	  // Tracev((stderr, "inflate:   dictionary set\n"));
	  return Z_OK;
	}
	
	exports.inflateReset = inflateReset;
	exports.inflateReset2 = inflateReset2;
	exports.inflateResetKeep = inflateResetKeep;
	exports.inflateInit = inflateInit;
	exports.inflateInit2 = inflateInit2;
	exports.inflate = inflate;
	exports.inflateEnd = inflateEnd;
	exports.inflateGetHeader = inflateGetHeader;
	exports.inflateSetDictionary = inflateSetDictionary;
	exports.inflateInfo = 'pako inflate (from Nodeca project)';
	
	/* Not implemented
	exports.inflateCopy = inflateCopy;
	exports.inflateGetDictionary = inflateGetDictionary;
	exports.inflateMark = inflateMark;
	exports.inflatePrime = inflatePrime;
	exports.inflateSync = inflateSync;
	exports.inflateSyncPoint = inflateSyncPoint;
	exports.inflateUndermine = inflateUndermine;
	*/


/***/ },
/* 145 */
/***/ function(module, exports) {

	'use strict';
	
	// See state defs from inflate.js
	var BAD = 30;       /* got a data error -- remain here until reset */
	var TYPE = 12;      /* i: waiting for type bits, including last-flag bit */
	
	/*
	   Decode literal, length, and distance codes and write out the resulting
	   literal and match bytes until either not enough input or output is
	   available, an end-of-block is encountered, or a data error is encountered.
	   When large enough input and output buffers are supplied to inflate(), for
	   example, a 16K input buffer and a 64K output buffer, more than 95% of the
	   inflate execution time is spent in this routine.
	
	   Entry assumptions:
	
	        state.mode === LEN
	        strm.avail_in >= 6
	        strm.avail_out >= 258
	        start >= strm.avail_out
	        state.bits < 8
	
	   On return, state.mode is one of:
	
	        LEN -- ran out of enough output space or enough available input
	        TYPE -- reached end of block code, inflate() to interpret next block
	        BAD -- error in block data
	
	   Notes:
	
	    - The maximum input bits used by a length/distance pair is 15 bits for the
	      length code, 5 bits for the length extra, 15 bits for the distance code,
	      and 13 bits for the distance extra.  This totals 48 bits, or six bytes.
	      Therefore if strm.avail_in >= 6, then there is enough input to avoid
	      checking for available input while decoding.
	
	    - The maximum bytes that a single length/distance pair can output is 258
	      bytes, which is the maximum length that can be coded.  inflate_fast()
	      requires strm.avail_out >= 258 for each loop to avoid checking for
	      output space.
	 */
	module.exports = function inflate_fast(strm, start) {
	  var state;
	  var _in;                    /* local strm.input */
	  var last;                   /* have enough input while in < last */
	  var _out;                   /* local strm.output */
	  var beg;                    /* inflate()'s initial strm.output */
	  var end;                    /* while out < end, enough space available */
	//#ifdef INFLATE_STRICT
	  var dmax;                   /* maximum distance from zlib header */
	//#endif
	  var wsize;                  /* window size or zero if not using window */
	  var whave;                  /* valid bytes in the window */
	  var wnext;                  /* window write index */
	  // Use `s_window` instead `window`, avoid conflict with instrumentation tools
	  var s_window;               /* allocated sliding window, if wsize != 0 */
	  var hold;                   /* local strm.hold */
	  var bits;                   /* local strm.bits */
	  var lcode;                  /* local strm.lencode */
	  var dcode;                  /* local strm.distcode */
	  var lmask;                  /* mask for first level of length codes */
	  var dmask;                  /* mask for first level of distance codes */
	  var here;                   /* retrieved table entry */
	  var op;                     /* code bits, operation, extra bits, or */
	                              /*  window position, window bytes to copy */
	  var len;                    /* match length, unused bytes */
	  var dist;                   /* match distance */
	  var from;                   /* where to copy match from */
	  var from_source;
	
	
	  var input, output; // JS specific, because we have no pointers
	
	  /* copy state to local variables */
	  state = strm.state;
	  //here = state.here;
	  _in = strm.next_in;
	  input = strm.input;
	  last = _in + (strm.avail_in - 5);
	  _out = strm.next_out;
	  output = strm.output;
	  beg = _out - (start - strm.avail_out);
	  end = _out + (strm.avail_out - 257);
	//#ifdef INFLATE_STRICT
	  dmax = state.dmax;
	//#endif
	  wsize = state.wsize;
	  whave = state.whave;
	  wnext = state.wnext;
	  s_window = state.window;
	  hold = state.hold;
	  bits = state.bits;
	  lcode = state.lencode;
	  dcode = state.distcode;
	  lmask = (1 << state.lenbits) - 1;
	  dmask = (1 << state.distbits) - 1;
	
	
	  /* decode literals and length/distances until end-of-block or not enough
	     input data or output space */
	
	  top:
	  do {
	    if (bits < 15) {
	      hold += input[_in++] << bits;
	      bits += 8;
	      hold += input[_in++] << bits;
	      bits += 8;
	    }
	
	    here = lcode[hold & lmask];
	
	    dolen:
	    for (;;) { // Goto emulation
	      op = here >>> 24/*here.bits*/;
	      hold >>>= op;
	      bits -= op;
	      op = (here >>> 16) & 0xff/*here.op*/;
	      if (op === 0) {                          /* literal */
	        //Tracevv((stderr, here.val >= 0x20 && here.val < 0x7f ?
	        //        "inflate:         literal '%c'\n" :
	        //        "inflate:         literal 0x%02x\n", here.val));
	        output[_out++] = here & 0xffff/*here.val*/;
	      }
	      else if (op & 16) {                     /* length base */
	        len = here & 0xffff/*here.val*/;
	        op &= 15;                           /* number of extra bits */
	        if (op) {
	          if (bits < op) {
	            hold += input[_in++] << bits;
	            bits += 8;
	          }
	          len += hold & ((1 << op) - 1);
	          hold >>>= op;
	          bits -= op;
	        }
	        //Tracevv((stderr, "inflate:         length %u\n", len));
	        if (bits < 15) {
	          hold += input[_in++] << bits;
	          bits += 8;
	          hold += input[_in++] << bits;
	          bits += 8;
	        }
	        here = dcode[hold & dmask];
	
	        dodist:
	        for (;;) { // goto emulation
	          op = here >>> 24/*here.bits*/;
	          hold >>>= op;
	          bits -= op;
	          op = (here >>> 16) & 0xff/*here.op*/;
	
	          if (op & 16) {                      /* distance base */
	            dist = here & 0xffff/*here.val*/;
	            op &= 15;                       /* number of extra bits */
	            if (bits < op) {
	              hold += input[_in++] << bits;
	              bits += 8;
	              if (bits < op) {
	                hold += input[_in++] << bits;
	                bits += 8;
	              }
	            }
	            dist += hold & ((1 << op) - 1);
	//#ifdef INFLATE_STRICT
	            if (dist > dmax) {
	              strm.msg = 'invalid distance too far back';
	              state.mode = BAD;
	              break top;
	            }
	//#endif
	            hold >>>= op;
	            bits -= op;
	            //Tracevv((stderr, "inflate:         distance %u\n", dist));
	            op = _out - beg;                /* max distance in output */
	            if (dist > op) {                /* see if copy from window */
	              op = dist - op;               /* distance back in window */
	              if (op > whave) {
	                if (state.sane) {
	                  strm.msg = 'invalid distance too far back';
	                  state.mode = BAD;
	                  break top;
	                }
	
	// (!) This block is disabled in zlib defailts,
	// don't enable it for binary compatibility
	//#ifdef INFLATE_ALLOW_INVALID_DISTANCE_TOOFAR_ARRR
	//                if (len <= op - whave) {
	//                  do {
	//                    output[_out++] = 0;
	//                  } while (--len);
	//                  continue top;
	//                }
	//                len -= op - whave;
	//                do {
	//                  output[_out++] = 0;
	//                } while (--op > whave);
	//                if (op === 0) {
	//                  from = _out - dist;
	//                  do {
	//                    output[_out++] = output[from++];
	//                  } while (--len);
	//                  continue top;
	//                }
	//#endif
	              }
	              from = 0; // window index
	              from_source = s_window;
	              if (wnext === 0) {           /* very common case */
	                from += wsize - op;
	                if (op < len) {         /* some from window */
	                  len -= op;
	                  do {
	                    output[_out++] = s_window[from++];
	                  } while (--op);
	                  from = _out - dist;  /* rest from output */
	                  from_source = output;
	                }
	              }
	              else if (wnext < op) {      /* wrap around window */
	                from += wsize + wnext - op;
	                op -= wnext;
	                if (op < len) {         /* some from end of window */
	                  len -= op;
	                  do {
	                    output[_out++] = s_window[from++];
	                  } while (--op);
	                  from = 0;
	                  if (wnext < len) {  /* some from start of window */
	                    op = wnext;
	                    len -= op;
	                    do {
	                      output[_out++] = s_window[from++];
	                    } while (--op);
	                    from = _out - dist;      /* rest from output */
	                    from_source = output;
	                  }
	                }
	              }
	              else {                      /* contiguous in window */
	                from += wnext - op;
	                if (op < len) {         /* some from window */
	                  len -= op;
	                  do {
	                    output[_out++] = s_window[from++];
	                  } while (--op);
	                  from = _out - dist;  /* rest from output */
	                  from_source = output;
	                }
	              }
	              while (len > 2) {
	                output[_out++] = from_source[from++];
	                output[_out++] = from_source[from++];
	                output[_out++] = from_source[from++];
	                len -= 3;
	              }
	              if (len) {
	                output[_out++] = from_source[from++];
	                if (len > 1) {
	                  output[_out++] = from_source[from++];
	                }
	              }
	            }
	            else {
	              from = _out - dist;          /* copy direct from output */
	              do {                        /* minimum length is three */
	                output[_out++] = output[from++];
	                output[_out++] = output[from++];
	                output[_out++] = output[from++];
	                len -= 3;
	              } while (len > 2);
	              if (len) {
	                output[_out++] = output[from++];
	                if (len > 1) {
	                  output[_out++] = output[from++];
	                }
	              }
	            }
	          }
	          else if ((op & 64) === 0) {          /* 2nd level distance code */
	            here = dcode[(here & 0xffff)/*here.val*/ + (hold & ((1 << op) - 1))];
	            continue dodist;
	          }
	          else {
	            strm.msg = 'invalid distance code';
	            state.mode = BAD;
	            break top;
	          }
	
	          break; // need to emulate goto via "continue"
	        }
	      }
	      else if ((op & 64) === 0) {              /* 2nd level length code */
	        here = lcode[(here & 0xffff)/*here.val*/ + (hold & ((1 << op) - 1))];
	        continue dolen;
	      }
	      else if (op & 32) {                     /* end-of-block */
	        //Tracevv((stderr, "inflate:         end of block\n"));
	        state.mode = TYPE;
	        break top;
	      }
	      else {
	        strm.msg = 'invalid literal/length code';
	        state.mode = BAD;
	        break top;
	      }
	
	      break; // need to emulate goto via "continue"
	    }
	  } while (_in < last && _out < end);
	
	  /* return unused bytes (on entry, bits < 8, so in won't go too far back) */
	  len = bits >> 3;
	  _in -= len;
	  bits -= len << 3;
	  hold &= (1 << bits) - 1;
	
	  /* update state and return */
	  strm.next_in = _in;
	  strm.next_out = _out;
	  strm.avail_in = (_in < last ? 5 + (last - _in) : 5 - (_in - last));
	  strm.avail_out = (_out < end ? 257 + (end - _out) : 257 - (_out - end));
	  state.hold = hold;
	  state.bits = bits;
	  return;
	};


/***/ },
/* 146 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	
	var utils = __webpack_require__(140);
	
	var MAXBITS = 15;
	var ENOUGH_LENS = 852;
	var ENOUGH_DISTS = 592;
	//var ENOUGH = (ENOUGH_LENS+ENOUGH_DISTS);
	
	var CODES = 0;
	var LENS = 1;
	var DISTS = 2;
	
	var lbase = [ /* Length codes 257..285 base */
	  3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 17, 19, 23, 27, 31,
	  35, 43, 51, 59, 67, 83, 99, 115, 131, 163, 195, 227, 258, 0, 0
	];
	
	var lext = [ /* Length codes 257..285 extra */
	  16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18, 18,
	  19, 19, 19, 19, 20, 20, 20, 20, 21, 21, 21, 21, 16, 72, 78
	];
	
	var dbase = [ /* Distance codes 0..29 base */
	  1, 2, 3, 4, 5, 7, 9, 13, 17, 25, 33, 49, 65, 97, 129, 193,
	  257, 385, 513, 769, 1025, 1537, 2049, 3073, 4097, 6145,
	  8193, 12289, 16385, 24577, 0, 0
	];
	
	var dext = [ /* Distance codes 0..29 extra */
	  16, 16, 16, 16, 17, 17, 18, 18, 19, 19, 20, 20, 21, 21, 22, 22,
	  23, 23, 24, 24, 25, 25, 26, 26, 27, 27,
	  28, 28, 29, 29, 64, 64
	];
	
	module.exports = function inflate_table(type, lens, lens_index, codes, table, table_index, work, opts)
	{
	  var bits = opts.bits;
	      //here = opts.here; /* table entry for duplication */
	
	  var len = 0;               /* a code's length in bits */
	  var sym = 0;               /* index of code symbols */
	  var min = 0, max = 0;          /* minimum and maximum code lengths */
	  var root = 0;              /* number of index bits for root table */
	  var curr = 0;              /* number of index bits for current table */
	  var drop = 0;              /* code bits to drop for sub-table */
	  var left = 0;                   /* number of prefix codes available */
	  var used = 0;              /* code entries in table used */
	  var huff = 0;              /* Huffman code */
	  var incr;              /* for incrementing code, index */
	  var fill;              /* index for replicating entries */
	  var low;               /* low bits for current root entry */
	  var mask;              /* mask for low root bits */
	  var next;             /* next available space in table */
	  var base = null;     /* base value table to use */
	  var base_index = 0;
	//  var shoextra;    /* extra bits table to use */
	  var end;                    /* use base and extra for symbol > end */
	  var count = new utils.Buf16(MAXBITS + 1); //[MAXBITS+1];    /* number of codes of each length */
	  var offs = new utils.Buf16(MAXBITS + 1); //[MAXBITS+1];     /* offsets in table for each length */
	  var extra = null;
	  var extra_index = 0;
	
	  var here_bits, here_op, here_val;
	
	  /*
	   Process a set of code lengths to create a canonical Huffman code.  The
	   code lengths are lens[0..codes-1].  Each length corresponds to the
	   symbols 0..codes-1.  The Huffman code is generated by first sorting the
	   symbols by length from short to long, and retaining the symbol order
	   for codes with equal lengths.  Then the code starts with all zero bits
	   for the first code of the shortest length, and the codes are integer
	   increments for the same length, and zeros are appended as the length
	   increases.  For the deflate format, these bits are stored backwards
	   from their more natural integer increment ordering, and so when the
	   decoding tables are built in the large loop below, the integer codes
	   are incremented backwards.
	
	   This routine assumes, but does not check, that all of the entries in
	   lens[] are in the range 0..MAXBITS.  The caller must assure this.
	   1..MAXBITS is interpreted as that code length.  zero means that that
	   symbol does not occur in this code.
	
	   The codes are sorted by computing a count of codes for each length,
	   creating from that a table of starting indices for each length in the
	   sorted table, and then entering the symbols in order in the sorted
	   table.  The sorted table is work[], with that space being provided by
	   the caller.
	
	   The length counts are used for other purposes as well, i.e. finding
	   the minimum and maximum length codes, determining if there are any
	   codes at all, checking for a valid set of lengths, and looking ahead
	   at length counts to determine sub-table sizes when building the
	   decoding tables.
	   */
	
	  /* accumulate lengths for codes (assumes lens[] all in 0..MAXBITS) */
	  for (len = 0; len <= MAXBITS; len++) {
	    count[len] = 0;
	  }
	  for (sym = 0; sym < codes; sym++) {
	    count[lens[lens_index + sym]]++;
	  }
	
	  /* bound code lengths, force root to be within code lengths */
	  root = bits;
	  for (max = MAXBITS; max >= 1; max--) {
	    if (count[max] !== 0) { break; }
	  }
	  if (root > max) {
	    root = max;
	  }
	  if (max === 0) {                     /* no symbols to code at all */
	    //table.op[opts.table_index] = 64;  //here.op = (var char)64;    /* invalid code marker */
	    //table.bits[opts.table_index] = 1;   //here.bits = (var char)1;
	    //table.val[opts.table_index++] = 0;   //here.val = (var short)0;
	    table[table_index++] = (1 << 24) | (64 << 16) | 0;
	
	
	    //table.op[opts.table_index] = 64;
	    //table.bits[opts.table_index] = 1;
	    //table.val[opts.table_index++] = 0;
	    table[table_index++] = (1 << 24) | (64 << 16) | 0;
	
	    opts.bits = 1;
	    return 0;     /* no symbols, but wait for decoding to report error */
	  }
	  for (min = 1; min < max; min++) {
	    if (count[min] !== 0) { break; }
	  }
	  if (root < min) {
	    root = min;
	  }
	
	  /* check for an over-subscribed or incomplete set of lengths */
	  left = 1;
	  for (len = 1; len <= MAXBITS; len++) {
	    left <<= 1;
	    left -= count[len];
	    if (left < 0) {
	      return -1;
	    }        /* over-subscribed */
	  }
	  if (left > 0 && (type === CODES || max !== 1)) {
	    return -1;                      /* incomplete set */
	  }
	
	  /* generate offsets into symbol table for each length for sorting */
	  offs[1] = 0;
	  for (len = 1; len < MAXBITS; len++) {
	    offs[len + 1] = offs[len] + count[len];
	  }
	
	  /* sort symbols by length, by symbol order within each length */
	  for (sym = 0; sym < codes; sym++) {
	    if (lens[lens_index + sym] !== 0) {
	      work[offs[lens[lens_index + sym]]++] = sym;
	    }
	  }
	
	  /*
	   Create and fill in decoding tables.  In this loop, the table being
	   filled is at next and has curr index bits.  The code being used is huff
	   with length len.  That code is converted to an index by dropping drop
	   bits off of the bottom.  For codes where len is less than drop + curr,
	   those top drop + curr - len bits are incremented through all values to
	   fill the table with replicated entries.
	
	   root is the number of index bits for the root table.  When len exceeds
	   root, sub-tables are created pointed to by the root entry with an index
	   of the low root bits of huff.  This is saved in low to check for when a
	   new sub-table should be started.  drop is zero when the root table is
	   being filled, and drop is root when sub-tables are being filled.
	
	   When a new sub-table is needed, it is necessary to look ahead in the
	   code lengths to determine what size sub-table is needed.  The length
	   counts are used for this, and so count[] is decremented as codes are
	   entered in the tables.
	
	   used keeps track of how many table entries have been allocated from the
	   provided *table space.  It is checked for LENS and DIST tables against
	   the constants ENOUGH_LENS and ENOUGH_DISTS to guard against changes in
	   the initial root table size constants.  See the comments in inftrees.h
	   for more information.
	
	   sym increments through all symbols, and the loop terminates when
	   all codes of length max, i.e. all codes, have been processed.  This
	   routine permits incomplete codes, so another loop after this one fills
	   in the rest of the decoding tables with invalid code markers.
	   */
	
	  /* set up for code type */
	  // poor man optimization - use if-else instead of switch,
	  // to avoid deopts in old v8
	  if (type === CODES) {
	    base = extra = work;    /* dummy value--not used */
	    end = 19;
	
	  } else if (type === LENS) {
	    base = lbase;
	    base_index -= 257;
	    extra = lext;
	    extra_index -= 257;
	    end = 256;
	
	  } else {                    /* DISTS */
	    base = dbase;
	    extra = dext;
	    end = -1;
	  }
	
	  /* initialize opts for loop */
	  huff = 0;                   /* starting code */
	  sym = 0;                    /* starting code symbol */
	  len = min;                  /* starting code length */
	  next = table_index;              /* current table to fill in */
	  curr = root;                /* current table index bits */
	  drop = 0;                   /* current bits to drop from code for index */
	  low = -1;                   /* trigger new sub-table when len > root */
	  used = 1 << root;          /* use root table entries */
	  mask = used - 1;            /* mask for comparing low */
	
	  /* check available table space */
	  if ((type === LENS && used > ENOUGH_LENS) ||
	    (type === DISTS && used > ENOUGH_DISTS)) {
	    return 1;
	  }
	
	  var i = 0;
	  /* process all codes and make table entries */
	  for (;;) {
	    i++;
	    /* create table entry */
	    here_bits = len - drop;
	    if (work[sym] < end) {
	      here_op = 0;
	      here_val = work[sym];
	    }
	    else if (work[sym] > end) {
	      here_op = extra[extra_index + work[sym]];
	      here_val = base[base_index + work[sym]];
	    }
	    else {
	      here_op = 32 + 64;         /* end of block */
	      here_val = 0;
	    }
	
	    /* replicate for those indices with low len bits equal to huff */
	    incr = 1 << (len - drop);
	    fill = 1 << curr;
	    min = fill;                 /* save offset to next table */
	    do {
	      fill -= incr;
	      table[next + (huff >> drop) + fill] = (here_bits << 24) | (here_op << 16) | here_val |0;
	    } while (fill !== 0);
	
	    /* backwards increment the len-bit code huff */
	    incr = 1 << (len - 1);
	    while (huff & incr) {
	      incr >>= 1;
	    }
	    if (incr !== 0) {
	      huff &= incr - 1;
	      huff += incr;
	    } else {
	      huff = 0;
	    }
	
	    /* go to next symbol, update count, len */
	    sym++;
	    if (--count[len] === 0) {
	      if (len === max) { break; }
	      len = lens[lens_index + work[sym]];
	    }
	
	    /* create new sub-table if needed */
	    if (len > root && (huff & mask) !== low) {
	      /* if first time, transition to sub-tables */
	      if (drop === 0) {
	        drop = root;
	      }
	
	      /* increment past last table */
	      next += min;            /* here min is 1 << curr */
	
	      /* determine length of next table */
	      curr = len - drop;
	      left = 1 << curr;
	      while (curr + drop < max) {
	        left -= count[curr + drop];
	        if (left <= 0) { break; }
	        curr++;
	        left <<= 1;
	      }
	
	      /* check for enough space */
	      used += 1 << curr;
	      if ((type === LENS && used > ENOUGH_LENS) ||
	        (type === DISTS && used > ENOUGH_DISTS)) {
	        return 1;
	      }
	
	      /* point entry in root table to sub-table */
	      low = huff & mask;
	      /*table.op[low] = curr;
	      table.bits[low] = root;
	      table.val[low] = next - opts.table_index;*/
	      table[low] = (root << 24) | (curr << 16) | (next - table_index) |0;
	    }
	  }
	
	  /* fill in remaining table entry if code is incomplete (guaranteed to have
	   at most one remaining entry, since if the code is incomplete, the
	   maximum code length that was allowed to get this far is one bit) */
	  if (huff !== 0) {
	    //table.op[next + huff] = 64;            /* invalid code marker */
	    //table.bits[next + huff] = len - drop;
	    //table.val[next + huff] = 0;
	    table[next + huff] = ((len - drop) << 24) | (64 << 16) |0;
	  }
	
	  /* set return parameters */
	  //opts.table_index += used;
	  opts.bits = root;
	  return 0;
	};


/***/ },
/* 147 */
/***/ function(module, exports) {

	'use strict';
	
	
	module.exports = {
	
	  /* Allowed flush values; see deflate() and inflate() below for details */
	  Z_NO_FLUSH:         0,
	  Z_PARTIAL_FLUSH:    1,
	  Z_SYNC_FLUSH:       2,
	  Z_FULL_FLUSH:       3,
	  Z_FINISH:           4,
	  Z_BLOCK:            5,
	  Z_TREES:            6,
	
	  /* Return codes for the compression/decompression functions. Negative values
	  * are errors, positive values are used for special but normal events.
	  */
	  Z_OK:               0,
	  Z_STREAM_END:       1,
	  Z_NEED_DICT:        2,
	  Z_ERRNO:           -1,
	  Z_STREAM_ERROR:    -2,
	  Z_DATA_ERROR:      -3,
	  //Z_MEM_ERROR:     -4,
	  Z_BUF_ERROR:       -5,
	  //Z_VERSION_ERROR: -6,
	
	  /* compression levels */
	  Z_NO_COMPRESSION:         0,
	  Z_BEST_SPEED:             1,
	  Z_BEST_COMPRESSION:       9,
	  Z_DEFAULT_COMPRESSION:   -1,
	
	
	  Z_FILTERED:               1,
	  Z_HUFFMAN_ONLY:           2,
	  Z_RLE:                    3,
	  Z_FIXED:                  4,
	  Z_DEFAULT_STRATEGY:       0,
	
	  /* Possible values of the data_type field (though see inflate()) */
	  Z_BINARY:                 0,
	  Z_TEXT:                   1,
	  //Z_ASCII:                1, // = Z_TEXT (deprecated)
	  Z_UNKNOWN:                2,
	
	  /* The deflate compression method */
	  Z_DEFLATED:               8
	  //Z_NULL:                 null // Use -1 or null inline, depending on var type
	};


/***/ },
/* 148 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global, process) {// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	var formatRegExp = /%[sdj%]/g;
	exports.format = function(f) {
	  if (!isString(f)) {
	    var objects = [];
	    for (var i = 0; i < arguments.length; i++) {
	      objects.push(inspect(arguments[i]));
	    }
	    return objects.join(' ');
	  }
	
	  var i = 1;
	  var args = arguments;
	  var len = args.length;
	  var str = String(f).replace(formatRegExp, function(x) {
	    if (x === '%%') return '%';
	    if (i >= len) return x;
	    switch (x) {
	      case '%s': return String(args[i++]);
	      case '%d': return Number(args[i++]);
	      case '%j':
	        try {
	          return JSON.stringify(args[i++]);
	        } catch (_) {
	          return '[Circular]';
	        }
	      default:
	        return x;
	    }
	  });
	  for (var x = args[i]; i < len; x = args[++i]) {
	    if (isNull(x) || !isObject(x)) {
	      str += ' ' + x;
	    } else {
	      str += ' ' + inspect(x);
	    }
	  }
	  return str;
	};
	
	
	// Mark that a method should not be used.
	// Returns a modified function which warns once by default.
	// If --no-deprecation is set, then it is a no-op.
	exports.deprecate = function(fn, msg) {
	  // Allow for deprecating things in the process of starting up.
	  if (isUndefined(global.process)) {
	    return function() {
	      return exports.deprecate(fn, msg).apply(this, arguments);
	    };
	  }
	
	  if (process.noDeprecation === true) {
	    return fn;
	  }
	
	  var warned = false;
	  function deprecated() {
	    if (!warned) {
	      if (process.throwDeprecation) {
	        throw new Error(msg);
	      } else if (process.traceDeprecation) {
	        console.trace(msg);
	      } else {
	        console.error(msg);
	      }
	      warned = true;
	    }
	    return fn.apply(this, arguments);
	  }
	
	  return deprecated;
	};
	
	
	var debugs = {};
	var debugEnviron;
	exports.debuglog = function(set) {
	  if (isUndefined(debugEnviron))
	    debugEnviron = process.env.NODE_DEBUG || '';
	  set = set.toUpperCase();
	  if (!debugs[set]) {
	    if (new RegExp('\\b' + set + '\\b', 'i').test(debugEnviron)) {
	      var pid = process.pid;
	      debugs[set] = function() {
	        var msg = exports.format.apply(exports, arguments);
	        console.error('%s %d: %s', set, pid, msg);
	      };
	    } else {
	      debugs[set] = function() {};
	    }
	  }
	  return debugs[set];
	};
	
	
	/**
	 * Echos the value of a value. Trys to print the value out
	 * in the best way possible given the different types.
	 *
	 * @param {Object} obj The object to print out.
	 * @param {Object} opts Optional options object that alters the output.
	 */
	/* legacy: obj, showHidden, depth, colors*/
	function inspect(obj, opts) {
	  // default options
	  var ctx = {
	    seen: [],
	    stylize: stylizeNoColor
	  };
	  // legacy...
	  if (arguments.length >= 3) ctx.depth = arguments[2];
	  if (arguments.length >= 4) ctx.colors = arguments[3];
	  if (isBoolean(opts)) {
	    // legacy...
	    ctx.showHidden = opts;
	  } else if (opts) {
	    // got an "options" object
	    exports._extend(ctx, opts);
	  }
	  // set default options
	  if (isUndefined(ctx.showHidden)) ctx.showHidden = false;
	  if (isUndefined(ctx.depth)) ctx.depth = 2;
	  if (isUndefined(ctx.colors)) ctx.colors = false;
	  if (isUndefined(ctx.customInspect)) ctx.customInspect = true;
	  if (ctx.colors) ctx.stylize = stylizeWithColor;
	  return formatValue(ctx, obj, ctx.depth);
	}
	exports.inspect = inspect;
	
	
	// http://en.wikipedia.org/wiki/ANSI_escape_code#graphics
	inspect.colors = {
	  'bold' : [1, 22],
	  'italic' : [3, 23],
	  'underline' : [4, 24],
	  'inverse' : [7, 27],
	  'white' : [37, 39],
	  'grey' : [90, 39],
	  'black' : [30, 39],
	  'blue' : [34, 39],
	  'cyan' : [36, 39],
	  'green' : [32, 39],
	  'magenta' : [35, 39],
	  'red' : [31, 39],
	  'yellow' : [33, 39]
	};
	
	// Don't use 'blue' not visible on cmd.exe
	inspect.styles = {
	  'special': 'cyan',
	  'number': 'yellow',
	  'boolean': 'yellow',
	  'undefined': 'grey',
	  'null': 'bold',
	  'string': 'green',
	  'date': 'magenta',
	  // "name": intentionally not styling
	  'regexp': 'red'
	};
	
	
	function stylizeWithColor(str, styleType) {
	  var style = inspect.styles[styleType];
	
	  if (style) {
	    return '\u001b[' + inspect.colors[style][0] + 'm' + str +
	           '\u001b[' + inspect.colors[style][1] + 'm';
	  } else {
	    return str;
	  }
	}
	
	
	function stylizeNoColor(str, styleType) {
	  return str;
	}
	
	
	function arrayToHash(array) {
	  var hash = {};
	
	  array.forEach(function(val, idx) {
	    hash[val] = true;
	  });
	
	  return hash;
	}
	
	
	function formatValue(ctx, value, recurseTimes) {
	  // Provide a hook for user-specified inspect functions.
	  // Check that value is an object with an inspect function on it
	  if (ctx.customInspect &&
	      value &&
	      isFunction(value.inspect) &&
	      // Filter out the util module, it's inspect function is special
	      value.inspect !== exports.inspect &&
	      // Also filter out any prototype objects using the circular check.
	      !(value.constructor && value.constructor.prototype === value)) {
	    var ret = value.inspect(recurseTimes, ctx);
	    if (!isString(ret)) {
	      ret = formatValue(ctx, ret, recurseTimes);
	    }
	    return ret;
	  }
	
	  // Primitive types cannot have properties
	  var primitive = formatPrimitive(ctx, value);
	  if (primitive) {
	    return primitive;
	  }
	
	  // Look up the keys of the object.
	  var keys = Object.keys(value);
	  var visibleKeys = arrayToHash(keys);
	
	  if (ctx.showHidden) {
	    keys = Object.getOwnPropertyNames(value);
	  }
	
	  // IE doesn't make error fields non-enumerable
	  // http://msdn.microsoft.com/en-us/library/ie/dww52sbt(v=vs.94).aspx
	  if (isError(value)
	      && (keys.indexOf('message') >= 0 || keys.indexOf('description') >= 0)) {
	    return formatError(value);
	  }
	
	  // Some type of object without properties can be shortcutted.
	  if (keys.length === 0) {
	    if (isFunction(value)) {
	      var name = value.name ? ': ' + value.name : '';
	      return ctx.stylize('[Function' + name + ']', 'special');
	    }
	    if (isRegExp(value)) {
	      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
	    }
	    if (isDate(value)) {
	      return ctx.stylize(Date.prototype.toString.call(value), 'date');
	    }
	    if (isError(value)) {
	      return formatError(value);
	    }
	  }
	
	  var base = '', array = false, braces = ['{', '}'];
	
	  // Make Array say that they are Array
	  if (isArray(value)) {
	    array = true;
	    braces = ['[', ']'];
	  }
	
	  // Make functions say that they are functions
	  if (isFunction(value)) {
	    var n = value.name ? ': ' + value.name : '';
	    base = ' [Function' + n + ']';
	  }
	
	  // Make RegExps say that they are RegExps
	  if (isRegExp(value)) {
	    base = ' ' + RegExp.prototype.toString.call(value);
	  }
	
	  // Make dates with properties first say the date
	  if (isDate(value)) {
	    base = ' ' + Date.prototype.toUTCString.call(value);
	  }
	
	  // Make error with message first say the error
	  if (isError(value)) {
	    base = ' ' + formatError(value);
	  }
	
	  if (keys.length === 0 && (!array || value.length == 0)) {
	    return braces[0] + base + braces[1];
	  }
	
	  if (recurseTimes < 0) {
	    if (isRegExp(value)) {
	      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
	    } else {
	      return ctx.stylize('[Object]', 'special');
	    }
	  }
	
	  ctx.seen.push(value);
	
	  var output;
	  if (array) {
	    output = formatArray(ctx, value, recurseTimes, visibleKeys, keys);
	  } else {
	    output = keys.map(function(key) {
	      return formatProperty(ctx, value, recurseTimes, visibleKeys, key, array);
	    });
	  }
	
	  ctx.seen.pop();
	
	  return reduceToSingleString(output, base, braces);
	}
	
	
	function formatPrimitive(ctx, value) {
	  if (isUndefined(value))
	    return ctx.stylize('undefined', 'undefined');
	  if (isString(value)) {
	    var simple = '\'' + JSON.stringify(value).replace(/^"|"$/g, '')
	                                             .replace(/'/g, "\\'")
	                                             .replace(/\\"/g, '"') + '\'';
	    return ctx.stylize(simple, 'string');
	  }
	  if (isNumber(value))
	    return ctx.stylize('' + value, 'number');
	  if (isBoolean(value))
	    return ctx.stylize('' + value, 'boolean');
	  // For some reason typeof null is "object", so special case here.
	  if (isNull(value))
	    return ctx.stylize('null', 'null');
	}
	
	
	function formatError(value) {
	  return '[' + Error.prototype.toString.call(value) + ']';
	}
	
	
	function formatArray(ctx, value, recurseTimes, visibleKeys, keys) {
	  var output = [];
	  for (var i = 0, l = value.length; i < l; ++i) {
	    if (hasOwnProperty(value, String(i))) {
	      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys,
	          String(i), true));
	    } else {
	      output.push('');
	    }
	  }
	  keys.forEach(function(key) {
	    if (!key.match(/^\d+$/)) {
	      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys,
	          key, true));
	    }
	  });
	  return output;
	}
	
	
	function formatProperty(ctx, value, recurseTimes, visibleKeys, key, array) {
	  var name, str, desc;
	  desc = Object.getOwnPropertyDescriptor(value, key) || { value: value[key] };
	  if (desc.get) {
	    if (desc.set) {
	      str = ctx.stylize('[Getter/Setter]', 'special');
	    } else {
	      str = ctx.stylize('[Getter]', 'special');
	    }
	  } else {
	    if (desc.set) {
	      str = ctx.stylize('[Setter]', 'special');
	    }
	  }
	  if (!hasOwnProperty(visibleKeys, key)) {
	    name = '[' + key + ']';
	  }
	  if (!str) {
	    if (ctx.seen.indexOf(desc.value) < 0) {
	      if (isNull(recurseTimes)) {
	        str = formatValue(ctx, desc.value, null);
	      } else {
	        str = formatValue(ctx, desc.value, recurseTimes - 1);
	      }
	      if (str.indexOf('\n') > -1) {
	        if (array) {
	          str = str.split('\n').map(function(line) {
	            return '  ' + line;
	          }).join('\n').substr(2);
	        } else {
	          str = '\n' + str.split('\n').map(function(line) {
	            return '   ' + line;
	          }).join('\n');
	        }
	      }
	    } else {
	      str = ctx.stylize('[Circular]', 'special');
	    }
	  }
	  if (isUndefined(name)) {
	    if (array && key.match(/^\d+$/)) {
	      return str;
	    }
	    name = JSON.stringify('' + key);
	    if (name.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)) {
	      name = name.substr(1, name.length - 2);
	      name = ctx.stylize(name, 'name');
	    } else {
	      name = name.replace(/'/g, "\\'")
	                 .replace(/\\"/g, '"')
	                 .replace(/(^"|"$)/g, "'");
	      name = ctx.stylize(name, 'string');
	    }
	  }
	
	  return name + ': ' + str;
	}
	
	
	function reduceToSingleString(output, base, braces) {
	  var numLinesEst = 0;
	  var length = output.reduce(function(prev, cur) {
	    numLinesEst++;
	    if (cur.indexOf('\n') >= 0) numLinesEst++;
	    return prev + cur.replace(/\u001b\[\d\d?m/g, '').length + 1;
	  }, 0);
	
	  if (length > 60) {
	    return braces[0] +
	           (base === '' ? '' : base + '\n ') +
	           ' ' +
	           output.join(',\n  ') +
	           ' ' +
	           braces[1];
	  }
	
	  return braces[0] + base + ' ' + output.join(', ') + ' ' + braces[1];
	}
	
	
	// NOTE: These type checking functions intentionally don't use `instanceof`
	// because it is fragile and can be easily faked with `Object.create()`.
	function isArray(ar) {
	  return Array.isArray(ar);
	}
	exports.isArray = isArray;
	
	function isBoolean(arg) {
	  return typeof arg === 'boolean';
	}
	exports.isBoolean = isBoolean;
	
	function isNull(arg) {
	  return arg === null;
	}
	exports.isNull = isNull;
	
	function isNullOrUndefined(arg) {
	  return arg == null;
	}
	exports.isNullOrUndefined = isNullOrUndefined;
	
	function isNumber(arg) {
	  return typeof arg === 'number';
	}
	exports.isNumber = isNumber;
	
	function isString(arg) {
	  return typeof arg === 'string';
	}
	exports.isString = isString;
	
	function isSymbol(arg) {
	  return typeof arg === 'symbol';
	}
	exports.isSymbol = isSymbol;
	
	function isUndefined(arg) {
	  return arg === void 0;
	}
	exports.isUndefined = isUndefined;
	
	function isRegExp(re) {
	  return isObject(re) && objectToString(re) === '[object RegExp]';
	}
	exports.isRegExp = isRegExp;
	
	function isObject(arg) {
	  return typeof arg === 'object' && arg !== null;
	}
	exports.isObject = isObject;
	
	function isDate(d) {
	  return isObject(d) && objectToString(d) === '[object Date]';
	}
	exports.isDate = isDate;
	
	function isError(e) {
	  return isObject(e) &&
	      (objectToString(e) === '[object Error]' || e instanceof Error);
	}
	exports.isError = isError;
	
	function isFunction(arg) {
	  return typeof arg === 'function';
	}
	exports.isFunction = isFunction;
	
	function isPrimitive(arg) {
	  return arg === null ||
	         typeof arg === 'boolean' ||
	         typeof arg === 'number' ||
	         typeof arg === 'string' ||
	         typeof arg === 'symbol' ||  // ES6 symbol
	         typeof arg === 'undefined';
	}
	exports.isPrimitive = isPrimitive;
	
	exports.isBuffer = __webpack_require__(149);
	
	function objectToString(o) {
	  return Object.prototype.toString.call(o);
	}
	
	
	function pad(n) {
	  return n < 10 ? '0' + n.toString(10) : n.toString(10);
	}
	
	
	var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep',
	              'Oct', 'Nov', 'Dec'];
	
	// 26 Feb 16:19:34
	function timestamp() {
	  var d = new Date();
	  var time = [pad(d.getHours()),
	              pad(d.getMinutes()),
	              pad(d.getSeconds())].join(':');
	  return [d.getDate(), months[d.getMonth()], time].join(' ');
	}
	
	
	// log is just a thin wrapper to console.log that prepends a timestamp
	exports.log = function() {
	  console.log('%s - %s', timestamp(), exports.format.apply(exports, arguments));
	};
	
	
	/**
	 * Inherit the prototype methods from one constructor into another.
	 *
	 * The Function.prototype.inherits from lang.js rewritten as a standalone
	 * function (not on Function.prototype). NOTE: If this file is to be loaded
	 * during bootstrapping this function needs to be rewritten using some native
	 * functions as prototype setup using normal JavaScript does not work as
	 * expected during bootstrapping (see mirror.js in r114903).
	 *
	 * @param {function} ctor Constructor function which needs to inherit the
	 *     prototype.
	 * @param {function} superCtor Constructor function to inherit prototype from.
	 */
	exports.inherits = __webpack_require__(123);
	
	exports._extend = function(origin, add) {
	  // Don't do anything if add isn't an object
	  if (!add || !isObject(add)) return origin;
	
	  var keys = Object.keys(add);
	  var i = keys.length;
	  while (i--) {
	    origin[keys[i]] = add[keys[i]];
	  }
	  return origin;
	};
	
	function hasOwnProperty(obj, prop) {
	  return Object.prototype.hasOwnProperty.call(obj, prop);
	}
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }()), __webpack_require__(20)))

/***/ },
/* 149 */
/***/ function(module, exports) {

	module.exports = function isBuffer(arg) {
	  return arg && typeof arg === 'object'
	    && typeof arg.copy === 'function'
	    && typeof arg.fill === 'function'
	    && typeof arg.readUInt8 === 'function';
	}

/***/ },
/* 150 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global) {'use strict';
	
	// compare and isBuffer taken from https://github.com/feross/buffer/blob/680e9e5e488f22aac27599a57dc844a6315928dd/index.js
	// original notice:
	
	/*!
	 * The buffer module from node.js, for the browser.
	 *
	 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
	 * @license  MIT
	 */
	function compare(a, b) {
	  if (a === b) {
	    return 0;
	  }
	
	  var x = a.length;
	  var y = b.length;
	
	  for (var i = 0, len = Math.min(x, y); i < len; ++i) {
	    if (a[i] !== b[i]) {
	      x = a[i];
	      y = b[i];
	      break;
	    }
	  }
	
	  if (x < y) {
	    return -1;
	  }
	  if (y < x) {
	    return 1;
	  }
	  return 0;
	}
	function isBuffer(b) {
	  if (global.Buffer && typeof global.Buffer.isBuffer === 'function') {
	    return global.Buffer.isBuffer(b);
	  }
	  return !!(b != null && b._isBuffer);
	}
	
	// based on node assert, original notice:
	
	// http://wiki.commonjs.org/wiki/Unit_Testing/1.0
	//
	// THIS IS NOT TESTED NOR LIKELY TO WORK OUTSIDE V8!
	//
	// Originally from narwhal.js (http://narwhaljs.org)
	// Copyright (c) 2009 Thomas Robinson <280north.com>
	//
	// Permission is hereby granted, free of charge, to any person obtaining a copy
	// of this software and associated documentation files (the 'Software'), to
	// deal in the Software without restriction, including without limitation the
	// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
	// sell copies of the Software, and to permit persons to whom the Software is
	// furnished to do so, subject to the following conditions:
	//
	// The above copyright notice and this permission notice shall be included in
	// all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	// AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
	// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
	// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
	
	var util = __webpack_require__(148);
	var hasOwn = Object.prototype.hasOwnProperty;
	var pSlice = Array.prototype.slice;
	var functionsHaveNames = (function () {
	  return function foo() {}.name === 'foo';
	}());
	function pToString (obj) {
	  return Object.prototype.toString.call(obj);
	}
	function isView(arrbuf) {
	  if (isBuffer(arrbuf)) {
	    return false;
	  }
	  if (typeof global.ArrayBuffer !== 'function') {
	    return false;
	  }
	  if (typeof ArrayBuffer.isView === 'function') {
	    return ArrayBuffer.isView(arrbuf);
	  }
	  if (!arrbuf) {
	    return false;
	  }
	  if (arrbuf instanceof DataView) {
	    return true;
	  }
	  if (arrbuf.buffer && arrbuf.buffer instanceof ArrayBuffer) {
	    return true;
	  }
	  return false;
	}
	// 1. The assert module provides functions that throw
	// AssertionError's when particular conditions are not met. The
	// assert module must conform to the following interface.
	
	var assert = module.exports = ok;
	
	// 2. The AssertionError is defined in assert.
	// new assert.AssertionError({ message: message,
	//                             actual: actual,
	//                             expected: expected })
	
	var regex = /\s*function\s+([^\(\s]*)\s*/;
	// based on https://github.com/ljharb/function.prototype.name/blob/adeeeec8bfcc6068b187d7d9fb3d5bb1d3a30899/implementation.js
	function getName(func) {
	  if (!util.isFunction(func)) {
	    return;
	  }
	  if (functionsHaveNames) {
	    return func.name;
	  }
	  var str = func.toString();
	  var match = str.match(regex);
	  return match && match[1];
	}
	assert.AssertionError = function AssertionError(options) {
	  this.name = 'AssertionError';
	  this.actual = options.actual;
	  this.expected = options.expected;
	  this.operator = options.operator;
	  if (options.message) {
	    this.message = options.message;
	    this.generatedMessage = false;
	  } else {
	    this.message = getMessage(this);
	    this.generatedMessage = true;
	  }
	  var stackStartFunction = options.stackStartFunction || fail;
	  if (Error.captureStackTrace) {
	    Error.captureStackTrace(this, stackStartFunction);
	  } else {
	    // non v8 browsers so we can have a stacktrace
	    var err = new Error();
	    if (err.stack) {
	      var out = err.stack;
	
	      // try to strip useless frames
	      var fn_name = getName(stackStartFunction);
	      var idx = out.indexOf('\n' + fn_name);
	      if (idx >= 0) {
	        // once we have located the function frame
	        // we need to strip out everything before it (and its line)
	        var next_line = out.indexOf('\n', idx + 1);
	        out = out.substring(next_line + 1);
	      }
	
	      this.stack = out;
	    }
	  }
	};
	
	// assert.AssertionError instanceof Error
	util.inherits(assert.AssertionError, Error);
	
	function truncate(s, n) {
	  if (typeof s === 'string') {
	    return s.length < n ? s : s.slice(0, n);
	  } else {
	    return s;
	  }
	}
	function inspect(something) {
	  if (functionsHaveNames || !util.isFunction(something)) {
	    return util.inspect(something);
	  }
	  var rawname = getName(something);
	  var name = rawname ? ': ' + rawname : '';
	  return '[Function' +  name + ']';
	}
	function getMessage(self) {
	  return truncate(inspect(self.actual), 128) + ' ' +
	         self.operator + ' ' +
	         truncate(inspect(self.expected), 128);
	}
	
	// At present only the three keys mentioned above are used and
	// understood by the spec. Implementations or sub modules can pass
	// other keys to the AssertionError's constructor - they will be
	// ignored.
	
	// 3. All of the following functions must throw an AssertionError
	// when a corresponding condition is not met, with a message that
	// may be undefined if not provided.  All assertion methods provide
	// both the actual and expected values to the assertion error for
	// display purposes.
	
	function fail(actual, expected, message, operator, stackStartFunction) {
	  throw new assert.AssertionError({
	    message: message,
	    actual: actual,
	    expected: expected,
	    operator: operator,
	    stackStartFunction: stackStartFunction
	  });
	}
	
	// EXTENSION! allows for well behaved errors defined elsewhere.
	assert.fail = fail;
	
	// 4. Pure assertion tests whether a value is truthy, as determined
	// by !!guard.
	// assert.ok(guard, message_opt);
	// This statement is equivalent to assert.equal(true, !!guard,
	// message_opt);. To test strictly for the value true, use
	// assert.strictEqual(true, guard, message_opt);.
	
	function ok(value, message) {
	  if (!value) fail(value, true, message, '==', assert.ok);
	}
	assert.ok = ok;
	
	// 5. The equality assertion tests shallow, coercive equality with
	// ==.
	// assert.equal(actual, expected, message_opt);
	
	assert.equal = function equal(actual, expected, message) {
	  if (actual != expected) fail(actual, expected, message, '==', assert.equal);
	};
	
	// 6. The non-equality assertion tests for whether two objects are not equal
	// with != assert.notEqual(actual, expected, message_opt);
	
	assert.notEqual = function notEqual(actual, expected, message) {
	  if (actual == expected) {
	    fail(actual, expected, message, '!=', assert.notEqual);
	  }
	};
	
	// 7. The equivalence assertion tests a deep equality relation.
	// assert.deepEqual(actual, expected, message_opt);
	
	assert.deepEqual = function deepEqual(actual, expected, message) {
	  if (!_deepEqual(actual, expected, false)) {
	    fail(actual, expected, message, 'deepEqual', assert.deepEqual);
	  }
	};
	
	assert.deepStrictEqual = function deepStrictEqual(actual, expected, message) {
	  if (!_deepEqual(actual, expected, true)) {
	    fail(actual, expected, message, 'deepStrictEqual', assert.deepStrictEqual);
	  }
	};
	
	function _deepEqual(actual, expected, strict, memos) {
	  // 7.1. All identical values are equivalent, as determined by ===.
	  if (actual === expected) {
	    return true;
	  } else if (isBuffer(actual) && isBuffer(expected)) {
	    return compare(actual, expected) === 0;
	
	  // 7.2. If the expected value is a Date object, the actual value is
	  // equivalent if it is also a Date object that refers to the same time.
	  } else if (util.isDate(actual) && util.isDate(expected)) {
	    return actual.getTime() === expected.getTime();
	
	  // 7.3 If the expected value is a RegExp object, the actual value is
	  // equivalent if it is also a RegExp object with the same source and
	  // properties (`global`, `multiline`, `lastIndex`, `ignoreCase`).
	  } else if (util.isRegExp(actual) && util.isRegExp(expected)) {
	    return actual.source === expected.source &&
	           actual.global === expected.global &&
	           actual.multiline === expected.multiline &&
	           actual.lastIndex === expected.lastIndex &&
	           actual.ignoreCase === expected.ignoreCase;
	
	  // 7.4. Other pairs that do not both pass typeof value == 'object',
	  // equivalence is determined by ==.
	  } else if ((actual === null || typeof actual !== 'object') &&
	             (expected === null || typeof expected !== 'object')) {
	    return strict ? actual === expected : actual == expected;
	
	  // If both values are instances of typed arrays, wrap their underlying
	  // ArrayBuffers in a Buffer each to increase performance
	  // This optimization requires the arrays to have the same type as checked by
	  // Object.prototype.toString (aka pToString). Never perform binary
	  // comparisons for Float*Arrays, though, since e.g. +0 === -0 but their
	  // bit patterns are not identical.
	  } else if (isView(actual) && isView(expected) &&
	             pToString(actual) === pToString(expected) &&
	             !(actual instanceof Float32Array ||
	               actual instanceof Float64Array)) {
	    return compare(new Uint8Array(actual.buffer),
	                   new Uint8Array(expected.buffer)) === 0;
	
	  // 7.5 For all other Object pairs, including Array objects, equivalence is
	  // determined by having the same number of owned properties (as verified
	  // with Object.prototype.hasOwnProperty.call), the same set of keys
	  // (although not necessarily the same order), equivalent values for every
	  // corresponding key, and an identical 'prototype' property. Note: this
	  // accounts for both named and indexed properties on Arrays.
	  } else if (isBuffer(actual) !== isBuffer(expected)) {
	    return false;
	  } else {
	    memos = memos || {actual: [], expected: []};
	
	    var actualIndex = memos.actual.indexOf(actual);
	    if (actualIndex !== -1) {
	      if (actualIndex === memos.expected.indexOf(expected)) {
	        return true;
	      }
	    }
	
	    memos.actual.push(actual);
	    memos.expected.push(expected);
	
	    return objEquiv(actual, expected, strict, memos);
	  }
	}
	
	function isArguments(object) {
	  return Object.prototype.toString.call(object) == '[object Arguments]';
	}
	
	function objEquiv(a, b, strict, actualVisitedObjects) {
	  if (a === null || a === undefined || b === null || b === undefined)
	    return false;
	  // if one is a primitive, the other must be same
	  if (util.isPrimitive(a) || util.isPrimitive(b))
	    return a === b;
	  if (strict && Object.getPrototypeOf(a) !== Object.getPrototypeOf(b))
	    return false;
	  var aIsArgs = isArguments(a);
	  var bIsArgs = isArguments(b);
	  if ((aIsArgs && !bIsArgs) || (!aIsArgs && bIsArgs))
	    return false;
	  if (aIsArgs) {
	    a = pSlice.call(a);
	    b = pSlice.call(b);
	    return _deepEqual(a, b, strict);
	  }
	  var ka = objectKeys(a);
	  var kb = objectKeys(b);
	  var key, i;
	  // having the same number of owned properties (keys incorporates
	  // hasOwnProperty)
	  if (ka.length !== kb.length)
	    return false;
	  //the same set of keys (although not necessarily the same order),
	  ka.sort();
	  kb.sort();
	  //~~~cheap key test
	  for (i = ka.length - 1; i >= 0; i--) {
	    if (ka[i] !== kb[i])
	      return false;
	  }
	  //equivalent values for every corresponding key, and
	  //~~~possibly expensive deep test
	  for (i = ka.length - 1; i >= 0; i--) {
	    key = ka[i];
	    if (!_deepEqual(a[key], b[key], strict, actualVisitedObjects))
	      return false;
	  }
	  return true;
	}
	
	// 8. The non-equivalence assertion tests for any deep inequality.
	// assert.notDeepEqual(actual, expected, message_opt);
	
	assert.notDeepEqual = function notDeepEqual(actual, expected, message) {
	  if (_deepEqual(actual, expected, false)) {
	    fail(actual, expected, message, 'notDeepEqual', assert.notDeepEqual);
	  }
	};
	
	assert.notDeepStrictEqual = notDeepStrictEqual;
	function notDeepStrictEqual(actual, expected, message) {
	  if (_deepEqual(actual, expected, true)) {
	    fail(actual, expected, message, 'notDeepStrictEqual', notDeepStrictEqual);
	  }
	}
	
	
	// 9. The strict equality assertion tests strict equality, as determined by ===.
	// assert.strictEqual(actual, expected, message_opt);
	
	assert.strictEqual = function strictEqual(actual, expected, message) {
	  if (actual !== expected) {
	    fail(actual, expected, message, '===', assert.strictEqual);
	  }
	};
	
	// 10. The strict non-equality assertion tests for strict inequality, as
	// determined by !==.  assert.notStrictEqual(actual, expected, message_opt);
	
	assert.notStrictEqual = function notStrictEqual(actual, expected, message) {
	  if (actual === expected) {
	    fail(actual, expected, message, '!==', assert.notStrictEqual);
	  }
	};
	
	function expectedException(actual, expected) {
	  if (!actual || !expected) {
	    return false;
	  }
	
	  if (Object.prototype.toString.call(expected) == '[object RegExp]') {
	    return expected.test(actual);
	  }
	
	  try {
	    if (actual instanceof expected) {
	      return true;
	    }
	  } catch (e) {
	    // Ignore.  The instanceof check doesn't work for arrow functions.
	  }
	
	  if (Error.isPrototypeOf(expected)) {
	    return false;
	  }
	
	  return expected.call({}, actual) === true;
	}
	
	function _tryBlock(block) {
	  var error;
	  try {
	    block();
	  } catch (e) {
	    error = e;
	  }
	  return error;
	}
	
	function _throws(shouldThrow, block, expected, message) {
	  var actual;
	
	  if (typeof block !== 'function') {
	    throw new TypeError('"block" argument must be a function');
	  }
	
	  if (typeof expected === 'string') {
	    message = expected;
	    expected = null;
	  }
	
	  actual = _tryBlock(block);
	
	  message = (expected && expected.name ? ' (' + expected.name + ').' : '.') +
	            (message ? ' ' + message : '.');
	
	  if (shouldThrow && !actual) {
	    fail(actual, expected, 'Missing expected exception' + message);
	  }
	
	  var userProvidedMessage = typeof message === 'string';
	  var isUnwantedException = !shouldThrow && util.isError(actual);
	  var isUnexpectedException = !shouldThrow && actual && !expected;
	
	  if ((isUnwantedException &&
	      userProvidedMessage &&
	      expectedException(actual, expected)) ||
	      isUnexpectedException) {
	    fail(actual, expected, 'Got unwanted exception' + message);
	  }
	
	  if ((shouldThrow && actual && expected &&
	      !expectedException(actual, expected)) || (!shouldThrow && actual)) {
	    throw actual;
	  }
	}
	
	// 11. Expected to throw an error:
	// assert.throws(block, Error_opt, message_opt);
	
	assert.throws = function(block, /*optional*/error, /*optional*/message) {
	  _throws(true, block, error, message);
	};
	
	// EXTENSION! This is annoying to write outside this module.
	assert.doesNotThrow = function(block, /*optional*/error, /*optional*/message) {
	  _throws(false, block, error, message);
	};
	
	assert.ifError = function(err) { if (err) throw err; };
	
	var objectKeys = Object.keys || function (obj) {
	  var keys = [];
	  for (var key in obj) {
	    if (hasOwn.call(obj, key)) keys.push(key);
	  }
	  return keys;
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 151 */
/***/ function(module, exports) {

	/*!
	 * jwe/defaults.js - Defaults for JWEs
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	/**
	 * @description
	 * The default options for {@link JWE.createEncrypt}.
	 *
	 * @property {Boolean|String} zip Determines the compression algorithm to
	 *           apply to the plaintext (if any) before it is encrypted. This can
	 *           also be `true` (which is equivalent to `"DEF"`) or **`false`**
	 *           (the default, which is equivalent to no compression).
	 * @property {String} format Determines the serialization format of the
	 *           output.  Expected to be `"general"` for general JSON
	 *           Serialization, `"flattened"` for flattened JSON Serialization,
	 *           or `"compact"` for Compact Serialization (default is
	 *           **`"general"`**).
	 * @property {Boolean} compact Determines if the output is the Compact
	 *           serialization (`true`) or the JSON serialization (**`false`**,
	 *           the default).
	 * @property {String} contentAlg The algorithm used to encrypt the plaintext
	 *           (default is **`"A128CBC-HS256"`**).
	 * @property {String|String[]} protect The names of the headers to integrity
	 *           protect.  The value `""` means that none of the header parameters
	 *           are integrity protected, while `"*"` (the default) means that all
	 *           header parameters are integrity protected.
	 */
	var JWEDefaults = {
	  zip: false,
	  format: "general",
	  contentAlg: "A128CBC-HS256",
	  protect: "*"
	};
	
	module.exports = JWEDefaults;


/***/ },
/* 152 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jwe/decrypt.js - Decrypt from a JWE
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var base64url = __webpack_require__(66),
	    JWK = __webpack_require__(105),
	    merge = __webpack_require__(85),
	    zlib = __webpack_require__(118);
	
	/**
	 * @class JWE.Decrypter
	 * @classdesc Processor of encrypted data.
	 *
	 * @description
	 * **NOTE:** This class cannot be instantiated directly. Instead
	 * call {@link JWE.createDecrypt}.
	 */
	function JWEDecrypter(ks, globalOpts) {
	  var assumedKey,
	    keystore;
	
	  if (JWK.isKey(ks)) {
	    assumedKey = ks;
	    keystore = assumedKey.keystore;
	  } else if (JWK.isKeyStore(ks)) {
	    keystore = ks;
	  } else {
	    throw new TypeError("Keystore must be provided");
	  }
	
	  globalOpts = merge({}, globalOpts);
	
	  /**
	   * Decrypts the given input.
	   *
	   * {opts}, if provided, is used to customize this specific decrypt operation.
	   * This argument has the same semantics as {JWE.createDecrypt}, and takes
	   * precedence over those options.
	   *
	   * The returned PRomise, when fulfilled, returns an object with the
	   * following members:
	   *
	   * - `header` - The JOSE Header, combined from the relevant "header" and
	   *            "protected" fields from the original JWE object.
	   * - `protected` - An array containing the names of the protected fields
	   * - `key` - The used to decrypt the content
	   * - `payload` - The decrypted content (as a Buffer)
	   * - `plaintext` - An alias for `payload`
	   *
	   * @param {Object|String} input The encrypted content
	   * @param {Object} [opts] The options for this decryption operation.
	   * @returns {Promise} A promise for the decyprted plaintext
	   */
	  Object.defineProperty(this, "decrypt", {
	    value: function(input, opts) {
	      opts = merge({}, globalOpts, opts || {});
	      var extraHandlers = opts.handlers || {};
	      var handlerKeys = Object.keys(extraHandlers);
	
	      /* eslint camelcase: [0] */
	      if (typeof input === "string") {
	        input = input.split(".");
	        input = {
	          protected: input[0],
	          recipients: [
	            {
	              encrypted_key: input[1]
	            }
	          ],
	          iv: input[2],
	          ciphertext: input[3],
	          tag: input[4]
	        };
	      } else if (!input || typeof input !== "object") {
	        throw new Error("invalid input");
	      }
	      if ("encrypted_key" in input) {
	        input.recipients = [
	          {
	            encrypted_key: input.encrypted_key
	          }
	        ];
	      }
	
	      var promise;
	
	      // ensure recipients exists
	      var rcptList = input.recipients || [{}];
	      promise = Promise.resolve(rcptList);
	
	      //combine fields
	      var fields,
	          protect;
	      promise.then(function(rcptList) {
	        if (input.protected) {
	          protect = base64url.decode(input.protected, "utf8");
	          protect = JSON.parse(protect);
	
	          // verify "crit" field first
	          var crit = protect.crit;
	          if (crit) {
	            if (!Array.isArray(crit)) {
	              return Promise.reject(new Error("Invalid 'crit' header"));
	            }
	            for (var idx = 0; crit.length > idx; idx++) {
	              if (-1 === handlerKeys.indexOf(crit[idx])) {
	                return Promise.reject(new Error(
	                    "Critical extension is not supported: " + crit[idx]
	                ));
	              }
	            }
	          }
	
	          fields = protect;
	          protect = Object.keys(protect);
	        } else {
	          fields = {};
	          protect = [];
	        }
	        fields = merge(input.unprotected || {}, fields);
	
	        rcptList = rcptList.map(function(r) {
	          var promise = Promise.resolve();
	          var header = r.header || {};
	          header = merge(header, fields);
	          r.header = header;
	          r.protected = protect;
	          if (header.epk) {
	            promise = promise.then(function() {
	              return JWK.asKey(header.epk);
	            });
	            promise = promise.then(function(epk) {
	              header.epk = epk.toObject(false);
	            });
	          }
	          return promise.then(function() {
	            return r;
	          });
	        });
	
	        return Promise.all(rcptList);
	      });
	
	      // decrypt with first key found
	      var algKey,
	        encKey,
	        kdata;
	      promise = promise.then(function(rcptList) {
	        var jwe = {};
	        return new Promise(function(resolve, reject) {
	          var processKey = function() {
	            var rcpt = rcptList.shift();
	            if (!rcpt) {
	              reject(new Error("no key found"));
	              return;
	            }
	
	            var algPromise = Promise.resolve(rcpt);
	            algPromise = algPromise.then(function(rcpt) {
	              // try to unwrap encrypted key
	              var prekey = kdata = rcpt.encrypted_key || "";
	              prekey = base64url.decode(prekey);
	              algKey = assumedKey || keystore.get({
	                use: "enc",
	                alg: rcpt.header.alg,
	                kid: rcpt.header.kid
	              });
	              if (algKey) {
	                return algKey.unwrap(rcpt.header.alg, prekey, rcpt.header);
	              } else {
	                return Promise.reject();
	              }
	            });
	            algPromise = algPromise.then(function(key) {
	              encKey = {
	                "kty": "oct",
	                "k": base64url.encode(key)
	              };
	              encKey = JWK.asKey(encKey);
	              jwe.key = algKey;
	              jwe.header = rcpt.header;
	              jwe.protected = rcpt.protected;
	              resolve(jwe);
	            });
	            algPromise.catch(processKey);
	          };
	          processKey();
	        });
	      });
	
	      // assign decipher inputs
	      promise = promise.then(function(jwe) {
	        jwe.iv = input.iv;
	        jwe.tag = input.tag;
	        jwe.ciphertext = input.ciphertext;
	
	        return jwe;
	      });
	
	      // process any prepare-decrypt handlers
	      promise = promise.then(function(jwe) {
	        var processing = [];
	        handlerKeys.forEach(function(h) {
	          h = extraHandlers[h];
	          var p;
	          if ("function" === typeof h) {
	            p = h(jwe);
	          } else if ("object" === typeof h && "function" === typeof h.prepare) {
	            p = h.prepare(jwe);
	          }
	          if (p) {
	            processing.push(Promise.resolve(p));
	          }
	        });
	        return Promise.all(processing).then(function() {
	          // don't actually care about individual handler results
	          // assume {jwe} is updated
	          return jwe;
	        });
	      });
	
	      // prepare decrypt inputs
	      promise = promise.then(function(jwe) {
	        if (!Buffer.isBuffer(jwe.ciphertext)) {
	          jwe.ciphertext = base64url.decode(jwe.ciphertext);
	        }
	
	        return jwe;
	      });
	
	      // decrypt it!
	      promise = promise.then(function(jwe) {
	        var adata = input.protected;
	        if ("aad" in input && null != input.aad) {
	          adata += "." + input.aad;
	        }
	
	        var params = {
	          iv: jwe.iv,
	          adata: adata,
	          tag: jwe.tag,
	          kdata: kdata,
	          epu: jwe.epu,
	          epv: jwe.epv
	        };
	        var cdata = jwe.ciphertext;
	
	        delete jwe.iv;
	        delete jwe.tag;
	        delete jwe.ciphertext;
	
	        return encKey.
	          then(function(enkKey) {
	            return enkKey.decrypt(jwe.header.enc, cdata, params).
	              then(function(pdata) {
	                jwe.payload = jwe.plaintext = pdata;
	                return jwe;
	              });
	          });
	      });
	
	      // (OPTIONAL) decompress plaintext
	      promise = promise.then(function(jwe) {
	        if ("DEF" === jwe.header.zip) {
	          return new Promise(function(resolve, reject) {
	            zlib.inflateRaw(new Buffer(jwe.plaintext), function(err, data) {
	              if (err) {
	                reject(err);
	              }
	              else {
	                jwe.payload = jwe.plaintext = data;
	                resolve(jwe);
	              }
	            });
	          });
	        }
	        return jwe;
	      });
	
	      // process any post-decrypt handlers
	      promise = promise.then(function(jwe) {
	        var processing = [];
	        handlerKeys.forEach(function(h) {
	          h = extraHandlers[h];
	          var p;
	          if ("object" === typeof h && "function" === typeof h.complete) {
	            p = h.complete(jwe);
	          }
	          if (p) {
	            processing.push(Promise.resolve(p));
	          }
	        });
	        return Promise.all(processing).then(function() {
	          // don't actually care about individual handler results
	          // assume {jwe} is updated
	          return jwe;
	        });
	      });
	
	      return promise;
	    }
	  });
	}
	
	/**
	 * @description
	 * Creates a new Decrypter for the given Key or KeyStore.
	 *
	 * {opts}, when provided, is used to customize decryption processes. The
	 * following options are currently supported:
	 *
	 * - `handlers` - An object where each name is a JOSE header member name and
	 *   the value can be a boolean, function, or an object.
	 *
	 * Handlers are intended to support 'crit' extensions. When a boolean value,
	 * the member is expected to be processed once decryption is fully complete.
	 * When a function, it is called just before the ciphertext is decrypted
	 * (processed as if it were a `prepare` handler, as decribed below). When an
	 * object, it can contain any of the following members:
	 *
	 * - `recipient` - A function called after a valid key is determined; it takes
	 *   an object describing the recipient, and returns a Promise that is
	 *   fulfilled once the handler's processing is complete.
	 * - `prepare` - A function called just prior to decrypting the ciphertext;
	 *   it takes an object describing the decryption result (but containing
	 *   `ciphertext` and `tag' instead of `payload` and `plaintext`), and
	 *   returns a Promise that is fulfilled once the handler's processing is
	 *   complete.
	 * - `complete` - A function called once decryption is complete, just prior
	 *   to fulfilling the Promise returned by `decrypt()`; it takes the object
	 *   that will be returned by `decrypt()`'s fulfilled Promise, and returns
	 *   a Promise that is fulfilled once the handler's processing is complete.
	 *
	 * Note that normal processing of `decrypt()` does not continue until all
	 * relevant handlers have completed. Any changes handlers make to the
	 * provided objects affects `decrypt()`'s processing.
	 *
	 * @param {JWK.Key|JWK.KeyStore} ks The Key or KeyStore to use for decryption.
	 * @param {Object} [opts] The options for this Decrypter.
	 * @returns {JWE.Decrypter} The new Decrypter.
	 */
	function createDecrypt(ks, opts) {
	  var dec = new JWEDecrypter(ks, opts);
	  return dec;
	}
	
	module.exports = {
	  decrypter: JWEDecrypter,
	  createDecrypt: createDecrypt
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 153 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * jws/index.js - JSON Web Signature (JWS) Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var JWS = {
	  createSign: __webpack_require__(154).createSign,
	  createVerify: __webpack_require__(157).createVerify
	};
	
	module.exports = JWS;


/***/ },
/* 154 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jws/sign.js - Sign to JWS
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    merge = __webpack_require__(85),
	    uniq = __webpack_require__(110),
	    util = __webpack_require__(70),
	    JWK = __webpack_require__(105),
	    slice = __webpack_require__(155).slice;
	
	var DEFAULTS = __webpack_require__(156);
	
	/**
	 * @class JWS.Signer
	 * @classdesc Generator of signed content.
	 *
	 * @description
	 * **NOTE:** this class cannot be instantiated directly. Instead call {@link
	 * JWS.createSign}.
	 */
	var JWSSigner = function(cfg, signatories) {
	  var finalized = false,
	      format = cfg.format || "general",
	      content = new Buffer(0);
	
	  /**
	  * @member {Boolean} JWS.Signer#compact
	  * @description
	  * Indicates whether the outuput of this signature generator is using
	  * the Compact serialization (`true`) or the JSON serialization
	  * (`false`).
	  */
	  Object.defineProperty(this, "compact", {
	    get: function() {
	      return "compact" === format;
	    },
	    enumerable: true
	  });
	  Object.defineProperty(this, "format", {
	    get: function() {
	      return format;
	    },
	    enumerable: true
	  });
	
	  /**
	  * @method JWS.Signer#update
	  * @description
	  * Updates the signing content for this signature content. The content
	  * is appended to the end of any other content already applied.
	  *
	  * If {data} is a Buffer, {encoding} is ignored. Otherwise, {data} is
	  * converted to a Buffer internally to {encoding}.
	  *
	  * @param {Buffer|String} data The data to sign.
	  * @param {String} [encoding="binary"] The encoding of {data}.
	  * @returns {JWS.Signer} This signature generator.
	  * @throws {Error} If a signature has already been generated.
	  */
	  Object.defineProperty(this, "update", {
	    value: function(data, encoding) {
	      if (finalized) {
	        throw new Error("already final");
	      }
	      if (data != null) {
	        data = util.asBuffer(data, encoding);
	        if (content.length) {
	          content = Buffer.concat([content, data],
	                      content.length + data.length);
	        } else {
	          content = data;
	        }
	      }
	
	      return this;
	    }
	  });
	  /**
	  * @method JWS.Signer#final
	  * @description
	  * Finishes the signature operation.
	  *
	  * The returned Promise, when fulfilled, is the JSON Web Signature (JWS)
	  * object, either in the Compact (if {@link JWS.Signer#format} is
	  * `"compact"`), the flattened JSON (if {@link JWS.Signer#format} is
	  * "flattened"), or the general JSON serialization.
	  *
	  * @param {Buffer|String} [data] The final content to apply.
	  * @param {String} [encoding="binary"] The encoding of the final content
	  *        (if any).
	  * @returns {Promise} The promise for the signatures
	  * @throws {Error} If a signature has already been generated.
	  */
	  Object.defineProperty(this, "final", {
	    value: function(data, encoding) {
	      if (finalized) {
	        return Promise.reject(new Error("already final"));
	      }
	
	      // last-minute data
	      this.update(data, encoding);
	
	      // mark as done...ish
	      finalized = true;
	      var promise;
	
	      // map signatory promises to just signatories
	      promise = Promise.all(signatories);
	      promise = promise.then(function(sigs) {
	        // prepare content
	        content = util.base64url.encode(content);
	
	        sigs = sigs.map(function(s) {
	          // prepare protected
	          var protect = {},
	              lenProtect = 0,
	              unprotect = clone(s.header),
	              lenUnprotect = Object.keys(unprotect).length;
	          s.protected.forEach(function(h) {
	            if (!(h in unprotect)) {
	              return;
	            }
	            protect[h] = unprotect[h];
	            lenProtect++;
	            delete unprotect[h];
	            lenUnprotect--;
	          });
	          if (lenProtect > 0) {
	            protect = JSON.stringify(protect);
	            protect = util.base64url.encode(protect);
	          } else {
	            protect = "";
	          }
	
	          // signit!
	          var data = new Buffer(protect + "." + content, "ascii");
	          s = s.key.sign(s.header.alg, data, s.header);
	          s = s.then(function(result) {
	            var sig = {};
	            if (0 < lenProtect) {
	              sig.protected = protect;
	            }
	            if (0 < lenUnprotect) {
	              sig.header = unprotect;
	            }
	            sig.signature = util.base64url.encode(result.mac);
	            return sig;
	          });
	          return s;
	        });
	        sigs = [Promise.resolve(content)].concat(sigs);
	        return Promise.all(sigs);
	      });
	      promise = promise.then(function(results) {
	        var content = results[0];
	        return {
	          payload: content,
	          signatures: results.slice(1)
	        };
	      });
	      switch (format) {
	        case "compact":
	          promise = promise.then(function(jws) {
	            var compact = [
	              jws.signatures[0].protected,
	              jws.payload,
	              jws.signatures[0].signature
	            ];
	            compact = compact.join(".");
	            return compact;
	          });
	          break;
	        case "flattened":
	          promise = promise.then(function(jws) {
	            var flattened = {};
	            flattened.payload = jws.payload;
	
	            var sig = jws.signatures[0];
	            if (sig.protected) {
	              flattened.protected = sig.protected;
	            }
	            if (sig.header) {
	              flattened.header = sig.header;
	            }
	            flattened.signature = sig.signature;
	
	            return flattened;
	          });
	          break;
	      }
	
	      return promise;
	    }
	  });
	};
	
	
	/**
	 * @description
	 * Creates a new JWS.Signer with the given options and signatories.
	 *
	 * @param {Object} [opts] The signing options
	 * @param {Boolean} [opts.compact] Use compact serialization?
	 * @param {String} [opts.format] The serialization format to use ("compact",
	 *                 "flattened", "general")
	 * @param {Object} [opts.fields] Additional header fields
	 * @param {JWK.Key[]|Object[]} [signs] Signatories, either as an array of
	 *        JWK.Key instances; or an array of objects, each with the following
	 *        properties
	 * @param {JWK.Key} signs.key Key used to sign content
	 * @param {Object} [signs.header] Per-signatory header fields
	 * @param {String} [signs.reference] Reference field to identify the key
	 * @param {String[]|String} [signs.protect] List of fields to integrity
	 *        protect ("*" to protect all fields)
	 * @returns {JWS.Signer} The signature generator.
	 * @throws {Error} If Compact serialization is requested but there are
	 *         multiple signatories
	 */
	function createSign(opts, signs) {
	  // fixup signatories
	  var options = opts,
	      signStart = 1,
	      signList = signs;
	
	  if (arguments.length === 0) {
	    throw new Error("at least one signatory must be provided");
	  }
	  if (arguments.length === 1) {
	    signList = opts;
	    signStart = 0;
	    options = {};
	  } else if (JWK.isKey(opts) ||
	            (opts && "kty" in opts) ||
	            (opts && "key" in opts &&
	            (JWK.isKey(opts.key) || "kty" in opts.key))) {
	    signList = opts;
	    signStart = 0;
	    options = {};
	  } else {
	    options = clone(opts);
	  }
	  if (!Array.isArray(signList)) {
	    signList = slice(arguments, signStart);
	  }
	
	  // fixup options
	  options = merge(clone(DEFAULTS), options);
	
	  // setup header fields
	  var allFields = options.fields || {};
	  // setup serialization format
	  var format = options.format;
	  if (!format) {
	    format = options.compact ? "compact" : "general";
	  }
	  if (("compact" === format || "flattened" === format) && 1 < signList.length) {
	    throw new Error("too many signatories for compact or flattened JSON serialization");
	  }
	
	  // note protected fields (globally)
	  // protected fields are per signature
	  var protectAll = ("*" === options.protect);
	  if (options.compact) {
	    protectAll = true;
	  }
	
	  signList = signList.map(function(s, idx) {
	    var p;
	
	    // resolve a key
	    if (s && "kty" in s) {
	      p = JWK.asKey(s);
	      p = p.then(function(k) {
	        return {
	          key: k
	        };
	      });
	    } else if (s) {
	      p = JWK.asKey(s.key);
	      p = p.then(function(k) {
	        return {
	          header: s.header,
	          reference: s.reference,
	          protect: s.protect,
	          key: k
	        };
	      });
	    } else {
	      p = Promise.reject(new Error("missing key for signatory " + idx));
	    }
	
	    // resolve the complete signatory
	    p = p.then(function(signatory) {
	      var key = signatory.key;
	
	      // make sure there is a header
	      var header = signatory.header || {};
	      header = merge(merge({}, allFields), header);
	      signatory.header = header;
	
	      // ensure an algorithm
	      if (!header.alg) {
	        header.alg = key.algorithms(JWK.MODE_SIGN)[0] || "";
	      }
	
	      // determine the key reference
	      var ref = signatory.reference;
	      delete signatory.reference;
	      if (undefined === ref) {
	        // header already contains the key reference
	        ref = ["kid", "jku", "x5c", "x5t", "x5u"].some(function(k) {
	          return (k in header);
	        });
	        ref = !ref ? "kid" : null;
	      } else if ("boolean" === typeof ref) {
	        // explicit (positive | negative) request for key reference
	        ref = ref ? "kid" : null;
	      }
	      var jwk;
	      if (ref) {
	        jwk = key.toJSON();
	        if ("jwk" === ref) {
	          header.jwk = jwk;
	        } else if (ref in jwk) {
	          header[ref] = jwk[ref];
	        }
	      }
	
	      // determine protected fields
	      var protect = signatory.protect;
	      if (protectAll || "*" === protect) {
	        protect = Object.keys(header);
	      } else if ("string" === protect) {
	        protect = [protect];
	      } else if (Array.isArray(protect)) {
	        protect = protect.concat();
	      } else if (!protect) {
	        protect = [];
	      } else {
	        return Promise.reject(new Error("protect must be a list of fields"));
	      }
	      protect = uniq(protect);
	      signatory.protected = protect;
	
	      // freeze signatory
	      signatory = Object.freeze(signatory);
	      return signatory;
	    });
	
	    return p;
	  });
	
	  var cfg = {
	    format: format
	  };
	  return new JWSSigner(cfg,
	                       signList);
	}
	
	module.exports = {
	  signer: JWSSigner,
	  createSign: createSign
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 155 */
/***/ function(module, exports) {

	/*!
	 * jws/helpers.js - JWS Internal Helper Functions
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	module.exports = {
	  slice: function(input, start) {
	    return Array.prototype.slice.call(input, start || 0);
	  }
	};


/***/ },
/* 156 */
/***/ function(module, exports) {

	/*!
	 * jws/defaults.js - Defaults for JWSs
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	/**
	 * @description
	 * The default options for {@link JWS.createSign}.
	 *
	 * @property {Boolean} compact Determines if the output is the Compact
	 *           serialization (`true`) or the JSON serialization (**`false`**,
	 *           the default).
	 * @property {String|String[]} protect The names of the headers to integrity
	 *           protect.  The value `""` means that none of header parameters
	 *           are integrity protected, while `"*"` (the default) means that all
	 *           headers parameter sare integrity protected.
	 */
	var JWSDefaults = {
	    compact: false,
	    protect: "*"
	};
	
	module.exports = JWSDefaults;


/***/ },
/* 157 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * jws/verify.js - Verifies from a JWS
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var clone = __webpack_require__(84),
	    merge = __webpack_require__(85),
	    base64url = __webpack_require__(66),
	    JWK = __webpack_require__(105);
	
	/**
	 * @class JWS.Verifier
	 * @classdesc Parser of signed content.
	 *
	 * @description
	 * **NOTE:** this class cannot be instantiated directly. Instead call {@link
	 * JWS.createVerify}.
	 */
	var JWSVerifier = function(ks, globalOpts) {
	  var assumedKey,
	      keystore;
	
	  if (JWK.isKey(ks)) {
	    assumedKey = ks;
	    keystore = assumedKey.keystore;
	  } else if (JWK.isKeyStore(ks)) {
	    keystore = ks;
	  } else {
	    keystore = JWK.createKeyStore();
	  }
	
	  globalOpts = merge({}, globalOpts);
	
	  Object.defineProperty(this, "defaultKey", {
	    value: assumedKey || undefined,
	    enumerable: true
	  });
	  Object.defineProperty(this, "keystore", {
	    value: keystore,
	    enumerable: true
	  });
	
	  Object.defineProperty(this, "verify", {
	    value: function(input, opts) {
	      opts = merge({}, globalOpts, opts || {});
	      var extraHandlers = opts.handlers || {};
	      var handlerKeys = Object.keys(extraHandlers);
	
	      if ("string" === typeof input) {
	        input = input.split(".");
	        input = {
	          payload: input[1],
	          signatures: [
	            {
	              protected: input[0],
	              signature: input[2]
	            }
	          ]
	        };
	      } else if (!input || "object" === input) {
	        throw new Error("invalid input");
	      }
	
	      // fixup "flattened JSON" to look like "general JSON"
	      if (input.signature) {
	        input.signatures = [
	          {
	            protected: input.protected || undefined,
	            header: input.header || undefined,
	            signature: input.signature
	          }
	        ];
	      }
	
	      // ensure signatories exists
	      var sigList = input.signatures || [{}];
	
	      // combine fields and decode signature per signatory
	      sigList = sigList.map(function(s) {
	        var header = clone(s.header || {});
	        var protect = s.protected ?
	                      JSON.parse(base64url.decode(s.protected, "utf8")) :
	                      {};
	        header = merge(header, protect);
	        var signature = base64url.decode(s.signature);
	
	        // process "crit" first
	        var crit = protect.crit;
	        if (crit) {
	          if (!Array.isArray(crit)) {
	            return Promise.reject(new Error("Invalid 'crit' header"));
	          }
	          for (var idx = 0; crit.length > idx; idx++) {
	            if (-1 === handlerKeys.indexOf(crit[idx])) {
	              return Promise.reject(new Error(
	                  "Critical extension is not supported: " + crit[idx]
	              ));
	            }
	          }
	        }
	        protect = Object.keys(protect);
	
	        return {
	          protected: protect,
	          aad: s.protected || "",
	          header: header,
	          signature: signature
	        };
	      });
	
	      var promise = new Promise(function(resolve, reject) {
	        var processSig = function() {
	          var sig = sigList.shift();
	          if (!sig) {
	            reject(new Error("no key found"));
	            return;
	          }
	
	          sig = merge({}, sig, {
	            payload: input.payload
	          });
	          var p = Promise.resolve(sig);
	          // find the key
	          p = p.then(function(sig) {
	            var algKey;
	            // TODO: resolve jku, x5c, x5u
	            if (sig.header.jwk) {
	              algKey = JWK.asKey(sig.header.jwk);
	            } else if (sig.header.x5c) {
	              algKey = sig.header.x5c[0];
	              algKey = new Buffer(algKey, "base64");
	              // TODO: callback to validate chain
	              algKey = JWK.asKey(algKey, "pkix");
	            } else {
	              algKey = Promise.resolve(assumedKey || keystore.get({
	                use: "sig",
	                alg: sig.header.alg,
	                kid: sig.header.kid
	              }));
	            }
	            return algKey.then(function(k) {
	              if (!k) {
	                return Promise.reject(new Error("key does not match"));
	              }
	              sig.key = k;
	              return sig;
	            });
	          });
	
	          // process any prepare-verify handlers
	          p = p.then(function(sig) {
	            var processing = [];
	            handlerKeys.forEach(function(h) {
	              h = extraHandlers[h];
	              var p;
	              if ("function" === typeof h) {
	                p = h(sig);
	              } else if ("object" === typeof h && "function" === typeof h.prepare) {
	                p = h.prepare(sig);
	              }
	              if (p) {
	                processing.push(Promise.resolve(p));
	              }
	            });
	            return Promise.all(processing).then(function() {
	              // don't actually care about individual handler results
	              // assume {sig} is updated
	              return sig;
	            });
	          });
	
	          // prepare verify inputs
	          p = p.then(function(sig) {
	            var aad = sig.aad || "",
	                payload = sig.payload || "";
	            var content = new Buffer(1 + aad.length + payload.length),
	                pos = 0;
	            content.write(aad, pos, "ascii");
	            pos += aad.length;
	            content.write(".", pos, "ascii");
	            pos++;
	
	            if (Buffer.isBuffer(payload)) {
	              payload.copy(content, pos);
	            } else {
	              content.write(payload, pos, "binary");
	            }
	            sig.content = content;
	            return sig;
	          });
	
	          p = p.then(function(sig) {
	            return sig.key.verify(sig.header.alg,
	                                  sig.content,
	                                  sig.signature);
	          });
	
	          p = p.then(function(result) {
	            var payload = sig.payload;
	            payload = base64url.decode(payload);
	            return {
	              protected: sig.protected,
	              header: sig.header,
	              payload: payload,
	              signature: result.mac,
	              key: sig.key
	            };
	          });
	
	          // process any post-verify handlers
	          p = p.then(function(jws) {
	            var processing = [];
	            handlerKeys.forEach(function(h) {
	              h = extraHandlers[h];
	              var p;
	              if ("object" === typeof h && "function" === typeof h.complete) {
	                p = h.complete(jws);
	              }
	              if (p) {
	                processing.push(Promise.resolve(p));
	              }
	            });
	            return Promise.all(processing).then(function() {
	              // don't actually care about individual handler results
	              // assume {jws} is updated
	              return jws;
	            });
	          });
	          p.then(resolve, processSig);
	        };
	        processSig();
	      });
	
	      return promise;
	    }
	  });
	};
	
	/**
	 * @description
	 * Creates a new JWS.Verifier with the given Key or KeyStore.
	 *
	 * @param {JWK.Key|JWK.KeyStore} ks The Key or KeyStore to use for verification.
	 * @returns {JWS.Verifier} The new Verifier.
	 */
	function createVerify(ks) {
	  var vfy = new JWSVerifier(ks);
	
	  return vfy;
	}
	
	module.exports = {
	  verifier: JWSVerifier,
	  createVerify: createVerify
	};
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 158 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(Buffer) {/*!
	 * parse/index.js - JOSE Parser Entry Point
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var compact = __webpack_require__(159),
	    json = __webpack_require__(160);
	
	var parse = module.exports = function(input) {
	  if (Buffer.isBuffer(input)) {
	    // assume buffer holds a Compact Serialization string
	    return compact(input.toString("ascii"));
	  } else if ("string" === typeof input) {
	    return compact(input);
	  } else if (input) {
	    return json(input);
	  } else {
	    throw new TypeError("invalid input");
	  }
	};
	
	parse.compact = compact;
	parse.json = json;
	
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(1).Buffer))

/***/ },
/* 159 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * parse/compact.js - JOSE Compact Serialization Parser
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var jose = {
	  JWE: __webpack_require__(101),
	  JWS: __webpack_require__(153),
	  util: __webpack_require__(70)
	};
	
	function parseCompact(input) {
	  var parts = input.split(".");
	
	  var type,
	      op;
	  if (3 === parts.length) {
	    // JWS
	    type = "JWS";
	    op = function(ks) {
	      return jose.JWS.createVerify(ks).
	             verify(input);
	    };
	  } else if (5 === parts.length) {
	    // JWE
	    type = "JWE";
	    op = function(ks) {
	      return jose.JWE.createDecrypt(ks).
	             decrypt(input);
	    };
	  } else {
	    throw new TypeError("invalid jose serialization");
	  }
	
	  // parse header
	  var header;
	  header = jose.util.base64url.decode(parts[0], "utf8");
	  header = JSON.parse(header);
	  return {
	    type: type,
	    format: "compact",
	    input: input,
	    header: header,
	    perform: op
	  };
	}
	
	module.exports = parseCompact;


/***/ },
/* 160 */
/***/ function(module, exports, __webpack_require__) {

	/*!
	 * parse/compact.js - JOSE JSON Serialization Parser
	 *
	 * Copyright (c) 2015 Cisco Systems, Inc. See LICENSE file.
	 */
	"use strict";
	
	var merge = __webpack_require__(85);
	
	var jose = {
	  JWE: __webpack_require__(101),
	  JWS: __webpack_require__(153),
	  util: __webpack_require__(70)
	};
	
	function parseJSON(input) {
	  var type,
	      op,
	      headers;
	
	  if ("signatures" in input || "signature" in input) {
	    // JWS
	    type = "JWS";
	    op = function(ks) {
	      return jose.JWS.createVerify(ks).
	             verify(input);
	    };
	    // headers can be (signatures[].protected, signatures[].header, signature.protected, signature.header)
	    headers = input.signatures ||
	              [ {
	                protected: input.protected,
	                header: input.header,
	                signature: input.signature
	              }];
	    headers = headers.map(function(sig) {
	      var all = {};
	      if (sig.header) {
	        all = merge(all, sig.header);
	      }
	
	      var prot;
	      if (sig.protected) {
	        prot = sig.protected;
	        prot = jose.util.base64url.decode(prot, "utf8");
	        prot = JSON.parse(prot);
	        all = merge(all, prot);
	      }
	
	      return all;
	    });
	  } else if ("ciphertext" in input) {
	    // JWE
	    type = "JWE";
	    op = function(ks) {
	      return jose.JWE.createDecrypt(ks).
	             decrypt(input);
	    };
	    // headers can be (protected, unprotected, recipients[].header)
	    var root = {};
	    if (input.protected) {
	      root.protected = input.protected;
	      root.protected = jose.util.base64url.decode(root.protected, "utf8");
	      root.protected = JSON.parse(root.protected);
	    }
	    if (input.unprotected) {
	      root.unprotected = input.unprotected;
	    }
	
	    headers = input.recipients || [{}];
	    headers = headers.map(function(rcpt) {
	      var all = {};
	      if (rcpt.header) {
	        all = merge(all, rcpt.header);
	      }
	      if (root.unprotected) {
	        all = merge(all, root.unprotected);
	      }
	      if (root.protected) {
	        all = merge(all, root.protected);
	      }
	
	      return all;
	    });
	  }
	
	  return {
	    type: type,
	    format: "json",
	    input: input,
	    all: headers,
	    perform: op
	  };
	}
	
	module.exports = parseJSON;


/***/ }
/******/ ]);
//# sourceMappingURL=node-scr.js.map